<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

/**
 * 
 * Define the super globals.
 * 
 */

if (!isset($_SERVER)) {
$_GET = &$HTTP_GET_VARS;
$_POST = &$HTTP_POST_VARS;
$_SERVER = &$HTTP_SERVER_VARS;
$_COOKIE = &$HTTP_COOKIE_VARS;
$_REQUEST = array_merge($_GET, $_POST, $_COOKIE); }

$PHP_SELF = $_SERVER['PHP_SELF'];

if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) {
header('Location: ../../index.php');
exit('Access Denied'); }


$filename = 'config.php';
if (file_exists($filename)) {
require_once "$filename";
} else {
require_once 'config.php'; }

/**
 * 
 * The below function will check if the user is logged-in 
 * and also check the remember me cookie.
 * 
 *
 */

function check_loggedin($conn, $redirect_file = 'index.php') {

/**
 * 
 * Check for remember me cookie variable 
 * and loggedin session variable.
 * 
 */

if (isset($_COOKIE['rememberme']) && !empty($_COOKIE['rememberme']) && !isset($_SESSION['loggedin'])) {

/**
 * 
 * If the remember me cookie matches one in the database 
 * then we can update the session variables.
 * 
 */ 

$stmt = $conn->prepare('SELECT id, username, role, email FROM accounts WHERE rememberme = ?');
$stmt->bind_param('s', $_COOKIE['rememberme']);
$stmt->execute();
$stmt->store_result();
if ($stmt->num_rows > 0) {

/**
 * 
 * Found a match, update the session variables 
 * and keep the user logged-in.
 * 
 */ 

$stmt->bind_result($id, $username, $role, $email);
$stmt->fetch();
$stmt->close();
session_regenerate_id();
$_SESSION['loggedin'] = TRUE;
$_SESSION['name'] = $username;
$_SESSION['id'] = $id;
$_SESSION['role'] = $role;
$_SESSION['email'] = $email;
} else {

/**
 * 
 * If the user is not remembered redirect to the login page.
 * 
 */

echo "<script> window.location.replace('../../index.php') </script>";
exit; }
} else if (!isset($_SESSION['loggedin'])) {

/**
 * 
 * If the user is not logged in redirect to the login page.
 * 
 */

echo "<script> window.location.replace('../../index.php') </script>";
exit; }}
