<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php'; 
session_start();

if (isset($_GET['id'])) { $id = $_GET['id'];
$id = mysqli_real_escape_string($conn, $id); }

$sql = "SELECT c_title, description, metatags, author FROM articles WHERE id='$id'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta name="description" content="<?= $row['description'] ?>">
<meta name="keywords" content="<?= $row['metatags'] ?>">
<meta name="author" content="<?= $row['author'] ?>">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />

<?php 

/**
 * 
 * Define the title for this article.
 * And get the favicon.
 * 
 */ ?>

<title><?= $row['c_title'] ?></title>
<?php }}
$favicon = '../media/favicon.ico';
if (file_exists($favicon)) { ?>
<link rel="icon" type="image/ico" sizes="16x16" href="<?= $favicon ?>">
<?php } else { 
$favicon = '../media/favicon.png'; ?>
<link rel="icon" type="image/png" sizes="16x16" href="<?= $favicon ?>">
<?php } ?>
<link rel="stylesheet" href="../css/style.min.css">

<?php $sql = "SELECT theme_name FROM themes"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$theme_name = $row['theme_name']; }}

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
require_once '../lang/' . $row['lang'] . '.php'; }}

/**
 * 
 * Get the active theme.
 * 
 */

$stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result( $usertheme, $usetheme );
$stmt->fetch();
$stmt->close();
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') { 
if (isset($_GET['id'])) { $id = $_GET['id']; }
$sql = "SELECT id, usertheme FROM accounts"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { 
require_once '../themes/usertheme.php'; }}}
else { require_once '../themes/theme.php'; } ?>

<link rel="stylesheet" href="../css/fonts.min.css">

<?php 
/**
 * 
 * Define the optional background
 * for the content container.
 * 
 */

$sql = "SELECT * FROM articles WHERE id='$id'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$usewhich = $row['usewhich'];
$backimage = $row['backimage'];
$backcolor = $row['backcolor'];
$backcolor_second = $row['backcolor_second'];
$readmoretarget = $row['readmoretarget']; }} 

/**
 * 
 * Style the content container.
 * 
 */ ?>

<style>
.mini-wrapper {
<?php if ($usewhich == 'Image') { ?>
background: url('../media/themes/<?= $backimage ?>'); background-attachment:fixed; background-size:cover;
<?php } elseif ($usewhich == 'Color') { ?>
background: linear-gradient(<?= $backcolor ?>, <?= $backcolor_second ?>);
<?php } elseif ($usewhich == 'None' || $usewhich == '') { ?>
background: <?= $wrapper ?>;
<?php } ?>}

.mini-wrapper {
width: 70%;
margin: 0 auto; }

@media (max-width: 1000px) {
.mini-wrapper {
width: 100%; }}
</style>

<script src="../js/fontawesome.min.js" crossorigin="anonymous"></script>
</head>
<body class="loggedin">

<p>&nbsp;</p>
<div class="mini-wrapper spacer">

<?php 
/**
 * 
 * Get the article id and 
 * build the content container.
 * 
 */

if (isset($_GET['id'])) { $id = $_GET['id'];
$id = mysqli_real_escape_string($conn, $id); }

$sql = "SELECT * FROM articles WHERE id='$id'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>

<?= $row['c_text'] ?>
<?= $row['readmore'];  ?>

<p>&nbsp;</p>

<?php
/**
 * 
 * Show the author, comments, and date
 * if selected.
 * 
 */ ?>

<div class="center spacer column-footer">

<?php if ($row['showauthor'] == 'Yes') { ?><p style="font-size:12px;color:<?= $col_footer_font_color ?>;">(<?= _BY ?>: <?= $row['author'] ?> .. <?= _DATE ?>: <?= $row['date'] ?>) 
<?php }

if ($row['allowcomments'] == 'Yes') { ?> &nbsp;&nbsp;<a href="../../sys/usercomments.php?id=<?= $id ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _COMMENT ?> on &quot;<?= $row['c_title'] ?>&quot;.. (<?= _MEMBERSONLY ?>)"><i style="color:<?= $col_footer_font_color ?>;" class="fa fa-comments"></i></a> 
<?php }}} ?>

<?php 
/**
 * 
 * If this window is a new tab
 * don't show the Close This Window
 * button. Only show if this is
 * a pop-up window.
 * 
 */

if ($readmoretarget == 'New Tab') {} else { ?>
<p class="center"><input type="button" value="<?= _CLOSETHISWINDOW ?>" onclick="self.close()"></p>
<?php }

/**
 * 
 * Add the admin direct
 * editing feature.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer center spacer" style="margin:0 auto; width:100%;">
<a href="../designer/articlebuilder.php?edit=<?= $id ?>" onclick="basicPopup(this.href);return false" title="<?= _EDITARTICLEDIRECTLY ?>"><i class="fa fa-pencil-square-o"></i></a>
</div>
<?php }} ?>

</div>

<p>&nbsp;</p>