<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

if (!isset($_SERVER['HTTP_REFERER'])) {
echo "<script> window.location.replace('../../index.php') </script>";
exit; } 

$filename = 'sys/functions.php';
if (file_exists($filename)) { "$filename";
} else {
$filename = '../sys/functions.php'; }
require_once '' . $filename . '';

/**
 * Add the users information.
 * 
 */

$stmt = $conn->prepare('SELECT password, email, activation_code, role, date, use_avatar, avatarurl FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result($password, $email, $activation_code, $role, $date, $use_avatar, $avatarurl);
$stmt->fetch();
$stmt->close();

$sql = "SELECT usecounter, logosize, viewcounter FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$usecounter = $row['usecounter']; 
$logosize = $row['logosize']; 
$viewcounter = $row['viewcounter']; }}

$sql = "SELECT * FROM registration"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {

/**
 * 
 * Display the total number of members.
 * 
 */ ?>

<table style="width:100%; padding:20px;"><tr><td class="top">
<?php $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM accounts"); 
while ($row = mysqli_fetch_array($result)) {
$var = $row['count']; ?>
<p class="left"><i class="fa fa-users"></i> <?= _TOTALMEMBERS ?>: <?= $var ?></p> 
<?php }

/**
 * 
 * Pull in and display number online.
 * Visitors and users.
 * 
 */

require_once 'usersmysql.php'; ?>
</td><td class="top">

<?php
/**
 * 
 * Display the total of active members.
 * 
 */

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM accounts WHERE activation_code = 'activated'"); 
while ($row = mysqli_fetch_array($result)) {
$var = $row['count']; ?>
<p class="left"><i class="fa fa-users"></i> <?= _ACTIVEMEMBERS ?>: <?= $var ?></p>
<?php }

/**
 * 
 * Display the number of published articles.
 * 
 */

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM articles"); 
while ($row = mysqli_fetch_array($result)) {
$var = $row['count']; ?>
<p class="left">
<i class="fa fa-file"></i> <?= _PUBLISHEDARTICLES ?>: <?= $var ?>
</p> 
<?php } ?>
<div class="gentextcolor left">
<?php if ($viewcounter == 'Admin') {require_once 'core/builders/get_visitors.php';} 
else { } ?>
</div>
<br>

<?php $result = mysqli_query($conn, "SELECT COUNT(*) AS count FROM comments WHERE approved = 0");
while ($row = mysqli_fetch_array($result)) {
$var = $row['count']; ?>

<p class="left">
<a href="sys/admin/comments-index.php" style="text-decoration:none"><i class="fa fa-comments"></i> <?= _COMMENTS ?> (<?= _AWAITINGEDITING ?>):</a>&nbsp;&nbsp;<?= $var ?>
</p>

<?php } ?>

<?php 
/**
 * 
 * Get the downloads variables.
 * Display the number of downloads.
 * Are downloads being used?
 * And who they are available to.
 * 
 */

$result = mysqli_query($conn, "SELECT downloads_public, use_downloads FROM modules"); 
while ($row = mysqli_fetch_array($result)) {
$downloads_public = $row['downloads_public']; $use_downloads = $row['use_downloads']; }

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM files"); 
while ($row = mysqli_fetch_array($result)) {
$var = $row['count'];

if ($use_downloads == 'Yes') { ?>
<p class='left'><i class='fa fa-download'></i> <?= _AVAILABLEDOWNLOADS ?>: <?= $var ?></p>
<?php if ($downloads_public == 'Yes') { ?> <p class="left">* <?= _DOWNLOADSALLVISITORS ?></p> <?php }
if ($downloads_public == 'No') { ?><p class="left">* <?= _DOWNLOADSMEMBERSONLY ?></p> 
<?php }}

/**
 * 
 * If downloads are not being used, show nothing.
 * 
 */

if ($use_downloads == 'No') {
echo ''; }}

/**
 * 
 * Close the logged in information.
 * 
 */
} ?>

</td></tr></table>
<?php }} ?>
