<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

if (!isset($_SERVER['HTTP_REFERER'])) {
echo "<script> window.location.replace('../../index.php') </script>";
exit; } 

$filename = 'sys/functions.php';
if (file_exists($filename)) { "$filename";
} else {
$filename = '../sys/functions.php'; }
require_once '' . $filename . '';

/**
 * Add the users information.
 * 
 */

$stmt = $conn->prepare('SELECT password, email, activation_code, role, date, use_avatar, avatarurl FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result($password, $email, $activation_code, $role, $date, $use_avatar, $avatarurl);
$stmt->fetch();
$stmt->close();

$sql = "SELECT usecounter, logosize FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$usecounter = $row['usecounter']; 
$logosize = $row['logosize']; }}

$sql = "SELECT * FROM registration"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {

if ($row['allow_registration'] == 'Yes') {

/**
 * Add the avatar.
 * Gravatar or Avatar URL.
 * 
 */

if ($use_avatar == 'Gravatar') {
require_once 'sys/Gravatar.php'; ?>
<p style="width:<?= $logosize ?>; margin:0 auto;"><a href="https://gravatar.com" target="_blank"><?= $g = new Gravatar("$email"); ?></a></p>
<?php }

elseif ($use_avatar == 'Avatar') { 
$sql = "SELECT avatar_radius FROM avatar"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$avatar_radius = $row['avatar_radius']; }} ?>

<div style="margin:0 auto;"><img src="<?= $avatarurl ?>" style="width:<?= $logosize ?>; height:<?= $logosize ?>; border-radius:<?= $avatar_radius ?>" alt="" /></div>
<?php } ?>

<p class="center"><strong><?= _WELCOME ?>, <?= $_SESSION['name'] ?>!</strong></p>
<p class="center"><a href="sys/logout.php"><?= _LOGOUT ?></a> <i class="fa fa-sign-out"></i></p>
<p class="left"><a href="sys/" style="text-decoration:none"><i class="fa fa-user"></i> <?= _ACCOUNT ?></a></p>
<p class="left"><a href="sys/profile.php" style="text-decoration:none"><i class="fa fa-user-circle"></i> <?= _PROFILE ?></a></p>

<?php $sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
if ($row['contact_staff'] == 'Yes') { ?>
<p class="left"><a href="sys/contactstaff.php" style="text-decoration:none"><i class="fa fa-user-circle"></i> <?= _CONTACT ?></a></p>
<?php }
if ($row['allow_article'] == 'Yes') { ?>
<p class="left"><a href="sys/articlebuilder.php" style="text-decoration:none"><i class="fa fa-paper-plane"></i> <?= _SUBMITARTICLE ?></a></p>
<?php }}}

/**
 * 
 * If the counter is shown to the public.
 * Then only show the ID address here.
 * 
 */ ?>

<p class="left"><i class="fa fa-server"></i> <?= showIPAddress() ?></p>

<?php
/**
 * 
 * Display the total number of members.
 * 
 */

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM accounts");
while ($row = mysqli_fetch_array($result)) {
$var = $row['count']; ?>
<p class="left"><i class="fa fa-users"></i> <?= _TOTALMEMBERS ?>: <?= $var ?></p>
<?php }

require_once 'usersmysql.php';

/**
 * 
 * Display the total of active members.
 * 
 */

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM accounts WHERE activation_code = 'activated'");
while ($row = mysqli_fetch_array($result)) {
$var = $row['count']; ?>
<p class="left"><i class="fa fa-users"></i> <?= _ACTIVEMEMBERS ?>: <?= $var ?></p> 
<?php }

/**
 * 
 * Display the number of published articles.
 * 
 */

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM articles");
while ($row = mysqli_fetch_array($result)) {
$var = $row['count']; ?>
<p class="left"><i class="fa fa-file"></i> <?= _PUBLISHEDARTICLES ?>: <?= $var ?></p> 
<?php }

/**
 * 
 * Get the downloads variables.
 * Display the number of downloads.
 * Are downloads being used?
 * And who they are available to.
 * 
 */

$result = mysqli_query($conn, "SELECT downloads_public, use_downloads FROM modules"); 
while ($row = mysqli_fetch_array($result)) {
$downloads_public = $row['downloads_public']; $use_downloads = $row['use_downloads']; }}

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM files"); 
while ($row = mysqli_fetch_array($result)) {
$var = $row['count'];

if ($use_downloads == 'Yes') { ?>
<p class='left'><i class='fa fa-download'></i> <?= _AVAILABLEDOWNLOADS ?>: <?= $var ?></p>
<?php if ($downloads_public == 'Yes') { ?> <p class="left">* <?= _DOWNLOADSALLVISITORS ?></p> <?php }
if ($downloads_public == 'No') { ?><p class="left">* <?= _DOWNLOADSMEMBERSONLY ?></p> 
<?php }}

/**
 * 
 * If downloads are not being used, show nothing.
 * 
 */

if ($use_downloads == 'No') {
echo ''; }}

/**
 * 
 * Close the logged in information.
 * 
 */

} 

/**
 * 
 * Build the information for those not logged in.
 * 
 */

else { ?>

<p class="left"><a href="sys/" style="text-decoration:none"><i class="fa fa-share-square-o"></i> <?= _LOGIN ?></a></p>
<p class="left"><a href="sys/registration.php" style="text-decoration:none"><i class="
fa fa-file-text"></i> <?= _REGISTER ?></a></strong></p>
<p class="left"><i class="fa fa-address-card"></i> <?= showIPAddress() ?></p>

<?php $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM accounts");
while ($row = mysqli_fetch_array($result)) {
$var = $row['count']; ?>
<p class="left"><i class="fa fa-users"></i> <?= _TOTALMEMBERS ?>: <?= $var ?></p> <?php }

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM userson");
while ($row = mysqli_fetch_array($result)) {
$var = $row['count']; ?>
<p class="left"><i class="fa fa-user"></i> <?= _VISITORS ?>: <?= $var ?></p> <?php }

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM articles");
while ($row = mysqli_fetch_array($result)) {
$var = $row['count']; ?>
<p class="left"><i class="fa fa-file"></i> <?= _PUBLISHEDARTICLES ?>: <?= $var ?></p> 
<p class="left">* <?= _DOWNLOADSALLVISITORS ?></p> <?php }
}}} ?>

<div class="column-footer">

<?php 
/**
 * 
 * Give the admin direct access to the email-settings.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<a href="core/designer/email_settings.php" class="position-grid__cell hint--top hint--medium hint--rounded" onclick="basicPopup(this.href);return false"><i class="fa fa-pencil-square-o"></i></a>
<?php }} ?>

</div>