<?php
/**
 * Spectra is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 *
 * Modified for Spectra
 */

// Script Online Users and Visitors - http://coursesweb.net/php-mysql/

$vst_id = '-visitor'; // identifier to know that it is a visitor, not logged user
$uvon = isset($_SESSION['name']) ? $_SESSION['name'] : $_SERVER['SERVER_ADDR'] . $vst_id;

$rgxvst = '/^([0-9\.]*)' . $vst_id . '/i'; // regexp to recognize the rows with visitors
$dt = time();  // current Unix timestamp
$timeon = 120; // number of seconds to keep a user online
$nrvst = 0; // to store the number of visitors
$nrusr = 0; // to store the number of users
$usron = ''; // to store the name of logged users

// Define and execute the Delete, Insert/Update, and Select queries
$sqldel = "DELETE FROM `userson` WHERE `dt`<" . ($dt - $timeon);
$sqliu = "INSERT INTO `userson` (`uvon`, `dt`) VALUES ('$uvon', $dt) ON DUPLICATE KEY UPDATE `dt`=$dt";
$sqlsel = "SELECT * FROM `userson`";

// Execute each query
if (!$conn->query($sqldel)) echo 'Error: ' . $conn->error;
if (!$conn->query($sqliu)) echo 'Error: ' . $conn->error;
$result = $conn->query($sqlsel);
if ($result->num_rows > 0) {
// Traverse the sets of results and set the number of online visitors and users ($nrvst, $nrusr)
while ($row = $result->fetch_assoc()) {
if (preg_match($rgxvst, $row['uvon'])) $nrvst++; // increment the visitors
else {
$nrusr++; // increment the users
$usron .= '' . $row['uvon'] . ',&nbsp;';  // stores the user's name
}}}

/**
 * 
 * Spectra modifications.
 * 
 */ ?>
 
<div id="uvon" class="left">
<p><i class="fa fa-eye"></i> <?= _ONLINE ?>: <?= $nrusr + $nrvst ?></p>
<p><i class="fa fa-user"></i> <?= _VISITORS ?>: <?= $nrvst ?></p>
<div>
<p>
<i class="fa fa-user"></i> <?= _USERS ?>: ( <?= $nrusr ?> ) 
<div style="background:#f0f0f0; height:70px; overflow-y:auto; border-radius:3px;"> <?= $usron ?></div>
</p>
</div>
</div>