<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'header.php'; ?>

<style>
h3, p {
font-size: 14px; }
</style>

<script src="js/jquery.min.js"></script>
<script src="js/jquery-ui.min.js"></script>

<div class="card noborder">

<div class="column-title spacer">
<h1 class="center coltitlecolor"><?= _REPOSITIONADMINARTICLES ?></h1>
</div>
<p class="center"><?= _CHANGEARTICLEPOSITION ?></p>

<br>

<div class="container" style="height:600px; overflow-y:scroll; overflow-x:hidden;">

<table style="width:90%; margin:0 auto;"><h1 class="column-title coltitlecolor center"><?= _MEMBERALLCANSEE ?></h1>
<tbody class="row_position">

<?php $sql = "SELECT * FROM adminarticle WHERE visibility='Member' ORDER BY adminarticle_position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>

<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<h3 class="black"><?= _ID ?>: <?= $user['id'] ?> <?= _POSITION ?>: <?= $user['adminarticle_position'] ?></h3>
<h3 class="black"><?= $user['adminarticletitle'] ?></h3>
<?php if ($user['useadminarticle'] == 'Yes') { ?> <p class="black center">(<?= _PUBLISHED ?>)&nbsp;&nbsp;<a href="adminarticle.php?edit=<?= $user['id'] ?>" target="_blank"><span class="black">(<?= _EDIT ?>)</span></a><?php } else { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>)&nbsp;&nbsp;<a href="adminarticle.php?edit=<?= $user['id'] ?>" target="_blank"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td>
</tr>
<?php } ?>
</tbody>
</table>

<br><br>

<table style="width:90%; margin:0 auto;"><h1 class="column-title coltitlecolor center"><?= _ADMINONLY ?></h1>
<tbody class="row_position">
<?php $sql = "SELECT * FROM adminarticle WHERE visibility='Admin' ORDER BY adminarticle_position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<h3 class="black"><?= _ID ?>: <?= $user['id'] ?> <?= _POSITION ?>: <?= $user['adminarticle_position'] ?></h3>
<h3 class="black"><?= $user['adminarticletitle'] ?></h3>
<?php if ($user['useadminarticle'] == 'Yes') { ?> <p class="black center">(<?= _PUBLISHED ?>)&nbsp;&nbsp;<a href="adminarticle.php?edit=<?= $user['id'] ?>" target="_blank"><span class="black">(<?= _EDIT ?>)</span></a><?php } else { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>)&nbsp;&nbsp;<a href="adminarticle.php?edit=<?= $user['id'] ?>" target="_blank"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td>
</tr>
<?php } ?>
</tbody>
</table>

<br><br>

<table style="width:90%; margin:0 auto;"><h1 class="column-title coltitlecolor center"><?= _VISITOR ?></h1>
<tbody class="row_position">
<?php $sql = "SELECT * FROM adminarticle WHERE visibility='Visitor' ORDER BY adminarticle_position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<h3 class="black"><?= _ID ?>: <?= $user['id'] ?> <?= _POSITION ?>: <?= $user['adminarticle_position'] ?></h3>
<h3 class="black"><?= $user['adminarticletitle'] ?></h3>
<?php if ($user['useadminarticle'] == 'Yes') { ?> <p class="black center">(<?= _PUBLISHED ?>)&nbsp;&nbsp;<a href="adminarticle.php?edit=<?= $user['id'] ?>" target="_blank"><span class="black">(<?= _EDIT ?>)</span></a><?php } else { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>)&nbsp;&nbsp;<a href="adminarticle.php?edit=<?= $user['id'] ?>" target="_blank"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td>
</tr>
<?php } ?>
</tbody>
</table>

</div>
</div>

<div style="padding-top:200px"></div>

<script>
$(".row_position").sortable({
delay: 150,
stop: function() {
var selectedData = new Array();
$('.row_position>tr').each(function() {
selectedData.push($(this).attr("id"));
});
updateOrder(selectedData);
}
});
function updateOrder(data) {
$.ajax({
url: "adminarticleAjax.php",
type: 'post',
data: {
position: data
},
success: function() {
alert('Your change was successfully saved.');
window.location.replace('adminarticle-position.php');
}
})
}
</script>