<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';

closenav(); ?>

<style>
.pagination {
background: <?= $content_bg ?>;
color: #000;
font-size: 14px;
border: .5px solid #000;
list-style-type: none;
padding: 0;
display: inline-flex;
justify-content: space-between;
box-sizing: border-box; }

.pagination .next a,
.pagination .prev a {
text-transform: uppercase;
font-size: 12px; }

.pagination .currentpage a {
background-color: #518acb;
color: #fff; }

.pagination .currentpage a:hover {
background-color: #518acb; }

.font {
font-size: 16px; }

.card7 { 
background:<?= $wrapper ?>;
padding: 20px; }

.action-card {
height: 50px;
display: flex;
flex-direction: column;
border: 1px solid rgba(255, 255, 255, 0.25);
border-radius: 20px;
background: <?= $content_bg ?>;
box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.25);
backdrop-filter: blur(15px); }

.content-card {
margin: 20px auto;
padding: 14px 24px;
border: 2px solid #FFF;
border-radius: 15px;
box-shadow: 0 0 5px 2px <?= $cnt_back_shadow ?>, inset 0 3px 18px rgba(100,100,100,0.25);
width: 97%;
height: 400px;
display: flex;
flex-direction: column;
border: 1px solid <?= $wrapper ?>;
background: linear-gradient(<?= $content_bg ?>, <?= $wrapper ?>);
backdrop-filter: blur(15px); }
</style>

<?php 
/**
 * 
 * Build the pagination.
 * Define $number_to_show.
 * 
 */

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$number_to_show = $row['number_to_show']; $article_order = $row['article_order']; }}

$total_pages = $mysqli->query('SELECT * FROM adminarticle')->num_rows;
$page = isset($_GET['page']) && is_numeric($_GET['page']) ? $_GET['page'] : 1;
$num_results_on_page = "$number_to_show"; ?>

<table><tr id="wrapper"><td>

<div class="column-title spacer"><h1 class="center coltitlecolor"><?= _ADMINARTICLEMSG ?></h1></div>

<div class="mini-container center"><p><?= _YOUCANCREATE ?></p></div>

<h1 class="left">&nbsp;&nbsp;&nbsp;<a href="adminarticle.php" style="text-decoration:none" class="btn"><span class="white"> <?= _ADDNEW ?> </span></a></h1>

<?php $results = mysqli_query($db, "SELECT * FROM adminarticle"); ?>

<form method="post" action="saveadminarticles.php" class="noborder">

<div class="row" style="padding:32px">

<?php global $id; ?>
<input type="hidden" name="id" value="<?= $id ?>">

<?php if ($stmt = $mysqli->prepare('SELECT * FROM adminarticle ORDER BY id ' . $article_order . ' LIMIT ?,?')) {
$calc_page = ($page - 1) * $num_results_on_page;
$stmt->bind_param('ii', $calc_page, $num_results_on_page);
$stmt->execute();
$result = $stmt->get_result();

/**
 * 
 * Build the array and 
 * add the cards.
 * 
 */

while ($row = $result->fetch_assoc()) { ?>

<div class="column6 card7 left">
<div class="content-card">
<p class="column-title coltitlecolor spacer center"><?= $row['adminarticletitle']; ?></p>
<div style="height:300px; overflow-y:auto;">
<p class="left"><?= _AUTHOR ?>: <?= $row['author']; ?>
<p class="left"><?= _WHOCANSEE ?><br><?= $row['visibility']; ?>
<p class="left"><?= _SHOWTITLE ?> <?= $row['showtitle']; ?>
<p class="left"><?= _PRINTAVAILABLE ?>: <?= $row['printon']; ?>
<p class="left"><?= _PUBLISHED ?>: <?= $row['useadminarticle']; ?>
<p class="left"><?= _BACKGROUND ?>: <?= $row['usewhich']; ?>
<p class="left"><?= _ALLOWCOMMENTS ?>: <?= $row['allowcomments']; ?>
</div>

<div class="center action-card">
<p><a href="adminarticle.php?edit=<?= $row['id']; ?>" onclick="basicPopup(this.href);return false" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="adminarticlepreview.php?id=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false"><img src="images/preview.png" class="noborder" style="width:30px" alt="Preview" title="Preview"></a>&nbsp;&nbsp;&nbsp;
<a href="saveadminarticle.php?del=<?= $row['id']; ?>" style="text-decoration:none" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>

<?php 
/**
 * 
 * Close the array.
 * 
 */
}} ?>

</td></tr></table>

<div class="center">

<?php 
/**
 * 
 * Show the pagination feature.
 * 
 */

if (ceil($total_pages / $num_results_on_page) > 0) { ?>
<div class="pagination">
<?php if ($page > 1) { ?> <a href="adminarticleall.php?page=<?= $page - 1 ?>">Prev</a>
<?php }
if ($page > 3) { ?> <a href="adminarticleall.php?page=1">1</a>
<?php }
if ($page - 20 > 0) { ?>
<a href="adminarticleall.php?page=<?= $page - 20 ?>">
<?= $page - 20 ?>
</a>
</div>
<?php }
if ($page - 1 > 0) { ?>
<a href="adminarticleall.php?page=<?= $page - 1 ?>">
<?= $page - 1 ?>
</a>
<?php } ?>
<a href="adminarticleall.php?page=<?= $page ?>">
<?= $page ?>
</a>
<?php if ($page + 1 < ceil($total_pages / $num_results_on_page) + 1) { ?>
<a href="adminarticleall.php?page=<?= $page + 1 ?>">
<?= $page + 1 ?>
</a>
<?php }
if ($page + 2 < ceil($total_pages / $num_results_on_page) + 1) { ?>
<a href="adminarticleall.php?page=<?= $page + 2 ?>">
<?= $page + 2 ?>
</a>
<?php };
if ($page < ceil($total_pages / $num_results_on_page) - 2) { ?>
<a href="adminarticleall.php?page=<?= ceil($total_pages / $num_results_on_page) ?>">
<?= ceil($total_pages / $num_results_on_page) ?>
</a>
<?php }
if ($page < ceil($total_pages / $num_results_on_page)) { ?> <a href="adminarticleall.php?page=<?= $page + 1 ?>">Next</a>
<?php } ?>

</div>
<?php } // End pagination.

require_once 'footer.php';