<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'header.php'; ?>

<script src="js/jquery.min.js"></script>
<script src="js/jquery-ui.min.js"></script>

<style>
h3, p {
font-size: 12px; }
</style>

<div class="card noborder">

<div class="column-title spacer">
<h1 class="center coltitlecolor"><?= _REPOSITIONARTICLE ?></h1>
</div>
<p class="center"><?= _REPOSITIONINFO ?></p>

<br>
<div class="container" style="height:800px; overflow-y:scroll; overflow-x:hidden;">

<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM articles WHERE publish = 'Yes' ORDER BY position_order + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>

<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position_order'] ?></p>
<h3 class="black"><?= $user['c_title'] ?></h3>
<?php if ($user['publish'] == 'Yes' && $user['archive'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archive'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['publish'] == 'No' && $user['archive'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="articlebuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td>
</tr>
</tbody>
</table>

<br>
<br>

</div>
</div>

<div style="padding-top:200px"></div>

<script>
$(".row_position").sortable({
delay: 150,
stop: function() {
var selectedData = new Array();
$('.row_position>tr').each(function() {
selectedData.push($(this).attr("id"));
});
updateOrder(selectedData);
}
});


function updateOrder(data) {
$.ajax({
url: "articleAjax.php",
type: 'post',
data: {
position: data
},
success: function() {
alert('Your change was successfully saved.');
window.location.replace('article-position.php');
}
})
}
</script>

<script>
function basicPopup(url) {
popupWindow = window.open(url, 'popUpWindow', 'height=500,width=500,left=100,top=100,resizable=yes,scrollbars=yes,toolbar=no,menubar=no,location=no,directories=no, status=no'); }
</script>