<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav(); ?>

<style>
.pagination {
background: <?= $content_bg ?>;
color: <?= $gen_text_color ?>
font-size: 14px;
list-style-type: none;
padding: 0;
display: inline-flex;
justify-content: space-between;
box-sizing: border-box; }

.pagination .next a,
.pagination .prev a {
text-transform: uppercase;
font-size: 12px; }

.pagination .currentpage a {
background-color: #518acb;
color: #fff; }

.pagination .currentpage a:hover {
background-color: #518acb; }

.card7 { 
background:<?= $wrapper ?>;
padding: 20px; }

.action-card {
height: 50px;
display: flex;
flex-direction: column;
border: 1px solid rgba(255, 255, 255, 0.25);
border-radius: 20px;
background: <?= $content_bg ?>;
box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.25);
backdrop-filter: blur(15px); }

.content-card {
margin: 20px auto;
padding: 14px 24px;
border: 2px solid #FFF;
border-radius: 15px;
box-shadow: 0 0 5px 2px <?= $cnt_back_shadow ?>, inset 0 3px 18px rgba(100,100,100,0.25);
width: 97%;
height: 400px;
display: flex;
flex-direction: column;
border: 1px solid <?= $wrapper ?>;
background: linear-gradient(<?= $content_bg ?>, <?= $wrapper ?>);
backdrop-filter: blur(15px); }
</style>

<?php $sql = "SELECT * FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$article_order = $row['article_order'];
$numbertoshow = $row['numbertoshow']; }}

$total_pages = $mysqli->query("SELECT * FROM articles")->num_rows;
$page = isset($_GET['page']) && is_numeric($_GET['page']) ? $_GET['page'] : 1;
$num_results_on_page = "$numbertoshow"; ?>

<br><br>

<div class="full spacer">
<div class="spacer inner-wrapper">
<div class="column-title spacer"><h1 class="center coltitlecolor"><?= _ARTICLES ?></h1></div>

<h1 class="left">&nbsp;&nbsp;&nbsp;<a href="articlebuilder.php" style="text-decoration:none" class="btn"><span class="white"> <?= _ADDNEW ?> </span></a></h1>

<?php if (isset($_SESSION["message"]) && !empty($_SESSION["message"])) {
$message = $_SESSION["message"];
echo "<div class='center gentextcolor spacer inner-wrapper quarter'>" . $message . "</div>";
unset($_SESSION['message']); } ?>

<?php $results = mysqli_query($db, "SELECT * FROM articles"); ?>

<form method="post" action="savearticles.php" class="noborder">

<?php global $id; ?>

<input type="hidden" name="id" value="<?= $id ?>">

<table><tr id="wrapper"><td id="wrapper">
<br>
<div class="center">
<?php if (ceil($total_pages / $num_results_on_page) > 0) { ?>
<div class="pagination gentextcolor">
<?php if ($page > 1) { ?> <a href="articles.php?page=<?= $page - 1 ?>"><?= _PREV ?></a>
<?php }
if ($page > 3) { ?> <a href="articles.php?page=1">1</a>
<?php }
if ($page - 20 > 0) { ?>
<a href="articles.php?page=<?= $page - 50 ?>">
<?= $page - 20 ?>
</a>
</div>
<?php }
if ($page - 1 > 0) { ?>
<a href="articles.php?page=<?= $page - 1 ?>">
<?= $page - 1 ?>
</a>
<?php } ?>
<a href="articles.php?page=<?= $page ?>">
<?= $page ?>
</a>
<?php if ($page + 1 < ceil($total_pages / $num_results_on_page) + 1) { ?>
<a href="articles.php?page=<?= $page + 1 ?>">
<?= $page + 1 ?>
</a>
<?php }
if ($page + 2 < ceil($total_pages / $num_results_on_page) + 1) { ?>
<a href="articles.php?page=<?= $page + 2 ?>">
<?= $page + 2 ?>
</a>
<?php };
if ($page < ceil($total_pages / $num_results_on_page) - 2) { ?>
<a href="articles.php?page=<?= ceil($total_pages / $num_results_on_page) ?>">
<?= ceil($total_pages / $num_results_on_page) ?>
</a>
<?php }
if ($page < ceil($total_pages / $num_results_on_page)) { ?> <a href="articles.php?page=<?= $page + 1 ?>"><?= _NEXT ?></a>
<?php } ?>
</div>
</div>
<?php } ?>
</td></tr></table>

<table><tr id="wrapper"><td id="wrapper">
    
<?php if ($stmt = $mysqli->prepare('SELECT * FROM articles ORDER BY id ' . $article_order . ' LIMIT ?,?')) {
$calc_page = ($page - 1) * $num_results_on_page;
$stmt->bind_param('ii', $calc_page, $num_results_on_page);
$stmt->execute();
$result = $stmt->get_result();

while ($row = $result->fetch_assoc()) { ?>

<div class="column6 card7 left">
<div class="content-card">
<p class="column-title coltitlecolor center spacer"><?= $row['c_title']; ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _TAGS ?>: <?= $row['tags']; ?></p>
<p class="left"><?= _CATEGORY ?>: <?= $row['category']; ?></p>
<p class="left"><?= _SPOTLIGHT ?>: <?= $row['spotlight']; ?></p>
<p class="left"><?= _AUTHOR ?>: <?= $row['author']; ?></p>
<p class="left"><?= _SHOWAUTHOR ?>: <?= $row['showauthor']; ?></p>
<p class="left"><?= _PRINTAVAILABLE ?>: <?= $row['printon']; ?></p>
<p class="left"><?= _ALLOWCOMMENTS ?>: <?= $row['allowcomments']; ?></p>
<p class="left"><?= _PUBLISHED ?>: <?= $row['publish']; ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archive']; ?></p>
<p class="left"><?= _READMORE ?>: <?= $row['usereadmore']; ?></p>
<p class="left"><?= _MEMBERSUBMITTED ?>: <?= $row['mbrsubmitted']; ?></p>
</div>

<div class="action-card center"><p><a href="../../sup/articles.php?id=<?= $row['id']; ?>" style="text-decoration:none" target="_blank" title="<?= _OPENSINNEWWINDOW ?>"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>

<a href="articlebuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>

<a href="savearticles.php?del=<?= $row['id']; ?>" style="text-decoration:none" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" /></a>
</p></div>
</div></div>
<?php }} ?>
</td></tr></table>
</div>

<table><tr id="wrapper"><td id="wrapper">
<br>
<div class="center">
<?php if (ceil($total_pages / $num_results_on_page) > 0) { ?>
<div class="pagination gentextcolor">
<?php if ($page > 1) { ?> <a href="articles.php?page=<?= $page - 1 ?>"><?= _PREV ?></a>
<?php }
if ($page > 3) { ?> <a href="articles.php?page=1">1</a>
<?php }
if ($page - 20 > 0) { ?>
<a href="articles.php?page=<?= $page - 50 ?>">
<?= $page - 20 ?>
</a>
</div>
<?php }
if ($page - 1 > 0) { ?>
<a href="articles.php?page=<?= $page - 1 ?>">
<?= $page - 1 ?>
</a>
<?php } ?>
<a href="articles.php?page=<?= $page ?>">
<?= $page ?>
</a>
<?php if ($page + 1 < ceil($total_pages / $num_results_on_page) + 1) { ?>
<a href="articles.php?page=<?= $page + 1 ?>">
<?= $page + 1 ?>
</a>
<?php }
if ($page + 2 < ceil($total_pages / $num_results_on_page) + 1) { ?>
<a href="articles.php?page=<?= $page + 2 ?>">
<?= $page + 2 ?>
</a>
<?php };
if ($page < ceil($total_pages / $num_results_on_page) - 2) { ?>
<a href="articles.php?page=<?= ceil($total_pages / $num_results_on_page) ?>">
<?= ceil($total_pages / $num_results_on_page) ?>
</a>
<?php }
if ($page < ceil($total_pages / $num_results_on_page)) { ?> <a href="articles.php?page=<?= $page + 1 ?>"><?= _NEXT ?></a>
<?php } ?>
</div>
</div>
<?php } ?>
</td></tr></table>

<?php require_once 'footer.php';