<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

$sql = "SELECT * FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$lang = $row['lang']; }}
require_once 'lang/' . $lang . '.php'; ?>

<!DOCTYPE html>
<html>
<head>
<script src="js/math.js"></script>
<script src="js/math.min.js"></script>

<link rel="stylesheet" href="css/tables.min.css" />
<style>
body {
background: #336699; }
.calcu {
width: 35%;
margin-left: auto;
margin-right: auto; }

td {
background: #f0f0f0;
height: 40px;
width: 40px; }

input[type="button"] {
width: 100%;
padding: 5px 5px;
background-color: #336699;
color: white;
font-size: 20px;
font-weight: bold;
border: none;
border-radius: 5px; }

input[type="text"] {
padding: 5px 5px;
font-size: 20px;
font-weight: bold;
border: none;
border-radius: 5px;
border: 2px solid black; }

.hilite:hover {
background: #223366; }

</style>
</head>

<body>
<table class="calcu half border" id="calcu">
<tr><td colspan="4" class="center"><?= _CANUSEKEYPAD ?></td></tr>
<tr>
<td colspan="3" class="center"><input type="text" id="result" style="font-size:12px"></td>

<?php
/**
 * 
 * clr() function will call clr to clear all value.
 * 
 */ ?>

<td><input class="hilite" type="button" value="c" onclick="clr()" /> </td>
</tr>
<tr>

<?php
/**
 * Create a button and assign a value to each button.
 * dis("1") will call function dis to display value.
 * 
 */ ?>

<td><input class="hilite" type="button" value="1" onclick="dis('1')" onkeydown="myFunction(event)"> </td>
<td><input class="hilite" type="button" value="2" onclick="dis('2')" onkeydown="myFunction(event)"> </td>
<td><input class="hilite" type="button" value="3" onclick="dis('3')" onkeydown="myFunction(event)"> </td>
<td><input class="hilite" type="button" value="/" onclick="dis('/')" onkeydown="myFunction(event)"> </td>
</tr>
<tr>
<td><input class="hilite" type="button" value="4" onclick="dis('4')" onkeydown="myFunction(event)"> </td>
<td><input class="hilite" type="button" value="5" onclick="dis('5')" onkeydown="myFunction(event)"> </td>
<td><input class="hilite" type="button" value="6" onclick="dis('6')" onkeydown="myFunction(event)"> </td>
<td><input class="hilite" type="button" value="*" onclick="dis('*')" onkeydown="myFunction(event)"> </td>
</tr>
<tr>
<td><input class="hilite" type="button" value="7" onclick="dis('7')" onkeydown="myFunction(event)"> </td>
<td><input class="hilite" type="button" value="8" onclick="dis('8')" onkeydown="myFunction(event)"> </td>
<td><input class="hilite" type="button" value="9" onclick="dis('9')" onkeydown="myFunction(event)"> </td>
<td><input class="hilite" type="button" value="-" onclick="dis('-')" onkeydown="myFunction(event)"> </td>
</tr>
<tr>
<td><input class="hilite" type="button" value="0" onclick="dis('0')" onkeydown="myFunction(event)"> </td>
<td><input class="hilite" type="button" value="." onclick="dis('.')" onkeydown="myFunction(event)"> </td>

<?php
/**
 * 
 * solve function call function solve to evaluate value.
 * 
 */ ?>

<td><input class="hilite" type="button" value="=" onclick="solve()"> </td>

<td><input class="hilite" type="button" value="+" onclick="dis('+')" onkeydown="myFunction(event)"> </td>
</tr>
</table>

<script>
// Function that display value
function dis(val) {
document.getElementById("result").value += val
}

function myFunction(event) {
if (event.key == '0' || event.key == '1' ||
event.key == '2' || event.key == '3' ||
event.key == '4' || event.key == '5' ||
event.key == '6' || event.key == '7' ||
event.key == '8' || event.key == '9' ||
event.key == '+' || event.key == '-' ||
event.key == '*' || event.key == '/')
document.getElementById("result").value += event.key;
}

var cal = document.getElementById("calcu");
cal.onkeyup = function(event) {
if (event.keyCode === 13) {
console.log("Enter");
let x = document.getElementById("result").value
console.log(x);
solve();
}}

// Function that evaluates the digit and return result
function solve() {
let x = document.getElementById("result").value
let y = math.evaluate(x)
document.getElementById("result").value = y
}

// Function that clear the display
function clr() {
document.getElementById("result").value = ""
}
</script>

</body>
</html>