<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php'; 

$sql = "SELECT * FROM website, version";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$lang = $row['lang']; }}
require_once 'lang/' . $lang . '.php'; ?>

<title><?= _UPLOADCOMPRESSIMG ?></title>
<?php require_once 'themes/theme.php'; ?>
<link rel="stylesheet" href="themes/style.css">
<link rel="stylesheet" href="../css/fonts.css">
<script src="../js/jquery.min.js"></script>
<script src="../css/bootstrap.min.js"></script>
<?php require_once 'upload.php'; ?>
<br>
<div class="column-title spacer">
<h1 class="center coltitlecolor"><?= _UPLOADCOMPRESSIMG ?></h1>
</div>
<h3 class="center black"><?=_IMGARESTOREDIN?></h3>
<p class="center black"><?= _ALLOWEDFILES ?>: jpg, png, jpeg, gif</p>
<div class="inner-wrapper">
<form action="" method="post" enctype="multipart/form-data" class="noborder">
<div class="spacer">
<h3 class="center gentextcolor"><?= _SELECTIMGFILE ?></h3>
<div class="spacer center" style="margin: 0 auto">
<input type="file" class="center" name="image">
</div>
</div>
<br>
<div class="center">
<input type="submit" class="button" name="submit" value="<?= _COMPRESSIMG ?>">
</div>
<br>
</div>
</form>

<div class="center result">
<?php if (!empty($compressedImage)) { ?>
<p class="black"><b><?= _ORIGINALSIZE ?>:</b><?= $imageSize ?> </p>
<p class="black"><b><?= _COMPRESSEDSIZE ?>:</b><?= $compressedImageSize ?></p>
<p class="center black"><?= _CLICKPREVIEW ?>.</p>
<a href="<?= $compressedImage ?>" onclick="basicPopup(this.href);return false" title="<?= _CLICKPREVIEW ?>"><img src="<?= $compressedImage ?>" style="width:300px;height:auto;" alt="<?= _CLICKPREVIEW ?>" /></a>
<?php } ?>
</div>
<br><br>