<?php 
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */
 
require_once 'header.php'; ?>

<style>
h3, a {
font-size: 16px; }

.column2 {
width: 50%; }

@media (max-width: 1000px) {
.column2 {
width: 100%;
float: left; }}

#mytopBtn {
display: none;
position: fixed;
bottom: 20px;
right: 30px;
z-index: 99999;
font-size: 18px;
border: none;
outline: none;
background-color: red;
color: white;
cursor: pointer;
padding: 15px;
border-radius: 4px; }

#mytopBtn:hover {
background-color: #555; }
</style>

<button onclick="topFunction()" id="mytopBtn" title="Go to top"><?= _TOP ?></button>

<div class="column-title spacer"><h1 class="coltitlecolor centerReposition Containers</h1></div>
<div class="inner-wrapper" style="box-shadow:none; width:97%; margin:0 auto;">
<br>
<script src="js/jquery.min.js"></script>
<script src="js/jquery-ui.min.js"></script>
<div class="card noborder">

<?php require_once 'container-jumpbox.php'; ?>

<table><tr><td id="wrapper">
<div class="left"><a href="container.php" style="text-decoration:none" class="btn"><span class="white"> <?= _ADDNEW ?> </span></a></div>

<br>
<div class="column-title"><h1 class="coltitlecolor center" id="one"><?= _ROWONE ?></h1></div>
<p class="center card"><?= _ROWONETOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row One Top' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>: <?= $row['title'] ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="onemiddle"><?= _ROWONEMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row One Middle' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?>  | <?= _LOCATION ?>: <?= $row['location'] ?>h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="onebottom"><?= _ROWONEBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row One Bottom' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<div class="column-title"><h1 class="coltitlecolor center" id="two"><?= _ROWTWO ?></h1></div>
<p class="center card"><?= _ROWTWOTOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Two Top' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>: <?= $row['title'] ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="twomiddle"><?= _ROWTWOMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Two Middle' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?>  | <?= _LOCATION ?>: <?= $row['location'] ?>h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="twobottom"><?= _ROWTWOBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Two Bottom' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<div class="column-title"><h1 class="coltitlecolor center" id="three"><?= _ROWTHREE ?></h1></div>
<p class="center card"><?= _ROWTHREETOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Three Top' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>: <?= $row['title'] ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="threemiddle"><?= _ROWTHREEMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Three Middle' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?>  | <?= _LOCATION ?>: <?= $row['location'] ?>h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="threebottom"><?= _ROWTHREEBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Three Bottom' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<div class="column-title"><h1 class="coltitlecolor center" id="four"><?= _ROWFOUR ?></h1></div>
<p class="center card"><?= _ROWFOURTOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Four Top' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>: <?= $row['title'] ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="fourmiddle"><?= _ROWFOURMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Four Middle' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?>  | <?= _LOCATION ?>: <?= $row['location'] ?>h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="fourbottom"><?= _ROWFOURBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Four Bottom' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<div class="column-title"><h1 class="coltitlecolor center" id="five"><?= _ROWFIVE ?></h1></div>
<p class="center card"><?= _ROWFIVETOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Five Top' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>: <?= $row['title'] ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="fivemiddle"><?= _ROWFIVEMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Five Middle' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?>  | <?= _LOCATION ?>: <?= $row['location'] ?>h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="fivebottom"><?= _ROWFIVEBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Five Bottom' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<div class="column-title"><h1 class="coltitlecolor center" id="six"><?= _ROWSIX ?></h1></div>
<p class="center card"><?= _ROWSIXTOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Six Top' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>: <?= $row['title'] ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="sixmiddle"><?= _ROWSIXMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Six Middle' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?>  | <?= _LOCATION ?>: <?= $row['location'] ?>h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="sixbottom"><?= _ROWSIXBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Six Bottom' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<div class="column-title"><h1 class="coltitlecolor center" id="seven"><?= _ROWSEVEN ?></h1></div>
<p class="center card"><?= _ROWSEVENTOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Seven Top' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>: <?= $row['title'] ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="sevenmiddle"><?= _ROWSEVENMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Seven Middle' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?>  | <?= _LOCATION ?>: <?= $row['location'] ?>h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="sevenbottom"><?= _ROWSEVENBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Seven Bottom' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<div class="column-title"><h1 class="coltitlecolor center" id="eight"><?= _ROWEIGHT ?></h1></div>
<p class="center card"><?= _ROWEIGHTTOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Eight Top' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>: <?= $row['title'] ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="eightmiddle"><?= _ROWEIGHTMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Eight Middle' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?>  | <?= _LOCATION ?>: <?= $row['location'] ?>h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="eightbottom"><?= _ROWEIGHTBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Eight Bottom' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<div class="column-title"><h1 class="coltitlecolor center" id="nine"><?= _ROWNINE ?></h1></div>
<p class="center card"><?= _ROWNINETOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Nine Top' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>: <?= $row['title'] ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="ninemiddle"><?= _ROWNINEMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Nine Middle' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?>  | <?= _LOCATION ?>: <?= $row['location'] ?>h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="ninebottom"><?= _ROWNINEBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Nine Bottom' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<div class="column-title"><h1 class="coltitlecolor center" id="ten"><?= _ROWTEN ?></h1></div>
<p class="center card"><?= _ROWTENTOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Ten Top' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>: <?= $row['title'] ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="tenmiddle"><?= _ROWTENMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Ten Middle' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?>  | <?= _LOCATION ?>: <?= $row['location'] ?>h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="tenbottom"><?= _ROWTENBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Ten Bottom' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<div class="column-title"><h1 class="coltitlecolor center" id="eleven"><?= _ROWELEVEN ?></h1></div>
<p class="center card"><?= _ROWELEVENTOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Eleven Top' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>: <?= $row['title'] ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="elevenmiddle"><?= _ROWELEVENMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Eleven Middle' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?>  | <?= _LOCATION ?>: <?= $row['location'] ?>h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="elevenbottom"><?= _ROWELEVENBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Eleven Bottom' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<div class="column-title"><h1 class="coltitlecolor center" id="twelve"><?= _ROWTWELVE ?></h1></div>
<p class="center card"><?= _ROWTWELVETOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Twelve Top' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>: <?= $row['title'] ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="twelvemiddle"><?= _ROWTWELVEMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Twelve Middle' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?>  | <?= _LOCATION ?>: <?= $row['location'] ?>h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<p class="center card" id="twelvebottom"><?= _ROWTWELVEBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM container WHERE set_position='Row Twelve Bottom' ORDER BY location + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column2" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?> | <?= _POSITION ?>: <?= $row['set_position'] ?> | <?= _LOCATION ?>: <?= $row['location'] ?></h3>
                    <h3 class="black"><?= _TITLE ?>: <?= $row['title'] ?></h3>
                    <a href="container.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>

<br>

<div style="padding-top:200px"></div>

<script>
$(".row_position").sortable({
delay: 150,
stop: function() {
var selectedData = new Array();
$('.row_position>tr').each(function() {
selectedData.push($(this).attr("id"));
});
updateOrder(selectedData);
}
});

function updateOrder(data) {
$.ajax({
url: "container-ajax.php",
type: 'post',
data: {
position: data
},
success: function() {
alert('Your change was successfully saved.');
window.location.replace('container-reposition.php');
}
})
}
</script>
</div>

<script>
let mybutton = document.getElementById("mytopBtn");
window.onscroll = function() {scrollFunction()};
function scrollFunction() {
if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
mybutton.style.display = "block";
} else {
mybutton.style.display = "none"; }}
function topFunction() {
document.body.scrollTop = 0;
document.documentElement.scrollTop = 0; }
</script>

<?php require_once 'footer.php';