<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav();

require_once 'downloads.php';
if (isset($_GET['edit'])) { $id = $_GET['edit'];} ?>

<style>
p { 
font-size: 18px; 
color: <?= $gen_text_color ?>; } 

.card7 { 
background:<?= $wrapper ?>;
padding: 20px; }

.action-card {
height: 50px;
display: flex;
flex-direction: column;
border: 1px solid rgba(255, 255, 255, 0.25);
border-radius: 20px;
background: <?= $content_bg ?>;
box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.25);
backdrop-filter: blur(15px); }

.content-card {
margin: 20px auto;
padding: 14px 24px;
border: 2px solid #FFF;
border-radius: 15px;
box-shadow: 0 0 5px 2px <?= $cnt_back_shadow ?>, inset 0 3px 18px rgba(100,100,100,0.25);
width: 97%;
height: 450px;
display: flex;
flex-direction: column;
border: 1px solid <?= $wrapper ?>;
background: linear-gradient(<?= $content_bg ?>, <?= $wrapper ?>);
backdrop-filter: blur(15px); }
</style>
<br>
<?php require_once 'downloadsmenu.php'; ?>
<br><br>
<input type="hidden" name="id" value="<?= $id; ?>">
<div class="radius spacer inner-wrapper">
<div class="spacer column-title"><h1 class="center coltitlecolor"><?= _DOWNLOADSMANAGER ?> <i class="fa fa-download"></i></h1></div>
<p class="center"><?= _SHAREFILES ?></p>
<p class="center"><?= _ADDINGDOWNLOAD ?></p>
<p class="center"><?= _DELETEMANUALLY ?></p>

<div class="left">&nbsp;&nbsp;&nbsp;<a class="btn" href="uploadfiles.php" onclick="basicPopup(this.href);return false" style="text-decoration:none"><?= _ADDNEW ?> </a>&nbsp;&nbsp;&nbsp;<a href="" class="btn" style="text-decoration:none"><?= _REFRESHPAGE ?></a></div>
<br>

<?php
/**
 * 
 * Start building the cards.
 * 
 */ ?>

<div class="row" style="padding:32px;">

<?php 
/**
 * 
 * Build the downloads array 
 * and show information cards.
 * 
 */ ?>

<table><tr id="wrapper"><td>
    
<?php $sql = "SELECT * FROM files ORDER BY downloadspagename ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 

/**
 * 
 * Display cards in rows of 4.
 * 
 */  ?>

<div class="column6 card7 left">
<div class="content-card">
<div><p class="left">(<?= _ID ?> <?= $row['id'] ?>)</p><p class="column-title spacer coltitlecolor center"><?= $row['title']; ?></p></div>
<div style="height:300px; overflow-y:auto;">
<p><strong><?= _NAME ?>:</strong> <?= $row['name']; ?></p>
<p><strong><?= _CATEGORY ?>:</strong> <?= $row['cat_name']; ?></p>
<p><strong><?= _ARCHIVED ?>:</strong> <?= $row['archive']; ?></p>
<p><strong><?= _PAGENAME ?>:</strong> <?= $row['downloadspagename']; ?></p>
<p><strong><?= _ALLOWCOMMENTS ?>:</strong> <?= $row['allowcomments']; ?></p>
</div>
<div class="action-card center">
<p><a href="downloadsbuilder.php?edit=<?= $row['id']; ?>" onclick="basicPopup(this.href);return false" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:20px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="downloads.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php }}

/**
 * 
 * Close the array.
 * 
 */ ?>

<br>
</td></tr></table>
</div>

<?php require_once 'footer.php';