<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'downloadspagenamessave.php';
closenav();
if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT downloadspagesname FROM downloadspages WHERE id=$id"); {
$n = mysqli_fetch_array($record);
$downloadspages = $n['downloadspages']; }} ?>

<style>
p { 
font-size: 18px; 
color: <?= $gen_text_color ?>; } 

.card7 { 
background:<?= $wrapper ?>;
padding: 20px; }

.action-card {
height: 50px;
display: flex;
flex-direction: column;
border: 1px solid rgba(255, 255, 255, 0.25);
border-radius: 20px;
background: <?= $content_bg ?>;
box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.25);
backdrop-filter: blur(15px); }

.content-card {
margin: 20px auto;
padding: 14px 24px;
border: 2px solid #FFF;
border-radius: 15px;
box-shadow: 0 0 5px 2px <?= $cnt_back_shadow ?>, inset 0 3px 18px rgba(100,100,100,0.25);
width: 97%;
height: 300px;
display: flex;
flex-direction: column;
border: 1px solid rgba(255, 255, 255, 0.25);
background: linear-gradient(<?= $content_bg ?>, <?= $content_bg ?>);
backdrop-filter: blur(15px); }
</style>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">
<br>
<?php require_once 'downloadsmenu.php'; ?>
<br><br>

<table class="full spacer"><tr class="card"><td id="wrapper">

<div class="spacer column-title"><h1 class="center coltitlecolor"><?= _DOWNLOADSPAGES ?></h1></div>

<?php if (isset($_SESSION["message"]) && !empty($_SESSION["message"])) {
$message = $_SESSION["message"];
echo "<div class='center gentextcolor spacer inner-wrapper quarter'>" . $message . "</div>";
unset($_SESSION['message']); } ?>

<p class="center"><?= _ADDASMANYPAGESNEEDED ?></p>

<?php $results = mysqli_query($db, "SELECT * FROM downloadspages ORDER BY downloadspagename ASC"); ?>

<input type="hidden" name="id" value="<?= $id ?>">

<h3 class="left"><a href="downloadspagenames.php" style="text-decoration:none" class="button"><span class="white"><?= _ADDNEW ?></span></a></h3>

<div class="full input-group">

<?php while ($row = mysqli_fetch_array($results)) { ?>

<div class="column6 card7 left">
<div class="content-card">

<p class="center column-title coltitlecolor" style="font-size:18px" data-label="<?= _PAGENAME ?>: "><?= $row['downloadspagename'] ?></p>

<div style="height:200px; overflow-y:auto;">

<p class="left"><?= _BACKGROUND ?>: <?= $row['selectbg'] ?></p>

<?php if ($row['selectbg'] == 'Image') { 

$filename = '../media/images/' . $row['cardback'] . '';
if (file_exists($filename)) { ?> 
<p class="left"><?= _IMAGE ?>:&nbsp;&nbsp;<a href="<?= $filename ?>" data-lightbox="spectra" title="<?= _OPENINLIGHTBOX ?>"><?= $row['cardback'] ?></a></p>
<?php } else { ?>
<p class="left"><b><?= _IMAGENOTFOUND ?></b> (<?= $row['cardback'] ?>)</p>
<?php }}

if ($row['selectbg'] == 'Color') { ?>
<p class="left"><?= _FIRSTCOLOR ?> <?= $row['colorone'] ?><br><?= _SECONDCOLOR ?> <?= $row['colortwo'] ?></p>
<?php } ?>

<p class="left"> 
<?php if ($row['faicon'] == '') { echo '' . _ICON . ':&nbsp;&nbsp;' . _NOICONUSED . ''; }
else { echo '<p class="left">' . _ICON . ':&nbsp;&nbsp;<i class="' . $row['faicon'] . ' spacer" style="background:' . $gen_text_color . '; color:' . $row['faiconcolor'] . '; border-radius:50%;"></i>&nbsp;&nbsp;' . $row['faicon'] . '&nbsp;&nbsp;' . $row['faiconcolor'] . '</p>'; ?>
<?php } ?>
</p>

<p class="left"><?= _PAGESTYLE ?>: <?= $row['style'] ?></p>

</div>

<div class="action-card">
<p class="center"><a href="downloadspagenames.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="downloadspagenamessave.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
<br><br>
</div>
</td></tr></table>
<br><br>
<?php require_once 'footer.php';