<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'functions.php';

/**
 * 
 * Variables for the 
 * On-canvas and Off-canvas
 * sidebars.
 * 
 */

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$hp_sidebars = $row['hp_sidebars']; 
$hp_oncanvas_sidebars = $row['hp_oncanvas_sidebars']; }}

/**
 * 
 * Variables for the
 * rows/layers.
 * 
 */

$sql = "SELECT * FROM config_row_one, config_row_two, 
config_row_three, config_row_four, 
config_row_five, config_row_six, 
config_row_seven, config_row_eight, 
config_row_nine, config_row_ten, 
config_row_eleven, config_row_twelve"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
 $rowonesidebars = $row['rowonesidebars']; 
 $rowtwosidebars = $row['rowtwosidebars']; 
 $rowthreesidebars = $row['rowthreesidebars']; 
 $rowfoursidebars = $row['rowfoursidebars']; 
 $rowfivesidebars = $row['rowfivesidebars']; 
 $rowsixsidebars = $row['rowsixsidebars']; 
 $rowsevensidebars = $row['rowsevensidebars']; 
 $roweightsidebars = $row['roweightsidebars']; 
 $rowninesidebars = $row['rowninesidebars']; 
 $rowtensidebars = $row['rowtensidebars']; 
 $rowelevensidebars = $row['rowelevensidebars'];
 $rowtwelvesidebars = $row['rowtwelvesidebars']; }} ?>

<div class="full radius noborder">

<style>
.responsiveC {
width: 73%;
background: #fff;
border: .5px solid #94D6E3; }

@media(max-width:900px) {
.responsiveC {
width: 100%;
padding: 0; }}

.coltitle {
background: #fff;
text-align: center;
border: .5px solid #94D6E3;
box-shadow: 1px 0 40px 0 rgba(50, 50, 50, .3); }
</style>

<div class="card noborder spacer">
<div class="column-title spacer">
<h1 class="center coltitlecolor"><?= _EMAILUSERREG ?></h1>
</div>
<div class="mini-container noborder spacer">

<p class="center"><?= _THEFOLLOWINGSETTINGS ?></p>

<?php $sql = "SELECT * FROM registration";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>

<form action="helpers/email_settings.php" method="post" target="_blank" class="noborder">

<?php savemenu(); ?>

<p class="left"><strong><?= _ALLOWNEWMEMBERS ?>? </strong>
<select name="allow_registration">
<option><?= $row['allow_registration'] ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select> <?= _LINKACCOUNT ?>
</p>

<p class="center"><strong><?= _AVATARSETTINGS ?></strong></p>

<p class="left"><?= _IFCHOSENO ?></p>

<p class="left"><?= _THENEXTSETTING ?></p>

<?php
/**
 * 
 * Show only those sidebars
 * that are active in the
 * menu selection.
 * 
 */ ?>

<p class="left"><strong><?= _USEREGISTRATION ?>? </strong>
<select name="registration_block">
<option><?= $row['registration_block'] ?></option>
<option value="Top"><?= _TOP ?></option>
<?php if ($hp_sidebars == 'Left' or $hp_sidebars == 'Both') { ?>
<option value="Off-canvas Left"><?= _OFFCANVASLEFT ?></option>
<?php }
if ($hp_sidebars == 'Right' or $hp_sidebars == 'Both') { ?> 
<option value="Off-canvas Right"><?= _OFFCANVASRIGHT ?></option>
<?php }
if ($hp_oncanvas_sidebars == 'Left' or $hp_oncanvas_sidebars == 'Both') { ?>
<option value="On-canvas Left"><?= _ONCANVASLEFT ?></option>
<?php }
if ($hp_oncanvas_sidebars == 'Right' or $hp_oncanvas_sidebars == 'Both') { ?>
<option value="On-canvas Right"><?= _ONCANVASRIGHT ?></option>
<?php }
if ($rowonesidebars == 'Left' or $rowonesidebars == 'Both') { ?>
<option value="Row One Left"><?= _ROWONE ?> <?= _LEFT ?></option>
<?php }

if ($rowonesidebars == 'Right' or $rowonesidebars == 'Both') { ?>
<option value="Row One Right"><?= _ROWONE ?> <?= _RIGHT ?></option>
<?php } 

if ($rowtwosidebars == 'Left' or $rowtwosidebars == 'Both') { ?>
<option value="Row Two Left"><?= _ROWTWO ?> <?= _LEFT ?></option>
<?php }
if ($rowtwosidebars == 'Right' or $rowtwosidebars == 'Both') { ?>
<option value="Row Two Right"><?= _ROWTWO ?> <?= _RIGHT ?></option>
<?php } 

if ($rowthreesidebars == 'Left' or $rowthreesidebars == 'Both') { ?>
<option value="Row Three Left"><?= _ROWTHREE ?> <?= _LEFT ?></option>
<?php }
if ($rowthreesidebars == 'Right' or $rowthreesidebars == 'Both') { ?>
<option value="Row Three Right"><?= _ROWTHREE ?> <?= _RIGHT ?></option>
<?php }

if ($rowfoursidebars == 'Left' or $rowfoursidebars == 'Both') { ?>
<option value="Row Four Left"><?= _ROWFOUR ?> <?= _LEFT ?></option>
<?php }
if ($rowfoursidebars == 'Right' or $rowfoursidebars == 'Both') { ?>
<option value="Row Four Right"><?= _ROWFOUR ?> <?= _RIGHT ?></option>
<?php }

if ($rowfivesidebars == 'Left' or $rowfivesidebars == 'Both') { ?>
<option value="Row Five Left"><?= _ROWFIVE ?> <?= _LEFT ?></option>
<?php }
if ($rowfivesidebars == 'Right' or $rowfivesidebars == 'Both') { ?>
<option value="Row Five Right"><?= _ROWFIVE ?> <?= _RIGHT ?></option>
<?php }

if ($rowsixsidebars == 'Left' or $rowsixsidebars == 'Both') { ?>
<option value="Row Six Left"><?= _ROWSIX ?> <?= _LEFT ?></option>
<?php }
if ($rowsixsidebars == 'Right' or $rowsixsidebars == 'Both') { ?>
<option value="Row Six Right"><?= _ROWSIX ?> <?= _RIGHT ?></option>
<?php }

if ($rowsevensidebars == 'Left' or $rowsevensidebars == 'Both') { ?>
<option value="Row Seven Left"><?= _ROWSEVEN ?> <?= _LEFT ?></option>
<?php }
if ($rowsevensidebars == 'Right' or $rowsevensidebars == 'Both') { ?>
<option value="Row Seven Right"><?= _ROWSEVEN ?> <?= _RIGHT ?></option>
<?php }

if ($roweightsidebars == 'Left' or $roweightsidebars == 'Both') { ?>
<option value="Row Eight Left"><?= _ROWEIGHT ?> <?= _LEFT ?></option>
<?php }
if ($roweightsidebars == 'Right' or $roweightsidebars == 'Both') { ?>
<option value="Row Eight Right"><?= _ROWEIGHT ?> <?= _RIGHT ?></option>
<?php }

if ($rowninesidebars == 'Left' or $rowninesidebars == 'Both') { ?>
<option value="Row Nine Left"><?= _ROWNINE ?> <?= _LEFT ?></option>
<?php }
if ($rowninesidebars == 'Right' or $rowninesidebars == 'Both') { ?>
<option value="Row Nine Right"><?= _ROWNINE ?> <?= _RIGHT ?></option>
<?php }

if ($rowtensidebars == 'Left' or $rowtensidebars == 'Both') { ?>
<option value="Row Ten Left"><?= _ROWTEN ?> <?= _LEFT ?></option>
<?php }
if ($rowtensidebars == 'Right' or $rowtensidebars == 'Both') { ?>
<option value="Row Ten Right"><?= _ROWTEN ?> <?= _RIGHT ?></option>
<?php }

if ($rowelevensidebars == 'Left' or $rowelevensidebars == 'Both') { ?>
<option value="Row Eleven Left"><?= _ROWELEVEN ?> <?= _LEFT ?></option>
<?php }
if ($rowelevensidebars == 'Right' or $rowelevensidebars == 'Both') { ?>
<option value="Row Eleven Right"><?= _ROWELEVEN ?> <?= _RIGHT ?></option>
<?php }

if ($rowtwelvesidebars == 'Left' or $rowtwelvesidebars == 'Both') { ?>
<option value="Row Twelve Left"><?= _ROWTWELVE ?> <?= _LEFT ?></option>
<?php }
if ($rowtwelvesidebars == 'Right' or $rowtwelvesidebars == 'Both') { ?>
<option value="Row Twelve Right"><?= _ROWTWELVE ?> <?= _RIGHT ?></option>
<?php } ?>
<option value="None"><?= _NONE ?></option>
</select> <?= _WILLBEDISPLAYED ?>
</p>

<p class="left"><strong><?= _CANBESTYLED ?> </strong>
<select name="styletitle">
<option><?= $row['styletitle'] ?></option>
<option value="Styled"><?= _STYLED ?></option>
<option value="Plain"><?= _PLAIN ?></option>
</select> <?= _ONLYIF ?>
</p>

<p class="left"><?= _USEFAICON ?></p>

<p class="left"><strong><?= _FONTAWESOMEICON ?>:</strong>
<br>
<input style="background:#f1f1f1;color:#000;width:200px" type="text" name="account_icon" value="<?= htmlentities($row['account_icon'], ENT_QUOTES) ?>">
</p>

<p class="left"><strong><?= _FONTAWESOMEICONCOLOR ?>:</strong><br><input style="background:#f1f1f1;color:#000;width:200px" type="text" name="account_icon_color" value="<?= htmlentities($row['account_icon_color'], ENT_QUOTES) ?>"></p>

<p class="left"><strong><?= _WEBSITEURL ?>:</strong><?= _WHENSOMEONEREGISTERS ?><br><input style="background:#f1f1f1;color:#000;width:250px;" type="text" name="website_url" value="<?= htmlentities($row['website_url'], ENT_QUOTES) ?>"></p>

<p class="left"><strong><?= _EMAILADDRESS ?>:</strong> <?= _ASFROMADDRESS ?><br><input style="background:#f1f1f1;color:#000;width:250px;;" type="text" name="emailaddress" value="<?= htmlentities($row['emailaddress'], ENT_QUOTES) ?>"></p>

<?php }} ?>

</div>

</form>

</div>
</div>

<?php require_once 'footer.php';