<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'header.php'; ?>

<script src="js/jquery.min.js"></script>
<script src="js/jquery-ui.min.js"></script>

<style>
h3, p {
font-size: 12px; }

#mytopBtn {
display: none;
position: fixed;
bottom: 20px;
right: 30px;
z-index: 99999;
font-size: 18px;
border: none;
outline: none;
background-color: red;
color: white;
cursor: pointer;
padding: 15px;
border-radius: 4px; }

#mytopBtn:hover {
background-color: #555; }
</style>

<button onclick="topFunction()" id="mytopBtn" title="Go to top"><?= _TOP ?></button>

<div class="card noborder">

<div class="column-title spacer">
<h1 class="center coltitlecolor"><?= _REPOFLIPCARDS ?></h1>
</div>

<?php require_once 'flipcardjumpbox.php'; ?>

<br>

<p class="column-title coltitlecolor center" id="top"><?= _TOP ?> <?= _ARTICLES ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Above Top Articles' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="topleft"><?= _TOP ?> <?= _ARTICLES ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Top Articles Left' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="topright"><?= _TOP ?> <?= _ARTICLES ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Top Articles Right' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="one"><?= _ROWONETOP ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row One Top' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="onemiddle"><?= _ROWONEMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row One Middle' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="onebottom"><?= _ROWONEBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row One Bottom' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="oneLsidebars"><?= _ROWONE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row One Left' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="oneRsidebars"><?= _ROWONE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row One Right' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="two"><?= _ROWTWOTOP ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Two Top' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="twomiddle"><?= _ROWTWOMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Two Middle' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="twobottom"><?= _ROWTWOBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Two Bottom' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="twoLsidebars"><?= _ROWTWO ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Two Left' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="twoRsidebars"><?= _ROWTWO ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Two Right' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="three"><?= _ROWTHREETOP ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Three Top' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="threemiddle"><?= _ROWTHREEMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Three Middle' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="threebottom"><?= _ROWTHREEBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Three Bottom' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="threeLsidebars"><?= _ROWTHREE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Three Left' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="threeRsidebars"><?= _ROWTHREE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Three Right' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="four"><?= _ROWFOURTOP ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Four Top' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="fourmiddle"><?= _ROWFOURMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Four Middle' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="fourbottom"><?= _ROWFOURBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Four Bottom' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="fourLsidebars"><?= _ROWFOUR ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Four Left' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="fourRsidebars"><?= _ROWFOUR ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Four Right' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="five"><?= _ROWFIVETOP ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Five Top' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="fivemiddle"><?= _ROWFIVEMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Five Middle' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="fivebottom"><?= _ROWFIVEBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Five Bottom' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="fiveLsidebars"><?= _ROWFIVE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Five Left' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="fiveRsidebars"><?= _ROWFIVE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Five Right' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="six"><?= _ROWSIXTOP ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Six Top' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="sixmiddle"><?= _ROWSIXMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Six Middle' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="sixbottom"><?= _ROWSIXBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Six Bottom' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="sixLsidebars"><?= _ROWSIX ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Six Left' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="sixRsidebars"><?= _ROWSIX ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Six Right' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="seven"><?= _ROWSEVENTOP ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Seven Top' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="sevenmiddle"><?= _ROWSEVENMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Seven Middle' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="sevenbottom"><?= _ROWSEVENBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Seven Bottom' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="sevenLsidebars"><?= _ROWSEVEN ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Seven Left' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="sevenRsidebars"><?= _ROWSEVEN ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Seven Right' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="eight"><?= _ROWEIGHTTOP ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Eight Top' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="eightmiddle"><?= _ROWEIGHTMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Eight Middle' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="eightbottom"><?= _ROWEIGHTBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Eight Bottom' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="eightLsidebars"><?= _ROWEIGHT ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Eight Left' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="eightRsidebars"><?= _ROWEIGHT ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Eight Right' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="nine"><?= _ROWNINETOP ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Nine Top' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="ninemiddle"><?= _ROWNINEMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Nine Middle' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="ninebottom"><?= _ROWNINEBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Nine Bottom' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="nineLsidebars"><?= _ROWNINE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Nine Left' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="nineRsidebars"><?= _ROWNINE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Nine Right' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="ten"><?= _ROWTENTOP ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Ten Top' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="tenmiddle"><?= _ROWTENMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Ten Middle' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="tenbottom"><?= _ROWTENBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Ten Bottom' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="tenLsidebars"><?= _ROWTEN ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Ten Left' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="tenRsidebars"><?= _ROWTEN ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Ten Right' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="eleven"><?= _ROWELEVENTOP ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Eleven Top' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="elevenmiddle"><?= _ROWELEVENMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Eleven Middle' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="elevenbottom"><?= _ROWELEVENBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Eleven Bottom' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="elevenLsidebars"><?= _ROWELEVEN ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Eleven Left' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="elevenRsidebars"><?= _ROWELEVEN ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Eleven Right' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="twelve"><?= _ROWTWELVETOP ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Twelve Top' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="twelvemiddle"><?= _ROWTWELVEMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Twelve Middle' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="twelvebottom"><?= _ROWTWELVEBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Twelve Bottom' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="twelveLsidebars"><?= _ROWTWELVE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Twelve Left' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="twelveRsidebars"><?= _ROWTWELVE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'Row Twelve Right' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="oncanvassidebars"><?= _ONCANVAS ?> <?= _SIDEBARS ?> <?= _LEFT ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'On-canvas Left' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

<br>

<p class="column-title coltitlecolor center" id="oncanvassidebars"><?= _ONCANVAS ?> <?= _SIDEBARS ?> <?= _RIGHT ?></p>
<table style="width:90%; margin:0 auto;">
<tbody class="row_position" style="cursor:grab">
<?php $sql = "SELECT * FROM flipcard WHERE location = 'On-canvas Right' ORDER BY position + 0 ASC";
$users = $mysqli->query($sql);
while ($user = $users->fetch_assoc()) { ?>
<tr id="<?= $user['id'] ?>" class="column6" style="background:#f2f2f2; height:120px;">
<td class="grid">
<p class="left black"><?= _ID ?>: <?= $user['id'] ?> | <?= _POSITION ?>: <?= $user['position'] ?></p>
<h3 class="black"><?= $user['cardtitle'] ?></h3>
<?php if ($user['usecard'] == 'Yes' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _PUBLISHED ?>) <?php }
if ($user['archivecard'] == 'Yes') { ?>
<p class="black center">(<?= _ARCHIVED ?>) <?php }
if ($user['usecard'] == 'No' && $user['archivecard'] == 'No') { ?>
<p class="black center">(<?= _NOTPUBLISHED ?>) <?php } ?>
&nbsp;&nbsp;<a href="flipcardbuilder.php?edit=<?= $user['id'] ?>" onclick="basicPopup(this.href);return false"><span class="black">(<?= _EDIT ?>)</span></a></p>
<?php } ?>
</td></tr></tbody></table>

</div>

<div style="padding-top:200px"></div>

<script>
$(".row_position").sortable({
delay: 150,
stop: function() {
var selectedData = new Array();
$('.row_position>tr').each(function() {
selectedData.push($(this).attr("id"));
});
updateOrder(selectedData);
}
});

function updateOrder(data) {
$.ajax({
url: "flipcardajax.php",
type: 'post',
data: {
position: data
},
success: function() {
alert('Your change was successfully saved.');
window.location.replace('flipcardreposition.php');
}
})
}
</script>

<script>
let mybutton = document.getElementById("mytopBtn");
window.onscroll = function() {scrollFunction()};
function scrollFunction() {
if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
mybutton.style.display = "block";
} else {
mybutton.style.display = "none"; }}
function topFunction() {
document.body.scrollTop = 0;
document.documentElement.scrollTop = 0; }
</script>

<script>
function basicPopup(url) {
popupWindow = window.open(url, 'popUpWindow', 'height=500,width=500,left=100,top=100,resizable=yes,scrollbars=yes,toolbar=no,menubar=no,location=no,directories=no, status=no'); }
</script>