<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'savegallery.php';
closenav();

if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM galleries WHERE id=$id");
$n = mysqli_fetch_array($record);
$ifused = $n['ifused'];
$whichmenu = $n['whichmenu'];
$title = $n['title'];
$addtxt = $n['addtxt']; } ?>

<style>
p { 
font-size: 18px; 
color: <?= $gen_text_color ?>; } 

.card7 { 
background:<?= $wrapper ?>;
padding: 20px; }

.action-card {
height: 50px;
display: flex;
flex-direction: column;
border: 1px solid rgba(255, 255, 255, 0.25);
border-radius: 20px;
background: <?= $content_bg ?>;
box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.25);
backdrop-filter: blur(15px); }

.content-card {
margin: 20px auto;
padding: 14px 24px;
border: 2px solid #FFF;
border-radius: 15px;
box-shadow: 0 0 5px 2px <?= $cnt_back_shadow ?>, inset 0 3px 18px rgba(100,100,100,0.25);
width: 97%;
height: 450px;
display: flex;
flex-direction: column;
border: 1px solid <?= $wrapper ?>;
background: linear-gradient(<?= $content_bg ?>, <?= $wrapper ?>);
backdrop-filter: blur(15px); }
</style>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">
<br>
<div style="padding-left:20px"><?php require_once 'gallerymenu.php'; ?></div>

<br><br><br>

<div class="full spacer radius">

<table><tr id="wrapper"><td>

<div class="spacer column-title"><h1 class="center coltitlecolor"><?= _SPECTRAALBUM ?></h1></div>

<br><br>

<?= _BUILDAGALLERY ?>

<h1 class="left"><a href="gallerybuilder.php" style="text-decoration:none" class="btn"><span class="white"> <?= _ADDNEW ?> </span></a></h1>

<?php $results = mysqli_query($db, "SELECT * FROM galleries"); ?>

<!-- Build the page editor area ... -->

<form method="post" action="savegallery.php" class="noborder">

<input type="hidden" name="id" value="<?= $id ?>">

<div class="full input-group">

<?php while ($row = mysqli_fetch_array($results)) { ?>

<div class="column6 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['title'] ?></p>
<div style="height:300px; overflow-y:auto;">
<p class="left"><?= _ID ?>: <?= $row['id'] ?></p>
<p class="left"><?= _CARDBACK ?>: <?= $row['cardback'] ?></p>
<p class="center"><small><?= _CLICKFORLARGERVIEW ?></small></p>
<p class="center"><a data-lightbox="gallery" data-title="<?= $row['title'] ?>/<?= $row['cardback'] ?>" href="../media/gallery-images/<?= $row['title'] ?>/<?= $row['cardback'] ?>"><img src="../media/gallery-images/<?= $row['title'] ?>/<?= $row['cardback'] ?>" style="width:100%" alt="Image Not Found" /></a></p>
</div>

<div class="action-card center">
<p><a href="gallerybuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="../modules/spectragallery/gallery.php?id=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false" style="text-decoration:none"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="savegallery.php?del=<?= $row['id'] ?>" onclick="return confirm('Are you sure you want to delete this item')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div>
</div>
</div>
<?php } ?>

<br>
<br>
</div>
</div>

</td></tr></table>

<?php require_once 'footer.php';