<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav();

$ip = getenv('REMOTE_ADDR', true) ?: getenv('REMOTE_ADDR');

$sql = "SELECT * FROM gallery_config";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>

<form action="helpers/gallery_config.php" target="_blank" method="post" class="noborder">

<?php savemenu(); ?>

<link rel="stylesheet" href="css/pageeditor.css" />

<div class="full spacer input-group">

<style>
.tdl {
width: 50%; }

.tdr {
width: 50%; }

@media (max-width:600px) {
.tdl,
.tdr {
width: 100%;
float: left; }}
</style>

<div class="card noborder">

<?php require_once 'gallerymenu.php'; ?>

<div class="spacer column-title">
<h1 class="center coltitlecolor"><?= _SPECTRAALBUM ?></h1>
</div>

<br>
<br>

<p class="center"><?= _CONFIGALBUM ?></p>

<table class="full spacer">
<tr>
<td class="card spacer tdl top">

<p class="left"><?= _SUBTEXTCONTENT ?></p>

<div class="left">
<textarea id="editor" type="text" name="sub_text"><?= htmlentities($row['sub_text'], ENT_QUOTES) ?></textarea>
</div>

<p class="center"><?= _IMGHOLDER ?></p>

<style>
<?php if ($row['use_img_bg'] == 'Yes') { ?>.outer-config {
background-image: url('../media/gallery-frames/<?= $row['img_bg_image'] ?>'); }

<?php } else { ?>
.outer-config {
background: -webkit-gradient(linear, left top, left bottom, from(<?= $row['img_bg_color'] ?>), to(<?= $row['img_bg_color_second'] ?>)); }
<?php } ?> 

.img-caption {
background: <?= $row['img_caption_bg'] ?>;
color: <?= $row['img_caption_color'] ?>;
padding: 0 3px 3px 3px; }

@media (max-width: 600px) {
.outer-config {
width: 100%;
margin: 0 auto; }}

.inner-config {
border: <?= $row['img_inside_border_width'] ?> <?= $row['img_inside_border_style'] ?> <?= $row['img_inside_border_color'] ?>;
box-shadow: <?= $row['img_inner_shadow'] ?> <?= $row['img_inner_shadow_color'] ?>;
border-radius: <?= $row['img_inner_radius'] ?>; }
</style>

<div class="spacer center">

<div><img src="images/exampleimageholder.jpg" class="tbl" alt="<?= _IMGHOLDER ?>" /></div>

<br>

<table>
<tr class="card full noborder">
<td class="full spacer">

<div class="outer-config" style="padding: <?= $row['img_padding'] ?>; color: <?= $row['img_text_color'] ?>; font-size: <?= $row['img_text_size'] ?>; border: <?= $row['img_outside_border_width'] ?> <?= $row['img_outside_border_style'] ?> <?= $row['img_outside_border_color'] ?>; border-radius: <?= $row['img_radius'] ?>;margin:0 auto"><img src="images/3.JPG" class="inner-config" alt="" /><br>
<p class="img-caption"><?= _EXIMGHOLDER ?></p>
</div>

</td>
<td style="width:100%">

<div>
<p class="left"><?= _ACTUALIMGHOLDER ?><br><br>
&bull; <?= _MAKECHANGES ?><br>
&bull; <?= _UPDATERECORD ?><br>
&bull; <?= _REFRESHCHANGES ?>
</p>
</div>

</td>
</tr>
</table>
<br>

<div>
<p><?= _ONEOFTHESEIMAGES ?></p>
</div>

<div style="height:100%; width:100%; overflow:auto; color:#336699; font-family:sans-serif; padding:10px;">

<?php require_once 'gallery-frames.php'; ?>

</div>

</div>

<td class="card spacer tdr top">
<div class="full">

<p class="center column-title spacer"><strong><?= _GENSETTINGS ?></strong></p>

<p class="left"><strong><?= _ALBUMHEADERNAME ?>:</strong>
<input type="text" name="album_name" style="width:300px" value="<?= $row['album_name'] ?>">
</p>

<p class="left"><strong><?= _ALBUMHEADERFONT ?>:</strong>
<select name="album_font">
<option><?= $row['album_font'] ?></option>
<?php require 'helpers/fonts.php'; ?>
</select>
</p>

<p class="left"><strong><?= _ALBUMHEADERNAMESIZE ?></strong>
<select name="hdr_size">
<option><?= $row['hdr_size'] ?></option>
<option value="h1">h1</option>
<option value="3rem">3rem</option>
<option value="4rem">4rem</option>
<option value="5rem">5rem</option>
<option value="6rem">6rem</option>
<option value="3vw">3vw</option>
<option value="4vw">4vw</option>
<option value="5vw">5vw</option>
<option value="6vw">6vw</option>
</select>
</p>

<p class="left"><a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?= _GALLERYMENUINFO ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a><strong><?= _WHICHMENUFORGALLERY ?></strong>
<select name="whichmenu">
<option><?= $row['whichmenu'] ?></option>
<option value="Top Menu"><?= _TOPMENU ?></option>
<option value="Dropdown Menu"><?= _DROPDOWNMENU ?></option>
</select>
</p>
</div>

<br>

<div class="noborder full">

<p class="center column-title spacer"><strong><?= _COLORBOXPOPUP ?></strong></p>

<p class="left"><?= _COLORBOXPOPUPINFO ?></p>

<p class="left"><strong><?= _COLORBOXTHEME ?>:</strong>
<select name="colorboxtheme">
<option><?= $row['colorboxtheme'] ?></option>
<option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
<option value="5">5</option>
<option value="6">6</option>
<option value="7">7</option>
<option value="8">8</option>
<option value="9">9</option>
<option value="10">10</option>
<option value="11">11</option>
<option value="12">12</option>
<option value="13">13</option>
<option value="14">14</option>
<option value="15">15</option>
<option value="16">16</option>
</select>
</p>

<style>
#myImg {
border-radius: 5px;
cursor: pointer;
transition: .3s; }

#myImg:hover {
opacity: .9; }

.modal {
display: none;
position: fixed;
z-index: 1;
padding-top: 100px;
left: 0;
top: 0;
width: 100%;
height: 100%;
overflow: auto;
background-color: #000;
background-color: rgba(0, 0, 0, .1); }

.modal-content {
margin: auto;
display: block;
width: 80%;
max-width: 700px; }

#caption {
margin: auto;
display: block;
width: 80%;
max-width: 600px;
text-align: center;
color: #000;
background: #ccc;
padding: 0;
height: 50px; }

#caption,
.modal-content {
-webkit-animation-name: zoom;
-webkit-animation-duration: .6s;
animation-name: zoom;
animation-duration: .6s; }

@-webkit-keyframes zoom {
from {
-webkit-transform: scale(0); }

to {
-webkit-transform: scale(1); }}

@keyframes zoom {
from {
transform: scale(0); }

to {
transform: scale(1); }}

.close {
border: 3px solid #000;
top: 15px;
right: 55px;
border-radius: 50%;
background: #fff;
color: #000;
font-size: 60px;
font-weight: 700;
transition: .3s; }

.close {
position: sticky; }

.close:focus,
.close:hover {
color: #000;
text-decoration: none;
cursor: pointer; }

@media (max-width:600px) {
.modal-content {
width: 100%; }}
</style>

<p style="margin:0 auto;border:.5px solid #000;" class="spacer full shadow2"><span style="font-size:18px"><?= _CLICKFORSCREENSHOTS ?></span>
<br> <img class="shadow" id="myImg" src="images/1-large.png" alt="" style="margin:0 auto; border:5px double #223366; width:100%; max-width:150px;">
<div id="myModal" class="modal" style="z-index:10000"> <span class="close">&times;</span>

<img class="modal-content" id="img01" src="images/1-large.png" style="border:0; width:657px; height:701px;" title="<?= _STYLE ?> 1" alt="<?= _STYLE ?> 1" />
<div id="caption"><?= _STYLE ?> 1</div>

<img class="modal-content" id="img01" src="images/2-large.png" style="border:0; width:657px; height:701px;" title="<?= _STYLE ?> 2" alt="<?= _STYLE ?> 2" />
<div id="caption"><?= _STYLE ?> 2</div>

<img class="modal-content" id="img01" src="images/3-large.png" style="border:0; width:657px; height:701px;" title="<?= _STYLE ?> 3" alt="<?= _STYLE ?> 3" />
<div id="caption"><?= _STYLE ?> 3</div>

<img class="modal-content" id="img01" src="images/4-large.png" style="border:0; width:657px; height:701px;" title="<?= _STYLE ?> 4" alt="<?= _STYLE ?> 4" />
<div id="caption"><?= _STYLE ?> 4</div>

<img class="modal-content" id="img01" src="images/5-large.png" style="border:0; width:657px; height:701px;" title="<?= _STYLE ?> 5" alt="<?= _STYLE ?> 5" />
<div id="caption"><?= _STYLE ?> 5</div>

<img class="modal-content" id="img01" src="images/6-large.png" style="border:0; width:657px; height:701px;" title="<?= _STYLE ?> 6" alt="<?= _STYLE ?> 6" />
<div id="caption"><?= _STYLE ?> 6</div>

<img class="modal-content" id="img01" src="images/7-large.png" style="border:0; width:657px; height:701px;" title="<?= _STYLE ?> 7" alt="<?= _STYLE ?> 7" />
<div id="caption"><?= _STYLE ?> 7</div>

<img class="modal-content" id="img01" src="images/8-large.png" style="border:0; width:657px; height:701px;" title="<?= _STYLE ?> 8" alt="<?= _STYLE ?> 8" />
<div id="caption"><?= _STYLE ?> 8</div>

<img class="modal-content" id="img01" src="images/9-large.png" style="border:0; width:657px; height:701px;" title="<?= _STYLE ?> 9" alt="<?= _STYLE ?> 9" />
<div id="caption"><?= _STYLE ?> 9</div>

<img class="modal-content" id="img01" src="images/10-large.png" style="border:0; width:657px; height:701px;" title="<?= _STYLE ?> 10" alt="<?= _STYLE ?> 10" />
<div id="caption"><?= _STYLE ?> 10</div>

<img class="modal-content" id="img01" src="images/11-large.png" style="border:0; width:657px; height:701px;" title="<?= _STYLE ?> 11" alt="<?= _STYLE ?> 11" />
<div id="caption"><?= _STYLE ?> 11</div>

<img class="modal-content" id="img01" src="images/12-large.png" style="border:0; width:657px; height:701px;" title="<?= _STYLE ?> 12" alt="<?= _STYLE ?> 12" />
<div id="caption"><?= _STYLE ?> 12</div>

<img class="modal-content" id="img01" src="images/13-large.png" style="border:0; width:657px; height:701px;" title="<?= _STYLE ?> 13" alt="<?= _STYLE ?> 13" />
<div id="caption"><?= _STYLE ?> 13</div>

<img class="modal-content" id="img01" src="images/14-large.png" style="border:0; width:657px; height:701px;" title="<?= _STYLE ?> 14" alt="<?= _STYLE ?> 14" />
<div id="caption"><?= _STYLE ?> 14</div>

<img class="modal-content" id="img01" src="images/15-large.png" style="border:0; width:657px; height:701px;" title="<?= _STYLE ?> 15" alt="<?= _STYLE ?> 15" />
<div id="caption"><?= _STYLE ?> 15</div>

<img class="modal-content" id="img01" src="images/16-large.png" style="border:0; width:657px; height:701px;" title="<?= _STYLE ?> 16" alt="<?= _STYLE ?> 16" />
<div id="caption"><?= _STYLE ?> 16</div>
</div>
</p>
</div>

<br>
<div class="noborder full">
<p class="center column-title spacer"><strong><?= _CHOOSETHEME ?></strong></p>
<p class="left"><strong><?= _CHOOSETOUSE ?></strong><br></p>
<p class="left"><strong><?= _SELECTTHEMETYPE ?> </strong>
<select name="theme"> 
<option><?= $row['theme'] ?></option>
<option value="Default"><?= _DEFAULT ?></option>
<option value="Design"><?= _DESIGN ?></option>
</select>
</p>
</div>
<br>

<div class="noborder full">

<p class="center column-title"><strong><?= _CONFIGIMGHOLDER ?></strong></p>

<p class="left"><strong><?= _SETSPACE ?></strong>
<select name="img_padding">
<option><?= $row['img_padding'] ?></option>
<option value="1px">1px</option>
<option value="2px">2px</option>
<option value="3px">3px</option>
<option value="4px">4px</option>
<option value="5px">5px</option>
<option value="6px">6px</option>
<option value="7px">7px</option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="13px">13px</option>
<option value="14px">14px</option>
<option value="15px">15px</option>
</select>
</p>

<p class="center coltitle"><strong><?= _BACKGROUND ?></strong></p>

<p class="left"><strong><?= _USEIMGFORBACK ?></strong>
<select name="use_img_bg">
<option><?= $row['use_img_bg'] ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select><br><?= _UPLOADIMAGE ?>
</p>

<p class="left"><?= _BACKIMG ?>
<input type="text" name="img_bg_image" style="width:100%" value="<?= $row['img_bg_image'] ?>">
</p>

<p class="left"><?= _IFNOTUSINGIMAGE ?></p>

<p class="left"><strong><?= _BACKCOLORFIRST ?>:</strong>
<input type="text" name="img_bg_color" style="width:100px" value="<?= $row['img_bg_color'] ?>">
</p>

<p class="left"><strong><?= _BACKCOLORSECOND ?>:</strong>
<input type="text" name="img_bg_color_second" style="width:100px" value="<?= $row['img_bg_color_second'] ?>">
</p>

</div>

<br>

<div class="noborder full">

<p class="center column-title"><strong><?= _CAPTION ?></strong></p>

<p class="left"><strong><?= _CAPTIONTEXTSIZE ?>:</strong>
<select name="img_text_size">
<option><?= $row['img_text_size'] ?></option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="13px">13px</option>
<option value="14px">14px</option>
<option value="15px">15px</option>
<option value="16px">16px</option>
</select>
</p>

<p class="left"><strong><?= _CAPTIONFONTCOLOR ?></strong>
<input type="text" name="img_caption_color" style="width:100px" value="<?= $row['img_caption_color'] ?>">
</p>

<p class="left"><strong><?= _BACKCOLORFIRST ?></strong>
<input type="text" name="img_caption_bg" style="width:100px" value="<?= $row['img_caption_bg'] ?>">
</p>

<p class="left"><strong><?= _BACKCOLORSECOND ?></strong>
<input type="text" name="img_text_color" style="width:100px" value="<?= $row['img_text_color'] ?>">
</p>

<p class="left"><strong><?= _CAPTIONPADDING ?>:</strong> <?= _INPIXELS ?>
<select name="captionpadding">
<option><?= $row['captionpadding'] ?></option>
<option value="10">10</option>
<option value="20">20</option>
<option value="30">30</option>
<option value="40">40</option>
<option value="50">50</option>
<option value="60">60</option>
<option value="70">70</option>
<option value="80">80</option>

</select>
</p>

<p class="left"><?= _AMOUNTOFPADDINGINFO ?>
</p>

</div>

<br>

<div class="noborder full">

<p class="center column-title"><strong><?= _IMGFRAME ?></strong></p>

<p class="left"><?= _FRAMEOUTSIDERADIUS ?>
<select name="img_radius">
<option><?= $row['img_radius'] ?></option>
<option value="1px">1px</option>
<option value="2px">2px</option>
<option value="3px">3px</option>
<option value="4px">4px</option>
<option value="5px">5px</option>
<option value="6px">6px</option>
<option value="7px">7px</option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="13px">13px</option>
<option value="14px">14px</option>
<option value="15px">15px</option>
<option value="50%">50%</option>
</select>
</p>

<p class="left"><?= _FRAMEINSIDERADIUS ?>
<select name="img_inner_radius">
<option><?= $row['img_inner_radius'] ?></option>
<option value="1px">1px</option>
<option value="2px">2px</option>
<option value="3px">3px</option>
<option value="4px">4px</option>
<option value="5px">5px</option>
<option value="6px">6px</option>
<option value="7px">7px</option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="13px">13px</option>
<option value="14px">14px</option>
<option value="15px">15px</option>
<option value="50%">50%</option>
</select>
</p>

<p class="left"><?= _BOXSHADOWEFFECT ?>
<select name="img_inner_shadow">
<option><?= $row['img_inner_shadow'] ?></option>
<option value="1px 1px 1px">1px 1px 1px</option>
<option value="1px 1px 2px">1px 1px 2px</option>
<option value="2px 2px 4px">2px 2px 4px</option>
</select>
</p>

<p class="left"><?= _BOXSHADOWCOLOR ?><br><input type="text" name="img_inner_shadow_color" style="width:100px" value="<?= $row['img_inner_shadow_color'] ?>"></p>

<p class="left"><strong><?= _SETOUTSIDEBORDER ?>:</strong></p>
<p class="left"><?= _BORDERWIDTH ?>:
<select name="img_outside_border_width">
<option><?= $row['img_outside_border_width'] ?></option>
<option value="1px">1px</option>
<option value="2px">2px</option>
<option value="3px">3px</option>
<option value="4px">4px</option>
<option value="5px">5px</option>
<option value="6px">6px</option>
<option value="7px">7px</option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="13px">13px</option>
<option value="14px">14px</option>
<option value="15px">15px</option>
</select>

<p class="left"><strong><?= _BORDERSTYLE ?>:</strong>
<select name="img_outside_border_style">
<option><?= $row['img_outside_border_style'] ?></option>
<option value="dotted">dotted</option>
<option value="dashed">dashed</option>
<option value="solid">solid</option>
<option value="double">double</option>
<option value="groove">groove</option>
<option value="ridge">ridge</option>
<option value="inset">inset</option>
<option value="outset">outset</option>
</select>
</p>

<p class="left"><?= _BORDERCOLOR ?><br><input type="text" name="img_outside_border_color" style="width:100px" value="<?= $row['img_outside_border_color'] ?>"></p>


<p class="left"><strong><?= _SETINSIDEBORDER ?>:</strong></p>

<p class="left"><strong><?= _BORDERWIDTH ?>:</strong>
<select name="img_inside_border_width">
<option><?= $row['img_inside_border_width'] ?></option>
<option value="1px">1px</option>
<option value="2px">2px</option>
<option value="3px">3px</option>
<option value="4px">4px</option>
<option value="5px">5px</option>
<option value="6px">6px</option>
<option value="7px">7px</option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="13px">13px</option>
<option value="14px">14px</option>
<option value="15px">15px</option>
</select>
</p>

<p class="left"><strong><?= _BORDERSTYLE ?>:</strong>
<select name="img_inside_border_style">
<option><?= $row['img_inside_border_style'] ?></option>
<option value="dotted">dotted</option>
<option value="dashed">dashed</option>
<option value="solid">solid</option>
<option value="double">double</option>
<option value="groove">groove</option>
<option value="ridge">ridge</option>
<option value="inset">inset</option>
<option value="outset">outset</option>
</select>
</p>

<p class="left"><strong><?= _BORDERCOLOR ?>:</strong><br><input type="text" name="img_inside_border_color" style="width:100px" value="<?= $row['img_inside_border_color'] ?>"></p>

</div>

<?php }} ?>

</td>
</tr>
</table>

<script>
var modal = document.getElementById("myModal");
var img = document.getElementById("myImg");
var modalImg = document.getElementById("img01");
var captionText = document.getElementById("caption");
img.onclick = function() {
modal.style.display = "block";
modalImg.src = this.src;
captionText.innerHTML = this.alt; }

var span = document.getElementsByClassName("close")[0];
span.onclick = function() {
modal.style.display = "none"; }
</script>

</div>
</div>

<?php require_once 'footer.php';