<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'functions.php';

$sql = "SELECT * FROM website, version, registration"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$lang = $row['lang']; $logo = $row['logo']; 
$dashboardmenu = $row['dashboardmenu']; 
$current_version = $row['current_version'];
$website_url = $row['website_url'];
$sub_domain = $row['subdomain']; }}
require_once 'lang/' . $lang . '.php'; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title><?= $logo ?> <?= _DESIGNERSDASHBOARD ?></title>
<link rel="stylesheet" href="css/hint.css" />
<link rel="stylesheet" href="css/colorbox.css">
<link rel="stylesheet" href="themes/style.min.css">
<link rel="stylesheet" href="../css/fonts.css">
<link rel="stylesheet" href="../css/lightbox.min.css">
<link rel="stylesheet" href="css/fontawesome-iconpicker.min.css">
<link rel="stylesheet" type="text/css" href="elFinder-theme/jquery-ui.min.css"/>
<link rel="icon" type="image/png" sizes="16x16" href="favicon.ico">
<?php require_once 'themes/theme.php'; ?>
<script src="../js/fontawesome.js" crossorigin="anonymous"></script>
<script src="js/jscolor.js"></script>
<script src="js/fa.js"></script>
<script src="js/fontawesome-iconpicker.js"></script>
<script src="js/fontawesome-iconpicker.min.js"></script>
<script src="js/jquery.colorbox.js"></script>
<script src="js/jquery.colorbox.min.js"></script>
<script src="js/jquery.min.js"></script>
<script src="js/jquery-ui.min.js"></script>
<script src="https://studio-42.github.io/elFinder/demo/js/elfinder.min.js"></script>
<script src="js/tinymceElfinder.js"></script>

<?php
/**
 * 
 * Integrate elFinder with TinyMCE
 * 
 * 
 */ ?>

<script>
const mceElf = new tinymceElfinder({
url: 'elFinder/php/connector.minimal.php',
uploadTargetHash: 'l1_lw',
nodeId: 'elfinder'
});
</script>

<script src="tinymce/tinymce.min.js"></script>
<script>
tinymce.init({
selector: '#editor',

plugins: 'image fullscreen source advsource advlink table link emoticons code codesample media preview wordcount importcss autoresize textcolor loremipsum',

file_picker_callback : mceElf.browser,
images_upload_handler: mceElf.uploadHandler,

menubar: 'file edit view insert format tools table help',

toolbar1: 'cut copy code | undo redo | alignleft aligncenter alignright alignjustify outdent indent | fullscreen',
toolbar2: 'link | hr | emoticons | fontsize fontfamily | bold italic underline strikethrough | forecolor backcolor | preview | styleselect blockquote | print | loremipsum | image | media | table',

default_link_target: '_blank',

font_css: '../css/fonts.css',

promotion: false,

min_height: 600,
max_height: 600,
});
</script>

<script src="../js/lightbox-plus-jquery.min.js"></script>

</head>
<body id="main">

<?php require_once 'tools.php';

require_once 'headermenu.php';

/**
 * Close the side navigation when open.
 * 
 */

closenav(); 

/**
 * Closes in the footer.
 * 
 */ ?>
 
<div>

<?php $sql = "SELECT * FROM themes WHERE theme_name='$theme_name'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {

if ($row['useheadercolor'] == 'Yes') { ?>

<div class="header" style="padding-left:20px; margin:0 auto; text-shadow:1px 1px 1px #000; background:linear-gradient(<?= $row['header_first_color'] ?>,<?= $row['header_second_color'] ?>);width:<?= $row['header_width'] ?>;height:175px; margin:0 auto;text-align:<?= $row['align_logo'] ?>;">

<?php } else { ?>

<div style="padding-left:20px;margin:0 auto;text-shadow:1px 1px 1px #000;background:url('../media/themes/<?= $row['header_img'] ?>');background-attachment:fixed;width:<?= $row['header_width'] ?>;height:175px; margin:0 auto;text-align:<?= $row['align_logo'] ?>;">

<?php } ?>

<div class="center"><br><h1 style="color:<?= $linkcolor ?>"><?= _DESIGNERSDASHBOARD ?><br><?= $logo ?></h1></div>

</div>

<?php }} ?>

<div id="wrapper">

<?php if ($dashboardmenu == 'menubar') {
require_once 'menu/index.php'; }

if ($dashboardmenu == 'offcanvas') {
require_once 'menu/sidemenu.php'; }

if ($dashboardmenu == 'icon') { ?>
<div class="accordion column-title coltitlecolor"><i class="linkicon linkcolor fa fa-bars"></i></div>
<div class="panel inner-wrapper" style="width:100%">
<?php require_once 'iconbased.php'; ?>   
</div>
<?php } ?>