<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php'; ?>

<!-- Add Note Taker -->
<style>
.sidenav1 {
height: 100%;
width: 0;
position: fixed;
top: 0;
right: -20px;
background-color: <?= $content_bg ?>;
overflow-x: hidden;
transition: .5s;
padding-top: 60px;
text-align: center;
opacity: 1;
z-index: 1000; }

.sidenav1 a {
padding: 8px 8px 8px 12px;
text-decoration: none;
font-size: 26px;
color: <?= $gen_text_color ?>;
display: block;
transition: .3s; }

.sidenav1 a:hover {
color: #f1f1f1; }

.sidenav1.closebtn {
color: #fff;
position: absolute;
top: 0;
right: 15px;
font-size: 36px;
margin-left: 50px; }

@media screen and (max-height:450px) {
.sidenav1 {
padding-top: 15px; }

.sidenav1 a {
font-size: 18px; }}
</style>

<div id="mySidenav1" class="border spacer sidenav1">
<div class="spacer"><a href="javascript:void(0)" class="closebtn" onclick="closeNav1()"><span style="color:<?= $linkcolor ?>">&times;</span></a>
<div class="center"><a href="notetakerall.php" onclick="basicPopup(this.href);return false"><span style="font-size:14px" class="button white"> <?= _ADDEDITNOTES ?> </a></div>
<div style="background:<?= $content_bg ?>; color:<?= $gen_text_color ?>; border:.5px solid <?= $gen_text_color ?>;" class="left column spacer">
<?php $sql = "SELECT * FROM notetaker";

$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$admin_notes = $row['admin_notes']; ?>
<?= $admin_notes ?>
<hr />
<?php }} ?>
</div>
</div>
</div>

<!-- Add Font Awesome Library -->
<style>
.sidenav2 {
height: 95%;
width: 0;
position: fixed;
top: 0;
right: -20px;
background-color: <?= $content_bg ?>;
overflow-x: hidden;
transition: .5s;
padding-top: 60px;
text-align: center;
opacity: 1;
z-index: 1000; }

.sidenav2 a {
padding: 8px 8px 8px 12px;
text-decoration: none;
font-size: 26px;
color: <?= $gen_text_color ?>;
display: block;
transition: .3s; }

.sidenav2 a:hover {
color: #f1f1f1; }

.sidenav2.closebtn {
color: #fff;
position: absolute;
top: 0;
right: 15px;
font-size: 36px;
margin-left: 50px; }

@media screen and (max-height:450px) {
.sidenav2 {
padding-top: 15px; }

.sidenav2 a {
font-size: 18px; }}

.facode {color:#000; padding:8px 20px;}
.facode:hover {background:#ddd; padding:8px 20px; color:#424242; cursor:pointer; font-weight:600;}
span2{padding:10px; text-align:center;}
</style>

<div id="mySidenav2" class="card border spacer sidenav2"> <a href="javascript:void(0)" class="closebtn" onclick="closeNav2()"><span class="column-title coltitlecolor">[ <?= _CLOSE ?> ]</span></a>
<h1 class="column-title coltitlecolor"><?= _FAICONS ?></h1>
<p class="center white"><?= _SPICEUP_MENUS ?><br><?= _CLICKTOCOPY ?></p>

<div style="background:#dddddd; height:800px; color:#242424; overflow-y:scroll; border:1px solid #000000;">
<ul class="icon-picker-list" style="list-style-type: none;">
<td class="spacer">
<div class="column5">
<span1 data-class="{{item}} {{activeState}}" data-index="{{index}}" class="button" style="background:#cccccc; color:#000; text-align:center; border:1px solid #000000; padding:10px 10px; font-size:18px;"></span>
<span2 class="{{item}}"></span> 
<span class="name-class" style="background:#f1f1f1; border:1px solid #000000; padding:8px 4px;" onclick="copy(this)">
<strong><span class="facode">{{item}}</span></strong>
</span>
</div>
</td>
</ul>
</div>
<script>
function copy(that){
var inp =document.createElement('input');
document.body.appendChild(inp)
inp.value =that.textContent
inp.select();
document.execCommand('copy',false);
inp.remove(); }
</script>
</div>

<!-- Preview Fonts -->
<style>
.sidenav4 {
height: 98%;
width: 0;
position: fixed;
top: 0;
right: -20px;
background-color: <?= $content_bg ?>;
overflow-x: hidden;
transition: .5s;
padding-top: 0;
text-align: center;
opacity: 1;
z-index: 1000; }

.sidenav4 a {
padding: 8px 8px 8px 12px;
text-decoration: none;
font-size: 26px;
color: <?= $gen_text_color ?>;
display: block;
transition: .3s; }

.sidenav4 a:hover {
color: #f1f1f1; }

.sidenav4.closebtn {
color: #fff;
position: absolute;
top: 0;
right: 15px;
font-size: 46px;
margin-left: 20px; }

@media screen and (max-height:450px) {
.sidenav4 {
padding-top: 15px; }

.sidenav4 a {
font-size: 18px; }}
</style>

<!-- Preview Fonts -->

<div id="mySidenav3" class="mini-wrapper sidenav4"> <a href="javascript:void(0)" class="closebtn" onclick="closeNav3()"><span class="column-title coltitlecolor">[ <?= _CLOSE ?> ]</span></a>
<h1 class="column-title center coltitlecolor"><?= _PREVIEWFONTS ?></h1>
<p class="center"><?= _PREVIEWFONTSINFO ?></p>
<div class="card">
<div class="center"><iframe src="preview-fonts.html" id="wrapper" style="resize:both;width:100%;height:800px;overflow-x:scroll"></iframe></div>
</div>
</div>