<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */
  
require_once 'main.php';
require_once 'header.php';
closenav(); ?>

<form action="helpers/heropagesave.php" target="_blank" method="post" class="noborder">

<?php savemenu(); ?>

<div class="full spacer radius noborder">

<div class="column-title spacer">
<h1 class="center coltitlecolor"><?= _HEROBUILDER ?></h1>
</div>

<p class="center"><?= _FIRST_THING ?> <a href="images/heroexample.png" onclick="basicPopup(this.href);return false"><?= _SEEEXAMPLE ?></a></p>

<p class="center"><?= _SEECHANGES ?> (<a href="heropagepreview.php" target="_blank"><?= _OPENPREVIEW ?></a>)</p>

<div class="spacer input-group">

<?php $sql = "SELECT * FROM heropage";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>

<div class="mini-container">

<p class="left"><strong><?= _USEHEROPAGE ?>? </strong>
<select name="useheropage">
<option><?= $row['useheropage'] ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>
 
<p class="left"><strong><?= _MENU_LOCATION ?> </strong>
<select name="menulocation">
<option><?= $row['menulocation'] ?></option>
<option value="Above"><?= _ABOVE ?></option>
<option value="Below"><?= _BELOW ?></option>
<option value="None"><?= _NONE ?></option>
</select>
</p>

<p class="left"><strong><?= _CHOOSE_BACK ?></strong><br>
<select name="setback">
<option><?= $row['setback'] ?></option>
<option value="Image"><?= _IMAGE ?></option>
<option value="Video"><?= _VIDEO ?></option>
<option value="None"><?= _NONE ?></option>
</select>
</p>

<p class="left"><strong><?= _PAGEHEIGHT ?> (<?= _IFUSINGVIDEO ?>) </strong><br>
<select name="heroheight">
<option><?= $row['heroheight'] ?></option>
<option value="0">0</option>
<option value="100px">100px</option>
<option value="200px">200px</option>
<option value="300px">300px</option>
<option value="400px">400px</option>
<option value="500px">500px</option>
<option value="600px">600px</option>
<option value="700px">700px</option>
<option value="800px">800px</option>
<option value="900px">900px</option>
<option value="1000px">1000px</option>
<option value="None"><?= _NONE ?></option>
</select>
</p>

<p class="center"><strong><?= _IFIMAGECHOSEN ?></strong></p>

<p class="left"><strong><?= _ENTERBACKIMG ?></strong><br>
<input type="text" name="heroback" style="width:300px" value="<?= $row['heroback'] ?>"></p>

<p class="left"><strong><?= _ENTERVIDEONAME ?></strong><br>
<input type="text" name="textbackvideo" style="width:250px" value="<?= $row['textbackvideo'] ?>">
</p>

<p class="left"><strong><?= _POSITIONCONTAINER ?><br>(<?= _IFUSINGVIDEO ?>) </strong>
<select name="positioncontainer">
<option><?= $row['positioncontainer'] ?></option>
<option value="Left"><?= _LEFT ?></option>
<option value="Center"><?= _CENTER ?></option>
<option value="Right"><?= _RIGHT ?></option>
<option value="None"><?= _NONE ?></option>
</select>
</p>

<p class="left"><strong><?= _ADDCONTAINER ?> </strong><br>
<select name="containerwidth">
<option><?= $row['containerwidth'] ?></option>
<option value="10%">10%</option>
<option value="20%">20%</option>
<option value="30%">30%</option>
<option value="40%">40%</option>
<option value="50%">50%</option>
<option value="60%">60%</option>
</select>
</p>

<p class="left"><strong><?= _CONTAINERHEIGHT ?></strong>
<select name="containerheight">
<option><?= $row['containerheight'] ?></option>
<option value="50px">50px</option>
<option value="100px">100px</option>
<option value="150px">150px</option>
<option value="200px">200px</option>
<option value="250px">250px</option>
<option value="300px">300px</option>
<option value="350px">350px</option>
<option value="400px">400px</option>
<option value="500px">500px</option>
<option value="600px">600px</option>
<option value="700px">700px</option>
<option value="800px">800px</option>
<option value="auto"><?= _AUTO ?></option>
</select>
</p>
</div>
<br>

<div class="mini-container">

<h3 class="center"><?= _TEXTCONTAINERSTYLING ?></h3>

<p class="left"><strong><?= _SETTOPPADDING ?> </strong>
<select name="paddingtop">
<option><?= $row['paddingtop'] ?></option>
<option value="10px">10px</option>
<option value="20px">20px</option>
<option value="30px">30px</option>
<option value="40px">40px</option>
<option value="50px">50px</option>
<option value="100px">100px</option>
<option value="150px">150px</option>
<option value="200px">200px</option>
<option value="250px">250px</option>
<option value="300px">300px</option>
<option value="350px">350px</option>
<option value="400px">400px</option>
</select>
</p>


<p class="left"><strong><?= _SETLEFTPADDING ?> </strong>
<select name="paddingleft">
<option><?= $row['paddingleft'] ?></option>
<option value="100px">100px</option>
<option value="200px">200px</option>
<option value="300px">300px</option>
<option value="400px">400px</option>
<option value="500px">500px</option>
<option value="600px">600px</option>
<option value="700px">700px</option>
<option value="800px">800px</option>
<option value="900px">900px</option>
<option value="1000px">1000px</option>
</select>
</p>

<p class="left"><strong><?= _PADCONTAINER ?>: </strong><br>
<select name="padcontainer">
<option><?= $row['padcontainer'] ?></option>
<option value="0">0</option>
<option value="1px">1px</option>
<option value="2px">2px</option>
<option value="3px">3px</option>
<option value="4px">4px</option>
<option value="5px">5px</option>
<option value="6px">6px</option>
<option value="7px">7px</option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="13px">13px</option>
<option value="14px">14px</option>
<option value="15px">15px</option>
<option value="16px">16px</option>
<option value="17px">17px</option>
<option value="18px">18px</option>
<option value="19px">19px</option>
<option value="20px">20px</option>
</select>
</p>

<p class="left"><strong><?= _CHOOSEBACK ?> </strong><br>
<select name="useback">
<option><?= $row['useback'] ?></option>
<option value="Image"><?= _IMAGE ?></option>
<option value="Color"><?= _COLOR ?></option>
<option value="None"><?= _NONE ?></option>
</select>
</p>

<p class="left"><strong><?= _FIRSTCOLOR ?> (ex: #888888)</strong><br>
<input type="text" name="textback" style="width:100px" value="<?= $row['textback'] ?>">
</p>

<p class="left"><strong><?= _SECONDCOLOR ?> (ex: #cccccc)</strong><br>
<input type="text" name="textbacksecond" style="width:100px" value="<?= $row['textbacksecond'] ?>">
</p>

<p class="left"><strong><?= _BACKIMG ?> (place in themes folder)</strong><br>
<input type="text" name="textbackimg" style="width:250px" value="<?= $row['textbackimg'] ?>">
</p>

<p class="left"><strong><?= _BORDERRADIUS ?>: (ex: 12px)</strong><br>
<input type="text" name="radius" style="width:100px" value="<?= $row['radius'] ?>">
</p>

<p class="left"><strong><?= _BOXOPACITY ?></strong><br>
<select name="opacity">
<option><?= $row['opacity'] ?></option>
<option value="1">1</option>
<option value=".9">.9</option>
<option value=".8">.8</option>
<option value=".7">.7</option>
<option value=".6">.6</option>
<option value=".5">.5</option>
</select></p>

<p class="left"><strong><?= _BOXSHADOW ?>:</strong><br>
<input type="text" name="shadow" style="width:100%" value="<?= $row['shadow'] ?>"></p>
<div class="card">
<p class="center"><?= _BOXSHADOW ?> <?= _EXAMPLE ?> (<?= _COPY ?>/<?= _PASTE ?>):</p>
<p class="center"><?= _COPYANDPASTE ?></p>

<div class="border spacer radius">
<a class="pointer"><p class="copy">12px 0 15px -4px rgba(0, 0, 0, 0.2), -12px 0 8px -4px rgba(0, 0, 0, 0.2)</p></a>
<div class="content_bg gentextcolor" style="width:100px; box-shadow:12px 0 15px -4px rgba(0, 0, 0, 0.2), -12px 0 8px -4px rgba(0, 0, 0, 0.2); padding:10px;"><p class="center"> <?= _EXAMPLE ?> </p></div>
</div>
<br>
<div class="border spacer radius">
<a class="pointer"><p class="copy">0 0 5px 2px #000, inset 0 3px 18px #000</p></a>
<div class="content_bg gentextcolor" style="width:100px; #555; box-shadow:0 0 5px 2px #000, inset 0 3px 18px #000; padding:10px;"><p class="center"> <?= _EXAMPLE ?> </p></div>
</div>
<br>
<div class="border spacer radius">
<a class="pointer"><p class="copy">0 4px 8px 0 rgba(0, 0, 0, 0.2)</span></a></p>
<div class="content_bg gentextcolor" style="width:100px; box-shadow:0 4px 8px 0 rgba(0, 0, 0, 0.2); padding:10px;"><p class="center"> <?= _EXAMPLE ?> </p></div>
</div>
<br>
<div class="border spacer radius">
<a class="pointer"><p class="copy">1px 0 40px 0 rgba(50,50,50,.3)</span></a></p>
<div class="content_bg gentextcolor" style="width:100px; box-shadow:1px 0 40px 0 rgba(50,50,50,.3); padding:10px;"><p class="center"> <?= _EXAMPLE ?> </p></div>
</div>
</div> 

<p class="left"><strong><?= _ENTER_TEXT ?></strong>

<textarea id="editor" name="text"><?= $row['text'] ?></textarea>

<?php }} ?>

</div>
</div>

<br>
<br>

<script>
spans = document.querySelectorAll(".copy");
for (const span of spans) {
span.onclick = function() {
document.execCommand("copy");
}

span.addEventListener("copy", function(event) {
event.preventDefault();
if (event.clipboardData) {
event.clipboardData.setData("text/plain", span.textContent);
console.log(event.clipboardData.getData("text"))
}
});
}
</script>

<?php require_once 'footer.php';