<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ 

/**
 * 
 * The icon based menu.
 * 
 */ ?>

<style>
.fontsize {
font-size: 14px; }

.column6 {
margin: 20px auto;
text-align: left;
padding: 14px 24px;
border-radius: 15px; }

.column6:hover {
box-shadow: 2px 4px 8px rgba(38, 38, 38, 0.2); }

@media (max-width: 1000px) {
.column6 {
width: 100%; }}
</style>

<div class="card spacer">

<p>&nbsp;</p>

<div class="row6">

<?php
/**
 * 
 * Go To Links menu ...
 * Your home page
 * Admin dashboard
 * Site map
 * Quick start guide
 * 
 */ ?>

<div class="column6 center border" style="height:300px">

<p class="fontsize center">
<a href="index.php"  class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _HOME ?>/<?= _OVERVIEW ?>"><img src="images/homeicon.png" style="border:0; width:60px" alt="<?= _HOME ?>"  /><br><?= _HOME ?></a>
</p>

<div style="height:170px; overflow-y:auto" class="spacer">
<p class="fontsize left">
<a href="../../index.php" target="_blank" style="text-decoration:none"><i class="fa fa-home"></i> <?= _YOURHOMEPAGE ?></a>
</p>

<p class="fontsize left">
<a href="../../sys/admin/" target="_blank" style="text-decoration:none"><i class="fas fa-user-cog"></i> <?= _ADMINDASHBOARD ?></a>
</p>

<p class="fontsize left">
<a href="sitemap.php" style="text-decoration:none"><i class="fas fa-user-cog"></i> <?= _SITEMAP ?></a>
</p>

<p class="fontsize left">
<a href="../setup-wizard/index.php" style="text-decoration:none"><i class="fas fa-user-cog"></i> <?= _QUICKSTART ?></a>
</p>

</div></div>

<?php
/**
 * 
 * Container menu ...
 * Builder
 * View/Edit
 * Reposition
 * Example
 * 
 */ ?>

<div class="column6 border" style="height:300px">

<p class="fontsize center">
<a href="" class="position-grid__cell hint--bottom hint--small hint--rounded" aria-label="<?= _CONTAINERS ?>">
<img src="images/config.png" style="border:0; width:60px" alt="<?= _CONTAINERS ?>" /></a> <?= _CONTAINERS ?>
</p>

<div style="height:170px; overflow-y:auto" class="spacer">
<p class="fontsize left">
<a href="container.php"><i class="fa fa-cog"></i> <?= _CONTAINER ?> <?= _BUILDER ?></a>
</p>

<p class="fontsize left">
<a href="container-all.php" target="_blank" style="text-decoration:none">
<i class="fa fa-cog"></i> <?= _CONTAINERALL ?></a>
</p>

<p class="fontsize left">
<a href="container-reposition.php" target="_blank" style="text-decoration:none">
<i class="fas fa-cog"></i> <?= _REPOSITIONCONTAINERS ?></a>
</p>

<p class="fontsize left">
<a href="container-example.php" target="_blank" style="text-decoration:none">
<i class="fas fa-cog"></i> <?= _CONTAINEREXAMPLE ?></a>
</p>

</div></div>

<?php
/**
 * 
 * General Configuration menu ...
 * General weebsite configuration
 * Hero section
 * Admin block
 * E-mail Registration
 * Footer configuration
 * Google recaptcha
 * Login page styling
 * Members news
 * Social media
 * 
 */ ?>

<div class="column6 border" style="height:300px">

<p class="fontsize center">
<a href="" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _GENERALCONFIGURATION ?>">
<img src="images/config.png" style="border:0; width:60px" alt="" />
</a> <?= _GENERALCONFIGURATION ?>
</p>

<div style="height:170px; overflow-y:auto" class="spacer">

<p class="fontsize left">
<a href="website.php" style="text-decoration:none">&bull; <?= _GENERALWEBSITECONFIG ?></a>
</p>

<p class="fontsize left">
<a href="heropage.php" style="text-decoration:none">&bull; <?= _HEROPAGE ?></a>
</p>

<p class="fontsize left">
<a href="admin_block.php" style="text-decoration:none">&bull; <?= _ADMINBLOCK ?></a>
</p>

<p class="fontsize left">
<a href="email_settings.php" style="text-decoration:none">&bull; <?= _EMAILREGSETTINGS ?></a>
</p>

<p class="fontsize left">
<a href="footer-config.php" style="text-decoration:none">&bull; <?= _FOOTCONFIG ?></a>
</p>

<p class="fontsize left">
<a href="recaptcha.php" style="text-decoration:none">&bull; <?= _GOOGLERECAPTCHA ?></a>
</p>

<p class="fontsize left">
<a href="style.php" style="text-decoration:none">&bull; <?= _LOGINPAGESTYLING ?></a>
</p>

<p class="fontsize left">
<a href="spectranews.php" style="text-decoration:none">&bull; <?= _MEMBERNEWS ?></a>
</p>

<p class="fontsize left">
<a href="social.php" style="text-decoration:none">&bull; <?= _SOCIALMEDIA ?></a>
</p>

</div></div>

<?php
/**
 * 
 * Content menu ...
 * Blocks
 * Articles
 * Admin message
 * Sniplets
 * 
 */ ?>

<div class="column6 border" style="height:300px">

<p class="fontsize center">
<a href="" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _CONTENT ?>">
<img src="images/contenticon.png" style="border:0; width:60px" alt="" />
</a> <?= _CONTENT ?>
</p>

<div style="height:170px; overflow-y:auto" class="spacer">

<div class="card spacer">

<p class="fontsize left">
<a href="block.php" style="text-decoration:none">&bull; <?= _BLOCKS ?></a>
</p>

<p class="fontsize left">
<a href="block-content.php" style="text-decoration:none">&bull; <?= _REPOSITIONBLOCKS ?></a>
</p>

</div>

<br>

<?php
/**]
 * 
 * Articles menu ...
 * View/Edit
 * Configure
 * Reposition
 * 
 */ ?>

<div class="card spacer">

<p class="fontsize left">
<a href="articles.php" style="text-decoration:none">&bull; <?= _ARTICLES ?></a>
</p>

<p class="fontsize left">
<a href="website.php#pagination" style="text-decoration:none">&bull;<?= _CONFIGARTICLES ?></a>
</p>

<p class="fontsize left">
<a href="article-position.php" style="text-decoration:none">&bull;<?= _REPOSITION ?></a>
</p>

</div>

<br>

<?php
/**
 * 
 * Admin message menu ...
 * Configure
 * Builder
 * Reposition
 * 
 */ ?>

<div class="card spacer">

<p class="fontsize left">
<a href="website.php#newstitle" style="text-decoration:none">&bull; <?= _CONFIG ?> <?= _ADMINMESSAGE ?></a>
</p>

<p class="fontsize left">
<a href="adminarticleall.php" style="text-decoration:none">&bull; <?= _ADMINMESSAGE ?></a>
</p>

<p class="fontsize left">
<a href="adminarticle-position.php" style="text-decoration:none">&bull; <?= _REPOSITION ?></a>
</p>

</div>

<?php
/**
 * 
 * Sniplets menu ...
 * View/Edit
 * Builder
 * Reposition
 * 
 */ ?>

<br>

<div class="card spacer">

<p class="fontsize left">
<a style="text-decoration:none" href="snipletsall.php">&bull; <?= _VIEWEDITALLSNIPLETS ?></a>
</p>

<p class="fontsize left">
<a style="text-decoration:none" href="snipletbuilder.php">&bull; <?= _SNIPLETBUILDER ?></a>
</p>

<p class="fontsize left">
<a style="text-decoration:none" href="snipletsreposition.php">&bull; <?= _REPOSITION ?></a>
</p>

</div>

<div class="card spacer">

<p class="center"><?= _FLIPCARDS ?></p>

<p class="fontsize left">
<a style="text-decoration:none" href="flipcardall.php">&bull; <?= _VIEWEDITCARDS ?></a>
</p>

<p class="fontsize left">
<a style="text-decoration:none" href="flipcardbuilder.php">&bull;<?= _CARDBUILDER ?></a>
</p>

<p class="fontsize left">
<a style="text-decoration:none" href="flipcardreposition.php">&bull; <?= _REPOSITIONCARDS ?></a>
</p>

</div>

</div></div>

<?php
/**
 * 
 * Menus ...
 * Top Bar
 * Single links
 * Side menu element
 * Quick links
 * Mega menu
 * 
 */ ?>
	
<div class="column6 border" style="height:300px">

<p class="fontsize center">
<a href="" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _MENUS ?>">
<img src="images/menuicon.png" style="border:0; width:60px" alt="" />
</a> <?= _MENUS ?>
</p>

<div style="height:170px; overflow-y:auto" class="spacer">

<p class="fontsize left">
<a href="topbarall.php" style="text-decoration:none">&bull; <?= _TOPBARMENU ?></a>
</p>

<p class="fontsize left">
<a href="singlelinksall.php" style="text-decoration:none">&bull; <?= _SINGLELINKSMENU ?></a>
</p>

<p class="fontsize left">
<a href="sidemenuelement.php" style="text-decoration:none">&bull; <?= _SIDEMENUELEMENT ?></a>
</p>

<p class="fontsize left">
<a href="quicklinksall.php" style="text-decoration:none">&bull; <?= _QUICKLINKSBLOCKMENU ?></a>
</p>

<p class="fontsize left">
<a href="megamenuall.php" style="text-decoration:none">&bull; <?= _MEGAMENU ?></a>
</p>

</div></div>

<?php 
/**
 * 
 * Rows 1-12 configuration.
 * 
 */ ?>

<div class="column6 border" style="height:300px">

<p class="center">
<a href="" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _CONFIGROWS ?>">
<img src="images/rows.png" style="background:#f1f1f1; border:0; width:60px; border-:12px;" alt="" />
</a> <?= _CONFIGROWS ?>
</p>

<div style="height:170px; overflow-y:auto" class="spacer">

<p class="fontsize left">
<a href="rowsexplained.php" target="_blank">&bull; <?= _ROWSEXPLAINED ?></a>
</p>

<p class="fontsize left">
<a href="rowone.php">&bull; <?= _ROWONE ?></a>
</p>

<p class="fontsize left">
<a href="rowtwo.php">&bull; <?= _ROWTWO ?></a>
</p>

<p class="fontsize left">
<a href="rowthree.php">&bull; <?= _ROWTHREE ?></a>
</p>

<p class="fontsize left">
<a href="rowfour.php">&bull; <?= _ROWFOUR ?></a>
</p>

<p class="fontsize left">
<a href="rowfive.php">&bull; <?= _ROWFIVE ?></a>
</p>

<p class="fontsize left">
<a href="rowsix.php">&bull; <?= _ROWSIX ?></a>
</p>

<p class="fontsize left">
<a href="rowseven.php">&bull; <?= _ROWSEVEN ?></a>
</p>

<p class="fontsize left">
<a href="roweight.php">&bull; <?= _ROWEIGHT ?></a>
</p>

<p class="fontsize left">
<a href="rownine.php">&bull; <?= _ROWNINE ?></a>
</p>

<p class="fontsize left">
<a href="rowten.php">&bull; <?= _ROWTEN ?></a>
</p>

<p class="fontsize left">
<a href="roweleven.php">&bull; <?= _ROWELEVEN ?></a>
</p>

<p class="fontsize left">
<a href="rowtwelve.php">&bull; <?= _ROWTWELVE ?></a>
</p>

</div></div>

<?php
/**
 * 
 * Vidoes menu ...
 * Configure
 * Builder
 * View/Edit
 * Reposition
 * 
 * 
 */ ?>

<div class="column6 border" style="height:300px">

<p class="fontsize center">
<a href="" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _VIDEOS ?>">
<img src="images/videos.png" style="border:0; width:60px" alt="" />
</a> <?= _VIDEOS ?>
</p>

<div style="height:170px; overflow-y:auto" class="spacer">

<p class="fontsize left">
<a style="text-decoration:none" href="website.php#videosettings">&bull; <?= _CONFIGVIDEOS ?></a>
</p>

<p class="fontsize left">
<a style="text-decoration:none" href="videobuilder.php">&bull; <?= _VIDEOBUILDER ?></a>
</p>

<p class="fontsize left">
<a style="text-decoration:none" href="videosall.php">&bull; <?= _VIEWEDITVIDEOS ?></a>
</p>

<p class="fontsize left">
<a style="text-decoration:none" href="videos_position.php">&bull; <?= _REPOSITION ?> <?= _VIDEOS ?></a>
</p>

</div></div>

<?php
/**
 * 
 * Modules menu ....
 * Content Slider
 * Contact form
 * Download suite
 * Link to me
 * Modal window
 * Spectra Gallery
 * 
 */ ?>

<div class="column6 border" style="height:300px">

<p class="fontsize center">
<a href="" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _MODULES ?>">
<img src="images/modules.png" style="border:0; width:60px" alt="" />
</a> <?= _MODULES ?>
</p>

<div style="height:170px; overflow-y:auto" class="spacer">

<p class="fontsize left">
<a href="content-slider.php" style="text-decoration:none">&bull; <?= _CONTENTSLIDER ?></a>
</p>

<p class="fontsize left">
<a href="contactform.php" style="text-decoration:none">&bull; <?= _CONTACTFORM ?></a>
</p>

<p class="fontsize left">
<a href="usedownloads.php" style="text-decoration:none">&bull; <?= _DOWNLOADSYSTEM ?></a>
</p>

<p class="fontsize left">
<a href="linktome.php" style="text-decoration:none">&bull; <?= _LINKTOME ?></a>
</p>

<p class="fontsize left">
<a href="modal.php" style="text-decoration:none">&bull; <?= _MODALWINDOW ?></a>
</p>

<p class="fontsize left">
<a href="usegallery.php" style="text-decoration:none">&bull; <?= _PHOTOGALLERY ?></a>
</p>

</div></div>

<?php
/**
 * 
 * Pages menu ...
 * Manage
 * Categories
 * Pagination
 * 
 */ ?>

<div class="column6 border" style="height:300px">

<p class="fontsize center">
<a href="" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label=" <?= _PAGES ?>">
<img src="images/pagesicon.png" style="border:0; width:60px" alt="" />
</a> <?= _PAGES ?>
</p>

<div style="height:170px; overflow-y:auto" class="spacer">

<p class="fontsize left">
<a href="pagesall.php" style="text-decoration:none">&bull; <?= _MANAGEALLPAGES ?></a>
</p>

<p class="fontsize left">
<a href="categoriesall.php" style="text-decoration:none">&bull; <?= _PAGECATEGORIES ?></a>
</p>

<p class="fontsize left">
<a href="paginationall.php" style="text-decoration:none">&bull; <?= _PAGINATIONSTYLES ?></a>
</p>

</div></div>

<?php
/**
 * 
 * Plugins button.
 * 
 */ ?>

<div class="column6 border" style="height:300px">

<p class="fontsize center">
<img src="images/pluginicon.png" style="border:0; width:60px" alt="" /> 
<?= _PLUGINS ?>
</p>

<div style="height:170px; overflow-y:auto" class="spacer">
<p class="fontsize left">
<a href="plugins.php" style="text-decoration:none">&bull; <?= _PLUGINS ?></a>
</p>

</div></div>

<?php 
/**
 * 
 * Themes menu ...
 * 
 */ ?>

<div class="column6 border" style="height:300px">

<p class="fontsize center">
<img src="images/themes.png" style="border:0; width:60px" alt="" /> 
<?= _THEMES ?>
</p>

<div style="height:170px; overflow-y:auto" class="spacer">

<p class="fontsize left">
<a href="themesall.php" style="text-decoration:none">&bull; <?= _MANAGEALLTHEMES ?></a>
</p>

<p class="fontsize left">
<a href="themebuildernew.php" style="text-decoration:none">&bull; <?= _BUILDNEWTHEME ?></a>
</p>

<p class="fontsize left">
<a href="../../sys/admin/import.php" style="text-decoration:none">&bull; <?= _IMPORTTHEME ?></a>
</p>

<p class="fontsize left">
<a href="../../sys/admin/exportthemes.php" style="text-decoration:none">&bull; <?= _EXPORTTHEME ?></a>
</p>

<p class="fontsize left">
<a href="themedata.php" style="text-decoration:none">&bull; <?= _QUICKEDITS ?></a>
</p>

<p class="fontsize left column-title coltitlecolor">
<i class="linkicon fa fa-picture-o"></i> <?= _PREVIEWTHEMES ?>
</p>

<?php 
/**
 * 
 * Build an array to
 * display all themes
 * for previewing.
 * 
 */

$sql = "SELECT theme_name, id FROM themes"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>

<p class="fontsize left">
<a href="../../sup/themepreview.php?id=<?= $row['id'] ?>" target="_blank" style="text-decoration:none">
&bull; <?= $row['theme_name'] ?>
</a>
</p>
<?php }} ?>
</div></div>

<?php
/**
 * 
 * Logout button.
 * 
 */ ?>

<div class="column6 border" style="height:300px">

<p class="fontsize center">
<a href="../../sys/logout.php" style="text-decoration:none" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label=" <?= _LOGOUT ?>" >
<img src="images/logout.png" style="border:0; width:80px; border-radius:12px;" alt="" />
<?= _LOGOUT ?>
</a>
</p>

<div style="height:170px; overflow-y:auto" class="spacer">

</div></div>

</div></div>