<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav();

$sql = "SELECT * FROM version"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 	
while ($row = $result->fetch_assoc()) { 
$current_version = $row['current_version']; 
$php_version = $row['php_version']; }}

$font = "monserrat"; ?>

<style>p { line-height: 2.5 }</style>

<div class="card noborder mini-container">

<div class="spacer noborder">
<div class="column-title spacer">
<h1 class="center abril coltitlecolor"><?= _DESIGNERSDASHBOARD ?></h1>
</div>
<div class="noborder gentextcolor center"><b><?= _CMSSPECTRAVERSION ?>: <?= $current_version ?>, PHP Version: <?= $php_version ?></b></p>

<p class="left"><?= _INTRO ?></p>
</div>
<br>

<div class="column-title spacer">
<h1 class="monserrat coltitlecolor center" style="letter-spacing:.2rem;"><?= _OVERVIEW ?></h1>
</div>

<h2 class="center noborder"><?= _TOUCHESONFEATURES ?></h2>
</td>
</tr>
<tr>
<td class="top card noborder">
<div class="full spacer center noborder">
<h1 class="monserrat column-title coltitlecolor"><?= _GENINFO ?></h1>
<div class="spacer">
<?= _GENINFOPARA ?>
</div>
</div>
<br>
<div class="column-title spacer"><h1 class="coltitlecolor center"><?= _FB_HOWTO ?></h1></div>
<div class="full spacer">

<h3 class="center"><?= _EXPLAINFB ?></h3>

<p class="justify"><?= _FBPARA1 ?></p>

<ul class="left gentextcolor">

<li><?= _FBHOWTOSTEPS ?></li>
<p>&bull; <a href="website.php#confighomepage" onclick="basicPopup(this.href);return false"><span class="gentextcolor"><?= _CONFIGFBHEIGHT ?></span></a></p>

</ul>

</div>
<br>
<div class="full spacer">

<h1 class="monserrat center column-title coltitlecolor"><?= _NEWSBLOCKS ?></h1>

<p class="monserrat center"><?= _GROUPSOFBLOCKS ?></p>
<ol class="left gentextcolor">

<p>&bull; <a href="blockbuilder.php" onclick="basicPopup(this.href);return false"><?= _CREATEFBBLOCKS ?></a></p>

<p>&bull; <a href="block-content.php" onclick="basicPopup(this.href);return false"><?= _ARRANGEFBBLOCKS ?></a></p>

</ol>

<br>
</div>
<br>
<div class="full spacer">

<h1 class="monserrat center column-title coltitlecolor"><?= _SNIPLETS ?></h1>

<ol>

<p>&bull; <a href="snipletbuilder.php" onclick="basicPopup(this.href);return false"><?= _BUILDSNIPLETS ?></a></p>

<p>&bull; <a href="snipletsall.php" onclick="basicPopup(this.href);return false"><?= _VIEWEDITSNIPLETS ?></a></p>

<p>&bull; <a href="snipletsreposition.php" onclick="basicPopup(this.href);return false"><?= _REPOSITIONSNIPLETS ?></a></p>

<p>&bull; <a href="snipletsabout.php" onclick="basicPopup(this.href);return false"><?= _ABOUTSNIPLETS ?></a></p>
</ol>

<p class="left"><?= _SNIPLETSARESMALL ?></p>

<p class="left"><?= _TOGETSTARTED ?></p>

<p class="center"><?= _EXAMPLE ?></p>

<p class="center"><img src="images/sniplets.gif" style="width:90%" alt="" /></p>

<br>
</div>
<br>
<div class="full spacer">
<h1 class="monserrat column-title center coltitlecolor"><?= _VIDEOS ?></h1>

<ol>

<p>&bull; <a href="website.php#videosettings" onclick="basicPopup(this.href);return false"><?= _CONFIGVIDEOS ?></a></p>

<p>&bull; <a href="videobuilder.php" onclick="basicPopup(this.href);return false"><?= _VIDEOBUILDER ?></a></p>

<p>&bull; <a href="videos_position.php" onclick="basicPopup(this.href);return false"><?= _REPOSITION ?> <?= _VIDEOS ?></a></p>

<p>&bull; <a href="videosall.php" onclick="basicPopup(this.href);return false"><?= _VIEWEDITVIDEOS ?></a></p>

</ol>

</div>
<br>
<div class="full spacer center noborder">
<div class="spacer">
<h1 class="monserrat column-title coltitlecolor"><?= _REPOSITIONCONTENT ?></h1>
<p class="justify"><?= _REPOCONTENT ?></p> 
</div>
</div>
<br>
<div class="full spacer center noborder">
<div class="spacer">
<h1 class="monserrat column-title coltitlecolor"><?= _HEROPAGE ?></h1>
<p class="justify"><?= _HEROPAGEOPTIONAL ?> (<a href="images/heroexample.png" onclick="basicPopup(this.href);return false"><?= _SEEEXAMPLE ?></a>) <?= _FIRSTTHING ?> <a href="heropage.php" target="_blank"><?= _TOSETONEUP ?></a></p> 
</div>
</div>
<br>
<div class="full spacer center noborder">
<div class="spacer">
<h1 class="monserrat column-title coltitlecolor"><?= _ARTICLES ?></h1>
<?= _ARTICLESPARA ?>
</div>
</div>
<br>
<div class="full spacer center noborder">
<div class="spacer">
<h1 class="monserrat column-title coltitlecolor"><?= _CONTAINERS ?></h1>
<?= _CONTAINERPARA ?>

</div>
</div>
<br>
<div class="full spacer center noborder">
<h1 class="monserrat column-title coltitlecolor"><?= _PAGES ?></h1>
<div class="spacer">
<?= _PAGESPARA ?>

</div>
</div>
<br>
<div class="full spacer center noborder">
<h1 class="monserrat column-title coltitlecolor"><?= _SIDEBARS ?></h1>
<div class="spacer">
<?= _SIDEBARSPARA ?>
</div>
</div>
<br>
<div class="full spacer center noborder">				
<br>
</td></tr></table>
<div class="full spacer center noborder">
<h1 class="monserrat column-title coltitlecolor"><?= _PHOTOGALLERY ?></h1>
<div class="spacer">
<?= _PHOTOGALLERYPARA ?>
<table>
<tr>
<td class="column3 center"><img src="images/1.JPG" style="width:186px" alt="" /></td>
<td class="column3 center"><img src="images/2.JPG" style="width:186px" alt="" /></td>
<td class="column3 center"><img src="images/3.JPG" style="width:186px" alt="" /></td>
</tr>
</table>
</div>
</div>
<br>
<div class="full spacer center noborder">
<h1 class="monserrat column-title coltitlecolor"><?= _MENUSYSTEM ?></h1>
<?= _MENUSYSTEMPARA ?>

</div>
</div>

<br>
<div class="full spacer center noborder">
<h1 class="monserrat column-title coltitlecolor"><?= _THEMES ?></h1>
<div class="spacer">
<?= _THEMESPARA ?>
<table>
<tr>
<td class="column3 center"><img class="noborder" src="images/theme-amazonia.png" style="width:186px;height:117px;" alt="" /></td>
<td class="column3 center"><img class="noborder" src="images/theme-bluesky.png" style="width:186px;height:117px;" alt="" /></td>
<td class="column3 center"><img class="noborder" src="images/theme-midnightmoon.png" style="width:186px;height:117px;" alt="" /></td>
</tr>
</table>
</div>
</div>
<br>
<div class="full spacer center noborder">
<h1 class="monserrat column-title coltitlecolor"><?= _PLUGINSMODS ?></h1>
<div class="spacer">
<?= _PLUGINSMODSPARA ?>
</div>
</div>
<br>
<div class="full spacer center noborder">
<h1 class="monserrat column-title coltitlecolor"><?= _ADMINTOOLS ?></h1>
<div class="spacer">
<?= _ADMINPOWER ?>
</div>
</div>
<br>
<div class="full spacer center noborder">
<h1 class="monserrat column-title coltitlecolor"><?= _DOWNLOADS_SUITE_ ?></h1>
<div class="spacer">
<?= _DOWNLOADS_SUITE ?>
</div>
</div>
<br>
<div class="full spacer center noborder">
<h1 class="monserrat column-title coltitlecolor"><?= _SSL ?> <i class="fa fa-lock"></i></h1>
<div class="spacer">
<?= _SSLPARA ?>
</div>
</div>

<br>
</div>

<?php require_once 'footer.php';