<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ ?>

<style>
.toggle, [id^=drop] {display: none;}menu {background: -webkit-gradient(linear, left top, left bottom, from(<?= $menu_color ?>), to(<?= $menu_color_second ?>));width: 100%;padding: 15px;margin: 0 auto;}menu:after {content: "";display: table;clear: both;}menu ul {padding: 0;margin: 0;list-style: none;position: relative;z-index: 999;}menu ul li {margin: 0px;float: left;}menu a:link {display: block;padding: 14px 16px;color: <?= $linkcolor ?>;font-size: 16px;text-decoration: none;}menu ul li ul li:hover {background-color: <?= $content_bg ?>;}menu a:hover {background-color: <?= $menu_color_second ?>;color: <?= $linkcolor ?>;}menu ul ul {display: none;position: absolute;top: 45px;}menu ul li:hover>ul {display: inherit;}menu ul ul li {width: 170px;display: list-item;position: relative;background-color: transparent;}menu ul ul ul li {position: relative;top: -60px;left: 170px;background-color: transparent;}@media all and (max-width:600px) {menu {margin: 0;}.toggle+a, .menu {display: none;}.toggle {display: block;background-color: transparent;padding: 14px 20px;color: #FFF;font-size: 14px;text-decoration: none;border: none;}.toggle:hover {background-color: transparent;}[id^=drop]:checked+ul {display: block;}menu ul li {display: block;width: 90%;}menu ul ul .toggle, menu ul ul a {padding: 0 10px;}menu ul ul ul a {padding: 0 40px;}menu a:hover, menu ul ul ul a {background-color: <?= $menu_color_second ?>;}menu ul li ul li .toggle, menu ul ul a, menu ul ul ul a {padding: 14px 20px;color: #FFF;font-size: 14px;}menu ul li ul li .toggle, menu ul ul a {background-color: transparent;}menu ul ul {float: none;position: static;color: #ffffff;}menu ul ul li:hover>ul, menu ul li:hover>ul {display: none;}menu ul ul li {display: block;width: 100%;}menu ul ul ul li {position: static;}}@media (max-width:600px) {.hide {display: none;}}@media all and (max-width:330px) {menu ul li {display: block;width: 94%;}}
</style>

<menu>
<label for="drop" class="toggle" style="float:left;padding-left:20px;background:-webkit-gradient(linear,left top,left bottom,from(<?= $menu_color ?>),to(<?= $menu_color_second ?>))"><?= _MENU ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></label>
<input type="checkbox" id="drop" />
<ul class="menu" style="border:0">

<li style="border-right:.5px solid <?= $menu_color ?>"><a href="index.php"><i class="fa fa-home"></i> <?= _HOME ?></a></li>

<li style="border-right:.5px solid <?= $menu_color ?>">
<label for="drop-1" class="toggle"><?= _GOTOLINKS ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></label>
<span class="hide"><a href="#"><i style="font-size:12px" class="fa fa-link"></i> <?= _GOTOLINKS ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></a></span>
<input type="checkbox" id="drop-1" />
<ul style="background:<?= $menu_color ?>">
<a href="sitemap.php"><i class="fa fa-map"></i> <?= _SITEMAP ?></a>
<a href="../../index.php" target="_blank" style="text-decoration:none"><i class="fa fa-home"></i> <?= _YOURHOMEPAGE ?></a>
<a href="../../sys/admin/" target="_blank" style="text-decoration:none"><i class="fas fa-user-cog"></i> <?= _ADMINDASHBOARD ?></a>
</ul>
</li>

<li style="border-right:.5px solid <?= $menu_color ?>">
<label for="drop-3" class="toggle"><?= _CONFIG ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></label>
<span class="hide"><a href="#"><i style="font-size:12px" class="fa fa-cog"></i> <?= _CONFIG ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></a></span>
<input type="checkbox" id="drop-3" />
<ul style="background:<?= $menu_color ?>">
<div style="height:400px; overflow-y:auto;">
<a href="setup-wizard/index.php" style="text-decoration:none">&bull; <?= _QUICKSTART ?></a>
<a href="website.php" style="text-decoration:none">&bull; <?= _GENERALWEBSITECONFIG ?></a>
<a href="heropage.php" style="text-decoration:none">&bull; <?= _HEROPAGE ?></a>
<a href="admin_block.php" style="text-decoration:none">&bull; <?= _ADMINBLOCK ?></a>
<a href="email_settings.php" style="text-decoration:none">&bull; <?= _EMAILREGSETTINGS ?></a>
<a href="footer-config.php" style="text-decoration:none">&bull; <?= _FOOTCONFIG ?></a>
<a href="recaptcha.php" style="text-decoration:none">&bull; <?= _GOOGLERECAPTCHA ?></a>
<a href="style.php" style="text-decoration:none">&bull; <?= _LOGINPAGESTYLING ?></a>
<a href="spectranews.php" style="text-decoration:none">&bull; <?= _MEMBERNEWS ?></a>
<a href="social.php" style="text-decoration:none">&bull; <?= _SOCIALMEDIA ?></a>
</div>
</ul>
</li>


<li style="border-right:.5px solid <?= $menu_color ?>">
<label for="drop-4" class="toggle"><?= _ARTICLES ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></label>
<span class="hide"><a href="#"><i style="font-size:12px" class="fa fa-file-o"></i> <?= _ARTICLES ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></a></span>
<input type="checkbox" id="drop-4" />
<ul style="background:<?= $menu_color ?>">	
<a href="website.php#newstitle" style="text-decoration:none">&bull; <?= _CONFIG ?> <?= _ADMINMESSAGE ?></a>		
<a href="adminarticleall.php" style="text-decoration:none">&bull; <?= _ADMINMESSAGE ?></a>
<a href="adminarticle-position.php" style="text-decoration:none">&bull; <?= _POSITIONADMINMESSAGE ?></a>
<hr />
<a href="website.php#pagination" style="text-decoration:none">&bull;<?= _CONFIGARTICLES ?></a>
<a href="articlebuilder.php" style="text-decoration:none">&bull; <?= _ARTICLEBUILDER ?></a>
<a href="articles.php" style="text-decoration:none">&bull; <?= _ARTICLES ?> <?= _VIEWEDIT ?></a>				
<a href="article-position.php" style="text-decoration:none">&bull; <?= _POSITIONARTICLES ?></a>											
</ul>
</li> 

<li style="border-right:.5px solid <?= $menu_color ?>">
<label for="drop-5" class="toggle"><?= _BLOCKS ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></label>
<span class="hide"><a href="#"><i style="font-size:12px" class="fa fa-file-o"></i> <?= _BLOCKS ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></a></span>
<input type="checkbox" id="drop-5" />
<ul style="background:<?= $menu_color ?>">
<a style="text-decoration:none" href="block.php">&bull; <?= _VIEWEDITBLOCKS ?></a>
<a style="text-decoration:none" href="blockbuilder.php">&bull; <?= _BLOCKBUILDER ?></a>			
<a style="text-decoration:none" href="block-content.php">&bull; <?= _REPOSITIONBLOCKS ?></a>
</ul>
</li>

<li style="border-right:.5px solid <?= $menu_color ?>">
<label for="drop-2" class="toggle"><?= _CONTAINER ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></label>
<span class="hide"><a href="#"><i style="font-size:12px" class="fa fa-cog"></i> <?= _CONTAINER ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></a></span>
<input type="checkbox" id="drop-2" />
<ul style="background:<?= $menu_color ?>">
<a href="container.php">&bull; <?= _CONTAINER ?> <?= _BUILDER ?></a>
<a href="container-all.php" target="_blank" style="text-decoration:none">&bull; <?= _CONTAINERALL ?></a>
<a href="container-reposition.php" target="_blank" style="text-decoration:none">&bull; <?= _REPOSITIONCONTAINERS ?></a>
<a href="container-example.php" target="_blank" style="text-decoration:none">&bull; <?= _CONTAINEREXAMPLE ?></a>
</ul>
</li>

<li style="border-right:.5px solid <?= $menu_color ?>">
<label for="drop-13" class="toggle"><?= _FLIPCARDS ?><i style="font-size:10px" class="fa fa-chevron-down"></i></label>
<span class="hide"><a href="#"><i style="font-size:12px" class="fa fa-file-o"></i> <?= _FLIPCARDS ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></a></span>
<input type="checkbox" id="drop-13" />
<ul style="background:<?= $menu_color ?>">			
<a style="text-decoration:none" href="flipcardall.php">&bull; <?= _VIEWEDITCARDS ?></a>
<a style="text-decoration:none" href="flipcardbuilder.php">&bull;<?= _CARDBUILDER ?></a>
<a style="text-decoration:none" href="flipcardreposition.php">&bull; <?= _REPOSITIONCARDS ?></a>
</ul>
</li>

<li style="border-right:.5px solid <?= $menu_color ?>">
<label for="drop-6" class="toggle"><?= _MENUS ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></label>
<span class="hide"><a href="#"><i style="font-size:12px" class="fa fa-align-justify"></i> <?= _MENUS ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></a></span>
<input type="checkbox" id="drop-6" />
<ul style="background:<?= $menu_color ?>">
<a href="topbarall.php" style="text-decoration:none">&bull;  <?= _TOPBARMENU ?></a>		
<a href="singlelinksall.php" style="text-decoration:none">&bull; <?= _SINGLELINKSMENU ?></a>
<a href="sidemenuelement.php" style="text-decoration:none">&bull; <?= _SIDEMENUELEMENT ?></a>
<a href="quicklinksall.php" style="text-decoration:none">&bull; <?= _QUICKLINKSBLOCKMENU ?></a>
<a href="megamenuall.php" style="text-decoration:none">&bull; <?= _MEGAMENU ?></a>
</ul>
</li>
<li style="border-right:.5px solid <?= $menu_color ?>">
<label for="drop-7" class="toggle"><?= _MODULES ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></label>
<span class="hide"><a href="#"><i style="font-size:12px" class="fa fa-table"></i> <?= _MODULES ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></a></span>
<input type="checkbox" id="drop-7" />
<ul style="background:<?= $menu_color ?>">				
<a href="content-slider.php" style="text-decoration:none">&bull; <?= _CONTENTSLIDER ?></a>
<a href="contactform.php" style="text-decoration:none">&bull; <?= _CONTACTFORM ?></a>
<a href="usedownloads.php" style="text-decoration:none">&bull; <?= _DOWNLOADSYSTEM ?></a>				
<a href="linktome.php" style="text-decoration:none">&bull; <?= _LINKTOME ?></a>
<a href="modal.php" style="text-decoration:none">&bull; <?= _MODALWINDOW ?></a>
<a href="usegallery.php" style="text-decoration:none">&bull; <?= _PHOTOGALLERY ?></a>
</ul>
</li>

<li style="border-right:.5px solid <?= $menu_color ?>">
<label for="drop-8" class="toggle"><?= _PAGES ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></label>
<span class="hide"><a href="#"><i style="font-size:12px" class="fa fa-files-o"></i> <?= _PAGES ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></a></span>
<input type="checkbox" id="drop-8" />
<ul style="background:<?= $menu_color ?>">
<a href="pagesall.php" style="text-decoration:none">&bull; <?= _MANAGEALLPAGES ?></a>
<a href="categoriesall.php" style="text-decoration:none">&bull; <?= _PAGECATEGORIES ?></a>
<a href="paginationall.php" style="text-decoration:none">&bull; <?= _PAGINATIONSTYLES ?></a>
</ul>
</li>

<li style="border-right:.5px solid <?= $menu_color ?>"><a href="plugins.php" style="text-decoration:none"><i class="fa fa-plug"></i> <?= _PLUGINS ?></a></li>

<li style="border-right:.5px solid <?= $menu_color ?>">
<label for="drop-9" class="toggle"><?= _ROWS ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></label>
<span class="hide"><a href="#"><i style="font-size:12px" class="fa fa-file-o"></i> <?= _ROWS ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></a></span>
<input type="checkbox" id="drop-9" />
<ul style="background:<?= $menu_color ?>">
<div style="height:400px; overflow-y:auto;">
<a href="rowsexplained.php" target="_blank">&bull; <?= _ROWSEXPLAINED ?></a>
<a href="rowone.php">&bull; <?= _ROWONE ?></a>
<a href="rowtwo.php">&bull; <?= _ROWTWO ?></a>
<a href="rowthree.php">&bull; <?= _ROWTHREE ?></a>
<a href="rowfour.php">&bull; <?= _ROWFOUR ?></a>
<a href="rowfive.php">&bull; <?= _ROWFIVE ?></a>
<a href="rowsix.php">&bull; <?= _ROWSIX ?></a>
<a href="rowseven.php">&bull; <?= _ROWSEVEN ?></a>
<a href="roweight.php">&bull; <?= _ROWEIGHT ?></a>
<a href="rownine.php">&bull; <?= _ROWNINE ?></a>
<a href="rowten.php">&bull; <?= _ROWTEN ?></a>
<a href="roweleven.php">&bull; <?= _ROWELEVEN ?></a>
<a href="rowtwelve.php">&bull; <?= _ROWTWELVE ?></a>
</div>
</ul></li>

<li style="border-right:.5px solid <?= $menu_color ?>">
<label for="drop-10" class="toggle"><?= _SNIPLETS ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></label>
<span class="hide"><a href="#"><i style="font-size:12px" class="fa fa-file-o"></i> <?= _SNIPLETS ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></a></span>
<input type="checkbox" id="drop-10" />
<ul style="background:<?= $menu_color ?>">			
<a style="text-decoration:none" href="snipletsall.php">&bull; <?= _VIEWEDITALLSNIPLETS ?></a>
<a style="text-decoration:none" href="snipletbuilder.php">&bull; <?= _SNIPLETBUILDER ?></a>
<a style="text-decoration:none" href="snipletsreposition.php">&bull; <?= _REPOSITIONSNIPLETS ?></a>
</ul>
</li>

<li style="border-right:.5px solid <?= $menu_color ?>">
<label for="drop-11" class="toggle"><?= _THEMES ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></label>
<span class="hide"><a href="#"><i style="font-size:12px" class="fa fa-picture-o"></i> <?= _THEMES ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></a></span>
<input type="checkbox" id="drop-11" />
<ul style="background:<?= $menu_color ?>">
<a href="themesall.php" style="text-decoration:none">&bull; <?= _MANAGEALLTHEMES ?></a>
<a href="themebuildernew.php" style="text-decoration:none">&bull; <?= _BUILDNEWTHEME ?></a>
<a href="../../sys/admin/import.php" style="text-decoration:none">&bull; <?= _IMPORTTHEME ?></a>
<a href="../../sys/admin/exportthemes.php" style="text-decoration:none">&bull; <?= _EXPORTTHEME ?></a>
<a href="themedata.php" style="text-decoration:none">&bull; <?= _QUICKEDITS ?></a>
<br>
<div class="spacer black full" style="background:#cccccc"><i class="fa fa-picture-o"></i> <?= _PREVIEWTHEMES ?></div>
<br>
<div style="height:300px; overflow-y:auto;">
<?php $sql = "SELECT theme_name, id FROM themes ORDER BY theme_name ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>

<a href="../../sup/themepreview.php?id=<?= $row['id'] ?>" target="_blank" style="text-decoration:none">&bull; <?= $row['theme_name'];}} ?></a>
</div>
</ul>
</li>

<li style="border-right:.5px solid <?= $menu_color ?>">
<label for="drop-12" class="toggle"><?= _VIDEOS ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></label>
<span class="hide"><a href="#"><i style="font-size:12px" class="fa fa-video"></i> <?= _VIDEOS ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></a></span>
<input type="checkbox" id="drop-12" />
<ul style="background:<?= $menu_color ?>">
<a style="text-decoration:none" href="website.php#videosettings">&bull; <?= _CONFIGVIDEOS ?></a>
<a style="text-decoration:none" href="videobuilder.php">&bull; <?= _VIDEOBUILDER ?></a>
<a style="text-decoration:none" href="videosall.php">&bull; <?= _VIEWEDITVIDEOS ?></a>
<a style="text-decoration:none" href="videos_position.php">&bull; <?= _REPOSITION ?> <?= _VIDEOS ?></a>
</ul>
</li>

<li style="border-right:.5px solid <?= $menu_color ?>"><a href="../../sys/logout.php" style="text-decoration:none"><span style="color:<?= $linkcolor ?>"><?= _LOGOUT ?> <i class="fas fa-file-import"></i></a></li>

</ul>
</menu>
