<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ ?>

<script src="js/jquery-3.2.1.min.js"></script>
<link rel="stylesheet" type="text/css" media="all" href="css/webslidemenu.css" />
<script src="js/webslidemenu.js"></script>

<div class="wsmenucontainer clearfix">
<div id="overlapblackbg"></div>
<div class="wrapper clearfix">
<a id="wsnavtoggle" class="animated-arrow column-title center" style="padding-left: 30px; padding-top:20px;width:100px;"><span></span></a>
</div>

<nav class="wsmenu clearfix">

<ul class="sidemenu mobile-sub wsmenu-list clearfix">
<div style="padding-top:80px"></div>
<li><a href="index.php" class="active"><i class="fa fa-home"></i><span class="hometext">&nbsp;&nbsp;<span style="color:<?= $linkcolor ?>"><?= _HOME ?></span> </span></a></li>

<li style="border-right:.5px solid <?= $menu_color ?>"><a href="sitemap.php"><i class="fa fa-map"></i> <?= _SITEMAP ?></a></li>

<li><a href="newspage-config.php" style="text-decoration:none"><i class="fa fa-home"></i><span class="hometext">&nbsp;&nbsp;<span style="color:<?= $linkcolor ?>"><?= _CONFIG ?> <?= _HOMEPAGE ?></span> </span></a></li>

<li><a href="#"><i class="fa fa-link"></i>&nbsp;&nbsp;<span style="color:<?= $linkcolor ?>"><?= _GOTOLINKS ?></span> <span class="arrow"></span></a>
<ul class="wsmenu-submenu">
<li><a href="../../index.php" target="_blank" style="text-decoration:none"><i class="fa fa-home"></i> <?= _YOURHOMEPAGE ?></a></li>
<li><a href="../../sys/admin/" target="_blank" style="text-decoration:none"><i class="fas fa-user-cog"></i> <?= _ADMINDASHBOARD ?></a></li>
</ul>
</li>

<li><a href="#"><i class="fa fa-cog"></i>&nbsp;&nbsp;<span style="color:<?= $linkcolor ?>"><?= _CONTAINER ?></span> <span class="arrow"></span></a>
<ul class="wsmenu-submenu">
<li><a href="container.php"><i class="fa fa-cog"></i> <?= _CONTAINER ?> <?= _BUILDER ?></a></li>
<li><a href="container-all.php" target="_blank" style="text-decoration:none"><i class="fa fa-cog"></i> <?= _CONTAINERALL ?></a></li>
<li><a href="container-reposition.php" target="_blank" style="text-decoration:none"><i class="fas fa-cog"></i> <?= _REPOSITIONCONTAINERS ?></a></li>
<li><a href="container-example.php" target="_blank" style="text-decoration:none"><i class="fas fa-cog"></i> <?= _CONTAINEREXAMPLE ?></a></li>
</ul>
</li>

<li><a href="#"><i class="fa fa-cog"></i>&nbsp;&nbsp;<span style="color:<?= $linkcolor ?>"><?= _GENERALCONFIGURATION ?></span> <span class="arrow"></span></a>
<ul class="wsmenu-submenu">
<li><a href="setup-wizard/index.php" style="text-decoration:none">&bull; <?= _QUICKSTART ?></a></li>
<li><a href="website.php" style="text-decoration:none">&bull; <?= _GENERALWEBSITECONFIG ?></a></li>
<li><a href="heropage.php" style="text-decoration:none">&bull; <?= _HEROPAGE ?></a></li>
<li><a href="admin_block.php" style="text-decoration:none">&bull; <?= _ADMINBLOCK ?></a></li>
<li><a href="email_settings.php" style="text-decoration:none">&bull; <?= _EMAILREGSETTINGS ?></a></li>
<li><a href="footer-config.php" style="text-decoration:none">&bull; <?= _FOOTCONFIG ?></a></li>
<li><a href="recaptcha.php" style="text-decoration:none">&bull; <?= _GOOGLERECAPTCHA ?></a></li>
<li><a href="style.php" style="text-decoration:none">&bull; <?= _LOGINPAGESTYLING ?></a></li>
<li><a href="spectranews.php" style="text-decoration:none">&bull; <?= _MEMBERNEWS ?></a></li>
<li><a href="social.php" style="text-decoration:none">&bull; <?= _SOCIALMEDIA ?></a></li>
</ul>
</li>

<li><a href="#"><i class="fa fa-file-o"></i>&nbsp;&nbsp;<span style="color:<?= $linkcolor ?>"><?= _CONTENT ?></span> <span class="arrow"></span></a>
<ul class="wsmenu-submenu">          

<li><a href="articles.php" style="text-decoration:none">&bull; <?= _ARTICLES ?></a></li>

<li><a href="website.php#pagination" style="text-decoration:none">&bull;<?= _CONFIGARTICLES ?></a></li>

<li><a href="article-position.php" style="text-decoration:none">&bull; <?= _POSITIONARTICLES ?></a></li>
<hr />
<li><a href="website.php#newstitle" style="text-decoration:none">&bull; <?= _CONFIG ?> <?= _ADMINMESSAGE ?></a></li>
<li><a href="adminarticleall.php" style="text-decoration:none">&bull; <?= _ADMINMESSAGE ?></a></li>
<li><a href="adminarticle-position.php" style="text-decoration:none">&bull; <?= _POSITIONADMINMESSAGE ?></a></li>
<hr />
<li><a style="text-decoration:none" href="block.php">&bull; <?= _VIEWEDITBLOCKS ?></a></li>
<li><a style="text-decoration:none" href="blockbuilder.php">&bull; <?= _BLOCKBUILDER ?></a></li>
<li><a style="text-decoration:none" href="block-content.php">&bull; <?= _REPOSITIONBLOCKS ?></a></li>
<hr />         
<li><a style="text-decoration:none" href="snipletsall.php">&bull; <?= _VIEWEDITALLSNIPLETS ?></a></li>
<li><a style="text-decoration:none" href="snipletbuilder.php">&bull; <?= _SNIPLETBUILDER ?></a></li>
<li><a style="text-decoration:none" href="snipletsreposition.php">&bull; <?= _REPOSITIONSNIPLETS ?></a></li>
</ul>
</li>

<li><a href="#"><i class="fa fa-file-o"></i>&nbsp;&nbsp;<span style="color:<?= $linkcolor ?>"><?= _CONFIGROWS ?></span> <span class="arrow"></span></a>
<ul class="wsmenu-submenu">
<li><a href="rowsexplained.php" target="_blank">&bull; <?= _ROWSEXPLAINED ?></a></li>
<li><a href="rowone.php">&bull; <?= _ROWONE ?></a></li>
<li><a href="rowtwo.php">&bull; <?= _ROWTWO ?></a></li>
<li><a href="rowthree.php">&bull; <?= _ROWTHREE ?></a></li>
<li><a href="rowfour.php">&bull; <?= _ROWFOUR ?></a></li>
<li><a href="rowfive.php">&bull; <?= _ROWFIVE ?></a></li>
<li><a href="rowsix.php">&bull; <?= _ROWSIX ?></a></li>
<li><a href="rowseven.php">&bull; <?= _ROWSEVEN ?></a></li>
<li><a href="roweight.php">&bull; <?= _ROWEIGHT ?></a></li>
<li><a href="rownine.php">&bull; <?= _ROWNINE ?></a></li>
<li><a href="rowten.php">&bull; <?= _ROWTEN ?></a></li>
<li><a href="roweleven.php">&bull; <?= _ROWELEVEN ?></a></li>
<li><a href="rowtwelve.php">&bull; <?= _ROWTWELVE ?></a></li>
</ul>
</li>

<li><a href="#"><i class="fa fa-file-o"></i>&nbsp;&nbsp;<span style="color:<?= $linkcolor ?>"><?= _FLIPCARDS ?></span> <span class="arrow"></span></a>
<ul class="wsmenu-submenu">
<li><a style="text-decoration:none" href="flipcardall.php">&bull; <?= _VIEWEDITCARDS ?></a></li>
<li><a style="text-decoration:none" href="flipcardbuilder.php">&bull;<?= _CARDBUILDER ?></a></li>
<li><a style="text-decoration:none" href="flipcardreposition.php">&bull; <?= _REPOSITIONCARDS ?></a></li>
</ul>
</li>

<li><a href="#"><i class="fa fa-file-o"></i>&nbsp;&nbsp;<span style="color:<?= $linkcolor ?>"><?= _VIDEOS ?></span> <span class="arrow"></span></a>
<ul class="wsmenu-submenu">
<li><a style="text-decoration:none" href="website.php#videosettings">&bull; <?= _CONFIGVIDEOS ?></a></li>
<li><a style="text-decoration:none" href="videobuilder.php">&bull; <?= _VIDEOBUILDER ?></a></li>
<li><a style="text-decoration:none" href="videosall.php">&bull; <?= _VIEWEDITVIDEOS ?></a></li>
<li><a style="text-decoration:none" href="videos_position.php">&bull; <?= _REPOSITION ?> <?= _VIDEOS ?></a></li>
</ul>
</li>

<li><a href="#"><i class="fa fa-align-justify"></i>&nbsp;&nbsp;<span style="color:<?= $linkcolor ?>"><?= _MENUS ?></span> <span class="arrow"></span></a>
<ul class="wsmenu-submenu">  
<li><a href="topbarall.php" style="text-decoration:none">&bull;  <?= _TOPBARMENU ?></a></li>
<li><a href="sidemenuelement.php" style="text-decoration:none">&bull; <?= _SIDEMENUELEMENT ?></a></li>      
<li><a href="singlelinksall.php" style="text-decoration:none">&bull; <?= _SINGLELINKSMENU ?></a></li>
<li><a href="quicklinksall.php" style="text-decoration:none">&bull; <?= _MEGAMENU ?></a></li>
</ul>
</li>

<li><a href="#"><i class="fa fa-table"></i>&nbsp;&nbsp;<span style="color:<?= $linkcolor ?>"><?= _MODULES ?></span> <span class="arrow"></span></a>
<ul class="wsmenu-submenu">         
<li><a href="content-slider.php" style="text-decoration:none">&bull; <?= _CONTENTSLIDER ?></a></li>
<li><a href="contactform.php" style="text-decoration:none">&bull; <?= _CONTACTFORM ?></a></li>
<li><a href="usedownloads.php" style="text-decoration:none">&bull; <?= _DOWNLOADSYSTEM ?></a></li>                 
<li><a href="linktome.php" style="text-decoration:none">&bull; <?= _LINKTOME ?></a></li>
<li><a href="modal.php" style="text-decoration:none">&bull; <?= _MODALWINDOW ?></a></li>
<li><a href="usegallery.php" style="text-decoration:none">&bull; <?= _PHOTOGALLERY ?></a></li>         
</ul>
</li>

<li><a href="#"><i class="fa fa-files-o"></i>&nbsp;&nbsp;<span style="color:<?= $linkcolor ?>"><?= _PAGES ?></span> <span class="arrow"></span></a>
<ul class="wsmenu-submenu">
<li><a href="pagesall.php" style="text-decoration:none">&bull; <?= _MANAGEALLPAGES ?></a></li>
<li><a href="categoriesall.php" style="text-decoration:none">&bull; <?= _PAGECATEGORIES ?></a></li>
<li><a href="paginationall.php" style="text-decoration:none">&bull; <?= _PAGINATIONSTYLES ?></a></li>
</ul>
</li>

<li><a href="plugins.php"><i class="fa fa-plug"></i>&nbsp;&nbsp;<span style="color:<?= $linkcolor ?>"><?= _PLUGINS ?></span> <span class="arrow"></span></a></li>

<li><a href="#"><i class="fa fa-picture-o""></i>&nbsp;&nbsp;<span style=" color:<?= $linkcolor ?>"><?= _THEMES ?></span> <span class="arrow"></span></a>
<ul class="wsmenu-submenu">
<li><a href="themesall.php" style="text-decoration:none">&bull; <?= _MANAGEALLTHEMES ?></a></li>
<li><a href="themebuildernew.php" style="text-decoration:none">&bull; <?= _BUILDNEWTHEME ?></a></li>
<li><a href="../../sys/admin/import.php" style="text-decoration:none">&bull; <?= _IMPORTTHEME ?></a></li>
<li><a href="../../sys/admin/exportthemes.php" style="text-decoration:none">&bull; <?= _EXPORTTHEME ?></a></li>
<li><a href="themedata.php" style="text-decoration:none">&bull; <?= _QUICKEDITS ?></a></li>
<br>
<span class="spacer black" style="background:#ccc;width:100%;"><i class="fa fa-picture-o"></i> <?= _PREVIEWTHEMES ?>
<br>

<?php 
/**
 * 
 * Show all themes 
 * for preview.
 * 
 */

$sql = "SELECT * FROM themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>

<li><a href="../../sup/themepreview.php?id=<?= $row['id'] ?>" target="_blank" style="text-decoration:none">&bull; <?= $row['theme_name'] ?></a></li>
<?php }} ?>
</ul>
</li>

<li style="border-right:.5px solid <?= $menu_color ?>"><a href="../../sys/logout.php" style="text-decoration:none"><span style="color:<?= $linkcolor ?>"><?= _LOGOUT ?> <i class="fas fa-file-import"></i></a></li>

</ul>
</nav>
</div>