<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ ?>

<style>
.toggle, [id^=drop] {
    display: none;
}

menu-two {
    background: -webkit-gradient(linear, left top, left bottom, from(<?= $menu_color ?>), to(<?= $menu_color_second ?>));
    width: 100%;
    padding: 15px;
    margin: 0 auto;
}

menu-two:after {
    content: "";
    display: table;
    clear: both;
}

menu-two ul {
    padding: 0;
    margin: 0;
    list-style: none;
    position: relative;
    z-index: 999;
}

menu-two ul li {
    margin: 0px;
    float: left;
}

menu-two a:link {
    display: block;
    padding: 14px 16px;
    color: <?= $linkcolor ?>;
    font-size: 16px;
    text-decoration: none;
}

menu-two ul li ul li:hover {
    background-color: <?= $content_bg ?>;
}

menu-two a:hover {
    background-color: <?= $menu_color_second ?>;
    color: <?= $linkcolor ?>;
}

menu-two ul ul {
    display: none;
    position: absolute;
    top: 45px;
}

menu-two ul li:hover>ul {
    display: inherit;
}

menu-two ul ul li {
    width: 170px;
    display: list-item;
    position: relative;
    background-color: transparent;
}

menu-two ul ul ul li {
    position: relative;
    top: -60px;
    left: 170px;
    background-color: transparent;
}

@media all and (max-width:600px) {
    menu-two {
        margin: 0;
    }

    .toggle+a, .menu-two {
        display: none;
    }

    .toggle {
        display: block;
        background-color: transparent;
        padding: 14px 20px;
        color: #FFF;
        font-size: 14px;
        text-decoration: none;
        border: none;
    }

    .toggle:hover {
        background-color: transparent;
    }

    [id^=drop]:checked+ul {
        display: block;
    }

    menu-two ul li {
        display: block;
        width: 90%;
    }

    menu-two ul ul .toggle, menu-two ul ul a {
        padding: 0 10px;
    }

    menu-two ul ul ul a {
        padding: 0 40px;
    }

    menu-two a:hover, menu-two ul ul ul a {
        background-color: <?= $menu_color_second ?>;
    }

    menu-two ul li ul li .toggle, menu-two ul ul a, menu-two ul ul ul a {
        padding: 14px 20px;
        color: #FFF;
        font-size: 14px;
    }

    menu-two ul li ul li .toggle, menu-two ul ul a {
        background-color: transparent;
    }

    menu-two ul ul {
        float: none;
        position: static;
        color: #ffffff;
    }

    menu-two ul ul li:hover>ul, menu-two ul li:hover>ul {
        display: none;
    }

    menu-two ul ul li {
        display: block;
        width: 100%;
    }

    menu-two ul ul ul li {
        position: static;
    }
}

@media (max-width:600px) {
    .hide {
        display: none;
    }
}

@media all and (max-width:330px) {
    menu-two ul li {
        display: block;
        width: 94%;
    }
}</style>