<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'pages.php';
closenav();

if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM newpages WHERE id=$id"); {
$n = mysqli_fetch_array($record);
$pagename = $n['pagename'];
$pagetext = $n['pagetext'];
$usepage = $n['usepage'];
$deactivemsg = $n['deactivemsg'];
$catname = $n['catname'];
$use_which_side = $n['use_which_side'];
$add_sidebar_contentL = $n['add_sidebar_contentL'];
$add_sidebar_contentR = $n['add_sidebar_contentR'];
$add_content_titleL = $n['add_content_titleL'];
$add_content_titleR = $n['add_content_titleR'];
$tags = $n['tags'];
$calendar = $n['calendar'];
$tagcloud = $n['tagcloud'];
$categories = $n['categories'];
$search = $n['search'];
$quicklinks = $n['quicklinks'];
$spotlight = $n['spotlight'];
$useLtext = $n['useLtext'];
$useRtext = $n['useRtext'];
$menuname = $n['menuname'];
$metatags = $n['metatags'];
$description = $n['description'];
$printpage = $n['printpage'];
$showpagetitle = $n['showpagetitle'];
$stylelefttitle = $n['stylelefttitle'];
$stylerighttitle = $n['stylerighttitle'];
$lefttextposition = $n['lefttextposition'];
$righttextposition = $n['righttextposition'];
$useback = $n['useback'];
$backcolorone = $n['backcolorone'];
$backcolortwo = $n['backcolortwo'];
$backimage = $n['backimage'];
}} ?>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">

<?php $results = mysqli_query($db, "SELECT * FROM newpages"); ?>

<form method="post" action="pages.php" class="noborder">

<input type="hidden" name="id" value="<?= $id ?>">

<?php updatepublish(); ?>

<style>
.mini-container {
width: 70%;
}

.responsiveL {width: 25% }

.responsiveR {width: 25% }

.responsiveC {width: 45%;border: 0;}

.responsive {width: 45%;border: 0;}

@media(max-width:1000px) {
.responsiveC, .responsiveL, .responsiveR, .responsive {width: 100% }}

.column2 {width: 50% }

@media(max-width:1000px) {
.column2, .mini-container {
width: 100%;
padding: 0;
box-shadow: none;
float: left; }}
</style>

<div class="card noborder">

<div class="column-title spacer">
<h1 class="center coltitlecolor"><?= _PGBLDR ?></h1>
</div>

<div class="mini-container">

<h3 class="center"><?= _CREATECATEGORIES ?></h3>


<h3 class="center"><?= _GENPGSETTINGS ?></h1>

<div class="radius spacer">

<p><?= _USEPG ?>
<br>
<?= _TURNOFF_FOREDITING ?>
<br>
<select name="usepage">
<option><?= $usepage ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p><?= _ENTERPGTITLE ?>
<br>
<input style="background:#f1f1f1; color:#000; font-size:22px; width:100%;" type="text" name="pagename" value="<?= $pagename ?>">
</p>

<p class="left"><?= _SHOWTITLE ?>
<select name="showpagetitle">
<option><?= $showpagetitle ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p><?= _PGCAT ?>:
<select name="catname">
<option><?= $catname ?></option>
<?php $result = mysqli_query($conn, 'SELECT catname FROM pagecategory ORDER BY catname');
while ($row = mysqli_fetch_array($result)) { ?>
<option value="<?= $row['catname'] ?>"><?= $row['catname'] ?></option>
<?php } ?>
</select>
</p>

<p class="left"><?= _ALLOWPRINTING ?>:
<select name="printpage">
<option><?= $printpage ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p><?= _ASSIGNPGTOMENU ?>
<select name="menuname">
<option><?= $menuname ?></option>
<?php $result = mysqli_query($conn, "SELECT * FROM pagesautomenu");
while ($row = mysqli_fetch_array($result)) { ?>
<option value="<?= $row['name_one'] ?>"><?= $row['menuface_one'] ?></option>
<option value="<?= $row['name_two'] ?>"><?= $row['menuface_two'] ?></option>
<option value="<?= $row['name_three'] ?>"><?= $row['menuface_three'] ?></option>
<option value="<?= $row['name_four'] ?>"><?= $row['menuface_four'] ?></option>
<option value="<?= $row['name_five'] ?>"><?= $row['menuface_five'] ?></option>
<option value="<?= $row['name_six'] ?>"><?= $row['menuface_six'] ?></option>
<option value="<?= $row['name_seven'] ?>"><?= $row['menuface_seven'] ?></option>
<option value="<?= $row['name_eight'] ?>"><?= $row['menuface_eight'] ?></option>
<option value="<?= $row['name_nine'] ?>"><?= $row['menuface_nine'] ?></option>
<option value="<?= $row['name_ten'] ?>"><?= $row['menuface_ten'] ?></option>
<option value="<?= $row['name_eleven'] ?>"><?= $row['menuface_eleven'] ?></option>
<option value="<?= $row['name_twelve'] ?>"><?= $row['menuface_twelve'] ?></option>
<?php } ?>
</select>
</p>

<?php
/**
 * 
 * Choose if using a background
 * color or image.
 * 
 */ ?>

<h3 class="center column-title coltitlecolor"><?= _OPTIONAL ?></h3>

<p class="left"><?= _USEBACKCOLORIMAGE ?>
<select name="useback">
<option><?= $useback ?></option>
<option value="Color"><?= _COLOR ?></option>
<option value="Image"><?= _IMAGE ?></option>
<option value="None"><?= _NONE ?></option>
</select>
</p>
 
<p class="left"><?= _IFCOLORFIRST ?></p>
<input style="width:55px" name="backcolorone" value="<?= $backcolorone ?>">

<p class="left"><?= _IFCOLORSECOND ?></p>
<input style="width:55px" name="backcolortwo" value="<?= $backcolortwo ?>">

<p class="left"><?= _IFIMAGE ?></p>
<input style="width:200px" name="backimage" value="<?= $backimage ?>">

<h3 class="black center"><?= _SEOOPTIMIZE ?></h3>

<div class="accordion" style="width:100%"><?= _LEARNMORE ?><span style="float:right"><i class="fa fa-arrow-up" title="<?= _OPEN ?>"></i>&nbsp;&nbsp;<i class="fa fa-arrow-down" title="<?= _CLOSE_ ?>"></i></div>
<div class="justify panel" style="width:100%"><?= _METATAGS ?>
</div>

<p class="center black"><?= _ENTERPGTAG ?><br>
<input style="background:#f1f1f1; color:#000; font-size:14px; width:100%;" type="text" name="tags" maxlength="25" size="25" value="<?= $tags ?>" placeholder="example: Webdesign">
</p>
<div>

<p class="center black"><?= _METADESCRIPTION ?><br>
<input style="background:#f1f1f1;color:#000;font-size:14px;width:100%;height:100px;" type="text" name="description" value="<?= $description ?>" placeholder="example: Webdesign is a way of life for some people.">
</p>

<p class="center black"><?= _META_TAGS ?>
<input style="background:#f1f1f1; color:#000; font-size:14px;width:100%;" type="text" name="metatags" value="<?= $metatags ?>" placeholder="example: Webdesign, easy, popular">
</p>
</div>

<br>
<br>

<div style=" background:#fff; margin:0 auto; border:.5px solid #94D6E3; box-shadow:1px 0 40px 0 rgba(50,50,50,.3);" class="radius spacer responsiveC">
<h3 class="center black"><?= _PGUPDATEEDIT ?></h3>
<?= _PGUPDATEEDITPARA ?>
</div>

<br>

<div class="spacer column-title">
<h2 class="abril center coltitlecolor"><?= _TEMPPGNOTUSEDMSG ?></h2>
</div>

<p class="center">
<?= _SHORTMSG ?>
</p>

<textarea id="editor" type="text" name="deactivemsg">
<?= htmlentities($deactivemsg, ENT_QUOTES) ?>
</textarea>

<br>
<div class="spacer column-title">
<h2 class="abril center coltitlecolor"><?= _MAINPGCONTENT ?></h2></div>

<textarea id="editor" type="text" name="pagetext">
<?= htmlentities($pagetext, ENT_QUOTES) ?>
</textarea>

<br>

<div class="spacer column-title">
<h2 class="coltitlecolor center abril"><?= _SIDEBARCONTENT ?></h2>
</div>
<br>
<br>
<p class="center">
<?= _SKIPTHEREST ?>
</p>
<p class="center"><strong><?= _SIDEBARDISPLAY ?></strong>
<select name="use_which_side">
<option><?= $use_which_side ?></option>
<option value="Left"><?= _LEFT ?></option>
<option value="Right"><?= _RIGHT ?></option>
<option value="Both"><?= _BOTH ?></option>
<option value="None"><?= _NONE ?></option>
</select>
</p>

<table class="full spacer center">
<tr style="border:0">
<td colspan="2" class="inner-wrapper">
<h2 class="abril center gentextcolor"><? _SIDEBARPLUGINS ?></h2>
<p class="center">
<?= _PLUGINSINFO ?>
</p>
<div class="column">
<?php require_once 'PBplugins.php'; ?>
</div>
<br>
</td>
</tr>
<tr style="border:0">
<td class="responsiveL card top">
<?php global $add_content_titleR, $add_content_titleL; ?>
<br>
<h3 class="abril center spacer column-title coltitlecolor"><?= _LEFTCONTENTBLDR ?>:</h3>

<p><?= _USINGTHIS ?>
<br>
<select name="useLtext">
<option><?= $useLtext ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>
</p>

<p><?= _POSITIONPLUGINS ?>
<br>
<select name="lefttextposition">
<option><?= $lefttextposition ?></option>
<option value="Above"><?= _ABOVE ?></option>
<option value="Below"><?= _BELOW ?></option>
</select>
</p>

<p><?= _STYLETITLE ?>
<br>
<select name="stylelefttitle">
<option><?= $stylelefttitle ?></option>
<option value="Plain"><?= _PLAIN ?></option>
<option value="Styled"><?= _STYLED ?></option>
</select>
</p>

<p class="center"><?= _LEFTSIDEBARTITLE ?>
<br>

<input maxlength="25" style="background:#f1f1f1; color:#000; font-size:22px; width:270px;" type="text" name="add_content_titleL" value="<?= $add_content_titleL ?>">
</p>
<textarea id="editor" type="text" name="add_sidebar_contentL"><?= htmlentities($add_sidebar_contentL, ENT_QUOTES) ?></textarea>

</td>
<td class="responsiveR card top">
<br>
<h3 class="abril center spacer column-title coltitlecolor"><?= _RIGHTSIDEBARBLDR ?>:</h3>
<p>
<?= _USINGTHIS ?>
<br>
<select name="useRtext">
<option><?= $useRtext ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>
</p>

<p><?= _POSITIONPLUGINS ?>
<br>
<select name="righttextposition">
<option><?= $righttextposition ?></option>
<option value="Above"><?= _ABOVE ?></option>
<option value="Below"><?= _BELOW ?></option>
</select>
</p>

<p><?= _STYLETITLE ?>
<br>
<select name="stylerighttitle">
<option><?= $stylerighttitle ?></option>
<option value="Plain"><?= _PLAIN ?></option>
<option value="Styled"><?= _STYLED ?></option>
</select>
</p>

<p class="center">
<?= _RIGHTSIDEBARTITLE ?>
<br>
<input maxlength="25" style="background:#f1f1f1; color:#000; font-size:22px; width:270px;" type="text" name="add_content_titleR" value="<?= $add_content_titleR ?>">
</p>

<textarea id="editor" type="text" name="add_sidebar_contentR"><?= htmlentities($add_sidebar_contentR, ENT_QUOTES) ?></textarea>

</form>

</td></tr></table>

</div>
<?php require_once 'footer.php';