<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

/**
 * 
 * Initialize the variables.
 * 
 */

$pagename = "";
$pagetext = "";
$usepage = "";
$deactivemsg = "";
$catname = "";
$use_which_side = "";
$add_sidebar_contentL = "";
$add_sidebar_contentR = "";
$add_content_title = "";
$tags = "";
$calendar = "";
$tagcloud = "";
$categories = "";
$search = "";
$blockslider = "";
$quicklinks = "";
$spotlight = "";
$useLtext = "";
$useRtext = "";
$menuname = "";
$metatags = "";
$description = "";
$printpage = "";
$showpagetitle = "";
$stylelefttitle = "";
$stylerighttitle = "";
$lefttextposition = "";
$righttextposition = "";
$useback = "";
$backcolorone = "";
$backcolortwo = "";
$backimage = "";
$id = 0;
$update = false;

/**
 * 
 * Create new page.
 * 
 */

if (isset($_POST['save'])) {
$pagename = mysqli_real_escape_string($conn, $_POST['pagename']);
$pagetext = mysqli_real_escape_string($conn, $_POST['pagetext']);
$usepage = mysqli_real_escape_string($conn, $_POST['usepage']);
$deactivemsg = mysqli_real_escape_string($conn, $_POST['deactivemsg']);
$catname = mysqli_real_escape_string($conn, $_POST['catname']);
$use_which_side = mysqli_real_escape_string($conn, $_POST['use_which_side']);
$add_sidebar_contentL = mysqli_real_escape_string($conn, $_POST['add_sidebar_contentL']);
$add_sidebar_contentR = mysqli_real_escape_string($conn, $_POST['add_sidebar_contentR']);
$add_content_titleR = mysqli_real_escape_string($conn, $_POST['add_content_titleR']);
$add_content_titleL = mysqli_real_escape_string($conn, $_POST['add_content_titleL']);
$tags = mysqli_real_escape_string($conn, $_POST['tags']);
$calendar = mysqli_real_escape_string($conn, $_POST['calendar']);
$tagcloud = mysqli_real_escape_string($conn, $_POST['tagcloud']);
$categories = mysqli_real_escape_string($conn, $_POST['categories']);
$search = mysqli_real_escape_string($conn, $_POST['search']);
$quicklinks = mysqli_real_escape_string($conn, $_POST['quicklinks']);
$spotlight = mysqli_real_escape_string($conn, $_POST['spotlight']);
$useLtext = mysqli_real_escape_string($conn, $_POST['useLtext']);
$useRtext = mysqli_real_escape_string($conn, $_POST['useRtext']);
$menuname = mysqli_real_escape_string($conn, $_POST['menuname']);
$metatags = mysqli_real_escape_string($conn, $_POST['metatags']);
$description = mysqli_real_escape_string($conn, $_POST['description']);
$printpage = mysqli_real_escape_string($conn, $_POST['printpage']);
$showpagetitle = mysqli_real_escape_string($conn, $_POST['showpagetitle']);
$stylelefttitle = mysqli_real_escape_string($conn, $_POST['stylelefttitle']);
$stylerighttitle = mysqli_real_escape_string($conn, $_POST['stylerighttitle']);
$lefttextposition = mysqli_real_escape_string($conn, $_POST['lefttextposition']);
$righttextposition = mysqli_real_escape_string($conn, $_POST['righttextposition']);
$useback = mysqli_real_escape_string($conn, $_POST['useback']);
$backcolorone = mysqli_real_escape_string($conn, $_POST['backcolorone']);
$backcolortwo = mysqli_real_escape_string($conn, $_POST['backcolortwo']);
$backimage = mysqli_real_escape_string($conn, $_POST['backimage']);

mysqli_query($db, "INSERT INTO newpages (pagename, pagetext, usepage, deactivemsg, catname, use_which_side, add_sidebar_contentL, add_sidebar_contentR, add_content_titleR, add_content_titleL, tags, calendar, tagcloud, categories, search, quicklinks, spotlight, useLtext, useRtext, menuname, metatags, description, printpage, showpagetitle, stylelefttitle, stylerighttitle, lefttextposition, righttextposition, useback, backcolorone, backcolortwo, backimage) VALUES ('$pagename', '$pagetext', '$usepage', '$deactivemsg', '$catname', '$use_which_side', '$add_sidebar_contentL', '$add_sidebar_contentR', '$add_content_titleR', '$add_content_titleL', '$tags', '$calendar', '$tagcloud', '$categories', '$search', '$quicklinks', '$spotlight', '$useRtext', '$useLtext', '$menuname', '$metatags', '$description','$printpage', '$showpagetitle', '$stylelefttitle', '$stylerighttitle', '$lefttextposition', '$righttextposition', '$useback', '$backcolorone', '$backcolortwo', '$backimage')");
$_SESSION['message'] = "Page Saved!";
echo "<script> window.location.replace('pagesall.php') </script>";
}

/**
 * 
 * Update an existing page.
 * 
 */

if (isset($_POST['update'])) {
$id = $_POST['id'];
$pagename = mysqli_real_escape_string($conn, $_POST['pagename']);
$pagetext = mysqli_real_escape_string($conn, $_POST['pagetext']);
$usepage = mysqli_real_escape_string($conn, $_POST['usepage']);
$deactivemsg = mysqli_real_escape_string($conn, $_POST['deactivemsg']);
$catname = mysqli_real_escape_string($conn, $_POST['catname']);
$use_which_side = mysqli_real_escape_string($conn, $_POST['use_which_side']);
$add_sidebar_contentL = mysqli_real_escape_string($conn, $_POST['add_sidebar_contentL']);
$add_sidebar_contentR = mysqli_real_escape_string($conn, $_POST['add_sidebar_contentR']);
$add_content_titleR = mysqli_real_escape_string($conn, $_POST['add_content_titleR']);
$add_content_titleL = mysqli_real_escape_string($conn, $_POST['add_content_titleL']);
$tags = mysqli_real_escape_string($conn, $_POST['tags']);
$calendar = mysqli_real_escape_string($conn, $_POST['calendar']);
$tagcloud = mysqli_real_escape_string($conn, $_POST['tagcloud']);
$categories = mysqli_real_escape_string($conn, $_POST['categories']);
$search = mysqli_real_escape_string($conn, $_POST['search']);
$quicklinks = mysqli_real_escape_string($conn, $_POST['quicklinks']);
$spotlight = mysqli_real_escape_string($conn, $_POST['spotlight']);
$useLtext = mysqli_real_escape_string($conn, $_POST['useLtext']);
$useRtext = mysqli_real_escape_string($conn, $_POST['useRtext']);
$menuname = mysqli_real_escape_string($conn, $_POST['menuname']);
$metatags = mysqli_real_escape_string($conn, $_POST['metatags']);
$description = mysqli_real_escape_string($conn, $_POST['description']);
$printpage = mysqli_real_escape_string($conn, $_POST['printpage']);
$showpagetitle = mysqli_real_escape_string($conn, $_POST['showpagetitle']);
$stylelefttitle = mysqli_real_escape_string($conn, $_POST['stylelefttitle']);
$stylerighttitle = mysqli_real_escape_string($conn, $_POST['stylerighttitle']);
$lefttextposition = mysqli_real_escape_string($conn, $_POST['lefttextposition']);
$righttextposition = mysqli_real_escape_string($conn, $_POST['righttextposition']);
$useback = mysqli_real_escape_string($conn, $_POST['useback']);
$backcolorone = mysqli_real_escape_string($conn, $_POST['backcolorone']);
$backcolortwo = mysqli_real_escape_string($conn, $_POST['backcolortwo']);
$backimage = mysqli_real_escape_string($conn, $_POST['backimage']);

mysqli_query($db, "UPDATE newpages SET pagename='$pagename', pagetext='$pagetext', usepage='$usepage', deactivemsg='$deactivemsg', catname='$catname', use_which_side='$use_which_side', add_sidebar_contentL='$add_sidebar_contentL', add_sidebar_contentR='$add_sidebar_contentR', add_content_titleR='$add_content_titleR', add_content_titleL='$add_content_titleL', tags='$tags', calendar='$calendar', tagcloud='$tagcloud', categories='$categories', search='$search', quicklinks='$quicklinks', spotlight='$spotlight', useLtext='$useLtext', useRtext='$useRtext', menuname='$menuname', metatags='$metatags', description='$description', printpage='$printpage', showpagetitle='$showpagetitle', stylelefttitle='$stylelefttitle', stylerighttitle='$stylerighttitle', lefttextposition='$lefttextposition', righttextposition='$righttextposition', useback='$useback', backcolorone='$backcolorone', backcolortwo='$backcolortwo', backimage='$backimage' WHERE id=$id");
$_SESSION['message'] = "Page Updated!";
echo "<script> window.location.replace('pagesall.php') </script>";
}

// Delete exiting page from db
if (isset($_GET['del'])) {
$id = $_GET['del'];
mysqli_query($db, "DELETE FROM newpages WHERE id=$id");
$_SESSION['message'] = "Page deleted!";
echo "<script> window.location.replace('pagesall.php') </script>"; }

$results = mysqli_query($db, "SELECT * FROM newpages");