<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';

closenav(); ?>

<style>
p { 
font-size: 18px; 
color: <?= $gen_text_color ?>; } 

.card7 { 
background:<?= $wrapper ?>;
padding: 20px; }

.action-card {
height: 50px;
display: flex;
flex-direction: column;
border: 1px solid rgba(255, 255, 255, 0.25);
border-radius: 20px;
background: <?= $content_bg ?>;
box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.25);
backdrop-filter: blur(15px); }

.content-card {
margin: 20px auto;
padding: 14px 24px;
border: 2px solid #FFF;
border-radius: 15px;
box-shadow: 0 0 5px 2px <?= $cnt_back_shadow ?>, inset 0 3px 18px rgba(100,100,100,0.25);
width: 97%;
height: 400px;
display: flex;
flex-direction: column;
border: 1px solid <?= $wrapper ?>;
background: linear-gradient(<?= $content_bg ?>, <?= $wrapper ?>);
backdrop-filter: blur(15px); }

.content-card:hover {
background: <?= $menu_color ?>;
}
</style>

<div class="full spacer">
<br>
<div class="inner-wrapper full input-group">
<br>
<div class="spacer column-title"><h1 class="center coltitlecolor"><?= _PGMGT ?></h1></div>

<?php require_once 'pagemenus.php'; ?>

<p>&nbsp;</p>

<div class="left">
<a href="pagebuilder.php" style="text-decoration:none; width:200px;" class="btn center noborder">
<span class="linkcolor"> <?= _ADDNEW ?></span>
</a>
&nbsp;&nbsp;
<a href="repositionmenuitems.php" style="text-decoration:none; width:200px;" class="btn center noborder">
<span class="linkcolor"> Reposition Menu Pages</span>
</a>
</div>

<br>

<div class="center column-title"><h3 class="monserrat center coltitlecolor" style="letter-spacing: 2px;"><?= _ALLPAGES ?></p></h3></div>

<div class="row">

<?php 
/**
 * 
 * Build the array to
 * display all pages.
 * 
 */

$sql = "SELECT * FROM newpages"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>

<div class="column6 card7 left">
<div class="content-card">
<p class="center column-title spacer coltitlecolor"><?= $row['pagename'] ?></p>
<div class="left" style="height:280px; overflow-y:auto;">
<p>ID: <?= $row['id'] ?></p>
<p><?= _URL ?>: pages.php?id=<?= $row['id'] ?></p>
<p><?= _CATNAME ?>: <?= $row['catname'] ?></p>
<p><?= _MENU ?>: <?= $row['menuname'] ?>
<p><?= _TAGS ?>: <?= $row['tags'] ?></p>
<p><?= _ACTIVE ?>: <?= $row['usepage'] ?></p>
<p><?= _SHOWTITLE ?> <?= $row['showpagetitle'] ?></p>
<p><?= _META_TAGS ?>: <?= $row['metatags'] ?></p>
</div>
<div class="action-card">
<p class="center"><a href="pagebuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false" style="text-decoration:none" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>"><img src="images/edit.gif" class="noborder" style="width:30px" alt="" /></a>
&nbsp;&nbsp;&nbsp;

<a href="../../sup/pages.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _PREVIEW ?>"><img src="images/preview.png" class="noborder" style="width:30px" alt="" /></a>
&nbsp;&nbsp;&nbsp;

<a href="pages.php?del=<?= $row['id']; ?>" style="text-decoration:none" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _DELETE ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="" /></a>
</div></div></div>
<?php }} ?>
</div>
</td></tr></table>

<?php require_once 'footer.php';