<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav(); ?>

<style>
p { 
font-size: 18px; 
color: <?= $gen_text_color ?>; } 

.card7 { 
background:<?= $wrapper ?>;
padding: 20px; }

.action-card {
height: 50px;
display: flex;
flex-direction: column;
border: 1px solid rgba(255, 255, 255, 0.25);
border-radius: 20px;
background: <?= $content_bg ?>;
box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.25);
backdrop-filter: blur(15px); }

.content-card {
margin: 20px auto;
padding: 14px 24px;
border: 2px solid #FFF;
border-radius: 15px;
box-shadow: 0 0 5px 2px <?= $cnt_back_shadow ?>, inset 0 3px 18px rgba(100,100,100,0.25);
width: 97%;
height: 300px;
display: flex;
flex-direction: column;
border: 1px solid rgba(255, 255, 255, 0.25);
background: linear-gradient(<?= $content_bg ?>, <?= $content_bg ?>);
backdrop-filter: blur(15px); }
</style>

<?php if (isset($_SESSION["message"]) && !empty($_SESSION["message"])) {
$message = $_SESSION["message"]; ?>
<div class='center gentextcolor spacer inner-wrapper quarter'><?= $message ?></div>
<?php unset($_SESSION['message']); } ?>

<div class="column-title spacer"><h1 class="center coltitlecolor"><?= _PAGINATIONSTYLES ?></h1></div>

<h1 class="left">&nbsp;&nbsp;&nbsp;<a href="paginationbuilder.php" style="text-decoration:none" class="btn"><span class="white"> <?= _ADDNEW ?> </span></a></h1>

<?php global $id; $results = mysqli_query($db, "SELECT * FROM pagination"); ?>

<input type="hidden" name="id" value="<?= $id ?>">
<table class="full"><tr id="wrapper"><td id="wrapper">
<?php $sql = "SELECT * FROM pagination"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>

<div class="column3 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['stylename']; ?></p>
<div style="height:200px; overflow-y:auto;">
<p class="left"><?= _ID ?>: <?= $row['id']; ?></p> 
<p class="center"><?= _PREVIEW ?>
<style>ul { list-style-type: none; }</style>
<div class="center" style="width:<?= $row['paginationwidth'] ?>; margin:0 auto; border-radius:<?= $row['overallradius'] ?>;">
<ul style="background:<?= $row['backcolor'] ?>; padding: <?= $row['overallpadding'] ?>; display: inline-flex; box-sizing: border-box; box-shadow: none; margin: 0 auto; text-align:center; border-radius: <?= $row['overallradius'] ?>;">&nbsp;

<li style="box-sizing: border-box; background: linear-gradient(<?= $row['gradientfirst'] ?>, <?= $row['gradientsecond'] ?>); text-decoration: none; font-size: <?= $row['numbersfontsize'] ?>; font-weight: bold; border-radius: <?= $row['numberradius'] ?>; padding:<?= $row['numberspadding'] ?>; border:<?= $row['numberborder'] ?>;"><a href=""><span style="color: <?= $row['numbersfontcolor'] ?>">&nbsp;<?= _PREV ?>&nbsp;</span></a></li>&nbsp;

<li style="box-sizing: border-box; background: linear-gradient(<?= $row['gradientfirst'] ?>, <?= $row['gradientsecond'] ?>); text-decoration: none; font-size: <?= $row['numbersfontsize'] ?>; font-weight: bold; border-radius: <?= $row['numberradius'] ?>; padding:<?= $row['numberspadding'] ?>; border:<?= $row['numberborder'] ?>;"><a href=""><span style="color: <?= $row['numbersfontcolor'] ?>">1</span></a></li>&nbsp;

<li style="color: <?= $row['dotscolor'] ?>; font-size: <?= $row['numbersfontsize'] ?>;"><br>&nbsp;...&nbsp;</li>   

<li style="box-sizing: border-box; background: linear-gradient(<?= $row['gradientfirst'] ?>, <?= $row['gradientsecond'] ?>); text-decoration: none; font-size: <?= $row['numbersfontsize'] ?>; font-weight: bold; border-radius: <?= $row['numberradius'] ?>; padding:<?= $row['numberspadding'] ?>; border:<?= $row['numberborder'] ?>;"><a href=""><span style="color: <?= $row['numbersfontcolor'] ?>">2</span></a></li>&nbsp;

<li style="box-sizing: border-box; background: linear-gradient(<?= $row['gradientfirst'] ?>, <?= $row['gradientsecond'] ?>); text-decoration: none; font-size: <?= $row['numbersfontsize'] ?>; font-weight: bold; border-radius: <?= $row['numberradius'] ?>; padding:<?= $row['numberspadding'] ?>; border:<?= $row['numberborder'] ?>;"><a href=""><span style="color: <?= $row['numbersfontcolor'] ?>">3</span></a></li>&nbsp;

<li style="box-sizing: border-box; background: linear-gradient(<?= $row['gradientfirst'] ?>, <?= $row['gradientsecond'] ?>); text-decoration: none; font-size: <?= $row['numbersfontsize'] ?>; font-weight: bold; border-radius: <?= $row['numberradius'] ?>; padding:<?= $row['numberspadding'] ?>; border:<?= $row['numberborder'] ?>;"><a href=""><span style="color: <?= $row['numbersfontcolor'] ?>">4</span></a></li>&nbsp; 

<li style="box-sizing: border-box; background: linear-gradient(<?= $row['gradientfirst'] ?>, <?= $row['gradientsecond'] ?>); text-decoration: none; font-size: <?= $row['numbersfontsize'] ?>; font-weight: bold; border-radius: <?= $row['numberradius'] ?>; padding:<?= $row['numberspadding'] ?>; border:<?= $row['numberborder'] ?>;"><a href=""><span style="color: <?= $row['numbersfontcolor'] ?>">5</span></a></li>&nbsp; 

<li style="color: <?= $row['dotscolor'] ?>; font-size: <?= $row['numbersfontsize'] ?>;"><br>&nbsp;...&nbsp;</li>

<li style="box-sizing: border-box; background: linear-gradient(<?= $row['gradientfirst'] ?>, <?= $row['gradientsecond'] ?>); text-decoration: none; font-size: <?= $row['numbersfontsize'] ?>; font-weight: bold; border-radius: <?= $row['numberradius'] ?>; padding:<?= $row['numberspadding'] ?>; border:<?= $row['numberborder'] ?>;"><a href=""><span style="color: <?= $row['numbersfontcolor'] ?>">9</span></a></li>&nbsp;

<li style="box-sizing: border-box; background: linear-gradient(<?= $row['gradientfirst'] ?>, <?= $row['gradientsecond'] ?>); text-decoration: none; font-size: <?= $row['numbersfontsize'] ?>; font-weight: bold; border-radius: <?= $row['numberradius'] ?>; padding:<?= $row['numberspadding'] ?>; border:<?= $row['numberborder'] ?>;"><a href=""><span style="color: <?= $row['numbersfontcolor'] ?>">&nbsp;<?= _NEXT ?>&nbsp;</span></a></li>&nbsp;
</ul>
</p>
</div>
</div>

<div class="center action-card">
<p><a href="paginationbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="paginationsave.php?del=<?= $row['id']; ?>" style="text-decoration:none" onclick="return confirm('Are you sure you want to delete this card?')" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php }} ?>
<br><br>
</td></tr></table>
<br>

<?php require_once 'footer.php';