<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'functions.php';

$sql = "SELECT * FROM style"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$styleboxcolor = $row['styleboxcolor']; $stylebuttoncolor = $row['stylebuttoncolor']; $styletextcolor = $row['styletextcolor']; $styleboxradius = $row['styleboxradius']; $styleboxshadow = $row['styleboxshadow']; $stylesecondcolor = $row['stylesecondcolor']; $stylefirstcolor = $row['stylefirstcolor']; $placeimage = $row['placeimage']; $styleimage = $row['styleimage']; $styleboxopacity = $row['styleboxopacity']; $stylefixback = $row['stylefixback']; $addcopyright = $row['addcopyright']; $stylelogofont = $row['stylelogofont']; $stylelogosize = $row['stylelogosize']; $boxwidth = $row['boxwidth']; $stylebuttontextcolor = $row['stylebuttontextcolor']; $styletop = $row['styletop']; $topimage = $row['topimage']; $topmessage = $row['topmessage']; $topheight = $row['topheight']; $inputfirstcolor = $row['inputfirstcolor']; $inputsecondcolor = $row['inputsecondcolor']; $inputtextcolor = $row['inputtextcolor']; $styletopfirstcolor = $row['styletopfirstcolor']; $styletopsecondcolor = $row['styletopsecondcolor']; $whichback = $row['whichback']; $videoname = $row['videoname']; }}

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$uselogoimage = $row['uselogoimage']; 
$copyright = $row['copyright']; 
$logo_image = $row['logo_image']; 
$logo = $row['logo']; $lang = $row['lang']; }}

require_once 'lang/' . $lang . '.php'; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<title><?= _REGISTRATION ?></title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="../../sys/css/stylesheet.min.css" rel="stylesheet" type="text/css">
<link href="themes/style.css" rel="stylesheet" type="text/css">
<link href="../../sys/css/style.min.css" rel="stylesheet" type="text/css">
<link href="../core/css/fonts.css" rel="stylesheet" type="text/css">
<link rel="stylesheet" href="../core/css/fontawesome/css/font-awesome.min.css">
<script src="../core/js/fontawesome.js" crossorigin="anonymous"></script>
</head>

<?php if ($whichback == 'Image') { 

/**
 * 
 * Style the body either 
 * color or image or video. 
 * 
 */ ?>

<div style="background: url('../../media/themes/<?= $styleimage ?>'); background-attachment:fixed;  background-size:cover; height:100%;">

<?php } elseif ($whichback == 'Color') { ?>

<div style="background: linear-gradient(<?= $stylefirstcolor ?>, <?= $stylesecondcolor ?>); height:100%;">
<?php }

elseif ($whichback == 'Video') { ?>
<div>
<style>
.video-back-container {
position: absolute; 
top: -20px; }
</style>
<p>
<div class="video-back-container">
<video autoplay="" controls="" loop="" muted="">
<source src="../../media/videos/<?= $videoname ?>.mp4" type="video/mp4" />
</video>
</div>
</p>  
<?php }  ?>

<script src="https://www.google.com/recaptcha/api.js" async defer></script>

<form action="register-with-activation.php" class="noborder" method="post" autocomplete="off">

<style>.input {background: linear-gradient(to right, <?= $inputfirstcolor ?>, <?= $inputsecondcolor ?>); padding:10px; color:<?= $inputtextcolor ?>;}</style>

<?php if ($placeimage == 'center') { ?>
<div class="card respbox" style="margin:0 auto; padding-left:0; background:<?= $styleboxcolor ?>; width:<?= $boxwidth ?>%; height:1000px; opacity:<?= $styleboxopacity ?>; box-shadow:<?= $styleboxshadow ?>;">
<?php } else { ?>
<div class="card respbox" style="float:<?= $placeimage ?>; padding-left:0; background:<?= $styleboxcolor ?>; height:1000px; width:<?= $boxwidth ?>%; opacity:<?= $styleboxopacity ?>; box-shadow:<?= $styleboxshadow ?>;">
<?php } ?>

<div class="spacer">
<!-- Build optional box top styling -->                              
<?php if ($styletop == 'Yes') { 
$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 	
while ($row = $result->fetch_assoc()) { 
$uselogoimage = $row['uselogoimage']; 
$copyright = $row['copyright']; 
$logo_image = $row['logo_image']; 
$logo = $row['logo']; }}

if ($styletopfirstcolor == '' && $styletopsecondcolor == '') {?>
<div style="background: url('../../media/themes/<?= $topimage ?>'); width:<?= $boxwidth ?>; height: <?= $topheight ?>px; background-size: cover; overflow-y:auto;">
<?php } else { ?>                                
<div style="background: linear-gradient(<?= $styletopfirstcolor ?>, <?= $styletopsecondcolor ?>); max-width: <?=$boxwidth ?>; max-height: <?= $topheight ?>px; overflow-y:auto;"> 
<?php } ?>

<div class="spacer"><?= $topmessage ?></div>
</div>
<?php } else { ?>
<h1 class="center" style="color:<?= $styletextcolor ?>; font-family:<?= $stylelogofont ?>; font-size:<?= $stylelogosize ?>;"><?= $logo ?></h1>
<?php } ?>

<!-- End optional box top styling -->
<div style="height:400px; margin:0 auto; background:<?= $styleboxcolor ?>">
<p class="center"><?php if ($uselogoimage == 'Yes' OR $uselogoimage == '') { ?><img class="noborder" src="../../media/themes/<?= $logo_image ?>" style="width:90px" alt="" />
<?php } ?></p>

<p class="center" style="color:<?= $styletextcolor ?>"><?= _REGISTER ?> || <?= _LOGIN ?></p>
<input type="text" name="username" class="input form-control" placeholder="<?= _USERNAME ?>" id="username" required>
<br>
<input type="password" name="password" style="color:#000;" class="input form-control radius" placeholder="<?= _PASSWORD ?>" id="password-field" required onkeyup='passConfirm();'>
<br>

<div class="center"><a href="../../sys/generator/index.php" onclick="basicPopup(this.href);return false"><strong><span style="color:<?= $styletextcolor ?>"><?= _USEPASSGENERATOR ?></span></strong></a></div>
<input type="password" name="cpassword" class="input form-control" placeholder="<?= _CONFIRMPASSWORD ?>" id="password-field" required>

<br>
<input type="email" name="email" class="input form-control" placeholder="<?= _EMAIL ?>" id="email" required>

<br>
<?php $sql = "SELECT * FROM modules"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$use_recaptcha = $row['use_recaptcha']; 
$recaptcha = $row['recaptcha']; }}
if ($use_recaptcha == 'Yes') { ?>
<br>

<div class="g-recaptcha" data-sitekey="<?= $recaptcha ?>"></div>
<?php } ?>
<button type="submit" value="login" class="full noborder spacer radius" style="background:<?= $stylebuttoncolor ?>"><span style="color:<?= $stylebuttontextcolor ?>"><?= _REGISTER ?></span></button>
<a href="forgotpassword.php" style="color:#fff; border-radius:8px; margin:0 auto; text-align:center;"><?= _FORGOTPASSWORD ?></a>
<p style="float:right"><input type="checkbox" name="rememberme"><?= _REMEMBERME ?></p>
<?php if ($addcopyright == 'Yes') { ?>
<p class="center full" style="color:<?= $styletextcolor ?>"><small><?= $copyright ?></small></p>
<?php } ?>
<br>
<br>
</form>
<br><br>
</div>

<script>
var form = document.querySelector('.register form');
form.onsubmit = function(event) {
event.preventDefault();
var form_data = new FormData(form);
var xhr = new XMLHttpRequest();
xhr.open('POST', form.action, true);
xhr.onload = function() {
document.querySelector('.msg').innerHTML = this.responseText;
};
xhr.send(form_data);
};
</script>
<script src="js/jquery.min.js"></script>
<script src="js/popper.js"></script>
<script src="js/bootstrap.min.js"></script>
<script src="js/main.js"></script>
<script>
function basicPopup(url) {
popupWindow = window.open(url, 'popUpWindow', 'height=700,width=300,left=100,top=100,resizable=yes,scrollbars=yes,toolbar=no,menubar=no,location=no,directories=no, status=no'); }
</script>
</body>
</html>