<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'themes/theme.php'; ?>

<style>
.jumpbox-button {
	border-top: <?= $btn_top_border ?>;
	background: <?= $btn_flat_color ?>;
	background: -webkit-gradient(linear, left top, left bottom, from(<?= $btn_first_color ?>), to(<?= $btn_second_color ?>));
	background: -moz-linear-gradient(top, <?= $btn_first_color ?>, <?= $btn_second_color ?>);
    padding: 12px;
	border-radius: 8px;
	-webkit-box-shadow: <?= $btn_shadow ?> 0 1px 0;
	-moz-box-shadow: <?= $btn_shadow ?> 0 1px 0;
	box-shadow: <?= $btn_shadow ?> 0 1px 0;
	text-shadow: <?= $btn_text_shadow ?> 0 1px 0;
	color: <?= $btn_text_color ?>;
	font-size: <?= $btn_font_size ?>;
	font-family: <?= $btn_font_family ?>;
	text-decoration: none;
	vertical-align: middle; }

.jumpbox-button:hover {
	border-top-color: <?= $btn_top_border ?>;
	background: <?= $btn_flat_color ?>;
	color: <?= $btn_hover_color ?>; }

.jumpbox-button:active {
	border-top-color: <?= $btn_flat_color ?>;
	background: <?= $btn_flat_color ?>; }
</style>

<div class="mini-container center spacer">
<p class="center"><?= _JUMPTOROWS ?></p>
<p class="center"><a href="rowone.php" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">1</span></a>
<a href="rowtwo.php" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">2</span></a>
<a href="rowthree.php" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">3</span></a>
<a href="rowfour.php" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">4</span></a>
<a href="rowfive.php" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">5</span></a>
<a href="rowsix.php" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">6</span></a>
</p>
<br>
<p class="center">
<a href="rowseven.php" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">7</span></a>
<a href="roweight.php" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">8</span></a>
<a href="rownine.php" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">9</span></a>
<a href="rowten.php" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">10</span></a>
<a href="roweleven.php" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">11</span></a>
<a href="rowtwelve.php" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">12</span></a>
</p>
</div>