<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'functions.php'; 

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 	
while ($row = $result->fetch_assoc()) {
$number_to_show = $row['number_to_show']; 
$pagination = $row['pagination']; 
$allow_article = $row['allow_article']; 
$position_pagination = $row['position_pagination']; 
$paginationstyle = $row['paginationstyle']; 
$perrow = $row['perrow']; 
$config_article = $row['config_article'];
$numbertoshow = $row['numbertoshow'];
$articleheight = $row['articleheight'];
$themes = $row['themes']; }}

$sql = "SELECT * FROM config_row_one, config_row_two, config_row_three, 
config_row_four, config_row_five, config_row_six, config_row_seven, 
config_row_eight, config_row_nine, config_row_ten, config_row_eleven, config_row_twelve"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$userowone = $row['userowone']; 
$userowtwo = $row['userowtwo']; 
$userowthree = $row['userowthree']; 
$userowfour = $row['userowfour']; 
$userowfive = $row['userowfive']; 
$userowsix = $row['userowsix']; 
$userowseven =$row['userowseven']; 
$useroweight = $row['useroweight']; 
$userownine = $row['userownine']; 
$userowten =$row['userowten']; 
$useroweleven = $row['useroweleven']; 
$userowtwelve = $row['userowtwelve']; }} ?> 

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="Use Spectra Setup Wizard to assist in setting up your website.">
<meta name="keywords" content="Setup, ease, step by step, guide">
<title><?= _SETUPWIZARD ?> - <?= _ARTICLECONFIG ?></title>
<?php $sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }}
require_once '../themes/theme.php'; ?>

<link rel="stylesheet" href="css/style.css" />
<link rel="stylesheet" href="../css/hint.css" />
<link rel="stylesheet" href="../../themes/style.min.css">
<script src="../../js/fontawesome.min.js" crossorigin="anonymous"></script>
</head>
<body style="background: <?= $back_color ?> url('../../../media/themes/<?= $bg_img ?>'); background-size:cover;">

<?php $sql = "SELECT * FROM themes WHERE theme_name='$theme_name'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$useheadercolor = $row['useheadercolor']; }}

if ($useheadercolor == 'Yes') { ?>
<div style="width:97%; margin:0 auto;" class="column header headercolor">
<?php } 
else { ?>
<div style="width:97%; margin:0 auto;" class="header headerimage">
<?php } ?>
<h1 class="center" style="padding-top:1%; color:<?= $logo_font_color ?>;"><?= _SETUPWIZARD ?> - <?= _ARTICLECONFIG ?></h1>
</div>

<?php require_once 'menu.php'; ?>

<div style="padding-top:50px"></div>

<div class="inner-wrapper spacer radius">

<form action="helpers/save-articles.php" target="_blank" method="post">

<?php savemenu(); ?>

<p class="left"><strong><?= _CHOOSEROWLOCATION ?>:</strong><br> 
<select name="config_article">
<option><?= $config_article ?></option>

<?php if ($userowone == 'Yes') { ?>
<option value="None"><?= _NONE ?></option>
<option value="Row One Top"><?= _ROWONETOP ?></option>
<option value="Row One Middle"><?= _ROWONEMIDDLE ?></option>
<option value="Row One Bottom"><?= _ROWONEBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowtwo == 'Yes') { ?>
<option value="Row Two Top"><?= _ROWTWOTOP ?></option>
<option value="Row Two Middle"><?= _ROWTWOMIDDLE ?></option>
<option value="Row Two Bottom"><?= _ROWTWOBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowthree == 'Yes') { ?>
<option value="Row Three Top"><?= _ROWTHREETOP ?></option>
<option value="Row Three Middle"><?= _ROWTHREEMIDDLE ?></option>
<option value="Row Three Bottom"><?= _ROWTHREEBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowfour == 'Yes') { ?>
<option value="Row Four Top"><?= _ROWFOURTOP ?></option>
<option value="Row Four Middle"><?= _ROWFOURMIDDLE ?></option>
<option value="Row Four Bottom"><?= _ROWFOURBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowfive == 'Yes') { ?>
<option value="Row Five Top"><?= _ROWFIVETOP ?></option>
<option value="Row Five Middle"><?= _ROWFIVEMIDDLE ?></option>
<option value="Row Five Bottom"><?= _ROWFIVEBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowsix == 'Yes') { ?>
<option value="Row Six Top"><?= _ROWSIXTOP ?></option>
<option value="Row Six Middle"><?= _ROWSIXMIDDLE ?></option>
<option value="Row Six Bottom"><?= _ROWSIXBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowseven == 'Yes') { ?>
<option value="Row Seven Top"><?= _ROWSEVENTOP ?></option>
<option value="Row Seven Middle"><?= _ROWSEVENMIDDLE ?></option>
<option value="Row Seven Bottom"><?= _ROWSEVENBOTTOM ?></option>
<?php } else { } ?>

<?php if ($useroweight == 'Yes') { ?>
<option value="Row Eight Top"><?= _ROWEIGHTTOP ?></option>
<option value="Row Eight Middle"><?= _ROWEIGHTMIDDLE ?></option>
<option value="Row Eight Bottom"><?= _ROWEIGHTBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userownine == 'Yes') { ?>
<option value="Row Nine Top"><?= _ROWNINETOP ?></option>
<option value="Row Nine Middle"><?= _ROWNINEMIDDLE ?></option>
<option value="Row Nine Bottom"><?= _ROWNINEBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowten == 'Yes') { ?>
<option value="Row Ten Top"><?= _ROWTENTOP ?></option>
<option value="Row Ten Middle"><?= _ROWTENMIDDLE ?></option>
<option value="Row Ten Bottom"><?= _ROWTENBOTTOM ?></option>
<?php } else { } ?>

<?php if ($useroweleven == 'Yes') { ?>
<option value="Row Eleven Top"><?= _ROWELEVENTOP ?></option>
<option value="Row Eleven Middle"><?= _ROWELEVENMIDDLE ?></option>
<option value="Row Eleven Bottom"><?= _ROWELEVENBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowtwelve == 'Yes') { ?>
<option value="Row Twelve Top"><?= _ROWTWELVETOP ?></option>
<option value="Row Twelve Middle"><?= _ROWTWELVEMIDDLE ?></option>
<option value="Row Twelve Bottom"><?= _ROWTWELVEBOTTOM ?></option>
<?php } else { } ?>
</select>

<p class="left"><strong><?= _NUMBEROFARTICLES ?></strong><br>
<select name="numbertoshow">
<option><?= $numbertoshow ?></option>
<option value="50">50</option>
<option value="100">100</option>
<option value="150">150</option>
<option value="200">200</option>
<option value="250">250</option>
<option value="300">300</option>
<option value="350">350</option>
<option value="400">400</option>
<option value="450">450</option>
<option value="500">500</option>
</select>
</p>

<p class="left"><?= _MBRARTICLESINFO ?></p>
<p class="left"><strong><?= _ALLOWTOSUBMIT ?></strong>
<select name="allow_article">
<option><?= $allow_article ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>
</p>

<div class="mini-container spacer" style="width:100%">

<p class="center"><strong><?= _IFPAGINATIONUSED ?></strong></p>

<p class="left"><?= _ARTICLESETTINGSINFO ?></p>
<p class="left"><strong><?= _USEPAGINATION ?> </strong>
<select name="pagination">
<option><?= $pagination ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left"><strong><?= _POSITIONPAGINATION ?>: </strong>
<select name="position_pagination">
<option><?= $position_pagination ?></option>
<option value="Top"><?= _TOP ?></option>
<option value="Bottom"><?= _BOTTOM ?></option>
<option value="Both"><?= _BOTH ?></option>
</select> 
</p>

<p class="left"><a href="../previewpagination.php" onclick="basicPopup(this.href);return false" title="<?= _OPENSINNEWWINDOW ?>"><?= _STYLEPAGINATION ?></a></p>

<p class="left"><a href="../paginationbuilder.php" onclick="basicPopup(this.href);return false" title="<?= _OPENSINNEWWINDOW ?>"><?= _STYLEYOUROWN ?></a> <?= _ORUSE ?></p>

<?php $sql = "SELECT stylename FROM pagination"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { ?> 

<p class="left">
<select name="paginationstyle">
<option><?= $paginationstyle ?></option>
<option value="Use Default"><?= _USEDEFAULT ?></option>
<?php while ($row = $result->fetch_assoc()) { ?>
<option value="<?= $row['stylename'] ?>"><?= $row['stylename'] ?></option>
<?php }} ?>
</select>

<p class="left"><strong><?= _ARTICLESTOSHOW ?> </strong>
<select name="number_to_show">
<option><?= $number_to_show ?></option>
<option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
<option value="5">5</option>
<option value="6">6</option>
<option value="7">7</option>
<option value="8">8</option>
<option value="9">9</option>
<option value="10">10</option>
<option value="11">11</option>
<option value="12">12</option>
<option value="13">13</option>
<option value="14">14</option>
<option value="15">15</option>
<option value="16">16</option>
<option value="17">17</option>
<option value="18">18</option>
<option value="19">19</option>
<option value="20">20</option>
</select> <?= _IFUSINGPAGINATION ?>
</p>

</div>
<br>
<div class="mini-container spacer" style="width:100%">

<p class="center"><strong><?= _IFPAGINATIONNOTUSED ?></strong></p>

<p class="left"><?= _IFPAGINATION ?></p>
<p class="left"><strong><?= _NUMBER_TOSHOW ?> </strong>
<select name="perrow">
<option><?= $perrow ?></option>
<option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
</select>
</p>

<p class="left"><strong><?= _SETBLOCKHEIGHT ?></strong><br>
<select name="articleheight">
<option><?= $articleheight ?></option>
<option value="200px">200px</option>
<option value="225px">225px</option>
<option value="250px">250px</option>
<option value="275px">275px</option>
<option value="300px">300px</option>
<option value="325px">325px</option>
<option value="350px">350px</option>
<option value="375px">375px</option>
<option value="400px">400px</option>
<option value="425px">425px</option>
<option value="450px">450px</option>
<option value="475px">475px</option>
<option value="500px">500px</option>
<option value="525px">525px</option>
<option value="550px">550px</option>
<option value="575px">575px</option>
<option value="600px">600px</option>
<option value="625px">625px</option>
<option value="650px">650px</option>
<option value="675px">675px</option>
<option value="700px">700px</option>
<option value="725px">725px</option>
<option value="750px">750px</option>
<option value="775px">775px</option>
<option value="800px">800px</option>
</select>
</p>

<p>&nbsp;</p>
<p>&nbsp;</p>

<p class="center"><?= _IFMAKINGCHANGES ?>"<?= _CONTINUE ?>".</p>
<h3 class="center gentextcolor"><a href="contact.php" style="text-decoration:none" class="button"><span class="spacer linkcolor"><?= _CONTINUE ?></a><br><br><?= _ORSELECTMENU ?></h3>
</div>
</div>

<p>&nbsp;</p>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p>&nbsp;</p>

<script>
function myFunction() {
var x = document.getElementById("myTopnav");
if (x.className === "topnav") {
x.className += " responsive";
} else {
x.className = "topnav"; }}
</script>

<script>
function basicPopup(url) {
popupWindow = window.open(url, 'popUpWindow', 'height=600,width=800,left=100,top=100,resizable=yes,scrollbars=yes,toolbar=yes,menubar=no,location=no,directories=no, status=yes'); }
</script>

</body>
</html>