<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php'; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="Use Spectra Setup Wizard to assist in setting up your website.">
<meta name="keywords" content="Setup, ease, step by step, guide">
<?php $sql = "SELECT lang, themes FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$themes = $row['themes'];
require_once 'lang/' . $row['lang'] . '.php'; }} ?>
<title><?= _SPECTRASETUPWIZARD ?></title>
<?php require_once '../themes/theme.php'; ?>

<link rel="stylesheet" href="css/style.css" />
<link rel="stylesheet" href="../css/hint.css" />
<link rel="stylesheet" href="../../themes/style.min.css">
<script src="../../js/fontawesome.min.js" crossorigin="anonymous"></script>
</head>
<body style="background: <?= $back_color ?> url('../../../media/themes/<?= $bg_img ?>'); background-size:cover;">

<div style="padding-top:6%"></div>

<div class="inner-wrapper spacer">
<h1 class="center gentextcolor"><?= _SETUPWIZARD ?></h1>

<p class="center"><?= _HAVECOMPLETED ?></p>
<h3 class="center gentextcolor"><a href="../index.php" style="text-decoration:none" class="button"><span class="spacer linkcolor"><?= _OVERVIEWPAGE ?></a></h3>

</body>
</html>