<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'functions.php'; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="Use Spectra Setup Wizard to assist in setting up your website.">
<meta name="keywords" content="Setup, ease, step by step, guide">
<?php $sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$usecounter = $row['usecounter'];
$viewcounter = $row['viewcounter'];
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<title><?= _SETUPWIZARD ?> - <?= _UNIQUEVISITORCOUNTER ?></title>

<?php require_once '../themes/theme.php'; ?>

<link rel="stylesheet" href="css/style.css" />
<link rel="stylesheet" href="../css/hint.css" />
<link rel="stylesheet" href="../../themes/style.min.css">
<script src="../../js/fontawesome.min.js" crossorigin="anonymous"></script>
</head>
<body style="background: <?= $back_color ?> url('../../../media/themes/<?= $bg_img ?>'); background-size:cover;">

<?php $sql = "SELECT * FROM themes WHERE theme_name='$theme_name'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$useheadercolor = $row['useheadercolor']; }}

if ($useheadercolor == 'Yes') { ?>
<div style="width:100%; margin:0 auto;" class="column header headercolor">
<?php } 
else { ?>
<div style="width:100%; margin:0 auto;" class="header headerimage">
<?php } ?>
<h1 class="center" style="padding-top:1%; color:<?= $logo_font_color ?>;"><?= _SETUPWIZARD ?> - <?= _UNIQUEVISITORCOUNTER ?></h1>
</div>

<?php require_once 'menu.php'; ?>

<div style="padding-top:30px"></div>

<div class="inner-wrapper spacer radius">

<form action="helpers/save-counter.php" target="_blank" method="post">

<?php savemenu(); ?>

<p class="spacer"><?= _COUNTERSETTINGSINFO ?></p>

<p class="left"><strong><?= _USECOUNTER ?> </strong>
<select name="usecounter">
<option><?= $usecounter ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left"><strong><?= _COUNTERVISIBLE ?></strong>
<select name="viewcounter">
<option><?= $viewcounter ?></option>
<option value="admin">admin</option>
<option value="public">public</option>
</select>
</p>

<?php $qry1 = "SELECT * FROM `counter` WHERE `id` = 0"; 
$result1 = mysqli_query($conn, $qry1); $row1 = mysqli_fetch_array($result1, MYSQLI_ASSOC); $count = $row1['visitors']; ?>
<br>
<p><?= _VISITORSTODATE ?>: <?= $count ?></p>
<br>
<br>

<p class="center"><?= _IFMAKINGCHANGES ?>"<?= _CONTINUE ?>".</p>
<h3 class="center gentextcolor"><a href="complete.php" style="text-decoration:none" class="button"><span class="spacer linkcolor"><?= _CONTINUE ?></a><br><br><?= _ORSELECTMENU ?></h3>
</div>
<br>
<br>

<script>
function myFunction() {
var x = document.getElementById("myTopnav");
if (x.className === "topnav") {
x.className += " responsive";
} else {
x.className = "topnav"; }}
</script>


</body>
</html>