<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'functions.php'; 

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 	
while ($row = $result->fetch_assoc()) { 
$hp_sidebars = $row['hp_sidebars']; 
$hp_oncanvas_sidebars = $row['hp_oncanvas_sidebars']; 
$hp_leftwidth = $row['hp_leftwidth']; 
$hp_rightwidth = $row['hp_rightwidth']; 
$hp_library = $row['hp_library']; 
$hoverblock = $row['hoverblock']; 
$zoomimg = $row['zoomimg']; 
$borderradius = $row['borderradius']; 
$hoverstrength = $row['hoverstrength'];
$hp_setrow = $row['hp_setrow'];
$showfooter = $row['showfooter']; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="Use Spectra Setup Wizard to assist in setting up your website.">
<meta name="keywords" content="Setup, ease, step by step, guide">
<?php $sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<title><?= _SETUPWIZARD ?> - <?= _HOMEPAGECONFIG ?></title>

<?php require_once '../themes/theme.php'; ?>

<link rel="stylesheet" href="css/style.css" />
<link rel="stylesheet" href="../css/hint.css" />
<link rel="stylesheet" href="../../themes/style.min.css">
<script src="../../js/fontawesome.min.js" crossorigin="anonymous"></script>
</head>
<body style="background: <?= $back_color ?> url('../../../media/themes/<?= $bg_img ?>'); background-size:cover;">

<?php $sql = "SELECT * FROM themes WHERE theme_name='$theme_name'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$useheadercolor = $row['useheadercolor']; }}

if ($useheadercolor == 'Yes') { ?>
<div style="width:97%; margin:0 auto;" class="column header headercolor">
<?php } 
else { ?>
<div style="width:97%; margin:0 auto;" class="header headerimage">
<?php } ?>
<h1 class="center" style="padding-top:1%; color:<?= $logo_font_color ?>;"><?= _SETUPWIZARD ?> - <?= _HOMEPAGECONFIG ?></h1>
</div>

<?php require_once 'menu.php'; ?>

<div style="padding-top:30px"></div>

<div class="inner-wrapper spacer radius">

<form action="helpers/save-homepage-config.php" target="_blank" method="post">

<?php savemenu(); ?>

<div id="library"></div>
<p class="left"><?= _LIBRARYEXPLAIN ?></p>
<p class="left"><strong><?= _LIBRARYFEATURE ?></strong>
<select name="hp_library">
<option><?= $hp_library ?></option>
<option value="Right"><?= _RIGHT ?></option>
<option value="Block"><?= _BLOCK ?></option>
<option value="Dropdown"><?= _DROPDOWNBLOCK ?></option>
<option value="None"><?= _NONE ?></option>
</select></p>

<p class="left"><strong><?= _SETROW ?></strong>
<select name="hp_setrow">
<option><?= $hp_setrow ?></option>
<option value="Row One Top"><?= _ROWONETOP ?></option>
<option value="Row One Middle"><?= _ROWONEMIDDLE ?></option>
<option value="Row One Bottom"><?= _ROWONEBOTTOM ?></option>

<option value="Row Two Top"><?= _ROWTWOTOP ?></option>
<option value="Row Two Middle"><?= _ROWTWOMIDDLE ?></option>
<option value="Row Two Bottom"><?= _ROWTWOBOTTOM ?></option>

<option value="Row Three Top"><?= _ROWTHREETOP ?></option>
<option value="Row Three Middle"><?= _ROWTHREEMIDDLE ?></option>
<option value="Row Three Bottom"><?= _ROWTHREEBOTTOM ?></option>

<option value="Row Four Top"><?= _ROWFOURTOP ?></option>
<option value="Row Four Middle"><?= _ROWFOURMIDDLE ?></option>
<option value="Row Four Bottom"><?= _ROWFOURBOTTOM ?></option>

<option value="Row Five Top"><?= _ROWFIVETOP ?></option>
<option value="Row Five Middle"><?= _ROWFIVEMIDDLE ?></option>
<option value="Row Five Bottom"><?= _ROWFIVEBOTTOM ?></option>

<option value="Row Six Top"><?= _ROWSIXTOP ?></option>
<option value="Row Six Middle"><?= _ROWSIXMIDDLE ?></option>
<option value="Row Six Bottom"><?= _ROWSIXBOTTOM ?></option>

<option value="Row Seven Top"><?= _ROWSEVENTOP ?></option>
<option value="Row Seven Middle"><?= _ROWSEVENMIDDLE ?></option>
<option value="Row Seven Bottom"><?= _ROWSEVENBOTTOM ?></option>

<option value="Row Eight Top"><?= _ROWEIGHTTOP ?></option>
<option value="Row Eight Middle"><?= _ROWEIGHTMIDDLE ?></option>
<option value="Row Eight Bottom"><?= _ROWEIGHTBOTTOM ?></option>

<option value="Row Nine Top"><?= _ROWNINETOP ?></option>
<option value="Row Nine Middle"><?= _ROWNINEMIDDLE ?></option>
<option value="Row Nine Bottom"><?= _ROWNINEBOTTOM ?></option>

<option value="Row Ten Top"><?= _ROWTENTOP ?></option>
<option value="Row Ten Middle"><?= _ROWTENMIDDLE ?></option>
<option value="Row Ten Bottom"><?= _ROWTENBOTTOM ?></option>

<option value="Row Eleven Top"><?= _ROWELEVENTOP ?></option>
<option value="Row Eleven Middle"><?= _ROWELEVENMIDDLE ?></option>
<option value="Row Eleven Bottom"><?= _ROWELEVENBOTTOM ?></option>

<option value="Row Twelve Top"><?= _ROWTWELVETOP ?></option>
<option value="Row Twelve Middle"><?= _ROWTWELVEMIDDLE ?></option>
<option value="Row Twelve Bottom"><?= _ROWTWELVEBOTTOM ?></option>

</select></p>

<p class="center column-title coltitlecolor spacer" id="configsniplets"><?= _CONFIG ?> <?= _BLOCKS ?>/<?= _SNIPLETS ?></p>

<p class="left"><?= _HOVEREFFECTCAUSES ?></p>

<p class="left"><strong><?= _USEHOVEREFFECT ?></strong>
<select name="hoverblock">
<option><?= $hoverblock ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<p class="left"><strong><?= _HOVERSTRENGTH ?></strong>
<select name="hoverstrength">
<option><?= $hoverstrength ?></option>
<option value="2px">2px</option>
<option value="3px">3px</option>
<option value="4px">4px</option>
<option value="5px">5px</option>
<option value="6px">6px</option>
<option value="7px">7px</option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="13px">13px</option>
<option value="14px">14px</option>
<option value="15px">15px</option>
<option value="16px">16px</option>
<option value="17px">17px</option>
<option value="18px">18px</option>
<option value="19px">19px</option>
<option value="20px">20px</option>
</select></p>

<p class="left"><?= _THEZOOMEFFECT ?></p>

<p class="left"><strong><?= _ZOOMIMG ?></strong>
<select name="zoomimg">
<option><?= $zoomimg ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<p class="left"><strong><?= _BLOCKS ?>/<?= _SNIPLETS ?> <?= _BORDERRADIUS ?>: </strong>
<select name="borderradius">
<option><?= $borderradius ?></option>
<option value="3px">3px</option>
<option value="4px">4px</option>
<option value="5px">5px</option>
<option value="6px">6px</option>
<option value="7px">7px</option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="13px">13px</option>
<option value="14px">14px</option>
<option value="15px">15px</option>
</select></p>

<br>

<h2 class="column-title coltitlecolor center spacer" id="configsidebars"><?= _CONFIGSIDEBARS ?></h2>
<p class="left"><strong><?= _SELECTSIDEBAR ?>.</strong>
<select name="hp_sidebars">
<option><?= $hp_sidebars ?></option>
<option value="Left"><?= _LEFT ?></option>
<option value="Right"><?= _RIGHT ?></option>
<option value="Both"><?= _BOTH ?></option>
<option value="None"><?= _NONE ?></option>
</select></p>

<p class="left"><strong><?= _SELECTWHICHSIDEBAR ?>.</strong>
<select name="hp_oncanvas_sidebars">
<option><?= $hp_oncanvas_sidebars ?></option>
<option value="Left"><?= _LEFT ?></option>
<option value="Right"><?= _RIGHT ?></option>
<option value="Both"><?= _BOTH ?></option>
<option value="Both Left"><?= _BOTH ?> <?= _LEFT ?></option>
<option value="Both Right"><?= _BOTH ?> <?= _RIGHT ?></option>
<option value="None"><?= _NONE ?></option>
</select></p>

<p class="left"><?= _CONFIGONCANVASSIDEBARS ?>:</p>

<p class="left"><?= _LEFTSIDEBARWIDTH ?>:
<select name="hp_leftwidth">
<option><?= $hp_leftwidth ?></option>
<option></option>
<option value="15%">15%</option>
<option value="20%">20%</option>
<option value="25%">25%</option>
</select></p>

<p class="left"><?= _RIGHTSIDEBARWIDTH ?>:
<select name="hp_rightwidth">
<option><?= $hp_rightwidth ?></option>
<option></option>
<option value="15%">15%</option>
<option value="20%">20%</option>
<option value="25%">25%</option>
</select></p>

<h2 class="column-title coltitlecolor center spacer" id="configsidebars"><?= _MISCSETTINGS ?></h2>

<p class="left"><strong><?= _SHOWFOOTER ?>: </strong>
<select name="showfooter">
<option><?= $showfooter ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>						
</select>
</p>

<p>&nbsp;</p>
<p>&nbsp;</p>

<p class="center"><?= _IFMAKINGCHANGES ?>"<?= _CONTINUE ?>".</p>
<h3 class="center gentextcolor"><a href="logo-config.php" style="text-decoration:none" class="button"><span class="spacer linkcolor"><?= _CONTINUE ?></a><br><br><?= _ORSELECTMENU ?></h3>
</div>
<div style="padding-top:100px"></div>
</div>
</div>

<script>
function myFunction() {
var x = document.getElementById("myTopnav");
if (x.className === "topnav") {
x.className += " responsive";
} else {
x.className = "topnav"; }}
</script>

</body>
</html>