<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php'; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="Use Spectra Setup Wizard to assist in setting up your website.">
<meta name="keywords" content="Setup, ease, step by step, guide">
<?php $sql = "SELECT lang, themes FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$themes = $row['themes'];
require_once 'lang/' . $row['lang'] . '.php'; }} ?>
<title><?= _SPECTRASETUPWIZARD ?></title>
<?php require_once '../themes/theme.php';

/**
 * 
 * Add the theme.
 * 
 */

$stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result(
$usertheme, $usetheme );
$stmt->fetch();
$stmt->close();
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') { 
if (isset($_GET['id'])) { $id = $_GET['id']; }
$sql = "SELECT id, usertheme FROM accounts"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
require_once '../../themes/usertheme.php'; }}}
else { require_once '../../themes/theme.php'; } ?>

<style>
a:link { <?= $linkcolor ?>; }
</style>

<link rel="stylesheet" href="css/style.css" />
<link rel="stylesheet" href="../css/hint.css" />
<link rel="stylesheet" href="../../themes/style.min.css">
<script src="../../js/fontawesome.min.js" crossorigin="anonymous"></script>
</head>
<body style="background: <?= $back_color ?> url('../../../media/themes/<?= $bg_img ?>'); background-size:cover;">

<?php $sql = "SELECT * FROM themes WHERE theme_name='$theme_name'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$useheadercolor = $row['useheadercolor']; }}

if ($useheadercolor == 'Yes') { ?>
<div style="width:97%; margin:0 auto;" class="column header headercolor">
<?php } 
else { ?>
<div style="width:97%; margin:0 auto;" class="header headerimage">
<?php } ?>
<h1 class="center" style="padding-top:1%; color:<?= $logo_font_color ?>;"><?= _SPECTRASETUPWIZARD ?></h1>

<div class="center" style="font-size:28px">
<a href="../index.php" target="_blank" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _DESIGNERSDASHBOARD ?>"><i class="fa fa-cog"></i></a>
</div>
</div>

<?php require_once 'menu.php'; ?>

<div style="padding-top:30px"></div>

<div class="inner-wrapper spacer radius">

<div>

<p class="left"><?= _THESETUPWIZARD ?></p>

<p class="center"><?= _STEPBYSTEP ?>

<p class="center">Go here ( <a href="../index.php" target="_blank" title="Overview Page"><u>Overview</u></a> ) <?= _READABOUTFEATURES ?></p>

<p class="left"><?= _QUICKSTARTCONTAINS ?></p>

<p class="center"><?= _SELECTFEATURES ?></p> 

<hr />

<p class="center">- <?= _WHEREDOISTART ?> -</p>

<?= _QUICKSTARTPARA ?>

</div>
</div>

<p>&nbsp;</p>
<p>&nbsp;</p>

<script>
function myFunction() {
var x = document.getElementById("myTopnav");
if (x.className === "topnav") {
x.className += " responsive";
} else {
x.className = "topnav"; }}
</script>

</body>
</html>