<?php
/**
 * Spectra is software designed to build a website.
 * PHP version 8+
 * 
 * @category  OpenSource
 * @package   Spectra
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

// Language Pack English
// General Items ---------------------

define('_SHOWFOOTER','Show The Footer');
define('_MISCSETTINGS','Miscellaneous Settings');
define('_PREVIEWTHEMES','Preview Themes');
define('_ROWS','Rows');
define('_JUMPTOROWS','Go to Row');
define('_CONFIGROWSINFO','Rows must be configured before assigning content to them.<br>Turn the row and layer On then configure the type of content block you are assigning there.<br>You only need to configure the things that you will be using in that rows layer.<br>Although some may want to use everything in a row.');
define('_WALKTHRUCONFIG','This will walk you through the configuration settings while you get your website ready to add content. When you are ready click Continue.');
define('_CONTINUE','Continue');
define('_HAVECOMPLETED','You have completed the setup wizard.');
define('_OVERVIEWPAGE','Overview Page');
define('_IFMAKINGCHANGES','If making changes, click "Update Record" then ');
define('_ORSELECTMENU','or select from the menu');
define('_STEPBYSTEP','Use the <a href="step-by-step.php"><u>Step by Step</u></a> guide or choose from the menu to complete/change the configurations.');
define('_DESIGNERSDASHBOARD','Designers Dashboard');
define('_GOHERE','Go here');
define('_READABOUTFEATURES','first and read about all of the features Spectra has to offer.');
define('_QUICKSTARTCONTAINS','The quick start setup contains settings for those areas that you will need to configure so that you can start building content on the homepage. It is recommended that you start here but then go back and do a more indepth review of all settings starting with the <a href="../website.php" target="_blank"><u>General Website Configuration</u></a> page. As you become more comfortable using Spectra you will learn to make adjustments more quickly.');
define('_WHEREDOISTART','Where Do I Start');
define('_QUICKSTARTPARA','<p class="left">ARTICLES: The best place to start is by using the articles. Click on <a href="articles.php" target="_blank"><u>Articles Settings</u></a> to configure the articles block. Now once that is done every article you create will automatically go to that location on the page. You can move them around within the block by using the drag and drop feature to assign them to a new position.</p><p class="left">ROWS/LAYERS: Actually a website can be built using only one row. Select the row and layers within that row that you want to use. Click on the configuration link on the homepage and turn the row and layers on. Now you can assign Blocks, Sniplets, and Sidebar Content to the row/layer.</p>
<p class="left">CONTAINERS: One container alone can be used to build the homepage. And a Container can be assigned to any rows/layer and used along-side Blocks, Sniplets, Articles, and Videos. A Container is easy to setup and making it your own will certainly display your creativity. Each container has two columns Left and Right with four layers in each column. Only those areas that you add content in will be displayed. Place background images in the images folder.</p>
<p class="left">BLOCKS: The blocks are highly customizable and they can be assigned to any position on the homepage that you have turned on. Assign the blocks height and how many you want to add to that row/layer when you go to configure the rows/layers.</p><p class="left">SNIPLETS: The sniplets or teaser content blocks are highly customizable just like the blocks and can be placed in any position on the homepage that has been turned on. Configure the height, width, and image radius when you configure the row/layer.</p><p class="left">SIDEBARS: Spectra comes with a large array of sidebars. There are On-canvas sidebars that cover the entire vertical length of the page from top to bottom. Off-canvas sidebars will slide in from the left or right or both sides of the page when the menu icon is clicked. Rows sidebars cover the entire vertical length of the row/layers only and are located on the left, right or both sides.</p>
<p class="left">VIDEOS: The video block can be placed in any row/layer that has been turned on. Videos can also be placed in sidebars. Place those special videos in the Spotlight and for those that are old they can be placed in the archive and viewed in the Archive gallery.</p>');
define('_YES','Yes');
define('_NO','No');
define('_SHOW_VIDEO','Show Video');
define('_SELECTROW','Select Row/Layer');
define('_ROWONETOP','Row One Top');
define('_ROWTWOTOP','Row Two Top');
define('_ROWTHREETOP','Row Three Top');
define('_ROWFOURTOP','Row Four Top');
define('_ROWFIVETOP','Row Five Top');
define('_ROWSIXTOP','Row Six Top');
define('_ROWSEVENTOP','Row Seven Top');
define('_ROWEIGHTTOP','Row Eight Top');
define('_ROWNINETOP','Row Nine Top');
define('_ROWTENTOP','Row Ten Top');
define('_ROWELEVENTOP','Row Eleven Top');
define('_ROWTWELVETOP','Row Twelve Top');
define('_ROWONEMIDDLE','Row One Middle');
define('_ROWTWOMIDDLE','Row Two Middle');
define('_ROWTHREEMIDDLE','Row Three Middle');
define('_ROWFOURMIDDLE','Row Four Middle');
define('_ROWFIVEMIDDLE','Row Five Middle');
define('_ROWSIXMIDDLE','Row Six Middle');
define('_ROWSEVENMIDDLE','Row Seven Middle');
define('_ROWEIGHTMIDDLE','Row Eight Middle');
define('_ROWNINEMIDDLE','Row Nine Middle');
define('_ROWTENMIDDLE','Row Ten Middle');
define('_ROWELEVENMIDDLE','Row Eleven Middle');
define('_ROWTWELVEMIDDLE','Row Twelve Middle');
define('_ROWONEBOTTOM','Row One Bottom');
define('_ROWTWOBOTTOM','Row Two Bottom');
define('_ROWTHREEBOTTOM','Row Three Bottom');
define('_ROWFOURBOTTOM','Row Four Bottom');
define('_ROWFIVEBOTTOM','Row Five Bottom');
define('_ROWSIXBOTTOM','Row Six Bottom');
define('_ROWSEVENBOTTOM','Row Seven Bottom');
define('_ROWEIGHTBOTTOM','Row Eight Bottom');
define('_ROWNINEBOTTOM','Row Nine Bottom');
define('_ROWTENBOTTOM','Row Ten Bottom');
define('_ROWELEVENBOTTOM','Row Eleven Bottom');
define('_ROWTWELVEBOTTOM','Row Twelve Bottom');
define('_USEBACKIMGORCOLOR','Use Background Image or Color');
define('_BACKIMAGE','Background Image');
define('_BACKCOLORFIRST','First Color');
define('_BACKCOLORSECOND','Second Color');
define('_ENTERACTIVEVIDEO','Enter Active Video');
define('_ISSHOWNINPLAYER','Is shown in the player until another video is selected (placeholder).');
define('_IFISYOUTUBE','If this is a YouTube video enter the embed src below. example: https://www.youtube.com/embed/IgT24YYn4DU');
define('_VIDEOARCHIVEPAGE','Video Archive Page');
define('_IMAGEORVIDEO','Set the placeholder Image or Video');
define('_IMAGE','Image');
define('_VIDEO','Video');
define('_NONE','None');
define('_COLOR','Color');
define('_ONTHESCREENBEFORE','What is on the screen before a video choice is made.');
define('_PLACEINVIDEOSFOLDER','Place in videos folder (enter name only ex: back.jpg or if video, video.mp4)');
define('_MUSTBEMP','Videos must be .mp4 only.');
define('_MAXCHARACTERS','max: 55 characters');
define('_VIDEOCONFIG','Video Configuration');
define('_RETURN','Return');
define('_VIDEOSETTINGS','Video Settings');
define('_UPDATESUCCESSFUL','Update Successful');
define('_CLOSETHISWINDOW','Close This Window');
define('_CHOOSEROWLOCATION','Choose Row Location');
define('_NUMBEROFARTICLES','Number of articles to show per page in the Articles Dashboard?');
define('_MBRARTICLESINFO','The next setting lets you decide if you want to allow Registered Members to be able to submit articles from inside of their User Home Page.');
define('_ALLOWTOSUBMIT','Allow Users/Members to Submit Articles?');
define('_IFPAGINATIONUSED','Settings if Pagination <u>IS</u> used.');
define('_ARTICLESETTINGSINFO','Spectra articles has a pagination feature for large sites and you can set how many articles you want to show on a page. It keeps your pages from being to long which can slow load times.');
define('_USEPAGINATION','Use the Pagination Feature?');
define('_POSITIONPAGINATION','Position Pagination');
define('_TOP','Top');
define('_BOTTOM','Bottom');
define('_BOTH','Both');
define('_OPENSINNEWWINDOW','Opens in a new window.');
define('_STYLEPAGINATION','Choose a Pagination Style');
define('_STYLEYOUROWN','Build Your Own');
define('_USEDEFAULT','Use Default');
define('_ARTICLESTOSHOW','Number of articles to show on a page?');
define('_IFPAGINATIONNOTUSED','Settings if Pagination <u>IS NOT</u> used.');
define('_IFPAGINATION','If pagination is not used there can be up to 4 articles per row?');
define('_NUMBER_TOSHOW','Number to show per row.');
define('_SETBLOCKHEIGHT','Set height of block: (in pixels)');
define('_ORUSE','Or Use The Default Styling Or Use One Of The Prebuilt Styles.');
define('_IFUSINGPAGINATION','If using Pagination.');
define('_ARTICLECONFIG','Article Configuration');
define('_CONTACTSTAFFINFO','<p class="center">You can allow your members to contact you directly from their member home page.<br>* Note: This is a different form than the <b>Public</b> contact form.<br>Click the link below to add a message to both contact forms.</p><p class="center"><a href="../../../core/designer/contactform.php" onclick="basicPopup(this.href);return false">Edit the Public Contact Form</a></p>');
define('_USECONTACTSTAFF','Use Contact Staff Feature?');
define('_CONTACTSTAFF','Contact Staff');
define('_SETUPWIZARD','Setup Wizard');
define('_UNIQUEVISITORCOUNTER','Unique Visitor Counter');
define('_COUNTERSETTINGSINFO','There is a <b>Unique Visitor Counter</b> in the footer of the index page. You can choose to use it or turn it off in the next setting.');
define('_USECOUNTER','Use Visitor Counter?');
define('_COUNTERVISIBLE','Counter is visible to?');
define('_VISITORSTODATE','Visitors to date');
define('_LOGOSETUP','Logo Setup');
define('_WEBSITELOGO','Website Logo');
define('_SUBLOGOTEXT','Sub Logo Text');
define('_USELOGOIMAGE','Use Logo Image');
define('_IMGRADIUS','Image Radius');
define('_LOGOIMAGE','Logo Image');
define('_PLACEINTHEMESFOLDER','Place image in themes folder.');
define('_IMGWIDTH','Image Width');
define('_HOMEPAGECONFIG','Home Page Configuration');
define('_LIBRARYEXPLAIN','The library contains the plugins - Categories, Spotlight Articles, Tag Cloud, and Archives.<br>It can be placed as a middle Block or dropdown accordion on the page or as a Right off-canvas sidebar.');
define('_LIBRARYFEATURE','Library Feature');
define('_RIGHT','Right');
define('_BLOCK','Block');
define('_DROPDOWNBLOCK','Dropdown');
define('_SETROW','Set Row');
define('_HOVEREFFECTCAUSES','The hover effect causes a small shadow to appear on the blocks and sniplets on mouseover.');
define('_USEHOVEREFFECT','Use Hover Effect?');
define('_HOVERSTRENGTH','Strength of the Hover Effect.');
define('_THEZOOMEFFECT','You can choose to use the image zoom effect for the sniplet images on mouseover.');
define('_ZOOMIMG','Use the image zoom effect?');
define('_SNIPLETS','Sniplets');
define('_BORDERRADIUS','Border Radius');
define('_CONFIGSIDEBARS','Configure the Sidebars');
define('_SELECTWHICHSIDEBAR','Select which On-Canvas sidebar to use.');
define('_CONFIGONCANVASSIDEBARS','Configure On-Canvas Sidebars');
define('_LEFTSIDEBARWIDTH','Set the width of the Left sidebar (if used)');
define('_RIGHTSIDEBARWIDTH','Set the width of the Right sidebar (if used)');
define('_CONFIG','Configure');
define('_BLOCKS','Blocks');
define('_SELECTSIDEBAR','Select which Off-Canvas Sidebar to use');
define('_LEFT','Left');
define('_MENUSELECTION','Menu Selection');
define('_OFFCANVASINFO','You can select to use either the Menubar or an Offcanvas menu.<br>If using the Menubar it can be positioned above or below the header logo by editing the theme you have chosen.');
define('_BAR','Menubar');
define('_OFFSCREEN','Offcanvas');
define('_IFCHOSEMENUBAR','If you choose Menubar you can skip the rest of this page.');
define('_OFFCANVASMENUOPTIONS','Off Canvas Menu Options Only');
define('_IFCHOSEOFFCANVASMENU','If you choose to use the Offcanvas menu you can add a background image to the menu.');
define('_ENTERBACKIMGNAME','Enter background image name</strong> (upload into the images folder .. Ex: myback.jpg)');
define('_PLACEIMGUNDERLOGO','Place an image of your choice at the top of the menu (when open) just under the logo.');
define('_ENTERIMGNAME','<strong>Enter image name</strong> (upload into the images folder .. Ex: myback.jpg)');
define('_MENUWHICHSIDE','Choose which side to have the menu open from (Left or Right).');
define('_MENU_SELECTION','Menu Selection?');
define('_METAINFO','Helps in search engine optimization. <a href="https://www.conductor.com/blog/2021/11/what-are-meta-tags/" target="_blank">Read more on SEO and Metatags.</a>');
define('_META_DESCRIPTION','Description');
define('_METAKEYWORDS','Keywords (separate with commas)');
define('_METAAUTHOR','Author (separate with commas)');
define('_META_TAGS','Meta Tags');
define('_THEMESELECTION','Theme Selection');
define('_WEBSITETHEME','Website/Members Area');
define('_DASHBOARDTHEME','Designers Dashboard');
define('_ADMINTHEME','Administrators Dashboard');
define('_CANUSETHEME','Allow members to set their own theme?');
define('_SPECTRASETUPWIZARD','Spectra Quick Start Setup Wizard');
define('_THESETUPWIZARD','The setup wizard is here to help you get your website up and running in a short amount of time.');
define('_SELECTFEATURES','Select the features you want to configure from the menu list above.');
define('_ARTICLESETTINGS','Articles Settings');
define('_METATAGCONFIG','Meta Tag Configuration');
define('_VISITORCOUNTERSETTINGS','Visitor Counter Settings');
define('_SOCIALMEDIA','Social Media');
define('_SMINFO','You can choose the social media links you want to use. Also, you can choose where you want them displayed on your site.');
define('_USESM','Use Social Media');
define('_CHOOSELOCATION_HELP','You can choose to place the social media link bar in the header or footer.');
define('_CHOOSELOCATION','Choose the Location?');
define('_HEADER','Header');
define('_FOOTER','Footer');
define('_SMHEADERSTYLE_HELP','If using header location you can choose to use a link bar or dropdown button.');
define('_SMHEADERSTYLE','Header Style?');
define('_SMBAR','Bar');
define('_SMBUTTON','Button');
define('_ADDVERTICLESIDEBAR_HELP','If using this, set Use Social Media to No. This sidebar will not show on smaller screens. Also, it should be used on sites that are set for a width of 1600px or less.');
define('_ADDVERTICLESIDEBAR','Add Social Media Verticle Sidebar?');
define('_LINK','Link');
define('_USE','Use');
