<?php
/**
* Spectra est un logiciel conçu pour créer un site Web.
* PHPVersion 8
*
* @category OpenSource
* @package Spectra
* @author Mike Boyles <admin@papamikescreations.org>
* @copyright 2020-2023 Jonction des codeurs
* @license GNU General Public License <http://www.gnu.org/licenses/>.
* @lien https://www.papamikescreations.org
*/

// Pack de langue français

// Articles généraux ---------------------

define('_SHOWFOOTER','Afficher le pied de page');
define('_MISCSETTINGS','Paramètres divers');
define('_PREVIEWTHEMES','Thèmes d\'aperçu');
define('_ROWS','Lignes');
define('_JUMPTOROWS','Aller à la ligne');
define('_CONFIGROWSINFO','Les lignes doivent être configurées avant de leur attribuer du contenu.<br>Activez la ligne et la couche, puis configurez le type de bloc de contenu que vous y attribuez.<br>Il vous suffit de configurer les éléments que vous utiliserez dans cette couche de lignes.<br>Bien que certains veuillent peut-être tout utiliser à la suite.');
define('_WALKTHRUCONFIG','Cela vous guidera à travers les paramètres de configuration pendant que vous préparerez votre site Web à ajouter du contenu. Lorsque vous êtes prêt, cliquez sur Continuer.');
define('_CONTINUE','Continuer');
define('_HAVECOMPLETED','Vous avez terminé l\'assistant de configuration.');
define('_OVERVIEWPAGE','Page de présentation');
define('_IFMAKINGCHANGES','Si vous apportez des modifications, cliquez sur "Mettre à jour l\'enregistrement", puis ');
define('_ORSELECTMENU','ou sélectionnez dans le menu');
define('_STEPBYSTEP','Utilisez le guide <a href="step-by-step.php"><u>étape par étape</u></a> ou choisissez dans le menu pour compléter/modifier les configurations.');
define('_DESIGNERSDASHBOARD','Tableau de bord des concepteurs');
define('_GOHERE','Va ici');
define('_READABOUTFEATURES','d’abord et découvrez toutes les fonctionnalités que Spectra a à offrir.');
define('_QUICKSTARTCONTAINS','La configuration de démarrage rapide contient les paramètres des zones que vous devrez configurer afin de pouvoir commencer à créer du contenu sur la page d\'accueil. Il est recommandé de commencer ici, puis de revenir en arrière et de procéder à un examen plus approfondi de tous les paramètres en commençant par la page <a href="../website.php" target="_blank"><u>Configuration générale du site Web</u></a>. Au fur et à mesure que vous serez plus à l’aise avec Spectra, vous apprendrez à effectuer des ajustements plus rapidement.');
define('_WHEREDOISTART','Où est-ce que je commence');
define('_QUICKSTARTPARA','<p class="left black">ARTICLES : Le meilleur point de départ est d\'utiliser les articles. Cliquez sur <a href="articles.php" target="_blank"><u>Paramètres des articles</u></a> pour configurer le bloc des articles. Maintenant, une fois cela fait, chaque article que vous créez sera automatiquement dirigé vers cet emplacement sur la page. Vous pouvez les déplacer dans le bloc en utilisant la fonction glisser-déposer pour les attribuer à une nouvelle position.</p><p class="left">ROWS/LAYERS : En fait, un site Web peut être construit en utilisant une seule ligne. Sélectionnez la ligne et les calques de cette ligne que vous souhaitez utiliser. Cliquez sur le lien de configuration sur la page d\'accueil et activez la ligne et les couches. Vous pouvez désormais attribuer des blocs, des extraits de code et du contenu de la barre latérale à la ligne/couche.</p>
<p class="left">CONTENEURS : un seul conteneur peut être utilisé pour créer la page d\'accueil. Et un conteneur peut être attribué à n\'importe quelle ligne/couche et utilisé avec des blocs, des extraits de code, des articles et des vidéos. Un conteneur est facile à installer et le personnaliser mettra certainement en valeur votre créativité. Chaque conteneur comporte deux colonnes Gauche et Droite avec quatre couches dans chaque colonne. Seules les zones dans lesquelles vous ajoutez du contenu seront affichées. Placez les images d\'arrière-plan dans le dossier images.</p>
<p class="left">BLOCS : les blocs sont hautement personnalisables et peuvent être attribués à n\'importe quelle position sur la page d\'accueil que vous avez activée. Attribuez la hauteur des blocs et le nombre que vous souhaitez ajouter à cette ligne/couche lorsque vous configurez les lignes/couches.</p><p class="left">SNIPLETS : les extraits de code ou les blocs de contenu teaser sont hautement personnalisables, tout comme les blocs, et peuvent être placés à n\'importe quelle position sur la page d\'accueil qui a été activée. Configurez la hauteur, la largeur et le rayon de l\'image lorsque vous configurez la ligne/le calque.</p><p class="left">BARES LATÉRALES : Spectra est livré avec un large éventail de barres latérales. Il existe des barres latérales sur toile qui couvrent toute la longueur verticale de la page de haut en bas. Les barres latérales hors toile glisseront depuis la gauche ou la droite ou les deux côtés de la page lorsque vous cliquerez sur l\'icône de menu. Les barres latérales des lignes couvrent toute la longueur verticale des lignes/couches uniquement et sont situées à gauche, à droite ou sur les deux côtés.</p><p class="left">VIDÉOS : le bloc vidéo peut être placé dans n\'importe quelle ligne/couche qui a été activée. Les vidéos peuvent également être placées dans les barres latérales. Placez ces vidéos spéciales dans Spotlight et pour celles qui sont anciennes, elles peuvent être placées dans les archives et visualisées dans la galerie d\'archives.</p>');
define('_YES','Oui');
define('_NO','Non');
define('_SHOW_VIDEO','Afficher la vidéo');
define('_SELECTROW','Sélectionnez une ligne/un calque');
define('_ROWONETOP','Haut de la première rangée');
define('_ROWTWOTOP','Haut de la deuxième rangée');
define('_ROWTHREETOP','Haut de la rangée trois');
define('_ROWFOURTOP','Haut de la rangée quatre');
define('_ROWFIVETOP','Haut de la rangée cinq');
define('_ROWSIXTOP','Haut de la rangée six');
define('_ROWSEVENTOP','Haut de la rangée sept');
define('_ROWEIGHTTOP','Haut de la rangée huit');
define('_ROWNINETOP','Haut de la rangée neuf');
define('_ROWTENTOP','Haut de la rangée dix');
define('_ROWELEVENTOP','Haut de la onzième rangée');
define('_ROWTWELVETOP','Haut de la rangée douze');
define('_ROWONEMIDDLE','Rangée Un Milieu');
define('_ROWTWOMIDDLE','Deuxième rangée au milieu');
define('_ROWTHREEMIDDLE','Rangée trois au milieu');
define('_ROWFOURMIDDLE','Rangée 4 Milieu');
define('_ROWFIVEMIDDLE','Rangée Cinq Milieu');
define('_ROWSIXMIDDLE','Rangée Six Milieu');
define('_ROWSEVENMIDDLE','Rangée sept au milieu');
define('_ROWEIGHTMIDDLE','Rang Huit Milieu');
define('_ROWNINEMIDDLE','Milieu de la rangée neuf');
define('_ROWTENMIDDLE','Milieu de la rangée dix');
define('_ROWELEVENMIDDLE','Milieu de la rangée onze');
define('_ROWTWELVEMIDDLE','Milieu de la rangée douze');
define('_ROWONEBOTTOM','Rangée 1 en bas');
define('_ROWTWOBOTTOM','Rangée deux en bas');
define('_ROWTHREEBOTTOM','Rangée trois en bas');
define('_ROWFOURBOTTOM','Ligne quatre en bas');
define('_ROWFIVEBOTTOM','Rangée cinq en bas');
define('_ROWSIXBOTTOM','Rangée Six Bas');
define('_ROWSEVENBOTTOM','Rangée sept en bas');
define('_ROWEIGHTBOTTOM','Ligne huit en bas');
define('_ROWNINEBOTTOM','Rangée neuf en bas');
define('_ROWTENBOTTOM','Rangée dix en bas');
define('_ROWELEVENBOTTOM','Ligne onze en bas');
define('_ROWTWELVEBOTTOM','Ligne douze en bas');
define('_USEBACKIMGORCOLOR','Utiliser l\'image ou la couleur d\'arrière-plan');
define('_BACKIMAGE','Image de fond');
define('_BACKCOLORFIRST','Première couleur');
define('_BACKCOLORSECOND','Deuxième couleur');
define('_ENTERACTIVEVIDEO','Entrer la vidéo active');
define('_ISSHOWNINPLAYER','Est affiché dans le lecteur jusqu\'à ce qu\'une autre vidéo soit sélectionnée (espace réservé).');
define('_IFISYOUTUBE','S\'il s\'agit d\'une vidéo YouTube, entrez le code d\'intégration ci-dessous. exemple : https://www.youtube.com/embed/IgT24YYn4DU');
define('_VIDEOARCHIVEPAGE','Page d\'archives vidéo');
define('_IMAGEORVIDEO','Définir l\'espace réservé pour l\'image ou la vidéo');
define('_IMAGE','Image');
define('_VIDEO','Vidéo');
define('_NONE','Aucun');
define('_COLOR','Couleur');
define('_ONTHESCREENBEFORE','Ce qui est affiché à l\'écran avant qu\'un choix vidéo ne soit effectué.');
define('_PLACEINVIDEOSFOLDER','Placer dans le dossier vidéos (entrer le nom uniquement ex : back.jpg ou si vidéo, video.mp4)');
define('_MUSTBEMP','Les vidéos doivent être uniquement au format .mp4.');
define('_MAXCHARACTERS','maximum : 55 caractères');
define('_VIDEOCONFIG','Configuration vidéo');
define('_RETURN','Retour');
define('_VIDEOSETTINGS','Paramètres vidéo');
define('_UPDATESUCCESSFUL','Mise à jour réussie');
define('_CLOSETHISWINDOW','Ferme cette fenêtre');
define('_CHOOSEROWLOCATION','Choisir l\'emplacement de la ligne');
define('_NUMBEROFARTICLES','Nombre d\'articles à afficher par page dans le tableau de bord des articles ?');
define('_MBRARTICLESINFO','Le paramètre suivant vous permet de décider si vous souhaitez autoriser les membres enregistrés à pouvoir soumettre des articles depuis leur page d\'accueil utilisateur.');
define('_ALLOWTOSUBMIT','Autoriser les utilisateurs/membres à soumettre des articles ?');
define('_IFPAGINATIONUSED','Paramètres si la pagination <u>EST</u> est utilisée.');
define('_ARTICLESETTINGSINFO','Les articles Spectra disposent d\'une fonction de pagination pour les grands sites et vous pouvez définir le nombre d\'articles que vous souhaitez afficher sur une page. Cela évite que vos pages soient trop longues, ce qui peut ralentir les temps de chargement.');
define('_USEPAGINATION','Utiliser la fonction de pagination ?');
define('_POSITIONPAGINATION','Pagination des positions');
define('_TOP','Haut');
define('_BOTTOM','Bas');
define('_BOTH','Les deux');
define('_OPENSINNEWWINDOW','Ouvre dans une nouvelle fenêtre.');
define('_STYLEPAGINATION','Choisissez un style de pagination');
define('_STYLEYOUROWN','Construit le tien');
define('_USEDEFAULT','L\'utilisation par défaut');
define('_ARTICLESTOSHOW','Nombre d\'articles à afficher sur une page ?');
define('_IFPAGINATIONNOTUSED','Paramètres si la pagination <u>N\'EST PAS</u> utilisée.');
define('_IFPAGINATION','Si la pagination n’est pas utilisée, il peut y avoir jusqu’à 4 articles par ligne ?');
define('_NUMBER_TOSHOW','Nombre à afficher par ligne.');
define('_SETBLOCKHEIGHT','Définir la hauteur du bloc : (en pixels)');
define('_ORUSE','Ou utilisez le style par défaut ou utilisez l’un des styles prédéfinis.');
define('_IFUSINGPAGINATION','Si vous utilisez la pagination.');
define('_ARTICLECONFIG','Configuration des articles');
define('_CONTACTSTAFFINFO','<p class="center">Vous pouvez autoriser vos membres à vous contacter directement depuis leur page d\'accueil de membre.<br>* Remarque : Il s\'agit d\'un formulaire différent du formulaire de contact <b>Public</b>.<br>Cliquez sur le lien ci-dessous pour ajouter un message. aux deux formulaires de contact.</p><p class="center"><a href="../../../core/designer/contactform.php" target="_blank">Modifier le formulaire de contact public</a></p>');
define('_USECONTACTSTAFF','Utiliser la fonctionnalité Contacter le personnel ?');
define('_CONTACTSTAFF','Contacter le personnel');
define('_SETUPWIZARD','Assistant de configuration');
define('_UNIQUEVISITORCOUNTER','Compteur de visiteurs unique');
define('_COUNTERSETTINGSINFO','Il y a un <b>Compteur de visiteurs uniques</b> dans le pied de page de la page d\'index. Vous pouvez choisir de l\'utiliser ou de le désactiver dans le paramètre suivant.');
define('_USECOUNTER','Utiliser le compteur de visiteurs ?');
define('_COUNTERVISIBLE','Le compteur est-il visible ?');
define('_VISITORSTODATE','Visiteurs à ce jour');
define('_LOGOSETUP','Configuration du logo');
define('_WEBSITELOGO','Logo du site Web');
define('_SUBLOGOTEXT','Texte du sous-logo');
define('_USELOGOIMAGE','Utiliser l\'image du logo');
define('_IMGRADIUS','Rayon de l\'image');
define('_LOGOIMAGE','Image logo');
define('_PLACEINTHEMESFOLDER','Placez l\'image dans le dossier des thèmes.');
define('_IMGWIDTH','Largeur de l\'image');
define('_HOMEPAGECONFIG','Configuration de la page d\'accueil');
define('_LIBRARYEXPLAIN','La bibliothèque contient les plugins : catégories, articles Spotlight, nuage de tags et archives.<br>Elle peut être placée sous forme de bloc central ou d\'accordéon déroulant sur la page ou sous forme de barre latérale droite hors toile.');
define('_LIBRARYFEATURE','Fonctionnalité de bibliothèque');
define('_RIGHT','Droit');
define('_BLOCK','Bloc');
define('_DROPDOWNBLOCK','Dérouler');
define('_SETROW','Définir la ligne');
define('_HOVEREFFECTCAUSES','L\'effet de survol fait apparaître une petite ombre sur les blocs et les extraits au survol de la souris.');
define('_USEHOVEREFFECT','Utiliser l\'effet de survol ?');
define('_HOVERSTRENGTH','Force de l\'effet de survol.');
define('_THEZOOMEFFECT','Vous pouvez choisir d\'utiliser l\'effet de zoom d\'image pour les images d\'extraits au survol de la souris.');
define('_ZOOMIMG','Utiliser l\'effet de zoom de l\'image ?');
define('_SNIPLETS','Extraits');
define('_BORDERRADIUS','Rayon de frontière');
define('_CONFIGSIDEBARS','Configurer les barres latérales');
define('_SELECTWHICHSIDEBAR','Sélectionnez la barre latérale On-Canvas à utiliser.');
define('_CONFIGONCANVASSIDEBARS','Configurer les barres latérales sur le canevas');
define('_LEFTSIDEBARWIDTH','Définir la largeur de la barre latérale gauche (si utilisée)');
define('_RIGHTSIDEBARWIDTH','Définir la largeur de la barre latérale droite (si utilisée)');
define('_CONFIG','Configurer');
define('_BLOCKS','Blocs');
define('_SELECTSIDEBAR','Sélectionnez la barre latérale hors toile à utiliser');
define('_LEFT','Gauche');
define('_MENUSELECTION','Sélection des menus');
define('_OFFCANVASINFO','Vous pouvez choisir d\'utiliser la barre de menus ou un menu Offcanvas.<br>Si vous utilisez la barre de menus, elle peut être positionnée au-dessus ou en dessous du logo d\'en-tête en modifiant le thème que vous avez choisi.');
define('_BAR','Barre de menu');
define('_OFFSCREEN','Hors toile');
define('_IFCHOSEMENUBAR','Si vous choisissez Barre de menus, vous pouvez ignorer le reste de cette page.');
define('_OFFCANVASMENUOPTIONS','Options du menu hors canevas uniquement');
define('_IFCHOSEOFFCANVASMENU','Si vous choisissez d\'utiliser le menu Offcanvas, vous pouvez ajouter une image d\'arrière-plan au menu.');
define('_ENTERBACKIMGNAME','Entrez le nom de l\'image d\'arrière-plan</strong> (téléchargez dans le dossier images .. Ex : myback.jpg)');
define('_PLACEIMGUNDERLOGO','Placez une image de votre choix en haut du menu (lorsqu\'il est ouvert) juste sous le logo.');
define('_ENTERIMGNAME','<strong>Entrez le nom de l\'image</strong> (téléchargez dans le dossier images .. Ex : myback.jpg)');
define('_MENUWHICHSIDE','Choisissez de quel côté ouvrir le menu (gauche ou droite).');
define('_MENU_SELECTION','Sélection de menus ?');
define('_METAINFO','Aide à l’optimisation des moteurs de recherche. <a href="https://www.conductor.com/blog/2021/11/what-are-meta-tags/" target="_blank">En savoir plus sur le référencement et les balises méta.</a>');
define('_META_DESCRIPTION','Description');
define('_METAKEYWORDS','Mots-clés (séparés par des virgules)');
define('_METAAUTHOR','Auteur (séparé par des virgules)');
define('_META_TAGS','Balises méta');
define('_THEMESELECTION','Sélection de thèmes');
define('_WEBSITETHEME','Site Web/Espace membres');
define('_DASHBOARDTHEME','Tableau de bord des concepteurs');
define('_ADMINTHEME','Tableau de bord des administrateurs');
define('_CANUSETHEME','Autoriser les membres à définir leur propre thème ?');
define('_SPECTRASETUPWIZARD','Assistant de configuration rapide Spectra');
define('_THESETUPWIZARD','L\'assistant de configuration est là pour vous aider à rendre votre site Web opérationnel en peu de temps.');
define('_SELECTFEATURES','Sélectionnez les fonctionnalités que vous souhaitez configurer dans la liste de menu ci-dessus.');
define('_ARTICLESETTINGS','Paramètres des articles');
define('_METATAGCONFIG','Configuration des balises méta');
define('_VISITORCOUNTERSETTINGS','Paramètres du compteur de visiteurs');
define('_SOCIALMEDIA','Réseaux sociaux');
define('_SMINFO','Vous pouvez choisir les liens de réseaux sociaux que vous souhaitez utiliser. Vous pouvez également choisir où vous souhaitez les afficher sur votre site.');
define('_USESM','Utiliser les réseaux sociaux');
define('_CHOOSELOCATION_HELP','Vous pouvez choisir de placer la barre de liens des réseaux sociaux dans l\'en-tête ou le pied de page.');
define('_CHOOSELOCATION','Choisir l\'emplacement ?');
define('_HEADER','Entête');
define('_FOOTER','Bas de page');
define('_SMHEADERSTYLE_HELP','Si vous utilisez l\'emplacement de l\'en-tête, vous pouvez choisir d\'utiliser une barre de liens ou un bouton déroulant.');
define('_SMHEADERSTYLE','Style d\'en-tête ?');
define('_SMBAR','Bar');
define('_SMBUTTON','Bouton');
define('_ADDVERTICLESIDEBAR_HELP','Si vous l\'utilisez, définissez Utiliser les médias sociaux sur Non. Cette barre latérale ne s\'affichera pas sur les écrans plus petits. En outre, il doit être utilisé sur des sites définis pour une largeur de 1 600 px ou moins.');
define('_ADDVERTICLESIDEBAR','Ajouter une barre latérale verticale des médias sociaux ?');
define('_LINK','Lien');
define('_USE','Utiliser');
