<?php
/**
* Spectra — это программное обеспечение, предназначенное для создания веб-сайтов.
* PHP версии 8
*
* @категория OpenSource
* @пакет Spectra
* @author Майк Бойлз <admin@papamikescreations.org>
* @copyright 2020-2023 Coders Junction
* @license Стандартная общественная лицензия GNU <http://www.gnu.org/licenses/>.
* @ссылка https://www.papamikescreations.org
*/

// Языковой пакет Английский
// Общие элементы --------------------- 

define('_SHOWFOOTER','Показать нижний колонтитул');
define('_MISCSETTINGS','Разные настройки');
define('_PREVIEWTHEMES','Предварительный просмотр тем');
define('_ROWS','Строки');
define('_JUMPTOROWS','Перейти к строке');
define('_CONFIGROWSINFO','Строки необходимо настроить перед назначением им контента.<br>Включите строку и слой, а затем настройте тип блока контента, который вы там назначаете.<br>Вам нужно настроить только то, что вы будете использовать в этом слое строк.<br>Хотя некоторым, возможно, захочется использовать все подряд.');
define('_WALKTHRUCONFIG','Это проведет вас через настройки конфигурации, пока вы подготавливаете свой веб-сайт к добавлению контента. Когда вы будете готовы, нажмите «Продолжить».');
define('_CONTINUE','Продолжать');
define('_HAVECOMPLETED','Вы завершили работу мастера настройки.');
define('_OVERVIEWPAGE','Обзорная страница');
define('_IFMAKINGCHANGES','При внесении изменений нажмите «Обновить запись», затем ');
define('_ORSELECTMENU','или выберите из меню');
define('_STEPBYSTEP','Используйте <a href="step-by-step.php"><u>Пошаговое руководство</u></a> или выберите пункт меню, чтобы завершить/изменить настройки.');
define('_DESIGNERSDASHBOARD','Панель дизайнеров');
define('_GOHERE','Иди сюда');
define('_READABOUTFEATURES','сначала прочитайте обо всех функциях, которые может предложить Spectra.');
define('_QUICKSTARTCONTAINS','Быстрая настройка содержит настройки для тех областей, которые вам необходимо настроить, чтобы вы могли начать создавать контент на главной странице. Рекомендуется начать здесь, а затем вернуться и выполнить более подробный анализ всех настроек, начиная со страницы <a href="../website.php" target="_blank">Общая конфигурация веб-сайта</a>. По мере того, как вы станете более комфортно использовать Spectra, вы научитесь вносить коррективы быстрее.');
define('_WHEREDOISTART','С чего мне начать');
define('_QUICKSTARTPARA','<p class="left">СТАТЬИ. Лучше всего начать со статей. Нажмите <a href="articles.php" target="_blank"><u>Настройки статей</u></a>, чтобы настроить блок статей. Теперь, как только это будет сделано, каждая создаваемая вами статья будет автоматически перемещаться в это место на странице. Вы можете перемещать их внутри блока, используя функцию перетаскивания, чтобы назначить им новое положение.</p><p class="left">СТРОКИ/СЛОИ: На самом деле веб-сайт можно построить, используя только одну строку. Выберите строку и слои в этой строке, которые вы хотите использовать. Нажмите ссылку конфигурации на главной странице и включите строку и слои. Теперь вы можете назначать блоки, фрагменты и содержимое боковой панели строке/слою.</p>
<p class="left">КОНТЕЙНЕРЫ: для создания домашней страницы можно использовать только один контейнер. Контейнер можно назначить любой строке/слою и использовать вместе с блоками, фрагментами, статьями и видео. Контейнер легко настроить, и создание его самостоятельно, безусловно, продемонстрирует ваши творческие способности. Каждый контейнер имеет два столбца слева и справа по четыре слоя в каждом столбце. Будут отображаться только те области, в которые вы добавляете контент. Поместите фоновые изображения в папку images.</p>
<p class="left">БЛОКИ: Блоки легко настраиваются, и их можно назначить на любую позицию на главной странице, которую вы включили. Назначьте высоту блоков и количество блоков, которые вы хотите добавить к этой строке/слою, когда переходите к настройке строк/слоев.</p><p class="left">СНИПЛЕТЫ. Фрагменты или блоки тизерного контента, как и блоки, легко настраиваются, и их можно размещать в любом месте на включенной домашней странице. Настройте высоту, ширину и радиус изображения при настройке строки/слоя.</p><p class="left">БОКОВЫЕ ПАНЕЛИ: Spectra поставляется с большим набором боковых панелей. Существуют боковые панели на холсте, которые покрывают всю вертикальную длину страницы сверху донизу. Боковые панели вне холста будут выдвигаться слева, справа или с обеих сторон страницы при нажатии на значок меню. Боковые панели строк покрывают только всю вертикальную длину строки/слоев и расположены слева, справа или с обеих сторон.</p><p class="left">ВИДЕО: видеоблок можно разместить в любой включенной строке/слое. Видео также можно размещать на боковых панелях. Поместите эти специальные видео в Spotlight, а старые видео можно будет поместить в архив и просмотреть в галерее архива.</p>');
define('_YES','Да');
define('_NO','Нет');
define('_SHOW_VIDEO','Показать видео');
define('_SELECTROW','Выберите строку/слой');
define('_ROWONETOP','Ряд 1 Топ');
define('_ROWTWOTOP','Второй ряд сверху');
define('_ROWTHREETOP','Третий ряд сверху');
define('_ROWFOURTOP','Верх четвертого ряда');
define('_ROWFIVETOP','Ряд пять сверху');
define('_ROWSIXTOP','Ряд шесть сверху');
define('_ROWSEVENTOP','Седьмой ряд сверху');
define('_ROWEIGHTTOP','Восьмой ряд сверху');
define('_ROWNINETOP','Верх девятого ряда');
define('_ROWTENTOP','Десятый ряд сверху');
define('_ROWELEVENTOP','Ряд одиннадцатый Топ');
define('_ROWTWELVETOP','Двенадцатый ряд сверху');
define('_ROWONEMIDDLE','Ряд 1 посередине');
define('_ROWTWOMIDDLE','Второй ряд посередине');
define('_ROWTHREEMIDDLE','Третий ряд посередине');
define('_ROWFOURMIDDLE','Ряд четыре средний');
define('_ROWFIVEMIDDLE','Ряд пятый средний');
define('_ROWSIXMIDDLE','Ряд шесть средний');
define('_ROWSEVENMIDDLE','Седьмой ряд посередине');
define('_ROWEIGHTMIDDLE','Восьмой ряд посередине');
define('_ROWNINEMIDDLE','Ряд девять средний');
define('_ROWTENMIDDLE','Десятый ряд посередине');
define('_ROWELEVENMIDDLE','Одиннадцатый ряд, средний');
define('_ROWTWELVEMIDDLE','Ряд двенадцатый средний');
define('_ROWONEBOTTOM','Ряд один нижний');
define('_ROWTWOBOTTOM','Второй ряд снизу');
define('_ROWTHREEBOTTOM','Третий ряд нижний');
define('_ROWFOURBOTTOM','Ряд четвертый нижний');
define('_ROWFIVEBOTTOM','Строка пятая нижняя');
define('_ROWSIXBOTTOM','Ряд шесть нижний');
define('_ROWSEVENBOTTOM','Ряд семь нижний');
define('_ROWEIGHTBOTTOM','Восьмой ряд снизу');
define('_ROWNINEBOTTOM','Ряд девять нижний');
define('_ROWTENBOTTOM','Строка десятая нижняя');
define('_ROWELEVENBOTTOM','Ряд одиннадцатый нижний');
define('_ROWTWELVEBOTTOM','Строка двенадцатая нижняя');
define('_USEBACKIMGORCOLOR','Использовать фоновое изображение или цвет');
define('_BACKIMAGE','Изображение на заднем плане');
define('_BACKCOLORFIRST','Первый цвет');
define('_BACKCOLORSECOND','Второй цвет');
define('_ENTERACTIVEVIDEO','Введите активное видео');
define('_ISSHOWNINPLAYER','Отображается в плеере до тех пор, пока не будет выбрано другое видео (заполнитель).');
define('_IFISYOUTUBE','Если это видео на YouTube, введите источник для вставки ниже. пример: https://www.youtube.com/embed/IgT24YYn4DU');
define('_VIDEOARCHIVEPAGE','Страница видеоархива');
define('_IMAGEORVIDEO','Установите заполнитель изображения или видео');
define('_IMAGE','Изображение');
define('_VIDEO','видео');
define('_NONE','Никто');
define('_COLOR','Цвет');
define('_ONTHESCREENBEFORE','Что отображается на экране перед выбором видео.');
define('_PLACEINVIDEOSFOLDER','Поместить в папку видео (введите только имя, например: back.jpg или, если видео, video.mp4)');
define('_MUSTBEMP','Видео должно быть только в формате .mp4.');
define('_MAXCHARACTERS','максимум: 55 символов');
define('_VIDEOCONFIG','Конфигурация видео');
define('_RETURN','Возвращаться');
define('_VIDEOSETTINGS','Настройки видео');
define('_UPDATESUCCESSFUL','Обновление успешно выполнено');
define('_CLOSETHISWINDOW','Закрыть это окно');
define('_CHOOSEROWLOCATION','Выберите расположение строки');
define('_NUMBEROFARTICLES','Количество статей, отображаемых на странице панели статей?');
define('_MBRARTICLESINFO','Следующий параметр позволяет вам решить, хотите ли вы разрешить зарегистрированным участникам отправлять статьи со своей домашней страницы пользователя.');
define('_ALLOWTOSUBMIT','Разрешить пользователям/участникам отправлять статьи?');
define('_IFPAGINATIONUSED','Настройки, если используется разбивка на страницы <u>ЕС</u>.');
define('_ARTICLESETTINGSINFO','В статьях Spectra есть функция нумерации страниц для больших сайтов, и вы можете указать, сколько статей вы хотите отображать на странице. Благодаря этому ваши страницы не будут слишком длинными, что может замедлить время загрузки.');
define('_USEPAGINATION','Использовать функцию нумерации страниц?');
define('_POSITIONPAGINATION','Позиция');
define('_TOP','Вершина');
define('_BOTTOM','Нижний');
define('_BOTH','Оба');
define('_OPENSINNEWWINDOW','Открывается в новом окне.');
define('_STYLEPAGINATION','Выберите стиль нумерации страниц');
define('_STYLEYOUROWN','Построй свой собственный');
define('_USEDEFAULT','Использовать по умолчанию');
define('_ARTICLESTOSHOW','Количество статей, отображаемых на странице?');
define('_IFPAGINATIONNOTUSED','Настройки, если нумерация страниц <u>НЕ</u> используется.');
define('_IFPAGINATION','Если пагинация не используется, в строке может быть до 4 статей?');
define('_NUMBER_TOSHOW','Число, отображаемое в каждой строке.');
define('_SETBLOCKHEIGHT','Установить высоту блока: (в пикселях)');
define('_ORUSE','Или используйте стиль по умолчанию, или используйте один из готовых стилей.');
define('_IFUSINGPAGINATION','Если используется нумерация страниц.');
define('_ARTICLECONFIG','Конфигурация статьи');
define('_CONTACTSTAFFINFO','<p class="center">Вы можете разрешить своим участникам связываться с вами напрямую со своей домашней страницы.<br>* Примечание. Это форма, отличная от <b>публичной</b> формы связи.<br>Нажмите ссылку ниже, чтобы добавить сообщение. в обе контактные формы.</p><p class="center"><a href="../../../core/designer/contactform.php" target="_blank"> Изменить общедоступную контактную форму</a></p>');
define('_USECONTACTSTAFF','Использовать функцию «Связаться с персоналом»?');
define('_CONTACTSTAFF','Связаться с персоналом');
define('_SETUPWIZARD','Мастер установки');
define('_UNIQUEVISITORCOUNTER','Уникальный счетчик посетителей');
define('_COUNTERSETTINGSINFO','В нижнем колонтитуле индексной страницы есть <b>Счетчик уникальных посетителей</b>. Вы можете использовать его или отключить в следующих настройках.');
define('_USECOUNTER','Использовать счетчик посетителей?');
define('_COUNTERVISIBLE','Счетчик виден?');
define('_VISITORSTODATE','Посетители на сегодняшний день');
define('_LOGOSETUP','Настройка логотипа');
define('_WEBSITELOGO','Логотип сайта');
define('_SUBLOGOTEXT','Текст дополнительного логотипа');
define('_USELOGOIMAGE','Использовать изображение логотипа');
define('_IMGRADIUS','Радиус изображения');
define('_LOGOIMAGE','Изображение логотипа');
define('_PLACEINTHEMESFOLDER','Поместите изображение в папку тем.');
define('_IMGWIDTH','Ширина изображения');
define('_HOMEPAGECONFIG','Конфигурация домашней страницы');
define('_LIBRARYEXPLAIN','Библиотека содержит плагины — «Категории», «Статьи Spotlight», «Облако тегов» и «Архивы».<br>Его можно разместить в виде среднего блока или раскрывающегося списка на странице, а также в виде боковой панели прямо за пределами холста.');
define('_LIBRARYFEATURE','Функция библиотеки');
define('_RIGHT','Верно');
define('_BLOCK','Блокировать');
define('_DROPDOWNBLOCK','Падать');
define('_SETROW','Установить строку');
define('_HOVEREFFECTCAUSES','Эффект наведения вызывает появление небольшой тени на блоках и фрагментах при наведении курсора мыши.');
define('_USEHOVEREFFECT','Использовать эффект наведения?');
define('_HOVERSTRENGTH','Сила эффекта наведения.');
define('_THEZOOMEFFECT','Вы можете использовать эффект масштабирования изображения для фрагментов изображений при наведении курсора мыши.');
define('_ZOOMIMG','Использовать эффект масштабирования изображения?');
define('_SNIPLETS','Снепелки');
define('_BORDERRADIUS','Граница радиуса');
define('_CONFIGSIDEBARS','Настройте боковые панели');
define('_SELECTWHICHSIDEBAR','Select which On-Canvas sidebar to use.');
define('_CONFIGONCANVASSIDEBARS','Настройка боковых панелей на холсте');
define('_LEFTSIDEBARWIDTH','Установите ширину левой боковой панели (если используется)');
define('_RIGHTSIDEBARWIDTH','Установите ширину правой боковой панели (если используется)');
define('_CONFIG','Настроить');
define('_BLOCKS','Блоки');
define('_SELECTSIDEBAR','Выберите, какую боковую панель вне холста использовать');
define('_LEFT','Левый');
define('_MENUSELECTION','Выбор меню');
define('_OFFCANVASINFO','Вы можете выбрать использование панели меню или меню Offcanvas.<br>При использовании панели меню ее можно расположить над или под логотипом заголовка, отредактировав выбранную вами тему.');
define('_BAR','Строка меню');
define('_OFFSCREEN','Offcanvas');
define('_IFCHOSEMENUBAR','Если вы выберете «Менюбар», вы можете пропустить остальную часть этой страницы.');
define('_OFFCANVASMENUOPTIONS','Только параметры меню вне холста');
define('_IFCHOSEOFFCANVASMENU','Если вы решите использовать меню Offcanvas, вы можете добавить в меню фоновое изображение.');
define('_ENTERBACKIMGNAME','Введите имя фонового изображения</strong> (загрузите в папку изображений. Пример: myback.jpg)');
define('_PLACEIMGUNDERLOGO','Поместите изображение по вашему выбору вверху меню (когда оно открыто) прямо под логотипом.');
define('_ENTERIMGNAME','<strong>Введите имя изображения</strong> (загрузите в папку изображений. Пример: myback.jpg)');
define('_MENUWHICHSIDE','Выберите, с какой стороны будет открываться меню (слева или справа).');
define('_MENU_SELECTION','Выбор меню?');
define('_METAINFO','Помогает в поисковой оптимизации. <a href="https://www.conductor.com/blog/2021/11/what-are-meta-tags/" target="_blank">Узнайте больше о SEO и метатегах.</а>');
define('_META_DESCRIPTION','Описание');
define('_METAKEYWORDS','Ключевые слова (разделяются запятыми)');
define('_METAAUTHOR','Автор (разделяются запятыми)');
define('_META_TAGS','Мета-теги');
define('_THEMESELECTION','Выбор темы');
define('_WEBSITETHEME','Веб-сайт/Личный кабинет');
define('_DASHBOARDTHEME','Панель дизайнеров');
define('_ADMINTHEME','Панель администратора');
define('_CANUSETHEME','Разрешить участникам устанавливать свою собственную тему?');
define('_SPECTRASETUPWIZARD','Мастер быстрой настройки Spectra');
define('_THESETUPWIZARD','Мастер настройки поможет вам запустить ваш веб-сайт за короткое время.');
define('_SELECTFEATURES','Выберите функции, которые вы хотите настроить, из списка меню выше.');
define('_ARTICLESETTINGS','Настройки статей');
define('_METATAGCONFIG','Конфигурация мета-тегов');
define('_VISITORCOUNTERSETTINGS','Настройки счетчика посетителей');
define('_SOCIALMEDIA','Социальные медиа');
define('_SMINFO','Вы можете выбрать ссылки на социальные сети, которые хотите использовать. Кроме того, вы можете выбрать, где они будут отображаться на вашем сайте.');
define('_USESM','Используйте социальные сети');
define('_CHOOSELOCATION_HELP','Вы можете разместить панель ссылок на социальные сети в верхнем или нижнем колонтитуле.');
define('_CHOOSELOCATION','Выбрать место?');
define('_HEADER','Заголовок');
define('_FOOTER','Нижний колонтитул');
define('_SMHEADERSTYLE_HELP','При использовании местоположения заголовка вы можете использовать панель ссылок или раскрывающуюся кнопку.');
define('_SMHEADERSTYLE','Стиль заголовка?');
define('_SMBAR','Бар');
define('_SMBUTTON','Кнопка');
define('_ADDVERTICLESIDEBAR_HELP','Если вы используете это, установите для параметра «Использовать социальные сети» значение «Нет». Эта боковая панель не будет отображаться на маленьких экранах. Кроме того, его следует использовать на сайтах, для которых установлена ширина 1600 пикселей или меньше.');
define('_ADDVERTICLESIDEBAR','Добавить боковую панель статей в социальных сетях?');
define('_LINK','Связь');
define('_USE','Использовать');
