<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php'; 
require_once 'functions.php'; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="Use Spectra Setup Wizard to assist in setting up your website.">
<meta name="keywords" content="Setup, ease, step by step, guide">
<title><?= _SETUPWIZARD ?> - <?= _LOGOSETUP ?></title>

<?php $sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$logo_image = $row['logo_image'];
$uselogoimage = $row['uselogoimage'];
$logoradius = $row['logoradius'];
$logosize = $row['logosize'];
$logo = $row['logo'];
$sublogotext = $row['sublogotext'] ;

require_once 'lang/' . $row['lang'] . '.php'; }}
require_once '../themes/theme.php'; ?> 

<link rel="stylesheet" href="css/style.css" />
<link rel="stylesheet" href="../css/hint.css" />
<link rel="stylesheet" href="../../themes/style.min.css">
<script src="../../js/fontawesome.min.js" crossorigin="anonymous"></script>
</head>
<body style="background: <?= $back_color ?> url('../../../media/themes/<?= $bg_img ?>'); background-size:cover;">

<?php $sql = "SELECT * FROM themes WHERE theme_name='$theme_name'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$useheadercolor = $row['useheadercolor']; }}

if ($useheadercolor == 'Yes') { ?>
<div style="width:97%; margin:0 auto;" class="column header headercolor">
<?php } 
else { ?>
<div style="width:97%; margin:0 auto;" class="header headerimage">
<?php } ?>
<h1 class="center" style="padding-top:1%; color:<?= $logo_font_color ?>;"><?= _SETUPWIZARD ?> - <?= _LOGOSETUP ?></h1>
</div>

<?php require_once 'menu.php'; ?>

<div style="padding-top:30px"></div>

<div class="inner-wrapper spacer radius">

<div class="spacer input-group">

<div class="card center noborder"> 
    
<form action="helpers/save-logo-config.php" target="_blank" method="post">

<?php savemenu(); ?>

<?php $sql = "SELECT * FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>

<p class="center"><strong><?= _WEBSITELOGO ?>:</strong>
<br>
<input style="background:#f1f1f1; color:#000; width:300px;" type="text" name="logo" value="<?= htmlentities($row['logo'], ENT_QUOTES) ?>">
</p>

<p class="center"><strong><?= _SUBLOGOTEXT ?>:</strong>
<br>
<input style="width:300px; background:#f1f1f1; color:#000;" type="text" name="sublogotext" maxlength="55" size="55" value="<?= $row['sublogotext'] ?>">
</p>

<p class="center"><strong><?= _USELOGOIMAGE ?> </strong>
<select name="uselogoimage">
<option><?= $row['uselogoimage'] ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="center"><strong><?= _IMGRADIUS ?> </strong>
<select name="logoradius">
<option><?= $row['logoradius'] ?></option>
<option value="0">0</option>
<option value="2px">2px</option>
<option value="3px">3px</option>
<option value="4px">4px</option>
<option value="5px">5px</option>
<option value="6px">6px</option>
<option value="7px">7px</option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="13px">13px</option>
<option value="14px">14px</option>
<option value="15px">15px</option>
<option value="50%">50%</option>
</select>
</p>

<p class="center"><?= _LOGOIMAGE ?>
<br>
<input type="text" name="logo_image" style="width:300px; background:#f1f1f1; color:#000;" value="<?= htmlentities($row['logo_image'], ENT_QUOTES) ?>">
<br>
<p class="center"><?= _PLACEINTHEMESFOLDER ?></p>
</p>

<p class="center"><strong><?= _IMGWIDTH ?></strong>
<select name="logosize">
<option><?= $row['logosize'] ?></option>
<option value="60px">60px</option>
<option value="70px">70px</option>
<option value="80px">80px</option>
<option value="90px">90px</option>
<option value="100px">100px</option>
<option value="110px">110px</option>
</select>
</p>

<?php }} ?>

<p class="center"><?= _IFMAKINGCHANGES ?>"<?= _CONTINUE ?>".</p>
<h3 class="center gentextcolor"><a href="menu-selection.php" style="text-decoration:none" class="button"><span class="spacer linkcolor"><?= _CONTINUE ?></a><br><br><?= _ORSELECTMENU ?></h3>
</div>
</div>
</div>

</form>

<p>&nbsp;</p>
<p>&nbsp;</p>

<script>
function myFunction() {
var x = document.getElementById("myTopnav");
if (x.className === "topnav") {
x.className += " responsive";
} else {
x.className = "topnav"; }}
</script>

</body>
</html>