<?php
/**
* Spectra is software designed to build a website.
* PHP version 8
*
* @category  OpenSource
* @package   Spectra
* @author    Mike Boyles <codersjunctions@gmail.com>
* @copyright 2020-2023 Coders Junction
* @license   GNU General Public License <http://www.gnu.org/licenses/>.
* @link      https://www.coders-junction.com
*/

include_once 'admin-main.php';

check_loggedin($conn, '../../../sys/');

$stmt = $conn->prepare('SELECT password, email, role, username FROM accounts WHERE id = ?');

// Get the account info using the logged-in session ID
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result($password, $email, $role, $username);
$stmt->fetch();
$stmt->close();

// Check if the user is an admin...
if ($role != 'Admin') {
exit('You do not have permission to access this page!'); }