<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'functions.php'; 

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 	
while ($row = $result->fetch_assoc()) {
$menuselection = $row['menuselection']; 
$back_image = $row['back_image'];  
$sidemenuimage = $row['sidemenuimage']; 
$offcanvas_position = $row['offcanvas_position']; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="Use Spectra Setup Wizard to assist in setting up your website.">
<meta name="keywords" content="Setup, ease, step by step, guide">
<title><?= _SETUPWIZARD ?> - <?= _MENUSELECTION ?></title>
<?php $sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }}
require_once '../themes/theme.php'; ?>

<link rel="stylesheet" href="css/style.css" />
<link rel="stylesheet" href="../css/hint.css" />
<link rel="stylesheet" href="../../themes/style.min.css">
<script src="../../js/fontawesome.min.js" crossorigin="anonymous"></script>
</head>
<body style="background: <?= $back_color ?> url('../../../media/themes/<?= $bg_img ?>'); background-size:cover;">

<?php $sql = "SELECT * FROM themes WHERE theme_name='$theme_name'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$useheadercolor = $row['useheadercolor']; }}

if ($useheadercolor == 'Yes') { ?>
<div style="width:97%; margin:0 auto;" class="column header headercolor">
<?php } 
else { ?>
<div style="width:97%; margin:0 auto;" class="header headerimage">
<?php } ?>
<h1 class="center" style="padding-top:1%; color:<?= $logo_font_color ?>;"><?= _SETUPWIZARD ?> - <?= _MENUSELECTION ?></h1>
</div>

<?php require_once 'menu.php'; ?>

<div style="padding-top:30px"></div>

<div class="inner-wrapper spacer radius">

<form action="helpers/save-menu-selection.php" target="_blank" method="post">

<?php savemenu(); ?>

<p class="left"><?= _OFFCANVASINFO ?></p>
<p class="left"><strong><?= _MENUSELECTION ?> </strong>
<select name="menuselection">
<option><?= $menuselection ?></option>
<option value="Menubar"><?= _BAR ?></option>
<option value="Offcanvas"><?= _OFFSCREEN ?></option>
</select>
</p>
<p class="left"><?= _IFCHOSEMENUBAR ?></p>

<br>
<h3 class="center column-title" id="offcanvas"><?= _OFFCANVASMENUOPTIONS ?></h3>

<p class="center"><?= _IFCHOSEOFFCANVASMENU ?></p>
<p class="left"><strong><?= _ENTERBACKIMGNAME ?></p>
<input style="width:330px;background:#f1f1f1;color:#000;" type="text" name="back_image" maxlength="25" size="25" value="<?= $back_image ?>">

<p class="left"><?= _PLACEIMGUNDERLOGO ?></p>

<p class="left"><?= _ENTERIMGNAME ?></p>
<input style="width:330px;background:#f1f1f1;color:#000;" type="text" name="sidemenuimage" maxlength="25" size="25" value="<?= $sidemenuimage ?>">

<p class="left"><?= _MENUWHICHSIDE ?></p>
<p class="left"><strong><?= _MENU_SELECTION ?> </strong>
<select name="offcanvas_position">
<option><?= $offcanvas_position ?></option>
<option value="Right"><?= _RIGHT ?></option>
<option value="Left"><?= _LEFT ?></option>
</select>
</p>

<p>&nbsp;</p>
<p>&nbsp;</p>

<p class="center"><?= _IFMAKINGCHANGES ?>"<?= _CONTINUE ?>".</p>
<h3 class="center gentextcolor"><a href="metatags.php" style="text-decoration:none" class="button"><span class="spacer linkcolor"><?= _CONTINUE ?></a><br><br><?= _ORSELECTMENU ?></h3>
</div>

<p>&nbsp;</p>
<p>&nbsp;</p>

<script>
function myFunction() {
var x = document.getElementById("myTopnav");
if (x.className === "topnav") {
x.className += " responsive";
} else {
x.className = "topnav"; }}
</script>

</body>
</html>