<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'functions.php'; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="Use Spectra Setup Wizard to assist in setting up your website.">
<meta name="keywords" content="Setup, ease, step by step, guide">
<title><?= _SETUPWIZARD ?> - <?= _CONTACTSTAFF ?></title>
<?php $sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$contact_staff = $row['contact_staff'];
require_once 'lang/' . $row['lang'] . '.php'; }}
require_once '../themes/theme.php'; ?>

<style>
.jumpbox-button {
border-top: <?= $btn_top_border ?>;
background: <?= $btn_flat_color ?>;
background: -webkit-gradient(linear, left top, left bottom, from(<?= $btn_first_color ?>), to(<?= $btn_second_color ?>));
background: -moz-linear-gradient(top, <?= $btn_first_color ?>, <?= $btn_second_color ?>);
padding: 12px;
border-radius: 8px;
-webkit-box-shadow: <?= $btn_shadow ?> 0 1px 0;
-moz-box-shadow: <?= $btn_shadow ?> 0 1px 0;
box-shadow: <?= $btn_shadow ?> 0 1px 0;
text-shadow: <?= $btn_text_shadow ?> 0 1px 0;
color: <?= $btn_text_color ?>;
font-size: <?= $btn_font_size ?>;
font-family: <?= $btn_font_family ?>;
text-decoration: none;
vertical-align: middle; }

.jumpbox-button:hover {
border-top-color: <?= $btn_top_border ?>;
background: <?= $btn_flat_color ?>;
color: <?= $btn_hover_color ?>; }

.jumpbox-button:active {
border-top-color: <?= $btn_flat_color ?>;
background: <?= $btn_flat_color ?>; }
</style>

<link rel="stylesheet" href="css/style.css" />
<link rel="stylesheet" href="../css/hint.css" />
<link rel="stylesheet" href="../../themes/style.min.css">
<script src="../../js/fontawesome.min.js" crossorigin="anonymous"></script>
</head>
<body style="background: <?= $back_color ?> url('../../../media/themes/<?= $bg_img ?>'); background-size:cover;">

<?php $sql = "SELECT * FROM themes WHERE theme_name='$theme_name'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$useheadercolor = $row['useheadercolor']; }}

if ($useheadercolor == 'Yes') { ?>
<div style="width:97%; margin:0 auto;" class="column header headercolor">
<?php } 
else { ?>
<div style="width:97%; margin:0 auto;" class="header headerimage">
<?php } ?>
<h1 class="center" style="padding-top:1%; color:<?= $logo_font_color ?>;"><?= _SETUPWIZARD ?> - <?= _CONFIG ?> <?= _ROWS ?></h1>
</div>

<?php require_once 'menu.php'; ?>

<div style="padding-top:30px"></div>

<div class="inner-wrapper spacer radius">

<p class="center" style="line-height:1.6"><?= _CONFIGROWSINFO ?></p>

<div class="mini-container center spacer noborder">
<p class="center"><?= _JUMPTOROWS ?></p>
<p class="center"><a href="../rowone.php" onclick="basicPopup(this.href);return false" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">1</span></a>
<a href="../rowtwo.php" onclick="basicPopup(this.href);return false" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">2</span></a>
<a href="../rowthree.php" onclick="basicPopup(this.href);return false" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">3</span></a>
<a href="../rowfour.php" onclick="basicPopup(this.href);return false" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">4</span></a>
<a href="../rowfive.php" onclick="basicPopup(this.href);return false" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">5</span></a>
<a href="../rowsix.php" onclick="basicPopup(this.href);return false" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">6</span></a>
</p>

<br>

<p class="center">
<a href="../rowseven.php" onclick="basicPopup(this.href);return false" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">7</span></a>
<a href="../roweight.php" onclick="basicPopup(this.href);return false" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">8</span></a>
<a href="../rownine.php" onclick="basicPopup(this.href);return false" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">9</span></a>
<a href="../rowten.php" onclick="basicPopup(this.href);return false" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">10</span></a>
<a href="../roweleven.php" onclick="basicPopup(this.href);return false" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">11</span></a>
<a href="../rowtwelve.php" onclick="basicPopup(this.href);return false" style="text-decoration:none" class="jumpbox-button"><span class="linkcolor">12</span></a>
</p>
</div>

<h3 class="center gentextcolor"><a href="articles.php" style="text-decoration:none" class="button"><span class="spacer linkcolor"><?= _CONTINUE ?></a></h3>

</div>
<div style="padding-top:100px"></div>
</div>
</div>

<script>
function basicPopup(url) {
popupWindow = window.open(url, 'popUpWindow', 'height=600,width=1000,left=100,top=100,resizable=yes,scrollbars=yes,toolbar=yes,menubar=no,location=no,directories=no, status=yes'); }
</script>

</body>
</html>