<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'functions.php'; 

$img_source = '../../social icons/';

$sql = "SELECT * FROM socialmedia";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$use_social_media = $row['use_social_media'];
$use_twitter = $row['use_twitter'];
$twitter = $row['twitter'];
$use_linkedin = $row['use_linkedin'];
$linkedin = $row['linkedin'];
$use_facebook = $row['use_facebook'];
$facebook = $row['facebook'];
$use_instagram = $row['use_instagram'];
$instagram = $row['instagram'];
$use_youtube = $row['use_youtube'];
$youtube = $row['youtube'];
$use_reddit = $row['use_reddit'];
$reddit = $row['reddit'];
$social_media_sidebar = $row['social_media_sidebar'];
$SM_location = $row['SM_location'];
$SM_header_style = $row['SM_header_style'];
$use_tiktok = $row['use_tiktok'];
$tiktok = $row['tiktok']; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="Use Spectra Setup Wizard to assist in setting up your website.">
<meta name="keywords" content="Setup, ease, step by step, guide">

<?php $sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$themes = $row['themes'];
$dashboard_theme = $row['dashboard_theme'];
$admintheme = $row['admintheme'];
$allowthemeuse = $row['allowthemeuse'];
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<title><?= _SETUPWIZARD ?> - <?= _SOCIALMEDIA ?></title>

<?php require_once '../themes/theme.php'; ?>

<link rel="stylesheet" href="css/style.css" />
<link rel="stylesheet" href="../css/hint.css" />
<link rel="stylesheet" href="../../themes/style.min.css">
<script src="../../js/fontawesome.min.js" crossorigin="anonymous"></script>
</head>
<body style="background: <?= $back_color ?> url('../../../media/themes/<?= $bg_img ?>'); background-size:cover;">

<?php $sql = "SELECT * FROM themes WHERE theme_name='$theme_name'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$useheadercolor = $row['useheadercolor']; }}

if ($useheadercolor == 'Yes') { ?>
<div style="width:97%; margin:0 auto;" class="column header headercolor">
<?php } 
else { ?>
<div style="width:97%; margin:0 auto;" class="header headerimage">
<?php } ?>
<h1 class="center" style="padding-top:1%; color:<?= $logo_font_color ?>;"><?= _SETUPWIZARD ?> - <?= _SOCIALMEDIA ?></h1>
</div>

<?php require_once 'menu.php'; ?>

<div style="padding-top:30px"></div>

<div class="inner-wrapper spacer radius">

<form action="helpers/save-socialmedia.php" target="_blank" method="post">

<?php savemenu(); ?>

<br>
<div class="card noborder">
<p class="center"><?= _SMINFO ?></p>

<br>

<div class="social-media">

<?php

// Build the Social Media Menu Bar

if ($use_linkedin == 'Yes') {
echo '<a class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="Linkedin" href="' . $linkedin . '"><img src="' . $img_source . 'linkedin.png" width="20"></a>';
}

if ($use_twitter == 'Yes') {
echo '<a class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="Twitter" href="' . $twitter . '"><img src="' . $img_source . 'twitter.png" width="20"></a>';
}

if ($use_facebook == 'Yes') {
echo '<a class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="Facebook" href="' . $facebook . '"><img src="' . $img_source . 'facebook.png" width="20"></a>';
}

if ($use_instagram == 'Yes') {
echo '<a class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="Instagram" href="' . $instagram . '"><img src="' . $img_source . 'instagram.png" width="20"></a>';
}

if ($use_youtube == 'Yes') {
echo '<a class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="YouTube" href="' . $youtube . '"><img src="' . $img_source . 'youtube.png" width="20"></a>';
}

if ($use_reddit == 'Yes') {
echo '<a class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="Reddit" href="' . $reddit . '"><img src="' . $img_source . 'reddit.png" width="20" alt="" /></a>';
} 

if ($use_tiktok == 'Yes') {
echo '<a class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="TikTok" href="' . $tiktok . '"><img src="' . $img_source . 'tiktok.png" width="20" alt="" /></a>';
} ?>


</div>

<div style="margin-left:-250px">

<?php require_once '../../plugins/socialmediaside.php';  // Add the Social Media Sidebar 
?>

</div>
<div class="spacer radius">
<p class="left"><strong><?= _USESM ?>? </strong>
<select name="use_social_media">
<option>
<?= $use_social_media ?>
</option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left"> <a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?= _CHOOSELOCATION_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _CHOOSELOCATION ?> </strong>
<select name="SM_location">
<option>
<?= $SM_location ?>
</option>
<option value="Header"><?= _HEADER ?></option>
<option value="Footer"><?= _FOOTER ?></option>
</select>
</p>

<p class="left"> <a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?= _SMHEADERSTYLE_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _SMHEADERSTYLE ?> </strong>
<select name="SM_header_style">
<option>
<?= $SM_header_style ?>
</option>
<option value="Bar"><?= _SMBAR ?></option>
<option value="Button"><?= _SMBUTTON ?></option>
</select>
</p>

<p class="left"><a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?= _ADDVERTICLESIDEBAR_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _ADDVERTICLESIDEBAR ?> </strong>
<select name="social_media_sidebar">
<option>
<?= $social_media_sidebar ?>
</option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

</div>

<br>
<!-- Start Building Social Media -->
<div class="card radius">
<p class="left"><strong><?= _USE ?> Twitter? </strong>
<select name="use_twitter">
<option>
<?= $use_twitter ?>
</option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>
<p class="left"><img src="<?= $img_source ?>twitter.png" class="noborder" width="30"> <strong>Twitter <?= _LINK ?>: </strong><br>
<input type="text" name="twitter" style="width:90%">
<?= htmlentities($twitter, ENT_QUOTES) ?>
</p>
</div>

<br>

<div class="card radius">

<p class="left"><strong><?= _USE ?> LinkedIn? </strong>
<select name="use_linkedin">
<option>
<?= $use_linkedin ?>
</option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left"><img src="<?= $img_source ?>linkedin.png" class="noborder" width="30"> <strong>LinkedIn <?= _LINK ?>: </strong>
<input type="text" name="linkedin" style="width:90%">
<?= htmlentities($linkedin, ENT_QUOTES) ?>

</p>

</div>

<br>

<div class="card radius">
<p class="left"><strong><?= _USE ?> Facebook? </strong>
<select name="use_facebook">
<option>
<?= $use_facebook ?>
</option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left"><img src="<?= $img_source ?>facebook.png" class="noborder" width="30"> <strong>Facebook <?= _LINK ?>: </strong>
<input type="text" name="facebook" style="width:90%">
<?= htmlentities($facebook, ENT_QUOTES) ?>

</p>

</div>

<br>

<div class="card radius">
<p class="left"><strong><?= _USE ?> Instagram? </strong>
<select name="use_instagram">
<option>
<?= $use_instagram ?>
</option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left"><img src="<?= $img_source ?>instagram.png" class="noborder" width="30"> <strong>Instagram <?= _LINK ?>: </strong>
<input type="text" name="instagram" style="width:90%">
<?= htmlentities($instagram, ENT_QUOTES) ?>

</p>

</div>

<br>

<div class="card radius">

<p class="left"><strong><?= _USE ?> YouTube? </strong>
<select name="use_youtube">
<option>
<?= $use_youtube ?>
</option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left"><img src="<?= $img_source ?>youtube.png" class="noborder" width="30"> <strong>YouTube <?= _LINK ?>: </strong>
<input type="text" name="youtube" style="width:90%">
<?= htmlentities($youtube, ENT_QUOTES) ?>

</p>
</div>
<br>
<div class="card radius">
<p class="left"><strong><?= _USE ?> Reddit? </strong>
<select name="use_reddit">
<option>
<?= $use_reddit ?>
</option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left"><img src="<?= $img_source ?>reddit.png" class="noborder" width="30"> <strong>Reddit <?= _LINK ?>: </strong><br>
<input type="text" name="reddit" style="width:90%">
<?= htmlentities($reddit, ENT_QUOTES) ?>

</p>

</div>
<br>
<div class="card radius">
<p class="left"><strong><?= _USE ?> tiktok? </strong>
<select name="use_tiktok">
<option>
<?= $use_tiktok ?>
</option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left"><img src="<?= $img_source ?>tiktok.png" class="noborder" width="30"> <strong>Tiktok <?= _LINK ?>: </strong><br>
<input type="text" name="tiktok" style="width:90%">
<?= htmlentities($tiktok, ENT_QUOTES) ?>

</p>

</div>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p class="center"><?= _IFMAKINGCHANGES ?>"<?= _CONTINUE ?>".</p>
<h3 class="center gentextcolor"><a href="theme-settings.php" style="text-decoration:none" class="button"><span class="spacer linkcolor"><?= _CONTINUE ?></a><br><br><?= _ORSELECTMENU ?></h3>
</div>
</div>

</form>

<p>&nbsp;</p>
<p>&nbsp;</p>

<script>
function myFunction() {
var x = document.getElementById("myTopnav");
if (x.className === "topnav") {
x.className += " responsive";
} else {
x.className = "topnav"; }}
</script>

</body>
</html>