<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'functions.php'; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="Use Spectra Setup Wizard to assist in setting up your website.">
<meta name="keywords" content="Setup, ease, step by step, guide">
<title><?= _SETUPWIZARD ?> - <?= _THEMESELECTION ?></title>
<?php $sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$themes = $row['themes'];
$dashboard_theme = $row['dashboard_theme'];
$admintheme = $row['admintheme'];
$allowthemeuse = $row['allowthemeuse'];
require_once 'lang/' . $row['lang'] . '.php'; }}

require_once '../themes/theme.php'; ?>

<link rel="stylesheet" href="css/style.css" />
<link rel="stylesheet" href="../css/hint.css" />
<link rel="stylesheet" href="../../themes/style.min.css">
<script src="../../js/fontawesome.min.js" crossorigin="anonymous"></script>
</head>
<body style="background: <?= $back_color ?> url('../../../media/themes/<?= $bg_img ?>'); background-size:cover;">

<?php $sql = "SELECT * FROM themes WHERE theme_name='$theme_name'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$useheadercolor = $row['useheadercolor']; }}

if ($useheadercolor == 'Yes') { ?>
<div style="width:97%; margin:0 auto;" class="column header headercolor">
<?php } 
else { ?>
<div style="width:97%; margin:0 auto;" class="header headerimage">
<?php } ?>

<h1 class="center" style="padding-top:1%; color:<?= $logo_font_color ?>;"><?= _SETUPWIZARD ?> - <?= _THEMESELECTION ?></h1>
</div>

<?php require_once 'menu.php'; ?>

<div style="padding-top:30px"></div>

<div class="inner-wrapper spacer radius">

<form action="helpers/save-theme-settings.php" target="_blank" method="post">

<?php savemenu(); ?>

<?php $sql = "SELECT * FROM themes ORDER BY theme_name ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { ?>

<table><tr><td class="top">

<p class="left"><strong><?= _WEBSITETHEME ?>: </strong>
<select name="themes">
<option><?= $themes ?></option>
<?php while ($row = $result->fetch_assoc()) { ?>
<option value="<?= $row['theme_name'] ?>">
<?= $row['theme_name'] ?>
</option>
<?php } ?>
</select>
</p>
<?php }

$sql = "SELECT * FROM themes ORDER BY theme_name ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { ?>

<p class="left"><strong><?= _DASHBOARDTHEME ?>: </strong>
<select name="dashboard_theme">
<option><?= $dashboard_theme ?></option>
<?php while ($row = $result->fetch_assoc()) { ?>
<option value="<?= $row['theme_name'] ?>">
<?= $row['theme_name'] ?>
</option>
<?php } ?>
</select>
</p>
<?php }

$sql = "SELECT * FROM themes ORDER BY theme_name ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { ?>

<p class="left"><strong><?= _ADMINTHEME ?>: </strong>
<select name="admintheme">
<option><?= $admintheme ?></option>
<?php while ($row = $result->fetch_assoc()) { ?>
<option value="<?= $row['theme_name'] ?>">
<?= $row['theme_name'] ?>
</option>
<?php } ?>
</select>
</p>
<?php } ?>

<p class="left"><strong><?= _CANUSETHEME ?> </strong>
<select name="allowthemeuse">
<option><?= $allowthemeuse ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>
<br><br>

</td><td class="top">

<div class="center spacer black full" style="background:#cccccc"><i class="fa fa-picture-o"></i> <?= _PREVIEWTHEMES ?></div>
<br>
<div style="height:300px; overflow-y:auto;">
<?php $sql = "SELECT theme_name, id FROM themes ORDER BY theme_name ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>

<p class="left"><a href="../../../sup/themepreview.php?id=<?= $row['id'] ?>" target="_blank" style="text-decoration:none">&bull; <?= $row['theme_name'];}} ?></a></p>
</div>

</td></tr></table>

<br>

<p class="center"><?= _IFMAKINGCHANGES ?>"<?= _CONTINUE ?>".</p>
<h3 class="center gentextcolor"><a href="video-config.php" style="text-decoration:none" class="button"><span class="spacer linkcolor"><?= _CONTINUE ?></a><br><br><?= _ORSELECTMENU ?></h3>

</div>
<p>&nbsp;</p>
</div>
<p>&nbsp;</p>

<script>
function myFunction() {
var x = document.getElementById("myTopnav");
if (x.className === "topnav") {
x.className += " responsive";
} else {
x.className = "topnav"; }}
</script>

</body>
</html>