<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'functions.php'; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="Use Spectra Setup Wizard to assist in setting up your website.">
<meta name="keywords" content="Setup, ease, step by step, guide">
<?php $sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<title><?= _SETUPWIZARD ?> - <?= _VIDEOCONFIG ?></title>

<?php require_once '../themes/theme.php';

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 	
while ($row = $result->fetch_assoc()) {
$setrow = $row['setrow'];
$activevideo = $row['activevideo'];
$showvideo = $row['showvideo'];
$videoback = $row['videoback'];
$videobackimg = $row['videobackimg'];
$videobackcolor = $row['videobackcolor'];
$videobackcolortwo = $row['videobackcolortwo'];
$archiveplaceholder = $row['archiveplaceholder'];
$chooseplaceholder = $row['chooseplaceholder']; }}

$sql = "SELECT * FROM config_row_one, config_row_two, config_row_three, 
config_row_four, config_row_five, config_row_six, config_row_seven, 
config_row_eight, config_row_nine, config_row_ten, config_row_eleven, config_row_twelve"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$userowone = $row['userowone']; 
$userowtwo = $row['userowtwo']; 
$userowthree = $row['userowthree']; 
$userowfour = $row['userowfour']; 
$userowfive = $row['userowfive']; 
$userowsix = $row['userowsix']; 
$userowseven =$row['userowseven']; 
$useroweight = $row['useroweight']; 
$userownine = $row['userownine']; 
$userowten =$row['userowten']; 
$useroweleven = $row['useroweleven']; 
$userowtwelve = $row['userowtwelve']; }} ?> 

<link rel="stylesheet" href="css/style.css" />
<link rel="stylesheet" href="../css/hint.css" />
<link rel="stylesheet" href="../../themes/style.min.css">
<script src="../../js/fontawesome.min.js" crossorigin="anonymous"></script>
</head>
<body style="background: <?= $back_color ?> url('../../../media/themes/<?= $bg_img ?>'); background-size:cover;">

<?php $sql = "SELECT * FROM themes WHERE theme_name='$theme_name'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$useheadercolor = $row['useheadercolor']; }}

if ($useheadercolor == 'Yes') { ?>
<div style="width:97%; margin:0 auto;" class="column header headercolor">
<?php } 
else { ?>
<div style="width:97%; margin:0 auto;" class="header headerimage">
<?php } ?>

<h1 class="center" style="padding-top:1%; color:<?= $logo_font_color ?>;"><?= _SETUPWIZARD ?> - <?= _VIDEOCONFIG ?></h1>
</div>

<?php require_once 'menu.php'; ?>

<div style="padding-top:30px"></div>

<div class="radius inner-wrapper spacer">
<br>

<form action="helpers/save-video-config.php" target="_blank" method="post">

<?php savemenu(); ?>

<p class="left"><strong><?= _SHOW_VIDEO ?></strong>
<select name="showvideo">
<option><?= $showvideo ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<p class="left"><strong><?= _SELECTROW ?></strong>
<select name="setrow">
<option><?= $setrow ?></option>
<?php if ($userowone == 'Yes') { ?>
<option value="Row One Top"><?= _ROWONETOP ?></option>
<option value="Row One Middle"><?= _ROWONEMIDDLE ?></option>
<option value="Row One Bottom"><?= _ROWONEBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowtwo == 'Yes') { ?>
<option value="Row Two Top"><?= _ROWTWOTOP ?></option>
<option value="Row Two Middle"><?= _ROWTWOMIDDLE ?></option>
<option value="Row Two Bottom"><?= _ROWTWOBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowthree == 'Yes') { ?>
<option value="Row Three Top"><?= _ROWTHREETOP ?></option>
<option value="Row Three Middle"><?= _ROWTHREEMIDDLE ?></option>
<option value="Row Three Bottom"><?= _ROWTHREEBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowfour == 'Yes') { ?>
<option value="Row Four Top"><?= _ROWFOURTOP ?></option>
<option value="Row Four Middle"><?= _ROWFOURMIDDLE ?></option>
<option value="Row Four Bottom"><?= _ROWFOURBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowfive == 'Yes') { ?>
<option value="Row Five Top"><?= _ROWFIVETOP ?></option>
<option value="Row Five Middle"><?= _ROWFIVEMIDDLE ?></option>
<option value="Row Five Bottom"><?= _ROWFIVEBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowsix == 'Yes') { ?>
<option value="Row Six Top"><?= _ROWSIXTOP ?></option>
<option value="Row Six Middle"><?= _ROWSIXMIDDLE ?></option>
<option value="Row Six Bottom"><?= _ROWSIXBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowseven == 'Yes') { ?>
<option value="Row Seven Top"><?= _ROWSEVENTOP ?></option>
<option value="Row Seven Middle"><?= _ROWSEVENMIDDLE ?></option>
<option value="Row Seven Bottom"><?= _ROWSEVENBOTTOM ?></option>
<?php } else { } ?>

<?php if ($useroweight == 'Yes') { ?>
<option value="Row Eight Top"><?= _ROWEIGHTTOP ?></option>
<option value="Row Eight Middle"><?= _ROWEIGHTMIDDLE ?></option>
<option value="Row Eight Bottom"><?= _ROWEIGHTBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userownine == 'Yes') { ?>
<option value="Row Nine Top"><?= _ROWNINETOP ?></option>
<option value="Row Nine Middle"><?= _ROWNINEMIDDLE ?></option>
<option value="Row Nine Bottom"><?= _ROWNINEBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowten == 'Yes') { ?>
<option value="Row Ten Top"><?= _ROWTENTOP ?></option>
<option value="Row Ten Middle"><?= _ROWTENMIDDLE ?></option>
<option value="Row Ten Bottom"><?= _ROWTENBOTTOM ?></option>
<?php } else { } ?>

<?php if ($useroweleven == 'Yes') { ?>
<option value="Row Eleven Top"><?= _ROWELEVENTOP ?></option>
<option value="Row Eleven Middle"><?= _ROWELEVENMIDDLE ?></option>
<option value="Row Eleven Bottom"><?= _ROWELEVENBOTTOM ?></option>
<?php } else { } ?>

<?php if ($userowtwelve == 'Yes') { ?>
<option value="Row Twelve Top"><?= _ROWTWELVETOP ?></option>
<option value="Row Twelve Middle"><?= _ROWTWELVEMIDDLE ?></option>
<option value="Row Twelve Bottom"><?= _ROWTWELVEBOTTOM ?></option>
<?php } else { } ?>
</select></p>

<p class="left"><?= _USEBACKIMGORCOLOR ?>
<select name="videoback">
<option><?= $videoback ?></option>
<option value="Image"><?= _IMAGE ?></option>
<option value="Color"><?= _COLOR ?></option>
<option value="None"><?= _NONE ?></option>
</select>

<p class="left"><?= _BACKIMAGE ?> (<?= _MAXCHARACTERS ?>)<br>
<input name="videobackimg" value="<?= $videobackimg ?>" style="background:#f1f1f1;" class="resp-input spacer"> </p>

<p class="left"><?= _BACKCOLORFIRST ?>: 
<input name="videobackcolor" value="<?= $videobackcolor ?>" style="width:75px; background:#f1f1f1;" class="spacer"></p>

<p class="left"><?= _BACKCOLORSECOND ?>:
<input name="videobackcolortwo" value="<?= $videobackcolortwo ?>" style="width:75px; background:#f1f1f1;" class="spacer"></p>

<p class="left"><strong><?= _ENTERACTIVEVIDEO ?></strong><br>(<?= _ISSHOWNINPLAYER ?>)
<br>
(<?= _IFISYOUTUBE ?>) </p>

<p class="left">
<input name="activevideo" value="<?= $activevideo ?>" style="background:#f1f1f1;" class="resp-input spacer"></p>

<br>
<div class="" style="width:100%">
<p class="center">- <?= _VIDEOARCHIVEPAGE ?> -</p>

<p class="left"><?= _IMAGEORVIDEO ?>:<br> 
<select name="chooseplaceholder">
<option><?= $chooseplaceholder ?></option>
<option value="Image"><?= _IMAGE ?></option>
<option value="Video"><?= _VIDEO ?></option>
<option value="None"><?= _NONE ?></option>
</select> <?= _ONTHESCREENBEFORE ?></p>

<p class="left"><?= _PLACEINVIDEOSFOLDER ?>:<br>
<input name="archiveplaceholder" value="<?= $archiveplaceholder ?>" style="width:250px; background:#f1f1f1;"> <?= _MUSTBEMP ?></p>

<p>&nbsp;</p>

<p class="center"><?= _IFMAKINGCHANGES ?>"<?= _CONTINUE ?>".</p>
<h3 class="center gentextcolor"><a href="counter.php" style="text-decoration:none" class="button"><span class="spacer linkcolor"><?= _CONTINUE ?></a><br><br><?= _ORSELECTMENU ?></h3>
</div>
</div>

<div style="padding-top:100px"></div>

<script>
function myFunction() {
var x = document.getElementById("myTopnav");
if (x.className === "topnav") {
x.className += " responsive";
} else {
x.className = "topnav"; }}
</script>

</body>
</html>