<?php 
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'sniplets.php';
closenav();
if (isset($_GET['edit'])) {
$id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM sniplet WHERE id='$id'"); {
$n = mysqli_fetch_array($record);
$sniplet_title = $n['sniplet_title'];
$sniplet_text = $n['sniplet_text'];
$sniplet_use = $n['sniplet_use'];
$sniplet_image = $n['sniplet_image'];
$sniplet_group = $n['sniplet_group'];
$sniplet_archive = $n['sniplet_archive'];
$sniplet_link = $n['sniplet_link'];  }} ?>

<?php $sql = "SELECT * FROM pagerows"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$namerow= $row['namerow']; 
$row_position = $row['row_position']; }}?>

<style>
p { 
color: <?= $gen_text_color ?>; } 

.card7 { 
background:<?= $wrapper ?>;
padding: 20px; }

.action-card {
height: 50px;
display: flex;
flex-direction: column;
border: 1px solid rgba(255, 255, 255, 0.25);
border-radius: 20px;
background: <?= $content_bg ?>;
box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.25);
backdrop-filter: blur(15px); }

.content-card {
margin: 20px auto;
padding: 14px 24px;
border: 2px solid #FFF;
border-radius: 15px;
box-shadow: 0 0 5px 2px <?= $cnt_back_shadow ?>, inset 0 3px 18px rgba(100,100,100,0.25);
width: 97%;
height: 500px;
display: flex;
flex-direction: column;
border: 1px solid <?= $wrapper ?>;
background: linear-gradient(<?= $content_bg ?>, <?= $wrapper ?>);
backdrop-filter: blur(15px); }

#mytopBtn {
display: none;
position: fixed;
bottom: 20px;
right: 30px;
z-index: 99999;
font-size: 18px;
border: none;
outline: none;
background-color: red;
color: white;
cursor: pointer;
padding: 15px;
border-radius: 4px; }

#mytopBtn:hover {
background-color: #555; }
</style>

<button onclick="topFunction()" id="mytopBtn" title="Go to top"><?= _TOP ?></button>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">

<div class="inner-wrapper" style="box-shadow:none; width:97%; margin:0 auto;">

<div class="column-title spacer"><h1 class="coltitlecolor center"><?= _SNIPLETS ?></h1></div>

<input type="hidden" name="id" value="<?= $id; ?>">

<h1 class="left"><a href="snipletbuilder.php" style="text-decoration:none" class="btn"><span class="white"> <?= _ADDNEW ?> </span></a></h1>

<div class="spacer full input-group">

<?php require_once 'jumpbox.php'; ?>

<table id="wrapper"><tr><td>
    
<div class="column-title"><h1 class="coltitlecolor center" id="topleft"><?= _TOP ?> <?= _ARTICLES ?> <?= _LEFT ?> <?= _SIDEBARS ?></h1></div>
<div class="inner-wrapper">
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Top Article Left' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>

<table id="wrapper"><tr><td>
    
<div class="column-title"><h1 class="coltitlecolor center" id="topright"><?= _TOP ?> <?= _ARTICLES ?> <?= _RIGHT ?> <?= _SIDEBARS ?></h1></div>
<div class="inner-wrapper">
<p class="center card"><?= _ROWONETOP ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Top Article Right' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>

<br>
<table id="wrapper"><tr><td>
    
<div class="column-title"><h1 class="coltitlecolor center" id="one"><?= _ROWONE ?></h1></div>
<div class="inner-wrapper">
<p class="center card"><?= _ROWONETOP ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row One Top' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="onemiddle"><?= _ROWONEMIDDLE ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row One Middle' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="onebottom"><?= _ROWONEBOTTOM ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row One Bottom' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="oneLsidebars"><?= _ROWONE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row One Left' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="oneRsidebars"><?= _ROWONE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row One Right' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<div class="column-title"><h1 class="coltitlecolor center" id="two"><?= _ROWTWO ?></h1></div>
<p class="center card"><?= _ROWTWOTOP ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Two Top' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="twomiddle"><?= _ROWTWOMIDDLE ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Two Middle' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="twobottom"><?= _ROWTWOBOTTOM ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Two Bottom' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="twoLsidebars"><?= _ROWTWO ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Two Left' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="twoRsidebars"><?= _ROWTWO ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Two Right' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<div class="column-title"><h1 class="coltitlecolor center" id="three"><?= _ROWTHREE ?></h1></div>
<p class="center card"><?= _ROWTHREETOP ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Three Top' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="threemiddle"><?= _ROWTHREEMIDDLE ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Three Middle' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="threebottom"><?= _ROWTHREEBOTTOM ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Three Bottom' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="threeLsidebars"><?= _ROWTHREE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Three Left' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="threeRsidebars"><?= _ROWTHREE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Three Right' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<div class="column-title"><h1 class="coltitlecolor center" id="four"><?= _ROWFOUR ?></h1></div>
<p class="center card"><?= _ROWFOURTOP ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Four Top' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="fourmiddle"><?= _ROWFOURMIDDLE ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Four Middle' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="fourbottom"><?= _ROWFOURBOTTOM ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Four Bottom' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</div>
</td></tr></table>
<br>
<table id="wrapper"><tr><td>
<p class="center card" id="fourLsidebars"><?= _ROWFOUR ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Four Left' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="fourRsidebars"><?= _ROWFOUR ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Four Right' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<div class="column-title"><h1 class="coltitlecolor center" id="five"><?= _ROWFIVE ?></h1></div>
<div class="inner-wrapper">
<p class="center card"><?= _ROWFIVETOP ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Five Top' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="fivemiddle"><?= _ROWFIVEMIDDLE ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Five Middle' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="fivebottom"><?= _ROWFIVEBOTTOM ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Five Bottom' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="fiveLsidebars"><?= _ROWFIVE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Five Left' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="fiveRsidebars"><?= _ROWFIVE?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Five Right' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<div class="column-title"><h1 class="coltitlecolor center" id="six"><?= _ROWSIX ?></h1></div>
<p class="center card"><?= _ROWSIXTOP ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Six Top' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="sixmiddle"><?= _ROWSIXMIDDLE ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Six Middle' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="sixbottom"><?= _ROWSIXBOTTOM ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Six Bottom' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="sixLsidebars"><?= _ROWSIX ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Six Left' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="sixRsidebars"><?= _ROWSIX ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Six Right' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<div class="column-title"><h1 class="coltitlecolor center" id="seven"><?= _ROWSEVEN ?></h1></div>
<p class="center card"><?= _ROWSEVENTOP ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Seven Top' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="sevenmiddle"><?= _ROWSEVENMIDDLE ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Seven Middle' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="sevenbottom"><?= _ROWSEVENBOTTOM ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Seven Bottom' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="sevenLsidebars"><?= _ROWSEVEN ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Seven Left' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="sevenRsidebars"><?= _ROWSEVEN ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Seven Right' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<div class="column-title"><h1 class="coltitlecolor center" id="eight"><?= _ROWEIGHT ?></h1></div>
<p class="center card"><?= _ROWEIGHTTOP ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Eight Top' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="eightmiddle"><?= _ROWEIGHTMIDDLE ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Eight Middle' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="eightbottom"><?= _ROWEIGHTBOTTOM ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Eight Bottom' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="eightLsidebars"><?= _ROWEIGHT ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Eight Left' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="eightRsidebars"><?= _ROWEIGHT ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Eight Right' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<div class="column-title"><h1 class="coltitlecolor center" id="nine"><?= _ROWNINE ?></h1></div>
<p class="center card"><?= _ROWNINETOP ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Nine Top' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="ninemiddle"><?= _ROWNINEMIDDLE ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Nine Middle' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="ninebottom"><?= _ROWNINEBOTTOM ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Nine Bottom' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="nineLsidebars"><?= _ROWNINE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Nine Left' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="nineRsidebars"><?= _ROWNINE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Nine Right' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<div class="column-title"><h1 class="coltitlecolor center" id="ten"><?= _ROWTEN ?></h1></div>
<div class="inner-wrapper">
<p class="center card"><?= _ROWTENTOP ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Ten Top' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="tenmiddle"><?= _ROWTENMIDDLE ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Ten Middle' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="tenbottom"><?= _ROWTENBOTTOM ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Ten Bottom' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="tenLsidebars"><?= _ROWTEN ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Ten Left' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="tenRsidebars"><?= _ROWTEN ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Ten Right' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<div class="column-title"><h1 class="coltitlecolor center" id="eleven"><?= _ROWELEVEN ?></h1></div>
<p class="center card"><?= _ROWELEVENTOP ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Eleven Top' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="elevenmiddle"><?= _ROWELEVENMIDDLE ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Eleven Middle' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="elevenbottom"><?= _ROWELEVENBOTTOM ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Eleven Bottom' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) {  ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="elevenLsidebars"><?= _ROWELEVEN ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Eleven Left' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="elevenRsidebars"><?= _ROWELEVEN ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Eleven Right' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<div class="column-title"><h1 class="coltitlecolor center" id="twelve"><?= _ROWTWELVE ?></h1></div>
<p class="center card"><?= _ROWTWELVETOP ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Twelve Top' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="twelvemiddle"><?= _ROWTWELVEMIDDLE ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Twelve Middle' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="twelvebottom"><?= _ROWTWELVEBOTTOM ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Twelve Bottom' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="twelveLsidebars"><?= _ROWTWELVE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Twelve Left' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="twelveRsidebars"><?= _ROWTWELVE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Row Twelve Right' ORDER BY sniplet_position  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<?php
/**
 * 
 * Add the On/Off canvas sidebars.
 * 
 */ ?>
 <div class="column-title"><h1 class="center coltitlecolor" id="oncanvassidebars"><?= _SIDEBARS ?></h1></div>
<table id="wrapper"><tr><td id="wrapper">
<p class="center card"><?= _ONCANVASLEFT ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='On-canvas Left' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card"><?= _ONCANVASRIGHT ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='On-canvas Right' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card" id="offcanvassidebars"><?= _OFFCANVASLEFT ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Off-canvas Left' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>

</td></tr></table>
<br>
<table id="wrapper"><tr><td>

<p class="center card"><?= _OFFCANVASRIGHT ?></p>
<?php $results = mysqli_query($db, "SELECT * FROM sniplet WHERE sniplet_group='Off-canvas Right' ORDER BY sniplet_group  + 0 ASC");
while ( $row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left">
<div class="content-card">    
<p class="center column-title coltitlecolor spacer"><?= $row['sniplet_title'] ?></p>
<div style="height:400px; overflow-y:auto;">
<p class="left"><?= _POSITION ?>: <?= $row['sniplet_position'] ?></p>
<p class="left"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['sniplet_use'] ?></p>
<p class="left"><?= _LINKURL ?>: <a href="<?= $row['sniplet_link'] ?>" target="_blank"><?= $row['sniplet_link'] ?></a></p>
<p class="center"><?= _IMAGE ?>: <?= $row['sniplet_image'] ?><br><a href="../media/sniplets/<?= $row['sniplet_image'] ?>" data-lightbox="sniplet"><img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:150px; border-radius:12px;" alt="" /></a></p>
<p class="left"><?= _TEXT ?>:</p><p><?= $row['sniplet_text'] ?></p>
</div>
<div class="center action-card">
<p><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="sniplets.php?del=<?= $row['id'] ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" style="text-decoration:none" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>
<br>
</div>
<br>
<br>
<script>
let mybutton = document.getElementById("mytopBtn");
window.onscroll = function() {scrollFunction()};
function scrollFunction() {
if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
mybutton.style.display = "block";
} else {
mybutton.style.display = "none"; }}
function topFunction() {
document.body.scrollTop = 0;
document.documentElement.scrollTop = 0; }
</script>

<?php require_once 'footer.php';