<?php 
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */
 
require_once 'header.php'; ?>

<style>
h3, a {
font-size: 16px; }

#mytopBtn {
display: none;
position: fixed;
bottom: 20px;
right: 30px;
z-index: 99999;
font-size: 18px;
border: none;
outline: none;
background-color: red;
color: white;
cursor: pointer;
padding: 15px;
border-radius: 4px; }

#mytopBtn:hover {
background-color: #555; }
</style>

<button onclick="topFunction()" id="mytopBtn" title="Go to top"><?= _TOP ?></button>

<div class="column-title spacer"><h1 class="coltitlecolor center"><?= _REPOSITIONSNIPLETS ?></h1></div>
<div class="inner-wrapper" style="box-shadow:none; width:97%; margin:0 auto;">
<br>
<script src="js/jquery.min.js"></script>
<script src="js/jquery-ui.min.js"></script>
<div class="card noborder">

<h2 class="center"><?= _TOMOVEASNIPLET ?></h2>

<?= _SNIPLETPARA ?>

<?php require_once 'jumpbox.php'; ?>

<table><tr><td id="wrapper">
<div class="left"><a href="snipletbuilder.php" style="text-decoration:none" class="btn"><span class="white"> <?= _ADDNEW ?> </span></a></div>

<div class="column-title"><h1 class="coltitlecolor center" id="topleft"><?= _TOP ?> <?= _ARTICLES ?> <?= _LEFT ?> <?= _SIDEBAR ?></h1></div>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Top Article Left' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br>
<div class="column-title"><h1 class="coltitlecolor center" id="topright"><?= _TOP ?> <?= _BLOCKS ?> <?= _RIGHT ?> <?= _SIDEBAR ?></h1></div>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Top Article Right' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br>
<br>
<div class="column-title"><h1 class="coltitlecolor center" id="one"><?= _ROWONE ?></h1></div>

<p class="center card"><?= _ROWONETOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row One Top' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br>
<p class="center card" id="onemiddle"><?= _ROWONEMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row One Middle' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br>
<p class="center card" id="onebottom"><?= _ROWONEBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row One Bottom' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br>
<p class="center card" id="oneLsidebars"><?= _ROWONE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row One Left' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br><p class="center card" id="oneRsidebars"><?= _ROWONE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row One Right' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br>

<div class="column-title"><h1 class="coltitlecolor center" id="two"><?= _ROWTWO ?></h1></div>
<p class="center card"><?= _ROWTWOTOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Two Top' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br>
<p class="center card" id="twomiddle"><?= _ROWTWOMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Two Middle' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br>
<p class="center card" id="twobottom"><?= _ROWTWOBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Two Bottom' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br>
<p class="center card" id="twoLsidebars"><?= _ROWTWO ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Two Left' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br><p class="center card" id="twoRsidebars"><?= _ROWTWO ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Two Right' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br>

<div class="column-title"><h1 class="coltitlecolor center" id="three"><?= _ROWTHREE ?></h1></div>
<p class="center card"><?= _ROWTHREETOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Three Top' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="threemiddle"><?= _ROWTHREEMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Three Middle' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="threebottom"><?= _ROWTHREEBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Three Bottom' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="threeLsidebars"><?= _ROWTHREE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Three Left' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br><p class="center card" id="threeRsidebars"><?= _ROWTHREE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Three Right' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br>

<div class="column-title"><h1 class="coltitlecolor center" id="four"><?= _ROWFOUR ?></h1></div>
<p class="center card"><?= _ROWFOURTOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Four Top' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="fourmiddle"><?= _ROWFOURMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Four Middle' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="fourbottom"><?= _ROWFOURBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Four Bottom' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="fourLsidebars"><?= _ROWFOUR ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Four Left' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br><p class="center card" id="fourRsidebars"><?= _ROWFOUR ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Four Right' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br>

<div class="column-title"><h1 class="coltitlecolor center" id="five"><?= _ROWFIVE ?></h1></div>
<p class="center card"><?= _ROWFIVETOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Five Top' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="fivemiddle"><?= _ROWFIVEMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Five Middle' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="fivebottom"><?= _ROWFIVEBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Five Bottom' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="fiveLsidebars"><?= _ROWFIVE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Five Left' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br><p class="center card" id="fiveRsidebars"><?= _ROWFIVE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Five Right' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br>

<div class="column-title"><h1 class="coltitlecolor center" id="six"><?= _ROWSIX ?></h1></div>
<p class="center card"><?= _ROWSIXTOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Six Top' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="sixmiddle"><?= _ROWSIXMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Six Middle' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="sixbottom"><?= _ROWSIXBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Six Bottom' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="sixLsidebars"><?= _ROWSIX ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Six Left' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br><p class="center card" id="sixRsidebars"><?= _ROWSIX ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Six Right' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br>
<div class="column-title"><h1 class="coltitlecolor center" id="seven"><?= _ROWSEVEN ?></h1></div>
<p class="center card"><?= _ROWSEVENTOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Seven Top' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="sevenmiddle"><?= _ROWSEVENMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Seven Middle' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="sevenbottom"><?= _ROWSEVENBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Seven Bottom' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="sevenLsidebars"><?= _ROWSEVEN ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Seven Left' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br><p class="center card" id="sevenRsidebars"><?= _ROWSEVEN ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Seven Right' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br>
<div class="column-title"><h1 class="coltitlecolor center" id="eight"><?= _ROWEIGHT ?></h1></div>
<p class="center card"><?= _ROWEIGHTTOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Eight Top' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="eightmiddle"><?= _ROWEIGHTMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Eight Middle' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="eightbottom"><?= _ROWEIGHTBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Eight Bottom' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="eightLsidebars"><?= _ROWEIGHT ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Eight Left' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br><p class="center card" id="eightRsidebars"><?= _ROWEIGHT ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Eight Right' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br>
<div class="column-title"><h1 class="coltitlecolor center" id="nine"><?= _ROWNINE ?></h1></div>
<p class="center card"><?= _ROWNINETOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Nine Top' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="ninemiddle"><?= _ROWNINEMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Nine Middle' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="ninebottom"><?= _ROWNINEBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Nine Bottom' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="nineLsidebars"><?= _ROWNINE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Nine Left' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br><p class="center card" id="nineRsidebars"><?= _ROWNINE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Nine Right' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br>
<div class="column-title"><h1 class="coltitlecolor center" id="ten"><?= _ROWTEN ?></h1></div>
<p class="center card"><?= _ROWTENTOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Ten Top' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="tenmiddle"><?= _ROWTENMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Ten Middle' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="tenbottom"><?= _ROWTENBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Ten Bottom' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="tenLsidebars"><?= _ROWTEN ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Ten Left' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br><p class="center card" id="tenRsidebars"><?= _ROWTEN ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Ten Right' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br>
<div class="column-title"><h1 class="coltitlecolor center" id="eleven"><?= _ROWELEVEN ?></h1></div>
<p class="center card"><?= _ROWELEVENTOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Eleven Top' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="elevenmiddle"><?= _ROWELEVENMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Eleven Middle' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="elevenbottom"><?= _ROWELEVENBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Eleven Bottom' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>    
    </tbody>
</table>
<br>
<p class="center card" id="elevenLsidebars"><?= _ROWELEVEN ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Eleven Left' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br><p class="center card" id="elevenRsidebars"><?= _ROWELEVEN ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Eleven Right' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br>
<div class="column-title"><h1 class="coltitlecolor center" id="twelve"><?= _ROWTWELVE ?></h1></div>
<p class="center card"><?= _ROWTWELVETOP ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Twelve Top' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
        </tbody>
</table>
      <br>
<p class="center card" id="twelvemiddle"><?= _ROWTWELVEMIDDLE ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Twelve Middle' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
        </tbody>
</table>  
      <br>
<p class="center card" id="twelvebottom"><?= _ROWTWELVEBOTTOM ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Twelve Bottom' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="center card" id="twelveLsidebars"><?= _ROWTWELVE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Twelve Left' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br><p class="center card" id="twelveRsidebars"><?= _ROWTWELVE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
    <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Row Twelve Right' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>
    </tbody>
</table>
<br>
<div class="column-title"><h1 class="center coltitlecolor" id="oncanvassidebars"><?= _SIDEBARS ?></h1></div>
<br>
<p class="center card"><?= _ONCANVASLEFT ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='On-canvas Left' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="center card"><?= _ONCANVASRIGHT ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='On-canvas Right' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="center card"  id="offcanvassidebars"><?= _OFFCANVASLEFT ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Off-canvas Left' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="center card"><?= _OFFCANVASRIGHT ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM sniplet WHERE sniplet_group='Off-canvas Right' ORDER BY sniplet_position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['sniplet_position'] ?></h3>
                    <h3 class="black"><?= $row['sniplet_title'] ?></h3>
                    <h3 class="black"><?= _GROUP ?>: <?= $row['sniplet_group'] ?></h3>
                    <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>

</td></tr></table>
<div style="padding-top:200px"></div>

<script>
    $(".row_position").sortable({
        delay: 150,
        stop: function() {
            var selectedData = new Array();
            $('.row_position>tr').each(function() {
                selectedData.push($(this).attr("id"));
            });
            updateOrder(selectedData);
        }
    });


    function updateOrder(data) {
        $.ajax({
            url: "sniplet-ajax.php",
            type: 'post',
            data: {
                position: data
            },
            success: function() {
                alert('Your change was successfully saved.');
                window.location.replace('snipletsreposition.php');
            }
        })
    }
</script>
</div>

<script>
let mybutton = document.getElementById("mytopBtn");
window.onscroll = function() {scrollFunction()};
function scrollFunction() {
if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
mybutton.style.display = "block";
} else {
mybutton.style.display = "none"; }}
function topFunction() {
document.body.scrollTop = 0;
document.documentElement.scrollTop = 0; }
</script>

<?php require_once 'footer.php';