<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav();
$img_source = '../social icons/';

$sql = "SELECT * FROM socialmedia, website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$use_social_media = $row['use_social_media'];
$use_twitter = $row['use_twitter'];
$twitter = $row['twitter'];
$use_linkedin = $row['use_linkedin'];
$linkedin = $row['linkedin'];
$use_facebook = $row['use_facebook'];
$facebook = $row['facebook'];
$use_instagram = $row['use_instagram'];
$instagram = $row['instagram'];
$use_youtube = $row['use_youtube'];
$youtube = $row['youtube'];
$use_reddit = $row['use_reddit'];
$reddit = $row['reddit'];
$social_media_sidebar = $row['social_media_sidebar'];
$SM_location = $row['SM_location'];
$SM_header_style = $row['SM_header_style'];
$use_tiktok = $row['use_tiktok'];
$tiktok = $row['tiktok'];
$showfooter = $row['showfooter']; }} ?>

<form action="helpers/social.php" target="_blank" method="post" class="noborder">

<style>
.responsiveC {
width: 93%;
background: #fff;
border: 0; }

@media(max-width:600px) {
.responsiveC {
width: 100% }}

.coltitle {
background: #fff;
text-align: center;
border: .5px solid #94D6E3;
box-shadow: 1px 0 40px 0 rgba(50, 50, 50, .3); }

.social-media {
background: #ccc;
float: right;
padding: 10px;
border-radius: 5px; }

.icon-bar {
position: fixed;
top: 50%;
left: 10px;
-webkit-transform: translateY(-50%);
-ms-transform: translateY(-50%);
transform: translateY(-50%);
z-index: 999; }

.icon-bar a {
display: block;
text-align: center;
padding: 16px;
transition: all 0.3s ease;
color: white;
font-size: 20px; }

.icon-bar a:hover {
background-color: #000; }

.facebook {
background: #3B5998;
color: white; }

.twitter {
background: #000000;
color: white; }

.google {
background: #dd4b39;
color: white; }

.instagram {
background: #dd4b39;
color: white; }

.linkedin {
background: #007bb5;
color: white; }

.youtube {
background: #bb0000;
color: white; }

.tiktok {
background: #bb0000;
color: white; }

.content {
margin-left: 75px;
font-size: 30px; }

.reddit {
background: #ff0000; }

textarea {
resize: none; }
</style>

<?php savemenu(); ?>

<div class="full noborder">

<div class="card spacer input-group noborder">

<div class="column-title spacer">
<h1 class="center coltitlecolor"><?= _SOCIALMEDIA ?></h1>
</div>

<br>
<div class="mini-container noborder">
<p class="center"><?= _SMINFO ?></p>

<br>

<div class="social-media">

<?php

// Build the Social Media Menu Bar

if ($use_linkedin == 'Yes') {
echo '<a class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="Linkedin" href="' . $linkedin . '"><img src="' . $img_source . 'linkedin.png" width="20"></a>'; }

if ($use_twitter == 'Yes') {
echo '<a class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="Twitter (X)" href="' . $twitter . '"><img src="' . $img_source . 'twitter.png" width="20" style="border-radius:50%"></a>'; }

if ($use_facebook == 'Yes') {
echo '<a class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="Facebook" href="' . $facebook . '"><img src="' . $img_source . 'facebook.png" width="20"></a>'; }

if ($use_instagram == 'Yes') {
echo '<a class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="Instagram" href="' . $instagram . '"><img src="' . $img_source . 'instagram.png" width="20"></a>'; }

if ($use_youtube == 'Yes') {
echo '<a class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="YouTube" href="' . $youtube . '"><img src="' . $img_source . 'youtube.png" width="20"></a>'; }

if ($use_reddit == 'Yes') {
echo '<a class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="Reddit" href="' . $reddit . '"><img src="' . $img_source . 'reddit.png" width="20" alt="" /></a>'; } 

if ($use_tiktok == 'Yes') {
echo '<a class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="TikTok" href="' . $tiktok . '"><img src="' . $img_source . 'tiktok.png" width="20" alt="" /></a>'; } ?>

</div>

<div style="margin-left:-250px">

<?php require_once '../plugins/socialmediaside.php';  // Add the Social Media Sidebar 
?>

</div>
<div class="spacer radius">
<p class="left"><strong><?= _USESM ?>? </strong>
<select name="use_social_media">
<option>
<?= $use_social_media ?>
</option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left"> 
<a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?= _CHOOSELOCATION_HELP ?>">
<i style="font-size:18px; color:red;" class="fa fa-question-circle"></i>
</a> 
<strong><?= _CHOOSELOCATION ?> </strong>
<select name="SM_location">
<option>
<?= $SM_location ?>
</option>
<option value="Header"><?= _HEADER ?></option>
<?php if ($showfooter == 'No') { } else { ?>
<option value="Footer"><?= _FOOTER ?></option>
<?php } ?>
</select>
</p>

<p class="left"> 
<a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?= _SMHEADERSTYLE_HELP ?>">
<i style="font-size:18px; color:red;" class="fa fa-question-circle"></i>
</a> 
<strong><?= _SMHEADERSTYLE ?> </strong>
<select name="SM_header_style">
<option>
<?= $SM_header_style ?>
</option>
<option value="Bar"><?= _SMBAR ?></option>
<option value="Button"><?= _SMBUTTON ?></option>
</select>
</p>

<p class="left">
<a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?= _ADDVERTICLESIDEBAR_HELP ?>">
<i style="font-size:18px; color:red;" class="fa fa-question-circle"></i>
</a> 
<strong><?= _ADDVERTICLESIDEBAR ?> </strong>
<select name="social_media_sidebar">
<option>
<?= $social_media_sidebar ?>
</option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

</div>

<br>
<!-- Start Building Social Media -->
<div class="card radius">
<p class="left"><strong><?= _USE ?> Twitter (X)? </strong>
<select name="use_twitter">
<option>
<?= $use_twitter ?>
</option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>
<p class="left">
<img src="<?= $img_source ?>twitter.png" class="noborder" width="30" style="border-radius:50%"> 
<strong>Twitter (X) <?= _LINK ?>: </strong>
<br>
<input type="text" name="twitter" style="width:90%">
<?= htmlentities($twitter, ENT_QUOTES) ?>
</p>
</div>

<br>

<div class="card radius">

<p class="left"><strong><?= _USE ?> LinkedIn? </strong>
<select name="use_linkedin">
<option>
<?= $use_linkedin ?>
</option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left">
<img src="<?= $img_source ?>linkedin.png" class="noborder" width="30"> 
<strong>LinkedIn <?= _LINK ?>: </strong>
<input type="text" name="linkedin" style="width:90%">
<?= htmlentities($linkedin, ENT_QUOTES) ?>

</p>

</div>

<br>

<div class="card radius">
<p class="left"><strong><?= _USE ?> Facebook? </strong>
<select name="use_facebook">
<option>
<?= $use_facebook ?>
</option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left">
<img src="<?= $img_source ?>facebook.png" class="noborder" width="30"> 
<strong>Facebook <?= _LINK ?>: </strong>
<input type="text" name="facebook" style="width:90%">
<?= htmlentities($facebook, ENT_QUOTES) ?>

</p>

</div>

<br>

<div class="card radius">
<p class="left"><strong><?= _USE ?> Instagram? </strong>
<select name="use_instagram">
<option>
<?= $use_instagram ?>
</option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left">
<img src="<?= $img_source ?>instagram.png" class="noborder" width="30"> 
<strong>Instagram <?= _LINK ?>: </strong>
<input type="text" name="instagram" style="width:90%">
<?= htmlentities($instagram, ENT_QUOTES) ?>

</p>

</div>

<br>

<div class="card radius">

<p class="left"><strong><?= _USE ?> YouTube? </strong>
<select name="use_youtube">
<option>
<?= $use_youtube ?>
</option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left">
<img src="<?= $img_source ?>youtube.png" class="noborder" width="30"> 
<strong>YouTube <?= _LINK ?>: </strong>
<input type="text" name="youtube" style="width:90%">
<?= htmlentities($youtube, ENT_QUOTES) ?>

</p>
</div>
<br>
<div class="card radius">
<p class="left"><strong><?= _USE ?> Reddit? </strong>
<select name="use_reddit">
<option>
<?= $use_reddit ?>
</option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left">
<img src="<?= $img_source ?>reddit.png" class="noborder" width="30"> 
<strong>Reddit <?= _LINK ?>: </strong><br>
<input type="text" name="reddit" style="width:90%">
<?= htmlentities($reddit, ENT_QUOTES) ?>

</p>

</div>
<br>
<div class="card radius">
<p class="left"><strong><?= _USE ?> tiktok? </strong>
<select name="use_tiktok">
<option>
<?= $use_tiktok ?>
</option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left">
<img src="<?= $img_source ?>tiktok.png" class="noborder" width="30"> 
<strong>Tiktok <?= _LINK ?>: </strong><br>
<input type="text" name="tiktok" style="width:90%">
<?= htmlentities($tiktok, ENT_QUOTES) ?>

</p>

</div>

</div>
</div></div>

</form>

<?php require_once 'footer.php';