<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ 

require_once 'main.php';
/**
 * 
 * Get the variables.
 * 
 */
$sql = "SELECT logo, lang, logo_image, uselogoimage, copyright FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { 
$logo = $row['logo'];
$logo_image = $row['logo_image'];
$uselogoimage = $row['uselogoimage']; 
$copyright = $row['copyright'];
require_once 'lang/' . $row['lang'] . '.php'; }}

$sql = "SELECT * FROM style"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$styleboxcolor = $row['styleboxcolor']; $stylebuttoncolor = $row['stylebuttoncolor']; 
$styletextcolor = $row['styletextcolor']; $styleboxshadow = $row['styleboxshadow']; 
$stylesecondcolor = $row['stylesecondcolor']; $stylefirstcolor = $row['stylefirstcolor']; 
$placeimage = $row['placeimage']; $styleimage = $row['styleimage']; 
$styleboxopacity = $row['styleboxopacity']; $stylefixback = $row['stylefixback']; 
$addcopyright = $row['addcopyright']; $stylelogofont = $row['stylelogofont']; 
$stylelogosize = $row['stylelogosize']; $boxwidth = $row['boxwidth']; 
$stylebuttontextcolor = $row['stylebuttontextcolor']; $styletop = $row['styletop']; 
$topimage = $row['topimage']; $topmessage = $row['topmessage']; 
$topheight = $row['topheight']; $inputfirstcolor = $row['inputfirstcolor']; 
$inputsecondcolor = $row['inputsecondcolor']; $inputtextcolor = $row['inputtextcolor']; 
$styletopfirstcolor = $row['styletopfirstcolor']; $styletopsecondcolor = $row['styletopsecondcolor']; 
$whichback = $row['whichback']; $videoname = $row['videoname']; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta name="description" content="">
<meta name="keywords" content="">
<meta name="author" content="Mike">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title><?= _PREVIEW ?></title>
<link rel="stylesheet" href="../css/style.css" />
<style>
.input {background: linear-gradient(to right, <?= $inputfirstcolor ?>, <?= $inputsecondcolor ?>); padding:10px; color:<?= $inputtextcolor ?>;}
</style> 
</head>
<body style="width:100%; height:900px; margin:0 auto;">

<?php if ($whichback == 'Image') { 

/**
 * 
 * Style the body either 
 * color or image or video. 
 * 
 */ ?>

<div style="background: url('../../media/themes/<?= $styleimage ?>'); background-attachment:fixed;  background-size:cover; height:100%;">

<?php } elseif ($whichback == 'Color') { ?>

<div style="background: linear-gradient(<?= $stylefirstcolor ?>, <?= $stylesecondcolor ?>); height:100%;">
<?php }

elseif ($whichback == 'Video') { ?>
<div>
<style>
.video-back-container {
position: absolute; 
top: -20px; }
</style>
<p>
<div class="video-back-container">
<video autoplay="" controls="" loop="" muted="">
<source src="../../media/videos/<?= $videoname ?>.mp4" type="video/mp4" />
</video>
</div>
</p>    
<?php } 

if ($placeimage == 'center') { ?>
<div class="card" style="margin:0 auto; padding-left:0; background:<?= $styleboxcolor ?>; display:block; width:<?= $boxwidth ?>%; height:100%; opacity:<?= $styleboxopacity ?>;box-shadow:<?= $styleboxshadow ?>;">
<?php } else { ?>
<div class="card" style="float:<?= $placeimage ?>; padding-left:0; background:<?= $styleboxcolor ?>; display:block; width:<?= $boxwidth ?>%; height:100%; opacity:<?= $styleboxopacity ?>; box-shadow:<?= $styleboxshadow ?>;">
<?php } ?>
<div class="spacer">
<!-- Build optional box top styling -->                              
<?php if ($styletop == 'Yes') { 
if ($styletopfirstcolor == '' && $styletopsecondcolor == '') {?>
<div style="background: url('../media/themes/<?= $topimage ?>'); width: 100%; height: <?= $topheight ?>px; background-size: cover; overflow-y:auto;">
<?php } else { ?>                                
<div style="background: linear-gradient(<?= $styletopfirstcolor ?>, <?= $styletopsecondcolor ?>); width: 100%; height: <?= $topheight ?>px; background-size: cover; overflow-y:auto;"> 
<?php } ?>
<div class="spacer"><?= $topmessage ?></div>
</div>
<?php } else { ?>
<h1 class="center" style="color:<?= $styletextcolor ?>; font-family:<?= $stylelogofont ?>; font-size:<?= $stylelogosize ?>;"><?= $logo ?></h1>
<?php } ?>
<!-- End optional box top styling -->
<div style="margin:0 auto; background:<?= $styleboxcolor ?>">
<p class="center"><?php if ($uselogoimage == 'Yes') { ?><img class="noborder" src="../../media/themes/<?= $logo_image ?>" style="width:90px" alt="" />
<?php } ?></p>
<p class="center" style="color:<?= $styletextcolor ?>; text-align:center;"><?= _SIGNIN ?></p>
<p class="center"><input placeholder="<?= _USERNAME ?>" class="input spacer" style="width:100%"></p>
<p class="center"><input class="input spacer" placeholder="<?= _PASSWORD ?>" style="width:100%"></p>
<p style="background:<?= $stylebuttoncolor ?>; color:<?= $styletextcolor ?>; border:0; width:100%;" class="spacer center button">
<a href="#" class="pointer" style="text-decoration:none"><span style="color:<?= $stylebuttontextcolor ?>"><?= _LOGIN ?></span></a>
</p>
<p class="left" style="color:<?= $styletextcolor ?>">
<a href="#" style="text-decoration:none"><span style="color:<?= $styletextcolor ?>"><?= _FORGOTPASSWORD ?></span></a> <span style="float:right"><i class="fa fa-check-square"></i> <?= _REMEMBERME ?></span>
</p>
<?php if ($addcopyright == 'Yes') { ?>
<br>
<br>
<br>
<p class="center bottom" style="color:<?= $styletextcolor ?>"><small><?= $copyright ?></small></p>
<?php } ?>
<br>
<br>
</div>
</div>
</div>
</div>
</div>
</div>
</div>
</body>
</html>