<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'themes.php';
closenav();

require_once 'helpers/themebuilder.php';

$results = mysqli_query($db, "SELECT * FROM themes"); ?>

<style>
.inner-wrapper {
background: <?= $wrapper ?>
}

.mini-container {
border-radius: 14px
}

td {
background: #f2f2f2
}

p {
color: #000
}
</style>

<div style="background:#f2f2f2">

<form method="post" action="themes.php" class="noborder">

<input type="hidden" name="id" value="<?= $id; ?>">

<?php updatepublish(); ?>

<div style="background:<?= $wrapper ?>" class="full spacer radius noborder">
<div class="full input-group">
<div class="spacer center" style="background:<?= $wrapper ?>">
<div class="column-title spacer">
<h1 class="center coltitlecolor"><?= _THEMEBUILDER ?></h1>
</div>
<img class="noborder" src="images/themes.png" style="margin:0 auto;width:200px" alt="" />

<div class="center mini-container noborder" style="background:#f1f1f1">
<?= _THEMEBUILDERTIPS ?></div>

</div>

<br>

<div class="center mini-container noborder" style="background:#f1f1f1">

<p class="center"><a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?= _MAXTEXT ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _ENTERTHEMENAME ?>: </strong>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="theme_name" maxlength="25" size="25" value="<?= $theme_name ?>">
</p>

<p class="center"><strong><?= _WEBSITEWIDTH ?>: </strong>
<select name="website_width">
<option><?= $website_width ?></option>
<option value="100%">100%</option>
<option value="800px">800px</option>
<option value="900px">900px</option>
<option value="1000px">1000px</option>
<option value="1100px">1100px</option>
<option value="1200px">1200px</option>
<option value="1300px">1300px</option>
<option value="1400px">1400px</option>
<option value="1500px">1500px</option>
<option value="1600px">1600px</option>
<option value="1800px">1800px</option>
<option value="1900px">1900px</option>
</select>
</p>

<hr />

<p class="center"><strong><?= _FORSEO ?></strong></p>

<p class="center"><strong><?= _THEMEDESCRIPTION ?>
<input name="description" value="<?= $description ?>" style="width:100%"></strong></p>

<p class="center"><strong><?= _THEMEKEYWORDS ?>
<input name="keywords" value="<?= $keywords ?>" style="width:100%"></strong></p>

</div>

<br>

<h4 class="center" style="color:<?= $linkcolor ?>"><?= _PREVIEWLOGO ?></h4>

<iframe src="../../index.php" class="noborder" scrolling="no" style="width:100%; height:200px; overflow-y:scroll;"></iframe>

<br>

<table>

<tr>
<td style="background:<?= $wrapper ?>;border:<?= $useborders ?>;" class="top">
<h2 class="spacer coltitle"><?= _STYLELOGO ?></h2>
<p class="center"><a class="link" href="logo.php" target="_blank" title="<?= _OPENSINNEWWINDOW ?>">[<u> <?= _CHNGELOGOTEXT ?> </u>]</a></p>

<br>

<div class="center mini-container noborder" style="background:#f1f1f1">

<p class="left"><strong><?= _LOGOFONTFAM ?>: </strong>
<select name="logo_font">
<option><?= $logo_font ?></option>
<?php require 'helpers/fonts.php'; ?>
</select>
</p>

<p class="left"><a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?= _LOGOFONTSIZE_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _LOGOFONTSIZE ?>: </strong>
<input style="width:150px;background:#f1f1f1; color:#000;" type="text" name="logo_font_size" maxlength="6" size="6" value="<?= $logo_font_size ?>">
</p>

<p class="left"><a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?= _LOGOBOLDNESS_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _LOGOBOLDNESS ?>: </strong>
<select name="logo_font_weight">
<option><?= $logo_font_weight ?></option>
<option value="100">100</option>
<option value="200">200</option>
<option value="300">300</option>
<option value="400">400</option>
<option value="500">500</option>
<option value="600">600</option>
<option value="700">700</option>
<option value="800">800</option>
<option value="900">900</option>
</select>
</p>

<p class="left"><strong><?= _LOGOCOLOR ?>: </strong>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="logo_font_color" maxlength="7" size="7" value="<?= $logo_font_color ?>">
</p>

<p class="left"><strong><?= _ALIGNLOGO ?>: </strong>
<select name="align_logo">
<option><?= $align_logo ?></option>
<option value="Left"><?= _LEFT ?></option>
<option value="Center"><?= _CENTER ?></option>
<option value="Right"><?= _RIGHT ?></option>
</select>
</p>

<p class="left"><a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?= _APPLYSHADOWLOGO_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a>
<strong<?= _APPLYSHADOWLOGO ?>: </strong>
<select name="logo_shadow">
<option><?= $logo_shadow ?></option>
<option value="0">0</option>
<option value="2">2</option>
<option value="4">4</option>
<option value="6">6</option>
<option value="8">8</option>
<option value="10">10</option>
</select>
</p>

<p class="left"><a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?= _SHADOWCOLOR_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _SHADOWCOLOR ?>: </strong>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="shadow_color" maxlength="7" size="7" value="<?= $shadow_color ?>">
</p>

<p class="left"><a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="Y<?= _MENUBELOWLOGO_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _MENUBELOWLOGO ?> </strong>
<select name="menu_below">
<option><?= $menu_below ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select> <?= _MENUBELOWLOGOINFO ?>
</p>

</div>

<br>

<h2 class="spacer coltitle"><?= _SUBLOGOTEXT ?></h2>

<br>

<div class="center mini-container noborder" style="background:#f1f1f1">

<input type="hidden" name="sublogotext" maxlength="55" size="55" value="<?= $sublogotext ?>">

<p class="left"><strong><?= _SUBLOGOFONTFAM ?>: </strong>
<select name="ana_sublogo_font">
<option><?= $ana_sublogo_font ?></option>
<?php require 'helpers/fonts.php'; ?>
</select>
</p>

<p class="left"><strong><?= _SUBLOGOFONTSIZE ?>: </strong>
<input style="width:150px;background:#f1f1f1; color:#000;" type="text" name="ana_sublogo_font_size" maxlength="6" size="6" value="<?= $ana_sublogo_font_size ?>">
</p>

<p class="left"><a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?= _LOGOBOLDNESS_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _LOGOBOLDNESS ?>: </strong>
<select name="ana_sublogo_font_weight">
<option><?= $ana_sublogo_font_weight ?></option>
<option value="100">100</option>
<option value="200">200</option>
<option value="300">300</option>
<option value="400">400</option>
<option value="500">500</option>
<option value="600">600</option>
<option value="700">700</option>
<option value="800">800</option>
<option value="900">900</option>
</select>
</p>

<p class="left"><strong><?= _SUBLOGOCOLOR ?>: </strong>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="ana_sublogo_font_color" maxlength="7" size="7" value="<?= $ana_sublogo_font_color ?>">
</p>

</td>
<td style="background:<?= $wrapper ?>;border:<?= $useborders ?>;vertical-align:top">

<h2 class="spacer coltitle"><?= _THEHEADER ?></h2>

</div>

<p class="justify"><?= _HEADERINFO ?></p>

<div class="center mini-container noborder" style="background:#f1f1f1">

<p class="left"><a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?= _HDRIMG_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _HDRIMG ?></strong>
<br>
<input style="width:100%;background:#f1f1f1;color:#000;" type="text" name="header_img" maxlength="55" size="55" value="<?= $header_img ?>"><?= _HDRNAMEONLY ?>
</p>

<p class="left"><a href="elFinder/elfinder.html" target="_blank" style="text-decoration:none" onclick="basicPopup(this.href);return false" class="textcolor hover pointer position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _ML_HELP ?>"><span class="link"><?= _SELECTIMG ?></span></a></p>

<p class="left"><a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?= _USEHDRCOLORS_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _USEHDRCOLORS ?> </strong>
<select name="useheadercolor">
<option><?= $useheadercolor ?></option>
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>
</p>

<p class="left"><?= _HDRCONSISTOF ?></p>

<p class="left"><a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?= _HDRFIRSTCOLOR_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _HDRFIRSTCOLOR ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="header_first_color" maxlength="7" size="7" value="<?= $header_first_color ?>">
</p>

<p class="left"><a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?= _HDRSECONDCOLOR_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _HDRSECONDCOLOR ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="header_second_color" maxlength="7" size="7" value="<?= $header_second_color ?>">
</p>

<p class="left"><a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?= _HDRWIDTH_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _HDRWIDTH ?></strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="header_width" maxlength="7" size="7" value="<?= $header_width ?>">
</p>

<p class="left"><a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?= _HDRHEIGHT_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _HDRHEIGHT ?>: </strong>
<br>
<select name="header_height">
<option><?= $header_height ?></option>
<option value="0">0</option>
<option value="10px">10px</option>
<option value="50px">50px</option>
<option value="100px">100px</option>
<option value="150px">150px</option>
<option value="175px">175px</option>
<option value="200px">200px</option>
<option value="225px">225px</option>
<option value="250px">250px</option>
<option value="275px">275px</option>
<option value="300px">300px</option>
<option value="325px">325px</option>
<option value="350px">350px</option>
<option value="375px">375px</option>
<option value="400px">400px</option>
<option value="450px">450px</option>
<option value="500px">500px</option>
<option value="550px">550px</option>
<option value="600px">600px</option>
</select>
<br>(usually: 100-200px)<?= _HDRHEIGHTINFO ?>
</p>

<input type="hidden" name="header_opacity" value="1">

<p class="left"><a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?= _HDRBORDERRADIUS_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _HDRBORDERRADIUS ?>:</strong>
<br>
<select name="header_radius">
<option><?= $header_radius ?></option>
<option value="0">0</option>
<option value="3px">3px</option>
<option value="4px">4px</option>
<option value="5px">5px</option>
<option value="6px">6px</option>
<option value="7px">7px</option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="13px">13px</option>
<option value="14px">14px</option>
<option value="15px">15px</option>
<option value="16px">16px</option>
</select>
</p>

<p class="left"><a class="position-grid__cell hint--right hint--large hint--rounded" aria-label="<?= _HDRBORDER_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _HDRBORDER ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="header_border" maxlength="20" size="20" value="<?= $header_border ?>">
</p>

</div>

</td>
</tr>
</table>

<br>

<table>
<tr>
<td style="background:<?= $wrapper ?>;border:<?= $useborders ?>; vertical-align:top">
<h1 class="spacer coltitle"><?= _CONTENTAREAS ?></h1>

<p class="center"><?= _CONTENTAREASINFO ?></p>

<div class="center mini-container full noborder" style="background:#f1f1f1">

<p class="left"><strong><?= _CONTENTBACKCOLOR ?>: </strong>
<br>
<input style="width:150px; background:#f1f1f1;color:#000;" type="text" name="content_bg" maxlength="7" size="7" value="<?= $content_bg ?>">
</p>

<p class="left"><?= _CONTENTBACKINFO ?></p>

<p class="left"><strong><?= _COLTITLEBACKCOLORFIRST ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="column_title" maxlength="7" size="7" value="<?= $column_title ?>">
</p>

<p class="left"><strong><?= _COLTITLEBACKCOLORSECOND ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="column_title_second" maxlength="7" size="7" value="<?= $column_title_second ?>">
</p>

<p class="left"><strong><?= _COLTITLEFONTFAM ?>: </strong>
<br>
<select name="col_title_font_fam">
<option><?= $col_title_font_fam ?></option>
<?php require 'helpers/fonts.php'; ?>
</select>
</p>

<p class="left"><strong><?= _COLTITLEFONTCOLOR ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="col_title_font_color" maxlength="7" size="7" value="<?= $col_title_font_color ?>">
</p>

<p class="left"><strong><?= _COLTITLEFONTSIZE ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="col_title_font_size" maxlength="7" size="7" value="<?= $col_title_font_size ?>">
</p>

<p class="left"><strong><?= _USECONTENTBORDER ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="useborders" maxlength="25" size="25" value="<?= $useborders ?>">
<br><?= _CONTENTBORDERINFO ?>
</p>

<p class="left"><strong><?= _CONTENTBORDERRADIUS ?></strong></p>

<p class="left"><strong><?= _CONTENTTOPRADIUS ?>:</strong>
<br>
<select name="colradius">
<option><?= $colradius ?></option>
<option value="0">0</option>
<option value="1px">1px</option>
<option value="2px">2px</option>
<option value="3px">3px</option>
<option value="4px">4px</option>
<option value="5px">5px</option>
<option value="6px">6px</option>
<option value="7px">7px</option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="13px">13px</option>
<option value="14px">14px</option>
<option value="15px">15px</option>
<option value="16px">16px</option>
<option value="17px">17px</option>
<option value="18px">18px</option>
<option value="19px">19px</option>
<option value="20px">20px</option>
</select>
</p>

<p class="left"><strong><?= _CONTENTBOTTOMRADIUS ?>:</strong>
<br>
<select name="btmradius">
<option><?= $btmradius ?></option>
<option value="0">0</option>
<option value="1px">1px</option>
<option value="2px">2px</option>
<option value="3px">3px</option>
<option value="4px">4px</option>
<option value="5px">5px</option>
<option value="6px">6px</option>
<option value="7px">7px</option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="13px">13px</option>
<option value="14px">14px</option>
<option value="15px">15px</option>
<option value="16px">16px</option>
<option value="17px">17px</option>
<option value="18px">18px</option>
<option value="19px">19px</option>
<option value="20px">20px</option>
</select>
</p>

<p class="left"><?= _CONTENTFOOTERBACKINFO ?></p>

<p class="center"><?= _CONTENTVIEWEX ?></p>

<div class="center spacer" style="background: -webkit-linear-gradient(top, <?= $column_footer_first ?>, <?= $column_footer_second ?>);">
<?php $sql = "SELECT * FROM articles";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$author = $row['author'];
$allowcomments = $row['allowcomments'];
$printon = $row['printon'];
$showauthor = $row['showauthor'];
$date = $row['date']; }} ?>


&nbsp;&nbsp;<a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _CONTENTVIEWEXCOMMENT ?>"><i style="color:<?= $linkcolor ?>" class="fa fa-comments"></i></a>
&nbsp;&nbsp;&nbsp;<a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _CONTENTVIEWEXEDIT ?>"><i class="fa fa-pencil-square-o" style="color:<?= $linkcolor ?>"></i></a>&nbsp;&nbsp;&nbsp;<a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _REPOSITIONDISABLED ?>"><i class="fa fa-arrows" style="color:<?= $linkcolor ?>"></i></a>

&nbsp;&nbsp;<a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _CONTENTVIEWEXPRINT ?>"><i class="fa fa-print" style="color:<?= $linkcolor ?>"></i></a></p>

</div>

<p class="left"><strong><?= _COLFOOTBACKFIRST ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="column_footer_first" maxlength="7" size="7" value="<?= $column_footer_first ?>">
</p>

<p class="left"><strong><?= _COLFOOTBACKSECOND ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="column_footer_second" maxlength="7" size="7" value="<?= $column_footer_second ?>">
</p>

<p class="left"><strong><?= _COLFOOTFONTFAM ?>: </strong>
<br>
<select name="col_footer_font_fam">
<option><?= $col_footer_font_fam ?></option>
<?php require 'helpers/fonts.php'; ?>
</select>
</p>

<p class="left"><strong><?= _COLFOOTFONTCOLOR ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="col_footer_font_color" maxlength="7" size="7" value="<?= $col_footer_font_color ?>">
</p>

<p class="left"><strong><?= _COLFOOTFONTSIZE ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="col_footer_font_size" maxlength="7" size="7" value="<?= $col_footer_font_size ?>">
</p>

</div>


</td>

<td style="background:<?= $wrapper ?>;border:<?= $useborders ?>;" class="top">

<h1 class="spacer coltitle"><?= _SITEWRAPPER ?></h1>

<p class="justify"><?= _SITEWRAPPERINFO ?></p>

<div class="center mini-container noborder" style="background:#f1f1f1">

<p class="left"><a class="position-grid__cell hint--right hint--large hint--rounded" aria-label="<?= _SITEWRAPPERCOLOR_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _SITEWRAPPERCOLOR ?>: </strong>

<br>

<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="wrapper" maxlength="7" size="7" value="<?= $wrapper ?>">
<br><?= _SITEWRAPPERCOLORINFO ?>
</p>

<p class="left"><strong><?= _SITEMBLWRAPPERCOLOR ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="mobile_wrapper" maxlength="7" size="7" value="<?= $mobile_wrapper ?>">
<br><?= _SITEMBLWRAPPERCOLORINFO ?>
</p>

<p class="left"><?= _WRAPPERBACKIMAGE ?>:<br><input style="width:100%;background:#f1f1f1;color:#000;" type="text" name="wrapperback" maxlength="7" size="7" value="<?= $wrapperback ?>"><br><?= _UPLOADTHEMESFOLDER ?></p>

<p class="left"><a class="position-grid__cell hint--right hint--large hint--rounded" aria-label="<?= _WRAPPERSHADOW_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _WRAPPERSHADOW ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="cnt_back_shadow" maxlength="7" size="7" value="<?= $cnt_back_shadow ?>">
<br><?= _WRAPPERSHADOWINFO ?>
</p>

</div>
</td>
</tr>
</table>

<br>

<table>
<tr>
<td style="background:<?= $wrapper ?>;border:<?= $useborders ?>; vertical-align:top">

<h1 class="spacer coltitle"><?= _BACKCOLORIMAGE ?></h1>

<p class="justify"><?= _BACKCOLORIMAGEINFO ?></p>

<div class="center mini-container noborder" style="background:#f1f1f1">

<p class="left"><a class="position-grid__cell hint--right hint--large hint--rounded" aria-label="<?= _BACKCOLORIMAGE_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _BACKCOLOR ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="back_color" maxlength="7" size="7" value="<?= $back_color ?>">
</p>

<p class="center"><?= _USEWITHTRANS ?></p>

<p class="left"><a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?= _BACKTRANS_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _BACKTRANS ?></strong>
<br>
<select name="back_opacity">
<option><?= $back_opacity ?></option>
<option value=".1">.1</option>
<option value=".2">.2</option>
<option value=".3">.3</option>
<option value=".4">.4</option>
<option value=".5">.5</option>
<option value=".6">.6</option>
<option value=".7">.7</option>
<option value=".8">.8</option>
<option value=".9">.9</option>
<option value="1">1</option>
</select>
</p>

<p class="left"><a class="position-grid__cell hint--right hint--medium hint--rounded" aria-label="<?= _FIXBACK_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _FIXBACK ?> </strong>
<select name="fix_back">
<option><?= $fix_back ?></option>
<option value="fixed"><?= _FIXED ?></option>
<option value="scroll"><?= _SCROLL ?></option>
</select>
</p>

<p class="left"><?= _BACKIMGOVERRIDE ?></p>
<p class="left"><a class="position-grid__cell hint--right hint--large hint--rounded" aria-label="<?= _BACKIMGNAME_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _BACKIMGNAME ?>:</strong>
<br>
<input style="width:250px;background:#f1f1f1;color:#000;" type="text" name="bg_img" maxlength="55" size="55" value="<?= $bg_img ?>">
<br><?= _BACKNAMEONLY ?>
</p>

<p class="left"><a href="elFinder/elfinder.html" target="_blank" style="text-decoration:none" onclick="basicPopup(this.href);return false" class="textcolor hover pointer position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _ML_HELP ?>"><span class="link"><?= _BACKMEDIA_LIBRARY ?></span></a></p>

</div>

<p class="center"><?= _BACKPREVIEW ?></p>

<a href="../media/themes/<?= $bg_img ?>" class="example-image-link" onclick="basicPopup(this.href);return false" style="background: <?= $back_color ?>"><img class="border" src="../media/themes/<?= $bg_img ?>" style="background: <?= $back_color ?>; width:100%; height:300px;" alt="" /></a>

</td>
<td style="background:<?= $wrapper ?>;border:<?= $useborders ?>; vertical-align:top;">

<h1 class="spacer coltitle"><?= _FONTSTYLING ?></h1>

<p class="left"><?= _FONTSTYLINGINFO ?></p>

<div class="center mini-container noborder" style="background:#f1f1f1">

<p class="left"><strong><?= _GENFONTFAM ?>: </strong>
<br>
<select name="gen_font_family">
<option><?= $gen_font_family ?></option>
<option style="font-family:Merriweather" class="Merriweather" value="Merriweather">Merriweather</option>
<option style="font-family:Monserrat" class="Monserrat" value="Monserrat">Monserrat</option>
<option style="font-family:Verdana" class="Verdana" value="verdana">Verdana</option>
<option style="font-family:sans-serif" class="sans-serif" value="sans-serif">Sans Serif</option>
<option style="font-family:Helvetica" class="Helvetica" value="Helvetica">Helvetica</option>
<option style="font-family:Times" class="Times" value="Times">Times</option>
<option style="font-family:Arial" class="Arial" value="Arial">Arial</option>
<option style="font-family:sans" class="sans" value="sans">Sans</option>
</select>
</p>

<p class="left"><strong><?= _GENTEXTCOLOR ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="gen_text_color" maxlength="7" size="7" value="<?= $gen_text_color ?>">
</p>

<p class="left"><strong><?= _GENHOVERCOLOR ?>: </strong>
<br>
<input style="width:150px; background:#f1f1f1;color:#000;" type="text" name="gen_text_hover_color" maxlength="7" size="7" value="<?= $gen_text_hover_color ?>">
</p>

<p class="left"><strong><?= _GENTEXTSIZE ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="gen_text_size" maxlength="7" size="7" value="<?= $gen_text_size ?>">
</p>

<p class="left"><strong><?= _GENHDRCOLOR ?></strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="gen_hdr_color" maxlength="7" size="7" value="<?= $gen_hdr_color ?>">
</p>

</div>

</td>
</tr>
</table>

<br>

<table>
<tr>
<td style="background:<?= $wrapper ?>;border:<?= $useborders ?>;" class="top">


<h1 class="spacer coltitle"><?= _MENU ?></h1>

<p class="left"><?= _MENUINFO ?></p>

<div class="center mini-container noborder" style="background:#f1f1f1">

<p class="left"><strong><?= _MENUCOLORFIRST ?></strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="menu_color" maxlength="7" size="7" value="<?= $menu_color ?>">
</p>

<p class="left"><strong><?= _MENUCOLORSECOND ?></strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="menu_color_second" maxlength="7" size="7" value="<?= $menu_color_second ?>">
</p>

<p class="left"><strong><?= _MENUHOVERCOLOR ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="facehover" maxlength="7" size="7" value="<?= $facehover ?>">
</p>

<p class="left"><strong><?= _MENULINKCOLOR ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="linkcolor" maxlength="7" size="7" value="<?= $linkcolor ?>">
</p>

</div>

<br>

<h1 class="spacer coltitle"><?= _MOUSEOVERPOPUP ?></h1>

<p class="center"><?= _MOUSEOVERPOPUPINFO ?></p>

<div class="center mini-container noborder" style="background:#f1f1f1">

<p class="center"><a href="#" style="background:<?= $tooltip_bg ?>; color:<?= $tooltip_font_color ?>;" class="radius spacer position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _MOUSEOVERME_HELP ?>"><?= _MOUSEOVERME ?></a></p>

<p class="left"><strong><?= _TOOLTIPBACK ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="tooltip_bg" maxlength="7" size="7" value="<?= $tooltip_bg ?>">
</p>

<p class="left"><strong><?= _TOOLTIPFONTCOLOR ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="tooltip_font_color" maxlength="7" size="7" value="<?= $tooltip_font_color ?>">
</p>

</div>

</td>
<td style="background:<?= $wrapper ?>;border:<?= $useborders ?>; vertical-align:top">

<h1 class="spacer coltitle"><?= _BTNSTYLING ?></h1>

<p class="justify"><?= _BTNSTYLINGINFO ?></p>

<div class="center mini-container noborder" style="background:#f1f1f1">

<div style="background: -webkit-linear-gradient(top, <?= $btn_first_color ?>, <?= $btn_second_color ?>); color:<?= $btn_text_color ?>; border-radius:<?= $btn_radius ?>; border-top:<?= $btn_top_border ?>; text-shadow:<?= $btn_text_shadow ?>; font-size:<?= $btn_font_size ?>; font-family:<?= $btn_font_family ?>; box-shadow:1px 1px 2px <?= $btn_shadow ?>; width:200px; margin:0 auto;" class="center button"><?= _EXBTN ?></div>

<p class="left"><strong><?= _BTNFIRSTCOLOR ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="btn_first_color" maxlength="7" size="7" value="<?= $btn_first_color ?>">&nbsp;&nbsp;&nbsp;
</p>

<p class="left"><strong><?= _BTNSECONDCOLOR ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="btn_second_color" maxlength="7" size="7" value="<?= $btn_second_color ?>">
</p>

<p class="left"><strong><?= _BTNFLATCOLOR ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="btn_flat_color" maxlength="7" size="7" value="<?= $btn_flat_color ?>">
</p>

<p class="left"><strong><?= _BTNTOPBORDERCOLOR ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="btn_top_border" maxlength="20" size="20" value="<?= $btn_top_border ?>">
</p>

<p class="left"><strong><?= _BTN_RADIUS ?>: </strong>
<br>
<select name="btn_radius">
<option><?= $btn_radius ?></option>
<option value="0">0</option>
<option value="1px">1px</option>
<option value="2px">2px</option>
<option value="3px">3px</option>
<option value="4px">4px</option>
<option value="5px">5px</option>
<option value="6px">6px</option>
<option value="7px">7px</option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="13px">13px</option>
<option value="14px">14px</option>
<option value="15px">15px</option>
<option value="16px">16px</option>
<option value="17px">17px</option>
<option value="18px">18px</option>
<option value="19px">19px</option>
<option value="20px">20px</option>
</select>
</p>

<p class="left"><strong><?= _BTNSHADOWCOLOR ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="btn_shadow" maxlength="7" size="7" value="<?= $btn_shadow ?>">&nbsp;&nbsp;&nbsp;
</p>

<p class="left"><strong><?= _BTNFONTSHADOW ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="btn_text_shadow" maxlength="7" size="7" value="<?= $btn_text_shadow ?>">
</p>

<p class="left"><strong><?= _BTNFONT_COLOR ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="btn_text_color" maxlength="7" size="7" value="<?= $btn_text_color ?>">
</p>

<p class="left"><strong><?= _BTNHOVERFACE ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="btn_face_hover" maxlength="7" size="7" value="<?= $btn_face_hover ?>">
</p>

<p class="left"><strong><?= _BTNHOVERFONT ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="btn_hover_color" maxlength="7" size="7" value="<?= $btn_hover_color ?>">
</p>

<p class="left"><strong><?= _BTNFONTSIZE ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="btn_font_size" maxlength="7" size="7" value="<?= $btn_font_size ?>">
</p>

<p class="left"><strong><?= _BTNFONTFAM ?>: </strong>
<br>
<select name="btn_font_family">
<option><?= $btn_font_family ?></option>
<?php require 'helpers/fonts.php'; ?>
</select>
</p>

</div>

</td>
</tr>
</table>

<br>

<table>
<tr>
<td style="background:<?= $wrapper ?>;border:<?= $useborders ?>;">

<h1 class="spacer coltitle"><?= _FOOTERAREA ?></h1>

<div class="center mini-container noborder" style="background:#f1f1f1">
<p class="center"><?= _FOOTERAREAINFO ?></p>

<p class="left"><strong><?= _FOOTERBACKCOLOR ?>: </strong></p>

<p class="left"><input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="footer_color" maxlength="7" size="7" value="<?= $footer_color ?>"> </p>

<p class="left"><a class="position-grid__cell hint--right hint--large hint--rounded" aria-label="<?= _FOOTERBACKIMG_HELP ?>"><i style="font-size:18px; color:red;" class="fa fa-question-circle"></i></a> <strong><?= _FOOTERBACKIMG ?>:</strong>
<br>
<input style="width:250px;background:#f1f1f1;color:#000;" type="text" name="footer_img" maxlength="55" size="55" value="<?= $footer_img ?>">
<br> <?= _FOOTERBACKIMGINFO ?>
</p>

<p class="left"><a href="elFinder/elfinder.html" target="_blank" style="text-decoration:none" onclick="basicPopup(this.href);return false" class="textcolor hover pointer"><span class="black link"><?= _FOOTERML ?></span></a></p>

<p class="left"><strong><?= _FOOTERFONTCOLOR ?>: </strong>
<br>
<input style="width:150px;background:#f1f1f1;color:#000;" type="text" name="footer_font_color" maxlength="7" size="7" value="<?= $footer_font_color ?>">
</p>

</div>

<?php $sql = "SELECT * FROM website, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$copyright = $row['copyright'];
$footer_img = $row['footer_img'];
}
} ?>

<br><br>

</span>

</div>
</div>
</td>
</tr>
</table>

</div>

</form>

</div>

<?php require_once 'footer.php';