<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'header.php'; ?>

<style>
.bg {
background: <?= $content_bg ?>;
color: <?= $gen_text_color ?>; }

.accordion {
background: -webkit-gradient(linear, left top, left bottom, from(<?= $menu_color ?>), to(<?= $menu_color_second ?>));
color: <?= $linkcolor ?>;
height: 80px;
width: 100%;
text-align: left; }

.accordion:hover {
background: <?= $menu_color_second ?>;
color: <?= $menu_color_second ?>;
display: block; }

.titlehdr {
background: -webkit-gradient(linear, left top, left bottom, from(<?= $menu_color ?>), to(<?= $menu_color_second ?>));
color: <?= $linkcolor ?>;
border-right: .5px solid <?= $menu_color ?>; }

.titlebg {
background: <?= $column_title ?>;
color: <?= $col_title_font_color ?>; }

.img {
width: 100%;
height: 50px;
margin: 0 auto;
text-align: center; }

td {
background: #f0f0f0;
border: .5px solid #888888;
color: #000;
font-size: 12px;
font-family: cormorant;
width: 12%; }

a:link, a:visited, a:hover {
color: #000; }

small {
font-size: 10px; }

.cormorant {
font-family: cormorant;
font-size: 18px; }

.column-title {
padding-top: 1%;
border-radius: 0; }

.p {
font-size: 12px;
font-family: cormorant;
border: .5px solid #cecece;
text-align: center; }

@media (max-width: 600px) {
td {
width: 100%;
text-align: center;
float: left; }}

@media (max-width: 1200px) {
.p {
text-align: center;
font-size: 10px; }}
</style>

<div class="column-title spacer">
<h1 class="center coltitlecolor"><?= _THEMESDATAINFO ?></h1>
</div>


<div style="width:100%" class="accordion inner-wrapper">
<p class="center spacer coltitlecolor"><?= _QUICKEDITFEATURE ?><i class="fa fa-arrow-up"></i> <i class="fa fa-arrow-down"></i></p>
</div>

<div style="width:100%" class="panel inner-wrapper">
<p class="cormorant center black spacer"><?= _VARIABLEISLISTED ?></p>
<p class="cormorant left black spacer"><?= _CLICKTHETHEMENAME ?></p>
<p class="center"><img src="images/quickeditSS.png" alt="" /></p>
</div>

<?php $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM themes");
while ($row = mysqli_fetch_array($result)) {
$var = $row['count']; ?>
<div class="card noborder">
<p class="cormorant spacer center"><?= _TOTALTHEMES ?>: ( <?= $var ?> ) <?= _TOTALVARIABLES ?>: ( 75 )</p>
<p class="cormorant center"><?= _CLICKTHEPANELS ?></p>
</div>
<?php }

$sql = "SELECT * FROM themes ORDER BY theme_name ASC";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>

<div class="accordion column-title">
<span class="coltitlecolor" style="float:left"><?= _ID ?>-<?= $row['id'] ?></span>
<div class="coltitlecolor center"><?= $row['theme_name'] ?>&nbsp;&nbsp;&nbsp; <small>[ <?= _OPEN ?> || <?= _CLOSE ?> ]</small></div>
</div>
<div style="width:100%; margin: 0 auto;" class="panel inner-wrapper center">
<table>
<tr>
<div class="column-title spacer left">
<p><a href="../../core/designer/themebuilder.php?edit=<?= $row['id'] ?>" style="text-decoration:none" target="_blank" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _OPENSINNEWTAB ?>"><span class="white"><?= _EDIT ?> <?= $row['theme_name'] ?></span></a>&nbsp;&nbsp;<a href="../../sup/themepreview.php?id=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false" style="text-decoration:none" class="position-grid__cell hint--bottom hint--medium hint--rounded spacer" aria-label="<?= _OPENSINPOPUP ?>"><span class="white"><?= _PREVIEW ?> <?= $row['theme_name'] ?></a></p>
</div><br>

<thead>
<tr>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr">1</th>
<th scope="col" class="titlehdr">2</th>
<th scope="col" class="titlehdr">3</th>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr"></th>
</tr>
</thead>

<tr class="center top">

<td class="column-title">
<h2 class="cormorant coltitlecolor center"><?= _GENSETTINGS ?></h2>
</td>

<td data-label="1- ID">id<p class="p img black"><?= $row['id'] ?></p>
</td>

<td data-label="2- <?= _THEMENAME ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#themename" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _NAMEOFTHEME ?>"><span class="black"><?= _NAMEOFTHEME ?></span></a>
<p class="p img black"><?= $row['theme_name'] ?></p>
</td>

<td data-label="3- <?= _WEBSITEWIDTH ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#websitewidth" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _WEBSITE_WIDTH ?>"><span class="black"><?= _WEBSITEWIDTH ?></span></a>
<p class="p img black"><?= $row['website_width'] ?></p>
</td>

</tr>
<thead>
<tr>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr">4</th>
<th scope="col" class="titlehdr">5</th>
<th scope="col" class="titlehdr">6</th>
<th scope="col" class="titlehdr">7</th>
<th scope="col" class="titlehdr">8</th>
<th scope="col" class="titlehdr">9</th>
<th scope="col" class="titlehdr">10</th>
</tr>
</thead>
<tr class="center top">

<td class="column-title">
<h2 class="cormorant center coltitlecolor"><?= _HEADER ?></h2>
</td>

<td data-label="4- <?= _HEADERFIRSTCOLOR ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#headerfirstcolor" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _HEADERFIRSTCOLOR ?>"><?= _HEADERFIRSTCOLOR ?></a>
<p class="p img black"><?= $row['header_first_color'] ?></p>
<p class="p img black" style="background:<?= $row['header_first_color'] ?>"></p>
</td>

<td data-label="5- <?= _HEADERSECONDCOLOR ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#headersecondcolor" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _HEADERSECONDCOLOR ?>"><?= _HEADERSECONDCOLOR ?></a>
<p class="p img black"><?= $row['header_second_color'] ?></p>
<p class="p img black" style="background:<?= $row['header_second_color'] ?>"></p>
</td>

<td data-label="6- <?= _HEADERIMAGE ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#headerimg" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _HEADERIMAGE ?>"><?= _HEADERIMAGE ?></a>
<br>
<?php if ($row['header_img'] == '') {
echo '<p class="p img black">' . _NOIMAGE . '</p>';
} else {
echo '' . $row['header_img'] . '<br><a href="../media/themes/' . $row['header_img'] . '" onclick="basicPopup(this.href);return false"><img class="img" src="../media/themes/' . $row['header_img'] . '" alt="" /></a>';
} ?>
</td>

<td data-label="7- <?= _HEADERWIDTH ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#headerwidth" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _HEADERWIDTHINFO ?>"><?= _HEADERWIDTH ?></a>
<p class="p img black"><?= $row['header_width'] ?></p>
</td>


<td data-label="8- <?= _HEADERHEIGHT ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#headerheight" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _HEADERHEIGHTINFO ?>"><?= _HEADERHEIGHT ?></a>
<p class="p img black"><?= $row['header_height'] ?></p>
</td>

<td data-label="9- <?= _USEHEADERCOLOR ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#useheadercolor" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _USEHEADERCOLORINFO ?>"><?= _USEHEADERCOLOR ?></a>
<p class="p img black"><?= $row['useheadercolor'] ?></p>
</td>

<td data-label="10- <?= _HEADERRADIUS ?>s"><a href="themebuilder.php?edit=<?= $row['id'] ?>#headerradius" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _HEADERRADIUS ?>"><?= _HEADERRADIUS ?></a>
<p class="p img black"><?= $row['header_radius'] ?></p>
</td>

</tr>
<thead>
<tr>

<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr">11</th>
<th scope="col" class="titlehdr">12</th>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr"></th>

</thead>
</tr>
<tr class="center top">

<td class="column-title">
<p class="cormorant center coltitlecolor"><?= _CONT ?></p>
</td>

<td data-label="11- <?= _HEADERBORDER ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#headerborder" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _HEADERBORDER ?>"><?= _HEADERBORDER ?></a>
<p class="p img black"><?= $row['header_border'] ?></p>
</td>

<td data-label="12- <?= _HEADEROPACITY ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#headeropacity" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _HEADEROPACITYINFO ?>"><?= _HEADEROPACITY ?></a>
<p class="p img black"><?= $row['header_opacity'] ?></p>
</td>

</tr>
<thead>
<tr>

<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr">13</th>
<th scope="col" class="titlehdr">14</th>
<th scope="col" class="titlehdr">15</th>
<th scope="col" class="titlehdr">16</th>
<th scope="col" class="titlehdr">17</th>
<th scope="col" class="titlehdr">18</th>
<th scope="col" class="titlehdr">19</th>
</thead>
</tr>
<tr class="center top">

<td class="column-title">
<h2 class="cormorant center coltitlecolor"><?= _LOGO ?></h2>
</td>

<td data-label="13- <?= _ALIGNLOGO ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#alignlogo" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _ALIGNLOGO ?>"><?= _ALIGNLOGO ?></a>
<p class="p img black"><?= $row['align_logo'] ?></p>
</td>

<td data-label="14- <?= _LOGOFONTCOLOR ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#logofontcolor" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _LOGOFONTCOLOR ?>"><?= _LOGOFONTCOLOR ?></a>
<p class="p img black"><?= $row['logo_font_color'] ?></p>
</td>

<td data-label="15- <?= _MENUBELOW ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#menubelow" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _MENUBELOWINFO ?>"><?= _MENUBELOW ?></a>
<p class="p img black"><?= $row['menu_below'] ?></p>
</td>

<td data-label="16- <?= _LOGOSHADOW ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#logoshadow" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _LOGOSHADOWINFO ?>"><?= _LOGOSHADOW ?></a>
<p class="p img black"><?= $row['logo_shadow'] ?></p>
</td>

<td data-label="17- <?= _SHADOWCOLOR ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#shadowcolor" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _SHADOWCOLORINFO ?>"><?= _SHADOWCOLOR ?></a>
<p class="p img black"><?= $row['shadow_color'] ?></p>
<p class="img" style="background:<?= $row['shadow_color'] ?>"></p>
</td>

<td data-label="18- <?= _LOGOFONT ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#logofont" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _LOGOFONT ?>"><?= _LOGOFONT ?></a>
<p class="p img black" style="font-family:<?= $row['logo_font'] ?>;color:#000;font-size:16px;"><?= $row['logo_font'] ?></p>
</td>

<td data-label="19- <?= _LOGOFONTSIZE ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#logofontsize" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _LOGOFONTSIZE ?>"><?= _LOGOFONTSIZE ?></a>
<p class="p img black"><?= $row['logo_font_size'] ?></p>
</td>

</tr>
<thead>
<tr>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr">20</th>
<th scope="col" class="titlehdr">21</th>
<th scope="col" class="titlehdr">22</th>
<th scope="col" class="titlehdr">23</th>
<th scope="col" class="titlehdr">24</th>
<th scope="col" class="titlehdr">25</th>
<th scope="col" class="titlehdr"></th>

</tr>
</thead>
<tr class="center top">

<td class="column-title">
<p class="cormorant center coltitlecolor"><?= _CONT ?></p>
</td>

<td data-label="20- <?= _LOGOFONTWEIGHT ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#logofontweight" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _LOGOFONTWEIGHT ?>"><?= _LOGOFONTWEIGHT ?></a>
<p class="p img black"><?= $row['logo_font_weight'] ?></p>

<td data-label="21- <?= _ANASUBLOGOFONT ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#anasublogofont" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _ANASUBLOGOFONT ?>"><?= _ANASUBLOGOFONT ?></a>
<p class="p img black" style="font-family:<?= $row['ana_sublogo_font'] ?>;font-size:14px;color:#000"><?= $row['ana_sublogo_font'] ?></p>
</td>

<td data-label="22- <?= _ANASUBLOGOFONTSIZE ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#anasublogofontsize" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _ANASUBLOGOFONTSIZE ?>"><?= _ANASUBLOGOFONTSIZE ?></a>
<p class="p img black"><?= $row['ana_sublogo_font_size'] ?></p>
</td>

<td data-label="23- <?= _ANASUBLOGOFONTCOLOR ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#anasublogofontcolor" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _ANASUBLOGOFONTCOLOR ?>"><?= _ANASUBLOGOFONTCOLOR ?></a>
<p class="p img black"><?= $row['ana_sublogo_font_color'] ?></p>
<p class="img" style="background:<?= $row['ana_sublogo_font_color'] ?>"></p>
</td>

<td data-label="24- <?= _ANASUBLOGOFONTWEIGHT ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#anasublogofontweight" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="Sub-logo Font Weight."><?= _ANASUBLOGOFONTWEIGHT ?></a>
<p class="p img black"><?= $row['ana_sublogo_font_weight'] ?></p>
</td>

<td data-label="25- <?= _SUBLOGOTEXT ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#sublogotext" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="Sub-logo Text."><?= _SUBLOGOTEXT ?></a>
<p class="p img black"><small><?= $row['sublogotext'] ?></small></p>
</td>

</tr>
<thead>
<tr>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr">26</th>
<th scope="col" class="titlehdr">27</th>
<th scope="col" class="titlehdr">28</th>
<th scope="col" class="titlehdr">29</th>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr"></th>
</tr>
</thead>
<tr class="center top">
<td class="column-title">
<h2 class="cormorant center coltitlecolor"><?= _MENU ?></h2>
</td>

<td data-label="26- <?= _MENUCOLOR ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#menucolor" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _MENUCOLORINFO ?>"><?= _MENUCOLOR ?></a>
<p class="p img black"><?= $row['menu_color'] ?></p>
<p class="img" style="background:<?= $row['menu_color'] ?>"></p>
</td>

<td data-label="27- <?= _MENUCOLORSECOND ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#menucolorsecond" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _MENUCOLORSECOND ?>"><?= _MENUCOLORSECOND ?></a>
<p class="p img black"><?= $row['menu_color_second'] ?></p>
<p class="img" style="background:<?= $row['menu_color_second'] ?>"></p>
</td>

<td data-label="28- <?= _LINKCOLOR ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#linkcolor" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _LINKCOLOR ?>"><?= _LINKCOLOR ?></a>
<p class="p img black"><?= $row['linkcolor'] ?></p>
<p class="img" style="background:<?= $row['linkcolor'] ?>"></p>
</td>


<td data-label="29- <?= _FACEHOVER ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#facehover" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _FACEHOVERINFO ?>"><?= _FACEHOVER ?></a>
<p class="p img black"><?= $row['facehover'] ?></p>
<p class="p img black" style="background:<?= $row['facehover'] ?>"></p>
</td>

</tr>
<thead>
<tr>
<th scope="col" class="titlehdr"></th><!-- Tooltip -->
<th scope="col" class="titlehdr">30</th>
<th scope="col" class="titlehdr">31</th>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr"></th>
</tr>
</thead>
<tr class="center top">

<td class="column-title">
<h2 class="cormorant center coltitlecolor"><?= _TOOLTIP ?></h2>
</td>

<td data-label="30- <?= _TOOLTIPBG ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#tooltipbg" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _TOOLTIPBGINFO ?>"><?= _TOOLTIPBG ?></a>
<p class="p img black"><?= $row['tooltip_bg'] ?></p>
<p class="p img black" style="background:<?= $row['tooltip_bg'] ?>"></p>
</td>

<td data-label="31- <?= _TOOLTIPFONTCOLOR ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#tooltipfontcolor" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _TOOLTIPFONTCOLOR ?>"><?= _TOOLTIPFONTCOLOR ?></a>
<p class="p img black"><?= $row['tooltip_font_color'] ?></p>
<p class="p img black" style="background:<?= $row['tooltip_font_color'] ?>"></p>
</td>

</tr>
<thead>
<tr>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr">32</th>
<th scope="col" class="titlehdr">33</th>
<th scope="col" class="titlehdr">34</th>
<th scope="col" class="titlehdr">35</th>
<th scope="col" class="titlehdr">36</th>
<th scope="col" class="titlehdr">37</th>
<th scope="col" class="titlehdr">38</th>
</tr>
</thead>
<tr class="center top">

<td class="column-title">
<h2 class="cormorant center coltitlecolor"><?= _BUTTON ?></h2>
</td>

<td data-label="32- <?= _BTNTEXTSHADOW ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#btntextshadow" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _BTNTEXTSHADOWINFO ?>"><?= _BTNTEXTSHADOW ?></a>
<p class="p img black"><?= $row['btn_text_shadow'] ?></p>
<p class="p img black" style="background:<?= $row['btn_text_shadow'] ?>"></p>
</td>

<td data-label="33- <?= _BTNTEXTCOLOR ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#btntextcolor" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _BTNTEXTCOLORINFO ?>."><?= _BTNTEXTCOLOR ?></a>
<p class="p img black"><?= $row['btn_text_color'] ?></p>
<p class="p img black" style="background:<?= $row['btn_text_color'] ?>"></p>
</td>

<td data-label="34- <?= _BTNHOVERCOLOR ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#btnhovercolor" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _BTNHOVERCOLOR ?>"><?= _BTNHOVERCOLOR ?></a>
<p class="p img black"><?= $row['btn_hover_color'] ?></p>
<p class="p img black" style="background:<?= $row['btn_hover_color'] ?>"></p>
</td>

<td data-label="35- <?= _BTNFONTSIZE ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#btnfontsize" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _BTNFONTSIZE ?>"><?= _BTNFONTSIZE ?></a>
<p class="p img black"><?= $row['btn_font_size'] ?></p>
</td>

<td data-label="36- <?= _BTNFONTFAM ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#btnfontfamily" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _BTNFONTFAM ?>"><?= _BTNFONTFAM ?></a>
<p class="p img black"><?= $row['btn_font_family'] ?></p>
</td>

<td data-label="37- <?= _BTNHOVERCOLOR ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#btnfacehover" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _BTNHOVERCOLOR ?>"><?= _BTNHOVERCOLOR ?></a>
<p class="p img black"><?= $row['btn_face_hover'] ?></p>
<p class="p img black" style="background:<?= $row['btn_face_hover'] ?>"></p>
</td>

<td data-label="38- <?= _BTNFIRSTCOLOR ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#btnfirstcolor" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _BTNFIRSTCOLOR ?>"><?= _BTNFIRSTCOLOR ?></a>
<p class="p img black"><?= $row['btn_first_color'] ?></p>
<p class="p img black" style="background:<?= $row['btn_first_color'] ?>"></p>
</td>

</tr>
<thead>
<tr>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr">39</th>
<th scope="col" class="titlehdr">40</th>
<th scope="col" class="titlehdr">41</th>
<th scope="col" class="titlehdr">42</th>
<th scope="col" class="titlehdr">43</th>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr"></th>

</tr>
</thead>
<tr class="center top">

<td class="column-title">
<p class="cormorant center coltitlecolor"><?= _CONT ?></p>
</td>

<td data-label="39- <?= _BTNSECONDCOLOR ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#btnsecondcolor" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _BTNSECONDCOLOR ?>"><?= _BTNSECONDCOLOR ?></a>
<p class="p img black"><?= $row['btn_second_color'] ?></p>
<p class="p img black" style="background:<?= $row['btn_second_color'] ?>"></p>
</td>

<td data-label="40- <?= _BTNFLATCOLOR ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#btnflatcolor" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _BTNFLATCOLOR ?>"><?= _BTNFLATCOLOR ?></a>
<p class="p img black"><?= $row['btn_flat_color'] ?></p>
<p class="p img black" style="background:<?= $row['btn_flat_color'] ?>"></p>
</td>

<td data-label="41- <?= _BTNTOPBORDER ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#btntopborder" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _BTNTOPBORDER ?>"><?= _BTNTOPBORDER ?></a>
<p class="p img black"><?= $row['btn_top_border'] ?></p>
<p class="p img black" style="background:<?= $row['btn_top_border'] ?>"></p>
</td>

<td data-label="42- <?= _BTNRADIUS ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#btnradius" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _BTNRADIUS ?>"><?= _BTNRADIUS ?></a>
<p class="p img black"><?= $row['btn_radius'] ?></p>
</td>

<td data-label="43- <?= _BTNSHADOW ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#btnshadow" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _BTNSHADOW ?>"><?= _BTNSHADOW ?></a>
<p class="p img black"><?= $row['btn_shadow'] ?></p>
<p class="p img black" style="background:<?= $row['btn_shadow'] ?>"></p>
</td>

</tr>
<thead>
<tr>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr">44</th>
<th scope="col" class="titlehdr">45</th>
<th scope="col" class="titlehdr">46</th>
<th scope="col" class="titlehdr">47</th>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr"></th>
</tr>
</thead>
<tr class="center top">

<td class="column-title">
<h2 class="cormorant center coltitlecolor"><?= _WRAPPER ?></h2>
</td>

<td data-label="44- <?= _WRAPPER ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#_wrapper" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _WRAPPERINFO ?>"><?= _WRAPPER ?></a>
<p class="p img black"><?= $row['wrapper'] ?></p>
<p class="p img black" style="background:<?= $row['wrapper'] ?>"></p>
</td>

<td data-label="45- <?= _WRAPPERBACK ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#wrapperback" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _WRAPPERBACK ?>"><?= _WRAPPERBACK ?></a>
<p class="p img black"><?= $row['wrapperback'] ?></p>
<?php if ($row['wrapperback'] == '') {
echo '<p class="p img black">' . _NOIMAGE . '</p>';
} else {
echo '<a href="../media/themes/' . $row['wrapperback'] . '" onclick="basicPopup(this.href);return false"><img class="img" src="../media/themes/' . $row['wrapperback'] . '" alt="" /></a>';
} ?>
</td>

<td data-label="46- <?= _MOBILEWRAPPER ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#mobilewrapper" onclick="basicPopup(this.href);return false" class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _MOBILEWRAPPER ?>"><?= _MOBILEWRAPPER ?></a>
<p class="p img black"><?= $row['mobile_wrapper'] ?></p>
<p class="p img black" style="background:<?= $row['mobile_wrapper'] ?>"></p>
</td>

<td data-label="47- <?= _CNTSHADOW ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#cntbackshadow" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _CNTSHADOWINFO ?>"><?= _CNTSHADOW ?></a>
<p class="p img black"><?= $row['cnt_back_shadow'] ?></p>
<p class="p img black" style="background:<?= $row['cnt_back_shadow'] ?>"></p>
</td>

</tr>
<thead>
<tr>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr">48</th>
<th scope="col" class="titlehdr">49</th>
<th scope="col" class="titlehdr">50</th>
<th scope="col" class="titlehdr">51</th>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr"></th>
</tr>
</thead>
<tr class="center top">
<td class="column-title">
<h2 class="cormorant center coltitlecolor"><?= _BACKGROUND ?></h2>
</td>

<td data-label="48- <?= _BGCOLOR ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#backcolor" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _BGCOLORINFO ?>"><?= _BGCOLOR ?></a>
<p class="p img black"><?= $row['back_color'] ?></p>
<p class="p img black" style="background:<?= $row['back_color'] ?>"></p>
</td>

<td data-label="49- <?= _BGIMG ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#bgimg" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<? _BGIMGINFO ?>"><?= _BGIMG ?></a>
<?php if ($row['bg_img'] == '') {
echo '<p class="p img center black">' . _NOIMAGE . '</p>';
} else { ?>
<p class="p img black"><a href="../media/themes/<?= $row['bg_img'] ?>" onclick="basicPopup(this.href);return false" title="Click for preview."><img src="../media/themes/<?= $row['bg_img'] ?>" class="img" alt="" /></a></p>
<?php } ?>
</td>

<td data-label="50- <?= _BACKOPACITY ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#backopacity" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _BACKOPACITYINFO ?>"><?= _BACKOPACITY ?></a>
<p class="p img black"><?= $row['back_opacity'] ?></p>
</td>

<td data-label="51- <?= _FIXBACK ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#fixback" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _FIXBACKINFO ?>"><?= _FIXBACK ?></a>
<p class="p img black"><?= $row['fix_back'] ?></p>
</td>

</tr>
<thead>
<tr>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr">52</th>
<th scope="col" class="titlehdr">53</th>
<th scope="col" class="titlehdr">54</th>
<th scope="col" class="titlehdr">55</th>
<th scope="col" class="titlehdr">56</th>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr"></th>
</tr>
</thead>
<tr class="center top">

<td class="column-title">
<h2 class="cormorant center coltitlecolor"><?= _GENTEXT ?></h2>
</td>

<td data-label="52- <?= _GENHDRCOLOR ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#genhdrcolor" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _GENHDRCOLORINFO ?> "><?= _GENHDRCOLOR ?></a>
<p class="p img black"><?= $row['gen_hdr_color'] ?></p>
<p class="p img black" style="background:<?= $row['gen_hdr_color'] ?>"></p>
</td>

<td data-label="53- <?= _GENTEXTSIZE ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#gentextsize" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _GENTEXTSIZE ?>"><?= _GENTEXTSIZE ?></a>
<p class="p img black"><?= $row['gen_text_size'] ?></p>
</td>

<td data-label="54- <?= _GENTEXTHOVERCOLOR ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#gentexthovercolor" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _GENTEXTHOVERCOLOR ?>"><?= _GENTEXTHOVERCOLOR ?></a>
<p class="p img black"><?= $row['gen_text_hover_color'] ?></p>
<?php if ($row['gen_text_hover_color'] == '') {
echo '<p class="p black">' . _NOCOLOR . '</p>';
} else {
echo '<p class="p img" style="background:' . $row['gen_text_hover_color'] . '"></p>';
} ?>
</td>

<td data-label="55- <?= _GENTEXTCOLOR ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#gentextcolor" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _GENTEXTCOLOR ?>"><?= _GENTEXTCOLOR ?></a>
<p class="p img black"><?= $row['gen_text_color'] ?></p>
<?php if ($row['gen_text_color'] == '') {
echo '<p class="p black">' . _NOCOLOR . '</p>';
} else {
echo '<p class="p img" style="background:' . $row['gen_text_color'] . '"></p>';
} ?>
</td>

<td data-label="56- <?= _GENFONTFAM ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#genfontfamily" onclick="basicPopup(this.href);return false" " class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _GENFONTFAM ?>"><?= _GENFONTFAM ?></a>
<p class="p img" style="font-family:<?= $row['gen_font_family'] ?>;font-size:14px;color:#000;"><?= $row['gen_font_family'] ?></p>
</td>

</tr>
<thead>
<tr>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr">57</th>
<th scope="col" class="titlehdr">58</th>
<th scope="col" class="titlehdr">59</th>
<th scope="col" class="titlehdr">60</th>
<th scope="col" class="titlehdr">61</th>
<th scope="col" class="titlehdr">62</th>
<th scope="col" class="titlehdr">63</th>
</tr>
</thead>
<tr class="center top">

<td class="column-title">
<h2 class="cormorant center coltitlecolor"><?= _CONTENT ?></h2>
</td>

<td data-label="57- <?= _COLTITLE ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#columntitle" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="First column title background color."><?= _COLTITLE ?></a>
<p class="p img black"><?= $row['column_title'] ?></p>
<p class="p img black" style="background:<?= $row['column_title'] ?>"></p>
</td>

<td data-label="58- <?= _COLTITLESECOND ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#columntitlesecond" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _COLTITLESECONDINFO ?>"><?= _COLTITLESECOND ?></a>
<p class="p img black"><?= $row['column_title_second'] ?></p>
<p class="img" style="background:<?= $row['column_title_second'] ?>"></p>
</td>

<td data-label="59- <?= _COLTITLEFONTSIZE ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#coltitlefontsize" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _COLTITLEFONTSIZE ?>"><?= _COLTITLEFONTSIZE ?></a>
<p class="p img black"><?= $row['col_title_font_size'] ?></p>
</td>

<td data-label="60- <?= _USEBORDERS ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#useborders" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _USEBORDERSINFO ?>"><?= _USEBORDERS ?></a>
<?php if ($row['useborders'] == '')  echo '<p class="img black">No Value Set</p>';
else {
echo '<br><p class="p img black">' . $row['useborders'] . '</p>';
} ?>
</td>

<td data-label="61- <?= _COLRADIUS ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#colradius" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _COLRADIUSINFO ?>"><?= _COLRADIUS ?></a>
<p class="p img black"><?= $row['colradius'] ?></p>
</td>

<td data-label="62- <?= _BTMRADIUS ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#btmradius" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _BTMRADIUSINFO ?>"><?= _BTMRADIUS ?></a>
<p class="p img black"><?= $row['btmradius'] ?></p>
</td>

<td data-label="63- <?= _CONTENTBG ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#contentbg" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _CONTENTBGINFO ?>"><?= _CONTENTBG ?></a>
<p class="p img black"><?= $row['content_bg'] ?></p>
<p class="p img black" style="background:<?= $row['content_bg'] ?>"></p>
</td>

</tr>
<thead>
<tr>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr">64</th>
<th scope="col" class="titlehdr">65</th>
<th scope="col" class="titlehdr">66</th>
<th scope="col" class="titlehdr">67</th>
<th scope="col" class="titlehdr">68</th>
<th scope="col" class="titlehdr">69</th>
<th scope="col" class="titlehdr">70</th>
</tr>
</thead>
<tr class="center top">
<!-- Content continued -->
<td class="column-title">
<p class="cormorant center coltitlecolor"><?= _CONT ?></p>
</td>

<td data-label="64- <?= _COLFOOTERFIRST ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#columnfooterfirst" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _COLFOOTERFIRST ?>"><?= _COLFOOTERFIRST ?></a>
<p class="p img black"><?= $row['column_footer_first'] ?></p>
<p class="img" style="background:<?= $row['column_footer_first'] ?>"></p>
</td>

<td data-label="65- <?= _COLFOOTERSECOND ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#columnfootersecond" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _COLFOOTERSECOND ?>"><?= _COLFOOTERSECOND ?></a>
<p class="p img black"><?= $row['column_footer_second'] ?></p>
<p class="img" style="background:<?= $row['column_footer_second'] ?>"></p>
</td>

<td data-label="66- <?= _COLFOOTERFONTFAM ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#colfooterfontfam" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _COLFOOTERFONTFAM ?>"><?= _COLFOOTERFONTFAM ?></a>
<p class="p img black" style="font-family:<?= $row['col_footer_font_fam'] ?>;color:#000;"><?= $row['col_footer_font_fam'] ?></p>
</td>

<td data-label="67- <?= _COLFOOTERFONTCOLOR ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#colfooterfontcolor" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _COLFOOTERFONTCOLOR ?>"><?= _COLFOOTERFONTCOLOR ?></a>
<p class="p img black"><?= $row['col_footer_font_color'] ?></p>
<p class="img" style="background:<?= $row['col_footer_font_color'] ?>"></p>
</td>

<td data-label="68- <?= _COLFOOTERFONTSIZE ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#colfooterfontsize" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _COLFOOTERFONTSIZE ?>"><?= _COLFOOTERFONTSIZE ?></a>
<p class="p img black"><?= $row['col_footer_font_size'] ?></p>
</td>

<td data-label="69- <?= _COLTITLEFONTFAM ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#coltitlefontfam" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _COLTITLEFONTFAM ?>"><?= _COLTITLEFONTFAM ?></a>
<p class="p img black"><?= $row['col_title_font_fam'] ?></p>
</td>

<td data-label="70- <?= _COLTITLEFONTCOLOR ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#coltitlefontcolor" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _COLTITLEFONTCOLOR ?>"><?= _COLTITLEFONTCOLOR ?></a>
<p class="p img black"><?= $row['col_title_font_color'] ?></p>
<p class="img" style="background:<?= $row['col_title_font_color'] ?>">
</td>

</tr>
<thead>
<tr>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr">71</th>
<th scope="col" class="titlehdr">72</th>
<th scope="col" class="titlehdr">73</th>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr"></th>
<th scope="col" class="titlehdr"></th>

</tr>
</thead>
<tr class="center top">

<td class="column-title">
<h2 class="cormorant center coltitlecolor"><?= _FOOTER ?></h2>
</td>

<td data-label="71- <?= _FOOTERIMG ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#footerimg" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _FOOTERIMGINFO ?>"><?= _FOOTERIMG ?></a>
<br>
<?php if ($row['footer_img'] == '') {
echo '<p class="p img black">' . _NOIMAGE . '</p>';
} else {
echo '' . $row['footer_img'] . '<br><a href="../media/themes/' . $row['footer_img'] . '" onclick="basicPopup(this.href);return false"><img class="img" src="../media/themes/' . $row['footer_img'] . '" alt="" /></a>';
} ?>
</td>

<td data-label="72- <?= _FOOTERCOLOR ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#footercolor" onclick="basicPopup(this.href);return false" class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _FOOTERCOLORINFO ?>"><?= _FOOTERCOLOR ?></a>
<p class="p img black"><?= $row['footer_color'] ?></p>
<p class="p img black" style="background:<?= $row['footer_color'] ?>"></p>
</td>

<td data-label="73- <?= _FOOTERFONTCOLOR ?>"><a href="themebuilder.php?edit=<?= $row['id'] ?>#footerfontcolor" onclick="basicPopup(this.href);return false" class=" position-grid__cell hint--left hint--medium hint--rounded" aria-label="<?= _FOOTERFONTCOLOR ?>"><?= _FOOTERFONTCOLOR ?></a>
<p class="p img black"><?= $row['footer_font_color'] ?></p>
<p class="p img black" style="background:<?= $row['footer_font_color'] ?>"></p>
</td>

</tr>
</table>
</div><br>
<?php }
} ?>
<br><br>

<?php require_once 'footer.php';