<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'themes.php';
closenav(); ?>

<style>
p { 
font-size: 18px; 
color: <?= $gen_text_color ?>; } 

.card7 { 
background:<?= $wrapper ?>;
padding: 20px; }

.action-card {
height: 50px;
display: flex;
flex-direction: column;
border: 1px solid rgba(255, 255, 255, 0.25);
border-radius: 20px;
background: <?= $content_bg ?>;
box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.25);
backdrop-filter: blur(15px); }

.content-card {
margin: 20px auto;
padding: 14px 24px;
border-radius: 15px;
box-shadow: 0 0 5px 2px <?= $cnt_back_shadow ?>, inset 0 3px 18px rgba(100,100,100,0.25);
width: 97%;
height: 430px;
display: flex;
flex-direction: column;
border: 1px solid <?= $wrapper ?>;
background: linear-gradient(<?= $content_bg ?>, <?= $wrapper ?>);
backdrop-filter: blur(15px); }
</style>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">

<?php $results = mysqli_query($db, "SELECT * FROM themes ORDER BY theme_name ASC"); ?>

<input type="hidden" name="id" value="<?= $id ?>">
<?php if (isset($_SESSION["message"]) && !empty($_SESSION["message"])) {
$message = $_SESSION["message"];
echo "<div class='center gentextcolor spacer inner-wrapper quarter'>" . $message . "</div>";
unset($_SESSION['message']); } ?>

<br>

<div class="left">&nbsp;&nbsp;&nbsp;<a href="themebuildernew.php" class="btn" style="text-decoration:none"><span class="white"><?= _ADDNEW ?></span></a>&nbsp;&nbsp;&nbsp;<a href="../../sys/admin/import.php" onclick="basicPopup(this.href);return false" class="btn" style="text-decoration:none"><span class="white">Import Theme</span></a>&nbsp;&nbsp;&nbsp;<a href="../../sys/admin/exportthemes.php" onclick="basicPopup(this.href);return false" class="btn" style="text-decoration:none"><span class="white">Export Themes</span></a></div>

<br><br>

<div id="wrapper">
<div class="spacer inner-wrapper">
<div class="spacer column-title"><h1 class="center coltitlecolor"><?= _SPECTRATHEMES ?><br><img src="images/themes.png" class="noborder" style="width:150px" alt="" /></h1></div>

<p class="center"><?= _THEMESTIP ?></p>
<table class="full spacer"><tr id="wrapper"><td>

<?php while ($row = mysqli_fetch_array($results)) { ?>

<div class="column6 card7 left">
<div class="content-card">
<p class="center column-title coltitlecolor spacer"><?= $row['theme_name']; ?></p>
<div style="height:300px; overflow-y:auto;">
<p class="left"><?= _ID ?>: <?= $row['id']; ?></p>
<?php if ($row['back_color'] == '') { ?>
<p class="center"><?= _BACKGROUND ?> <?= _IMAGE ?></p>
<div class="left"><a data-lightbox="themes" data-title="<?= $row['theme_name']; ?>" href="../../media/themes/<?= $row['bg_img'] ?>"><img class="noborder radius" src="../../media/themes/<?= $row['bg_img'] ?>" style="width:100%; height:200px;" alt="<?= _IMAGENOTFOUND ?>" /></a></div>
<?php } else { ?>
<p class="center"><?= _BACKGROUND ?> <?= _COLOR ?></p>
<div class="radius" style="background: <?= $row['back_color'] ?>; width:100%; height:200px; border:1px solid rgba(255, 255, 255, 0.25);"></div>
<?php } ?>
</div>
<div class="center action-card">
<p><a href="themebuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.gif" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="../../sup/themepreview.php?id=<?= $row['id']; ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="themes.php?del=<?= $row['id']; ?>" style="text-decoration:none" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php } ?>
</td></tr></table>
<br><br>

</div>
</div>
<?php require_once 'footer.php';