<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
closenav(); ?>

<style>
p { 
font-size: 18px; 
color: <?= $gen_text_color ?>; } 

.card7 { 
background:<?= $wrapper ?>;
padding: 20px; } 

.action-card {
height: 50px;
display: flex;
flex-direction: column;
border: 1px solid rgba(255, 255, 255, 0.25);
border-radius: 20px;
background: <?= $content_bg ?>;
box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.25);
backdrop-filter: blur(15px); }

.content-card {
margin: 20px auto;
padding: 14px 24px;
border: 2px solid #FFF;
border-radius: 15px;
box-shadow: 0 0 5px 2px <?= $cnt_back_shadow ?>, inset 0 3px 18px rgba(100,100,100,0.25);
width: 97%;
height: 350px;
display: flex;
flex-direction: column;
border: 1px solid <?= $wrapper ?>;
background: linear-gradient(<?= $content_bg ?>, <?= $wrapper ?>);
backdrop-filter: blur(15px); }
</style>

<br>
<br>

<div class="full radius">

<div class="radius spacer inner-wrapper">

<?php if (isset($_SESSION["message"]) && !empty($_SESSION["message"])) {
$message = $_SESSION["message"];
echo "<div class='center gentextcolor spacer inner-wrapper quarter'>" . $message . "</div>";
unset($_SESSION['message']); } ?>

<br>

<div class="column-title spacer">
<h1 class="center coltitlecolor"><?= _TOPBAR_MENU ?></h1>
</div>
<?php $sql = "SELECT * FROM topbar"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>

<form method="post" action="helpers/topbar.php" target="_blank" class="noborder">

<?php savemenu(); ?>

<div class="mini-container noborder">

<p class="center"><strong><?= _USETOPBARMENU ?> </strong>
<select name="showtopbar">
<option><?= $row['showtopbar'] ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<p class="center"><strong><?= _USECONTENTSAVER ?></strong>
<select name="showcontentsaver">
<option><?= $row['showcontentsaver'] ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<p class="center"><strong><?= _HIDETOPBAR ?></strong>
<select name="hidetopbar">
<option><?= $row['hidetopbar'] ?></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<h3 class="center"><?= _POSITIONEDATTOP ?></h3>
</div>
<?php }} ?>
</form>
<br>
<table><tr id="wrapper"><td>

<h1 class="left"><a href="topbarbuilder.php" style="text-decoration:none" class="btn"><span class="white"> <?= _ADDNEW ?> </span></a>&nbsp;&nbsp;&nbsp;
<a href="topbarreposition.php" style="text-decoration:none"  onclick="basicPopup(this.href);return false" class="btn"><span class="white"><?= _REPOICONS ?></span></a></h1>

<?php $results = mysqli_query($db, "SELECT * FROM topbarbuilder"); ?>
<?php global $id; ?>

<input type="hidden" name="id" value="<?= $id ?>">

<div class="full">

<?php $sql = "SELECT * FROM topbarbuilder ORDER BY position + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>

<div class="column6 card7 left">
<div class="content-card">
<div style="height:270px; overflow-y:auto;">
<p class="left">ID: <?= $row['id'] ?> | Position: <?= $row['position'] ?></p>
<p class="left"><?= _ICON ?>: <img src="../../media/topbar/<?= $row['linkicon']; ?>" style="border:0; width:50px" alt="" /></p>
<p class="left"><?= _ALTTEXT ?>: <?= $row['alttext']; ?></p>
<p class="left"><?= _URL ?>: <?= $row['linkurl']; ?></p>
</div>
<div class="center action-card">
<p><a href="topbarbuilder.php?edit=<?= $row['id']; ?>" onclick="basicPopup(this.href);return false" style="text-decoration:none"><img src="images/edit.gif" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="topbarsave.php?del=<?= $row['id']; ?>" style="text-decoration:none" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a></p>
</div></div></div>
<?php }} ?>

</td></tr></table>

<br><br>

</div>
</div>
</div>

<br>

<?php require_once 'footer.php';