<?php 
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

/* 
* Custom function to compress image size and 
* upload to the server using PHP 
*/ 
function compressImage($source, $destination, $quality) { 
// Get image info 
$imgInfo = getimagesize($source); 
$mime = $imgInfo['mime']; 

// Create a new image from file 
switch($mime){ 
case 'image/jpeg': 
$image = imagecreatefromjpeg($source); 
break; 
case 'image/png': 
$image = imagecreatefrompng($source); 
break; 
case 'image/gif': 
$image = imagecreatefromgif($source); 
break; 
default: 
$image = imagecreatefromjpeg($source); } 

// Save image 
imagejpeg($image, $destination, $quality); 

// Return compressed image 
return $destination; } 


// File upload path 
$uploadPath = "../media/compressed/"; 

// If file upload form is submitted 
$status = $statusMsg = ''; 
if(isset($_POST["submit"])){ 
$status = 'error'; 
if(!empty($_FILES["image"]["name"])) { 
// File info 
$fileName = basename($_FILES["image"]["name"]); 
$imageUploadPath = $uploadPath . $fileName; 
$fileType = pathinfo($imageUploadPath, PATHINFO_EXTENSION); 

// Allow certain file formats 
$allowTypes = array('jpg','png','jpeg','gif'); 
if(in_array($fileType, $allowTypes)){ 
// Image temp source 
$imageTemp = $_FILES["image"]["tmp_name"]; 
$imageSize = $_FILES["image"]["size"];

// Compress size and upload image 
$compressedImage = compressImage($imageTemp, $imageUploadPath, 75); 

if($compressedImage){ 
$compressedImageSize = filesize($compressedImage);

$status = 'success'; 
// $statusMsg = "Image compressed successfully."; 
}else{ 
$statusMsg = "Image compress failed!"; } 
}else{ 
$statusMsg = 'Sorry, only JPG, JPEG, PNG, & GIF files are allowed to upload.'; } 
}else{ 
$statusMsg = 'Please select an image file to upload.'; }} 

// Display status message 
echo $statusMsg;