<?php 
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */
 
require_once 'header.php'; ?>

<style>
h3, a {
font-size: 16px; }

.jumpbox {
width: 350px;
box-shadow: 2px 2px 4px #000;
margin: 0 auto;
text-align: center; }


.button {
box-shadow: 2px 2px 4px #000; }

.button:hover {
box-shadow: none; }

#mytopBtn {
display: none;
position: fixed;
bottom: 20px;
right: 30px;
z-index: 99999;
font-size: 18px;
border: none;
outline: none;
background-color: red;
color: white;
cursor: pointer;
padding: 15px;
border-radius: 4px; }

#mytopBtn:hover {
background-color: #555; }
</style>

<div class="column-title spacer"><h1 class="coltitlecolor center"><?= _REPOSITION ?> <?= _VIDEOS ?></h1></div>
<div class="inner-wrapper" style="box-shadow:none; width:97%; margin:0 auto;">
<br>
<script src="js/jquery.min.js"></script>
<script src="js/jquery-ui.min.js"></script>
<div class="card noborder">

<br>
<p class="center"><strong><?= _JUMPTOROWS ?></strong></p>
<div class="mini-container jumpbox">
<table id="wrapper"><tr id="wrapper" class="spacer">
<td class="center"><a href="#one" style="text-decoration:none" class="button"><span class="linkcolor">1</span></a></td>
<td class="center"><a href="#two" style="text-decoration:none" class="button"><span class="linkcolor">2</span></a></td>
<td class="center"><a href="#three" style="text-decoration:none" class="button"><span class="linkcolor">3</span></a></td>
<td class="center"><a href="#four" style="text-decoration:none" class="button"><span class="linkcolor">4</span></a></td>
<td class="center"><a href="#five" style="text-decoration:none" class="button"><span class="linkcolor">5</span></a></td>
<td class="center"><a href="#six" style="text-decoration:none" class="button"><span class="linkcolor">6</span></a></td></tr>
<tr id="wrapper" class="spacer"><td class="center"><a href="#seven" style="text-decoration:none" class="button"><span class="linkcolor">7</span></a></td>
<td class="center"><a href="#eight" style="text-decsoration:none" class="button"><span class="linkcolor">8</span></a></td>
<td class="center"><a href="#nine" style="text-decoration:none" class="button"><span class="linkcolor">9</span></a></td>
<td class="center"><a href="#ten" style="text-decoration:none" class="button"><span class="linkcolor">10</span></a></td>
<td class="center"><a href="#eleven" style="text-decoration:none" class="button"><span class="linkcolor">11</span></a></td>
<td class="center"><a href="#twelve" style="text-decoration:none" class="button"><span class="linkcolor">12</span></a></td>
</td></tr></table>
<p class="center"><a href="#module" style="text-decoration:none" class="button"><span class="linkcolor"><?= _VIDEO ?> <?= _MODULE ?></span></a></p>
<p class="center"><a href="#oncanvas" style="text-decoration:none" class="button"><span class="linkcolor"><?= _ONCANVAS ?> <?= _SIDEBARS ?></span></a></p>
<p class="center"><a href="#offcanvas" style="text-decoration:none" class="button"><span class="linkcolor"><?= _OFFCANVAS ?> <?= _SIDEBARS ?></span></a></p>
</div>
<br>
<button onclick="topFunction()" id="mytopBtn" title="Go to top"><?= _TOP ?></button>
<p class="column-title coltitlecolor spacer center" id="module"><?= _VIDEO ?> <?= _MODULE ?></p>
<br>
<table style="width:90%; margin:0 auto;"><h3 class="center">- <?= _SPOTLIGHTVIDEOS ?> -</h3>
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE usevideo='Yes' && videoposition='Video Module' && spotlight='Yes' ORDER BY position + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h2 class="center black"><?= $row['videotitle'] ?></h2>                  
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                <h3 class="black center"><?= _ARCHIVE ?>: <?= $row['videoarchive'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<table style="width:90%; margin:0 auto;"><h3 class="center">- <?= _NOTINSPOTLIGHT ?> -</h3>
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Video Module' && spotlight='No' && videoarchive='No' ORDER BY position + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h2 class="center black"><?= $row['videotitle'] ?></h2>                  
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                <h3 class="black center"><?= _ARCHIVE ?>: <?= $row['videoarchive'] ?></h3>
                <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<table style="width:90%; margin:0 auto;"><h3 class="center">- <?= _ARCHIVEDVIDEOS ?> -</h3>
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Video Archive' && spotlight='No' && usevideo='No' && videoarchive='Yes' ORDER BY position + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">
                <h2 class="center black"><?= $row['videotitle'] ?></h2>                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                <h3 class="black center"><?= _ARCHIVE ?>: <?= $row['videoarchive'] ?></h3>                    
                <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>

<br>
<p class="column-title coltitlecolor spacer center" id="one"><?= _ROWONE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row One Left' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center"><?= _ROWONE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row One Right' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center" id="two"><?= _ROWTWO ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row Two Left' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center"><?= _ROWTWO ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row Two Right' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center" id="three"><?= _ROWTHREE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row Three Left' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center"><?= _ROWTHREE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row Three Right' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center" id="four"><?= _ROWFOUR ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row Four Left' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center"><?= _ROWFOUR ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row Four Right' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center" id="five"><?= _ROWFIVE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row OFive Left' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center"><?= _ROWFIVE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row Five Right' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center" id="six"><?= _ROWSIX ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row Six Left' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center"><?= _ROWSIX ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row Six Right' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center" id="seven"><?= _ROWSEVEN ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row Seven Left' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center"><?= _ROWSEVEN ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row Seven Right' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center" id="eight"><?= _ROWEIGHT ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row Eight Left' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center"><?= _ROWEIGHT ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row Eight Right' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center" id="nine"><?= _ROWNINE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row Nine Left' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center"><?= _ROWNINE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row Nine Right' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center" id="ten"><?= _ROWTEN ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row Ten Left' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center"><?= _ROWTEN ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row Ten Right' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center" id="eleven"><?= _ROWELEVEN ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row Eleven Left' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center"><?= _ROWELEVEN ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row Eleven Right' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center" id="twelve"><?= _ROWTWELVE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row Twelve Left' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center"><?= _ROWTWELVE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Row Twelve Right' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center" id="oncanvas"><?= _ONCANVAS ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='On-canvas Left' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center"><?= _ONCANVAS ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='On-canvas Right' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center" id="offcanvas"><?= _OFFCANVAS ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Off-canvas Left' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>
<p class="column-title coltitlecolor spacer center"><?= _OFFCANVAS ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>
<table style="width:90%; margin:0 auto;">
    <tbody class="row_position" style="cursor:grab">    
        <?php $sql = "SELECT * FROM videos WHERE videoposition='Off-canvas Right' ORDER BY position + 0 ASC, id  + 0 ASC"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>           
            <tr id="<?= $row['id'] ?>" class="column4" style="background:#f2f2f2">
                <td class="grid">                
                <h3 class="black">ID:<?= $row['id'] ?>&nbsp;&nbsp;&nbsp;<?= _POSITION ?>: <?= $row['position'] ?></h3>
                <h3 class="black center"><?= _SPOTLIGHT ?>: <?= $row['spotlight'] ?></h3>
                    <h3 class="black"><?= $row['videotitle'] ?></h3>
                    <a href="videobuilder.php?edit=<?= $row['id'] ?>" target="_blank"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a></p>
                </td>
            </tr>
        <?php }} ?>     
    </tbody>
</table>
<br>

</td></tr></table>
<div style="padding-top:200px"></div>

<script>
    $(".row_position").sortable({
        delay: 150,
        stop: function() {
            var selectedData = new Array();
            $('.row_position>tr').each(function() {
                selectedData.push($(this).attr("id"));
            });
            updateOrder(selectedData);
        }
    });


    function updateOrder(data) {
        $.ajax({
            url: "videos_ajax.php",
            type: 'post',
            data: {
                position: data
            },
            success: function() {
                alert('Your change was successfully saved.');
                window.location.replace('videos_position.php');
            }
        })
    }
</script>
</div>

<script>
let mybutton = document.getElementById("mytopBtn");
window.onscroll = function() {scrollFunction()};
function scrollFunction() {
if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
mybutton.style.display = "block";
} else {
mybutton.style.display = "none"; }}
function topFunction() {
document.body.scrollTop = 0;
document.documentElement.scrollTop = 0; }
</script>

<?php require_once 'footer.php';