<?php
/**
 * Spectra Downloads Suite is software designed to support a website.
 * PHP version 8
 *
 * @category  OpenSource
 * @package   Spectra Downloads Suite
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

if (!isset($_SERVER['HTTP_REFERER'])) {
echo "<script> window.location.replace('../../index.php') </script>";
exit; }

require_once 'Logic.php';
require_once 'main.php';
session_start(); ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<?php 
global $id;

if (isset($_GET['id'])) { $id = $_GET['id']; 
$id = mysqli_real_escape_string($conn, $id); }

$sql = "SELECT downloadspagename, description, keywords, usepage FROM downloadspages WHERE id='$id'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>
<meta name="description" content="<?= $row['description'] ?>">
<meta name="keywords" content="<?= $row['keywords'] ?>">
<title><?= $row['downloadspagename']; }} ?></title>

<?php $sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {

require_once '../lang/' . $row['lang'] . '.php'; }} ?>

<?php require_once 'header.php';

$sql = "SELECT * FROM downloadconfig"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$use_downloads = $row['use_downloads']; 
$downloads_public = $row['downloads_public']; 
$download_icon_color = $row['download_icon_color']; 
$columnnumber = $row['columnnumber']; 
$moduleheight = $row['moduleheight']; 
$homepagecontent = $row['homepagecontent']; 
$showcount = $row['showcount'];
 }}

 /**
 * 
 *  Start the responsive top menu.
 * 
 */

require_once 'topmenu.php';

/**
 * 
 *  Decide to use downloads?
 *  and will they be made public?
 * 
 */

if ($use_downloads == 'Yes' && $downloads_public == 'Yes') { ?>

<div class="card noborder" style="border:0">
<h1 class="coltitlecolor center">
<a href="downloads.php" style="text-decoration:none">
<span class="gentextcolor"><?= _DOWNLOADS ?></span></a> 
<i class="fa fa-download gentextcolor"></i></h1>

<?php
/**
 * 
 *  Add the Menu Cards.
 * 
 */ 

 require_once 'menu.php';

if (isset($_GET['id'])) { $id = $_GET['id']; }
//$id = mysqli_real_escape_string($conn, $id);
$sql = "SELECT id, downloadspagename, pagecontent, style, usepage FROM downloadspages WHERE usepage = 'Yes' AND id='$id'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$id = $row['id']; 
$downloadspagename = $row['downloadspagename'];

/**
 * 
 * If selected, use cards to display the download files.
 * 
 */

if ($row['style'] == 'Card') {
require_once 'cards.php'; }

/**
 * 
 * Display downloads in a listing 
 * (if selected for this page).
 * 
 */ 

 elseif ($row['style'] == 'Lists') {
 require_once 'lists.php'; } ?>
<?php }}}

/**
 * 
 * Close the array.
 * End public access.
 * Start members only access.
 * 
 */

elseif ($use_downloads == 'Yes' && $downloads_public == 'No') {

/**
 * 
 * Is the user logged-in?
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {

/**
 * 
 * Define their role.
 * 
 */

if ($_SESSION['role'] == 'Admin' or $_SESSION['role'] == 'Member') { ?>

<div class="card noborder" style="border:0">
<h1 class="coltitlecolor center">
<a href="downloads.php" style="text-decoration:none">
<span class="gentextcolor"><?= _DOWNLOADS ?></span></a> 
<i class="fa fa-download gentextcolor"></i></h1>

<?php require_once 'topmenu.php';

require_once 'menu.php';

if (isset($_GET['id'])) { $id = $_GET['id']; }
//$id = mysqli_real_escape_string($conn, $id);
$sql = "SELECT id, downloadspagename, pagecontent, style FROM downloadspages WHERE id='$id'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$id = $row['id']; 
$downloadspagename = $row['downloadspagename'];

/**
 * 
 * If selected, use cards to display the download files.
 * Get the files id.
 * 
 */

if ($row['style'] == 'Card') {
require_once 'cards.php'; }

/**
 * 
 * Display downloads in a listing 
 * (if selected for this page).
 * 
 */ 

elseif ($row['style'] == 'Lists') {
require_once 'lists.php'; } ?>
<?php }}}}} ?>

</td></tr></table>
</div>

<?php require_once 'footer.php'; 
