<?php
/**
 * Spectra Downloads Suite is software designed to support a website.
 * PHP version 8
 *
 * @category  OpenSource
 * @package   Spectra Downloads Suite
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2020-2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ ?>
 
<link rel="stylesheet" href="../themes/tables.min.css">
<link rel="stylesheet" href="../css/style.min.css">
<h1 class="center gentextcolor" style="text-transform: capitalize">&quot;<?= $row['downloadspagename'] ?>&quot;</h1>

<div class="spacer" style="width:97%;margin:0 auto;"><?= $row['pagecontent'] ?></div>

<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<p class="center column-title coltitlecolor"><a href="../designer/downloadspagenames.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false"><i class="coltitlecolor fa fa-pencil-square-o"></i></a></p>
<?php }} ?>

<table class="full"><thead>
<tr class="column-title left spacer" style="border:0">
<th scope="col" class="center coltitlecolor" style="font-size:12px; font-family:arial;">&nbsp;&nbsp;<?= _FILENAME ?></th>
<th scope="col" class="center coltitlecolor" style="font-size:12px; font-family:arial;"><?= _TITLE ?></th>

<?php global $downloadspagename;

$sql = "SELECT * FROM files WHERE downloadspagename='$downloadspagename' ORDER BY id ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>

<?php if ($row['showcount'] == 'Public') { ?>
<th scope="col" class="center coltitlecolor" style="font-size:12px; font-family:arial;"># <?= _TOTAL_DOWNLOADS ?></th>
<?php }
if ($row['showcount'] == 'Admin') {
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<th scope="col" class="center coltitlecolor" style="font-size:12px; font-family:arial;"># <?= _TOTAL_DOWNLOADS ?></th>
<?php }}} ?>
<th scope="col" class="center coltitlecolor" style="font-size:12px; font-family:arial;"><?= _FILESIZE ?></th>
<th scope="col" class="center coltitlecolor" style="font-size:12px; font-family:arial;"><?= _CATEGORY ?></th>
<th scope="col" class="center coltitlecolor" style="font-size:12px; font-family:arial;"><?= _ALLOWCOMMENTS ?></th>
<th scope="col" class="center coltitlecolor" style="font-size:12px; font-family:arial;"><?= _INFO ?></th>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin') { ?>
<th></th>
<?php }} ?>                       
</tr></thead>

<br>

<style>
.outline { 
border: 1px solid black; 
margin: auto; 
padding: 1px; 
text-align: center; }

tr:nth-child(even) {
background: <?=$content_bg?>; 
color: <?=$gen_text_color?>;}
</style>

<tbody>
<tr class="outline spacer left">

<td data-label="<?= _DOWNLOAD ?>: " class="card left"><a href="../../core/downloads/index.php?file_id=<?= $row['id'] ?>" style="text-decoration:none" title="<?= _DOWNLOAD ?>: <?= $row['name'] ?>"><img src="images/download.png" style="width:40px; height:40px;border:0;" alt="" /><strong><?= $row['name'] ?></strong></a></td>

<td data-label="<?= _TITLE ?>: "><p class="center"><?= $row['title'] ?></p></td>

<?php if ($row['showcount'] == 'Public') { ?>
<td data-label="<?= _TOTAL_DOWNLOADS ?>: "><p class="center"><?= $row['downloads'] ?></p></td>
<?php } 
if ($row['showcount'] == 'Admin') {
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<td data-label="<?= _TOTAL_DOWNLOADS ?>: "><p class="center"><?= $row['downloads'] ?></p></td>
<?php }} ?>
</td>
<?php } ?>

<td data-label="<?= _FILESIZE ?>: "><p class="center"><?= floor($row['size'] / 1000) . ' KB' ?></p></td>

<td data-label="<?= $row['cat_name']; ?>"><p class="center"><?= $row['cat_name']; ?></p></td>

<td data-label="<?= _COMMENTS ?>: ">
<?php if ($row['allowcomments'] == 'Yes') { ?>
<a href="../../sys/downloadscomments.php?id=<?= $row['id'] ?>" title="<?= _COMMENT ?>: <?= $row['name'] ?>"><img src="images/comment.png" style="width:30px; height:30px; border:0;" alt="<?= _COMMENT ?>: <?= $row['name'] ?>" /></a>
<?php } else { echo '<p class="center">' . _NO . '</p>'; } ?>
</td>

<td data-label="<?= _INFO ?>: ">
<div class="accordion" style="width:100%; box-shadow:0;"><i class="gentextcolor fa fa-arrow-down"></i>&nbsp;&nbsp;<i class="gentextcolor fa fa-arrow-up"></i></div>
<div class="panel card" style="width:100%"><?= $row['info'] ?></div>
</td>

<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin') { ?>
<td data-label="<?= _ACTION ?>: "><a href="../designer/downloadsbuilder.php?edit=<?= $row['id'] ?>" title="<?= _EDIT ?>: <?= $row['name'] ?>" onclick="basicPopup(this.href);return false"><img src="../designer/images/edit.ico" style="width:30px; height:30px; border:0;" alt="" /></a>
<?php }} ?>

</td></tr>
<?php }} // End the array. 
?></tbody>
</table>
<p>&nbsp;</p>
