<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) { exit('Access Denied'); }

$sql = "SELECT showtopbar, showcontentsaver, hidetopbar, showfooter FROM topbar, website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {  
$showtopbar = $row['showtopbar']; 
$showcontentsaver = $row['showcontentsaver']; 
$hidetopbar = $row['hidetopbar'];
$showfooter = $row['showfooter']; }} ?>

<?php if ($hidetopbar == 'No') { ?>
<div class="topbar">

<?php 
/**
 *  Top Bar Items.
 * 
 */ ?>

<div>

<?php 
/**
 * Add Open The Content Saver Offcanvas Container.
 * 
 */

if ($showcontentsaver == 'Yes') { ?>
<span style="cursor:pointer" onclick="openNav()" class="position-grid__cell  hint--right hint--medium hint--rounded" aria-label="<?= _OPENCONTENTSAVER ?>">
<img src="media/topbar/menu.png" class="icons" alt="<?= _OPENCONTENTSAVER ?>" />
</span>
<?php } ?>

<?php 
/**
 * Build The Array.
 * And add the icons.
 * 
 */

if ($showtopbar == 'Yes') {  
$sql = "SELECT * FROM topbarbuilder ORDER BY position + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>

<a href="<?= $row['linkurl'] ?>" target="_blank" class="position-grid__cell hint--right hint--large hint--rounded" aria-label="<?= $row['alttext'] ?>">
<img src="media/topbar/<?= $row['linkicon'] ?>" class="icons" alt="<?= $row['alttext'] ?>" />
</a>
<?php }}}

/**
 *  END The Array
 * 
 */

/**
 * 
 * Count the number of articles 
 * awaiting editing. Submitted
 * by members.
 * 
 */

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM articles WHERE mbrsubmitted = 'Yes' AND publish = 'No' OR publish = ''");
while ($row = mysqli_fetch_array($result)) {
$var = $row['count']; ?>
<a href="sys/admin/member-submissions.php" style="text-decoration:none" class="position-grid__cell hint--right hint--large hint--rounded" aria-label="<?= _ARTICLES ?> <?= _AWAITINGEDITING ?>"><i style="padding:18px 10px; font-size:20px;" class="coltitlecolor icons fa fa-newspaper"> <?= $var ?></i></a>
<?php }

/**
 * 
 * Count the number of comments
 * that are awaiting approval.
 * 
 */

$result = mysqli_query($conn, "SELECT COUNT(*) AS count FROM comments WHERE approved = 0");
while ($row = mysqli_fetch_array($result)) {
$var = $row['count']; ?>
<a href="sys/admin/comments-index.php" style="text-decoration:none" class="position-grid__cell hint--right hint--large hint--rounded" aria-label="<?= _COMMENTS ?> (<?= _AWAITINGEDITING ?>)"><i style="padding:18px 10px; font-size:20px;" class="coltitlecolor icons fa fa-comments"> <?= $var ?></i></a>
<?php } 

/**
 * Add a feature to turn the top bar on and off.
 * 
 */ ?>

<a href="core/designer/topbarall.php" id="link" class="position-grid__cell hint--right hint--large hint--rounded" aria-label="<?= _TURNONOFF ?>">
<img src="media/topbar/on-off.png" class="icons" alt="<?= _TURNONOFF ?>" /></a>

<?php require_once 'toolbarsettings.php'; 

if ($showfooter == 'No') { ?>
<span id="wrapper" class="gentextcolor">
<?php require_once 'counter.php'; } ?>
</div>

</div></div>
<?php } 

/**
 * End Top Bar.
 * 
 */

 /**
  * Start adding the tools.
  *
  */
?>

<div id="adminnav" class="adminnav">
<a href="javascript:void(0)" class="closebtn" onclick="closeNav()" title="<?= _CLOSETHISWINDOW ?>"><img src="media/topbar/close.png" style="width:50px" alt="" /></a>
<h3 class="center column-title coltitlecolor" style="width:97%; margin:0 auto;"><?= _CONTENTSAVER ?></h3>

<?php
/**
 * Add Quick Notes.
 * 
 */ ?>

<div class="card radius" style="width:97%; margin:0 auto;">
<h5 class="center"><?= _QUICKNOTE ?></h5>
<iframe src="core/designer/adminnote.php" style="width:97%; margin:0 auto; height:470px;"></iframe>
</div>
<br>

<?php
/**
 * Display the notes
 * that were saved using
 * Quick Notes.
 * 
 */ ?>

<div class="card radius" style="width:97%; margin:0 auto;">
<h5 class="center"><?= _NOTES ?></h5>
<div class="spacer" style="background:#fff; height:200px; width:97%; margin:0 auto; overflow-y:auto;">
<?php $sql = "SELECT admin_notes FROM notetaker"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>
<p><?= $row['admin_notes']; ?></p>
<?php }} ?>
</div>

<?php
/**
 * Add a link to edit
 * existing notes.
 * 
 */ ?>

<p class="center" style="margin:0 auto">
<a href="core/designer/notetakerall.php" style="text-decoration:none" class="button" onclick="basicPopup(this.href);return false">
<?= _EDITNOTES ?>
</a>
</p>
</div>
<br>

<?php
/**
 * Add a drop zone for
 * image uploads.
 * 
 */ ?>
<style>.img-content { width:100px }</style>
<div class="card radius style="width:97%; margin:0 auto;">
<h5 class="center"><?= _IMAGEGRABBER ?></h5>
<div id="drop_file_zone" ondrop="upload_file(event)" ondragover="return false">
<div id="drag_upload_file">
<p><?= _DROPFILEHERE ?></p>
<p>.jpeg .jpg .gif .png</p>
<p><?= _OR ?></p>
<p><input type="button" value="Select File" onclick="file_explorer();" /></p>
<input type="file" id="selectfile" />
</div>
</div>
<div style="width:100%">
<div class="img-content"></div>
</div>

<?php
/** 
 * Add a link to open
 * a window and see all
 * of the images.
 * 
 */ ?>

<p class="center">
<a href="core/builders/adminimages.php" style="text-decoration:none" onclick="basicPopup(this.href);return false">
<p class="center"><span class="button"><?= _VIEWIMAGES ?></span></p>
</a>
</p>
</div>
<script src="core/js/custom.js"></script>
<div style="padding-top:100px"></div>

<?php
/**
 * Close adminnav.
 * 
 */ ?>

</div>

<?php
/**
 * Close overall.
 * 
 */ ?>

</div>

