<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) {
exit('Access Denied'); }

if (isset($_GET['id'])) { $id = $_GET['id'];
$id = mysqli_real_escape_string($conn, $id); }

$sql = "SELECT * FROM website, registration, articles"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$subdomain = $row['subdomain']; 
$Subdomain_name = $row['Subdomain_name']; 
$website_url = $row['website_url']; 
$number_to_show = $row['number_to_show']; 
$article_order = $row['article_order']; 
$position_pagination = $row['position_pagination']; 
$pagination = $row['pagination']; 
$perrow = $row['perrow'];
$articleheight = $row['articleheight'];
$setperrow = $row['setperrow'];
$article_height = $row['article_height'];
$config_article = $row['config_article'];
$maintitle = $row['maintitle']; }}

/**
 * 
 * Add the optional title
 * to the articles block.
 * 
 */

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 

if ($pagination == 'Yes') {
if (empty($maintitle)) {} else {
if ($row['styletitle'] == 'Styled') { ?> 
<div class="column center column-title coltitlecolor"><?= $maintitle ?></div>
<?php }
elseif ($row['styletitle'] == 'Plain') { ?> <h3 class="center"><?= $maintitle ?></h3>
<?php }}}}}

/**
 * 
 * If pagination is used.
 * 
 */

if ($pagination == 'Yes') {
$total_pages = $mysqli->query("SELECT * FROM articles WHERE archive='No' OR archive=''")->num_rows;
$page = isset($_GET['page']) && is_numeric($_GET['page']) ? $_GET['page'] : 1;
$num_results_on_page = "$number_to_show";

if ($config_article == 'Row One Top Articles') { ?>
<div class="row" id="wrapper">
<?php }

if ($stmt = $mysqli->prepare("SELECT * FROM articles WHERE article_container = 'Full' AND archive = 'No' ORDER BY position_order + 0 ASC LIMIT ?,?")) {
$calc_page = ($page - 1) * $num_results_on_page;
$stmt->bind_param('ii', $calc_page, $num_results_on_page);
$stmt->execute();
$result = $stmt->get_result();
while ($row = $result->fetch_assoc()) { 

if ($row['publish'] == 'Yes') { 

if ($config_article == 'Row One Top Articles') { ?>
<div class="column<?= $setperrow ?> content_bg card" style="height:<?= $article_height ?>; overflow-y:auto; padding:15px;">
<?php }

if ($row['usetitle'] == 'Styled') { ?>

<div class="column center column-title coltitlecolor"><?= $row['c_title'] ?></div>
<?php } 

elseif ($row['usetitle'] == 'Plain')  { ?><h3 class="center"><?= $row['c_title'] ?></h3> 
<?php }

elseif ($row['c_title'] == 'No' || $row['c_title'] == '') { }

if ($row['usewhich'] == 'Image') { ?>

<div class="spacer column" style="background-image:url(media/themes/<?= $row['backimage'] ?>);background-attachment:fixed; padding:20px;"><?= $row['c_text']; } 

elseif ($row['usewhich'] == 'Color') { ?>

<div class="spacer column" style="background:-webkit-linear-gradient(top,<?= $row['backcolor'] ?>,<?= $row['backcolor_second'] ?>); padding:20px;"><?= $row['c_text']; } 

elseif ($row['usewhich'] == 'None' || $row['usewhich'] == '') { 

if ($config_article == 'Row One Top Articles') { ?>
<div class="spacer column" style="height:<?= $article_height ?>"><?= $row['c_text']; }

else { ?>
<div class="spacer card column" style="padding:20px"><?= $row['c_text'] ?>
<?php }}

if ($row['usereadmore'] == 'Yes') {
if ($row['readmoretarget'] == 'New Tab') {
echo '<a href="core/builders/readmore.php?id=' . $row['id'] . '" style="text-decoration:none" target="_blank"><span class="button linkcolor">' . _READMORE . '</span></a>';
} elseif ($row['readmoretarget'] == 'Popup') {
echo '<a href="core/builders/readmore.php?id=' . $row['id'] . '" style="text-decoration:none" onclick="basicPopup(this.href);return false"><span class="button linkcolor">' . _READMORE . '</span></a>';

} elseif ($row['readmoretarget'] == 'Dropdown') {
echo '<div class="accordion inner-wrapper" style="box-shadow:none; border:.5px solid ' . $wrapper . '; width:100%"><span sclass="gentextcolor">' . _READMORE . '</span> <i class="gentextcolor fa fa-arrow-down"></i></div><div class="panel inner-wrapper" style="width:100%">' . $row['readmore'] . '</div>';
}} ?>

<div class="center spacer column-footer">

<?php if ($row['showauthor'] == 'Yes') { ?><p style="font-size:12px;color:<?= $col_footer_font_color ?>;">(<?= _BY ?>: <?= $row['author'] ?> .. <?= _DATE ?>: <?= $row['date'] ?>) 
<?php }

if ($row['allowcomments'] == 'Yes') { ?> &nbsp;&nbsp;<a href="../sys/usercomments.php?id=<?= $row['id'] ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _COMMENT ?> on &quot;<?= $row['c_title'] ?>&quot;.. (<?= _MEMBERSONLY ?>)"><i style="color:<?= $col_footer_font_color ?>;" class="fa fa-comments"></i></a> 
<?php }

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>&nbsp;&nbsp;&nbsp;<a href="core/designer/articlebuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['c_title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="" /></a>&nbsp;&nbsp;&nbsp;<a href="core/designer/article-position.php" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>: &quot;<?= $row['c_title'] ?>&quot;"><img src="sup/images/arrows.png" style="width:20px" alt="" /></a><?php
}} ?>

&nbsp;&nbsp;<?php if ($row['printon'] == 'Yes') { ?><a href="core/builders/printarticle.php?id=<?= $row['id'] ?>" target="_blank" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _PRINT ?>: &quot;<?= $row['c_title'] ?>&quot;"><i style="color:<?= $col_footer_font_color ?>;" class="fa fa-print"></i></a>
<?php } ?>

</div>

</div>
</div>
<br>

<?php }}} // Close the array 
?>

</div>
</div>
</div>

<?php } else { 

/**
 * 
 *  Do not use pagination.
 *  Select how many articles to show in a row.
 * 
 */ ?>
 
<table><tr>

<?php
/**
 * 
 * Add the optional title
 * to the articles block.
 * 
 */

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
    
if ($pagination == 'No') {
if (empty($maintitle)) {} else {
if ($row['styletitle'] == 'Styled') { ?> <div class="column center column-title coltitlecolor"><?= $maintitle ?></div>
<?php }
elseif ($row['styletitle'] == 'Plain') { ?> <h3 class="center"><?= $maintitle ?></h3>
<?php }}}}}

/**
 * 
 * Build the array.
 * 
 */

$sql = "SELECT * FROM articles WHERE publish = 'Yes' && article_container = 'Full' ORDER BY position_order + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
    
if ($perrow == '1') { ?>
<div>
<?php } else { ?>
<td class="column<?= $perrow ?> spacer inner-wrapper top" style="height:<?= $articleheight ?>; overflow-y:auto;">
<?php }

if ($row['publish'] == 'Yes') {

if ($row['usetitle'] == 'Styled') { ?>
<style> #more {display: none;} </style>
<div style="width:97%; margin:0 auto;">
<div class="column center column-title coltitlecolor"><?= $row['c_title'] ?></div>
<?php } 
elseif ($row['usetitle'] == 'Plain')  { ?><h3 class="center"><?= $row['c_title'] ?></h3> <?php }
elseif ($row['c_title'] == 'No' || $row['c_title'] == '') { }

if ($row['usewhich'] == 'Image') { ?>

<div class="spacer column" style="background-image:url(media/themes/<?= $row['backimage'] ?>);background-attachment:fixed;"><?= $row['c_text'];
} elseif ($row['usewhich'] == 'Color') { ?>

<div class="spacer column" style="background:-webkit-linear-gradient(top,<?= $row['backcolor'] ?>,<?= $row['backcolor_second'] ?>)"><?= $row['c_text'];
} elseif ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?>

<div class="spacer card column"><?= $row['c_text']; } ?>

<?php if ($row['usereadmore'] == 'Yes') {

if ($row['readmoretarget'] == 'New Tab') {
echo '<a href="core/builders/readmore.php?id=' . $row['id'] . '" style="text-decoration:none" target="_blank"><span class="button linkcolor">' . _READMORE . '</span></a>';
} elseif ($row['readmoretarget'] == 'Popup') {
echo '<a href="core/builders/readmore.php?id=' . $row['id'] . '" style="text-decoration:none" onclick="basicPopup(this.href);return false"><span class="button linkcolor">' . _READMORE . '</span></a>';

} elseif ($row['readmoretarget'] == 'Dropdown') {
echo '<div class="accordion card button linkcolor" style="width:100%">' . _READMORE . ' &nbsp;&nbsp;&nbsp;<i class="fa fa-arrow-down"></i></div><div class="panel card">' . $row['readmore'] . '</div>';
}} ?>

<div class="center spacer column-footer">

<?php if ($row['showauthor'] == 'Yes') { ?><p style="font-size:12px;color:<?= $col_footer_font_color ?>;">(<?= _BY ?>: <?= $row['author'] ?> .. <?= _DATE ?>: <?= $row['date'] ?>) 
<?php }

if ($row['allowcomments'] == 'Yes') { ?> &nbsp;&nbsp;<a href="../sys/usercomments.php?id=<?= $row['id'] ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _COMMENT ?> on &quot;<?= $row['c_title'] ?>&quot;.. (<?= _MEMBERSONLY ?>)"><i style="color:<?= $col_footer_font_color ?>;" class="fa fa-comments"></i></a> 
<?php }

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>&nbsp;&nbsp;&nbsp;<a href="core/designer/articlebuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['c_title'] ?>&quot;" onclick="basicPopup(this.href);return false"><i style="color:<?= $col_footer_font_color ?>;" class="fa fa-pencil-square-o"></i></a>&nbsp;&nbsp;&nbsp;<a href="core/designer/article-position.php" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>: &quot;<?= $row['c_title'] ?>&quot;"><i style="color:<?= $col_footer_font_color ?>;" class="fa fa-arrows"></i></a>
<?php }} ?>

&nbsp;&nbsp;<?php if ($row['printon'] == 'Yes') { ?><a href="core/builders/printarticle.php?id=<?= $row['id'] ?>" target="_blank" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _PRINT ?>: &quot;<?= $row['c_title'] ?>&quot;"><i style="color:<?= $col_footer_font_color ?>;" class="fa fa-print"></i></a>
<?php } ?>

</div>
</div>
</div>
<br>
</div>
</div>
</td>
<?php }}}} ?>

</tr></table>