<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

$sql = "SELECT * FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
	while ($row = $result->fetch_assoc()) {
		$hp_sidebars = $row['hp_sidebars'];
		$hp_useback = $row['hp_useback'];
		$hp_oncanvas_sidebars = $row['hp_oncanvas_sidebars'];
		$hp_leftwidth = $row['hp_leftwidth'];
		$hp_rightwidth = $row['hp_rightwidth'];
		$hp_library = $row['hp_library'];
		$hp_setrow = $row['hp_setrow'];
		$hoverblock = $row['hoverblock'];
		$zoomimg = $row['zoomimg'];
		$borderradius = $row['borderradius'];
		$hoverstrength = $row['hoverstrength'];
		$sidebars_used = $row['sidebars_used'];
		$top_article_left_width = $row['top_article_left_width'];
		$top_article_right_width = $row['top_article_right_width'];
	}
}

$sql = "SELECT * FROM themes WHERE theme_name='$themes'";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
	while ($row = $result->fetch_assoc()) {
		$useborders = $row['useborders'];
		$content_bg = $row['content_bg'];
	}
} ?>

<style>

.video-back-container {
	position: absolute; 
	top: 100px;	
	padding: 20px; 
}

@media (max-width: 600px) {
.video-back-container {
	position: static;
	padding: 0;
	margin: 0; 
}}

small {
	font-size: 10px;
}

text {
	font-size: 16px;
}

<?php if ($hoverblock == 'Yes') { ?>
	.hoverblock {
		border: <?= $useborders ?>;
		border-radius: <?= $borderradius ?>; }

	.hoverblock:hover {
		border: <?= $useborders ?>;
		border-radius: <?= $borderradius ?>;
		box-shadow: 2px 2px <?= $hoverstrength ?> <?= $menu_color ?>; }
<?php } ?>

.hoverimg:hover {
	border: <?= $useborders ?>;
	box-shadow: 2px 2px 14px <?= $menu_color ?>; }


.blocks {
	background: <?= $wrapper ?>;
	padding: 15px;
	box-shadow: none; }

@media (max-width: 1000px) {
.blocks, .blocks-center {
	width: 100%;
	float: left;
	padding: 0;
}}

.sidebar-blocks {
	background: <?= $wrapper ?>;
	padding: 15px;
	box-shadow: none;  }

@media (max-width: 1000px) {
.sidebar-blocks {
	width: 100%;
	float: left;
	padding: 0;
}}

.sidebar-left {
	width: <?= $hp_leftwidth ?>;
	padding: 15px;
	border-radius: <?= $borderradius ?>;
}

.sidebar-right {
	width: <?= $hp_rightwidth ?>;
	padding: 15px;
	border-radius: <?= $borderradius ?>;
}

@media (max-width: 1000px) {
.sidebar-left, .sidebar-right {
	width: 100%;
	float: left;
}}

.sidebar-sniplets {
	width: 100%;
	height: 135px;
	border-radius: 0;
}

.sniplets {	
	overflow-y: auto;	
	border-radius: <?= $borderradius ?>;
}

.snipletimage {
	width: 50%;
}


@media (max-width: 1000px) {
.sniplets, .sidebar-sniplets {
	width: 100%;
	height: auto;
	padding: 0;
	float: left;
}}

.top-article-sidebar-left {
	width: <?= $top_article_left_width ?>;
}

.top-article-sidebar-right {
	width: <?= $top_article_right_width ?>;
}

.top-article-both {
	width: 75%;
}

@media (max-width: 1000px) {
.top-article-sidebar-left, .top-article-sidebar-right, .top-article-both {
	width: 100%;
	float: left;
}}

.resp {
	width: 75%;
}

@media (max-width: 1000px) {
.resp {
	width: 100%;
	height: auto;
	padding: 0;
}}

.respimg {
	width: 25%;
	vertical-align: top;
}

@media (max-width: 1000px) {
.respimg {
	width: 100%;
	height: auto;
	padding: 0;
	text-align: center;
}}

.center-content {
	width: 100%;
}

p {
	font-size: 14px;
}

.black {
	color: #000000;
}

.black:hover {
	color: #ffffff;
}

.menuborderright {
	border-right: 1px solid <?= $menu_color ?>;
}

.card {
	border: <?= $useborders ?>;
}

.borderright {
	border-right: <?= $useborders ?>;
}

.bordertop {
	border-top: 1px solid <?= $column_footer_second ?>;
}

.borderfull {
	border: <?= $useborders ?>;
}

.accordion {
	border: <?= $useborders ?>;
}

hr {
	border: 0;
	height: 1px;
	width: 90%;
	margin: 0 auto;
	background-image: linear-gradient(to right, <?= $column_footer_second ?>, rgba(0, 0, 0, 0.75), <?= $column_footer_second ?>);
}

.hilite {
	color: <?= $gen_text_color ?>;
}

.hilite:hover {
	background: none;
	color: <?= $gen_text_color ?>; 
	border: <?= $useborders ?>;
	box-shadow: 2px 2px 4px <?= $menu_color ?>;   
}

.videocard {
	background: #ffffff;
	border: 1px solid <?= $useborders ?>;
	box-shadow: 1px 2px 2px <?= $wrapper ?>;
	width: 100%;
	height: 100%;
	border-radius: 12px;
	padding: 3px;
}

@media (max-width: 1000px) {
	.videocard {
		width: 100%;
		height: 250px;
		padding: 3px;
	}
}

.zoomvideoimg {
	padding: 3px;
	transition: transform .2s;
	border: 0;
	border-radius: 50%;
	margin: 0 auto;
}

.zoomvideoimg:hover {
	transform: scale(1.5);
}

.styleimg {
	width: 100px;
	height: 100px;
	text-align: center;
	box-shadow: 1px 1px 2px <?= $menu_color ?>;
}

.styleblockimg {
	width: 170px;
	height: 170px;
	border-radius: 50%;
	box-shadow: 1px 1px 2px <?= $menu_color ?>;
}

<?php if ($zoomimg == 'Yes') { ?>
	.zoomsnipletimg {
		padding: 3px;
		background-color: <?= $menu_color ?>;
		transition: transform .2s;
		border: 0;
		margin: 0 auto; }

	.zoomsnipletimg:hover {
		transform: scale(1.2); }
<?php } ?>

.zoomsidebarimg {
	padding: 3px;
	transition: transform .2s;
	border: 0;
	width: 70px;
	height: 70px;
	border-radius: 10px;
	margin: 0 auto;
}

.zoomsidebarimg:hover {
	transform: scale(1.8);
}

.zoomimg {
	padding: 3px;
	transition: transform .2s;
	border: 0;
	border-radius: 10px;
	margin: 0 auto;
}

.zoomimg:hover {
	transform: scale(1.5);
}

.zoomblockimg {
	padding: 3px;
	transition: transform .2s;
	border: 0;
	border-radius: 50%;
	margin: 0 auto;
}

.zoomblockimg:hover {
	transform: scale(2);
}

.zoombg {
	padding: 3px;
	background-color: <?= $menu_color ?>;
	transition: transform .2s;
	border: 0;
	border-radius: 50%;
	width: 50px;
	height: 50px;
	margin: 0 auto;
}

.zoombg:hover {
	transform: scale(1.5);
}

.library-button {
	border: <?= $useborders ?>;
	background: -webkit-gradient(linear, left top, left bottom, from(<?= $menu_color ?>), to(<?= $menu_color_second ?>));
	padding: 5.5px 11px;
	border-radius: 9px;
	color: <?= $linkcolor ?>;
	font-size: 14px;
	font-family: 'Lucida Grande', Helvetica, Arial, Sans-Serif;
	text-decoration: none;
	vertical-align: middle;
}

.library-button:hover {
	border-top-color: <?= $column_footer_second ?>;
	background: <?= $menu_color_second ?>;
	color: <?= $gen_text_color ?>;
}

.library-button:active {
	border-top-color: <?= $column_footer_second ?>;
	background: <?= $menu_color ?>;
}

.js-custom-sleeve-option {
	width: auto;
	min-width: 3.8rem;
	height: 3rem;
	display: inline-block;
	background: <?= $wrapper ?>;
	margin-right: 1.5rem;
	margin-bottom: 1.5rem;
	text-align: center;
}

.js-arrow-down {
	display: inline-block;
	width: 0;
	height: 0;
	border-left: 14px solid transparent;
	border-right: 14px solid transparent;
	border-top: 16px solid <?= $gen_text_color ?>;
	position: relative;
	left: 7px;
}

.js-arrow-up {
	display: inline-block;
	width: 0;
	height: 0;
	border-left: 14px solid transparent;
	border-right: 14px solid transparent;
	border-bottom: 16px solid <?= $gen_text_color ?>;
	position: relative;
	left: 6px;
	bottom: 12px;
}

.hover-container {
	width: 100%;
	padding: 0;
	margin: 0 auto;
}

.iconsize {
	width: 80px;
	height: 80px;
}

.overallradius {
	border-radius: 15px;
}

.onhover:hover {
	width: 90px;
	height: 90px;
}

.card-content {
  height: 90px;
  padding: 0 15px 0 15px;
  overflow-y: auto;
}

.hover-container .hover-card .face { 
	width: 100%;
	transition: 0.5s;
}

.hover-container .face.face1 .hover-content{
  width: 100%;
  height: 140px;
  text-align: center;
}

.hover-container .hover-card .face.face1 {
	display: flex;
	justify-content: center;
	align-items: center;
	z-index: 1;
	transform: translateY(130px);
}

.hover-container .hover-card:hover .face.face1{
	transform: translateY(0px);
}

.hover-container .hover-card .face.face1 .hover-content {
	opacity: 1;
	transition: 0.5s;
}

.hover-container .hover-card:hover .face.face1 .hover-content {
	opacity: 1;
}

</style>