<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

/**
* 
* Prevent direct access.
*
*/

if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) {
exit('Access Denied'); }

/**
 * 
 * Get the variables.
 * 
 */

require_once 'variables.php';

/**
 * 
 * Pull in the styling.
 * To be recognized throughout.
 * 
 */

require_once 'css/style.php';
require_once 'css/rows.php';

/**
 * Add the option for letting
 * users choose their own theme.
 * 
 */

$stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result( $usertheme, $usetheme );
$stmt->fetch();
$stmt->close();
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') { 
if (isset($_GET['id'])) { $id = $_GET['id']; }
$sql = "SELECT id, usertheme FROM accounts"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
require_once 'core/themes/usertheme.php'; }}}
else { require_once 'core/themes/theme.php'; } 

/**
 * 
 * Add the sidebars option.
 * Open off-canvas. Left sidebar.
 * 
 */

if ($hp_sidebars == 'Left' or $hp_sidebars == 'Both') {
require_once 'core/layout/css/style-left.php'; ?>
<nav id="slide-menu-left" class="card">
<?php require_once 'left-off-sidebar.php'; ?>
</nav>
<div id="content-left" style="z-index:99999">
<div class="menu-trigger-left button"><i style="font-size:34px; padding:-5px;" class="white fa fa-bars" title="<?= _OPENSIDEBAR ?>"></i></div>
</div>
<script src="core/layout/js/script-left.js"></script>
<?php }

/**
 * 
 * Add the sidebars option.
 * Open off-canvas. Right sidebar.
 * 
 */

if ($hp_sidebars == 'Right' or $hp_sidebars == 'Both') {
require_once 'core/layout/css/style-right.php'; ?>
<nav id="slide-menu-right" class="card">
<?php require_once 'right-off-sidebar.php'; ?>
</nav>
<div id="content-right" style="z-index:99999">
<div class="menu-trigger-right button">
<i style="font-size:34px; padding:-5px;" class="white fa fa-bars" title="<?= _OPENSIDEBAR ?>"></i>
</div>
</div>
<script src="core/layout/js/script-right.js"></script> 
<?php }

/**
 * 
 * Add the library option.
 * Open off-canvas. Right side.
 * Button on Left side.
 * 
 */

if ($hp_library == 'Right') {
require_once 'core/layout/css/style-library.php'; ?>
<nav id="slide-menu-library" class="card">
<?php require_once 'libraryblock.php'; ?>
</nav>
<div id="content-library" style="z-index:99999">
<div class="menu-trigger-library library-button text"><?= _LIBRARY ?></div>
</div>
<script src="core/layout/js/script-library.js"></script> 
<?php } 

/**
 * 
 * Add the styling, set the page width, and center everything.
 * 
 */ ?>
 
<div id="wrapper" style="box-shadow:none; width:97%; margin:0 auto;">