<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */

/**
 * 
 * This file holds the contents
 * of the home page. Sidebars
 * and rows.
 * 
 */

/**
 * 
 * Add the header block.
 * Contains the styling, variables,
 * and scripts.
 * 
 */

require_once 'headerblock.php';

/**
 * 
 * Use a table to hold the blocks together.
 * Define width of the content area.
 * 
 */ ?>

<table class="inner-wrapper blocks spacer" style="margin-top:-50px"><tr>

<?php 
/**
 * 
 * If selected show the Left sidebar.
 * 
 */

if ($hp_oncanvas_sidebars == 'Left' || $hp_oncanvas_sidebars == 'Both') { ?>
<td class="sidebar-left top">
<?php require_once 'left-sidebar.php'; ?>
</td>
<?php }

/**
 * 
 * If selected show both Left and Right sidebars.
 * 
 */

if ($hp_oncanvas_sidebars == 'Both Left') { ?>
<td class="sidebar-left top">
<?php require_once 'left-sidebar.php'; ?>
</td>
<td class="sidebar-right top">
<?php require_once 'right-sidebar.php'; ?>
</td>
<?php } 

/**
 * 
 * Build the center rows/layers
 * 
 */ ?>

<td class="top blocks-center" style="padding:10px">

<?php    
/**
 * 
 * Admins message/news block.
 * Keep at the top.
 * 
 */ 

if ($newstitle == '' || $showtitle == 'No')  { } else {
echo '<h1 class="center">' . $newstitle . '</h1>'; } ?>
<table><tr><td>
<?php require_once 'adminarticle.php'; ?>
</td></tr></table>

<?php
/**
 * 
 * Add Library in an accordion window if selected.
 * 
 */ 

if ($hp_library == 'Dropdown') { ?>
<div class="accordion column-title" id="wrapper">
<h4>
<a class="js-custom-sleeve-option position-grid__cell hint--bottom hint--large hint--rounded" aria-label="<?= _READLIBRARY ?>"><?= _LIBRARY ?>&nbsp;&nbsp;&nbsp;<span class="coltitlecolor js-arrow-down"></span></a>
</h4>
</div>
<div class="panel inner-wrapper full">
<?php require_once 'librarydropdown.php'; ?>
</div>
<?php }

/**
 * Add sniplets
 * above row one
 * top articles.
 * 
 */

$sql = "SELECT * FROM config_row_one"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$topsnipletwidth = $row['topsnipletwidth'];
$topsnipletheight = $row['topsnipletheight']; }}

$sql = "SELECT * FROM pagerows"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>

<table><tr class="spacer"><td>
<?php $sql = "SELECT * FROM sniplet WHERE sniplet_group = 'Above Top Articles' ORDER BY sniplet_position ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($row['sniplet_use'] == 'Yes') { ?>
<a href="<?= $row['sniplet_link'] ?>" target="_blank" title="<?= $row['sniplet_text'] ?>">
<div class="column<?= $topsnipletwidth ?> stylecard hoverblock card sniplets">
<table><tr>

<?php
/**
 * 
* Place image on Right side.
* 
*/

if ($row['imageside'] == 'Right' || $row['imageside'] == '') { ?>
<td class="spacer resp">
<div class="left" style="height:<?= $topsnipletheight ?>; overflow-y:auto;">
<?php if ($row['showtitle'] == 'Plain' ) { ?>
<p class="center"><?= $row['sniplet_title'] ?></p>
<?php }

if ($row['showtitle'] == 'Styled' ) { ?>
<div class="column-title coltitlecolor"><p class="center"><?= $row['sniplet_title'] ?></p></div>
<?php } ?>
<a href="<?= $row['sniplet_link'] ?>" target="_blank" style="text-decoration:none" title="<?= $row['sniplet_text'] ?>"><?= $row['sniplet_text'] ?></a>
<p><small>(<?= _DATE ?>: <?= $row['date'] ?>) (<?= _CATEGORY ?>: <?= $row['sniplet_category'] ?>)</small></p>
</div>
</td>
<td class="spacer respimg">
<p><a href="<?= $row['sniplet_link'] ?>" style="text-decoration:none" target="_blank" title="<?= $row['sniplet_text'] ?>">
<img src="media/sniplets/<?= $row['sniplet_image'] ?>" class="fourtop styleimg zoomsnipletimg" alt="<?= $row['sniplet_text'] ?>" />
</p>
</td>
<?php }

/**
 * 
* Place image on Left side.
* 
*/

if ($row['imageside'] == 'Left') { ?>
<td class="spacer top">
<p><a href="<?= $row['sniplet_link'] ?>" style="text-decoration:none" target="_blank" title="<?= $row['sniplet_text'] ?>">
<img src="media/sniplets/<?= $row['sniplet_image'] ?>" class="fourtop styleimg zoomsnipletimg" alt="<?= $row['sniplet_text'] ?>" />
</p>
</td>
<td class="spacer resp">
<div class="left" style="height:<?= $topsnipletheight ?>; overflow-y:auto;">
<?php if ($row['showtitle'] == 'Plain' ) { ?>
<p class="center"><?= $row['sniplet_title'] ?></p>
<?php }

if ($row['showtitle'] == 'Styled' ) { ?>
<div class="column-title coltitlecolor"><p class="center"><?= $row['sniplet_title'] ?></p></div>
<?php } ?>
<a href="<?= $row['sniplet_link'] ?>" target="_blank" style="text-decoration:none" title="<?= $row['sniplet_text'] ?>"><?= $row['sniplet_text'] ?></a>
<p><small>(<?= _DATE ?>: <?= $row['date'] ?>) (<?= _CATEGORY ?>: <?= $row['sniplet_category'] ?>)</small></p>
</div>
</td>
<?php } ?>
<td class="center">
<?php if ($row['comments'] == 'Yes') { ?>
<a href="sys/snipletcomments.php?id=<?= $row['id'] ?>" target="_blank" title="<?= _COMMENT ?>"><img src="sup/images/comment.png" style="width:20px" alt="<?= _COMMENT ?>" /></a>
<br><?php } 
if ($row['sniplet_usefulltext'] == 'Yes') { ?><a href="sup/sniplets.php?id=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false" title="<?= _OPENEASYREADER ?>"><img src="sup/images/uparrow.png" style="width:20px" alt="<?= _OPENEASYREADER ?>" /></a> <?php }
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center"><a href="core/designer/snipletbuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false" title="<?= _EDIT ?>"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a> <a href="core/designer/snipletsreposition.php#four" onclick="basicPopup(this.href);return false"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a></div>
<?php }} ?>
</td></tr></table>
</div>
<?php }}} ?>
</td></tr></table>
<?php }}
echo '<br>';

/**
 * 
 * Add the flip cards
 * above row one 
 * top articles.
 * 
 */

$sql = "SELECT * FROM config_row_one"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$topflipcardperrow = $row['topflipcardperrow'];
$topflipcardheight = $row['topflipcardheight'];
$usetop_title = $row['usetop_title'];
$top_title = $row['top_title']; }} 

if ($usetop_title == 'Plain') { ?>
<p class="center"><?= $top_title ?></p>
<?php } if ($usetop_title == 'Styled') { ?>
<br><p class="column-title coltitlecolor center"><?= $top_title ?></p>
<?php } if ($usetop_title == 'No') {} 

$sql = "SELECT * FROM flipcard WHERE location = 'Above Top Articles' AND archivecard = 'No' ORDER BY position + 0 ASC";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>

<div class="column<?= $topflipcardperrow ?>" style="height:<?= $topflipcardheight ?>">
<div class="flip-card" style="background: linear-gradient(<?= $row['containercolorfirst'] ?>, <?= $row['containercolorsecond'] ?>); width:100%; height:100%; perspective:1000px;">
<div class="flip-card-inner" style="position:relative; width:100%; height:100%; text-align:center; transition:transform 0.6s; transform-style: preserve-3d; box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);">
<div class="flip-card-front">
<?php if ($row['flipcardback'] == 'Image') { ?>
<div style="background: url('media/flipcard/<?= $row['backimage'] ?>'); background-attachment:fixed; background-size:cover; width:100%; height:100%;"></div>
<?php } else { ?>
<img src="media/flipcard/<?= $row['photo'] ?>" style="width:100%; height:100%;" alt="" />
<?php } ?>
</div>
<div class="flip-card-back spacer" style="background:linear-gradient(<?= $row['backcolorfirst'] ?>, <?= $row['backcolorsecond'] ?>);">
<?= $row['content'] ?>
</div>
</div>
</div>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { 
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center">
<a href="core/designer/flipcardbuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false">
<img src="sup/images/edit.gif" style="width:20px" alt="" /></a>
</div>
<?php }} ?>
</div>
<?php }} 

/**
 * 
 * Add the articles block.
 * When Row One Top Articles is chosen.
 * 
 * If Both sidebars is chosen.
 * 
 */ 

if ($config_article == 'Row One Top Articles' && $sidebars_used == 'Both') { 
require_once 'core/layout/toparticle-both.php'; }


/**
 * 
 * If Left sidebar is chosen.
 * 
 */

if ($config_article == 'Row One Top Articles' && $sidebars_used == 'Left') { 
require_once 'core/layout/toparticle-left.php'; }

/**
 * 
 * If Right sidebar is chosen.
 * 
 */

if ($config_article == 'Row One Top Articles' && $sidebars_used == 'Right') { 
require_once 'core/layout/toparticle-right.php'; } 

/**
 * 
 * If None is chosen.
 * 
 */

if ($config_article == 'Row One Top Articles' && $sidebars_used == 'None') { 
require_once 'core/layout/articlesblock.php'; }

/**
 * 
 * Add the article positioning configuration
 * for admin(s) only.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<p>- <?= _ROWONE ?> - <a href="core/designer/website.php#pagination" onclick="basicPopup(this.href);return false"><?= _CONFIGARTICLESPOSITION ?></a></p>
<?php }}

/**
 * 
 * If the rows are active show them.
 * And show a message to the admin(s) only
 * to configure the row.
 * 
 */

/** 
 * 
 * Add Row One.
 * 
 */

if ($userowone == 'No' || $userowone == '') {
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin')
echo '<p class="left">- ' . _ROWONE . ' ' . _LAYERSARENOTACIVE . ' - <a href="core/designer/rowone.php" onclick="basicPopup(this.href);return false">' . _CONFIGROW . '</a></p>';}}  
else {

require_once 'rows/row_one.php'; }

/**
 * 
 * Add Row Two.
 * 
 */

if ($userowtwo == 'No' || $userowtwo == '') {
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin')
echo '<p class="left">- ' . _ROWTWO . ' ' . _LAYERSARENOTACIVE . ' - <a href="core/designer/rowtwo.php" onclick="basicPopup(this.href);return false">' . _CONFIGROW . '</a></p>';}}  
else {
require_once 'rows/row_two.php'; }

/**
 * 
 * Add Row Three.
 * 
 */

if ($userowthree == 'No' || $userowthree == '') {
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin')
echo '<p class="left">- ' . _ROWTHREE . ' ' . _LAYERSARENOTACIVE . ' - <a href="core/designer/rowthree.php" onclick="basicPopup(this.href);return false">' . _CONFIGROW . '</a></p>';}}  
else {
require_once 'rows/row_three.php'; }

/**
 * 
 * Add Row Four.
 * 
 */

if ($userowfour == 'No' || $userowfour == '') { 
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin')
echo '<p class="left">- ' . _ROWFOUR . ' ' . _LAYERSARENOTACIVE . ' - <a href="core/designer/rowfour.php" onclick="basicPopup(this.href);return false">' . _CONFIGROW . '</a></p>';}}  
else {
require_once 'rows/row_four.php'; }

/**
 * 
 * Add Row Five.
 * 
 */

if ($userowfive == 'No' || $userowfive == '') { 
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin')
echo '<p class="left">- ' . _ROWFIVE . ' ' . _LAYERSARENOTACIVE . ' - <a href="core/designer/rowfive.php" onclick="basicPopup(this.href);return false">' . _CONFIGROW . '</a></p>';}} 
else {
require_once 'rows/row_five.php'; }

/**
 * 
 * Add Row Six.
 * 
 */

if ($userowsix == 'No' || $userowsix == '') { 
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin')
echo '<p class="left">- ' . _ROWSIX . ' ' . _LAYERSARENOTACIVE . ' - <a href="core/designer/rowsix.php" onclick="basicPopup(this.href);return false">' . _CONFIGROW . '</a></p>';}} 
else {
require_once 'rows/row_six.php'; }

/**
 * 
 * Add Row Seven.
 * 
 */

if ($userowseven == 'No' || $userowseven == '') { 
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin')
echo '<p class="left">- ' . _ROWSEVEN . ' ' . _LAYERSARENOTACIVE . ' - <a href="core/designer/rowseven.php" onclick="basicPopup(this.href);return false">' . _CONFIGROW . '</a></p>';}} 
else {
require_once 'rows/row_seven.php'; }

/**
 * 
 * Add Row Eight.
 * 
 */

if ($useroweight == 'No' || $useroweight == '') { 
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin')
echo '<p class="left">- ' . _ROWEIGHT . ' ' . _LAYERSARENOTACIVE . ' - <a href="core/designer/roweight.php" onclick="basicPopup(this.href);return false">' . _CONFIGROW . '</a></p>';}}  
else {
require_once 'rows/row_eight.php'; }

/**
 * 
 * Add Row Nine.
 * 
 */

if ($userownine == 'No' || $userownine == '') { 
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin')
echo '<p class="left">- ' . _ROWNINE . ' ' . _LAYERSARENOTACIVE . ' - <a href="core/designer/rownine.php" onclick="basicPopup(this.href);return false">' . _CONFIGROW . '</a></p>';}}  
else {
require_once 'rows/row_nine.php'; }

/**
 * 
 * Add Row Ten.
 * 
 */

if ($userowten == 'No' || $userowten == '') { 
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin')
echo '<p class="left">- ' . _ROWTEN . ' ' . _LAYERSARENOTACIVE . ' - <a href="core/designer/rowten.php" onclick="basicPopup(this.href);return false">' . _CONFIGROW . '</a></p>';}}  
else {
require_once 'rows/row_ten.php'; }

/**
 * 
 * Add Row Eleven.
 * 
 */

if ($useroweleven == 'No' || $useroweleven == '') { 
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin')
echo '<p class="left">- ' . _ROWELEVEN . ' ' . _LAYERSARENOTACIVE . ' - <a href="core/designer/roweleven.php" onclick="basicPopup(this.href);return false">' . _CONFIGROW . '</a></p>';}}  
else {
require_once 'rows/row_eleven.php'; }

/**
 * 
 * Add Row Twelve.
 * 
 */

if ($userowtwelve == 'No' || $userowtwelve == '') { 
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin')
echo '<p class="left">- ' . _ROWTWELVE . ' ' . _LAYERSARENOTACIVE . ' - <a href="core/designer/rowtwelve.php" onclick="basicPopup(this.href);return false">' . _CONFIGROW . '</a></p>'; }}  
else {
require_once 'rows/row_twelve.php'; }

/**
 * 
 * Close the overall center content table.
 * End the rows.
 * 
 * Add the right sidebar if selected.
 * 
 */ 

if ($hp_oncanvas_sidebars == 'Right' || $hp_oncanvas_sidebars == 'Both') { ?>
</td>
<td class="sidebar-right top">
<?php require_once 'right-sidebar.php'; } 

/**
 * 
 * If selected show both Left and Right sidebars.
 * 
 */

if ($hp_oncanvas_sidebars == 'Both Right') { ?>
<td class="sidebar-right top">
<?php require_once 'right-sidebar.php'; ?>
</td>
<td class="sidebar-left top">
<?php require_once 'left-sidebar.php'; ?>
<?php } ?>

</td></tr></table>
<br>

<?php
/**
 * 
 * Add support for the arrow
 * on the accordion library block
 * when used.
 * 
 */ ?>

<script>
$('.js-custom-sleeve-option').click(function(){
$(this).children('span').toggleClass('js-arrow-down js-arrow-up')
})
</script>