<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) {
exit('Access Denied'); }

/**
 * 
 * Add the optional modal module 
 * if Off-canvas Right is selected.
 * 
 */ 

if ($modal_sidebar == 'Off-canvas Right') { 
echo '<div class="center top card">';
require_once 'core/modules/modal/modal.php'; } 
echo '</div>';

/**
 * 
 * Add the registration/information block.
 * If Right is selected either on initial 
 * install or later.
 * This will show even if the sidebar 
 * is not active in the settings.
 * 
 */

$sql = "SELECT * FROM registration"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
if ($row['registration_block'] == 'Off-canvas Right' && $row['allow_registration'] == 'Yes') {
require_once 'core/modules/registration/registration.php'; }}}

/**
* 
* Add the mini articles block.
* 
* Build the array.
* Only show the articles
* chosen as Mini and 
* show in ascending order. 
* 
*/

$sql = "SELECT * FROM articles WHERE article_container = 'Mini' AND mini_position = 'Off-canvas Right' ORDER BY position_order + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
    
if ($row['publish'] == 'Yes') { ?>

<div class="card column hoverblock" style="width:100%">

<?php if ($row['usetitle'] == 'Styled') { ?>
<div class="column-title coltitlecolor center" style="width:100%">
<a href="sup/articles.php?id=<?= $row['id'] ?>" title="<?= _CLICKREADMORE ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false">
<h3>&quot;<?= $row['c_title'] ?>&quot;</h3></div>
<?php } 

elseif ($row['usetitle'] == 'Plain') { ?>
<a href="sup/articles.php?id=<?= $row['id'] ?>" title="<?= _CLICKREADMORE ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false">
<h3>&quot;<?= $row['c_title'] ?>&quot;</h3>
<?php } ?>

<?php if ($row['chooseicon'] == 'Icon') { ?>
<i style="color: <?= $row['iconcolor'] ?>; font-size:<?= $row['seticonsize'] ?>;" class="zoomimg <?= $row['icon'] ?>"></i> 
<?php } 

elseif ($row['chooseicon'] == 'Image')  { ?>
<img src="media/images/<?= $row['g_image'] ?>" class="zoomimg" style="width:<?= $row['setimgsize'] ?>; height:<?= $row['setimgsize'] ?>; border-radius:<?= $row['imgradius'] ?>" alt="" />
<?php } 

elseif ($row['chooseicon'] == '' || $row['chooseicon'] == 'None')  { } 

/**
 * 
 * Show the teaser text.
 * 
 */ ?>

<div class="left" style="height:<?= $row['setheight'] ?>; overflow-y:auto;"><?= $row['shorttext'] ?><p class="center">[ <?= $row['date'] ?> ]</p></div>

<?php 
/** 
 * 
 * Add the admin direct 
 * editing feature.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { 
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center"><a href="core/designer/articlebuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false">
<img src="sup/images/edit.gif" style="width:20px" alt="" /></a>
</div>
<?php }} ?>
</div>
<br>
<?php }}}

/**
 * 
 * Admin Block if selected.
 * 
 */

 $sql = "SELECT * FROM admin_block";  
 $result = $conn->query($sql); 
 if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($row['use_admin_block'] == 'Off-canvas Right' && $_SESSION['role'] == 'Admin') { ?>
<table><tr><td>
<div class="column top center column-title"><?= $row['admin_block_title'] ?></div>
<?php require_once 'core/layout/admin.php'; ?>
<div class="column-footer spacer column">
<a href="core/designer/admin_block.php" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
</div>
</div>
</td></tr></table>
<br><hr />
<?php }}}}

/**
 * 
 * Add videos.
 * 
 */ ?>

<table><tr><td>
<?php $sql = "SELECT * FROM videos ORDER BY position + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
if ($row['videoposition'] == 'Off-canvas Right') { ?>
<br><div class="card column">
<h3 class="center"><?= $row['videotitle'] ?></h3>
<?php if ($row['youtube'] == 'Yes') { ?>
<p class="center"><a href="<?= $row['videolink'] ?>" style="text-decoration:none" class="spacer" onclick="basicPopup(this.href);return false">
<img src="media/sniplets/<?= $row['videoimage'] ?>" class="styleblockimg zoomimg" alt="<?= $row['videotitle'] ?>" title="<?= $row['videotitle'] ?>" /></a>
</p>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center"><a href="core/designer/videobuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>&nbsp;&nbsp;&nbsp;<a href="core/designer/videos_position.php" onclick="basicPopup(this.href);return false"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a></div>
<?php }} ?>
<?php } else { ?>
<p class="center"><a href="<?= $row['videolink'] ?>" style="text-decoration:none" class="spacer" onclick="basicPopup(this.href);return false" title="<?= $row['videotitle'] ?>">
<img src="media/sniplets/<?= $row['videoimage'] ?>" class="styleblockimg zoomimg" alt="<?= $row['videotitle'] ?>" title="<?= $row['videotitle'] ?>" /></a>
</p>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center"><a href="core/designer/videobuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>&nbsp;&nbsp;&nbsp;<a href="core/designer/videos_position.php" onclick="basicPopup(this.href);return false"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a></div>
<?php }} ?>
<?php }} ?>
</div>
<?php }} ?>
</td></tr></table>

<?php
/**
 * 
 * Add the polls.
 * 
 */

if ($usepoll == 'Yes' && $position == 'Off-canvas Right' && $cansee == 'Public' && $placemod == 'Above') {
require_once 'core/modules/poll/index.php'; }
if ($usepoll == 'Yes' && $position == 'Off-canvas Right' && $cansee == 'Members' && $placemod == 'Above') {
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin' or $_SESSION['role'] == 'Member' ) { 
require_once 'core/modules/poll/index.php'; }}}

/**
 * 
 * Add sniplets if Off-canvas Right was selected.
 * 
 */ ?>

<table><tr class="spacer"><td>
<?php $sql = "SELECT * FROM sniplet WHERE sniplet_group = 'Off-canvas Right' ORDER BY sniplet_position ASC"; $result = $conn->query($sql); 
if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { 
if ($row['sniplet_use'] == 'Yes') { ?>
<div class="card">
<h3 class="center"><?= $row['sniplet_title'] ?></h3>

<?php if ($row['comments'] == 'Yes') { ?>
<p class="center"><a href="sys/snipletcomments.php?id=<?= $row['id'] ?>" target="_blank" title="<?= _COMMENT ?>: &quot;<?= $row['sniplet_title'] ?>&quot;"><img src="sup/images/comment.png" style="width:20px" alt="<?= _COMMENT ?>: &quot;<?= $row['sniplet_title'] ?>&quot;" /></a>
<br></p> <?php } ?>

<?php if ($row['imagesidebar'] == 'Top' || $row['imagesidebar'] == '') { ?>
<p class="center"><a href="<?= $row['sniplet_link'] ?>" style="text-decoration:none" target="_blank"><img src="media/sniplets/<?= $row['sniplet_image'] ?>" class="zoomsnipletimg" alt="<?= $row['sniplet_text'] ?>" /></a></p>
<?php } ?>

<p class="left"><a href="<?= $row['sniplet_link'] ?>" style="text-decoration:none" target="_blank" title="<?= $row['sniplet_text'] ?>"></p>
<p class="left"><?= $row['sniplet_text'] ?></a>

<?php if ($row['imagesidebar'] == 'Bottom') { ?>
<p class="center"><a href="<?= $row['sniplet_link'] ?>" style="text-decoration:none" target="_blank"><img src="media/sniplets/<?= $row['sniplet_image'] ?>" class="zoomsnipletimg" alt="<?= $row['sniplet_text'] ?>" /></a></p>
<?php }
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center card"><a href="core/designer/snipletbuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a> <a href="core/designer/snipletsreposition.php" onclick="basicPopup(this.href);return false"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a></div>
<?php }}}}} ?>
</div>
</td></tr></table>
<br>

<?php
/**
 *
 * General sidebar titles and text
 * Where Off-canvas Right was chosen.
 *
 */

$sql = "SELECT * FROM blocks WHERE archiveblock = 'No' ORDER BY block_position + 0 ASC";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
    
if ($row['position'] == 'Off-canvas Right') { ?>
<div class="spacer">
<?php if ($row['styletitle'] == 'Styled') {
 if ($row['usewhich'] == 'Icon' && $row['showtitle'] == 'Yes') { ?>
 <div class="column center column-title">
 <i style="text-shadow:1px 1px 1px #000;width:25px;height:25px;color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i> <?= $row['title'] ?>
 </div>
 <?php } elseif ($row['usewhich'] == 'Graphic' && $row['showtitle'] == 'Yes') { ?>
 <div class="column center column-title">
 <img src="media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /> <?= $row['title'] ?>
 </div>
 <?php } elseif ($row['usewhich'] == 'None' && $row['showtitle'] == 'Yes') { ?>
 <div class="column center column-title"><?= $row['title'] ?></div>
 <?php }} 

if ($row['styletitle'] == 'Plain') {
if ($row['usewhich'] == 'Icon' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><i style="text-shadow:1px 1px 1px #000; font-size:24px; color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i>&nbsp; <?= $row['title'] ?></h3>
<?php } elseif ($row['usewhich'] == 'Graphic' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><img src="media/images/<?= $row['graphic_icon'] ?>" style="border:0; width:25px; height:25px" alt="" /> <?= $row['title'] ?></h3>

<?php } elseif ($row['usewhich'] == 'None' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><?= $row['title'] ?></h3>
<?php }}

if ($row['whichback'] == 'Color') { ?>
<div class="spacer column" style="background:linear-gradient(<?= $row['firstcolor'] ?>, <?= $row['secondcolor'] ?>)"><?= $row['text'] ?>
<?php } 

elseif ($row['whichback'] == 'Image') { ?>
<div class="spacer column" style="background: url('media/images/<?= $row['backimage'] ?>'); background-attachment:fixed;"><?= $row['text'] ?>
<?php }

elseif ($row['whichback'] == 'None') { ?>
<div class="spacer column card"><?= $row['text'] ?>
<?php }

if ($row['comments'] == 'Yes') { ?>
<div class="center"><a href="sys/blockcomments.php?id=<?= $row['id'] ?>" target="_blank" title="<?= _COMMENT ?>: &quot;<?= $row['title'] ?>&quot;"><img src="sup/images/comment.png" style="width:20px" alt="<?= _COMMENT ?>: &quot;<?= $row['title'] ?>&quot;" /></a></div>
<?php } ?>

</div>

<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer spacer center">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }} ?>
</div><br>
<?php }}} // End the array.

/**
 * 
 * Add the plugins that are selected.
 * 
 * 
 * Add Google Search
 * 
 */

$sql = "SELECT * FROM plugins"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
if ($row['usesearch'] == 'Off-canvas Right') {
require_once 'core/plugins/google-search.php'; ?>
<br><hr />
<?php }}}

/**
 * 
 * Add the polls.
 * 
 */

if ($usepoll == 'Yes' && $position == 'Off-canvas Right' && $cansee == 'Public' && $placemod == 'Below') {
require_once 'core/modules/poll/index.php'; }
if ($usepoll == 'Yes' && $position == 'Off-canvas Right' && $cansee == 'Members' && $placemod == 'Below') {
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin' or $_SESSION['role'] == 'Member' ) { 
require_once 'core/modules/poll/index.php'; }}}

/**
 * 
 * Add the calendar.
 * 
 */

if ($calendar_sidebar == 'Off-canvas Right') { ?>
<br>
<?php require_once 'core/plugins/calendar.php'; }

/**
 * 
 * Add the clock.
 * 
 */

if ($clock_sidebar == 'Off-canvas Right') { ?>
<br>
<?php require_once 'core/plugins/digital-clock.php'; }

/**
 * 
 * Add the quicklinks.
 * 
 */

if ($quicklinks_sidebar == 'Off-canvas Right') { ?>
<br>
<?php require_once 'core/plugins/quicklinks.php'; }

/**
 * 
 * Add the tag cloud.
 * 
 */

if ($tags_sidebar == 'Off-canvas Right') { ?>
<br>
<?php require 'core/plugins/tagcloud.php'; }

/**
 * 
 * Add the categories.
 * 
 */

if ($categories_sidebar == 'Off-canvas Right') { ?>
<br>
<?php require 'core/plugins/categories.php'; }

/**
 * 
 * Add the spotlight.
 * 
 */

if ($spotlight_sidebar == 'Off-canvas Right') { ?>
<br>
<?php require 'core/plugins/spotlight.php'; }

/**
 * 
 * Add the archive.
 * 
 */

if ($archivesidebar == 'Off-canvas Right') { ?>
<br>
<?php require 'core/plugins/archive.php'; }

/**
 * 
 * Add the stats.
 * 
 */

 if ($showstats == 'Off-canvas Right') { ?>
<br>
<?php require 'core/plugins/stats.php'; }

/**
 * 
 * Add the Link To Me module if selected.
 * 
 */

$sql = "SELECT * FROM linktome"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$use_linktome = $row['use_linktome']; }}

if ($use_linktome == 'Off-canvas Right') {
require_once 'linktome.php'; }