<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */

 /**
 * 
 * Style the center layers
 * top, middle, bottom
 * to keep them responsive,
 * 
 */ ?>

<style>
.center-bar {
width:70% }

@media (max-width: 1000px) { 
.center-bar {
width:100%; 
float:left; }} 
</style>

<?php 
/**
 * 
 * This file houses everything for row twelve.
 * Left sidebar,
 * Center content layers,
 * Right sidebar.
 * 
 */

$sql = "SELECT * FROM config_row_twelve"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$rowtwelvesidebars = $row['rowtwelvesidebars']; 
$leftcontent = $row['leftcontent']; 
$rightcontent = $row['rightcontent']; 
$usebackleft = $row['usebackleft']; 
$usebackright = $row['usebackright']; 
$backimageleft = $row['backimageleft']; 
$backimageright = $row['backimageright']; 
$firstleft = $row['firstleft']; 
$secondleft = $row['secondleft']; 
$firstright = $row['firstright']; 
$secondright = $row['secondright']; 
$usetop = $row['usetop']; 
$usemiddle = $row['usemiddle']; 
$usebottom = $row['usebottom'];
$positiontop_left = $row['positiontop_left'];
$positiontop_right = $row['positiontop_right']; }} ?>

<br>
<table><tr class="blocks spacer">

<?php 
/**
 * 
 * Choose if the left sidebar 
 * is going to be used. Or if
 * both left and right sidebars
 * will be used.
 * 
 */

if ($rowtwelvesidebars == 'Left' or $rowtwelvesidebars == 'Both') { 
  
/**
 * 
 * If the sidebar is used
 * choose a backgound color
 * or image or none.
 * 
 */

if ($usebackleft == 'Color') { ?>

<td class="top sidebar-left spacer" style="background: linear-gradient(<?= $firstleft ?>, <?= $secondleft ?>);">

<?php } elseif ($usebackleft == 'Image') { ?>

<td class="top sidebar-left spacer" style="background: url('media/images/<?= $backimageleft ?>'); background-attachment:fixed;">

<?php }

elseif ($usebackleft == 'None' or $usebackleft == '') { ?>

<td class="top sidebar-left spacer card2 content_bg">

<?php }

/**
 * 
 * Add the optional modal module 
 * 
 */ 

if ($modal_sidebar == 'Row Twelve Left') { 
echo '<div class="center top card">';
require_once 'core/modules/modal/modal.php'; } 
echo '</div>';

/**
 * 
 * Add the Left content block.
 * 
 */ 

if ($positiontop_left == 'Yes') { ?>
<?= $leftcontent ?>
<?php }

/**
 * 
 * Add the flip cards
 * 
 */

 $sql = "SELECT * FROM flipcard WHERE location = 'Row Twelve Left' ORDER BY position + 0 ASC";
 $result = $conn->query($sql);
 if ($result->num_rows > 0) {
 while ($row = $result->fetch_assoc()) { ?>
 <div style="height:<?= $row['setheight'] ?>">
 <div class="flip-card" style="background: linear-gradient(<?= $row['containercolorfirst'] ?>, <?= $row['containercolorsecond'] ?>); width:100%; height:100%; perspective:1000px;">
 <div class="flip-card-inner" style="position:relative; width:100%; height:100%; text-align:center; transition:transform 0.6s; transform-style: preserve-3d; box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);">
 <div class="flip-card-front">
 <?php if ($row['flipcardback'] == 'Image') { ?>
 <div style="background: url('media/flipcard/<?= $row['backimage'] ?>'); background-attachment:fixed; background-size:cover; width:100%; height:100%;"></div>
 <?php } else { ?>
 <img src="media/flipcard/<?= $row['photo'] ?>" style="width:100%; height:100%;" alt="" />
 <?php } ?>
 </div>
 <div class="flip-card-back spacer" style="background:linear-gradient(<?= $row['backcolorfirst'] ?>, <?= $row['backcolorsecond'] ?>);">
 <?= $row['content'] ?>
 </div>
 </div>
 </div>
 <?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { 
 if ($_SESSION['role'] == 'Admin') { ?>
 <div class="center">
 <a href="core/designer/flipcardbuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false">
 <img src="sup/images/edit.gif" style="width:20px" alt="" /></a>
 </div>
 <?php }} ?>
 </div>
 <?php }} 

/**
* 
* Add the mini articles block.
* 
* Build the array.
* Only show the articles
* chosen as Mini and 
* show in ascending order. 
* 
*/

$sql = "SELECT * FROM articles WHERE article_container = 'Mini' AND mini_position = 'Row Twelve Right' ORDER BY position_order + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
    
if ($row['publish'] == 'Yes') { ?>

<div class="card column hoverblock" style="width:100%">

<?php if ($row['usetitle'] == 'Styled') { ?>
<div class="column-title coltitlecolor center" style="width:100%">
<a href="sup/articles.php?id=<?= $row['id'] ?>" title="<?= _CLICKREADMORE ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false">
<h3>&quot;<?= $row['c_title'] ?>&quot;</h3></div>
<?php } 

elseif ($row['usetitle'] == 'Plain') { ?>
<a href="sup/articles.php?id=<?= $row['id'] ?>" title="<?= _CLICKREADMORE ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false">
<h3>&quot;<?= $row['c_title'] ?>&quot;</h3>
<?php } ?>

<?php if ($row['chooseicon'] == 'Icon') { ?>
<i style="color: <?= $row['iconcolor'] ?>; font-size:<?= $row['seticonsize'] ?>;" class="zoomimg <?= $row['icon'] ?>"></i> 
<?php } 

elseif ($row['chooseicon'] == 'Image')  { ?>
<img src="media/images/<?= $row['g_image'] ?>" class="zoomimg" style="width:<?= $row['setimgsize'] ?>; height:<?= $row['setimgsize'] ?>; border-radius:<?= $row['imgradius'] ?>" alt="" />
<?php } 

elseif ($row['chooseicon'] == '' || $row['chooseicon'] == 'None')  { } 

/**
 * 
 * Show the teaser text.
 * 
 */ ?>

<div class="left" style="height:<?= $row['setheight'] ?>; overflow-y:auto;"><?= $row['shorttext'] ?><p class="center">[ <?= $row['date'] ?> ]</p></div>

<?php 
/** 
 * 
 * Add the admin direct 
 * editing feature.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { 
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center"><a href="core/designer/articlebuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false">
<img src="sup/images/edit.gif" style="width:20px" alt="" /></a>
</div>
<?php }} ?>
</div>
<br>
<?php }}}

/**
 * 
 * Select if place plugins above block content or below.
 * 
 * If above is selected.
 * 
 */

if ($usesearch == 'Row Twelve Left' && $position == 'Above') { ?>
<?php require 'core/plugins/google-search.php'; ?>
<br>
<?php }

/**
 * 
 * Add the theme preview plugin.
 * Above the sidebar content block.
 * 
 */

 if ($previewthemes == 'Row Twelve Left' && $themeposition == 'Above') {
require_once 'core/plugins/previewthemes.php'; }

/**
 * 
 * Add videos.
 * Above the sidebar content block.
 * 
 */

$sql = "SELECT * FROM videos ORDER BY position + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
if ($row['videoposition'] == 'Row Twelve Left') { ?>
<br><div class="card column">
<h3 class="center"><?= $row['videotitle'] ?></h3>
<?php if ($row['youtube'] == 'Yes') { ?>
<p class="center"><a href="<?= $row['videolink'] ?>" style="text-decoration:none" class="spacer" onclick="basicPopup(this.href);return false">
<img src="media/sniplets/<?= $row['videoimage'] ?>" class="styleblockimg zoomimg" alt="<?= $row['videotitle'] ?>" title="<?= $row['videotitle'] ?>" /></a>
</p>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center"><a href="core/designer/videobuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false"><i class="coltitlecolor fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href="core/designer/videos_position.php" onclick="basicPopup(this.href);return false"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a></div>
<?php }} ?>
<?php } else { ?>
<p class="center"><a href="<?= $row['videolink'] ?>" style="text-decoration:none" class="spacer" onclick="basicPopup(this.href);return false" title="<?= $row['videotitle'] ?>">
<img src="media/sniplets/<?= $row['videoimage'] ?>" class="styleblockimg zoomimg" alt="<?= $row['videotitle'] ?>" title="<?= $row['videotitle'] ?>" /></a>
</p>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center"><a href="core/designer/videobuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false"><i class="coltitlecolor fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href="core/designer/videos_position.php" onclick="basicPopup(this.href);return false"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a></div>
<?php }} ?>
<?php }} ?>
</div>
<?php }}

/**
 * 
 * Add the polls module.
 * Above the sidebar content block.
 * 
 */

if ($usepoll == 'Yes' && $position == 'Row Twelve Left' && $cansee == 'Public' && $placemod == 'Above') {
require_once 'core/modules/poll/index.php'; }    
if ($usepoll == 'Yes' && $position == 'Row Twelve Left' && $cansee == 'Members' && $placemod == 'Above') {
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin' or $_SESSION['role'] == 'Member' ) { 
require_once 'core/modules/poll/index.php'; }}} ?>
<br>

<?php 
/**
 * 
 * Add the stats plugin.
 * Above the sidebar content block.
 * 
 */

if ($statsposition == 'Above' && $showstats == 'Row Twelve Left') {
require_once 'core/plugins/stats.php'; ?>
<br>
<?php }

/**
 * 
 * Add the registration module.
 * Above the sidebar content block.
 * 
 */

$sql = "SELECT * FROM registration"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
if ($row['registration_block'] == 'Row Twelve Left' && $row['allow_registration'] == 'Yes') {
require_once 'core/modules/registration/registration.php'; ?>
<br><hr />
<?php }}}

/**
 * 
 * Add the admin only block.
 * Above the sidebar content block.
 * 
 */

$sql = "SELECT * FROM admin_block";  
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($row['use_admin_block'] == 'Row Twelve Left' && $_SESSION['role'] == 'Admin') { ?>
<table><tr><td>
<br>
<?php require_once 'core/layout/admin.php'; ?>
<div class="column-footer spacer column">
<a href="core/designer/admin_block.php" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
</div>
</div>
</td></tr></table>
<br><hr />
<?php }}}}

/**
 * 
 * Add the plugins.
 * Above the sidebar content block.
 * 
 */

if ($calendarposition == 'Above' && $calendar_sidebar == 'Row Twelve Left') { ?>
<?php require 'core/plugins/calendar.php'; ?>
<br>
<?php }
if ($quicklinksposition == 'Above' && $quicklinks_sidebar == 'Row Twelve Left') { ?>
<?php require 'core/plugins/quicklinks.php'; ?>
<br>
<?php }
if ($tagcloudposition == 'Above' && $tags_sidebar == 'Row Twelve Left') { ?>
<?php require 'core/plugins/tagcloud.php'; ?>
<br>
<?php }
if ($spotlightposition == 'Above' && $spotlight_sidebar == 'Row Twelve Left') { ?>
<?php require 'core/plugins/spotlight.php'; ?>
<br>
<?php }
if ($categoriesposition == 'Above' && $categories_sidebar == 'Row Twelve Left') { ?>
<?php require 'core/plugins/categories.php'; ?>
<br>
<?php }
if ($archiveposition == 'Above' && $archivesidebar == 'Row Twelve Left') { ?>
<?php require 'core/plugins/archive.php'; ?>
<br>
<?php }
if ($clockposition == 'Above' && $clock_sidebar == 'Row Twelve Left') { 
require_once 'core/plugins/digital-clock.php'; ?>
<script src="core/js/digitalclock.js"></script>
<?php }
if ($linktomeposition == 'Above' && $use_linktome == 'Row Twelve Left') {
require_once 'core/modules/linktome/linktome.php'; }

/**
 * 
 * Add sniplets.
 * Above the sidebar content block.
 * 
 */ ?>

<table style="padding:0"><tr class="spacer"><td>
<?php $sql = "SELECT * FROM sniplet WHERE sniplet_group = 'Row Twelve Left' ORDER BY sniplet_position ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {     
if ($row['sniplet_use'] == 'Yes') { ?>

<div class="card hoverblock" style="height:<?= $row['snipletheight'] ?>; overflow-y:auto;">
<p class="center"><?= $row['sniplet_title'] ?></p>

<p class="center">
<?php if ($row['comments'] == 'Yes') { ?>
<a href="sys/snipletcomments.php?id=<?= $row['id'] ?>" target="_blank"><img src="sup/images/comment.png" style="width:20px" alt="<?= _COMMENT ?>" /></a>
<br> <?php } 

 if ($row['sniplet_usefulltext'] == 'Yes') { ?><a href="sup/sniplets.php?id=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false" title="<?= _OPENEASYREADER ?>"><img src="sup/images/uparrow.png" style="width:20px" alt="<?= _OPENEASYREADER ?>" /></a></p> <?php } ?>

<?php if ($row['imagesidebar'] == 'Top' || $row['imagesidebar'] == '') { ?>
<p class="center"><a href="<?= $row['sniplet_link'] ?>" style="text-decoration:none" target="_blank"><img src="media/sniplets/<?= $row['sniplet_image'] ?>" class="twelvetop styleimg zoomsnipletimg" alt="<?= $row['sniplet_text'] ?>" /></a></p>
<?php } ?>
<p class="left"><a href="<?= $row['sniplet_link'] ?>" style="text-decoration:none" target="_blank" title="<?= $row['sniplet_text'] ?>"></p>
<p class="left"><?= $row['sniplet_text'] ?></a>
<?php if ($row['imagesidebar'] == 'Bottom') { ?>
<p class="center"><a href="<?= $row['sniplet_link'] ?>" style="text-decoration:none" target="_blank"><img src="media/sniplets/<?= $row['sniplet_image'] ?>" class="twelvetop styleimg zoomsnipletimg" alt="<?= $row['sniplet_text'] ?>" /></a></p>
<?php } ?>
<br><p><small>(<?= _DATE ?>: <?= $row['date'] ?>)</small>
<br><small>(<?= _CATEGORY ?>: <?= $row['sniplet_category'] ?>)</small></p>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center"><a href="core/designer/snipletbuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false" title="<?= _EDIT ?>"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>&nbsp;&nbsp;&nbsp;<a href="core/designer/snipletsreposition.php" onclick="basicPopup(this.href);return false"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a></div>
<?php }} ?>
</div>
<?php }}} ?>
</td></tr></table>

<?php
/**
 * 
 * Add the blocks.
 * Above the sidebar content block.
 * 
 */

$sql = "SELECT * FROM blocks WHERE position = 'Row Twelve Left' && archiveblock = 'No' && locate = 'Above' ORDER BY block_position + 0 ASC";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($row['position'] == 'Row Twelve Left' && $row['showblock'] == 'Yes') { ?>
<div class="spacer">
<?php if ($row['styletitle'] == 'Styled') {
if ($row['usewhich'] == 'Icon' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title">
<i style="text-shadow:1px 1px 1px #000;width:25px;height:25px;color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i> <?= $row['title'] ?>
</div>
<?php } elseif ($row['usewhich'] == 'Graphic' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title">
<img src="media/images/<?= $row['graphic_icon'] ?>" style="border:0; width:25px; height:25px;" alt="" /> <?= $row['title'] ?>
</div>
<?php } elseif ($row['usewhich'] == 'None' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title"><?= $row['title'] ?></div>
<?php }
elseif ($row['usewhich'] == ''  && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title"><h3 class="center"><?= $row['title'] ?></h3></div>
<?php }}
if ($row['styletitle'] == 'Plain') {
if ($row['usewhich'] == 'Icon' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><i style="text-shadow:1px 1px 1px #000; font-size:24px; color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i>&nbsp; <?= $row['title'] ?></h3>
<?php } elseif ($row['usewhich'] == 'Graphic' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><img src="media/images/<?= $row['graphic_icon'] ?>" style="border:0; width:25px; height:25px;" alt="" /> <?= $row['title'] ?></h3>
<?php } elseif ($row['usewhich'] == 'None' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><?= $row['title'] ?></h3>
<?php }
elseif ($row['usewhich'] == ''  && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><?= $row['title'] ?></h3>
<?php }} 

if ($row['comments'] == 'Yes') { ?>
<div class="center"><a href="sys/blockcomments.php?id=<?= $row['id'] ?>" target="_blank"><i class="coltitlecolor fa fa-comments-o" title="<?= _COMMENT ?>: &quot;<?= $row['title'] ?>&quot;"></i></a></div>
<?php } 

/**
 * 
 * If using a background color.
 * 
 */


if ($row['whichback'] == 'Color') { ?>

<div class="spacer column" style="background:linear-gradient(<?= $row['firstcolor'] ?>, <?= $row['secondcolor'] ?>)"><?= $row['text'] ?>
<?php } 

/**
 * 
 * If using a background image.
 * 
 */ 

if ($row['whichback'] == 'Image') { ?>

<div class="spacer column" style="background: url('media/images/<?= $row['backimage'] ?>'); background-attachment:fixed; background-size:cover;"><?= $row['text'] ?>
<?php }

/**
 * 
 * If not using a background image or color.
 * 
 */ 

if ($row['whichback'] == 'None' || $row['whichback'] == '' ) { ?>
<div class="spacer card column"><?= $row['text'] ?>
<?php } ?>
 
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer spacer">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }} ?>
</div><br>
<?php }}}

/**
 * 
 * Add the Left content block.
 * 
 */

if ($positiontop_left == 'No' || $positiontop_left == '') { ?>
<?= $leftcontent ?>
<?php }

/**
 * 
 * Select if place plugins above block content or below.
 * 
 * If below is selected.
 * 
 */ 

if ($usesearch == 'Row Twelve Left' && $position == 'Below') { ?>
<?php require 'core/plugins/google-search.php'; ?>
<br>
<?php }

/**
 * 
 * Add the theme preview plugin.
 * Below the sidebar content block.
 * 
 */

 if ($previewthemes == 'Row Twelve Left' && $themeposition == 'Below') {
require_once 'core/plugins/previewthemes.php'; }

/**
 * 
 * Add the Polls module.
 * Below the sidebar content block.
 * 
 */

if ($usepoll == 'Yes' && $position == 'Row Twelve Left' && $cansee == 'Public' && $placemod == 'Below') {
require_once 'core/modules/poll/index.php'; }    
if ($usepoll == 'Yes' && $position == 'Row Twelve Left' && $cansee == 'Members' && $placemod == 'Below') {
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin' or $_SESSION['role'] == 'Member' ) { 
require_once 'core/modules/poll/index.php'; }}} ?>
<br>

<?php 
/**
 * 
 * Add the plugins.
 * Below the sidebar content block.
 * 
 */

if ($statsposition == 'Below' && $showstats == 'Row Twelve Left') {
require_once 'core/plugins/stats.php'; ?>
<br>
<?php }
if ($calendarposition == 'Below' && $calendar_sidebar == 'Row Twelve Left') { ?>
<?php require 'core/plugins/calendar.php'; ?>
<br>
<?php }
if ($quicklinksposition == 'Below' && $quicklinks_sidebar == 'Row Twelve Left') { ?>
<?php require 'core/plugins/quicklinks.php'; ?>
<br>
<?php }
if ($tagcloudposition == 'Below' && $tags_sidebar == 'Row Twelve Left') { ?>
<?php require 'core/plugins/tagcloud.php'; ?>
<br>
<?php }
if ($spotlightposition == 'Below' && $spotlight_sidebar == 'Row Twelve Left') { ?>
<?php require 'core/plugins/spotlight.php'; ?>
<br>
<?php }
if ($categoriesposition == 'Below' && $categories_sidebar == 'Row Twelve Left') { ?>
<?php require 'core/plugins/categories.php'; ?>
<br>
<?php }
if ($archiveposition == 'Below' && $archivesidebar == 'Row Twelve Left') { ?>
<?php require 'core/plugins/archive.php'; ?>
<br>
<?php }
if ($clockposition == 'Below' && $clock_sidebar == 'Row Twelve Left') { 
require_once 'core/plugins/digital-clock.php'; ?>
<script src="core/js/digitalclock.js"></script>
<?php }
if ($linktomeposition == 'Below' && $use_linktome == 'Row Twelve Left') {
require_once 'core/modules/linktome/linktome.php'; } 

/**
 * 
 * Add the blocks.
 * Below the sidebar content block.
 * 
 */

$sql = "SELECT * FROM blocks WHERE position = 'Row Twelve Left' && archiveblock = 'No' && locate = 'Below' ORDER BY block_position + 0 ASC";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($row['position'] == 'Row Twelve Left' && $row['showblock'] == 'Yes') { ?>
<div class="spacer">
<?php if ($row['styletitle'] == 'Styled') {
if ($row['usewhich'] == 'Icon' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title">
<i style="text-shadow:1px 1px 1px #000;width:25px;height:25px;color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i> <?= $row['title'] ?>
</div>
<?php } elseif ($row['usewhich'] == 'Graphic' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title">
<img src="media/images/<?= $row['graphic_icon'] ?>" style="border:0; width:25px; height:25px;" alt="" /> <?= $row['title'] ?>
</div>
<?php } elseif ($row['usewhich'] == 'None' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title"><?= $row['title'] ?></div>
<?php }
elseif ($row['usewhich'] == ''  && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title"><h3 class="center"><?= $row['title'] ?></h3></div>
<?php }}
if ($row['styletitle'] == 'Plain') {
if ($row['usewhich'] == 'Icon' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><i style="text-shadow:1px 1px 1px #000; font-size:24px; color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i>&nbsp; <?= $row['title'] ?></h3>
<?php } elseif ($row['usewhich'] == 'Graphic' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><img src="media/images/<?= $row['graphic_icon'] ?>" style="border:0; width:25px; height:25px;" alt="" /> <?= $row['title'] ?></h3>
<?php } elseif ($row['usewhich'] == 'None' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><?= $row['title'] ?></h3>
<?php }
elseif ($row['usewhich'] == ''  && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><?= $row['title'] ?></h3>
<?php }} 

if ($row['comments'] == 'Yes') { ?>
<div class="center"><a href="sys/blockcomments.php?id=<?= $row['id'] ?>" target="_blank"><i class="coltitlecolor fa fa-comments-o" title="<?= _COMMENT ?>: &quot;<?= $row['title'] ?>&quot;"></i></a></div>
<?php } 

/**
 * 
 * If using a background color.
 * 
 */


if ($row['whichback'] == 'Color') { ?>

<div class="spacer column" style="background:linear-gradient(<?= $row['firstcolor'] ?>, <?= $row['secondcolor'] ?>)"><?= $row['text'] ?>
<?php } 

/**
 * 
 * If using a background image.
 * 
 */ 

if ($row['whichback'] == 'Image') { ?>

<div class="spacer column" style="background: url('media/images/<?= $row['backimage'] ?>'); background-attachment:fixed; background-size:cover;"><?= $row['text'] ?>
<?php }

/**
 * 
 * If not using a background image or color.
 * 
 */ 

if ($row['whichback'] == 'None' || $row['whichback'] == '' ) { ?>
<div class="spacer card column"><?= $row['text'] ?>
<?php } ?>
 
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer spacer">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }} ?>
</div><br>
<?php }}}

/**
 * 
 * Close the left sidebar.
 * 
 */ ?>

</td>
<?php } ?>

<td class="top center-bar">

<table style="width:100%"><tr><td class="top center-bar spacer">
  
<?php 
/**
 * 
 * Add the center layers.
 * top, middle, bottom.
 * 
 */

if ($usetop == 'Yes') { require_once 'row_twelve_top.php'; }
else {if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin')echo '<p>- ' . _ROWTWELVETOP . '- ' . _ISINACTIVE . '. <a href="core/designer/rowtwelve.php" onclick="basicPopup(this.href);return false">' . _TURNITON . '.</a></p>'; }} 

if ($usemiddle == 'Yes') { require_once 'row_twelve_middle.php'; }
else {if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin')echo '<p>- ' . _ROWTWELVEMIDDLE . '- ' . _ISINACTIVE . '. <a href="core/designer/rowtwelve.php" onclick="basicPopup(this.href);return false">' . _TURNITON . '.</a></p>'; }}

if ($usebottom == 'Yes') { require_once 'row_twelve_bottom.php'; }
else {if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin')echo '<p>- ' . _ROWTWELVEBOTTOM . '- ' . _ISINACTIVE . '. <a href="core/designer/rowtwelve.php" onclick="basicPopup(this.href);return false">' . _TURNITON . '.</a></p>'; }} ?>

</td></tr></table>
</td></tr></table>

<?php 
/**
 * 
 * Choose if the right sidebar 
 * is going to be used. Or if
 * both left and right sidebars
 * will be used.
 * 
 */

if ($rowtwelvesidebars == 'Right' or $rowtwelvesidebars == 'Both') { ?>
    
</td>

<?php 
/**
 * 
 * Set the background if selected
 * image, color, or none.
 * 
 */

if ($usebackright == 'Color') { ?>

<td class="top sidebar-right spacer" style="background: linear-gradient(<?= $firstright ?>, <?= $secondright ?>);">

<?php } elseif ($usebackright == 'Image') { ?>

<td class="top sidebar-right spacer" style="background: url('media/images/<?= $backimageright ?>'); background-attachment:fixed;">

<?php }

elseif ($usebackright == 'None' or $usebackright == '') { ?>

<td class="top sidebar-right spacer card2 content_bg">

<?php }

/**
 * 
 * Add the optional modal module 
 * 
 */ 

if ($modal_sidebar == 'Row Twelve Right') { 
echo '<div class="center top card">';
require_once 'core/modules/modal/modal.php'; } 
echo '</div>';

/**
 * 
 * Add the Right content block.
 * 
 */ 

if ($positiontop_right == 'Yes') { ?>
<?= $rightcontent ?>
<?php }

/**
 * 
 * Add the flip cards
 * 
 */

 $sql = "SELECT * FROM flipcard WHERE location = 'Row Twelve Right' ORDER BY position + 0 ASC";
 $result = $conn->query($sql);
 if ($result->num_rows > 0) {
 while ($row = $result->fetch_assoc()) { ?>
 <div style="height:<?= $row['setheight'] ?>">
 <div class="flip-card" style="background: linear-gradient(<?= $row['containercolorfirst'] ?>, <?= $row['containercolorsecond'] ?>); width:100%; height:100%; perspective:1000px;">
 <div class="flip-card-inner" style="position:relative; width:100%; height:100%; text-align:center; transition:transform 0.6s; transform-style: preserve-3d; box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);">
 <div class="flip-card-front">
 <?php if ($row['flipcardback'] == 'Image') { ?>
 <div style="background: url('media/flipcard/<?= $row['backimage'] ?>'); background-attachment:fixed; background-size:cover; width:100%; height:100%;"></div>
 <?php } else { ?>
 <img src="media/flipcard/<?= $row['photo'] ?>" style="width:100%; height:100%;" alt="" />
 <?php } ?>
 </div>
 <div class="flip-card-back spacer" style="background:linear-gradient(<?= $row['backcolorfirst'] ?>, <?= $row['backcolorsecond'] ?>);">
 <?= $row['content'] ?>
 </div>
 </div>
 </div>
 <?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { 
 if ($_SESSION['role'] == 'Admin') { ?>
 <div class="center">
 <a href="core/designer/flipcardbuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false">
 <img src="sup/images/edit.gif" style="width:20px" alt="" /></a>
 </div>
 <?php }} ?>
 </div>
 <?php }} 

/**
* 
* Add the mini articles block.
* 
* Build the array.
* Only show the articles
* chosen as Mini and 
* show in ascending order. 
* 
*/

$sql = "SELECT * FROM articles WHERE article_container = 'Mini' AND mini_position = 'Row Twelve Right' ORDER BY position_order + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
    
if ($row['publish'] == 'Yes') { ?>

<div class="card column hoverblock" style="width:100%">

<?php if ($row['usetitle'] == 'Styled') { ?>
<div class="column-title coltitlecolor center" style="width:100%">
<a href="sup/articles.php?id=<?= $row['id'] ?>" title="<?= _CLICKREADMORE ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false">
<h3>&quot;<?= $row['c_title'] ?>&quot;</h3></div>
<?php } 

elseif ($row['usetitle'] == 'Plain') { ?>
<a href="sup/articles.php?id=<?= $row['id'] ?>" title="<?= _CLICKREADMORE ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false">
<h3>&quot;<?= $row['c_title'] ?>&quot;</h3>
<?php } ?>

<?php if ($row['chooseicon'] == 'Icon') { ?>
<i style="color: <?= $row['iconcolor'] ?>; font-size:<?= $row['seticonsize'] ?>;" class="zoomimg <?= $row['icon'] ?>"></i> 
<?php } 

elseif ($row['chooseicon'] == 'Image')  { ?>
<img src="media/images/<?= $row['g_image'] ?>" class="zoomimg" style="width:<?= $row['setimgsize'] ?>; height:<?= $row['setimgsize'] ?>; border-radius:<?= $row['imgradius'] ?>" alt="" />
<?php } 

elseif ($row['chooseicon'] == '' || $row['chooseicon'] == 'None')  { } 

/**
 * 
 * Show the teaser text.
 * 
 */ ?>

<div class="left" style="height:<?= $row['setheight'] ?>; overflow-y:auto;"><?= $row['shorttext'] ?><p class="center">[ <?= $row['date'] ?> ]</p></div>

<?php 
/** 
 * 
 * Add the admin direct 
 * editing feature.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { 
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center"><a href="core/designer/articlebuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false">
<img src="sup/images/edit.gif" style="width:20px" alt="" /></a>
</div>
<?php }} ?>
</div>
<br>
<?php }}}

/**
 * 
 * Select if place plugins Above block content or Below.
 * 
 * If above is selected.
 * 
 */

if ($usesearch == 'Row Twelve Right' && $position == 'Above') { ?>
<?php require 'core/plugins/google-search.php'; ?>
<br>
<?php }

/**
 * 
 * Add the theme preview plugin.
 * Above the sidebar content block.
 * 
 */

 if ($previewthemes == 'Row Twelve Right' && $themeposition == 'Above') {
 require_once 'core/plugins/previewthemes.php'; }

/**
 * 
 * Add videos.
 * Above the sidebar content block.
 * 
 */

$sql = "SELECT * FROM videos ORDER BY position + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
if ($row['videoposition'] == 'Row Twelve Right') { ?>
<br><div class="card column">
<h3 class="center"><?= $row['videotitle'] ?></h3>
<?php if ($row['youtube'] == 'Yes') { ?>
<p class="center"><a href="<?= $row['videolink'] ?>" style="text-decoration:none" class="spacer" onclick="basicPopup(this.href);return false">
<img src="media/sniplets/<?= $row['videoimage'] ?>" class="styleblockimg zoomimg" alt="<?= $row['videotitle'] ?>" title="<?= $row['videotitle'] ?>" /></a>
</p>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center"><a href="core/designer/videobuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false"><i class="coltitlecolor fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href="core/designer/videos_position.php" onclick="basicPopup(this.href);return false"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a></div>
<?php }} ?>
<?php } else { ?>
<p class="center"><a href="<?= $row['videolink'] ?>" style="text-decoration:none" class="spacer" onclick="basicPopup(this.href);return false" title="<?= $row['videotitle'] ?>">
<img src="media/sniplets/<?= $row['videoimage'] ?>" class="styleblockimg zoomimg" alt="<?= $row['videotitle'] ?>" title="<?= $row['videotitle'] ?>" /></a>
</p>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center"><a href="core/designer/videobuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false"><i class="coltitlecolor fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href="core/designer/videos_position.php" onclick="basicPopup(this.href);return false"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a></div>
<?php }} ?>
<?php }} ?>
</div>
<?php }}

/**
 * 
 * Add the polls module.
 * Above the sidebar content block.
 * 
 */

if ($usepoll == 'Yes' && $position == 'Row Twelve Right' && $cansee == 'Public' && $placemod == 'Above') {
require_once 'core/modules/poll/index.php'; }    
if ($usepoll == 'Yes' && $position == 'Row Twelve Right' && $cansee == 'Members' && $placemod == 'Above') {
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin' or $_SESSION['role'] == 'Member' ) { 
require_once 'core/modules/poll/index.php'; }}} ?>
<br>

<?php 
/**
 * 
 * Add the stats plugin.
 * Above the sidebar content block.
 * 
 */

if ($statsposition == 'Above' && $showstats == 'Row Twelve Right') {
require_once 'core/plugins/stats.php'; ?>
<br>
<?php }

/**
 * 
 * Add the login/register module.
 * Above the sidebar content block.
 * 
 */

$sql = "SELECT * FROM registration"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
if ($row['registration_block'] == 'Row Twelve Right' && $row['allow_registration'] == 'Yes') {
require_once 'core/modules/registration/registration.php'; ?>
<br><hr />
<?php }}}

/**
 * 
 * Add the admin only block.
 * Above the sidebar content block.
 * 
 */

$sql = "SELECT * FROM admin_block";  
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($row['use_admin_block'] == 'Row Twelve Right' && $_SESSION['role'] == 'Admin') { ?>
<table><tr><td>
<br>
<?php require_once 'core/layout/admin.php'; ?>
<div class="column-footer spacer column">
<a href="core/designer/admin_block.php" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
</div>
</div>
</td></tr></table>
<br><hr />
<?php }}}}

/**
 * 
 * Add the plugins Above the sidebar content block.
 * 
 */

if ($calendarposition == 'Above' && $calendar_sidebar == 'Row Twelve Right') { ?>
<?php require 'core/plugins/calendar.php'; ?>
<br>
<?php }
if ($quicklinksposition == 'Above' && $quicklinks_sidebar == 'Row Twelve Right') { ?>
<?php require 'core/plugins/quicklinks.php'; ?>
<br>
<?php }
if ($tagcloudposition == 'Above' && $tags_sidebar == 'Row Twelve Right') { ?>
<?php require 'core/plugins/tagcloud.php'; ?>
<br>
<?php }
if ($spotlightposition == 'Above' && $spotlight_sidebar == 'Row Twelve Right') { ?>
<?php require 'core/plugins/spotlight.php'; ?>
<br>
<?php }
if ($categoriesposition == 'Above' && $categories_sidebar == 'Row Twelve Right') { ?>
<?php require 'core/plugins/categories.php'; ?>
<br>
<?php }
if ($archiveposition == 'Above' && $archivesidebar == 'Row Twelve Right') { ?>
<?php require 'core/plugins/archive.php'; ?>
<br>
<?php }
if ($clockposition == 'Above' && $clock_sidebar == 'Row Twelve Right') { 
require_once 'core/plugins/digital-clock.php'; ?>
<script src="core/js/digitalclock.js"></script>
<?php }
if ($linktomeposition == 'Above' && $use_linktome == 'Row Twelve Right') {
require_once 'core/modules/linktome/linktome.php'; }

/**
 * 
 * Add sniplets Above the sidebar content block.
 * 
 */ ?>

<table style="padding:0"><tr class="spacer"><td>
<?php $sql = "SELECT * FROM sniplet WHERE sniplet_group = 'Row Twelve Right' ORDER BY sniplet_position ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {     
if ($row['sniplet_use'] == 'Yes') { ?>
<div class="card hoverblock" style="height:<?= $row['snipletheight'] ?>; overflow-y:auto;">
<p class="center"><?= $row['sniplet_title'] ?></p>
<p class="center">
<?php if ($row['comments'] == 'Yes') { ?>
<a href="sys/snipletcomments.php?id=<?= $row['id'] ?>" target="_blank"><img src="sup/images/comment.png" style="width:20px" alt="<?= _COMMENT ?>" /></a>
<br> <?php } 

 if ($row['sniplet_usefulltext'] == 'Yes') { ?><a href="sup/sniplets.php?id=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false" title="<?= _OPENEASYREADER ?>"><img src="sup/images/uparrow.png" style="width:20px" alt="<?= _OPENEASYREADER ?>" /></a></p> <?php } ?>
<?php if ($row['imagesidebar'] == 'Top' || $row['imagesidebar'] == '') { ?>
<p class="center"><a href="<?= $row['sniplet_link'] ?>" style="text-decoration:none" target="_blank"><img src="media/sniplets/<?= $row['sniplet_image'] ?>" class="twelvetop styleimg zoomsnipletimg" alt="<?= $row['sniplet_text'] ?>" /></a></p>
<?php } ?>
<p class="left"><a href="<?= $row['sniplet_link'] ?>" style="text-decoration:none" target="_blank" title="<?= $row['sniplet_text'] ?>"></p>
<p class="left"><?= $row['sniplet_text'] ?></a>
<?php if ($row['imagesidebar'] == 'Bottom') { ?>
<p class="center"><a href="<?= $row['sniplet_link'] ?>" style="text-decoration:none" target="_blank"><img src="media/sniplets/<?= $row['sniplet_image'] ?>" class="twelvetop styleimg zoomsnipletimg" alt="<?= $row['sniplet_text'] ?>" /></a></p>
<?php } ?>
<br><p><small>(<?= _DATE ?>: <?= $row['date'] ?>)</small>
<br><small>(<?= _CATEGORY ?>: <?= $row['sniplet_category'] ?>)</small></p>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center"><a href="core/designer/snipletbuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false" title="<?= _EDIT ?>"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>&nbsp;&nbsp;&nbsp;<a href="core/designer/snipletsreposition.php" onclick="basicPopup(this.href);return false"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a></div>
<?php }} ?>
</div>
<?php }}} ?>
</td></tr></table>

<?php
/**
 * 
 * Add the blocks Above the sidebar content block.
 * 
 */

$sql = "SELECT * FROM blocks WHERE position = 'Row Twelve Right' && archiveblock = 'No' && locate = 'Above' ORDER BY block_position + 0 ASC";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($row['position'] == 'Row Twelve Right' && $row['showblock'] == 'Yes') { ?>
<div class="spacer">
<?php if ($row['styletitle'] == 'Styled') {
if ($row['usewhich'] == 'Icon' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title">
<i style="text-shadow:1px 1px 1px #000;width:25px;height:25px;color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i> <?= $row['title'] ?>
</div>
<?php } elseif ($row['usewhich'] == 'Graphic' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title">
<img src="media/images/<?= $row['graphic_icon'] ?>" style="border:0; width:25px; height:25px;" alt="" /> <?= $row['title'] ?>
</div>
<?php } elseif ($row['usewhich'] == 'None' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title"><?= $row['title'] ?></div>
<?php }
elseif ($row['usewhich'] == ''  && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title"><h3 class="center"><?= $row['title'] ?></h3></div>
<?php }}
if ($row['styletitle'] == 'Plain') {
if ($row['usewhich'] == 'Icon' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><i style="text-shadow:1px 1px 1px #000; font-size:24px; color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i>&nbsp; <?= $row['title'] ?></h3>
<?php } elseif ($row['usewhich'] == 'Graphic' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><img src="media/images/<?= $row['graphic_icon'] ?>" style="border:0; width:25px; height:25px;" alt="" /> <?= $row['title'] ?></h3>
<?php } elseif ($row['usewhich'] == 'None' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><?= $row['title'] ?></h3>
<?php }
elseif ($row['usewhich'] == ''  && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><?= $row['title'] ?></h3>
<?php }} 

if ($row['comments'] == 'Yes') { ?>
<div class="center"><a href="sys/blockcomments.php?id=<?= $row['id'] ?>" target="_blank"><i class="coltitlecolor fa fa-comments-o" title="<?= _COMMENT ?>: &quot;<?= $row['title'] ?>&quot;"></i></a></div>
<?php } 

/**
 * 
 * If using a background color.
 * 
 */


if ($row['whichback'] == 'Color') { ?>

<div class="spacer column" style="background:linear-gradient(<?= $row['firstcolor'] ?>, <?= $row['secondcolor'] ?>)"><?= $row['text'] ?>
<?php } 

/**
 * 
 * If using a background image.
 * 
 */ 

if ($row['whichback'] == 'Image') { ?>

<div class="spacer column" style="background: url('media/images/<?= $row['backimage'] ?>'); background-attachment:fixed; background-size:cover;"><?= $row['text'] ?>
<?php }

/**
 * 
 * If not using a background image or color.
 * 
 */ 

if ($row['whichback'] == 'None' || $row['whichback'] == '' ) { ?>
<div class="spacer card column"><?= $row['text'] ?>
<?php } ?>
 
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer spacer">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }} ?>
</div><br>
<?php }}}

/**
 * 
 * Add the Right sidebar content block.
 * 
 */ 

if ($positiontop_right == 'No' || $positiontop_right == '') { ?>
<?= $rightcontent ?>
<?php }

/**
 * 
 * Select if place plugins above block content or below.
 * 
 * If Below is selected.
 * 
 */ 

if ($usesearch == 'Row Twelve Right' && $position == 'Below') { ?>
<?php require 'core/plugins/google-search.php'; ?>
<br>
<?php }

/**
 * 
 * Add the theme preview plugin.
 * Below the sidebar content block.
 * 
 */

 if ($previewthemes == 'Row Twelve Right' && $themeposition == 'Below') {
 require_once 'core/plugins/previewthemes.php'; }

 /**
 * 
 * Add the polls module.
 * Below the sidebar content block.
 * 
 */

if ($usepoll == 'Yes' && $position == 'Row Twelve Right' && $cansee == 'Public' && $placemod == 'Below') {
require_once 'core/modules/poll/index.php'; }    
if ($usepoll == 'Yes' && $position == 'Row Twelve Right' && $cansee == 'Members' && $placemod == 'Below') {
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin' or $_SESSION['role'] == 'Member' ) { 
require_once 'core/modules/poll/index.php'; }}} ?>
<br>

<?php 
/**
 * 
 * Add the plugins.
 * Below the sidebar content block.
 * 
 */

if ($statsposition == 'Below' && $showstats == 'Row Twelve Right') {
require_once 'core/plugins/stats.php'; ?>
<br>
<?php }
if ($calendarposition == 'Below' && $calendar_sidebar == 'Row Twelve Right') { ?>
<?php require 'core/plugins/calendar.php'; ?>
<br>
<?php }
if ($quicklinksposition == 'Below' && $quicklinks_sidebar == 'Row Twelve Right') { ?>
<?php require 'core/plugins/quicklinks.php'; ?>
<br>
<?php }
if ($tagcloudposition == 'Below' && $tags_sidebar == 'Row Twelve Right') { ?>
<?php require 'core/plugins/tagcloud.php'; ?>
<br>
<?php }
if ($spotlightposition == 'Below' && $spotlight_sidebar == 'Row Twelve Right') { ?>
<?php require 'core/plugins/spotlight.php'; ?>
<br>
<?php }
if ($categoriesposition == 'Below' && $categories_sidebar == 'Row Twelve Right') { ?>
<?php require 'core/plugins/categories.php'; ?>
<br>
<?php }
if ($archiveposition == 'Below' && $archivesidebar == 'Row Twelve Right') { ?>
<?php require 'core/plugins/archive.php'; ?>
<br>
<?php }
if ($clockposition == 'Below' && $clock_sidebar == 'Row Twelve Right') { 
require_once 'core/plugins/digital-clock.php'; ?>
<script src="core/js/digitalclock.js"></script>
<?php }
if ($linktomeposition == 'Below' && $use_linktome == 'Row Twelve Right') {
require_once 'core/modules/linktome/linktome.php'; }

/**
 * 
 * Add the blocks Below the sidebar content block.
 * 
 */

$sql = "SELECT * FROM blocks WHERE position = 'Row Twelve Right' && archiveblock = 'No' && locate = 'Below' ORDER BY block_position + 0 ASC";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($row['position'] == 'Row Twelve Right' && $row['showblock'] == 'Yes') { ?>
<div class="spacer">
<?php if ($row['styletitle'] == 'Styled') {
if ($row['usewhich'] == 'Icon' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title">
<i style="text-shadow:1px 1px 1px #000;width:25px;height:25px;color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i> <?= $row['title'] ?>
</div>
<?php } elseif ($row['usewhich'] == 'Graphic' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title">
<img src="media/images/<?= $row['graphic_icon'] ?>" style="border:0; width:25px; height:25px;" alt="" /> <?= $row['title'] ?>
</div>
<?php } elseif ($row['usewhich'] == 'None' && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title"><?= $row['title'] ?></div>
<?php }
elseif ($row['usewhich'] == ''  && $row['showtitle'] == 'Yes') { ?>
<div class="column center column-title"><h3 class="center"><?= $row['title'] ?></h3></div>
<?php }}
if ($row['styletitle'] == 'Plain') {
if ($row['usewhich'] == 'Icon' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><i style="text-shadow:1px 1px 1px #000; font-size:24px; color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i>&nbsp; <?= $row['title'] ?></h3>
<?php } elseif ($row['usewhich'] == 'Graphic' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><img src="media/images/<?= $row['graphic_icon'] ?>" style="border:0; width:25px; height:25px;" alt="" /> <?= $row['title'] ?></h3>
<?php } elseif ($row['usewhich'] == 'None' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><?= $row['title'] ?></h3>
<?php }
elseif ($row['usewhich'] == ''  && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><?= $row['title'] ?></h3>
<?php }} 

if ($row['comments'] == 'Yes') { ?>
<div class="center"><a href="sys/blockcomments.php?id=<?= $row['id'] ?>" target="_blank"><i class="coltitlecolor fa fa-comments-o" title="<?= _COMMENT ?>: &quot;<?= $row['title'] ?>&quot;"></i></a></div>
<?php } 

/**
 * 
 * If using a background color.
 * 
 */


if ($row['whichback'] == 'Color') { ?>

<div class="spacer column" style="background:linear-gradient(<?= $row['firstcolor'] ?>, <?= $row['secondcolor'] ?>)"><?= $row['text'] ?>
<?php } 

/**
 * 
 * If using a background image.
 * 
 */ 

if ($row['whichback'] == 'Image') { ?>

<div class="spacer column" style="background: url('media/images/<?= $row['backimage'] ?>'); background-attachment:fixed; background-size:cover;"><?= $row['text'] ?>
<?php }

/**
 * 
 * If not using a background image or color.
 * 
 */ 

if ($row['whichback'] == 'None' || $row['whichback'] == '' ) { ?>
<div class="spacer card column"><?= $row['text'] ?>
<?php } ?>
 
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer spacer">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--bottom hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }} ?>
</div><br>
<?php }}}

/**
 * 
 * End of Right Sidebar.
 * Close Row Twelve.
 * 
 */

} ?>

</td></tr></table>
