<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */

 /**
  * 
  * If Row One Top Articles position is chosen
  * and `sidebars_used` is Both.
  *
  */ ?>

<table><tr>

<td class="top top-article-sidebar-left spacer">

<?php
/**
 * 
 * Add the content that was built 
 * using the Top Article content
 * builder.
 * 
 */ ?>

<div class="card spacer"><?= $lefttext ?>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center column-footer spacer">
<a href="core/designer/website.php#topsidebars" onclick="basicPopup(this.href);return false">
<img src="sup/images/edit.gif" style="width:20px" alt="" />
</a></div>
<?php }} ?>
</div>

<?php
/**
 * 
 * Add the flip cards
 * above row one 
 * top articles
 * 
 */

 $sql = "SELECT * FROM flipcard WHERE location = 'Top Article Left' ORDER BY position + 0 ASC";
 $result = $conn->query($sql);
 if ($result->num_rows > 0) {
 while ($row = $result->fetch_assoc()) { ?>
 <div style="height:<?= $row['setheight'] ?>">
 <div class="flip-card" style="background: linear-gradient(<?= $row['containercolorfirst'] ?>, <?= $row['containercolorsecond'] ?>); width:100%; height:100%; perspective:1000px;">
 <div class="flip-card-inner" style="position:relative; width:100%; height:100%; text-align:center; transition:transform 0.6s; transform-style: preserve-3d; box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);">
 <div class="flip-card-front">
 <?php if ($row['flipcardback'] == 'Image') { ?>
 <div style="background: url('media/flipcard/<?= $row['backimage'] ?>'); background-attachment:fixed; background-size:cover; width:100%; height:100%;"></div>
 <?php } else { ?>
 <img src="media/flipcard/<?= $row['photo'] ?>" style="width:100%; height:100%;" alt="" />
 <?php } ?>
 </div>
 <div class="flip-card-back spacer" style="background:linear-gradient(<?= $row['backcolorfirst'] ?>, <?= $row['backcolorsecond'] ?>);">
 <?= $row['content'] ?>
 </div>
 </div>
 </div>
 <?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { 
 if ($_SESSION['role'] == 'Admin') { ?>
 <div class="center">
 <a href="core/designer/flipcardbuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false">
 <img src="sup/images/edit.gif" style="width:20px" alt="" /></a>
 </div>
 <?php }} ?>
 </div>
 <?php }} 

/**
* 
* Add the mini articles block.
* 
* Build the array.
* Only show the articles
* chosen as Mini and 
* show in ascending order. 
* 
*/

$sql = "SELECT * FROM articles WHERE article_container = 'Mini' AND mini_position = 'Top Article Left' ORDER BY position_order + 0 ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
    
if ($row['publish'] == 'Yes') { ?>

<div class="card column hoverblock" style="width:100%">

<?php if ($row['usetitle'] == 'Styled') { ?>
<div class="column-title coltitlecolor center" style="width:100%">
<a href="sup/articles.php?id=<?= $row['id'] ?>" title="<?= _CLICKREADMORE ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false">
<h3>&quot;<?= $row['c_title'] ?>&quot;</h3></div>
<?php } 

elseif ($row['usetitle'] == 'Plain') { ?>
<a href="sup/articles.php?id=<?= $row['id'] ?>" title="<?= _CLICKREADMORE ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false">
<h3>&quot;<?= $row['c_title'] ?>&quot;</h3>
<?php } ?>

<?php if ($row['chooseicon'] == 'Icon') { ?>
<i style="color: <?= $row['iconcolor'] ?>; font-size:<?= $row['seticonsize'] ?>;" class="zoomimg <?= $row['icon'] ?>"></i> 
<?php } 

elseif ($row['chooseicon'] == 'Image')  { ?>
<img src="media/images/<?= $row['g_image'] ?>" class="zoomimg" style="width:<?= $row['setimgsize'] ?>; height:<?= $row['setimgsize'] ?>; border-radius:<?= $row['imgradius'] ?>" alt="" />
<?php } 

elseif ($row['chooseicon'] == '' || $row['chooseicon'] == 'None')  { } 

/**
 * 
 * Show the teaser text.
 * 
 */ ?>

<div class="left" style="height:<?= $row['setheight'] ?>; overflow-y:auto;"><?= $row['shorttext'] ?><p class="center">[ <?= $row['date'] ?> ]</p></div>

<?php 
/** 
 * 
 * Add the admin direct 
 * editing feature.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { 
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center"><a href="core/designer/articlebuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false">
<img src="sup/images/edit.gif" style="width:20px" alt="" /></a>
</div>
<?php }} ?>
</div>
<br>
<?php }}}

/**
 * 
 * Add the plugins that
 * are selected above
 * other content.
 * 
 */

require_once 'top-plugins-left-above.php';

/**
 * 
 * Add the optional modal module 
 * if sidebars_used is Left.
 * 
 */ 

if ($modal_sidebar == 'Top Article Left') { 
echo '<div class="center top card">';
require_once 'core/modules/modal/modal.php'; } 
echo '</div>';

/**
 *
 * General sidebar titles and text
 * Where Left was chosen.
 *
 */

$sql = "SELECT * FROM blocks WHERE archiveblock = 'No' AND locate = 'Above' ORDER BY block_position + 0 ASC";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($row['position'] == 'Top Article Left') { ?>
<div class="spacer">
<?php if ($row['styletitle'] == 'Styled') {
 if ($row['usewhich'] == 'Icon' && $row['showtitle'] == 'Yes') { ?>
 <div class="column center column-title">
 <i style="text-shadow:1px 1px 1px #000;width:25px;height:25px;color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i> <?= $row['title'] ?>
 </div>
 <?php } elseif ($row['usewhich'] == 'Graphic' && $row['showtitle'] == 'Yes') { ?>
 <div class="column center column-title">
 <img src="media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /> <?= $row['title'] ?>
 </div>
 <?php } elseif ($row['usewhich'] == 'None' && $row['showtitle'] == 'Yes') { ?>
 <div class="column center column-title"><?= $row['title'] ?></div>
 <?php }} 

if ($row['styletitle'] == 'Plain') {
if ($row['usewhich'] == 'Icon' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><i style="text-shadow:1px 1px 1px #000; font-size:24px; color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i>&nbsp; <?= $row['title'] ?></h3>
<?php } elseif ($row['usewhich'] == 'Graphic' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><img src="media/images/<?= $row['graphic_icon'] ?>" style="border:0; width:25px; height:25px" alt="" /> <?= $row['title'] ?></h3>

<?php } elseif ($row['usewhich'] == 'None' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><?= $row['title'] ?></h3>
<?php }}

if ($row['whichback'] == 'Color') { ?>
<div class="spacer column" style="background:linear-gradient(<?= $row['firstcolor'] ?>, <?= $row['secondcolor'] ?>)"><?= $row['text'] ?>
<?php } 

elseif ($row['whichback'] == 'Image') { ?>
<div class="spacer column" style="background: url('media/images/<?= $row['backimage'] ?>'); background-attachment:fixed;"><?= $row['text'] ?>
<?php }

elseif ($row['whichback'] == 'None') { ?>
<div class="spacer column card"><?= $row['text'] ?>
<?php }

if ($row['comments'] == 'Yes') { ?>
<div class="center"><a href="sys/blockcomments.php?id=<?= $row['id'] ?>" target="_blank" title="<?= _COMMENT ?>: &quot;<?= $row['title'] ?>&quot;"><img src="sup/images/comment.png" style="width:20px" alt="<?= _COMMENT ?>: &quot;<?= $row['title'] ?>&quot;" /></a></div>
<?php } ?>

</div>

<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer spacer center">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }} ?>
</div><br>
<?php }}} // End the array.

/**
 * 
 * Add sniplets if selected.
 * 
 */ ?>

<table><tr><td class="spacer">
<?php $sql = "SELECT * FROM sniplet WHERE sniplet_group = 'Top Article Left' ORDER BY sniplet_position ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
if ($row['sniplet_use'] == 'Yes') { ?>
<div class="card">
<?php if ($row['showtitle'] == 'Plain' ) { ?>
<p class="center"><?= $row['sniplet_title'] ?></p>
<?php }

if ($row['showtitle'] == 'Styled' ) { ?>
<div class="column-title coltitlecolor"><p class="center"><?= $row['sniplet_title'] ?></p></div>
<?php } ?>
<div class="center spacer">

<?php if ($row['comments'] == 'Yes') { ?>
<a href="sys/snipletcomments.php?id=<?= $row['id'] ?>" target="_blank" title="<?= _COMMENT ?>: &quot;<?= $row['sniplet_title'] ?>&quot;"><img src="sup/images/comment.png" style="width:20px" alt="<?= _COMMENT ?>: &quot;<?= $row['sniplet_title'] ?>&quot;" /></a>&nbsp;&nbsp;&nbsp;
<?php }

if ($row['sniplet_usefulltext'] == 'Yes') { ?><a href="sup/sniplets.php?id=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false" title="<?= _OPENEASYREADER ?>"><img src="sup/images/uparrow.png" style="width:20px" alt="<?= _OPENEASYREADER ?>" /></a>
<?php } ?>
</div>

<?php if ($row['imagesidebar'] == 'Top' || $row['imagesidebar'] == '') { ?>
<p class="center"><a href="<?= $row['sniplet_link'] ?>" style="text-decoration:none" target="_blank"><img src="media/sniplets/<?= $row['sniplet_image'] ?>" class="zoomsnipletimg snipletimage" alt="<?= $row['sniplet_text'] ?>" /></a></p>
<?php } ?>

<p class="left"><a href="<?= $row['sniplet_link'] ?>" style="text-decoration:none" target="_blank" title="<?= $row['sniplet_text'] ?>"></p>
<p class="left"><?= $row['sniplet_text'] ?></a>

<?php if ($row['imagesidebar'] == 'Bottom') { ?>
<p class="center"><a href="<?= $row['sniplet_link'] ?>" style="text-decoration:none" target="_blank"><img src="media/sniplets/<?= $row['sniplet_image'] ?>" class="zoomsnipletimg snipletimage" alt="<?= $row['sniplet_text'] ?>" /></a></p>
<?php } 

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center column-footer spacer"><a href="core/designer/snipletbuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a> <a href="core/designer/snipletsreposition.php" onclick="basicPopup(this.href);return false"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a></div></div>
<?php }}}}} ?>
</div>
</td></tr></table>
<br>

<?php
/**
 *
 * General sidebar titles and text
 * Where Left was chosen.
 *
 */

$sql = "SELECT * FROM blocks WHERE archiveblock = 'No' AND locate = 'Below' ORDER BY block_position + 0 ASC";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($row['position'] == 'Top Article Left') { ?>
<div class="spacer">
<?php if ($row['styletitle'] == 'Styled') {
 if ($row['usewhich'] == 'Icon' && $row['showtitle'] == 'Yes') { ?>
 <div class="column center column-title">
 <i style="text-shadow:1px 1px 1px #000;width:25px;height:25px;color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i> <?= $row['title'] ?>
 </div>
 <?php } elseif ($row['usewhich'] == 'Graphic' && $row['showtitle'] == 'Yes') { ?>
 <div class="column center column-title">
 <img src="media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /> <?= $row['title'] ?>
 </div>
 <?php } elseif ($row['usewhich'] == 'None' && $row['showtitle'] == 'Yes') { ?>
 <div class="column center column-title"><?= $row['title'] ?></div>
 <?php }} 

if ($row['styletitle'] == 'Plain') {
if ($row['usewhich'] == 'Icon' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><i style="text-shadow:1px 1px 1px #000; font-size:24px; color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i>&nbsp; <?= $row['title'] ?></h3>
<?php } elseif ($row['usewhich'] == 'Graphic' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><img src="media/images/<?= $row['graphic_icon'] ?>" style="border:0; width:25px; height:25px" alt="" /> <?= $row['title'] ?></h3>

<?php } elseif ($row['usewhich'] == 'None' && $row['showtitle'] == 'Yes') { ?>
<h3 class="center"><?= $row['title'] ?></h3>
<?php }}

if ($row['whichback'] == 'Color') { ?>
<div class="spacer column" style="background:linear-gradient(<?= $row['firstcolor'] ?>, <?= $row['secondcolor'] ?>)"><?= $row['text'] ?>
<?php } 

elseif ($row['whichback'] == 'Image') { ?>
<div class="spacer column" style="background: url('media/images/<?= $row['backimage'] ?>'); background-attachment:fixed;"><?= $row['text'] ?>
<?php }

elseif ($row['whichback'] == 'None') { ?>
<div class="spacer column card"><?= $row['text'] ?>
<?php }

if ($row['comments'] == 'Yes') { ?>
<div class="center"><a href="sys/blockcomments.php?id=<?= $row['id'] ?>" target="_blank" title="<?= _COMMENT ?>: &quot;<?= $row['title'] ?>&quot;"><img src="sup/images/comment.png" style="width:20px" alt="<?= _COMMENT ?>: &quot;<?= $row['title'] ?>&quot;" /></a></div>
<?php } ?>

</div>

<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer spacer center">
<a href="core/designer/blockbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['title'] ?>&quot;" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;<a href="core/designer/block-content.php" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>"><img src="sup/images/arrows.png" style="width:20px" alt="<?= _REPOSITION ?>" /></a>
</div>
<?php }} ?>
</div><br>
<?php }}} // End the array.

/**
 * 
 * Add the plugins that
 * are selected below
 * other content.
 * 
 */

 require_once 'top-plugins-Left-below.php'; ?>

 </td>

<?php
/**
 * 
 * Close the Left sidebar
 *  and add the articles.
 * 
 */ ?>

<td class="top-article-both top">
<?php require_once 'core/layout/articlesblock.php'; ?>
</td>

</tr></table>