<?php
/**
 * Spectra is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra
 * @author    Mike Boyles <codersjunctions@gmail.com>
 * @copyright 2020-2023 Coders Junction
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.coders-junction.com
 */


$fileindex = 'index.php';
if (file_exists($fileindex)) {
"$fileindex";
} else {
$fileindex = '../../index.php'; } ?>

<li class="hilite menuborderright">
<a href="<?= $fileindex ?>" class="home">
<i style="color:<?= $linkcolor ?>" class="fa fa-home"></i>
<span class="hometext">&nbsp;<?= _HOME ?></span>
</a>
</li>

<?php
/**
 *  Build single links array
 * 
 */

$result = mysqli_query($conn, "SELECT * FROM  singlelinks");
while ($row = mysqli_fetch_array($result)) {
if ($row['uselink'] == 'Yes') { ?>
<li class="hilite menuborderright">
<a href="<?= $row['link_url'] ?>" title="<?= $row['linktitle'] ?>">
<i style="color:<?= $row['link_icon_color'] ?>" class="<?= $row['link_icon'] ?>"></i>
<span style="color:<?= $linkcolor ?>"><?= $row['link_name'] ?></span>
<span style="color:<?= $linkcolor ?>"></span>
</a>
</li>
<?php }}

/**
 * Registration / Account 
 * 
 */

$filename = 'sys/home.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../../sys/home.php'; }

$sql = "SELECT * FROM registration, website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$allowthemeuse = $row['allowthemeuse'];
$contact_staff = $row['contact_staff'];

if ($row['allow_registration'] == 'Yes') { ?>

<li class="hilite menuborderright">
<a href="<?= $filename ?>">
<i style="color:<?= $row['account_icon_color'] ?>" class="<?= $row['account_icon'] ?>"></i> 
<span style="color:<?= $linkcolor ?>"><?= _ACCOUNT ?></span>
<span style="color:<?= $linkcolor ?>" class="arrow"></span>
</a>

<ul class="sub-menu">
<li class="left">
<a href="<?= $filename ?>" style="text-decoration:none">
<p class="ddlinks"><?= _ACCOUNT ?></p>
</a>
</li>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { 

$filename = 'sys/';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../../sys/'; }

if ($contact_staff == 'Yes') { ?>
<li class="left">
<a href="<?= $filename ?>contactstaff.php" style="text-decoration:none">
<p class="ddlinks"><?= _CONTACT ?></p>
</a>
</li>
<?php }

if ($allowthemeuse == 'Yes') { ?>
<li class="left">
<a href="<?= $filename ?>profile.php?action=edit#theme" style="text-decoration:none">
<p class="ddlinks"><?= _CHANGETHEME ?></p>
</a>
</li>
<?php } ?>

<li class="left">
<a href="<?= $filename ?>profile.php?action=edit#avatar" style="text-decoration:none">
<p class="ddlinks"><?= _AVATAR ?></p>
</a>
</li>

<?php $userlist = 'sup/';
if (file_exists($userlist)) {
"userlist";
} else {
$userlist = '../sup/'; }

$sql = "SELECT showuserlist FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($row['showuserlist'] == 'Yes') { ?>
<li class="left">
<a href="<?= $userlist ?>userlist.php" style="text-decoration:none">
<p class="ddlinks"><?= _MEMBERSLIST ?></p>
</a>
</li>
<?php }}}

$article = '../sys/';
if (file_exists($article)) {
"article";
} else {
$article = '../sys/'; }

$sql = "SELECT allow_article FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($row['allow_article'] == 'Yes') { ?>
<li class="left">
<a href="<?= $article ?>articlebuilder.php" style="text-decoration:none">
<p class="ddlinks"><?= _SUBMITARTICLE ?></p>
</a>
</li>

<?php }}}} ?>

</ul></li>

<?php }}}

/**
* Build the megamenu array ... 
* unlimited columns
* 
*/

$sql = "SELECT * FROM megamenu";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($row['mm_use'] == 'Yes') {
$result = mysqli_query($conn, "SELECT * FROM  megamenu");
while ($row = mysqli_fetch_array($result)) { ?>
<li class="hilite menuborderright">
<a href="#">
<i style="color:<?= $row['mm_icon_color'] ?>" class="<?= $row['mm_icon'] ?>"></i> 
<span style="color:<?= $linkcolor ?>"><?= $row['mm_name'] ?></span>
<span style="color:<?= $linkcolor ?>" class="arrow"></span>
</a>
<ul class="sub-menu">
<li><?= $row['mm_content'] ?></li>
</ul>
</li>
<?php }}}}

/**
* Downloads
* 
*/

$filename = 'core/downloads/';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../core/downloads/'; }
$sql = "SELECT * FROM downloadconfig, modules";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($row['use_downloads'] == 'Yes' && $row['downloads_public'] == 'Yes') { ?>
<li class="hilite menuborderright">
<a href="<?= $filename ?>">
<i style="color:<?= $row['download_icon_color'] ?>" class="<?= $row['download_icon'] ?>"></i> 
<span style="color:<?= $linkcolor ?>"><?= _DOWNLOADS ?></span>
</a>
</li>
<?php }

/**
* Use Public Contact
* Either use Jotform 
* or standard Spectra
* form.
* 
*/

if ($row['use_contact'] == 'Yes') {
if ($row['use_jotform'] == 'Yes') { ?>

<li class="hilite menuborderright">
<a href="https://form.jotform.com/<?= $row['jotform_user'] ?>" onclick="basicPopup(this.href);return false">
<i style="color:<?= $row['contact_icon_color'] ?>" class="<?= $row['contact_icon'] ?>"></i> 
<span style="color:<?= $linkcolor ?>"><?= _CONTACT ?></span>
</a>
</li>
<?php } else {
$filename = '../sys/public.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../../sys/public.php'; } ?>
<li class="hilite menuborderright">
<a href="<?= $filename ?>" onclick="basicPopup(this.href);return false">
<i style="color:<?= $row['contact_icon_color'] ?>" class="<?= $row['contact_icon'] ?>"></i> 
<span style="color:<?= $linkcolor ?>"><?= _CONTACT ?></span>
</a>
</li>
<?php }}

/**
* 
* Gallery
* 
*/

$filename = 'core/modules/spectragallery/album.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../core/modules/spectragallery/album.php'; }

if ($row['use_gallery'] == 'Yes') { ?>

<li class="hilite menuborderright">
<a href="<?= $filename ?>">
<i style="color:<?= $row['gallery_icon_color'] ?>" class="<?= $row['gallery_icon'] ?>"></i> 
<span style="color:<?= $linkcolor ?>"><?= $row['gallery_linkname'] ?></span>
</a>
</li>

<?php }}}

/**
* Build the pages auto menus 
* with (12) columns and 
* unlimited pages in each.
* 
* Set the links
* for all page menus
* 
*/

$filename = 'sup/pages.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../sup/pages.php'; }

/**
* Menu One
* 
*/

$sql = "SELECT * FROM pagesautomenu, newpages, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$id = $row['id'];
$usemenu_one = $row['usemenu_one'];
$menuface_one = $row['menuface_one'];
$name_one = $row['name_one'];
$icon_one = $row['icon_one'];
$icon_color_one = $row['icon_color_one'];
$menuname = $row['menuname']; }}
global $usemenu_one;
if ($usemenu_one == 'Yes') { ?>
<li class="hilite menuborderright">
<a href="#">
<i style="color:<?= $icon_color_one ?>" class="<?= $icon_one ?>"></i>
<span style="color:<?= $linkcolor ?>"><?= $menuface_one ?></span>
<span style="color:<?= $linkcolor ?>" class="arrow"></span>
</a>
<ul class="sub-menu">
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE menuface_one='$menuface_one'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu1' ORDER BY menuposition  + 0 ASC");
while ($row = mysqli_fetch_array($result)) {
echo '<li><a href="' . $filename . '?id=' . $row['id'] . '">'; ?>
<p class="ddlinks"><?= $row['pagename'] ?></p>
</a>
</li>
<?php } ?>
</ul>
</li>
<?php }

/**
* Menu Two
* 
*/

$sql = "SELECT * FROM pagesautomenu, newpages, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_two = $row['usemenu_two'];
$menuface_two = $row['menuface_two'];
$name_two = $row['name_two'];
$icon_two = $row['icon_two'];
$icon_color_two = $row['icon_color_two']; }}
global $usemenu_two;
if ($usemenu_two == 'Yes') { ?>
<li class="hilite menuborderright">
<a href="#">
<i style="color:<?= $icon_color_two ?>" class="<?= $icon_two ?>"></i>
<span style="color:<?= $linkcolor ?>"><?= $menuface_two ?></span>
<span style="color:<?= $linkcolor ?>" class="arrow"></span>
</a>
<ul class="sub-menu">
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE name_two='$menuface_two'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu2' ORDER BY menuposition  + 0 ASC");
while ($row = mysqli_fetch_array($result)) {
echo '<li><a href="' . $filename . '?id=' . $row['id'] . '">'; ?>
<p class="ddlinks"><?= $row['pagename'] ?></p>
</a>
</li>
<?php } ?>
</ul>
</li>
<?php }

/**
* Menu Three
* 
*/

$sql = "SELECT * FROM pagesautomenu, newpages, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_three = $row['usemenu_three'];
$menuface_three = $row['menuface_three'];
$name_three = $row['name_three'];
$icon_three = $row['icon_three'];
$icon_color_three = $row['icon_color_three']; }}
global $usemenu_three;
if ($usemenu_three == 'Yes') { ?>
<li class="hilite menuborderright">
<a href="#">
<i style="color:<?= $icon_color_three ?>" class="<?= $icon_three ?>"></i>
<span style="color:<?= $linkcolor ?>"><?= $menuface_three ?></span>
<span style="color:<?= $linkcolor ?>" class="arrow"></span>
</a>
<ul class="sub-menu">
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE name_three='$menuface_three'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu3' ORDER BY menuposition  + 0 ASC");
while ($row = mysqli_fetch_array($result)) {
echo '<li><a href="' . $filename . '?id=' . $row['id'] . '">'; ?>
<p class="ddlinks"><?= $row['pagename'] ?></p>
</a>
</li>
<?php } ?>
</ul>
</li>
<?php }

/**
* Menu Four
* 
*/

$sql = "SELECT * FROM pagesautomenu, newpages, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_four = $row['usemenu_four'];
$menuface_four = $row['menuface_four'];
$menuname = $row['menuname'];
$name_four = $row['name_four'];
$icon_four = $row['icon_four'];
$icon_color_four = $row['icon_color_four']; }}
global $usemenu_four;
if ($usemenu_four == 'Yes') { ?>
<li class="hilite menuborderright">
<a href="#">
<i style="color:<?= $icon_color_four ?>" class="<?= $icon_four ?>"></i>
<span style="color:<?= $linkcolor ?>"><?= $menuface_four ?></span>
<span style="color:<?= $linkcolor ?>" class="arrow"></span>
</a>
<ul class="sub-menu">
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE name_four='$menuface_four'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu4' ORDER BY menuposition  + 0 ASC");
while ($row = mysqli_fetch_array($result)) {
echo '<li><a href="' . $filename . '?id=' . $row['id'] . '">'; ?>
<p class="ddlinks"><?= $row['pagename'] ?></p>
</a>
</li>
<?php } ?>
</ul>
</li>
<?php }

/**
* Menu Five
* 
*/

$sql = "SELECT * FROM pagesautomenu, newpages, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_five = $row['usemenu_five'];
$menuface_five = $row['menuface_five'];
$menuname = $row['menuname'];
$name_five = $row['name_five'];
$icon_five = $row['icon_five'];
$icon_color_five = $row['icon_color_five']; }}
global $usemenu_five;
if ($usemenu_five == 'Yes') { ?>
<li class="hilite menuborderright">
<a href="#">
<i style="color:<?= $icon_color_five ?>" class="<?= $icon_five ?>"></i>
<span style="color:<?= $linkcolor ?>"><?= $menuface_five ?></span>
<span style="color:<?= $linkcolor ?>" class="arrow"></span>
</a>
<ul class="sub-menu">
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE name_five='$menuface_five'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu5' ORDER BY menuposition  + 0 ASC");
while ($row = mysqli_fetch_array($result)) {
echo '<li><a href="' . $filename . '?id=' . $row['id'] . '">'; ?>
<p class="ddlinks"><?= $row['pagename'] ?></p>
</a>
</li>
<?php } ?>
</ul>
</li>
<?php }

/**
* Menu Six
* 
*/

$sql = "SELECT * FROM pagesautomenu, newpages, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_six = $row['usemenu_six'];
$menuface_six = $row['menuface_six'];
$menuname = $row['menuname'];
$name_six = $row['name_six'];
$icon_six = $row['icon_six'];
$icon_color_six = $row['icon_color_six']; }}
global $usemenu_six;
if ($usemenu_six == 'Yes') { ?>
<li class="hilite menuborderright">
<a href="#">
<i style="color:<?= $icon_color_six ?>" class="<?= $icon_six ?>"></i>
<span style="color:<?= $linkcolor ?>"><?= $menuface_six ?></span>
<span style="color:<?= $linkcolor ?>" class="arrow"></span>
</a>
<ul class="sub-menu">
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE name_five='$menuface_six'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu6' ORDER BY menuposition  + 0 ASC");
while ($row = mysqli_fetch_array($result)) {
echo '<li><a href="' . $filename . '?id=' . $row['id'] . '">'; ?>
<p class="ddlinks"><?= $row['pagename'] ?></p>
</a>
</li>
<?php } ?>
</ul>
</li>
<?php }

/**
* Menu Seven
* 
*/

$sql = "SELECT * FROM pagesautomenu, newpages, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_seven = $row['usemenu_seven'];
$menuface_seven = $row['menuface_seven'];
$menuname = $row['menuname'];
$name_seven = $row['name_seven'];
$icon_seven = $row['icon_seven'];
$icon_color_seven = $row['icon_color_seven']; }}
global $usemenu_seven;
if ($usemenu_seven == 'Yes') { ?>
<li class="hilite menuborderright">
<a href="#">
<i style="color:<?= $icon_color_seven ?>" class="<?= $icon_seven ?>"></i>
<span style="color:<?= $linkcolor ?>"><?= $menuface_seven ?></span>
<span style="color:<?= $linkcolor ?>" class="arrow"></span>
</a>
<ul class="sub-menu">
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE name_five='$menuface_seven'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu7' ORDER BY menuposition  + 0 ASC");
while ($row = mysqli_fetch_array($result)) {
echo '<li><a href="' . $filename . '?id=' . $row['id'] . '">'; ?>
<p class="ddlinks"><?= $row['pagename'] ?></p>
</a>
</li>
<?php } ?>
</ul>
</li>
<?php }

/**
* Menu Eight
* 
*/

$sql = "SELECT * FROM pagesautomenu, newpages, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_eight = $row['usemenu_eight'];
$menuface_eight = $row['menuface_eight'];
$menuname = $row['menuname'];
$name_eight = $row['name_eight'];
$icon_eight = $row['icon_eight'];
$icon_color_eight = $row['icon_color_eight']; }}
global $usemenu_eight;
if ($usemenu_eight == 'Yes') { ?>
<li class="hilite menuborderright">
<a href="#">
<i style="color:<?= $icon_color_eight ?>" class="<?= $icon_eight ?>"></i>
<span style="color:<?= $linkcolor ?>"><?= $menuface_eight ?></span>
<span style="color:<?= $linkcolor ?>" class="arrow"></span>
</a>
<ul class="sub-menu">
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE name_five='$menuface_eight'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu8' ORDER BY menuposition  + 0 ASC");
while ($row = mysqli_fetch_array($result)) {
echo '<li><a href="' . $filename . '?id=' . $row['id'] . '">'; ?>
<p class="ddlinks"><?= $row['pagename'] ?></p>
</a>
</li>
<?php } ?>
</ul>
</li>
<?php }

/**
* Menu Nine
* 
*/

$sql = "SELECT * FROM pagesautomenu, newpages, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_nine = $row['usemenu_nine'];
$menuface_nine = $row['menuface_nine'];
$menuname = $row['menuname'];
$name_nine = $row['name_nine'];
$icon_nine = $row['icon_nine'];
$icon_color_nine = $row['icon_color_nine']; }}
global $usemenu_nine;
if ($usemenu_nine == 'Yes') { ?>
<li class="hilite menuborderright">
<a href="#">
<i style="color:<?= $icon_color_nine ?>" class="<?= $icon_nine ?>"></i>
<span style="color:<?= $linkcolor ?>"><?= $menuface_nine ?></span>
<span style="color:<?= $linkcolor ?>" class="arrow"></span>
</a>
<ul class="sub-menu">
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE name_five='$menuface_nine'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu9' ORDER BY menuposition  + 0 ASC");
while ($row = mysqli_fetch_array($result)) {
echo '<li><a href="' . $filename . '?id=' . $row['id'] . '">'; ?>
<p class="ddlinks"><?= $row['pagename'] ?></p>
</a>
</li>
<?php } ?>
</ul>
</li>
<?php }

/**
* Menu Ten
* 
*/

$sql = "SELECT * FROM pagesautomenu, newpages, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_ten = $row['usemenu_ten'];
$menuface_ten = $row['menuface_ten'];
$menuname = $row['menuname'];
$name_ten = $row['name_ten'];
$icon_ten = $row['icon_ten'];
$icon_color_ten = $row['icon_color_ten']; }}
global $usemenu_ten;
if ($usemenu_ten == 'Yes') { ?>
<li class="hilite menuborderright">
<a href="#">
<i style="color:<?= $icon_color_ten ?>" class="<?= $icon_ten ?>"></i>
<span style="color:<?= $linkcolor ?>"><?= $menuface_ten ?></span>
<span style="color:<?= $linkcolor ?>" class="arrow"></span>
</a>
<ul class="sub-menu">
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE name_ten='$menuface_ten'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu10' ORDER BY menuposition  + 0 ASC");
while ($row = mysqli_fetch_array($result)) {
echo '<li><a href="' . $filename . '?id=' . $row['id'] . '">'; ?>
<p class="ddlinks"><?= $row['pagename'] ?></p>
</a>
</li>
<?php } ?>
</ul>
</li>
<?php }

/**
* Menu Eleven
* 
*/

$sql = "SELECT * FROM pagesautomenu, newpages, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_eleven = $row['usemenu_eleven'];
$menuface_eleven = $row['menuface_eleven'];
$menuname = $row['menuname'];
$name_eleven = $row['name_eleven'];
$icon_eleven = $row['icon_eleven'];
$icon_color_eleven = $row['icon_color_eleven']; }}
global $usemenu_eleven;
if ($usemenu_eleven == 'Yes') { ?>
<li class="hilite menuborderright">
<a href="#">
<i style="color:<?= $icon_color_eleven ?>" class="<?= $icon_eleven ?>"></i>
<span style="color:<?= $linkcolor ?>"><?= $menuface_eleven ?></span>
<span style="color:<?= $linkcolor ?>" class="arrow"></span>
</a>
<ul class="sub-menu">
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE name_eleven='$menuface_eleven'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu11' ORDER BY menuposition  + 0 ASC");
while ($row = mysqli_fetch_array($result)) {
echo '<li><a href="' . $filename . '?id=' . $row['id'] . '">'; ?>
<p class="ddlinks"><?= $row['pagename'] ?></p>
</a>
</li>
<?php } ?>
</ul>
</li>
<?php }

/**
* Menu Twelve
* 
*/

$sql = "SELECT * FROM pagesautomenu, newpages, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$usemenu_twelve = $row['usemenu_twelve'];
$menuface_twelve = $row['menuface_twelve'];
$menuname = $row['menuname'];
$name_twelve = $row['name_twelve'];
$icon_twelve = $row['icon_twelve'];
$icon_color_twelve = $row['icon_color_twelve']; }}
global $usemenu_twelve;
if ($usemenu_twelve == 'Yes') { ?>
<li class="hilite menuborderright">
<a href="#">
<i style="color:<?= $icon_color_twelve ?>" class="<?= $icon_twelve ?>"></i>
<span style="color:<?= $linkcolor ?>"><?= $menuface_twelve ?></span>
<span style="color:<?= $linkcolor ?>" class="arrow"></span>
</a>
<ul class="sub-menu">
<?php $result = mysqli_query($conn, "SELECT * FROM  pagesautomenu WHERE name_twelve='$menuface_twelve'");
$result = mysqli_query($conn, "SELECT * FROM newpages WHERE menuname='menu12' ORDER BY menuposition  + 0 ASC");
while ($row = mysqli_fetch_array($result)) {
echo '<li><a href="' . $filename . '?id=' . $row['id'] . '">'; ?>
<p class="ddlinks"><?= $row['pagename'] ?></p>
</a>
</li>
<?php } ?>
</ul>
</li>
<?php }

/**
* Build Social Media
*
*/

$sql = "SELECT * FROM socialmedia";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$use_social_media = $row['use_social_media'];
$use_twitter = $row['use_twitter'];
$twitter = $row['twitter'];
$use_linkedin = $row['use_linkedin'];
$linkedin = $row['linkedin'];
$use_facebook = $row['use_facebook'];
$facebook = $row['facebook'];
$use_instagram = $row['use_instagram'];
$instagram = $row['instagram'];
$use_youtube = $row['use_youtube'];
$youtube = $row['youtube'];
$use_reddit = $row['use_reddit'];
$reddit = $row['reddit'];
$SM_header_style = $row['SM_header_style'];
$SM_location = $row['SM_location'];
$use_tiktok = $row['use_tiktok'];
$tiktok = $row['tiktok']; }}

/**
*  Find the social media images
* 
*/

if (!isset($img_source)) {
$img_source = '/core/social icons/';
} else {
$img_source = '../core/social icons/'; }

/**
*  Build the social media dropdown ...
* 
*/

if ($use_social_media == 'Yes' && $SM_header_style == 'Button' && $SM_location == 'Header') { ?>
<li class="hilite menuborderright"><a href="#"><span style="color:<?= $linkcolor ?>"><?= _SOCIALMEDIA ?></span><span style="color:<?= $linkcolor ?>" class="arrow"></span>
<ul class="sub-menu">
<?php $filename = '../core/megamenu/sociallinks.php';
if (file_exists($filename)) {
require_once "$filename";
} else {
require_once 'core/megamenu/sociallinks.php'; } ?>
</ul>
</li>
<?php } else {

/**
*  Or build the social media menu bar ...
* 
*/

if ($use_social_media == 'Yes' && $SM_header_style == 'Bar' && $SM_location == 'Header') { ?>
<div class="social-media">
<?php $filename = 'core/megamenu/sociallinks-bar.php';
if (file_exists($filename)) {
require_once "$filename";
} else {
require_once '../core/megamenu/sociallinks-bar.php';
} ?>
</div>
<?php }} ?>
