<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */

/**
 * 
 * Include the configuration file.
 * 
 */

include_once '../../builders/config.php';

/**
 * 
 * Connect to MySQL with PDO function.
 * 
 */

function pdo_connect_mysql() {

/**
 * 
 * Update the details below with your MySQL details.
 * 
 */

try {
$pdo = new PDO('mysql:host=' . DB_HOST . ';dbname=' . DB_NAME . ';charset=' . DB_CHARSET, DB_USER, DB_PASSWORD);
$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $exception) {

/**
 * 
 * If there is an error with the connection, 
 * stop the script and output the error.
 * 
 */

exit('Failed to connect to database!'); }
return $pdo; }

/**
 * 
 * Template header, feel free to customize this.
 * 
 */

function template_header($title) {
echo <<<EOT
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title>$title</title>
<link href="style.css" rel="stylesheet" type="text/css">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.1/css/all.css">
</head>
<body>
<nav class="navtop">
<div>
<h1>Voting &amp; Poll System</h1>
<a href="create.php"><i class="fas fa-plus"></i>Create Poll</a>
<a href="index.php"><i class="fas fa-poll-h"></i>Polls List 1</a>
<a href="list2.php"><i class="fas fa-poll-h"></i>Polls List 2</a>
</div>
</nav>
EOT; }

/**
 * 
 * Template footer.
 * 
 */

function template_footer() {
echo <<<EOT
</body>
</html>
EOT; } ?>
