<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once '../../builders/main.php';
session_start();

/**
 * 
 * Construct the album which houses an unlimited
 * number of galleries.
 * 
 */?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="Spectra Album">
<meta name="keywords" content="Photos, Images, Graphics, Sharing, Information, Family, Trips, Caption">
<?php $sql = "SELECT lang FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
require_once '../../lang/' . $row['lang'] . '.php'; }}

$sql = "SELECT * FROM gallery_config, website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$album_name = $row['album_name'];
$sub_text = $row['sub_text'];
$hdr_size = $row['hdr_size'];
$subhdr_size = $row['subhdr_size'];
$album_font = $row['album_font'];
$album_subfont = $row['album_subfont'];
$whichmenu = $row['whichmenu']; }} ?>

<title><?= _SPECTRAALBUM ?></title>
<link rel="icon" type="image/ico" sizes="16x16" href="favicon.ico">
<link rel="icon" type="image/png" sizes="16x16" href="favicon.png">
<link rel="stylesheet" href="../../css/style.min.css">
<link rel="stylesheet" href="../../css/fontawesome.min.css">
<link rel="stylesheet" href="../../css/jside-menu.min.css">
<?php $sql = "SELECT * FROM website, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$themes = $row['themes'];
$theme_name = $row['theme_name'];
$menuselection = $row['menuselection']; }}

$id = isset($_GET['id']) ? $_GET['id'] : '';
$id = mysqli_real_escape_string($conn, $id);

/**
 * 
 * Get the theme, default theme or user selected.
 * 
 */

$stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result(
$usertheme,
$usetheme );
$stmt->fetch();
$stmt->close();
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') {
if (isset($_GET['id'])) {
$id = $_GET['id']; }
$sql = "SELECT id, usertheme FROM accounts";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
require_once '../../themes/usertheme.php'; }}
} else {
require_once '../../themes/theme.php';
} ?> 

<link rel="stylesheet" href="../../themes/style.min.css">
<link rel="stylesheet" href="../../css/fonts.min.css">
<script src="../../js/fontawesome.min.js" crossorigin="anonymous"></script>
<script src="../../js/jquery-3.2.1.min.js"></script>
</head>

<style>
.gallery {
height: 200px; 
border-radius:14px; 
border:.5px solid #000; 
color:#000;} 

.gallery:hover {
opacity:.9; 
border:2px solid #000;}
</style>

<?php $sql = "SELECT * FROM website, themes WHERE theme_name='$theme_name'";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$uselogoimage = $row['uselogoimage'];
$menu_below = $row['menu_below'];
$header_img = $row['header_img'];
$useheadercolor = $row['useheadercolor'];
$logo = $row['logo'];
$logo_image = $row['logo_image'];
$align_logo = $row['align_logo'];
$logo_shadow = $row['logo_shadow'];
$shadow_color = $row['shadow_color'];
$sublogotext = $row['sublogotext'];
$menuselection = $row['menuselection'];
$header_first_color = $row['header_first_color'];
$header_second_color = $row['header_second_color'];
$menu_color = $row['menu_color'];
$menu_color_second = $row['menu_color_second'];
$footer_font_color = $row['footer_font_color']; }} ?>

<body class="loggedin" style="background: <?= $back_color ?> url('../../../media/themes/<?= $bg_img ?>'); background-attachment: <?= $fix_back ?>; width: 100%;opacity: <?= $back_opacity ?>;">
<div class="inner-wrapper">
<div id="wrapper">
<div class="row noborder">

<?php if ($useheadercolor == 'Yes') { ?>
<div style="width:97%; margin:0 auto;background-image: linear-gradient(<?= $header_first_color ?>, <?= $header_second_color ?>);" class="column header headercolor">
<?php } else { ?>
<div style="width:97%; margin:0 auto; background-image: url(../../../media/themes/<?= $header_img ?>); background-attachment: fixed; height: <?= $header_height ?>;" class="header">
<?php }
require_once 'logo.php'; ?>
</div>

<?php
/**
 * Place the Menu Below the logo.
 * 
 */

if ($menuselection == 'Menubar') {
require_once 'gallerymenu.php'; } ?>
</div>
<br>
<div class="full">
<div class="card center noborder">
<p class="top spacer full" style="font-size:<?= $hdr_size ?>;font-family:<?= $album_font ?>"><?= $album_name ?></p>
<?= $sub_text ?>
</div>

<?php
/**
 * 
 * Admin direct editing.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer spacer center">
<a href="../../designer/gallery_config.php?edit=<?= $id ?>" onclick="basicPopup(this.href);return false" class="center"><i style="color:<?= $footer_font_color ?>" class="fa fa-pencil-square-o"></i></a>
</div>
<?php }
} ?>
<br>
<table class="card noborder" style="width:90%; margin:0 auto;">
<tr>

<?php
/**
 * Set the cards title and back image/color.
 * Define number of columns to display.
 * Allow for admin direct editing.
 * 
 */

$sql = "SELECT id, title, cardback FROM galleries";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>

<td class="column6 spacer"><a href="gallery.php?id=<?= $row['id'] ?>" title="<?= $row['title'] ?>">
<div style="background: url('../../../media/gallery-images/<?= $row['title'] ?>/<?= $row['cardback'] ?>');background-size:cover;" class="gallery"></div>
</a><br>
<div class="gentextcolor center"><?= $row['title'] ?>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer spacer center">
<a href="../../designer/gallerybuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false" class="center"><i style="color:<?= $footer_font_color ?>" class="fa fa-pencil-square-o"></i></a>
</div>
<?php }} ?>
</div>
</td>
<?php }} ?>
</tr>
</table>
<div class="spacer"></div>
</div>

<?php require_once 'footer.php';