<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once '../../builders/main.php';
session_start();

/**
 * 
 * Construct the galleries.
 * 
 */?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<?php
/**
 * 
 * Get the id to display the meta content.
 * description and keywords.
 * Also add the language files
 * 
 */

if (isset($_GET['id'])) { $id = $_GET['id'];
$id = mysqli_real_escape_string($conn, $id);}

$sql = "SELECT  description, keywords FROM galleries WHERE id='$id'";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>
<meta name="description" content="<?= $row['description'] ?>">
<meta name="keywords" content="<?= $row['keywords'] ?>">
<?php }} 

$sql = "SELECT lang FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
require_once '../../lang/' . $row['lang'] . '.php'; }}

/**
 * 
 * Get the id to display the galleries title.
 * 
 */

if (isset($_GET['id'])) { $id = $_GET['id'];
$id = mysqli_real_escape_string($conn, $id);}

$sql = "SELECT  title FROM galleries WHERE id='$id'";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>
<title><?= $row['title'] ?></title>
<?php }} ?>

<link rel="icon" type="image/ico" sizes="16x16" href="favicon.ico">
<link rel="icon" type="image/png" sizes="16x16" href="favicon.png">
<link rel="stylesheet" href="../../../css/style.min.css">
<link rel="stylesheet" href="../../css/fontawesome.min.css">
<link rel="stylesheet" href="../../css/jside-menu.min.css">

<?php $sql = "SELECT * FROM website, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$themes = $row['themes'];
$theme_name = $row['theme_name'];
$menuselection = $row['menuselection']; }}

/**
 * 
 * Add the theme either
 * default or user selection.
 * 
 */

$stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result($usertheme, $usetheme);
$stmt->fetch();
$stmt->close();
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') {
if (isset($_GET['id'])) {
$id = $_GET['id']; }

$sql = "SELECT id, usertheme FROM accounts";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
require_once '../../themes/usertheme.php'; }}
} else {
require_once '../../themes/theme.php'; } ?>

<link rel="stylesheet" href="../../themes/style.min.css">
<link rel="stylesheet" href="../../css/fonts.min.css">
<script src="../../js/fontawesome.min.js" crossorigin="anonymous"></script>
<script src="../../js/jquery-3.2.1.min.js"></script>
</head>
<body class="loggedin" style="background: <?= $back_color ?> url('../../../media/themes/<?= $bg_img ?>'); background-attachment: <?= $fix_back ?>; width: 100%;opacity: <?= $back_opacity ?>;">
<div class="card">

<?php
/**
 * 
 * Add the variables to support the theme.
 * To include menu, header, logo ...
 * 
 */

$sql = "SELECT * FROM website, themes WHERE theme_name='$theme_name'";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$uselogoimage = $row['uselogoimage'];
$menu_below = $row['menu_below'];
$header_img = $row['header_img'];
$useheadercolor = $row['useheadercolor'];
$logo = $row['logo'];
$logo_image = $row['logo_image'];
$align_logo = $row['align_logo'];
$logo_shadow = $row['logo_shadow'];
$shadow_color = $row['shadow_color'];
$sublogotext = $row['sublogotext'];
$menuselection = $row['menuselection'];
$header_first_color = $row['header_first_color'];
$header_second_color = $row['header_second_color'];
$menu_color = $row['menu_color'];
$menu_color_second = $row['menu_color_second']; }} ?>

<div id="wrapper">
<div class="row noborder">
<?php if ($useheadercolor == 'Yes') { ?>
<div style="width:97%; margin:0 auto;background-image: linear-gradient(<?= $header_first_color ?>, <?= $header_second_color ?>);" class="column header headercolor">
<?php } else { ?>
<div style="width:97%; margin:0 auto; background-image: url(../../../media/themes/<?= $header_img ?>); background-attachment: fixed; height: <?= $header_height ?>;" class="header">
<?php }
require_once 'logo.php'; ?>
</div>

<?php
/**
* 
*  Place Menu Below the logo.
* 
*/

if ($menuselection == 'Menubar') {
require_once 'gallerymenu.php';
} ?>
</div>
<div class="card">
<br>
<?php $sql = "SELECT * FROM gallery_config, website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$album_name = $row['album_name'];
$sub_text = $row['sub_text'];
$hdr_size = $row['hdr_size'];
$subhdr_size = $row['subhdr_size'];
$album_font = $row['album_font'];
$album_subfont = $row['album_subfont'];
$whichmenu = $row['whichmenu']; }}

/**
* 
*  Build the header.
* 
*/

require_once '../../gallery/resources/UberGallery.php';
require_once '../../gallery/resources/gallery-style.php';
$img_dir = '../../../media/gallery-images/'; ?>
<div class="card noborder">

<?php
/**
* 
* Get the id for building the title and text.
* 
*/

if (isset($_GET['id'])) { $id = $_GET['id'];
$id = mysqli_real_escape_string($conn, $id);}

$sql = "SELECT * FROM galleries WHERE id='$id'";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$title = $row['title'];
$ifused = $row['ifused'];
$addtxt = $row['addtxt']; }}

/**
* 
* Construct the menus. 
* Either a dropdown menu
* or responsive menu bar.
* 
* 
*  Build the responsive top menu array if selected.
* 
*/

if ($whichmenu == 'Top Menu') {

/**
* 
* Add a small zoom effect for the thumbnail.
* On mouseover.
* 
*/?>

<style>
.zoom {
padding:0; 
transition:transform .2s; 
height: 300px; 
margin:0 auto; } 

.zoom:hover {
transform: scale(1.5); }
</style>

<div class="topnav spacer" id="myTopnav">
<ul class="sub-menu" style="background:<?= $menu_color ?>">

<?php $sql = "SELECT id, title, cardback, title FROM galleries ORDER BY title ASC";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>

<a href="gallery.php?id=<?= $row['id'] ?>"> <img src="../../../media/gallery-images/<?= $row['title'] ?>/<?= $row['cardback'] ?>" class="zoom" style="border-radius:50%;box-shadow:2px 1px 2px #000;width:40px;height:40px;" alt="" />&nbsp; <?= $row['title'] ?></a>
<?php } ?>
</ul>
<a href="javascript:void(0);" class="icon" onclick="myFunction()"><i class="fa fa-bars"></i></a>
</div>
<?php }
} else {

/**
* 
* Build the Dropdown Menu array if selected.
* 
*/?>

<div class="dropdown-alt"><span class="dropbtn-alt"><?= _GALLERYMENU ?> <i class="fa fa-angle-double-down"></i></span>
<div style="background:<?= $menu_color ?>" class="dropdown-alt-content">&nbsp;&nbsp;

<?php $sql = "SELECT * FROM galleries";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$title = $row['title']; ?>

<a href="gallery.php?id=<?= $row['id'] ?>"><div style="color:<?= $linkcolor ?>; font-size:16px" class="left"> <?= $row['title'] ?></div></a>
<?php } ?>
</div></div>
<?php }}

/**
* 
*  Build the galleries array.
* 
*/

$sql = "SELECT * FROM gallery_config";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { 

if ($row['theme'] == 'Design') { ?>
<style>

<?php
/**
* 
* Decide if using a background color or image.
* 
*/

if ($row['use_img_bg'] == 'Yes') { ?>
.outer-config {
background-image: url('../../../media/gallery-frames/<?= $row['img_bg_image'] ?>'); }

<?php } else { ?>
.outer-config {
background: -webkit-gradient(linear, left top, left bottom, from(<?= $row['img_bg_color'] ?>), to(<?= $row['img_bg_color_second'] ?>)); }

<?php } ?>

.outer-config {
padding: <?= $row['img_padding'] ?>;
color: <?= $row['img_text_color'] ?>;
font-size: <?= $row['img_text_size'] ?>;
border: <?= $row['img_outside_border_width'] ?> <?= $row['img_outside_border_style'] ?> <?= $row['img_outside_border_color'] ?>;
border-radius: <?= $row['img_radius'] ?>; }

.img-caption {
background: <?= $row['img_caption_bg'] ?>;
color: <?= $row['img_caption_color'] ?>;
padding: 3px <?= $row['captionpadding'] ?>px 3px <?= $row['captionpadding'] ?>px; }

.inner-config {
border: <?= $row['img_inside_border_width'] ?> <?= $row['img_inside_border_style'] ?> <?= $row['img_inside_border_color'] ?>;
box-shadow: <?= $row['img_inner_shadow'] ?> <?= $row['img_inner_shadow_color'] ?>;
border-radius: <?= $row['img_inner_radius'] ?>; }

.gallery:hover { opacity: .9; }
</style>

<?php } elseif ($row['theme'] == 'Default') { 

$stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result($usertheme, $usetheme);
$stmt->fetch();
$stmt->close();
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') {
if (isset($_GET['id'])) {
$id = $_GET['id']; }
$sql = "SELECT id, usertheme FROM accounts";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
require_once '../../themes/usertheme.php'; }}
} else {
require_once '../../themes/theme.php'; } ?>

<style>
.outer-config {
background: <?= $menu_color ?>;
padding: 10%;
color: <?= $linkcolor ?>;
font-size: 12px;
border: <?= $useborders ?>;
border-radius: 8px; }

.img-caption {
background: <?= $menu_color_second ?>;
color: <?= $linkcolor ?>;
padding: 6px;
border-radius: 6px;  }

.inner-config {
border: <?= $useborders ?>;
box-shadow: 2px 2px 3px #000000;
border-radius: 12px; }

.gallery:hover { opacity: .9; }
</style>


<?php }}} ?>

<br><br>

<?php $sql = "SELECT * FROM galleries WHERE id='$id'";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$ifused = $row['ifused'];
$title = $row['title'];
$addtxt = $row['addtxt']; ?>

<div id="<?= $title ?>">

<?php
/**
* 
* If used add the gallery title.
* 
*/

if ($ifused == 'Yes') { ?>
<div class="center">
<div class="spacer column-title" style="border-radius:0"><h1 class="center coltitlecolor">
<a href="" class="position-grid__cell hint--top hint--large hint--rounded" aria-label="<?= _REFRESHPAGE ?>"><i style="font-size:16px;text-shadow:1px 1px 2px #000;" class="coltitlecolor  fa fa-refresh" title="Refresh"></i></a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?= $title ?></h1>
</div>
<br>

<?php
/**
* 
*  Add text about the gallery (if used).
* 
*/?>

<div class="noborder" style="width:100%; margin:0 auto;"><?= $addtxt ?></div>
<br>

<?php
/**
* 
* Allow for admin direct editing.
* 
*/

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer spacer center">
<a href="../../designer/gallerybuilder.php?edit=<?= $id ?>" onclick="basicPopup(this.href);return false" class="center"><i class="linkcolor fa fa-pencil-square-o"></i></a>
</div>
<?php }}

/**
* 
* Add a <table> to hold the galleries.
* 
*/?>

<table class="card noborder"><tr style="width:100%; margin:0 auto;"><td class="column">

<?php
/**
* 
* Display the gallery array.
* 
*/

$gallery = UberGallery::init($id)->createGallery('' . $img_dir . '' . $title . ''); ?>
</td></tr></table>
<br>
</div></div>
<?php }}} ?>
</div>

<?php
/**
* 
*  Initialize the UberGallery object.
* 
*/

$gallery = new UberGallery('gallery-images');

/**
* 
* Initialize the gallery array.
* 
*/

$galleryArray = $gallery->readImageDirectory('');

/**
* 
*  Define theme path.
* 
*/

if (!defined('THEMEPATH')) {
define('THEMEPATH', $gallery->getThemePath()); }

/**
* 
*  Set path to theme index.
* 
*/

$themeIndex = $gallery->getThemePath(true) . '/index.php';

/**
* 
*  Initialize the them
*/

if (file_exists($themeIndex)) {
include($themeIndex);
} else {
die('ERROR: Failed to initialize theme'); }

/**
* 
* Add a script for the menu bar.
* Provide responsive effect.
* 
*/ ?>

<script>
function myFunction() {
var x = document.getElementById("myTopnav");
if (x.className === "topnav") {
x.className += " responsive";
} else {
x.className = "topnav"; }}
</script>

<?php require_once 'footer.php';