<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

/**
 * 
 * Define the menu styling.
 * 
 */?>

<style>
.topnav {
background: -webkit-gradient(linear,left top,left bottom,from(<?= $menu_color ?>),to(<?= $menu_color_second ?>));
overflow: hidden;
width: 97%;
margin: 0 auto;}

.topnav a {
float: left;
display: block;
color: #f2f2f2;
text-align: center;
padding: 14px 16px;
text-decoration: none;
font-size: 17px;}

.topnav a:hover {
background-color: <?= $menu_color_second ?>;
color: #fff;}

.topnav a.active {
background-color: #04AA6D;
color: <?= $linkcolor ?>;}
</style>

<div class="topnav spacer">

<?php
/** 
 * 
 * Add the menu Home and Account links.
 * 
 */

$sql = "SELECT * FROM modules";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>
<a href="../../../index.php"><i class="fa fa-home"></i> <?= _HOME ?></a>

<a href="../../../sys"><i class="fa fa-users"></i> <?= _ACCOUNT ?></a>

<?php
/**
 * 
 * Find the album and link to it.
 * 
 */

$filename = 'core/modules/spectragallery/album.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = 'album.php'; }

/**
 * 
 * Add option to use a gallery.
 * If so show a link in the menu array.
 * 
 */

if ($row['use_gallery'] == 'Yes') { ?>
<a href="<?= $filename ?>"><i style="color:<?= $row['gallery_icon_color'] ?>" class="<?= $row['gallery_icon'] ?>"></i> <span style="color:<?= $linkcolor ?>"><?= $row['gallery_linkname'] ?></span></a></li>
<?php }}}

/**
 * Downloads
 * 
 */

$filename = 'core/downloads/';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../../downloads/'; }

$sql = "SELECT * FROM downloadconfig";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
if ($row['use_downloads'] == 'Yes' && $row['downloads_public'] == 'Yes') { ?>

<a href="<?= $filename ?>"><i style="color:<?= $row['download_icon_color'] ?>" class="<?= $row['download_icon'] ?>"></i> <span style="color:<?= $linkcolor ?>"><?= _DOWNLOADS ?></span></a>

<?php }}}

/**
 * Close the menu array and add a logout link.
 * 
 */?>
 
<a href="../../../sys/logout.php"><i class="fas fa-sign-out-alt"></i> <?= _LOGOUT ?></a>
</div>


