<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) { exit('Access Denied'); }

$sql = "SELECT * FROM plugins";
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {

/**
 * 
 * Display the title either
 * Styled or Plain.
 * 
 */

if ($row['showcategoriestitle'] == 'Styled' && $row['categorytitle'] == 'Yes') { ?>

<p class="column-title coltitlecolor center"><?= $row['categories_title'] ?></p>

<?php } elseif ($row['showcategoriestitle'] == 'Plain' && $row['categorytitle'] == 'Yes')  { ?>

<h3 class="center"><?= $row['categories_title'] ?></h3>

<?php } ?>

<div style="height:<?= $row['categories_block_height']; }} ?>px; overflow-y:auto;" class="content_bg spacer">

<?php $sql = "SELECT * FROM newpages"; 
$result = $conn->query($sql);
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$catname = $row['catname'];  }}

/**
*  fetch the pages
* 
*/

$filename = 'sup/pages.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../sup/pages.php'; }

/**
 * 
 * Count the number of pages.
 * 
 */

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM newpages"); 
while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>

<p class="center card gentextcolor">- <?= _PAGES ?> (<?= $var ?>) -</p>

<?php 
/**
 * 
 * Build the array for pages.
 * 
 */

$result = mysqli_query($conn, "SELECT * FROM newpages ORDER BY pagename ASC"); 
while ($row = mysqli_fetch_array($result)) { ?>

<p class="left noborder"><a href="<?= $filename ?>?id=<?= $row['id'] ?>" target="_blank" style="text-decoration:none">&bull; <?= $row['pagename'] ?></a></p>

<?php }

/**
*  Fetch the articles 
* 
*/

$sql = "SELECT * FROM articles"; $result = $conn->query($sql); if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { $c_title = $row['c_title']; }}

/**
 * 
 * Count the total articles
 * That are not in the archive.
 * 
 */

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM articles"); 
while ($row = mysqli_fetch_array($result)) { $var = $row['count']; }

$result = mysqli_query($conn, "SELECT * FROM articles WHERE archive = 'No' ORDER BY c_title"); ?>

<p class="center card gentextcolor">- <?= _ACTIVEARTICLES ?> (<?= $var ?>) -</p>

<?php
$filename = 'sup/articles.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../sup/articles.php'; }

/**
 * 
 * Build the array for articles.
 * 
 */

while ($row = mysqli_fetch_array($result)) { ?>
<p style="text-align:left">
<a href="<?= $filename ?>?id=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false" style="text-decoration:none">&bull; <?= $row['c_title'] ?></a>
</p>
<?php }

/**
* 
*  Fetch the sniplets 
* 
*/

$sql = "SELECT * FROM sniplet"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$sniplet_title = $row['sniplet_title']; }}

/**
 * 
 * Count the number of sniplets.
 * 
 */

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet"); 
while ($row = mysqli_fetch_array($result)) { $var = $row['count']; }

$result = mysqli_query($conn, "SELECT * FROM sniplet WHERE sniplet_archive = 'No' ORDER BY sniplet_title"); ?>

<p class="center card gentextcolor">- <?= _SNIPLETS ?> (<?= $var ?>) -</p>

<?php while ($row = mysqli_fetch_array($result)) { 

$filename = 'sup/sniplets.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../sup/sniplets.php'; }

/**
 * 
 * Build the array for sniplets.
 * 
 */ ?>

<p style="text-align:left"><a href="<?= $filename ?>?id=<?= $row['id'] ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false">&bull; <?= $row['sniplet_title'] ?></a></p>
<?php } ?>

<?php
/**
* 
*  Fetch the blocks 
* 
*/

$sql = "SELECT * FROM blocks"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$title = $row['title']; }}

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks"); 
while ($row = mysqli_fetch_array($result)) { $var = $row['count']; }

$result = mysqli_query($conn, "SELECT id, title FROM blocks WHERE archiveblock = 'No' ORDER BY title"); ?>

<p class="center card gentextcolor">- <?= _BLOCKS ?> (<?= $var ?>) -</p>

<?php 
/**
 * 
 * Build the array for blocks.
 * 
 */

while ($row = mysqli_fetch_array($result)) { ?>

<p style="text-align:left">
<a href="../sup/blocks.php?id=<?= $row['id'] ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false">&bull; <?= $row['title'] ?></a>
</p>
<?php } ?>

</div>

<?php
/**
* 
* Admin only
* direct editing.
* 
*/

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center spacer column-footer"><a href="../core/designer/plugins.php#categories" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="" /></a></div>
<?php }} ?>
</div>
<br>
<hr />
