<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) { exit('Access Denied'); } 

$sql = "SELECT * FROM plugins"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {  ?>

<?php
/**
 * 
 * Display the title either
 * Styled or Plain.
 * 
 */

if ($row['showspotlighttitle'] == 'Styled'  && $row['spotlighttitle'] == 'Yes') { ?>

<p class="column-title coltitlecolor center"><?= $row['spotlight_title'] ?></p>

<?php } elseif ($row['showspotlighttitle'] == 'Plain'  && $row['spotlighttitle'] == 'Yes') { ?>

<h3 class="center"><?= $row['spotlight_title'] ?></h3>

<?php } 
/**
 * 
 * Set the height of the 
 * content window.
 * 
 */ ?>

<div style="height:<?= $row['spotlight_block_height'] ?>px; overflow-y:auto;" class="content_bg spacer">

<?php }}

/**
 * 
 * Count the number of articles
 * that are not in the archive
 * and have been placed in the 
 * spotlight.
 * 
 */

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM articles WHERE spotlight='Yes' AND archive ='No'"); 
while ($row = mysqli_fetch_array($result)) { $var = $row['count']; }  ?>

<p class="center">- <?= _ACTIVE ?> (<?= $var ?>) -</p>

<?php 
/** 
 * 
 * Show the articles that
 * are active and in the
 * spotlight.
 * 
 */

$result = mysqli_query($conn, "SELECT id, c_title FROM articles WHERE spotlight='Yes' AND archive ='No'"); 
while ($row = mysqli_fetch_array($result)) { 

$filename = 'sup/articles.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../sup/articles.php'; } ?>

<a href="<?= $filename ?>?id=<?= $row['id'] ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false">
<div style="font-size:16px" class="left verdana">&bull; <?= $row['c_title'] ?></div>
</a>&nbsp;

<?php }

/**
 * 
 * Count those articles that
 * are in the archive and still
 * in the spotlight.
 * 
 */

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM articles WHERE spotlight='Yes' AND archive ='Yes'"); 
while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>

<p class="center">- <?= _ARCHIVED ?> (<?= $var ?>) -</p>

<?php 
/**
 * 
 * Build an array to show the
 * articles that are in the spotlight
 * and also have been archived.
 * 
 */

$result = mysqli_query($conn, "SELECT id, c_title FROM articles WHERE spotlight='Yes' AND archive ='Yes'");
while ($row = mysqli_fetch_array($result)) {         
 

$filename = 'sup/articles.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../sup/articles.php'; } ?>

<a href="<?= $filename ?>?id=<?= $row['id'] ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false">
<div style="font-size:16px" class="left">&bull; <?= $row['c_title'] ?></div>
</a>&nbsp;

<?php } 

/**
 * 
 * Count the number of admin articles
 * that are not in the archive
 * and have been placed in the 
 * spotlight.
 * 
 */

 $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM adminarticle WHERE spotlight='Yes' AND archive ='No'"); 
 while ($row = mysqli_fetch_array($result)) { $var = $row['count']; }  ?>
 
 <p class="center">- <?= _ADMINARTICLES ?> <?= _ACTIVE ?> (<?= $var ?>) -</p>
 
 <?php 
 /** 
  * 
  * Show the articles that
  * are active and in the
  * spotlight.
  * 
  */
 
 $result = mysqli_query($conn, "SELECT id, adminarticletitle FROM adminarticle WHERE spotlight='Yes' AND archive ='No'"); 
 while ($row = mysqli_fetch_array($result)) { 
 
 $filename = 'sup/adminarticle.php';
 if (file_exists($filename)) {
 "$filename";
 } else {
 $filename = '../sup/adminarticle.php'; } ?>
 
 <a href="<?= $filename ?>?id=<?= $row['id'] ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false">
 <div style="font-size:16px" class="left verdana">&bull; <?= $row['adminarticletitle'] ?></div>
 </a>&nbsp;
 
 <?php }
 
 /**
  * 
  * Count those admin articles that
  * are in the archive and still
  * in the spotlight.
  * 
  */
 
 $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM adminarticle WHERE spotlight='Yes' AND archive ='Yes'"); 
 while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
 
 <p class="center">- <?= _ARCHIVED ?> (<?= $var ?>) -</p>
 
 <?php 
 /**
  * 
  * Build an array to show the
  * admin articles that are in the spotlight
  * and also have been archived.
  * 
  */
 
 $result = mysqli_query($conn, "SELECT id, adminarticletitle FROM adminarticle WHERE spotlight='Yes' AND archive ='Yes'");
 while ($row = mysqli_fetch_array($result)) {         
  
 
 $filename = 'sup/adminarticle.php';
 if (file_exists($filename)) {
 "$filename";
 } else {
 $filename = '../sup/adminarticle.php'; } ?>
 
 <a href="<?= $filename ?>?id=<?= $row['id'] ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false">
 <div style="font-size:16px" class="left">&bull; <?= $row['adminarticletitle'] ?></div>
 </a>&nbsp;
 
 <?php } 
 

/**
 * 
 * Count the number of
 * blocks that are in the
 * spotlight.
 * 
 */

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE spotlight='Yes'"); 
while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>

<p class="center">- <?= _BLOCKS ?> (<?= $var ?>) -</p>

<?php 
/**
 * 
 * Build an array to display
 * the blocks that are in
 * the spotlight.
 * 
 */

$result = mysqli_query($conn, "SELECT id, title FROM blocks WHERE spotlight='Yes'");
while ($row = mysqli_fetch_array($result)) {         

$filename = 'sup/blocks.php';
if (file_exists($filename)) {
"$filename";
} else {
$filename = '../sup/blocks.php'; } ?>

<p style="font-size:16px" class="left"><a href="<?= $filename ?>?id=<?= $row['id'] ?>" style="text-decoration:none" onclick="basicPopup(this.href);return false">&bull; <?= $row['title'] ?></a></p>
<?php } ?>

</div>

<?php 
/**
 * 
 * Add the admin direct editing feature.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer spacer center">
<a href="../core/designer/plugins.php#spotlight" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="" /></a>
</div>
<?php }} ?>
<br>
<hr />