<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

if (!isset($_SERVER['HTTP_REFERER'])) {
echo "<script> window.location.replace('../../index.php') </script>";
exit; } 

$filename = 'sys/functions.php';
if (file_exists($filename)) { "$filename";
} else {
$filename = '../sys/functions.php'; }
require_once '' . $filename . '';

/**
 * Add the users information.
 * 
 */

$stmt = $conn->prepare('SELECT password, email, activation_code, role, date, use_avatar, avatarurl FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result($password, $email, $activation_code, $role, $date, $use_avatar, $avatarurl);
$stmt->fetch();
$stmt->close();

$sql = "SELECT usecounter, viewcounter FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$usecounter = $row['usecounter']; 
$viewcounter = $row['viewcounter'];  }}

$sql = "SELECT statstitle, showstatstitle, statstitlename, scrollstatdownload FROM plugins"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$scrollstatdownload = $row['scrollstatdownload'];

if ($row['statstitle'] == 'Yes') {
    
if ($row['showstatstitle'] == 'Styled') { ?>

<p class="column-title coltitlecolor center"><?= $row['statstitlename'] ?></p>

<?php }  

elseif ($row['showstatstitle'] == 'Plain') { ?>

<br>

<h3 class="center"><?= $row['statstitlename'] ?></h3>

<?php }}}} ?>

<div class="content_bg spacer">

<?php $sql = "SELECT * FROM registration"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {

/**
 * 
 * Display the total number of members.
 * 
 */

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM accounts"); 
while ($row = mysqli_fetch_array($result)) {
$var = $row['count']; ?>
<p class="left"><i class="fa fa-users"></i> <?= _TOTALMEMBERS ?>: <?= $var ?></p> 
<?php }

/**
 * 
 * Pull in and display number online.
 * Visitors and users.
 * 
 */

 $filename = '../builders/usersmysql.php';
 if (file_exists($filename)) {
 } else {
 $filename = 'core/builders/usersmysql.php'; }

/**
 * 
 * Display the total of active members.
 * 
 */

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM accounts WHERE activation_code = 'activated'"); 
while ($row = mysqli_fetch_array($result)) {
$var = $row['count']; ?>
<p class="left"><i class="fa fa-users"></i> <?= _ACTIVEMEMBERS ?>: <?= $var ?></p>
    
<?php }

/**
 * 
 * Display the number of published articles.
 * 
 */

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM articles"); 
while ($row = mysqli_fetch_array($result)) {
$var = $row['count']; ?>
<p class="left"><i class="fa fa-file"></i> <?= _PUBLISHEDARTICLES ?>: <?= $var ?></p> 
<?php }

if ($viewcounter == 'Admin') { require_once 'core/builders/get_visitors.php'; } 
else { }

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') {  

$result = mysqli_query($conn, "SELECT COUNT(*) AS count FROM comments WHERE approved = 0");
while ($row = mysqli_fetch_array($result)) {
$var = $row['count']; ?>

<p class="left"><a href="sys/admin/comments-index.php" onclick="basicPopup(this.href);return false" style="text-decoration:none"><i class="fa fa-comments"></i> <?= _COMMENTS ?> (<?= _AWAITINGEDITING ?>):</a>&nbsp;&nbsp;<?= $var ?></p>

<?php }}}

/**
 * 
 * Get the downloads variables.
 * Display the number of downloads.
 * Are downloads being used?
 * And who are they available to.
 * 
 */

$result = mysqli_query($conn, "SELECT downloads_public, use_downloads FROM downloadconfig"); 
while ($row = mysqli_fetch_array($result)) {
$downloads_public = $row['downloads_public']; $use_downloads = $row['use_downloads']; }

$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM files"); 
while ($row = mysqli_fetch_array($result)) {
$var = $row['count'];

if ($use_downloads == 'Yes') { ?>
<p class='left'><i class='fa fa-download'></i> <?= _AVAILABLEDOWNLOADS ?>: <?= $var ?></p>
<?php if ($downloads_public == 'Yes') { ?> <p class="left">* <a href="core/downloads/" target="_blank"><?= _DOWNLOADSALLVISITORS ?></a></p>
<p class="left"><?= _DOWNLOADCAT ?>:</p>
<div style="height:<?= $scrollstatdownload ?>; overflow-y:auto;">
<?php $result = mysqli_query($conn, "SELECT * FROM downloadspages ORDER BY downloadspagename ASC"); 
while ($row = mysqli_fetch_array($result)) {
echo '<p>&bull; <a href="core/downloads/downloads.php?id=' . $row['id'] . '">' . $row['downloadspagename'] . '</a></p>'; 
}} ?>
</div>
<?php if ($downloads_public == 'No') { ?><p class="left">* <?= _DOWNLOADSMEMBERSONLY ?></p> 
<?php }}

/**
 * 
 * If downloads are not being used, show nothing.
 * 
 */

if ($use_downloads == 'No') {
echo ''; }}

/**
 * 
 * Close the logged in information.
 * 
 */

}}

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer spacer center">
<a href="../core/designer/plugins.php#stats" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>" onclick="basicPopup(this.href);return false"><img src="sup/images/edit.gif" style="width:20px" alt="" /></a>
</div>
<?php }} ?>
</div>