<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */

/**
 *  If the installer index file exists
 *  run the installer.
 */

$filename = 'core/INSTALL/index.php';
if (file_exists($filename)) {
include "$filename";

} else {

/**
 * 
 * Enter maintenance mode.
 * For site updates only.
 * 
 */

require_once 'sup/main.php';
$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 	
while ($row = $result->fetch_assoc()) {
$maintenance_mode = $row['maintenance_mode']; }}

if ($maintenance_mode == 'Yes') {

require_once 'sup/maintenance-mode.php';

} else {

/**
*  If installer index doesn't exist
*  start session and load index page.
*/

require_once 'core/builders/config.php';
session_start();

/**
*
* Add all of the header stuff.
* css, scripts, logo, menu ...
*
*/

require_once 'core/layout/headerbuild.php';

/**
* If the admin is loggedin
* and the option to use the
* topbar is 'Yes' then show it
* to the admin only.
*/

require_once 'core/layout/topbar.php';

/**
*
* If selected add the Hero Section.
*
*/

require_once 'core/layout/hero-page.php';

/**
*
* Setup for showing the social media sidebar.
*
*/

require_once 'core/layout/socialmedia.php';

/**
* If the side off-canvas menu
* is chosen, show it.
*/

require_once 'core/layout/sidemenu.php';

/**
* Add the content wrapper for the entire page.
* Closes in the footer.
*/ ?>

<div class="inner-wrapper">

<?php
/**
* Retrieve the variables
* and build the header, logo ...
*/

require_once 'core/layout/variables.php'; ?>
<div id="wrapper">
<div class="row noborder top">

<?php
/**
* Build the header/logo area.
*/

if ($useheropage == 'Yes') {
} else {
if ($useheadercolor == 'Yes') { ?>
<div style="width:98.5%; margin:0 auto;" class="column header headercolor">
<?php
} else { ?>
<div style="width:98.5%; margin:0 auto;" class="header headerimage">
<?php }

/**
*  Place Menu BELOW the logo.
*/

if ($menu_below == 'Yes') {
if ($uselogoimage == 'Yes') {
require_once 'sup/logo.php'; }

/**
* Get the logo with image.
*/

else {
require_once 'sup/logo.php'; }

/**
*  Get the logo without image.
*/ ?>

</div>

<?php
/**
*  Place Menu Below the logo.
*/

if ($menuselection == 'Menubar') {
require_once 'core/megamenu/index.php'; }

} else {

/**
*  Place Menu ABOVE the logo.
*/

if ($menuselection == 'Menubar') {
require_once 'core/megamenu/index.php'; }
if ($uselogoimage == 'Yes') {
require_once 'sup/logo.php';
} // Get logo with image
else {
require_once 'sup/logo.php';
} // Get logo without image

?>
</div>
<?php }}

/** 
* Use the off-canvas menu?
*/

if ($menuselection == 'Offcanvas') {
require_once 'core/megamenu/sidemenu.php'; }

/**
*  Put the login/registration
*  below the logo and menu (header).
*/ 

require_once 'core/layout/registration.php';
if (isset($_GET['id'])) { $id = $_GET['id']; }

/**
*
* Add the content layout.
*
*/

require_once 'core/layout/index.php';

/**
*  Build the footer area .....
*  And display the social media icons
*  if, place in footer, is chosen
*  and the footer is showing.
*
*  Find the social media images.
*/

require_once 'core/layout/footerbuild.php'; }} ?>