<?php
/**
 * Spectra is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 * This file is used to support 
 * the articles pagination (if used).
 *
 */

require_once 'sup/main.php';
session_start();
require_once 'sys/functions.php';

$sql = "SELECT * FROM website, themes";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$themes = $row['themes'];
$theme_name = $row['theme_name'];
$menuselection = $row['menuselection'];
require_once 'core/lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="x-ua-compatible" content="ie=edge">
<?php $sql = "SELECT c_title FROM articles";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { 
$c_title = $row['c_title']; }}?>
<title><?= $c_title ?></title>

<script>
var titles = ['Web Design', 'Design Apps', 'Programming', 'Word Press', 'Website Templates', 'Graphic Design', 'Meta', 'Google', 'Absurd Illustrations', 'Material Design']
var title = titles[Math.floor(Math.random() * titles.length)]
document.title = title
</script>

<?php
/**
 * 
 * Find the favicon.
 * 
 */

$favicon = 'media/favicon.ico';
if (file_exists($favicon)) { ?>
<link rel="icon" type="image/ico" sizes="16x16" href="<?= $favicon ?>">
<?php } else {
$favicon = 'media/favicon.png'; ?>
<link rel="icon" type="image/png" sizes="16x16" href="<?= $favicon ?>">
<?php } ?>


<link rel="stylesheet" href="core/css/purecookie.min.css" />
<link rel="stylesheet" href="core/css/hint.min.css" />
<link rel="stylesheet" href="core/css/bootstrap.min.css" />
<link rel="stylesheet" href="core/css/colorbox.min.css">
<link rel="stylesheet" href="core/css/style.min.css">
<link rel="stylesheet" href="core/css/lightbox.min.css">
<link rel="stylesheet" href="core/css/fontawesome.min.css">
<link rel="stylesheet" href="core/css/jside-menu.min.css">
<link rel="stylesheet" href="core/plugins/sidemenu/style.min.css">
<link rel="stylesheet" href="core/css/fonts.min.css">

<?php
/**
 * 
 * Select which theme to use.
 * Default or user selected.
 * 
 */

$stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result($usertheme, $usetheme);
$stmt->fetch();
$stmt->close();
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') {
if (isset($_GET['id'])) {
$id = $_GET['id']; }
$sql = "SELECT id, usertheme FROM accounts";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
require_once 'core/themes/usertheme.php'; }}
} else {
require_once 'core/themes/theme.php'; } ?>

<script src="core/js/fontawesome.min.js" crossorigin="anonymous"></script>
<script src="core/js/purecookie.min.js"></script>
<script src="core/js/jquery-3.2.1.min.js"></script>
<script src="https://www.google.com/recaptcha/api.js" async defer></script>
<script src="core/js/jquery.colorbox.min.js"></script>
<script src="core/js/lightbox.min.js"></script>
</head> 
<body class="loggedin">

<div class="inner-wrapper"> 

<?php
/**
 * 
 * Retrieve the variables 
 * to build the header, logo ...
 * 
 */

$sql = "SELECT * FROM website, themes WHERE theme_name='$theme_name'";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$uselogoimage = $row['uselogoimage'];
$menu_below = $row['menu_below'];
$header_img = $row['header_img'];
$useheadercolor = $row['useheadercolor'];
$logo = $row['logo'];
$logo_image = $row['logo_image'];
$align_logo = $row['align_logo'];
$logo_shadow = $row['logo_shadow'];
$shadow_color = $row['shadow_color'];
$sublogotext = $row['sublogotext'];
$menuselection = $row['menuselection'];
$pagination = $row['pagination']; }} ?>

<div id="wrapper">
<div class="row noborder">

<?php
/**
* 
* Build the header.
* 
*/

if ($useheadercolor == 'Yes') { ?>
<div style="width:98.5%; margin:0 auto;" class="column header headercolor">
<?php } else { ?>
<div style="width:98.5%; margin:0 auto;" class="header headerimage">
<?php }

/**
 * 
 * Place Menu BELOW the logo.
 * 
 */

if ($menu_below == 'Yes') {
if ($uselogoimage == 'Yes') {
require_once 'sup/logo.php'; } 

/**
 * 
 * Get logo with image.
 * 
 */

else {
require_once 'sup/logo.php'; } 

/**
 * 
 * Get logo without image.
 * 
 */ ?>

</div>

<?php 
/**
 * 
 * Place Menu Below the logo.
 * 
 */

if ($menuselection == 'Menubar') {
require_once 'core/megamenu/index.php'; }
} else { 
    
/**
 * 
 * Place Menu ABOVE the logo.
 * 
 */

if ($menuselection == 'Menubar') {
require_once 'core/megamenu/index.php'; }

if ($uselogoimage == 'Yes') {
require_once 'sup/logo.php'; } 

/**
 * 
 * Get logo with image.
 * 
 */

else {
require_once 'sup/logo.php'; } 

/**
 * 
 * Get logo without image.
 * 
 */  ?>

</div>
<?php }

/** 
* 
* Use the off-canvas menu?
*
*/

if ($menuselection == 'Offcanvas') {
require_once 'core/megamenu/sidemenu.php'; }

if (isset($_GET['id'])) {
$id = $_GET['id']; } ?>
<div style="width:70%; margin:0 auto;">
<div class="full column"><br>
<table class="column">
<tr>
<td>

<?php 
/**
 * 
 * Use pagination or not?
 * 
 */

if ($pagination == 'Yes') {

require_once 'core/layout/pagination.php'; 

} else {

/**
 * 
 * Do not use pagination.
 * Find and display the  articles.
 * 
 */

require_once 'core/layout/articles.php'; } ?>

</td>
</tr>
</table>
</div>
</div>

<?php 
/**
 * 
 * Get the variables to support 
 * this pages footer build.
 * 
 */

$sql = "SELECT * FROM website, themes, version";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$copyright = $row['copyright'];
$footer_img = $row['footer_img'];
$footercontent = $row['footercontent'];
$usecounter = $row['usecounter'];
$footer_font_color = $row['footer_font_color'];
$content_bg = $row['content_bg'];
$lang = $row['lang'];
$current_version = $row['current_version']; }}
require_once 'core/lang/' . $lang . '.php'; ?>

<div style="width:98.5%; margin:0 auto;" class="footer">
<br>
<br>
<div class="footer full center spacer">
<a class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _VISITCMSSPECTRA ?>" href="https://papamikescreations.org" style="text-decoration:none" target="_blank"><span class="footer"><?= _POWEREDBYCMSSPECTRA ?> <?= $current_version ?></span></a>
<p>&nbsp;</p>
<div><?= $copyright ?></div>
<br>
<div class="footer"><?= $footercontent ?></div>

<?php
/** 
* 
* Add the (Back To Top) function
* and visitor counter if used.
* 
*/?>

<button onclick="topFunction()" id="UpTop" title="<?= _GOTOTOP ?>"><i class="fa fa-angle-double-up"></i></button>
<?php require_once 'core/builders/get_visitors.php'; ?>
<br>
<br>
</div>
</div>

<?php require_once 'core/builders/scripts.php'; ?>

</body>
</html>