<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

session_start();
require_once 'main.php';
require_once 'functions.php';

/**
 * 
 * Get the language file.
 * 
 */

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once '../core/lang/' . $row['lang'] . '.php'; }}

/**
 * 
 * Get the pages id and if article does not exist call-up lost_page.
 * 
 */

 if (isset($_GET['id'])) { $id = $_GET['id']; 
 $id = mysqli_real_escape_string($conn, $id);}

 /**
 * 
 * If page does not exist send to the 404 page.
 *
 */

global $id;
$sql = "SELECT * FROM adminarticle WHERE id = '$id'"; 
$result = $conn->query($sql); 
if (mysqli_num_rows($result) == 0) { 
$lostfile = '404.php';
if (file_exists($lostfile)) {
require_once "$lostfile"; } 
else {
require_once 'sup/404.php'; }} 
else { 

/**
 * 
 *  If article exist show it.
 * 
 */

$sql = "SELECT * FROM adminarticle WHERE id='$id'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$id = $row['id'];
$adminarticletitle = $row['adminarticletitle']; 
$date_author = $row['date_author'];
$author = $row['author']; 
$date = $row['date'];
$printon = $row['printon']; 
$adminarticle = $row['adminarticle'];
$showtitle = $row['showtitle']; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="author" content="<?= $row['date_author'] ?>">
<title><?= $adminarticletitle ?></title>
<script src="../core/js/fontawesome.min.js" crossorigin="anonymous"></script>
<link rel="stylesheet" href="../core/themes/tables.min.css">
<link rel="stylesheet" href="../core/css/fonts.min.css">
<?php
/**
 * 
 * Add the themes styling.
 * 
 */
 $stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
 $stmt->bind_param('i', $_SESSION['id']);
 $stmt->execute();
 $stmt->bind_result(
 $usertheme, $usetheme );
 $stmt->fetch();
 $stmt->close();
 if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') { 
 if (isset($_GET['id'])) { $id = $_GET['id']; }
 $sql = "SELECT id, usertheme FROM accounts"; 
 $result = $conn->query($sql); 
 if ($result->num_rows > 0) { 
 while ($row = $result->fetch_assoc()) { 
 require_once 'usertheme.php'; }}}
 else { require_once 'theme.php'; } ?>
</head>
<body>

<div class="inner-wrapper" style="padding:20px">

<?php 
/**
 * 
 * Show the title
 * if selected.
 * 
 */

if ($showtitle == 'Yes') { ?>
<div class="center column-title">
<h1 class="center coltitlecolor"><?= $adminarticletitle ?> <?php if ($printon == 'Yes') { ?>

<?php if (isset($_GET['id'])) { $id = $_GET['id'];
$id = mysqli_real_escape_string($conn, $id); } ?>

<a href="../core/builders/printarticle.php?id=<?= $id ?>" target="_blank" title="<?= _PRINT ?> &quot;<?= $adminarticletitle ?>&quot;">
<img src="printer.png" style="float:right; padding-right:30px; border:0;" alt="" /></a></h1>
</div>
<?php }} 

/**
 * 
 * Add the content.
 * 
 */

if (isset($_GET['id'])) { $id = $_GET['id']; 
$id = mysqli_real_escape_string($conn, $id); } ?>

<?= $adminarticle ?>
<?php }}

/**
 * 
 * Show the author and date
 * if selected.
 * 
 */

if ($date_author == 'Yes') { ?>

<br>

<div class="center gentextcolor" style="font-size:12px">(<?= _BY ?>: <?= $author ?> - <?= $date ?>)</div>
<?php }} ?>

<br>

<?php
/**
 * 
 * Allow the admin direct editing feature.
 * 
 */

if (isset($_GET['id'])) { $id = $_GET['id'];
$id = mysqli_real_escape_string($conn, $id); }

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer center spacer" style="margin:0 auto; width:100%;">
<a href="../core/designer/adminarticle.php?edit=<?= $id ?>" onclick="basicPopup(this.href);return false" title="<?= _EDITARTICLEDIRECTLY ?>"><i class="fa fa-pencil-square-o"></i></a>
</div>
<?php }} ?>

<br>
<p class="center"><input type="button" value="Close this window" onclick="self.close()"></p>
</div>

</body>
</html>