<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

session_start();
require_once 'main.php';
require_once 'functions.php';

/**
 * 
 * Get the language file.
 * 
 */

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once '../core/lang/' . $row['lang'] . '.php'; }}

/**
 * 
 * Get the pages id and if article does not exist call-up lost_page.
 * 
 */

 if (isset($_GET['id'])) { $id = $_GET['id']; 
 $id = mysqli_real_escape_string($conn, $id);}

 /**
 * 
 * If page does not exist send to the 404 page.
 *
 */

global $id;
$sql = "SELECT * FROM articles WHERE id = '$id'"; 
$result = $conn->query($sql); 
if (mysqli_num_rows($result) == 0) { 
$lostfile = '404.php';
if (file_exists($lostfile)) {
require_once "$lostfile"; } 
else {
require_once 'sup/404.php'; }} 
else { 

/**
 * 
 *  If article exist show it.
 * 
 */

$sql = "SELECT * FROM articles WHERE id='$id'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$c_title = $row['c_title']; 
$showauthor = $row['showauthor']; 
$author = $row['author']; 
$date = $row['date'];
$printon = $row['printon']; 
$id = $row['id'];
$c_text = $row['c_text'];
$readmore = $row['readmore']; 
$usereadmore = $row['usereadmore']; 
$readmoretarget = $row['readmoretarget']; 
$usetitle = $row['usetitle'];
$usewhich = $row['usewhich'];
$backimage = $row['backimage'];
$backcolor = $row['backcolor'];
$backcolor_second = $row['backcolor_second'];
$allowcomments = $row['allowcomments']; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="<?= $row['description'] ?>">
<meta name="keywords" content="<?= $row['metatags'] ?>">
<meta name="author" content="<?= $row['author'] ?>">
<title><?= $c_title ?></title>
<script src="../core/js/fontawesome.min.js" crossorigin="anonymous"></script>
<link rel="stylesheet" href="../core/themes/tables.min.css">
<link rel="stylesheet" href="../core/css/fonts.min.css">

<?php
/**
 * 
 * Add the themes styling.
 * 
 */

 $stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
 $stmt->bind_param('i', $_SESSION['id']);
 $stmt->execute();
 $stmt->bind_result(
 $usertheme, $usetheme );
 $stmt->fetch();
 $stmt->close();
 if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') { 
 if (isset($_GET['id'])) { $id = $_GET['id']; }
 $sql = "SELECT id, usertheme FROM accounts"; 
 $result = $conn->query($sql); 
 if ($result->num_rows > 0) { 
 while ($row = $result->fetch_assoc()) { 
 require_once 'usertheme.php'; }}}
 else { require_once 'theme.php'; } ?>

<style>
.mini-wrapper {
<?php if ($usewhich == 'Image') { ?>
background: url('../media/themes/<?= $backimage ?>'); background-attachment:fixed; background-size:cover;
<?php } elseif ($usewhich == 'Color') { ?>
background: linear-gradient(<?= $backcolor ?>, <?= $backcolor_second ?>);
<?php } elseif ($usewhich == 'None' || $usewhich == '') { ?>
background: <?= $wrapper ?>;
<?php } ?>}

.mini-wrapper {
width: 70%;
margin: 0 auto;
}

@media (max-width: 1000px) {
.mini-wrapper {
width: 100%;
}}
</style>
</head>
<body>

<div class="mini-wrapper" style="padding:20px">

<?php 
/**
 * 
 * Show the title
 * if selected.
 * 
 */

if ($usetitle == 'Styled' && $printon == 'Yes') { ?>
<div class="center column-title"><h1 class="center coltitlecolor"><?= $c_title ?>
<a href="../core/builders/printarticle.php?id=<?= $id ?>" target="_blank" title="<?= _PRINT ?> &quot;<?= $c_title ?>&quot;">
<img src="printer.png" style="float:right; padding-right:30px; border:0;; height:50px;" alt="" /></a></h1></div>
<?php } 

elseif ($usetitle == 'Plain' && $printon == 'Yes') { ?>
<h3 class="center"><?= $c_title ?><a href="../core/builders/printarticle.php?id=<?= $id ?>" target="_blank" title="<?= _PRINT ?> &quot;<?= $c_title ?>&quot;">
<img src="printer.png" style="float:right; padding-right:30px; border:0; height:50px;" alt="" /></a></h3>
<?php }}} 

/**
 * 
 * Add the content.
 * 
 */ ?>

<?= $c_text ?>

<?php
/**
 * 
 * Use the Read More feature.
 * 
 */

if ($usereadmore == 'Yes') {

if ($readmoretarget == 'New Tab') { 
echo '<p class="center"><a href="../core/builders/readmore.php?id=' . $id . '" style="text-decoration:none" target="_blank"><span class="column-title linkcolor">' . _READMORE . '</span></a></p>'; } 

elseif ($readmoretarget == 'Popup')  { 
echo '<p class="center"><a href="../core/builders/readmore.php?id=' . $id . '" style="text-decoration:none" onclick="basicPopup(this.href);return false"><span class="column-title linkcolor">' . _READMORE . '</span></a></p>'; } 

elseif ($readmoretarget == 'Dropdown') { 
echo '<div class="center accordion mini-wrapper" style="width:100%">' . _READMORE . ' &nbsp;&nbsp;&nbsp;<i class="fa fa-arrow-down"></i></div>
<div class="panel" style="background:' . $content_bg . '; width:100%;">' . $readmore . '</div>'; 
}}

/**
 * 
 * Show the author and date
 * if selected.
 * 
 */ ?>

<div class="center spacer column-footer">

<?php if ($showauthor == 'Yes') { ?><p style="font-size:12px;color:<?= $col_footer_font_color ?>;">(<?= _BY ?>: <?= $author ?> .. <?= _DATE ?>: <?= $date ?>) 
<?php }

if ($allowcomments == 'Yes') { ?> &nbsp;&nbsp;<a href="../sys/usercomments.php?id=<?= $id ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _COMMENT ?> on &quot;<?= $c_title ?>&quot;.. (<?= _MEMBERSONLY ?>)"><i style="color:<?= $col_footer_font_color ?>;" class="fa fa-comments"></i></a> 
<?php }} ?>


<br>
<p class="center"><input class="button noborder" type="button" value="<?= _CLOSETHISWINDOW ?>" onclick="self.close()"></p>

<?php
/**
 * 
 * Allow the admin direct editing feature.
 * 
 */

if (isset($_GET['id'])) { $id = $_GET['id'];
$id = mysqli_real_escape_string($conn, $id); }

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer center spacer" style="margin:0 auto; width:100%;">
<a href="../core/designer/articlebuilder.php?edit=<?= $id ?>" onclick="basicPopup(this.href);return false" title="<?= _EDITARTICLEDIRECTLY ?>"><i class="fa fa-pencil-square-o"></i></a>
</div>
<?php }} ?>

<br>

</div>

<script>
var acc = document.getElementsByClassName("accordion");
var i;
for (i = 0; i < acc.length; i++) {
acc[i].addEventListener("click", function() {
this.classList.toggle("active");
var panel = this.nextElementSibling;
if (panel.style.display === "block") {
panel.style.display = "none";
} else {
panel.style.display = "block";
}
});
}
</script>

</body>
</html>