<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
session_start(); ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="Spectra Public Contact Form">
<meta name="keywords" content="Contact, Public, Information">
<?php 
/**
 * 
 * Find the language files.
 * 
 */
$sql = "SELECT * FROM website"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) {
$filename = 'core/lang/' . $row['lang'] . '.php';
if (file_exists($filename)) {
require_once "$filename";
} else {
require_once '../core/lang/' . $row['lang'] . '.php'; }}} ?>
<title><?= _CONTACTUS ?></title>
<?php require_once 'header.php';
if (isset($_POST['submit'])) {
$name = htmlspecialchars(stripslashes(trim($_POST['name'])));
$subject = htmlspecialchars(stripslashes(trim($_POST['subject'])));
$email = htmlspecialchars(stripslashes(trim($_POST['email'])));
$message = htmlspecialchars(stripslashes(trim($_POST['message'])));
if (!preg_match("/^[A-Za-z .'-]+$/", $name)) {
$name_error = '<p class="spacer radius" style="color:#000; background:green; color:#fff; width:200px; margin:0 auto;">' . _INVALIDNAME . '
</p>'; }
if (!preg_match("/^[A-Za-z .'-]+$/", $subject)) {
$subject_error = '
<p class="spacer radius" style="color:#000;background:green;color:#fff;width:200px;margin:0 auto;">' . _INVALIDSUBJECT . '
</p>'; }
if (!preg_match("/^[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}$/", $email)) {
$email_error = '
<p class="spacer radius" style="color:#000; background:green; color:#fff; width:200px; margin:0 auto;">' . _INVALIDEMAIL . '</p>'; }
if (strlen($message) === 0) {
$message_error = '
<p class="spacer radius" style="color:#000; background:green; color:#fff; width:200px; margin:0 auto;">
' . _MESSAGESHOULDNOTBEEMPTY . '
</p>'; }}
$sql = "SELECT * FROM modules"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$use_contact = $row['use_contact']; 
$toEmail = $row['toEmail']; 
$contact_text = $row['contact_text']; 
$use_recaptcha = $row['use_recaptcha']; 
$recaptcha = $row['recaptcha']; }}
if ($use_contact == 'Yes') { ?>
<style>.responsive {width: 900px }@media(max-width:600px) {.responsive {width: 100% }}</style>
<div class="responsive center spacer border shadow" style="background:#f1f1f1; margin:0 auto;">
<div class="column-title">
<h1 class="center" style="color:<?= $col_title_font_color ?>;font-family:<?= $col_title_font_fam ?>;font-size:<?= $col_title_font_size ?>;"><?= _CONTACTUS ?></h1>
</div>
<div class="radius" style="background:<?= $content_bg ?>; color:<?= $gen_text_color ?>; box-shadow:1px 0 40px 0 rgba(50,50,50,.3); border:.5px solid #336699; padding:10px;">
<?= $contact_text ?>
</div>
<br>
<form action="contact.php" method="POST">
<div class="full center">
<label for="name"><?= _NAME ?>:</label>
<br>
<input style="background:#f1f1f1; border:.5px solid #000;" type="text" name="name">
<p>
<?php if (isset($name_error)) echo $name_error; ?>
</p>
<label for="subject"><?= _SUBJECT ?>:</label>
<br>
<input style="background:#f1f1f1; border:.5px solid #000;" type="text" name="subject">
<p>
<?php if (isset($subject_error)) echo $subject_error; ?>
</p>
<label for="email"><?= _EMAIL ?>:</label>
<br>
<input style="background:#f1f1f1; border:.5px solid #000;" type="text" name="email">
<p>
<?php if (isset($email_error)) echo $email_error; ?>
</p>
<label for="message"><?= _MESSAGE ?>:</label>
<br>
<textarea id="editor" name="message" style="width:100%; border:.5px solid #000;"></textarea>
<p>
<?php if (isset($message_error)) echo $message_error; ?>
</p>
<?php if ($use_recaptcha == 'Yes') { ?>
<div class="g-recaptcha" data-sitekey="<?= $recaptcha ?>"></div>
<input type="submit" name="submit" value="<?= _SUBMIT ?>">
<?php } else { ?>
<input type="submit" name="submit" value="<?= _SUBMIT ?>">
<?php }
if (isset($_POST['submit']) && !isset($name_error) && !isset($subject_error) && !isset($email_error) && !isset($message_error)) {
$to = '' . $toEmail . '';
$body = " Name: $name\n E-mail: $email\n Message:\n $message";
if (mail($to, $subject, $body)) { ?>
<p class="border spacer radius" style="background:#ccc; color:green;"><?= _MESSAGESENT ?></p>
<?php } else { ?>
<p>
<?= _ERROROCCURED ?>
</p>
<?php }} ?>
</div>
</form>
<br>
<br>
</div>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer column spacer center" style="margin:0 auto; width:98%;">
<a href="../core/designer/contactform.php?edit=<?= $id ?>" onclick="basicPopup(this.href);return false"><i class="fa fa-pencil-square-o"></i></a>
</div>
<?php }}}
else {
echo "<script> window.location.replace('index.php') </script>"; }

require_once 'footer.php'; ?>