<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

$filename = 'config.php';
if (file_exists($filename)) {
require_once "$filename";
} else {
require_once '../core/builders/config.php'; }

/**
 * 
 *  Find the social media images.
 * 
 */

if (!isset($img_source)) {
$img_source = '../social icons/';
} else {
$img_source = '../core/social icons/'; }

$sql = "SELECT * FROM website, socialmedia, version, style"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$use_social_media = $row['use_social_media']; $copyright = $row['copyright']; 
$use_twitter = $row['use_twitter']; $twitter = $row['twitter']; 
$use_linkedin = $row['use_linkedin']; $linkedin = $row['linkedin']; 
$use_facebook = $row['use_facebook']; $facebook = $row['facebook']; 
$use_instagram = $row['use_instagram']; $instagram = $row['instagram']; 
$use_youtube = $row['use_youtube']; $youtube = $row['youtube']; 
$footercontent = $row['footercontent']; 
$SM_location = $row['SM_location']; $usecounter = $row['usecounter']; 
$current_version = $row['current_version']; $php_version = $row['php_version']; 
$lang = $row['lang']; $showfooter = $row['showfooter']; 
$viewcounter = $row['viewcounter']; $styling = $row['styling'];
$selectback = $row['selectback']; $firstcolor = $row['firstcolor'];
$secondcolor = $row['secondcolor']; $border = $row['border'];
$shadow = $row['shadow']; $radius = $row['radius'];
$padding = $row['padding']; }}

$sql = "SELECT * FROM website, themes WHERE theme_name='$themes'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$footer_font_color = $row['footer_font_color'];
$footer_img = $row['footer_img'];
$content_bg = $row['content_bg'];
$footer_color = $row['footer_color']; }}

/**
 * 
 * Get the language files.
 * 
 */

$filename = '../lang/' . $lang . '.php';
if (file_exists($filename)) {
require_once "$filename";
} else {
require_once '../core/lang/' . $lang . '.php'; } 

/**
 * 
 * Do not show the footer.
 * Show the Back-to-top button feature.
 * 
 */

if ($showfooter == 'No') { 

if ($styling == 'No') { ?>
<button onclick="topFunction()" id="UpTop" style="background: <?= $menu_color ?>; border:1px solid <?= $menu_color_second ?>; box-shadow:<?= $shadow ?>; padding:<?= $padding ?>; color:<?= $linkcolor ?>; border-radius:<?= $radius ?>;" title="<?= _GOTOTOP ?>"><i class="fa fa-angle-double-up"></i></button>   
<?php } else {
if ($selectback == 'Image') { ?>
<button onclick="topFunction()" id="UpTop" style="background: url('../media/images/<?= $backimg ?>'); border:<?= $border ?>; box-shadow:<?= $shadow ?>; padding:<?= $padding ?>; color:#ffffff; border-radius:<?= $radius ?>;" title="<?= _GOTOTOP ?>"><i class="fa fa-angle-double-up"></i></button>
<?php } else { ?>
<button onclick="topFunction()" id="UpTop" style="background: linear-gradient(<?= $firstcolor ?>, <?= $secondcolor ?>); border:<?= $border ?>; box-shadow:<?= $shadow ?>; padding:<?= $padding ?>; color:#ffffff; border-radius:<?= $radius ?>;" title="<?= _GOTOTOP ?>"><i class="fa fa-angle-double-up"></i></button>
<?php } 
}} 

/**
 * 
 * Show the footer.
 * 
 */

else { ?>

<div style="width:100%; margin:0 auto;" class="footer">

<?php if ($use_social_media == 'Yes' && $SM_location == 'Footer') { ?>
<div class="social-media">
<?php $filename = 'core/plugins/sociallinks.php';
if (file_exists($filename)) {
require_once "$filename";
} else {
require_once '../core/plugins/sociallinks.php'; } ?>
</div>
<?php } ?>

<br>

<div class="center spacer">
<p class="center" style="color:<?= $footer_font_color ?>"><?= _POWEREDBYCMSSPECTRA ?> <?= $current_version ?></p>
<p class="center" style="color:<?= $footer_font_color ?>"><?= _VERSION ?> <?= $php_version ?></p>
<p class="center" style="color:<?= $footer_font_color ?>"><?= $copyright ?></p>
<br>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer center spacer" style="margin:0 auto; width:100%;">
<a href="../core/designer/footer-config.php" onclick="basicPopup(this.href);return false" title="<?= _EDITPAGEDIRECTLY ?>"><i class="fa fa-pencil-square-o"></i></a>
</div>
<?php }} ?>

<?php 

if ($styling == 'No') { ?>
<button onclick="topFunction()" id="UpTop" style="background: <?= $menu_color ?>; border:1px solid <?= $menu_color_second ?>; box-shadow:<?= $shadow ?>; padding:<?= $padding ?>; color:<?= $linkcolor ?>; border-radius:<?= $radius ?>;" title="<?= _GOTOTOP ?>"><i class="fa fa-angle-double-up"></i></button>   
<?php } else {
if ($selectback == 'Image') { ?>
<button onclick="topFunction()" id="UpTop" style="background: url('../media/images/<?= $backimg ?>'); border:<?= $border ?>; box-shadow:<?= $shadow ?>; padding:<?= $padding ?>; color:#ffffff; border-radius:<?= $radius ?>;" title="<?= _GOTOTOP ?>"><i class="fa fa-angle-double-up"></i></button>
<?php } else { ?>
<button onclick="topFunction()" id="UpTop" style="background: linear-gradient(<?= $firstcolor ?>, <?= $secondcolor ?>); border:<?= $border ?>; box-shadow:<?= $shadow ?>; padding:<?= $padding ?>; color:#ffffff; border-radius:<?= $radius ?>;" title="<?= _GOTOTOP ?>"><i class="fa fa-angle-double-up"></i></button>
<?php }} ?>

</div>
</div>

<?php } ?>

<?php $filename = 'scripts.php';
if (file_exists($filename)) {
require_once "$filename";
} else {
require_once '../core/builders/scripts.php'; } ?>

<script>
function basicPopup(url) {
popupWindow = window.open(url, 'popUpWindow', 'height=600,width=600,left=100,top=100,resizable=yes,scrollbars=yes,toolbar=yes,menubar=no,location=no,directories=no, status=yes'); }
</script>

</body>
</html>