<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

function total_views($conn, $page_id = null)
{
if ($page_id === null) {
// count total website views
$query = "SELECT sum(total_views) as total_views FROM pages";
$result = mysqli_query($conn, $query);

if (mysqli_num_rows($result) > 0) {
while ($row = $result->fetch_assoc()) {
if ($row['total_views'] === null) {
return 0;
} else {
return $row['total_views'];
}
}
} else {
return "No records found!";
}
} else {
// count specific page views
$query = "SELECT total_views FROM pages WHERE id='$page_id'";
$result = mysqli_query($conn, $query);

if (mysqli_num_rows($result) > 0) {
while ($row = $result->fetch_assoc()) {
if ($row['total_views'] === null) {
return 0;
} else {
return $row['total_views'];
}
}
} else {
return "No records found!";
}
}
}



function is_unique_view($conn, $visitor_ip, $page_id)
{
$query = "SELECT * FROM page_views WHERE visitor_ip='$visitor_ip' AND page_id='$page_id'";
$result = mysqli_query($conn, $query);

if (mysqli_num_rows($result) > 0) {
return false;
} else {
return true;
}
}



function add_view($conn, $visitor_ip, $page_id)
{
if (is_unique_view($conn, $visitor_ip, $page_id) === true) {
// insert unique visitor record for checking whether the visit is unique or not in future.
$query = "INSERT INTO page_views (visitor_ip, page_id) VALUES ('$visitor_ip', '$page_id')";

if (mysqli_query($conn, $query)) {
// At this point unique visitor record is created successfully. Now update total_views of specific page.
$query = "UPDATE pages SET total_views = total_views + 1 WHERE id='$page_id'";

if (!mysqli_query($conn, $query)) {
echo "Error updating record: " . mysqli_error($conn);
}
} else {
echo "Error inserting record: " . mysqli_error($conn);
}
}
}

function get_gravatar($email, $s = 80, $d = 'mp', $r = 'g', $img = false, $atts = array())
{
$url = 'https://www.gravatar.com/avatar/';
$url .= md5(strtolower(trim($email)));
$url .= "?s=$s&d=$d&r=$r";
if ($img) {
$url = '<img src="' . $url . '"';
foreach ($atts as $key => $val)
$url .= ' ' . $key . '="' . $val . '"';
$url .= ' />';
}
return $url;
}

function showIPAddress()
{
$variableIndex = array(
"HTTP_CLIENT_IP",
"HTTP_X_FORWARDED_FOR",
"HTTP_X_FORWARDED",
"HTTP_FORWARDED_FOR",
"HTTP_FORWARDED",
"REMOTE_ADDR"
);
for ($i = 0; $i < count($variableIndex); $i++) {
if (!isset($ipAddress)) {
if (array_key_exists($variableIndex[$i], $_SERVER)) {
$ipAddress = getenv($variableIndex[$i]); ?>

<strong>IP Address:</strong> <?= $ipAddress ?>

<?php break;
}
}
}
}

function savemenu()
{ ?>

<style>
.savemenu {
margin: 0 auto;
margin-top: 0;
width: 315px;
height: 55px;
display: block;
box-shadow: 0 0 5px #000 inset;
z-index: 999;
}

@media(max-width:600px) {
.savemenu {
margin-top: -200px
}
}
</style>

<div class="savemenu radius center" id="updatebtn">

<input class="button noborder pointer" style="font-size:13px; font-weight:600;" type="Submit" value="<?= _UPDATETHERECORD ?>" name="Submit">

&nbsp;<a href="" style="font-size:13px; font-weight:600; text-decoration:none" class="button"><span style="color:#fff"><?= _REFRESHPAGE ?></span></a>

</div>

<br>
<?php }

function saveprofile()
{ ?>

<style>
.saveprofile {
position: sticky;
bottom: 10px;
margin: 0 auto;
margin-top: 0;
width: 100%;
height: 40px;
display: block;
box-shadow: 0 0 5px #000 inset;
z-index: 999;
}

@media(max-width:600px) {
.saveprofile {
margin-top: -200px
}
}
</style>

<div class="column-title saveprofile radius center" id="updatebtn">

<input class="button noborder pointer" style="width:200px;font-size:13px; font-weight:600;" type="Submit" value="<?= _UPDATETHERECORD ?>" name="Submit">

</div>

<br>
<?php }

function updatepublish()
{
global $update;
?>
<div class="center input-group">
<?php if ($update == true) { ?>
<button style="cursor:pointer; width:250px;" type="submit" class="button" name="update"><?= _UPDATETHERECORD ?></button>
<?php } else { ?>
<button style="cursor:pointer; width:250px;" class="button" type="submit" name="save"><?= _PUBLISH ?></button>
<?php } ?>
</div>
<?php }

function closewin()
{ ?>
<input type="button" value="Close this window" onclick="self.close()">

<script>
function windowClose() {
window.open('', '_parent', '');
window.close();
}
</script>

<?php }
