<?php

/**
 * Spectra is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra
 * @author    Mike Boyles <codersjunctions@gmail.com>
 * @copyright 2020-2023 Coders Junction
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.coders-junction.com
 */

require_once 'main.php'; 
session_start(); ?>

<!DOCTYPE html>
<html lang="en">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="CMS Spectra Gallery">
<meta name="keywords" content="Photos, Images, Graphics, Sharing, Information, Family, Trips, Caption">
<?php $sql = "SELECT lang FROM website";
$id = isset($_GET['id']) ? $_GET['id'] : '';
$id = mysqli_real_escape_string($conn, $id);
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$filename = 'core/lang/' . $row['lang'] . '.php';

if (file_exists($filename)) {

require_once "$filename";
} else {
require_once '../core/lang/' . $row['lang'] . '.php'; }
}
}
$sql = "SELECT title FROM galleries WHERE id='$id'";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>
<title><?= $row['title'];
}
} ?></title>
<?php $filename = 'header.php';

if (file_exists($filename)) {

require_once "$filename";
} else { 
require_once '../header.php'; }

$sql = "SELECT * FROM gallery_config, website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$album_name = $row['album_name'];
$sub_text = $row['sub_text'];
$hdr_size = $row['hdr_size'];
$subhdr_size = $row['subhdr_size'];
$album_font = $row['album_font'];
$album_subfont = $row['album_subfont'];
$whichmenu = $row['whichmenu'];
$layout = $row['layout'];
}
}

// Build the header
$filename = 'core/gallery/resources/UberGallery.php';

if (file_exists($filename)) {

require_once "$filename";
} else {
require_once '../gallery/resources/UberGallery.php'; }
$filename = 'core/gallery/resources/gallery-style.php';

if (file_exists($filename)) {

require_once "$filename";
} else {
require_once '../core/gallery/resources/gallery-style.php'; }
$img_dir = '../media/gallery-images/'; ?>
<div class="content-container full">
<div class="column">
<div class="card">
<<?= $hdr_size ?>>
<div class="top spacer full" style="font-family:<?= $album_font ?>"><?= $album_name ?>
</<?= $hdr_size ?>><?= $subhdr_size ?><span style="font-family:<?= $album_subfont ?>"><?= $sub_text ?></span>
</div>
</<?= $subhdr_size ?>>
</div>

<?php
$id = isset($_GET['id']) ? $_GET['id'] : '';
$id = mysqli_real_escape_string($conn, $id);
$sql = "SELECT * FROM galleries WHERE id='$id'";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$title = $row['title'];
$ifused = $row['ifused'];
$fontfamily = $row['fontfamily'];
$fontsize = $row['fontsize'];
$fontcolor = $row['fontcolor'];
$addtxt = $row['addtxt'];
}
} ?>

<br><br><br>

<?php if ($whichmenu == 'Top Menu') { // Build the responsive top menu 
?>

<div class="topnav" id="myTopnav">

<ul class="sub-menu" style="background:<?= $menu_color ?>">


<?php $sql = "SELECT id, title FROM galleries";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>

<a href="gallery.php?id=<?= $row['id'] ?>"> <?= $row['title'] ?></a>
<?php } ?>
</ul>
<a href="javascript:void(0);" class="icon" onclick="myFunction()"><i class="fa fa-bars"></i></a>
</div>
<?php }
} else { // Build the Dropdown Menu

?>
<div class="dropdown-alt"><span class="dropbtn-alt"><?= _GALLERYMENU ?> <i class="fa fa-angle-double-down"></i></span>

<div style="background:<?= $menu_color ?>" class="dropdown-alt-content">&nbsp;&nbsp;

<?php $sql = "SELECT * FROM galleries";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$title = $row['title']; ?>

<a href="gallery.php?id=<?= $row['id'] ?>">

<div style="color:<?= $logo_font_color ?>; font-size:16px" class="left"> <?= $row['title'] ?>
</a>
</div>

<?php  } ?>

</div>

</div>

<?php }
} // Build the galleries
?>

<?php $sql = "SELECT * FROM gallery_config";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>

<style>
<?php if ($row['use_img_bg'] == 'Yes') { ?>.outer-config {
background-image: url('../media/gallery-frames/<?= $row['img_bg_image'] ?>');
}

<?php } else { ?>.outer-config {
background: -webkit-gradient(linear, left top, left bottom, from(<?= $row['img_bg_color'] ?>), to(<?= $row['img_bg_color_second'] ?>));
}

<?php } ?>.outer-config {
padding: <?= $row['img_padding'] ?>;
color: <?= $row['img_text_color'] ?>;
font-size: <?= $row['img_text_size'] ?>;
border: <?= $row['img_outside_border_width'] ?> <?= $row['img_outside_border_style'] ?> <?= $row['img_outside_border_color'] ?>;
border-radius: <?= $row['img_radius'] ?>;
}

.img-caption {
background: <?= $row['img_caption_bg'] ?>;
color: <?= $row['img_caption_color'] ?>;
padding: 3px <?= $row['captionpadding'] ?>px 3px <?= $row['captionpadding'] ?>px;
}

.inner-config {
border: <?= $row['img_inside_border_width'] ?> <?= $row['img_inside_border_style'] ?> <?= $row['img_inside_border_color'] ?>;
box-shadow: <?= $row['img_inner_shadow'] ?> <?= $row['img_inner_shadow_color'] ?>;
border-radius: <?= $row['img_inner_radius'] ?>;
}
</style>

<?php }
} ?>

<br><br>

<?php $sql = "SELECT * FROM galleries WHERE id='$id'";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$ifused = $row['ifused'];
$fontsize = $row['fontsize'];
$fontcolor = $row['fontcolor'];
$fontfamily = $row['fontfamily'];
$title = $row['title'];
$addtxt = $row['addtxt']; ?>

<div id="<?= $title ?>">

<?php if ($ifused == 'Yes') {
// Build the gallery title
?>
<div class="title center">

<div class="column-title spacer coltitlecolor">
<a href="" class="position-grid__cell hint--top hint--large hint--rounded" aria-label="<?= _REFRESHPAGE ?>"><i style="text-shadow:1px 1px 2px #000;" class="coltitlecolor  fa fa-refresh"></i></a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?= $title ?>
</div>

<br>

<!-- Add text about the gallery (if used) -->
<div class="card radius" style="padding:20px; width:95%; margin:0 auto;"><?= $addtxt ?></div>

<br><br><br>

<div style="width:90%; margin:0 auto;">

<!-- Display the gallery -->
<?php $gallery = UberGallery::init($id)->createGallery('' . $img_dir . '' . $title . ''); ?>

</div>

<br>

</div>
</div>
</div>

<?php
}
}
}
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer column spacer center" style="margin:0 auto;width:98%;">
<a href="../core/designer/gallerybuilder.php?edit=<?= $id ?>" onclick="basicPopup(this.href);return false"><i class="fa fa-pencil-square-o"></i></a>
</div>
<?php
}
} ?>

</div>

<?php
// Initialize the UberGallery object
$gallery = new UberGallery('gallery-images');

// Initialize the gallery array
$galleryArray = $gallery->readImageDirectory('');

// Define theme path
if (!defined('THEMEPATH')) {
define('THEMEPATH', $gallery->getThemePath());
}

// Set path to theme index
$themeIndex = $gallery->getThemePath(true) . '/index.php';

// Initialize the theme
if (file_exists($themeIndex)) {
include($themeIndex);
} else {
die('ERROR: Failed to initialize theme');
} ?>

<script>
function myFunction() {
var x = document.getElementById("myTopnav");
if (x.className === "topnav") {
x.className += " responsive";
} else {
x.className = "topnav";
}
}
</script>

<?php require_once 'footer.php'; ?>