<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

/**
 * 
 * Find the favicon.
 * 
 */

$favicon = 'media/favicon.ico';
if (file_exists($favicon)) { ?>
<link rel="icon" type="image/ico" sizes="16x16" href="<?= $favicon ?>">
<?php } else { 
$favicon = '../media/favicon.png'; ?>
<link rel="icon" type="image/png" sizes="16x16" href="<?= $favicon ?>">
<?php } ?>
<link rel="stylesheet" href="../core/css/style.min.css">
<link rel="stylesheet" href="../core/css/fontawesome.min.css">
<link rel="stylesheet" href="../core/css/jside-menu.min.css">
<link rel="stylesheet" href="../core/css/purecookie.min.css" />
<link rel="stylesheet" href="../core/css/hint.min.css" />
<link rel="stylesheet" href="../core/css/colorbox.min.css">
<link rel="stylesheet" href="../core/css/lightbox.min.css">
<link rel="stylesheet" href="../core/themes/style.min.css">
<link rel="stylesheet" href="../core/themes/tables.min.css">
<link rel="stylesheet" href="../core/css/fonts.min.css">

<?php 
/**
 * 
 * Find and add the language files.
 * 
 */

$sql = "SELECT * FROM website, themes"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$themes = $row['themes']; 
$theme_name = $row['theme_name']; 
$menuselection = $row['menuselection'];
$langfile = 'core/lang/' . $row['lang'] . '.php';
if (file_exists($langfile)) {
require_once "$langfile";
} else {
require_once '../core/lang/' . $row['lang'] . '.php'; }}}

/**
 * 
 * Add the theme.
 * 
 */

$stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result(
$usertheme, $usetheme );
$stmt->fetch();
$stmt->close();
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') { 
if (isset($_GET['id'])) { $id = $_GET['id']; }
$sql = "SELECT id, usertheme FROM accounts"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
require_once 'usertheme.php'; }}}
else { require_once 'theme.php'; }

/**
 * 
 * Get the scripts.
 * 
 */ ?>

<script src="../core/js/purecookie.min.js"></script>
<script src="../core/js/jquery-3.2.1.min.js"></script>
<script src="../core/megamenu/megamenu.min.js"></script>
<script src="../core/megamenu/megamenu.js"></script>
<script src="../core/js/lightbox.min.js"></script>
<script src="../core/js/modal.js"></script>
<script src="../core/js/fontawesome.min.js" crossorigin="anonymous"></script>
</head>

<?php 
/**
 * 
 * If chosen, add a social media vertical bar 
 * but hide it under 600px for mobile devices.
 * 
 */

$sql = "SELECT * FROM socialmedia"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {

if ($row['social_media_sidebar'] == 'Yes') { ?>

<div class="hide">

<?php require_once '../core/plugins/socialmediaside.php'; ?>

</div>
<?php }}}

global $theme_name;
$sql = "SELECT * FROM config_contentslider, website, themes WHERE theme_name='$theme_name'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$uselogoimage = $row['uselogoimage']; 
$menu_below = $row['menu_below']; 
$sliderattop = $row['sliderattop']; 
$header_img = $row['header_img']; 
$useheadercolor = $row['useheadercolor']; 
$useslider = $row['useslider']; 
$logo = $row['logo']; 
$logo_image = $row['logo_image']; 
$align_logo = $row['align_logo']; 
$logo_shadow = $row['logo_shadow']; 
$shadow_color = $row['shadow_color']; 
$sublogotext = $row['sublogotext']; 
$menuselection = $row['menuselection'];
 $header_first_color = $row['header_first_color']; 
 $header_second_color = $row['header_second_color']; }} ?>

 <body class="loggedin">

 <?php
 /**
  * 
  * Define the header styling.
  * Use colors.
  * 
  */

 if ($useheadercolor == 'Yes') { ?>
 <div style="width:<?= $website_width ?>; margin:0 auto; background-image:linear-gradient(<?= $header_first_color ?>, <?= $header_second_color ?>);" class="column header headercolor">
 <?php } 
 else { 

 /**
  * 
  * Define the header styling.
  * Use image.
  * 
  */ ?>

 <div style="width:<?= $website_width ?>; margin:0 auto;" class="header headerimage">
 <?php }

 /**
  * 
  *  If selected place the Menu BELOW the logo.
  *
  */

 if ($menu_below == 'Yes') {

 /**
  * 
  *  Get logo with image if selected.
  * 
  */

 if ($uselogoimage == 'Yes') {
 require_once 'logo.php'; }
 else {

 /**
  * 
  *  Get logo without image.
  * 
  */

 require_once 'logo.php'; } ?>
 </div>

 <?php 
 /**
  * 
  *  Place Menu Below the logo.
  * 
  */

 if ($menuselection == 'Menubar') {
 require_once 'menu.php'; }

 /**
  * 
  * End If selected place the Menu BELOW the logo.
  * 
  */

 } 
 else { 

 /**
  * 
  *  If selected place Menu ABOVE the logo.
  * 
  */

 if ($menuselection == 'Menubar') {
 require_once 'menu.php'; }

 /**
  * 
  * Get logo with image.
  * 
  */

 if ($uselogoimage == 'Yes') {
 require_once 'logo.php'; }
 else {

 /**
  * 
  * Get logo without image.
  *
  */

 require_once 'logo.php'; } ?>
 </div>
 <?php }

 /**
  * 
  * If selected place Menu ABOVE the logo.
  * 
  * 
  * If the offcanvas sidemenu
  * is selected, find it and
  * display it replacing the
  * menubar. Does not affect
  * the logo.
  * 
  */

 if ($menuselection == 'Offcanvas') {
 $filename = '../core/megamenu/sidemenu.php';
 if (file_exists($filename)) {
 require_once "$filename"; } 
 else {
 require_once 'core/megamenu/sidemenu.php'; }} 

 /**
  * 
  * Add a wrapper to the page.
  * Close it in footer.php
  *
  */ ?>
  
 <div class="inner-wrapper spacer">

