<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
session_start();
if (isset($_GET['id'])) { $id = $_GET['id']; 
$id = mysqli_real_escape_string($conn, $id); }

/**
* 
* If page does not exist send to the 404 page.
*
*/
global $id;
$sql = "SELECT id FROM newpages WHERE id = '$id'"; 
$result = $conn->query($sql); 
if (mysqli_num_rows($result) == 0) { 
$lostfile = '404.php';
if (file_exists($lostfile)) {
require_once "$lostfile"; } 
else {
require_once 'sup/404.php'; }} 
else { 

/**
 * 
 *  If page exist show it.
 * 
 */

require_once '../sys/functions.php';

$sql = "SELECT pagename, description, metatags FROM newpages WHERE id='$id'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="<?= $row['description'] ?>">
<meta name="keywords" content="<?= $row['metatags'] ?>">
<title><?= $row['pagename']; }} ?></title>
<?php require_once 'header.php';

/** 
 *  If chosen, add a social media vertical bar 
 *  but hide it under 600px for mobile devices.
 * 
 */ 

$sql = "SELECT * FROM socialmedia"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$social_media_sidebar = $row['social_media_sidebar']; }}

if ($social_media_sidebar == 'Yes') { ?>
<div class="inner-wrapper" style="margin:0 auto; width:97%;">
<?php global $theme_name; 
$sql = "SELECT * FROM config_contentslider, website, themes WHERE theme_name='$theme_name'"; 
$result = $conn->query($sql);  
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { 
$uselogoimage = $row['uselogoimage']; 
$menu_below = $row['menu_below']; 
$sliderattop = $row['sliderattop']; 
$header_img = $row['header_img']; 
$useheadercolor = $row['useheadercolor']; 
$useslider = $row['useslider']; 
$logo = $row['logo']; 
$logo_image = $row['logo_image']; 
$align_logo = $row['align_logo']; 
$logo_shadow = $row['logo_shadow'];
$shadow_color = $row['shadow_color']; 
$sublogotext = $row['sublogotext']; 
$menuselection = $row['menuselection']; }} }

/**
 * 
 * Place menu offcanvas .. 
 * Code is in the header.
 */

if (isset($_GET['id'])) { $id = $_GET['id']; 
$id = mysqli_real_escape_string($conn, $id); }
$sql = "SELECT * FROM newpages WHERE id='$id'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$usepage = $row['usepage']; 
$useslider = $row['useslider']; 
$showsidebar = $row['showsidebar']; 
$pagename = $row['pagename']; 
$pagetext = $row['pagetext']; 
$deactivemsg = $row['deactivemsg']; 
$use_which_side = $row['use_which_side']; 
$calendar = $row['calendar']; 
$clock = $row['clock']; 
$tagcloud = $row['tagcloud']; 
$categories = $row['categories']; 
$search = $row['search']; 
$quicklinks = $row['quicklinks']; 
$spotlight = $row['spotlight']; 
$digital = $row['digital']; 
$printpage = $row['printpage']; 
$showpagetitle = $row['showpagetitle'];
$useback = $row['useback'];
$backcolorone = $row['backcolorone'];
$backcolortwo = $row['backcolortwo'];
$backimage = $row['backimage']; }}

/**
 *  Display page using additional sidebars and plugins.
 * 
 */

if ($usepage == 'Yes') {

/**
 * 
 * Allow admin direct editing.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>  
<div class="column-title center" style="width:97%; border-radius:0">  
<a href="../core/designer/pagebuilder.php?edit=<?= $id ?>" target="_blank" title="Edit: <?= $pagename ?>">
<i class="fa fa-pencil-square-o coltitlecolor"></i></a>  
</div>
<?php }} 

/**
 * 
 * Add styling to support responsiveness.
 * 
 */ ?>

<style>
.fullpage { 
width:80%;
margin: 0 auto; }

@media (max-width: 900px) { 
.fullpage { width:100% }}
</style>

<?php 
/**
 *  Display sidebar only on left side.
 * 
 */

if ($use_which_side == "Left") { ?>
<div class="newspage fullpage" style="margin:0 auto; padding-top:5px; border:0;">
   <table class="column">
      <tr style="box-shadow:0; border:0;">
        <td class="top spacer leftblock">
          <div class="noborder">
             <?php require_once "../core/layout/page-content-left.php"; ?>
               </div>
                 </td>
                   <td class="top centerblockleft spacer">
                     <?php if ($showpagetitle == 'Yes') { ?>
                      <div class="column column-title center"><?= $pagename ?>
                        <?php } if ($printpage == 'Yes') { ?>
                          <span style="float:right; padding-right:30px;">
                           <a href="../core/builders/printpage.php?id=<?= $id ?>" target="_blank">
                            <img src="printer.png" style="border:0; width:40px" alt="<?= _PRINT ?>" title="<?= _PRINT ?>" /></a></span>
                              <?php } ?>
                             </div>
                             <?php if ($useback == 'Color') { ?>
                           <div style="background: linear-gradient(<?= $backcolorone ?>, <?= $backcolortwo ?>);">
                          <div class="spacer column"><?= $pagetext ?></div>
                         <?php } 
                        if ($useback == 'Image') { ?>
                       <div style="background: url('../media/images/<?= $backimage ?>'); background-attachment:fixed; background-size:cover;">
                      <div class="spacer column"><?= $pagetext ?></div>
                     <?php }
                   if ($useback == 'None' || $useback == '') { ?>                 
                 <div class="card spacer column"><?= $pagetext ?></div>
              <?php } ?>
            </td>
       </tr>
    </table>
</div>
<?php }

/**
 * Display sidebar only on right side.
 * 
 */

if ($use_which_side == "Right") { ?>
<div class="newspage fullpage" style="margin:0 auto; padding-top:5px;">
      <table class="column">
        <tr style="box-shadow:0; border:0;">
          <td class="top centerblockright spacer">
          <?php if ($showpagetitle == 'Yes') { ?>
            <div class="column column-title center"><?= $pagename ?>
               <?php } if ($printpage == 'Yes') { ?>
                 <span style="float:right; padding-right:30px;">
                   <a href="../core/builders/printpage.php?id=<?= $id ?>" target="_blank">
                   <img src="printer.png" style="width:40px; border:0;" alt="<?= _PRINT ?>" title="<?= _PRINT ?>" /></a></span>
                     <?php } ?>
                      </div>
                       <?php if ($useback == 'Color') { ?>
                        <div style="background: linear-gradient(<?= $backcolorone ?>, <?= $backcolortwo ?>);">
                        <div class="spacer column"><?= $pagetext ?></div>
                        <?php } 
                        if ($useback == 'Image') { ?>
                       <div style="background: url('../media/images/<?= $backimage ?>'); background-attachment:fixed; background-size:cover;">
                      <div class="spacer column"><?= $pagetext ?></div>
                      <?php }
                      if ($useback == 'None' || $useback == '') { ?>                 
                    <div class="card spacer column"><?= $pagetext ?></div>
                    <?php } ?>
                  </td>
                <td class="top rightblock">
              <div class="noborder spacer">
            <?php require_once "../core/layout/page-content-right.php"; ?>
          </div>
        </div>
      </td>
    </tr>
  </table>
<?php }

/**
 * Display sidebars on both left and right side.
 * 
 */

if ($use_which_side == "Both") { ?>
<div class="newspage fullpage" style="margin:0 auto; padding-top:5px;">
  <table class="column">
    <tr>
      <td class="top leftblock">
          <div class="noborder spacer">
            <?php require_once "../core/layout/page-content-left.php"; ?>
              </div>
                </td>
                  <td class="top centerblockboth spacer">
                    <?php if ($showpagetitle == 'Yes') { ?>
                     <div class="column column-title center">
                       <?= $pagename ?>
                         <?php } if ($printpage == 'Yes') { ?><span style="float:right; padding-right:30px;">
                           <a href="../core/builders/printpage.php?id=<?= $id ?>" target="_blank">
                            <img src="printer.png" style="width:40px; border:0;" alt="<?= _PRINT ?>" title="<?= _PRINT ?>" /></a></span>
                             <?php } ?>
                             </div>
                             <div class="noborder">
                             <?php if ($useback == 'Color') { ?>
                             <div style="background: linear-gradient(<?= $backcolorone ?>, <?= $backcolortwo ?>);">
                            <div class="spacer column"><?= $pagetext ?></div>
                           <?php } 
                          if ($useback == 'Image') { ?>
                         <div style="background: url('../media/images/<?= $backimage ?>'); background-attachment:fixed; background-size:cover;">
                        <div class="spacer column"><?= $pagetext ?></div>
                        <?php }
                       if ($useback == 'None' || $useback == '') { ?>                 
                      <div class="card spacer column"><?= $pagetext ?></div>
                     <?php } ?>
                    </div>
                  </td>
                <td class="top rightblock">
              <div class="noborder">
            <?php require_once "../core/layout/page-content-right.php"; ?>
          </div>
      </td>
    </tr>
  </table>
</div>
<?php } 

/**
 * Do not display sidebars.
 * 
 */

  if ($use_which_side == "None" || $use_which_side == '') { ?>
  <div style="margin:0 auto; padding-top:5px;" class="fullpage spacer">
  <?php if ($showpagetitle == 'Yes') { ?>
    <div class="column column-title">
      <?= $pagename ?>
        <?php } if ($printpage == 'Yes') { ?>
         <span style="float:right; padding-right:30px;">
          <a href="../core/builders/printpage.php?id=<?= $id ?>" target="_blank">
           <img src="printer.png" style="width:40px; border:0;" alt="<?= _PRINT ?>" title="<?= _PRINT ?>" />
            </a>
             </span>
              <?php } ?>            
              </div>
               <?php if ($useback == 'Color') { ?>
                <div class="spacer" style="background:linear-gradient(<?= $backcolorone ?>, <?= $backcolortwo ?>);">
                <div class="spacer column fullpage"><?= $pagetext ?></div>
                <?php } 
                if ($useback == 'Image') { ?>
              <div style="background: url('../media/images/<?= $backimage ?>'); background-attachment:fixed; background-size:cover;">
            <div class="spacer column fullpage"><?= $pagetext ?></div>
          <?php }
        if ($useback == 'None' || $useback == '') { ?>                 
      <div class="card spacer fullpage"><?= $pagetext ?></div>
      <?php } ?>
   </div>
  <p>&nbsp;</p>
 </div>
</div>
 <?php }

/**
 *  Add admin only direct editing regardless of layout.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
  if ($_SESSION['role'] == 'Admin') { ?>
    <div class="column-title center" style="width:98.5%; border-radius:0">
      <a href="../core/designer/pagebuilder.php?edit=<?= $id ?>" target="_blank" title="Edit: <?= $pagename ?>"><i class="fa fa-pencil-square-o coltitlecolor"></i></a>
        </div>
          <br>
          </div>
          <?php }}
          echo '</div>';
        require_once "footer.php";
      } else {
    if (isset($_GET['id'])) { $id = $_GET['id'];
  $id = mysqli_real_escape_string($conn, $id); }
$sql = "SELECT pagename, deactivemsg FROM newpages WHERE id='$id'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$pagename = $row['pagename']; 
$deactivemsg = $row['deactivemsg']; }}

/**
 *  Page is off, display message if there is one.
 * 
 */ ?>
 
<div class="card spacer" style="margin:0 auto; width:97%;"><?= $deactivemsg ?></div>
  <?php // Let the admin only edit this page directly when logged in.
    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
     if ($_SESSION['role'] == 'Admin') { ?>
      <div class="column-footer column spacer center" style="text-align:center; margin:0 auto; width:97%;">
      <a href="../core/designer/pagebuilder.php?edit=<?= $id ?>" target="_blank" title="Edit: <?= $pagename ?>"><i class="fa fa-pencil-square-o"></i></a>
    </div>
  <?php }}
require_once 'footer.php'; }}