<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

/**
* 
* Prevent direct access.
*
*/

if (!isset($_SERVER['HTTP_REFERER'])) {
echo "<script> window.location.replace('../../index.php') </script>";
exit; }

require_once 'main.php';
session_start(); ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta name="description" content="All Active Accounts Listing">
<meta name="keywords" content="Active, User Accounts, Private Access">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<?php $sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once '../core/lang/' . $row['lang'] . '.php'; }} ?>
<title><?= _ACTIVEMEMBERACCOUNTS ?></title>
<?php $stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result(
$usertheme, $usetheme );
$stmt->fetch();
$stmt->close();
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') { 
if (isset($_GET['id'])) { $id = $_GET['id']; }
$sql = "SELECT id, usertheme FROM accounts"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
require_once 'usertheme.php'; }}}
else { require_once 'theme.php'; } ?>

<style>
.inner-container {
background: <?= $content_bg ?>; 
width: 20%; 
margin: 0 auto; 
padding: 5px; 
border: 1px solid #000; 
border-radius: 15px; 
box-shadow: 12px 0 15px -4px rgba(0, 0, 0, 0.2), -12px 0 8px -4px rgba(0, 0, 0, 0.2);} 

@media (max-width:1000px) {
.inner-container {
width:100% }} 

p {font-size:18px}
</style>

</head>
<body>
  
<div id="wrapper" style="margin:0 auto; width:97%; padding-bottom:120px;">
<br>
<p class="center"><input type="button" value="<?= _CLOSETHISWINDOW ?>" onclick="self.close()"></p>

<?php 
/**
 * Must be logged in to see this page.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if (isset($_GET['id'])) { $id = $_GET['id']; }
$id = mysqli_real_escape_string($conn, $id);
$sql = "SELECT * FROM accounts WHERE id='$id'"; 
$result = $conn->query($sql);
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>
<div class="inner-container">
<?php if ($row['use_avatar'] == 'Gravatar') {
require_once 'Gravatar.php'; ?>
<div class="center"><a href="https://gravatar.com" target="_blank"><?= $g = new Gravatar('$email'); ?></a></div>
<?php }
elseif ($row['use_avatar'] == 'Avatar') { ?>
<div class="center"><img src="<?= $row['avatarurl'] ?>" style="width:50px; height:50px; border-radius:50%" alt="" /></div>
<?php } 
elseif ($row['use_avatar'] == 'None' OR $row['use_avatar'] == '') { } ?>
<br>
<div class="spacer">
<p class="left"><?= _USERNAME ?>: <?= $row['username'] ?></p>
<p class="left"><?= _REALNAME ?>: <?= $row['realname'] ?> </p>
<p class="left" data-label="<?=_ROLE?>: "><?=_ROLE?>:&nbsp;<?= $row['role'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['location'] ?></p> 
<p class="left"><?=_THEME ?>:&nbsp;<?= $row['usertheme'] ?></p>
<?php if ($row['activation_code'] == 'activated') { ?>
<p class="left" data-label="<?=_ACCOUNT?>: "><?=_ACCOUNT?>:&nbsp;<?= $row['activation_code'] ?></p>
<?php } else { ?>
<p class="left" data-label="<?=_ACCOUNT?>: "><?=_ACCOUNT?>:&nbsp;<?= _NOTACTIVE ?></p>
<?php } ?>
<p class="left" data-label="<?= _MEMBERSINCE ?>"><?=_MEMBERSINCE?>:&nbsp;<?= $row['date'] ?></p>

<?php 
/**
 * 
 * If the member chooses to display their social media here,
 * only display those that the member chose in their profile.
 * 
 */

if ($row['showsm'] == 'Yes') { ?>
<div class="left">&nbsp;
<?php if ($row['facebook'] == '') {} else { ?>
<a href="https://facebook.com/<?= $row['facebook'] ?>" target="_blank" title="Facebook"><img src="../core/social icons/facebook.png" style="width:36px; border:0;" alt="Facebook" /></a>&nbsp;&nbsp;
<?php } 

if ($row['youtube'] == '') {} else { ?>
<a href="https://youtube.com/<?= $row['youtube'] ?>" target="_blank" title="YouTube"><img src="../core/social icons/youtube.png" style="width:36px; border:0;" alt="YouTube" /></a>&nbsp;&nbsp;
<?php }

if ($row['twitter'] == '') {} else { ?>
<a href="https://twitter.com/<?= $row['twitter'] ?>" target="_blank" title="Twitter"><img src="../core/social icons/twitter.png" style="width:36px; border:0;" alt="Twitter" /></a>&nbsp;&nbsp;
<?php }

if ($row['twitch'] == '') {} else { ?>
<a href="https://www.twitch.tv/<?= $row['twitch'] ?>" target="_blank" title="Twitch"><img src="../core/social icons/twitch.png" style="width:36px; border:0;" alt="Twitch" /></a>&nbsp;&nbsp;
<?php }

if ($row['tiktok'] == '') {} else { ?>
<a href="https://tiktok.com/@<?= $row['tiktok'] ?>" target="_blank" title="Tiktok"><img src="../core/social icons/tiktok.png" style="width:36px; border:0;" alt="Tiktok" /></a>&nbsp;&nbsp;
<?php }

if ($row['instagram'] == '') {} else { ?>
<a href="https://www.instagram.com/<?= $row['instagram'] ?>" target="_blank" title="Instagram"><img src="../core/social icons/instagram.png" style="width:36px; border:0;" alt="Instagram" /></a>&nbsp;&nbsp;
<?php }} ?>

<div class="card"><p class="center"><?= _BIO ?>:</p>
<p class="left"><?= $row['bio'] ?></p>
</div>
<div class="card"><p class="center"><?= _INTEREST ?>:</p>
<p class="left"><?= $row['interest'] ?></p>
</div>
</div>
</div>
</div>
<br>
<?php }}} ?>
</div>
