<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */

require_once 'main.php';

/**
 * 
 * Find the favicon.
 * 
 */

$favicon = 'media/favicon.ico';
if (file_exists($favicon)) { ?>
<link rel="icon" type="image/ico" sizes="16x16" href="<?= $favicon ?>">
<?php } else { 
$favicon = 'media/favicon.png'; ?>
<link rel="icon" type="image/png" sizes="16x16" href="<?= $favicon ?>">
<?php } ?>
<link rel="stylesheet" href="../core/css/style.min.css">
<link rel="stylesheet" href="../core/css/fontawesome.min.css">
<link rel="stylesheet" href="../core/css/jside-menu.min.css">
<link rel="stylesheet" href="../core/css/purecookie.min.css" />
<link rel="stylesheet" href="../core/css/hint.min.css" />
<link rel="stylesheet" href="../core/css/colorbox.min.css">
<link rel="stylesheet" href="../core/css/lightbox.min.css">
<link rel="stylesheet" href="../core/themes/style.min.css">
<link rel="stylesheet" href="../core/themes/tables.min.css">
<link rel="stylesheet" href="../core/css/fonts.min.css">

<?php 
/**
 * 
* Find and add the language file.
* 
*/

$sql = "SELECT * FROM website, themes"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$themes = $row['themes']; 
$theme_name = $row['theme_name']; 
$menuselection = $row['menuselection'];
$langfile = 'core/lang/' . $row['lang'] . '.php';
if (file_exists($langfile)) {
require_once "$langfile";
} else {
require_once '../core/lang/' . $row['lang'] . '.php'; }}}

/**
 * 
* Add the theme.
* 
*/

$stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result(
$usertheme, $usetheme );
$stmt->fetch();
$stmt->close();
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') { 
if (isset($_GET['id'])) { $id = $_GET['id']; }
$sql = "SELECT id, usertheme FROM accounts"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
require_once 'usertheme.php'; }}}
else { require_once 'theme.php'; }

/**
 * 
* Get the scripts.
* 
*/ ?>

<script src="../core/js/purecookie.min.js"></script>
<script src="../core/js/jquery-3.2.1.min.js"></script>
<script src="../core/megamenu/megamenu.min.js"></script>
<script src="../core/megamenu/megamenu.js"></script>
<script src="../core/js/lightbox.min.js"></script>
<script src="../core/js/modal.js"></script>
<script src="../core/js/fontawesome.min.js" crossorigin="anonymous"></script>
</head>
<body id="wrapper">

<div class="inner-wrapper spacer" style="width:97%; margin:0 auto;">

<?php  if (isset($_GET['id'])) { $id = $_GET['id']; }
$id = mysqli_real_escape_string($conn, $id); 

$sql = "SELECT * FROM blocks WHERE id='$id'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>

<?= $row['readmore'] ;}}  ?>

<br>

<p class="center">
<input type="button" value="<?= _CLOSETHISWINDOW ?>" class="pointer button noborder" style="width:150px" onclick="self.close()">
</p>

</div>

</body>
</html>












