<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
session_start();

$sql = "SELECT * FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
require_once '../core/lang/' . $row['lang'] . '.php'; }}

if (isset($_GET['id'])) { $id = $_GET['id'];
$id = mysqli_real_escape_string($conn, $id); } ?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<?php $sql = "SELECT sniplet_title, description, keywords FROM sniplet WHERE id='$id'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>
<meta name="description" content="<?= $row['description'] ?>">
<meta name="keywords" content="<?= $row['keywords'] ?>">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title><?= $row['sniplet_title'] ?></title>
<?php }}
$stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result($usertheme, $usetheme);
$stmt->fetch();
$stmt->close();
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') {
if (isset($_GET['id'])) {
$id = $_GET['id']; }
$sql = "SELECT id, usertheme FROM accounts";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
require_once '../core/themes/usertheme.php'; }}
} else {
require_once '../core/themes/theme.php'; } ?>

<style>
.zoomsnipletimg { padding:3px; background-color:<?= $menu_color ?>; transition:transform .2s; border:0; border-radius:12px; width:90px; height:90px; margin:0 auto; }
.zoomsnipletimg:hover { transform:scale(2); }.responsive { width:100%; height:300px; margin:0 auto; }.responsive-left { width:75% } .responsive-right { width:25% } @media (max-width: 1000px) { .responsive-left, .responsive-right, .responsive { width:100% }}
</style>
<script src="../core/js/fontawesome.min.js" crossorigin="anonymous"></script>
</head>
<body id="wrapper" class="spacer">

<?php $sql = "SELECT * FROM sniplet WHERE id='$id'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>

<div style="padding-top:20px"></div>
<h1 class="center">&quot;<?= $row['sniplet_title'] ?>&quot;</h1>

<p class="center">
<a href="<?= $row['sniplet_link'] ?>" style="text-decoration:none" target="_blank">
<img src="../media/sniplets/<?= $row['sniplet_image'] ?>" style="width:90px; height:90px; border-radius:50%; box-shadow:2px 2px 3px #000" alt="<?= $row['sniplet_text'] ?>" />
</a>
</p>

<table class="center responsive">
<tr class="card spacer" style="box-shadow:2px 2px 3px #000">    
<td colspan="2" class=" responsive-left top">
    
<div class="left spacer">
<p style="font-size:20px"><strong><?= $row['sniplet_text'] ?></strong></p>
<?= $row['sniplet_fulltext'] ?></div>

</td>
</tr>
<tr>
<td colspan="2" class="card spacer full">
<p class="center"><?= _DATE ?>: <?= $row['date'] ?>&nbsp;&nbsp;&nbsp;<?= _CATEGORY ?>: <?= $row['sniplet_category'] ?></p>
</td>
</tr>
</table>

<?php }} ?>

<p class="center"><input type="button" value="<?= _CLOSETHISWINDOW ?>" class="spacer button noborder" onclick="self.close()"></p>

<div style="padding-top:10px"></div>

<?php
/**
 * 
 * Allow the admin direct editing feature.
 * 
 */

if (isset($_GET['id'])) { $id = $_GET['id']; }
$id = mysqli_real_escape_string($conn, $id);

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer center spacer" style="margin:0 auto; width:100%;">
<a href="../core/designer/snipletbuilder.php?edit=<?= $id ?>" onclick="basicPopup(this.href);return false" title="<?= _EDITARTICLEDIRECTLY ?>"><i class="fa fa-pencil-square-o"></i></a>
</div>
<?php }} ?>

</body>
</html>

