<?php
/**
 * Spectra is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
* 
* Prevent direct access.
*
*/

if (!isset($_SERVER['HTTP_REFERER'])) {
echo "<script> window.location.replace('../../index.php') </script>";
exit; }

require_once 'main.php';
session_start(); ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta name="description" content="All Active Accounts Listing">
<meta name="keywords" content="Active, User Accounts, Private Access">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<?php $sql = "SELECT lang, showuserlist FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$showuserlist = $row['showuserlist'];
require_once '../core/lang/' . $row['lang'] . '.php'; }} ?>
<title><?= _ACTIVEMEMBERACCOUNTS ?></title>
<?php require_once 'header.php'; ?>

<style>
th {font-size:10px}

.outline { border: 1px solid black; margin: auto; padding: 1px; text-align: center; }

tr:nth-child(even) {background: #ccc; color: #000;}

tr:nth-child(odd) {background: #f1f1f1; color: #000;}

.linkhover {background:#ccc; color:#000; font-size:12px; padding:4px;}
</style>

<body>
 
<div id="wrapper" style="margin:0 auto; width:97%; padding:50px;">
<br>
<div class="inner-wrapper">

<?php 
/**
 * Must be logged in to see this page.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $showuserlist == 'Yes') {  ?>

<br>
<h3 class="center gentextcolor"><?= _ACTIVEMEMBERACCOUNTS ?></h3>

<?php
/**
 * 
 * Build the search feature by username
 * or partial name.
 * 
 */ ?>
 
<div class="center">
<form action="search.php" method="post">
<p class="gentextcolor"><?= _SEARCH ?>: <input type="text" name="search"></p>
<input type ="submit">
</form>
</div>
<br>
<br>

<?php
/**
 * 
 * Select number of accounts to show per page.
 * 
 * Also add the pagination styling.
 * 
 */

$sql = "SELECT * FROM settings"; 
$result = $conn->query($sql);
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$number_to_show = $row['number_to_show']; }}

/**
 * 
 * Get total pages.
 * 
 */

$total_pages = $mysqli->query("SELECT number_to_show FROM settings")->num_rows;
$page = isset($_GET['page']) && is_numeric($_GET['page']) ? $_GET['page'] : 1;
$num_results_on_page = "$number_to_show";

/**
 * 
 * Show the account information.
 * 
 */ ?>

<div class="card" style="margin:0 auto">
<table><tr><td id="wrapper">

<?php 

$total_pages = $mysqli->query("SELECT id, username, role FROM accounts")->num_rows;
$page = isset($_GET['page']) && is_numeric($_GET['page']) ? $_GET['page'] : 1;
$num_results_on_page = "$number_to_show";

if ($stmt = $mysqli->prepare("SELECT id, username, role FROM accounts ORDER BY username ASC LIMIT ?,?")) {
$calc_page = ($page - 1) * $num_results_on_page;
$stmt->bind_param('ii', $calc_page, $num_results_on_page);
$stmt->execute();
$result = $stmt->get_result();
while ($row = $result->fetch_assoc()) {

/**
 * 
 * Build the array and
 * get the id, username, and members role.
 * 
 */ ?>

<div class="column6 center card spacer" style="padding:20px">
<p><strong><?= _USERNAME ?> | <?= _ROLE ?></strong></p>
<p>&bull; <a href="profile.php?id=<?= $row['id'] ?>" target="_blank"><?= $row['username'] ?></a> || &nbsp;<?= $row['role'] ?></p>
</div>

<?php }} ?>

</div></td></tr></table>

<br>
<div class="center">

<?php 
/**
 * 
 * Add total number of active users.
 * 
 */


$result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM accounts"); 
while ($row = mysqli_fetch_array($result)) { 
$var = $row['count']; } ?>
<p class="center card gentextcolor spacer" style="width:97%; margin:0 auto;">( <?= _TOTALMEMBERS ?>: <?= $var ?> )
<?php $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM accounts WHERE activation_code = 'activated'");
while ($row = mysqli_fetch_array($result)) { $var = $row['count']; ?> ( <?= _ACTIVEMEMBERS ?>: <?= $var ?> )</p>
<?php }

/**
 * 
 * Define the pagination styling.
 * 
 */ 

require_once 'paginationstyling.php'; ?>    


<br>
</div></div></div>
<?php } else { 
echo '<br><div class="inner-wrapper spacer"><h3 class="center">' . _MEMBERSLISTNOTACTIVE . '</h3></div><br>'; }

require_once 'footer.php'; 