<?php 
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php'; 
session_start(); ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<?php $sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once '../core/lang/' . $row['lang'] . '.php'; }} ?>
<title><?= _VIDEOARCHIVE ?></title>

<?php require_once 'header.php'; ?>

<style>
.styleblockimg {
width: 170px;
height: 170px;
border-radius: 50%;
box-shadow: 1px 1px 2px <?= $menu_color ?>; }

.hilite:hover {
background: <?= $wrapper ?>; }

.video-window {
width: 50%;
height: 365px;
border-radius: 15px;
box-shadow: 0 0 5px 2px #000, inset 0 3px 18px #000; }

@media (max-width: 1000px) {
.video-window {
width: 100%; }}
</style>

<h1 class="center"><?= _VIDEOARCHIVE ?></h1>

<table><tr><td>
    
<iframe src="showvideo.php" name="video-window" class="video-window"></iframe>

</td></tr></table>

<table><tr class="card noborder spacer"><td>

<?php 
/**
 * 
 * Build the container 
 * for the archived videos.
 * 
 */

$sql = "SELECT * FROM videos WHERE videoarchive='Yes'"; 
$result = $conn->query($sql); 
if ($result->num_rows <= 0) {

/**
 * 
 * Display a message if
 * there are no archived videos.
 * 
 */

echo '<p class="center">' . _NOVIDEOS . '</p>'; }

/**
 * 
 * Else show the videos.
 * 
 */

elseif ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {

/**
 * 
 * Archived videos exist
 * show them, start the array
 * place 6 videos in each row.
 * 
 */

if ($row['usevideo'] == 'No') { ?>
<div class="column6 center card hilite radius">
<p class="spacer">
<a href="<?= $row['videolink'] ?>" style="text-decoration:none" target="video-window" title="<?= $row['videotitle'] ?>"><?= _CATEGORY ?>: <?= $row['category'] ?>
<br>
<img src="../media/videos/<?= $row['videoimage'] ?>" class="styleblockimg zoomimg" alt="<?= $row['videotitle'] ?>" title="<?= $row['videotitle'] ?>" />
<br>
<?= $row['videotitle'] ?></a>
</p>
<p class="center"><?= _DATE ?>: <?= $row['datearchived'] ?></p>

<?php 
/**
 * 
 * Add the admin direct editing feature.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="center">
<a href="../core/designer/videobuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false"><i class="fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href="../core/designer/videos_position.php" onclick="basicPopup(this.href);return false"><i class="fa fa-arrows"></i></a>
</div>
<?php }} ?>
</div>
<?php }}} ?>

</td></tr></table>

 <?php require_once 'footer.php';

