<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

include 'main.php';

$sql = "SELECT * FROM website, style"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$lang = $row['lang']; 
$whichback = $row['whichback'];
$videoname = $row['videoname'];
$styleimage = $row['styleimage'];
$stylefirstcolor = $row['stylefirstcolor'];
$stylesecondcolor = $row['stylesecondcolor'];}}
require_once 'lang/' . $lang . '.php';

$msg = '';

/**
 * 
 * First we check if the email and code exists, 
 * these variables will appear as parameters in the URL,
 * 
 */

if (isset($_GET['email'], $_GET['code']) && !empty($_GET['code'])) {
$stmt = $conn->prepare('SELECT * FROM accounts WHERE email = ? AND activation_code = ?');
$stmt->bind_param('ss', $_GET['email'], $_GET['code']);
$stmt->execute();

/**
 * 
 * Store the result so we can check 
 * if the account exists in the database.
 * 
 */

$stmt->store_result();
if ($stmt->num_rows > 0) {
$stmt->close();

/**
 * 
 * Account exists with the requested email and code.
 * 
 */

$stmt = $conn->prepare('UPDATE accounts SET activation_code = ? WHERE email = ? AND activation_code = ?');

/**
 * 
 * Set the new activation code to 'activated', 
 * this is how we can check if the user 
 * has activated their account.
 * 
 */

$newcode = 'activated';
$stmt->bind_param('sss', $newcode, $_GET['email'], $_GET['code']);
$stmt->execute(); 
$stmt->close();
$msg = '<div id="wrapper" style="padding:20px;">' . _ACCOUNTISACTIVELOGIN . '<br><a href="index.php">' . _LOGIN . '</a></div>';
} else {
$msg = '<div style="padding:20px;">' . _ACCOUNTALREADYACTIVATED . ' <a href="index.php">'. _LOGINREGISTER . '</a>.</div>';
}} else {
$msg = '<a href="../index.php"><i class="fa fa-home"></i></a>
<div style="background:transparent;border-radius:14px;">' . _NOEMAILACCOUNT . '</div>'; } ?>

<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _ACTIVATEACCOUNT ?></title>
<link href="css/style.css" rel="stylesheet" type="text/css">
<script src="../core/js/fontawesome.js" crossorigin="anonymous"></script>
</head>

<?php 
/**
 * Choose background
 * color or image.
 * 
 */


if ($whichback == 'Image') { 

/**
 * 
 * Style the body either 
 * color or image or video. 
 * 
 */ ?>

<body style="background: url('../media/themes/<?= $styleimage ?>'); background-attachment:fixed;  background-size:cover; height:100%;">

<?php } elseif ($whichback == 'Color') { ?>

<body style="background-image: linear-gradient(<?= $stylefirstcolor ?>, <?= $stylesecondcolor ?>); height:1080px;">
<?php }

elseif ($whichback == 'Video') { ?>
<body>
<style>
.video-back-container {
position: absolute; 
top: -20px;
left: 0; 
}
</style>
<p>
<div class="video-back-container">
<video autoplay="" controls="" loop="" muted="">
<source src="../media/videos/<?= $videoname ?>.mp4" type="video/mp4" />
</video>
</div>
</p>    
<?php } ?>

<div class="login" style="position:relative; background:#ebebeb; padding:20px;">
<div class="spacer card" style="margin:0 auto;border-radius:14px;">
<br>
<div class="center" style="font-size:16px;color:#000;"><?= $msg ?></div>
</div>
</div>
<div style="padding-top:200px"></div>