<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

include 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _CREATENEWACCOUNT ?></title>

<?php 
/**
 * 
 * Default input product values.
 * 
 */

$account = array(
'username' => '',
'password' => '',
'email' => '',
'activation_code' => '',
'rememberme' => '',
'role' => 'Member');
$roles = array('Member', 'Admin');
if (isset($_GET['id'])) {

/**
 * 
 * Get the account from the database.
 * 
 */

$stmt = $conn->prepare('SELECT username, password, email, activation_code, rememberme, role FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_GET['id']);
$stmt->execute();
$stmt->bind_result($account['username'], $account['password'], $account['email'], $account['activation_code'], $account['rememberme'], $account['role']);
$stmt->fetch();
$stmt->close();

/**
 * 
 * ID param exists, edit an existing account.
 * 
 */

$page = 'Edit';
if (isset($_POST['submit'])) {

/**
 * 
 * Update the account.
 * 
 */

$password = $account['password'] != $_POST['password'] ? password_hash($_POST['password'], PASSWORD_DEFAULT) : $account['password'];
$stmt = $conn->prepare('UPDATE accounts SET username = ?, password = ?, email = ?, activation_code = ?, rememberme = ?, role = ? WHERE id = ?');
$stmt->bind_param('ssssssi', $_POST['username'], $password, $_POST['email'], $_POST['activation_code'], $_POST['rememberme'], $_POST['role'], $_GET['id']);
$stmt->execute();
echo "<script> window.location.replace('index.php') </script>";
exit; }
if (isset($_POST['delete'])) {

/**
 * 
 * Delete the account.
 * 
 */

$stmt = $conn->prepare('DELETE FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_GET['id']);
$stmt->execute();
echo "<script> window.location.replace('index.php') </script>";
exit; }
} else {

/**
 * 
 * Create a new account.
 * 
 */

$page = 'Create';
if (isset($_POST['submit'])) {
$password = password_hash($_POST['password'], PASSWORD_DEFAULT);
$stmt = $conn->prepare('INSERT IGNORE INTO accounts (username,password,email,activation_code,rememberme,role) VALUES (?,?,?,?,?,?)');
$stmt->bind_param('ssssss', $_POST['username'], $password, $_POST['email'], $_POST['activation_code'], $_POST['rememberme'], $_POST['role']);
$stmt->execute();
echo "<script> window.location.replace('index.php') </script>";
exit; }}

require_once 'header.php'; ?>

<style>
.responsive { 
width:30%; margin:0 auto; } 

@media (max-width: 900px) { 
.responsive { width:100% }}
</style>

<div class="spacer column-title">
<h1 class="center coltitlecolor"><?= _CREATEACCOUNT ?></h1>
</div>
<div class="input-group responsive">

<form action="" method="post" class="radius noborder" style="box-shadow:2px 2px 4px #000">

<p class="left"><?= _USERNAME ?></p>
<input type="text" id="username" name="username" placeholder="<?= _USERNAME ?>" value="<?= $account['username'] ?>" required><br>
<p class="left"><?= _PASSWORD ?></p>
<input type="text" id="password" name="password" placeholder="<?= _PASSWORD ?>" value="<?= $account['password'] ?>" required><br>
<p class="left"><?= _EMAIL ?></p>
<input type="text" id="email" name="email" placeholder="<?= _EMAIL ?>" value="<?= $account['email'] ?>" required><br>

<input type="hidden" name="activation_code" value="activated">
<input type="hidden" name="rememberme" value="">

<br>
<br>

<select id="role" name="role" style="margin-bottom: 30px;">
<?php foreach ($roles as $role) { ?>
<option value="<?= $role ?>" <?= $role == $account['role'] ? ' selected' : '' ?>><?= $role ?></option>
<?php } ?>
</select>
<div class="submit-btns">
<input type="submit" name="submit" value="<?= _SUBMIT ?>" class="button">
<?php if ($page == 'Edit') { } ?>
</div>

</form>

</div>
<?php require_once 'footer.php'; 