<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */

require_once 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {	 
require_once 'lang/' . $row['lang'] . '.php';}}?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _AVATARSETTINGS ?></title>

<style>
.minicontainer {
padding: 20px;
width: 40%;
margin: 0 auto;
border-radius: 8px;
box-shadow: 3px 0 3px -2px rgba(0, 0, 0, 0.2), -3px 0 3px -2px rgba(0, 0, 0, 0.2);
}

@media (max-width: 1000px) {
.minicontainer {
width: 100%; 
}}

p {
font-size: 20px;
}

</style>

<?php require_once 'header.php';
require_once 'functions.php';

$sql = "SELECT * FROM avatar"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) {	 
while($row = $result->fetch_assoc()) {	
$avatar_radius = $row['avatar_radius']; 
$useavatar = $row['useavatar']; 
$avatar_size = $row['avatar_size']; }} ?>

<div id="wrapper" class="noborder">
<div class="spacer column-title">
<h1 class="center coltitlecolor"><?= _AVATARSETTINGS ?></h1>
</div>

<div class="inner-wrapper radius spacer">

<form action="updateavatar.php" method="post" target="_blank" style="border:0">

<div class="mini-container">

<div class="minicontainer">

<p class="center"><strong><?= _AVATARTOALLOW ?>:</strong></p>	
<p class="left"><?= _USEROPTION ?><p>
<p class="center"><select name="useavatar">
<option><?=$useavatar?></option>
<option value="Gravatar">Gravatar</option>
<option value="Avatar">Avatar</option>
<option value="User"><?= _USER ?></option>
</select>

</div>	
<p class="center"><strong><?= _AVATARRADIUS ?>: </strong><br>
<select name="avatar_radius">
<option><?=$avatar_radius?></option>
<option value="5px">5px</option>
<option value="6px">6px</option>
<option value="7px">7px</option>
<option value="8px">8px</option>
<option value="9px">9px</option>
<option value="10px">10px</option>
<option value="11px">11px</option>
<option value="12px">12px</option>
<option value="50%">50%</option>
</select></p>

<p class="center"><?= _SETRADIUS ?><br>

<p class="center"><strong><?= _SETAVATARHEIGHTWIDTH ?> </strong><br>
<select name="avatar_size">
<option><?=$avatar_size?></option>
<option value="70px">70px</option>
<option value="80px">80px</option>
<option value="90px">90px</option>
<option value="100px">100px</option>
<option value="105px">105px</option>
<option value="110px">110px</option>
<option value="115px">115px</option>
</select></p>

<p class="center">(<?= _REFRESH_PAGE_ ?>)<br><img src="images/avatar.jpg" style="width:<?= $avatar_size ?>; height:<?= $avatar_size ?>; border-radius:<?= $avatar_radius ?>;" alt="" /></p>

<hr />

<p class="center"><input type="Submit" class="btn" value="<?=_SAVE?>" name="Submit"></p>
<p class="center"><a href="avatars.php" class="btn" style="text-decoration:none"
title="<?= _REFRESH?>"><span class="linkcolor"><?= _REFRESH ?></span></a></p>

<br>
<br>
</div>
</div>
</div>

</form>

<br>
<br>
<br>

<?php require_once 'footer.php';