<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */

require_once 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
require_once 'lang/' . $row['lang'] . '.php';}} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _WEBSITEBACKUP ?></title>

<?php require_once 'header.php'; ?>

<div class="inner-wrapper">
<div class="column-title spacer"><h1 class="center coltitlecolor"><?= _WEBSITEBACKUP ?></h1></div>
<p class="center"><?= _WILLASSIST ?><a href="tools.php" onclick="basicPopup(this.href);return false"><?= _GOHERE ?></a>.</p>
<p class="center"><?= _CLICKONFOLDER ?></p>
<p class="center"><?= _RECEIVEERROR ?> <a href="config-ini.php" onclick="basicPopup(this.href);return false"><?= _GO_HERE ?></p>

<table><tr>
<td class="spacer center"><a href="fullbackup.php" onclick="basicPopup(this.href);return false"><img src="images/folder.png" style="width:100px" alt="" /></a>
<h3><?= _FULL_BACKUP ?><br>(public_html)</h3>
</td>

<td class="spacer center"><a href="prep_media.php" onclick="basicPopup(this.href);return false"><img src="images/folder.png" style="width:100px" alt="" /></a>
<h3>media</h3>
</td>

<td class="spacer center"><a href="prep_core.php" onclick="basicPopup(this.href);return false"><img src="images/folder.png" style="width:100px" alt="" /></a>
<h3>core</h3>
</td>

<td class="spacer center"><a href="prep_sup.php" onclick="basicPopup(this.href);return false"><img src="images/folder.png" style="width:100px" alt="" /></a>
<h3>sup</h3>
</td>

<td class="spacer center"><a href="prep_sys.php" onclick="basicPopup(this.href);return false"><img src="images/folder.png" style="width:100px" alt="" /></a>
<h3>sys</h3>
</td>
</tr></table>

<div class="column-title spacer"><h3 class="center coltitlecolor"><?= _AVAILABLE_BACKUPS ?> &nbsp;&nbsp;&nbsp;<a href="backup.php"class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _REFRESH ?>"><i class="coltitlecolor fa fa-refresh"></i></a></h3></div>
<p class="center"><?= _CLICKREFRESH ?></p>
<p class="center"><?= _PARTEXT ?></p>
<p class="center"><?= _IFSYSSLOW ?></p>

<div class="card">
<?php  if (isset($_GET['delete'])) {
unlink($_GET['delete']); }
function listFolderFiles($dir) {
$ffs = scandir($dir);
unset($ffs[array_search('.', $ffs, true) ]);
unset($ffs[array_search('..', $ffs, true) ]);

/**
 * 
 * Prevent empty ordered elements.
 * 
 */

if (count($ffs) < 1) return; ?>
<table><thead><tr class="column-title coltitlecolor" colspan="3">
<th col="scope"><?=_BACKUPFILE?></th>
<th col="scope" colspan="2" class="center"><?=_ACTION?></th></tr></thead>
<?php foreach ($ffs as $ff) { ?>
<tr style="border-bottom:.5px solid #000" class="content_bg gentextcolor" id="themes">

<td data-label="<?=_BACKUPFILE?>" class="content_bg gentextcolor">
<img src="images/zip.png" style="width:38px" alt="" />
<p class="left"><?=$dir?>/<?=$ff?><?php if (is_dir($dir . '/' . $ff)) listFolderFiles($dir . '/' . $ff); ?></p>    
</td>

<td data-label="<?=_ACTION?>: " class="content_bg">
<p>
<a href="<?=$dir?>/<?=$ff?>"class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _DOWNLOAD ?> <?=$ff?>" download><img src="images/download.png" style="width:48px" alt="Download" title="download" /></a>
</p>
</td>

<td data-label="<?=_ACTION?>: " class="content_bg gentextcolor"><p><a href="?delete=<?=$dir?>/<?=$ff?>" onclick="return confirm('<?= _ABOUTTODELETE ?>\n <?=$dir?>/<?=$ff?>\n <?= _AREYOUSURE ?>')" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _DELETE ?> <?=$ff?>"><img src="images/trash.png" style="width:48px" alt="" /></a></p></td>
</tr>
<?php  } ?>
</tr></table>
<?php }
listFolderFiles('backup'); ?>
<p>&nbsp;</p>
<p>&nbsp;</p>
</div>
</div>

<?php require_once 'footer.php';


