<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

include 'main.php';

/**
 * 
 * Default comment values.
 * 
 */

$comment = [
'page_id' => '',
'parent_id' => -1,
'name' => '',
'content' => '',
'submit_date' => date('Y-m-d\TH:i:s'),
'votes' => 0,
'img' => '',
'approved' => 0
];
if (isset($_GET['id'])) {

/**
 * 
 * Retrieve the comment from the database.
 * 
 */

$stmt = $pdo->prepare('SELECT * FROM comments WHERE id = ?');
$stmt->execute([$_GET['id']]);
$comment = $stmt->fetch(PDO::FETCH_ASSOC);

/**
 * 
 * ID param exists, 
 * edit an existing comment.
 * 
 */

$page = 'Edit';
if (isset($_POST['submit'])) {

/**
 * 
 * Update the comment.
 * 
 */

$stmt = $pdo->prepare('UPDATE comments SET page_id = ?, parent_id = ?, name = ?, content = ?, submit_date = ?, votes = ?, img = ?, approved = ? WHERE id = ?');
$stmt->execute([$_POST['page_id'], $_POST['parent_id'], $_POST['name'], $_POST['content'], date('Y-m-d H:i:s', strtotime($_POST['submit_date'])), $_POST['votes'], $_POST['img'], $_POST['approved'], $_GET['id']]);
echo "<script> window.location.replace('comments.php') </script>";
exit; }
if (isset($_POST['delete'])) {

/**
 * 
 * Delete the comment.
 * 
 */

$stmt = $pdo->prepare('DELETE FROM comments WHERE id = ?');
$stmt->execute([$_GET['id']]);
echo "<script> window.location.replace('comments.php') </script>";
exit; }
} else {

/**
 * 
 * Create a new comment.
 * 
 */

$page = 'Create';
if (isset($_POST['submit'])) {
$stmt = $pdo->prepare('INSERT INTO comments (page_id,parent_id,name,content,submit_date,votes,img,approved) VALUES (?,?,?,?,?,?,?,?)');
$stmt->execute([$_POST['page_id'], $_POST['parent_id'], $_POST['name'], $_POST['content'], date('Y-m-d H:i:s', strtotime($_POST['submit_date'])), $_POST['votes'], $_POST['img'], $_POST['approved']]);
echo "<script> window.location.replace('comments.php') </script>";
exit; }} 
require_once 'header.php';
$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<link rel="stylesheet" href="admin.css">

<style>
.resp { 
width: 50%; 
margin: 0 auto; }

@media (max-width: 1000px) {
.resp { width: 100% }}
</style>

<div class="column-title spacer">
<h1 class="coltitlecolor center"><?= $page ?> <?= _COMMENTS ?></h1>
</div>
<div class="inner-wrapper spacer" style="margin:0 auto">
<div class="resp mini-container radius">
<form action="" method="post" class="noborder">
<label for="page_id"><?= _PAGEID ?></label>
<input id="page_id" type="text" name="page_id" placeholder="<?= _PAGEID ?>" value="<?= $comment['page_id'] ?>" required>
<br><br>
<label for="parent_id"><?= _PARENTID ?></label>
<input id="parent_id" type="number" name="parent_id" placeholder=" <?= _PARENTID ?>" value="<?= $comment['parent_id'] ?>" required>
<br><br>
<label for="name"><?= _USERNAME ?></label>
<input id="name" type="text" name="name" placeholder="<?= _USERNAME ?>" value="<?= htmlspecialchars($comment['name'], ENT_QUOTES) ?>" required>
<br><br>
<label for="content"><?= _CONTENT ?></label>
<textarea style="width:90%" id="content" name="content" placeholder="Comment content..."><?= htmlspecialchars($comment['content'], ENT_QUOTES) ?></textarea>
<br><br>
<label for="submit_date"><?= _DATETIMESUBMITTED ?></label>
<input id="submit_date" type="datetime-local" name="submit_date" placeholder="<?= _DATETIMESUBMITTED ?>" value="<?= date('Y-m-d\TH:i:s', strtotime($comment['submit_date'])) ?>" required>
<br><br>
<label for="votes"><?= _VOTES ?></label>
<input id="votes" type="number" name="votes" placeholder="<?= _VOTES ?>" value="<?= $comment['votes'] ?>" required>
<br><br>
<label for="img"><?= _IMGURL ?></label>
<input style="width:90%" id="img" type="text" name="img" placeholder="<?= _IMGURL ?>" value="<?= htmlspecialchars($comment['img'], ENT_QUOTES) ?>">
<br><br>
<label for="approved"><?= _APPROVE ?></label>
<select id="approved" name="approved" required>
<option value="0" <?= $comment['approved'] == 0 ? ' selected' : '' ?>><?= _NO ?></option>
<option value="1" <?= $comment['approved'] == 1 ? ' selected' : '' ?>><?= _YES ?></option>
</select>
<br><br>
<div class="submit-btns">
<input type="submit" name="submit" value="<?= _SUBMIT ?>" class="btn">
<?php if ($page == 'Edit') : ?>
<input type="submit" name="delete" value="<?= _DELETE ?>" onclick="return confirm('Are you sure you want to delete this comment?')" class="btn delete">
<?php endif; ?>
</div>
</form>
</div>
</div>

<?php require_once 'footer.php';
