<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _COMMENTSDASHBOARD ?></title>
<?php $stmt = $pdo->prepare('SELECT * FROM comments WHERE cast(submit_date as DATE) = cast(now() as DATE) ORDER BY submit_date DESC');
$stmt->execute();
$comments = $stmt->fetchAll(PDO::FETCH_ASSOC);

/**
 * 
 * Get the total number of comments.
 * 
 */

$stmt = $pdo->prepare('SELECT COUNT(*) AS total FROM comments WHERE approved = 0');
$stmt->execute();
$awaiting_approval = $stmt->fetchColumn();

/**
 * 
 * Get the total number of comments.
 * 
 */

$stmt = $pdo->prepare('SELECT COUNT(*) AS total FROM comments');
$stmt->execute();
$comments_total = $stmt->fetchColumn();

/**
 * 
 * Get the total number of comments.
 * 
 */

$stmt = $pdo->prepare('SELECT COUNT(page_id) AS total FROM comments GROUP BY page_id');
$stmt->execute();
$comments_page_total = $stmt->fetchAll(PDO::FETCH_ASSOC);
$comments_page_total = count($comments_page_total);

/**
 * 
 * Get the comments awaiting approval.
 * 
 */

$stmt = $pdo->prepare('SELECT * FROM comments WHERE approved = 0 ORDER BY submit_date DESC');
$stmt->execute();
$comments_awaiting_approval = $stmt->fetchAll(PDO::FETCH_ASSOC);
require_once 'header.php'; ?>
<div class="spacer column-title">
<h1 class="center coltitlecolor"><?= _COMMENTSDASHBOARD ?></h1>
</div>
<div id="wrapper">
<div class="inner-wrapper spacer">
<br><br>
<table class="spacer">
<tr>
<td>
<div class="column4 spacer radius content_bg">
<h3 class="column-title coltitlecolor"><?= _TODAYSCOMMENTS ?></h3>
<p class="card column"><?= number_format(count($comments)) ?>
<br>
<i class="fas fa-comments"></i>
</p>
</div>
<div class="column4 spacer radius content_bg">
<h3 class="column-title coltitlecolor"><?= _AWAITINGAPPROVAL ?></h3>
<p class="card column"><?= number_format($awaiting_approval) ?>
<br>
<i class="fas fa-clock"></i>
</p>
</div>
<div class="column4 spacer radius content_bg">
<h3 class="column-title coltitlecolor"><?= _TOTALCOMMENTS ?></h3>
<p class="card column"><?= number_format($comments_total) ?>
<br>
<i class="fas fa-comments"></i>
</p>
</div>
<div class="column4 spacer radius content_bg">
<h3 class="column-title coltitlecolor"><?= _TOTALPAGES ?></h3>
<p class="card column"><?= number_format($comments_page_total) ?>
<br>
<i class="fas fa-file-alt"></i>
</p>
</div>
</td>
</tr>
</table>
<br>
<br>
<br>
<h2 class="column-title coltitlecolor center"><?= _TODAYSCOMMENTS ?></h2>
<br>
<table>
<thead>
<tr class="coltitle coltitlecolor" style="border:0">
<th scope="col" class="coltitlecolor"><?= _NAME ?></th>
<th scope="col" class="coltitlecolor"><?= _CONTENT ?></th>
<th scope="col" class="center coltitlecolor"><?= _VOTES ?></th>
<th scope="col" class="coltitlecolor"><?= _APPROVED ?></th>
<th scope="col" class="coltitlecolor"><?= _DATETIME ?></th>
<th scope="col" class="coltitlecolor" colspan="3"><?= _ACTIONS ?></th>
</tr>
</thead>
<tbody>
<?php if (empty($comments)) { ?>
<tr>
<td colspan="8">
<p class="center"><?= _THEREARENOCOMMENTS ?></p>
</td>
</tr>
<?php } 
else { 
foreach ($comments as $comment) { ?>
<tr class="left">
<td class="img">
<img src="<?= $comment['img'] ? $comment['img'] : '../default-profile-image.png' ?>" width="32" height="32" alt="<?= htmlspecialchars($comment['name'], ENT_QUOTES) ?>" style="border-radius:4px">
<?= htmlspecialchars($comment['name'], ENT_QUOTES) ?>
</td>
<td data-label="<?= _CONTENT ?>: " class="left"><?= nl2br(htmlspecialchars($comment['content'], ENT_QUOTES)) ?></td>
<td data-label="<?= _VOTES ?>: class=" center"><?= number_format($comment['votes']) ?></td>
<td data-label="<?= _APPROVED ?>?: "><?= $comment['approved'] ? 'Yes' : 'No' ?></td>
<td data-label="<?= _DATE ?>: "><?= date('F j, Y H:ia', strtotime($comment['submit_date'])) ?></td>
<td data-label="<?= _ACTION ?>:">
<a href="comment.php?id=<?= $comment['id'] ?>" class="button"><?= _EDIT ?></a>
<a href="comments.php?delete=<?= $comment['id'] ?>" class="button"><?= _DELETE ?></a>
<?php if (!$comment['approved']) { ?>
<a href="comments.php?approve=<?= $comment['id'] ?>" class="button"><?= _APPROVE ?></a>
<?php } ?>
</td>
</tr>
<?php }} ?>
</tbody>
</table>
<br>
<br>
<br>
<h2 class="column-title coltitlecolor center"><?= _AWAITINGAPPROVAL ?></h2>
<br>
<table>
<thead>
<tr class="coltitle coltitlecolor" style="border:0">
<th scope="col" class="coltitlecolor"><?= _NAME ?></th>
<th scope="col" class="coltitlecolor"><?= _CONTENT ?></th>
<th scope="col" class="coltitlecolor"><?= _VOTES ?></th>
<th scope="col" class="coltitlecolor"><?= _APPROVED ?></th>
<th scope="col" class="coltitlecolor"><?= _DATE ?></td>
<th scope="col" class="coltitlecolor" colspan="3"><?= _ACTIONS ?></th>
</tr>
</thead>
<tbody>
<?php if (empty($comments_awaiting_approval)) { ?>
<tr>
<td colspan="8">
<p class="center"><?= _THEREARENOCOMMENTS ?></p>
</td>
</tr>
<?php } 
else { ?>
<?php foreach ($comments_awaiting_approval as $comment) { ?>
<tr>
<td class="img">
<img src="<?= $comment['img'] ? $comment['img'] : '../default-profile-image.png' ?>" width="32" height="32" alt="<?= htmlspecialchars($comment['name'], ENT_QUOTES) ?>" style="border-radius:4px">
</td>
<td data-label="<?= _NAME ?>: "><?= htmlspecialchars($comment['name'], ENT_QUOTES) ?></td>
<td data-label="<?= _CONTENT ?>: "><?= nl2br(htmlspecialchars($comment['content'], ENT_QUOTES)) ?></td>
<td data-label="<?= _VOTES ?>: "><?= number_format($comment['votes']) ?></td>
<td data-label="<?= _APPROVED ?>?: "><?= $comment['approved'] ? 'Yes' : 'No' ?></td>
<td data-label="<?= _DATE ?>: "><?= date('F j, Y H:ia', strtotime($comment['submit_date'])) ?></td>
<td data-label="<?= _ACTION ?>">
<a href="comment.php?id=<?= $comment['id'] ?>" class="button"><?= _EDIT ?></a>
<a href="comments.php?delete=<?= $comment['id'] ?>" class="button"><?= _DELETE ?></a>
<?php if (!$comment['approved']) { ?>
<a href="comments.php?approve=<?= $comment['id'] ?>" class="button"><?= _APPROVE ?></a>
<?php } ?>
</td>
</tr>
<?php }} ?>
</tbody>
</table>
<br>
<br>
<br>
</div>
</div>

<?php require_once 'footer.php';
