<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

include 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _COMMENTS ?></title>
<?php if (isset($_GET['delete'])) {
$stmt = $pdo->prepare('DELETE FROM comments WHERE id = ?');
$stmt->execute([$_GET['delete']]);
echo "<script> window.location.replace('comments.php') </script>";
exit; }
if (isset($_GET['approve'])) {
$stmt = $pdo->prepare('UPDATE comments SET approved = 1 WHERE id = ?');
$stmt->execute([$_GET['approve']]);
echo "<script> window.location.replace('comments.php') </script>";
exit; }
$stmt = $pdo->prepare('SELECT * FROM comments ORDER BY id DESC');
$stmt->execute();
$comments = $stmt->fetchAll(PDO::FETCH_ASSOC); ?>
<?php require_once 'header.php'; ?>
<div class="spacer column-title">
<h1 class="center coltitlecolor"><?= _COMMENTS ?></h1>
</div>
<div id="wrapper">
<br>
<?php if (empty($comments)) { ?>
<table>
<tr>
<td colspan="8">
<p class="center"><?= _THEREARENOCOMMENTS ?></p>
</td>
</tr>
</table>
<?php } else { ?>
<div class="card spacer">
<table class="column">
<thead>
<tr class="coltitle coltitlecolor" style="border:0">
<th scope="col"><?= _PARENTID ?></th>
<th scope="col"><?= _COMMENTID ?></th>
<th scope="col"><?= _USERNAME ?></th>
<th scope="col"><?= _VOTES ?></th>
<th scope="col"><?= _APPROVED ?></th>
<th scope="col"><?= _DATETIMESUBMITTED ?></th>
<th scope="col"><?= _CONTENT ?></th>
<th scope="col"><?= _ACTIONS ?></th>
</tr>
</thead>
<tbody>
<tr class="card gentextcolor">
<?php foreach ($comments as $comment) { ?>
<td style="border-radius:0" class="card gentextcolor" data-label="<?= _PARENTID ?>: "><?= htmlspecialchars($comment['parent_id'], ENT_QUOTES) ?></td>
<td style="border-radius:0" class="card gentextcolor" data-label="<?= _COMMENTID ?>: "> <?= $comment['id'] ?></td>
<td style="border-radius:0" class="card gentextcolor" data-label="<?= _USERNAME ?>: "><?= htmlspecialchars($comment['name'], ENT_QUOTES) ?></td>
<td style="border-radius:0" class="card gentextcolor" data-label="<?= _VOTES ?>: "><?= number_format($comment['votes']) ?></td>
<td style="border-radius:0" class="card gentextcolor" data-label="<?= _APPROVED ?>: "><?= $comment['approved'] ? 'Yes' : 'No' ?></td>
<td style="border-radius:0" class="card gentextcolor" data-label="<?= _DATETIMESUBMITTED ?>: "><?= date('F j, Y H:ia', strtotime($comment['submit_date'])) ?></td>
<td style="border-radius:0" class="card gentextcolor" data-label="<?= _CONTENT ?>: "><?= nl2br(htmlspecialchars($comment['content'], ENT_QUOTES)) ?></td>
<td style="border-radius:0" class="card gentextcolor" data-label="<?= _ACTIONS ?>: ">
<small><a href="comment.php?id=<?= $comment['id'] ?>" style="text-decoration:none">[<?= _EDIT ?>]</a>
<a href="comments.php?delete=<?= $comment['id'] ?>" style="text-decoration:none">[<?= _DELETE ?>]</a>
<?php if (!$comment['approved']) { ?>
<a href="comments.php?approve=<?= $comment['id'] ?>" style="text-decoration:none" style="background:red">[<?= _APPROVE ?>]</a></small>
<?php } ?>
</td>
</tr>
</div>
<?php }} ?>
</tbody>
</table>
</div>

<?php require_once 'footer.php';