<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */

/**
 * function to zip files and folders
 *
 * @author	Drew Gauderman
 * @version	v1.0.0	Tuesday, March 24th, 2020.
 * @global
 * @param	string	$source
 * @param	string	$destination
 * @param	string	$prependPath
 * @return	void
 */

require_once 'main.php';
$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }}
function zipIt($source = 'backup', $destination = 'backup/core.zip', $prependPath = '') {

/**
 * 
 * Make sure the zip extension is enabled.
 * 
 */

if (!extension_loaded('zip')) {
throw new Exception('extension zip must be loaded!'); }

/**
 * 
 * zip up folder/file check.
 * 
 */

$source = realpath($source);
if (!is_dir($source) && !is_file($source)) {
throw new Exception('' . _SOURCEMUSTBEVALID . ''); }

/**
 * 
 * Start ZipArchive.
 * 
 */

$zip = new ZipArchive();

/**
 * 
 * Create or overwrite the zip file.
 * 
 */

if ($zip->open($destination, ZIPARCHIVE::CREATE || ZIPARCHIVE::OVERWRITE) === true) {

/**
 * 
 * Convert to realpath once file is created.
 * 
 */

$destination = realpath($destination);

/**
 * 
 * If folder, use recursive to grab all the contents.
 * 
 */

if (is_dir($source)) {
$iterator = new RecursiveDirectoryIterator($source);
$iterator->setFlags(RecursiveDirectoryIterator::SKIP_DOTS);
$files = new RecursiveIteratorIterator($iterator, RecursiveIteratorIterator::SELF_FIRST);

/**
 * 
 * Go through each file.
 * 
 */

foreach ($files as $path) {       
echo "path: $path<br>";

/**
 * 
 * File full path.
 * 
 */

$path = realpath($path);

/**
 * 
 * zip entire directory.
 * 
 */

if (is_dir($path)) {
$zip->addEmptyDir($prependPath . str_replace($source . DIRECTORY_SEPARATOR, '', $path . DIRECTORY_SEPARATOR)); }

/**
 * 
 * zip file (but not the main zip file).
 * 
 */

elseif (is_file($path) && $path !== $destination) {
$zip->addFile($path, $prependPath . str_replace($source . DIRECTORY_SEPARATOR, '', $path)); }}}
else {
    
/**
 * 
 * Add file to the zip.
 * 
 */

$zip->addFile($source, $prependPath . basename($source)); }}

/**
 * 
 * Close ZipArchive.
 * 
 */

$zip->close(); } ?>
<h3 style="text-align:center"><?= _BACKUP_COMPLETE ?></h3>
<br>

<?php 
/**
 * 
 * Folder location.
 * 
 */

$folderBackup = '../../core';
$backupZip = 'backup/spectra_(CORE)_backup_' . date("Y-m-d_His", time()) . '.zip';

/**
 * 
 * zip up the core folder.
 * 
 */

zipIt($folderBackup, $backupZip);
