<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */

/**
 * This file contains the Restore_Database class wich performs
 * a complete restore of any given MySQL database
 * @author Daniel Lopez Azara <daniloaz@gmail.com>
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @version 1.0
 */

require_once 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _DBRESTORE ?></title>
<?php require_once 'header.php';

if (!empty($_FILES)) {

/**
 * 
 * Validating SQL file type by extensions.
 * 
 */

if (!in_array(strtolower(pathinfo($_FILES["backup_file"]["name"], PATHINFO_EXTENSION)), array(
"sql"
))) {
$response = array(
"type" => "error",
"message" => "" . _INVALIDFILETYPE . ""); } 
else {
if (is_uploaded_file($_FILES["backup_file"]["tmp_name"])) {
move_uploaded_file($_FILES["backup_file"]["tmp_name"], $_FILES["backup_file"]["name"]);
$response = restoreMysqlDB($_FILES["backup_file"]["name"], $conn); }}}
function restoreMysqlDB($filePath, $conn) {
$sql = '';
$error = '';
if (file_exists($filePath)) {
$lines = file($filePath);
foreach ($lines as $line) {

/**
 * 
 * Ignoring comments from the SQL script.
 * 
 */

if (substr($line, 0, 2) == '--' || $line == '') {
continue; }
$sql .= $line;
if (substr(trim($line), -1, 1) == ';') {
$result = mysqli_query($conn, $sql);
if (!$result) {
$error .= mysqli_error($conn) . "\n"; }
$sql = ''; }}
if ($error) {
$response = array(
"type" => "error",
"message" => $error
);
} else {
$response = array(
"type" => "success",
"message" => "<h3 class='card center'>" . _RESTORESUCCESS . "</h3>"); }
exec('rm' . $filePath); } // end if file exists
return $response; } ?>

<style> 
.container {
background: <?= $content_bg ?>;
width: 50%;
border-radius: 14px;
box-shadow: 12px 0 15px -4px rgba(0, 0, 0, 0.2), -12px 0 8px -4px rgba(0, 0, 0, 0.2);
margin: 0 auto;
padding: 15px;}

@media (max-width: 754px) {
.container {width: 100% }
</style>

<div class="spacer column-title">
<h1 class="center coltitlecolor"><?= _DATABASETOOLS ?></h1>
</div>
<div class="content-block">
<div class="table">
<h2 style="text-align:center"><?= _RESTOREDATABASE ?></h2>
<p style="text-align:center">(<?= _IFYOUHAVENTALREADY ?>)</p>
<?php if (!empty($response)) { ?>

<div class="response <?php echo $response["type"]; ?>">
<?php echo nl2br($response["message"]); ?>
</div>

<?php } ?>

<form method="post" action="" enctype="multipart/form-data" id="frm-restore" class="noborder">

<div class="form-row container">
<h3 class="center abril monserrat"><?= _CHECKBACKUPFILE ?></h3>
<div>
<p style="text-align:center"><input type="file" name="backup_file" class="input-file" /></p>
</div>

<div>
<p style="text-align:center"><input type="submit" name="<?= _RESTORE ?>" value="<?= _RESTORE ?>" class="btn-action" />
<p>
</div>

</form>

</div>
</div>
<p style="text-align:center"><a href="tools.php" style="text-decoration:none" class="btn"><?= _RETURN ?></a></p>
</div>

<?php require_once 'footer.php';
