<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

$sql = "SELECT lang, current_version, maintenance_mode FROM version, website"; 
$result = $conn->query($sql);
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
require_once 'lang/' . $row['lang'] . '.php';
$current_version = $row['current_version'];
$maintenance_mode = $row['maintenance_mode']; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?=_UPDATEMGTTOOLS?></title>
<?php require_once 'header.php';?>

<div class="content-block">
<br>

<div class="spacer column-title">
<h1 class="center coltitlecolor"><?=_UPDATEMGTTOOLS?></h1>
</div>

<br>
<div class="mini-container" style="background:<?= $wrapper ?>">
<h3 class="center"><?= _TURNMODEON ?></h3>

<?php if ($maintenance_mode == 'No' OR $maintenance_mode == '') { ?> <h3 class="center"><?= _MAINTENANCEMODEOFF ?><br><a href="maintenance-mode.php" target="popup" onclick="window.open('maintenance-mode.php','popup','width=600,height=300'); return false;"><?= _TURNON ?></h3></a>
<?php }

if ($maintenance_mode == 'Yes') { ?> <h3 class="center"><?= _MAINTENANCEMODEON ?><br><a href="maintenance-mode.php"  target="popup" onclick="window.open('maintenance-mode.php','popup','width=600,height=300'); return false;"><?= _TURNOFF ?></h3></a>
<?php } ?>
</div>

<p class="center" style="line-height:1.6;font-size:18px;"><?=_WILL_ASSIST?> <a href="backup.php" onclick="basicPopup(this.href);return false"><?=_FULLBACKUP?></a> <?=_AND?> <a href="tools.php" onclick="basicPopup(this.href);return false"><?=_DBBACKUP?></a> <?=_BEFORECONTINUING?></p>

<table><tr>
<td class="card" style="vertical-align:top">
<h2 class="center column-title coltitlecolor spacer"><?=_AUTOUPDATER?></h2>
<h3 class="center"><?=_UPLOADUNZIP?><a href="filemgt_auto.php" title="<?=_REFRESH?>"> <i style="font-size:20px" class="fa fa-refresh"></i></a></h3>
<p class="center" style="line-height:1.6;font-size:18px;"><?=_CHOOSETHEZIP?></p>
<p class="center"><a href="https://www.papamikescreations.org/core/downloads/" target="_blank">Spectra <?=_UPDATES?></a></p>
<p class="center"><strong><?=_USINGVERSION?> <?=$current_version?></strong></p>

<form enctype="multipart/form-data" method="post" action="prep_unzip.php" target="_blank" style="border:0"> 

<?php
/**
 * Select the file to upload.
 * 
 */ ?>
 
<div class="radius mini-container" style="background:<?= $wrapper ?>">
<h3 class="center"><?=_CHOOSEZIP?></h3> 
<p class="center"><img src="images/zip.png" style="width:50px" alt="" /></p>                    
<p class="center"><input type="file" name="zip_file" /></p>
<p class="center"><input type="submit" name="submit" class="button" value="Upload" /></p>
</div>
</form>                        
</div>
</td></tr></table>

<?php require_once 'footer.php';