<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */

require_once 'main.php';

$sql = "SELECT lang, current_version, maintenance_mode FROM version, website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {	 
require_once 'lang/' . $row['lang'] . '.php'; 
$current_version = $row['current_version'];
$maintenance_mode = $row['maintenance_mode']; }}?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _UPDATEMGTTOOLS ?></title>
<?php require_once 'header.php';?>
<div class="content-block">
<br>
<div class="spacer column-title"><h1 class="center coltitlecolor"><?= _UPDATEMGTTOOLS ?></h1></div>
<p class="center" style="line-height:1.6;font-size:18px;"><?= _WILL_ASSIST ?> <a href="backup.php" onclick="basicPopup(this.href);return false"><?= _FULLBACKUP ?></a> <?= _AND ?> <a href="tools.php" onclick="basicPopup(this.href);return false"><?= _DBBACKUP ?></a> <?= _BEFORECONTINUING ?></p>

<br>
<div class="mini-container" style="background:<?= $wrapper ?>">
<h3 class="center"><?= _TURNMODEON ?></h3>

<?php if ($maintenance_mode == 'No' OR $maintenance_mode == '') { ?> <h3 class="center"><?= _MAINTENANCEMODEOFF ?><br><a href="maintenance-mode.php" target="popup" onclick="window.open('maintenance-mode.php','popup','width=600,height=300'); return false;"><?= _TURNON ?></h3></a>
<?php }

if ($maintenance_mode == 'Yes') { ?> <h3 class="center"><?= _MAINTENANCEMODEON ?><br><a href="maintenance-mode.php"  target="popup" onclick="window.open('maintenance-mode.php','popup','width=600,height=300'); return false;"><?= _TURNOFF ?></h3></a>
<?php } ?>
</div>

<table><tr>
<td class="card" style="vertical-align:top">
<h2 class="center column-title coltitlecolor"><?= _MANUALUPDATER ?></h2>
<h3 class="center"><?= _UNZIPUPLOAD ?> <a href="filemgt.php" title="<?= _REFRESH ?>"> <i style="font-size:20px" class="fa fa-refresh"></i></a></h3>
<p><a href="filecontroller/index.php" onclick="basicPopup(this.href);return false"><img src="images/upload.png" class="zoom" style="width:110px" alt="" /><br><?= _IMPORTFILES ?></a></p>
</td>
<td class="card" style="vertical-align:top">
<h2 class="center column-title coltitlecolor"><?= _UPLOADSQLFILE ?></h2>
<h3 class="center">Click the image below to start the process.</h3>
<p><a href="updater/index.php" onclick="basicPopup(this.href);return false"><img src="images/updatedb.png" class="zoom" style="width:110px" alt="" /><br><?= _UPDATEDB ?></a></p>
</td>
</tr></table>

<?php require_once 'footer.php';