<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _CREATEFILTER ?></title>

<?php 
/**
 * 
 * Default filter values.
 * 
 */

$filter = [
'word' => '',
'replacement' => ''
];
if (isset($_GET['id'])) {

/**
 * 
 * Retrieve the filter from the database.
 * 
 */

$stmt = $pdo->prepare('SELECT * FROM filters WHERE id = ?');
$stmt->execute([$_GET['id']]);
$filter = $stmt->fetch(PDO::FETCH_ASSOC);

/**
 * 
 * ID param exists, edit an existing filter.
 * 
 */

$page = 'Edit';
if (isset($_POST['submit'])) {

/**
 * 
 * Update the filter.
 * 
 */

$stmt = $pdo->prepare('UPDATE filters SET word = ?, replacement = ? WHERE id = ?');
$stmt->execute([$_POST['word'], $_POST['replacement'], $_GET['id']]);
header('Location: filters.php');
exit; }
if (isset($_POST['delete'])) {

/**
 * 
 * Delete the filter.
 * 
 */

$stmt = $pdo->prepare('DELETE FROM filters WHERE id = ?');
$stmt->execute([$_GET['id']]);
header('Location: filters.php');
exit; }
} else {

/**
 * 
 * Create a new filter.
 * 
 */

$page = 'Create';
if (isset($_POST['submit'])) {
$stmt = $pdo->prepare('INSERT INTO filters (word,replacement) VALUES (?,?)');
$stmt->execute([$_POST['word'], $_POST['replacement']]);
header('Location: filters.php');
exit; }} ?>
<link rel="stylesheet" href="admin.css">
<?php require_once 'header.php'; ?>
<div class="spacer column-title">
<h1 class="center coltitlecolor"><?= $page ?> <?= _FILTER ?></h1>
</div>
<div id="wrapper" class="spacer">
<form action="" method="post" style="border:0">
<div class="inner-wrapper spacer radius center">
<label for="word" class="gentextcolor"><?= _WORD ?></label>
<input id="word" type="text" name="word" placeholder="<?= _WORD ?>" value="<?= $filter['word'] ?>" required>
<label for="replacement" class="gentextcolor"><?= _REPLACEMENT ?></label>
<input id="replacement" type="text" name="replacement" placeholder="<?= _REPLACEMENT ?>" value="<?= $filter['replacement'] ?>" required>
<br><br>
<div class="submit-btns">
<input type="submit" name="submit" value="<?= _SUBMIT ?>">
<?php if ($page == 'Edit') : ?>
<input type="submit" name="delete" value="<?= _DELETE ?>" class="delete">
<?php endif; ?>
</div>
</div>
</form>
</div>

<?php require_once 'footer.php';