<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

include 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _COMMENTFILTERS ?></title>
<?php // SQL query that will retrieve all the filters from the database ordered by the ID column
$stmt = $pdo->prepare('SELECT * FROM filters ORDER BY id DESC');
$stmt->execute();
$filters = $stmt->fetchAll(PDO::FETCH_ASSOC); ?>
<link rel="stylesheet" href="admin.css">
<?php require_once 'header.php'; ?>
<div class="spacer column-title">
<h1 class="center coltitlecolor"><?= _COMMENTFILTERS ?></h1>
</div>
<div id="wrapper">
<div class="inner-wrapper spacer">
<br><br>
<div class="links">
<a href="filter.php" style="text-decoration:none" class="btn"><?= _CREATEFILTER ?></a>
</div>
<br><br>
<div class="content-block">
<div class="table">
<table>
<thead>
<tr class="column-title coltitlecolor" style="border:0">
<th scope="col"><?= _ID ?></th>
<th scope="col"><?= _WORD ?></th>
<th scope="col"><?= _REPLACEMENT ?></th>
<th scope="col"><?= _ACTIONS ?></th>
</tr>
</thead>
<tbody>
<?php if (empty($filters)) : ?>
<tr>
<td colspan="4">
<p class="center"><?= _NOFILTERS ?></p>
</td>
</tr>
<?php else : ?>
<?php foreach ($filters as $filter) : ?>
<tr class="gentextcolor">
<td data-label="<?= _ID ?>: "><?= $filter['id'] ?></td>
<td data-label="<?= _WORD ?>: "><?= htmlspecialchars($filter['word'], ENT_QUOTES) ?></td>
<td data-label="<?= _REPLACEMENT ?>: "><?= htmlspecialchars($filter['replacement'], ENT_QUOTES) ?></td>
<td data-label="<?= _ACTIONS ?>: "><a href="filter.php?id=<?= $filter['id'] ?>"><?= _EDIT ?></a></td>
</tr>
<?php endforeach; ?>
<?php endif; ?>
</tbody>
</table>
</div>
</div>
</div>
</div>
<br>
<br>

<?php require_once 'footer.php';