<?php
/**
 * Spectra is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 *
 * 
 * function to zip files and folders
 *
 * @author	Drew Gauderman
 * @version	v1.0.0	Tuesday, March 24th, 2020.
 * @global
 * @param	string	$source
 * @param	string	$destination
 * @param	string	$prependPath
 * @return	void
 */

require_once 'functions.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<link rel="stylesheet" href="../../core/css/fontawesome/css/font-awesome.min.css">
<link rel="stylesheet" href="themes/style.css">
<link rel="stylesheet" href="../css/pageeditor.css">
<link rel="stylesheet" href="../../core/themes/shorthand.css">
<link rel="stylesheet" href="../../core/css/fonts.css">
<link rel="stylesheet" href="../../core/css/hint.min.css">
<link rel="stylesheet" href="css/admin.css">
<link rel="stylesheet" href="css/installer.css">

<style>
* { margin: 0; padding: 0; } 

.loader { 
display: none; 
top: 50%; 
left: 50%; 
position: absolute; 
transform: translate(-50%, -50%); } 

.loading { 
border: 2px solid #ccc; 
width: 60px; 	
height: 60px; 
border-radius: 50%; 
border-top-color: #1ecd97; 
border-left-color: #1ecd97; 
animation: spin 1s infinite ease-in; } 

@keyframes spin { 0% { 
transform: rotate(0deg); } 

100% { 	
transform: rotate(360deg); }}
</style>

<script src="../../core/js/fontawesome.js" crossorigin="anonymous"></script>
</head>
<body>

<?php require_once 'themes/theme.php'; ?>

<div class="inner-wrapper spacer">

<?php $sql = "SELECT zipfile FROM zipsupport";
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$zipfile = $row['zipfile']; }} 

function zipIt($source = 'backup', $destination = 'backup/full.zip', $prependPath = '') {

/**
 * 
 * Make sure the zip extension is enabled.
 * 
 */

if (!extension_loaded('zip')) {
throw new Exception('' . _MUSTBELOADED . ''); }

/**
 * 
 * zip up folder/file check.
 * 
 */

$source = realpath($source);
if (!is_dir($source) && !is_file($source)) {
throw new Exception('' . _MUSTBEVALID . ''); }

/**
 * 
 * Start ZipArchive.
 * 
 */

$zip = new ZipArchive();

/**
 * 
 * Create or overwrite the zip file.
 * 
 */

if ($zip->open($destination, ZIPARCHIVE::CREATE || ZIPARCHIVE::OVERWRITE) === true) {

/**
 * 
 * Convert to realpath once file is created.
 * 
 */

$destination = realpath($destination);

/**
 * 
 * If folder, use recursive to grab all the contents.
 * 
 */

if (is_dir($source)) {
$iterator = new RecursiveDirectoryIterator($source);
$iterator->setFlags(RecursiveDirectoryIterator::SKIP_DOTS);
$files = new RecursiveIteratorIterator($iterator, RecursiveIteratorIterator::SELF_FIRST);

/**
 * 
 * Go through each file.
 * 
 */

foreach ($files as $path) {       
echo "path: $path<br>";

/**
 * 
 * File full path.
 * 
 */

$path = realpath($path);

/**
 * 
 * zip entire directory.
 * 
 */

if (is_dir($path)) {
$zip->addEmptyDir($prependPath . str_replace($source . DIRECTORY_SEPARATOR, '', $path . DIRECTORY_SEPARATOR)); }

/**
 * 
 * zip file (but not the main zip file).
 * 
 */

elseif (is_file($path) && $path !== $destination) {
$zip->addFile($path, $prependPath . str_replace($source . DIRECTORY_SEPARATOR, '', $path)); }}} 
else {

/**
 * 
 * Add file to the zip.
 * 
 */

$zip->addFile($source, $prependPath . basename($source)); }}

/**
 * 
 * Close ZipArchive.
 * 
 */

$zip->close(); } ?>
<h3 style="text-align:center"><?= _BACKUP_COMPLETE ?></h3>
<br>
<div class="center">
<br>
<?php closewin(); ?>
<br>
</div>
<br>
<div class="gentextcolor card">

<?php $folderBackup = "../../../$zipfile";
$backupZip = 'backup/spectra_(FULL)_backup_' . date("Y-m-d_His", time()) . '.zip';
zipIt($folderBackup, $backupZip);

