<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 	
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _IMPORTTHEMES ?></title>
<?php require_once 'header.php';
if (isset($_SESSION["message"]) && !empty($_SESSION["message"])) {
$message = $_SESSION["message"];
echo "<div class='center radius coltitlecolor spacer column-title quarter'>" . $message . "</div>";
unset($_SESSION['message']); } ?>

<style>
.respL {
width: 100%;
margin: 0 auto; }

.respR {
width: 60% }

@media (max-width:1000px) {
.respL,
.respR {
width: 100% }}
.noborder {
border: 0; }
</style>

<form action="updatethemecode.php" method="POST" class="noborder">

<div class="column-title spacer">
<h1 class="center coltitlecolor"><?= _IMPORTTHEMES ?></h1>
</div>
<div class="spacer radius">
<h2 class="center gentextcolor"><?= _STOP ?></a>.</h2>
<h3 class="center gentextcolor"><?= _CHECKID_ ?></h3>
<table class="column"><tr><td style="vertical-align:top">
<div class="column-title coltitlecolor center"><?= _THEMESINLIBRARY ?></div>
<table class="respL">
<thead>
<tr class="column-title coltitlecolor" style="font-size:14px">
<th scope="col">ID</th>
<th scope="col"><?= _THEMENAME ?></th>
<th scope="col" colspan="3"><?= _ACTION ?></th>
</tr>
</thead>
<?php $sql = "SELECT * FROM themes ORDER BY id ASC"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>
<tr class="column-title coltitlecolor" style="font-size:14px;">
<td data-label="ID"><span class="coltitlecolor"><?= $row['id'] ?></span></td>
<td data-label="<?= _THEMENAME ?>" class="left">&nbsp;&nbsp;&nbsp;<span class="coltitlecolor"><?= $row['theme_name'] ?></span></td>
<td data-label="<?= _ACTION ?>:"> <a href="../../sup/themepreview.php?id=<?= $row['id'] ?>" target="_blank"><span class="coltitlecolor"><?= _PREVIEW ?></span></a></td>
<td data-label="<?= _ACTION ?>:">&nbsp;&nbsp;<a href="../../core/designer/themebuilder.php?edit=<?= $row['id'] ?>" target="_blank"><span class="coltitlecolor"><?= _EDIT ?></span></a></td>
<td data-label="<?= _ACTION ?>:">&nbsp;&nbsp;<a href="themes.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _PERMANENT ?>')"><span class="coltitlecolor"><?= _DELETE ?></span></a></td>
</tr>
<?php }} ?>
</table>
<br>
<form>
<div class="column-title center coltitlecolor"><?= _UPLOADTHEMEIMG ?></div>
<div class="card">
<p class="justify"><?= _UPLOADIMAGESPARA ?></p>
<table><tr><td>
<a style="text-decoration:none" class="button center" onclick="window.open('uploadthemeimg.php','popup','width=600,height=400'); return false;"><span class="pointer" style="color:#fff"><?= _IMPORTTHEMEIMG ?></span></a>
</td><td>
<a href="viewthemefolder.php" style="text-decoration:none" class="button center" target="_blank"><span class="pointer" style="color:#fff"><?= _OPENTHEMEFOLDER ?></span></a>
</td></tr></table>
</div>
</form>
</td>
<td class="respR top card noborder" style="vertical-align:top">
<p class="column-title center coltitlecolor"><strong><?= _PASTETHEMECODE ?></strong></p>
<textarea style="background:#f0f0f0;width:100%;height:130px;margin:0 auto;" class="spacer" name="tempcode" placeholder="<?= _CODEWILLBESUBMITTED ?>"></textarea>
<br><br>
<p class="column-title coltitlecolor center"><strong><?= _LOADTHEMEFILE ?></strong></p>
<iframe style="background:#f0f0f0; width:100%; height:230px; margin:0 auto; overflow:auto;" class="radius spacer" name="frame1"></iframe>
<br><br>
<div class="column-title coltitlecolor center"><?= _AVAILTHEMEFILES ?></div>
<div class="spacer radius" style="background:#f0f0f0; height:150px; overflow:auto;">
<?php foreach (glob('SPECTRA-backup-files/*.txt') as $file) { ?>
<p><a href="<?= $file ?>" target="frame1" class="center"><span style="color:#000"><?= $file ?></span></a></p>
<?php  } ?>
<p>&nbsp;</p>
</div>
<table><tr>
<td class="right"><a href="tools.php#view_delete" style="text-decoration:none" onclick="basicPopup(this.href);return false" class="button center"><span class="linkcolor"><?= _GOHERETODELETEFILES ?></span></a></td>
<td class="center"><a href="import.php" style="text-decoration:none" class="button center"><span class="linkcolor"><?= _REFRESHAFTERUPLOAD ?></span></a></td>
<td class="left"><a style="text-decoration:none" class="button center" onclick="window.open('upload.php','popup','width=600,height=400'); return false;"><span class="linkcolor"><?= _IMPORTTHEMEFILE ?></span></a></td>
</tr></table>
<br><br>
</td>
</tr>
</table>
<br>
<div class="mini-container full">
<h3 class="center"><?= _ISANEXAMPLE ?></h3>
<p class="center"><textarea style="width:98%;height:100px;margin:0 auto;" class="spacer">1, 'MidnightMoon', '1800px', '#000', '1', '#242424', 'amazonia.jpg', 'fixed', '#242424', '#ccc', '#252F39', '#1C262F', '#424242', '#1D2730', '#3A4E60', '100%', '200px', '8px', '1px solid #000', '1', '#242424', '#ccc', '#242424', '#ccc', '#242424', '#424242', '#242424', '#000', '5px', '#000', '#000', '#ccc', '#fff', '14px', 'times', '#424242', '#2D3039', 'times', '#ccc', '18px', '1px solid #000', '5px', '#424242', '#ccc', '14px', '#424242', '#fff', 'times', 'Monserrat', '4vw', '500', '#fff', 'Center', 'Yes', '4', '#000', '', '', 'Yes', 'Scotland', '', '', '700', '', '', '#242424', '#242424', '#1C262F', '#304150', 'Monserrat', '#ccc', '12px', 'back2.jpg', '', ''</textarea></p>
</div>
<p class="center"><?= _ADDTHEMETODB ?></p>
<p class="column" style="margin:0 auto"><input type="submit" name="Submit" value="<?= _SUBMITTHEME ?>" class="button"></p>
</form>
</div>

<?php require_once 'footer.php';
