<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) {
 while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} 

/**
 * 
 * Show all inactive accounts.
 * 
 */ ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _INACTIVEACCOUNTS ?></title>

<?php require_once 'header.php';

/**
 * 
 * Query to get all accounts from the database.
 * 
 */

$stmt = $conn->prepare('SELECT id, username, email, activation_code, role, date FROM accounts');
$stmt->execute();
$stmt->store_result();
$stmt->bind_result($id, $username, $email, $activation_code, $role, $date);
require_once 'header.php'; ?>

<div class="spacer column-title">
<h2 class="center coltitlecolor"><?= _INACTIVEACCOUNTS ?></h2>
</div>

<div id="wrapper">

<?php 
/**
 * 
 * Use a check box to choose
 * accounts for deletion.
 * 
 */

if(isset($_POST['chk_id'])) {
$arr = $_POST['chk_id'];
foreach ($arr as $id) {
@mysqli_query($conn,"DELETE FROM accounts WHERE id = " . $id); }
$msg = '' . _DELETEDSUCCESSFULLY . '';
echo "<script> window.location.replace('inactiveaccounts.php') </script>"; } ?>

<div class="inner-wrapper spacer">
<p class="center"><?= _GOTOSETTINGS ?></p>
<div class="content-block">
<div class="table spacer input-group">

<table>
<thead>
<tr class="left column-title coltitlecolor">
<th scope="col" style="font-size:12px"><?= _ID ?></th>
<th scope="col" style="font-size:12px"><?= _USERNAME ?></th>
<th scope="col" style="font-size:12px"><?= _EMAIL ?></th>
<th scope="col" style="font-size:12px"><?= _ACTIVATIONCODE ?></th>
<th scope="col" style="font-size:12px"><?= _DATE ?></th>
<th scope="col" style="font-size:12px"><?= _ROLE ?></th>
<th scope="col" colspan="2" style="font-size:12px"><?= _ACTION ?></th>
</tr>
</thead>

<?php 
/**
 * 
 * Choose the pagination style.
 * And number of accounts to show.
 * 
 */

$sql = "SELECT * FROM settings"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$number_to_show = $row['number_to_show']; 
$style_pagination = $row['style_pagination']; }} ?>

<?php $total_pages = $mysqli->query('SELECT * FROM accounts WHERE activation_code')->num_rows;
$page = isset($_GET['page']) && is_numeric($_GET['page']) ? $_GET['page'] : 1;
$num_results_on_page = "$number_to_show";

if ($stmt = $mysqli->prepare('SELECT * FROM accounts WHERE activation_code AND role = "Member" ORDER by id LIMIT ?,?')) {
$calc_page = ($page - 1) * $num_results_on_page;
$stmt->bind_param('ii', $calc_page, $num_results_on_page);
$stmt->execute();
$result = $stmt->get_result();
$stmt->close(); } ?>

<form action="inactiveaccounts.php" method="post">

<?php if (isset($_GET['msg'])) {
echo '<p class="alert alert-success">';
echo $_GET['msg']; } ?></p>
<?php while ($row = $result->fetch_array()) { ?>

<style> 
.outline { border: 1px solid black; outline: <?= $linkcolor ?> solid 1px; margin: auto; padding: 1px; text-align: center; }
tr:nth-child(even) {background: <?= $content_bg ?>; color: <?= $gen_text_color ?>;} 
</style>

<tr class="gentextcolor outline">
<td data-label="<?= _ID ?>: " style="font-size:12px"><?= $row['id'] ?></td>
<td data-label="<?= _USERNAME ?>: " style="font-size:12px"><?= $row['username'] ?></td>
<td data-label="<?= _EMAIL ?>: " style="font-size:12px"><?= $row['email'] ?></td>
<td data-label="<?= _ACTIVATIONCODE ?>: " style="font-size:12px"><?= $row['activation_code'] ?></td>
<td data-label="<?= _DATE ?>: " style="font-size:12px"><?= $row['date'] ?></td>
<td data-label="<?= _ROLE ?>: " style="font-size:12px"><?= $row['role'] ?></td>
<td data-label="<?= _ACTION ?>: "><a href="account.php?id=<?= $row['id'] ?>" style="text-decoration:none"><span style="font-size:12px" class="button"><?= _EDIT ?></span></a></td>
<td data-label="<?=_DELETE?>: "><input name="chk_id[]" type="checkbox" class="chkbox" value="<?= $row['id'] ?>"/>
<?php } ?></td>
</tr>
</table>

<div style="float:right"><input id="submit" name="submit" type="submit" class="button" value="<?= _DELETESELECTEDROWS ?> " /></div>
<br>
<br>

</form>

<br>
<br>
<div class="center">

<?php 
/**
 * 
 * Start the pagination.
 * 
 */ 

if (ceil($total_pages / $num_results_on_page) > 0) { ?>

<div class="pagination">
<?php if ($page > 1) { ?> <a href="inactiveaccounts.php?page=<?= $page - 1 ?>"><?= _PREV ?></a>
<?php }
if ($page > 3) { ?> <a href="inactiveaccounts.php?page=1">1</a>
<?php }
if ($page - $style_pagination > 0) { ?> <a href="inactiveaccounts.php?page=<?= $page - $style_pagination ?>"> <?= $page - $style_pagination ?> </a>
</div>
<?php }
if ($page - 1 > 0) { ?>
<a href="inactiveaccounts.php?page=<?= $page - 1 ?>"><?= $page - 1 ?></a>
<?php } ?>
<a href="inactiveaccounts.php?page=<?= $page ?>"><?= $page ?></a>
<?php if ($page + 1 < ceil($total_pages / $num_results_on_page) + 1) { ?>
<a href="inactiveaccounts.php?page=<?= $page + 1 ?>"><?= $page + 1 ?></a>
<?php }
if ($page + 2 < ceil($total_pages / $num_results_on_page) + 1) { ?> <a href="inactiveaccounts.php?page=<?= $page + 2 ?>"><?= $page + 2 ?></a>
<?php }
if ($page < ceil($total_pages / $num_results_on_page) - 2) { ?>
<a href="inactiveaccounts.php?page=<?= ceil($total_pages / $num_results_on_page) ?>"><?= ceil($total_pages / $num_results_on_page) ?></a>
<?php }
if ($page < ceil($total_pages / $num_results_on_page)) { ?> <a href="inactiveaccounts.php?page=<?= $page + 1 ?>"><?= _NEXT ?></a>
<?php } ?>
</div>
</div>
<?php } ?>
</div>
</div>
</div>

<?php
/**
 * 
 * Scripts to support the
 * account deletion.
 * 
 */ ?>
 
<script src="js/jquery-1.10.2.js"></script>

<script type="text/javascript">
$(document).ready(function(){
$('#chk_all').click(function(){
if(this.checked)
$(".chkbox").prop("checked", true);
else
$(".chkbox").prop("checked", false);
});
});
$(document).ready(function(){
$('#delete_form').submit(function(e){
if(!confirm("Confirm Delete?")){
e.preventDefault();
}
});
});
</script>

<?php require_once 'footer.php';