<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

if (!isset($_SERVER['HTTP_REFERER'])) {
echo "<script> window.location.replace('../../index.php') </script>";
exit; }

include 'main.php';
check_loggedin($conn);

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _UNIQUEVISITS ?></title>
<?php require_once 'header.php'; ?>
<link rel="stylesheet" href="css/admin.css"
<?php $stmt = $conn->prepare('SELECT id, ip FROM ipdb');
$stmt->execute();
$stmt->store_result();
$stmt->bind_result($id, $ip); ?>
<br>
<div class="column-title spacer">
<h1 class="center coltitlecolor"><?= _UNIQUEVISITS ?></h1>
<p class="center coltitlecolor"><?= _WILLNOTAFFECT ?></p>
<?php $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM ipdb"); 
while ($row = mysqli_fetch_array($result)) {
$var = $row['count']; ?>
<p class="center coltitlecolor"><i class="fa fa-users"></i> <?= _UNIQUEVISITS ?>: <?= $var ?></p> <?php } ?>
</div>
<?php if (isset($_POST['chk_id'])) {
$arr = $_POST['chk_id'];
foreach ($arr as $id) {
@mysqli_query($conn, "DELETE FROM ipdb WHERE id = " . $id); }
echo "<script> window.location.replace('ipdb.php') </script>";
$msg = "" . _DELETEDSUCCESSFULLY . ""; } ?>
<table>
<thead>
<tr class="column-title coltitlecolor">
<th scope="col" style="font-size:12px"><?= _ID ?></th>
<th scope="col" style="font-size:12px"><?= _IP ?></th>
<th scope="col" style="font-size:12px"><?= _DATE ?></th>
<th scope="col" class="center" style="font-size:12px"><?= _DELETE ?></th>
</tr>
</thead>

<?php $sql = "SELECT number_to_show, style_pagination FROM settings"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$number_to_show = $row['number_to_show']; 
$style_pagination = $row['style_pagination']; }} ?>

<?php $total_pages = $mysqli->query('SELECT * FROM ipdb')->num_rows;
$page = isset($_GET['page']) && is_numeric($_GET['page']) ? $_GET['page'] : 1;
$num_results_on_page = "$number_to_show";
if ($stmt = $mysqli->prepare('SELECT * FROM ipdb ORDER BY id LIMIT ?,?')) {
$calc_page = ($page - 1) * $num_results_on_page;
$stmt->bind_param('ii', $calc_page, $num_results_on_page);
$stmt->execute();
$result = $stmt->get_result();
$stmt->close(); } ?>
<form action="ipdb.php" method="post">
<?php if (isset($_GET['msg'])) { ?>
<p class="alert alert-success">
<?php echo $_GET['msg']; ?></p>
<?php }
while ($row = $result->fetch_assoc()) { ?>

<tr class="gentextcolor" style="background:<?= $wrapper ?>; border-bottom:1px solid <?= $gen_text_color ?>;">
<script>
function selects() {
var ele = document.getElementsByName('delete[]');
for (var i = 0; i < ele.length; i++) {
if (ele[i].type == 'checkbox')
ele[i].checked = true; }}
function deSelect() {
var ele = document.getElementsByName('delete[]');
for (var i = 0; i < ele.length; i++) {
if (ele[i].type == 'checkbox')
ele[i].checked = false; }}
</script>
<td data-label="<?= _ID ?>: " style="font-size:12px"><?= $row['id'] ?></td>
<td data-label="<?= _IP ?>: " style="font-size:12px"><a href="https://whatismyipaddress.com/ip/<?= $row['ip'] ?>" onclick="basicPopup(this.href);return false"><span class="gentextcolor"><?= $row['ip'] ?></span></a></td>
<td data-label="<?= _DATE ?>: " style="font-size:12px"><?= $row['date'] ?></a></td>
<td data-label="<?= _DELETE ?>: "><input type="checkbox" name="delete[]" value="<?= $row['id'] ?>"></td>
<?php } ?>
</tr>
</table>

<?php if (isset($_POST['push_delete'])) {
if (isset($_POST['delete'])) {
foreach ($_POST['delete'] as $deleteid) {
$deleteUser = "DELETE from ipdb WHERE id=" . $deleteid;
mysqli_query($conn, $deleteUser);
mysqli_query($db, "ALTER TABLE ipdb AUTO_INCREMENT = 1");
echo "<script> window.location.replace('ipdb.php') </script>"; }}} ?>
<br>
<div style="float:right">
<input type="button" class="btn noborder" onclick='selects()' value="<?= _SELECTALL ?>" />&nbsp;&nbsp;
<input type="button" class="btn noborder" onclick='deSelect()' value="<?= _DESELECTALL ?>" />&nbsp;&nbsp;
<input type="submit" class="btn noborder" value="<?= _DELETESELECTED ?>" name="push_delete" onclick="return confirm('<?= _AREYOUSURE ?>')">
<br><br>
</div>

</form>

</div>
<br><br><br>
<div class="center" style="margin:0 auto">
<?php if (ceil($total_pages / $num_results_on_page) > 0) { ?>
<div class="pagination">
<?php if ($page > 1) { ?> <a href="ipdb.php?page=<?= $page - 1 ?>"><?= _PREV ?></a>
<?php }
if ($page > 3) { ?> <a href="ipdb.php?page=1">1</a>
<?php }

/**
 * 
 * Define number of pages to paginate
 * so the buttons are styled.
 * 
 */

if ($page - $style_pagination > 0) { ?> <a href="ipdb.php?page=<?= $page - $style_pagination ?>"><?= $page - $style_pagination ?></a>
</div>
<?php }
if ($page - 1 > 0) { ?> <a href="ipdb.php?page=<?= $page - 1 ?>"><?= $page - 1 ?></a>
<?php } ?>
<a href="ipdb.php?page=<?= $page ?>"><?= $page ?></a>
<?php if ($page + 1 < ceil($total_pages / $num_results_on_page) + 1) { ?>
<a href="ipdb.php?page=<?= $page + 1 ?>"><?= $page + 1 ?></a>
<?php }
if ($page + 2 < ceil($total_pages / $num_results_on_page) + 1) { ?>
<a href="ipdb.php?page=<?= $page + 2 ?>"><?= $page + 2 ?></a>
<?php };
if ($page < ceil($total_pages / $num_results_on_page) - 2) { ?>
<a href="ipdb.php?page=<?= ceil($total_pages / $num_results_on_page) ?>"><?= ceil($total_pages / $num_results_on_page) ?></a>
<?php }
if ($page < ceil($total_pages / $num_results_on_page)) { ?> <a href="ipdb.php?page=<?= $page + 1 ?>"><?= _NEXT ?></a>
<?php }} ?>
</div>
<br>
</div>
<br>
<script src="js/jquery-1.10.2.js"></script>
<script type="text/javascript">
$(document).ready(function() {
$('#chk_all').click(function() {
if (this.checked)
$(".chkbox").prop("checked", true);
else
$(".chkbox").prop("checked", false);
});
});
$(document).ready(function() {
$('#delete_form').submit(function(e) {
if (!confirm("Confirm Delete?")) {
e.preventDefault();
}
});
});
</script>

<?php require_once 'footer.php';