<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _LOGINATTEMPTS ?></title>

<?php $stmt = $conn->prepare('SELECT * FROM login_attempts');
$stmt->execute();
$stmt->store_result();
$stmt->bind_result($id, $ip_address, $date, $attempts_left);

require_once 'header.php'; ?>

<form method="post" action="" class="noborder" style="border:0">

<div class="column-title">
<h1 class="center coltitlecolor"><?= _FAILEDLOGINATTEMPTS ?></h1>
</div>
<br>
<table id="recordsTable" style="border-collapse: collapse;">
<thead>
<tr class="column-title coltitlecolor">
<th scope="col"><?= _ID ?></th>
<th scope="col"><?= _IPLOOKUP ?></th>
<th scope="col"><?= _ATTEMPTSLEFT ?></th>
<th colspan="1" scope="col"><?= _DATE ?></th>
<th scope="col"><?= _DELETE ?></th>
</tr>
</thead>
<tbody>
<?php if ($stmt->num_rows == 0) { ?>
<tr>
<td colspan="5">
<p class="center"><?= _NODATAYET ?></p>
</td>
</tr>
<?php } else {
while ($stmt->fetch()) { ?>
<script>
function selects() {
var ele = document.getElementsByName('delete[]');
for (var i = 0; i < ele.length; i++) {
if (ele[i].type == 'checkbox')
ele[i].checked = true; }}
function deSelect() {
var ele = document.getElementsByName('delete[]');
for (var i = 0; i < ele.length; i++) {
if (ele[i].type == 'checkbox')
ele[i].checked = false; }}
</script>
<tr class="inner-wrapper" style="box-shadow: 2px 2px 5px #000">
<td data-label="<?= _ID ?>: " class="gentextcolor center content_bg"><?= $id ?></td>
<td data-label="<?= _IPLOOKUP ?>: " class="gentextcolor center content_bg"><a href="https://whatismyipaddress.com/ip/<?= $ip_address ?>" onclick="basicPopup(this.href);return false"><?= $ip_address ?></a></td>
<td data-label="<?= _DATE ?>: " class="gentextcolor center content_bg"><?= $date ?></td>
<td data-label="<?= _ATTEMPTSLEFT ?>: " class="gentextcolor center content_bg"><?= $attempts_left ?></td>
<td data-label="<?= _DELETE ?>: " class="gentextcolor center content_bg"><input type="checkbox" name="delete[]" value="<?= $id ?>"></td>
</tr>
<?php }} ?>
</tbody>
</table>
<?php if (isset($_POST['push_delete'])) {
if (isset($_POST['delete'])) {
foreach ($_POST['delete'] as $deleteid) {
$deleteUser = "DELETE from login_attempts WHERE id=" . $deleteid;
mysqli_query($conn, $deleteUser);
mysqli_query($db, "ALTER TABLE login_attempts AUTO_INCREMENT = 1");
echo "<script> window.location.replace('login_attempts.php') </script>"; }}} ?>
<br>
<div style="float:right">
<input type="button" class="btn noborder" onclick='selects()' value="<?= _SELECTALL ?>" />&nbsp;&nbsp;
<input type="button" class="btn noborder" onclick='deSelect()' value="<?= _DESELECTALL ?>" />&nbsp;&nbsp;
<input type="submit" class="btn noborder" value="<?= _DELETESELECTED ?>" name="push_delete" onclick="return confirm('<?= _AREYOUSURE ?>')">
<br><br>
</div>
</form>
<br>
<br>
</div>
<br>

<?php require_once 'footer.php';