<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} 

/**
 * 
 * This file can be used to manage
 * a members image library.
 * The file records which 
 * member uploaded the image
 * and displays their username,
 * and ip, image name,
 * file size and date
 * of upload. 
 * ---------------------------
 * It is not used in Spectra
 * now but I may use it later.
 * 
 */?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _MANAGERS ?></title>
<?php require_once 'header.php'; ?>

<style>
.column5 {
float: left;
width: 18%;
padding: 0 2px; }

.row5 {
margin: 0 -5px; }
.row5:after {
content: "";
display: table;
clear: both; }

@media screen and (max-width: 600px) {
.column5 {
width: 100%;
display: block;
margin-bottom: 20px; }}
</style>

<div class="full radius">
<div class="radius spacer">

<?php if (isset($_SESSION["message"]) && !empty($_SESSION["message"])) {
$message = $_SESSION["message"]; ?>
<div class='center gentextcolor spacer inner-wrapper quarter'><?= $message ?></div>
<?php unset($_SESSION['message']); } ?>

<div class="column-title spacer">
<h1 class="center coltitlecolor"><?= _AMSOCIALSHARING ?></h1>
</div>

<p class="center"><?= _AMSHARINGPARA ?></p>

<?php $results = mysqli_query($db, "SELECT * FROM uploads");

global $id; ?>
<input type="hidden" name="id" value="<?= $id ?>">
<div class="full">
<div style="margin:0 auto; width:100%; height:300px; overflow-y:scroll;">

<table class="full spacer">
<thead>
<tr class="column-title noborder sticky">
<th scope="col" class="coltitlecolor"><?= _USERNAME ?></th>
<th scope="col" class="coltitlecolor"><?= _IMGNAME ?></th>
<th scope="col" class="coltitlecolor"><?= _SIZE ?></th>
<th scope="col" class="coltitlecolor"><?= _IP ?></th>
<th scope="col" class="coltitlecolor"><?= _DATE ?></th>
<th scope="col" class="center coltitlecolor" colspan="1"><?= _ACTION ?></th>
</tr>
</thead>

<?php $sql = "SELECT * FROM uploads";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) { ?>

<tr class="card">
<td class="center spacer" data-label="<?= _USERNAME ?>: ">
<p class="font"><?= $row['username'] ?></p>
</td>
<td class="center spacer" data-label="<?= _IMGNAME ?>: ">
<p class="font"><a href="../images/<?= $row['image_name'] ?>" onclick="basicPopup(this.href);return false"><?= $row['image_name'] ?></a></p>
</td>
<td class="center spacer" data-label="<?= _SIZE ?>: ">
<p class="font"><?= $row['size'] ?></p>
</td>
<td class="center spacer" data-label="<?= _IP ?>: ">
<p class="font"><a href="https://whatismyipaddress.com/ip/<?= $row['ip'] ?>" onclick="basicPopup(this.href);return false"><?= $row['ip']; ?></a></p>
</td>
<td class="center spacer" data-label="<?= _DATE ?>: ">
<p class="font"><?= $row['date'] ?></p>
</td>
<td class="center"> <a href="save_ss.php?del=<?= $row['id'] ?>" style="text-decoration:none" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" class="button"><span style="color:#fff"> <?= _DELETE ?> </span></a> </td>
</tr>
<?php }} ?>
</table>
</div>
<br>
<br>

<div class="column-title">
<h3 class="center coltitlecolor"><?= _ACTIVEUSERSLIBRARY ?>&nbsp;&nbsp;<a href="" title="<?= _REFRESH_PAGE ?>"><span style="color:#fff"><i class="fa fa-refresh"></i></span></a></h3>
</div>
<p class="center"><?= _MEMBERIMAGES ?></p>
<p class="center"><?= _DELETEIMAGES ?></p>
<div id="wrapper">

<?php $path = "../images";
if (isset($_POST['file']) && is_array($_POST['file'])) {
foreach ($_POST['file'] as $file) {
unlink($path . "/" . $file) or die("" . _FAILEDTODELETE . ""); }} ?>

<form action="<?= htmlspecialchars($_SERVER["PHP_SELF"]) ?>" name="form1" method="post" style="border:0">

<?php $path = "../images";
$dir_handle = @opendir($path) or die('<p class="center">' . _UNABLETOOPEN . '</p>'); ?> 

<div style="margin:0 auto; width:100%; height:400px; overflow-y:scroll;">
<table>
<tr>

<?php 
/**
 * 
 * Get the folders,
 * Omit the . and .. 
 * 
 */

while (false !== ($file = readdir($dir_handle))) {
if ($file == "index.php")
continue;
if ($file == ".")
continue;
if ($file == "..")
continue; ?>
<td class="column5 card radius" style="width:200px;height:200px;margin:0 auto;padding:10px">
<input type="CHECKBOX" name="file[]" value="<?= $file ?>">
<a href="../images/<?= $file ?>" onclick="basicPopup(this.href);return false"><img src="../images/<?= $file ?>" style='width:130px;height:130px;' alt="<?= $file ?>"></a><br><span class="gentextcolor"><?= $file ?></span>
</td>
<?php }
closedir($dir_handle); ?>
</tr>
</table>

</div>
</div>

<p class="full center"><input type="submit" class="quarter button" name="Delete" value="<?= _DELETE ?>"></p>
</form>
<div class="column-title spacer">
<h3 class="center coltitlecolor"><?= _UPLOADIMG ?>&nbsp;&nbsp;<a href="" title="Refresh Page After Upload"><span style="color:#fff"><i class="fa fa-refresh"></i></span></a></h3>
</div>
<p class="center"><?= _CANUPLOADSIZE ?></p>
<p class="center"><a href="imagerecorder.php" class="spacer button" style="text-decoration:none" onclick="basicPopup(this.href);return false"><span style="color:#fff"><?= _UPLOADIMG ?></span></a></p>
<br>
<br>

<?php require_once 'footer.php';