<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */
if (!isset($_SERVER['HTTP_REFERER'])) {
echo "<script> window.location.replace('../../index.php') </script>";
exit; } ?>

<style> .toggle, [id^=drop] {display: none;}menu {background: -webkit-gradient(linear, left top, left bottom, from(<?= $menu_color ?>), to(<?= $menu_color_second ?>));width: 100%;padding: 15px;margin: 0 auto;}menu:after {content: "";display: table;clear: both;}menu ul {padding: 0;margin: 0;list-style: none;position: relative;}menu ul li {margin: 0px;float: left;}menu a:link {display: block;padding: 14px 16px;color: <?= $linkcolor ?>;font-size: 16px;text-decoration: none;}menu ul li ul li:hover {background-color: <?= $content_bg ?>;}menu a:hover {background-color: <?= $menu_color_second ?>;color: <?= $linkcolor ?>;}menu ul ul {display: none;position: absolute;top: 45px;}menu ul li:hover>ul {display: inherit;}menu ul ul li {width: 170px;display: list-item;position: relative;background-color: transparent;}menu ul ul ul li {position: relative;top: -60px;left: 170px;background-color: transparent;}@media all and (max-width:600px) {menu {margin: 0;}.toggle+a, .menu {display: none;}.toggle {display: block;background-color: transparent;padding: 14px 20px;color: #FFF;font-size: 14px;text-decoration: none;border: none;}.toggle:hover {background-color: transparent;}[id^=drop]:checked+ul {display: block;}menu ul li {display: block;width: 90%;}menu ul ul .toggle, menu ul ul a {padding: 0 10px;}menu ul ul ul a {padding: 0 40px;}menu a:hover, menu ul ul ul a {background-color: <?= $menu_color_second ?>;}menu ul li ul li .toggle, menu ul ul a, menu ul ul ul a {padding: 14px 20px;color: #FFF;font-size: 14px;}menu ul li ul li .toggle, menu ul ul a {background-color: transparent;}menu ul ul {float: none;position: static;color: #ffffff;}menu ul ul li:hover>ul, menu ul li:hover>ul {display: none;}menu ul ul li {display: block;width: 100%;}menu ul ul ul li {position: static;}}@media (max-width:600px) {.hide {display: none;}}@media all and (max-width:330px) {menu ul li {display: block;width: 94%;}}</style>

<menu>

<?php
/**
 *  Add the mobile menu button.
 * 
 */ ?>

<label for="drop" class="toggle" style="float:left;padding-left:20px;background:-webkit-gradient(linear,left top,left bottom,from(<?= $menu_color ?>),to(<?= $menu_color_second ?>))">Menu <i style="font-size:10px" class="fa fa-chevron-down"></i></label>

<input type="checkbox" id="drop"><!-- Open the mobile menu when clicked -->

<ul class="menu" style="border:0; z-index:1;">

<?php
/**
 *  Add single links.
 * 
 */ ?>

<li style="border-right:.5px solid <?= $menu_color ?>"><a href="../home.php" class="home"><i style="color:#fff" class="fas fa-home"></i><span class="hometext">&nbsp;<?= _HOME ?></span></a></li>

<li style="border-right:.5px solid <?= $menu_color ?>"><a href="member-submissions.php"><i style="color:#fff" class="fas fa-paper-plane"></i><span class="hometext">&nbsp;<?= _ARTICLES ?></span></a></li>

<li style="border-right:.5px solid <?= $menu_color ?>"><a href="avatars.php"><i class="fas fa-user"></i> <?= _AVATAR ?></a></li>

<li style="border-right:.5px solid <?= $menu_color ?>"><a href="poll-dashboard.php"><i class="fas fa-poll"></i> <?= _POLLS ?></a></li>

<?php
/**
 *  Add the dropdown for accounts.
 * 
 */ ?>

<li style="border-right:.5px solid <?= $menu_color ?>">
<label for="drop-1" class="toggle"><?= _ACCOUNTS ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></label>
<span class="hide"><a href="#"><i style="font-size:12px" class="fa fa-link"></i> <?= _ACCOUNTS ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></a></span>
<input type="checkbox" id="drop-1" />
<ul style="background:<?= $menu_color ?>">
<a href="index.php">&bull; <?= _ALLACCOUNTS ?></a>
<a href="active-accounts.php">&bull; <?= _ACTIVEACCOUNTS ?></a>
<a href="inactiveaccounts.php">&bull; <?= _INACTIVEACCOUNTS ?></a>
<a href="admin-accounts.php">&bull; <?= _ADMINACCOUNTS ?></a>
<a href="usingtheme.php">&bull; <?= _USINGTHEME ?></a>
<a href="account.php"><i class="fas fa-user"></i> <?= _CREATEACCOUNT ?></a>
</ul>
</li>

<?php
/**
 *  Add the dropdown for comments.
 * 
 */ ?>

<li style="border-right:.5px solid <?= $menu_color ?>">
<label for="drop-2" class="toggle"><?= _COMMENTS ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></label>
<span class="hide"><a href="#"><i style="font-size:12px" class="fa fa-cog"></i> <?= _COMMENTS ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></a></span>
<input type="checkbox" id="drop-2" />
<ul style="background:<?= $menu_color ?>">
<a href="comments-index.php"><i class="fas fa-tachometer-alt"></i> <?= _COMMENTSDASHBOARD ?></a>
<a href="comments.php"><i class="fas fa-comments"></i> <?= _ALLCOMMENTS ?></a>
<a href="filters.php"><i class="fas fa-filter"></i> <?= _COMMENTFILTERS ?></a>
</ul>
</li>

<?php
/**
*  Add the dropdown for settings.
* 
*/ ?>

<li style="border-right:.5px solid <?= $menu_color ?>">
<label for="drop-3" class="toggle"><?= _MANAGERS ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></label>
<span class="hide"><a href="#"><i style="font-size:12px" class="fa fa-link"></i> <?= _MANAGERS ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></a></span>
<input type="checkbox" id="drop-3" />
<ul style="background:<?= $menu_color ?>">
<a href="settings.php"><i class="fas fa-tools"></i> <?= _SETTINGS ?></a>
<a href="downloadlog.php" onclick="basicPopup(this.href);return false"><i class="fas fa-user-cog"></i> <?= _DOWNLOADSLOG ?></a>
<a href="serverinfo.php" target="_blank"><i class="fas fa-server"></i> <?= _SERVERINFO ?></a>
<a href="login_attempts.php"><i class="fas fa-tools"></i> <?= _LOGINATTEMPTS ?></a>
<a href="ipdb.php"><i class="fas fa-tools"></i> <?= _UNIQUEVISITS ?></a>				
<!--<a href="managelibrary.php"><i class="fas fa-cog"></i> <?= _ACTIVEUSERSLIBRARY ?></a>-->
</ul>
</li>

<li style="border-right:.5px solid <?= $menu_color ?>">
<label for="drop-4" class="toggle"><?= _UPDATEMANAGER ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></label>
<span class="hide"><a href="#"><i style="font-size:12px" class="fa fa-link"></i> <?= _UPDATEMANAGER ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></a></span>
<input type="checkbox" id="drop-4" />
<ul style="background:<?= $menu_color ?>">
<a href="filemgt_auto.php"><i class="fas fa-file"></i> <?= _AUTOUPDATE ?></a>
<a href="filemgt_manual.php"><i class="fas fa-file"></i> <?= _MANUALUPDATE ?></a>
</ul>
</li>

<?php
/**
*  Add single links.
* 
*/ ?>

<li style="border-right:.5px solid <?= $menu_color ?>"><a href="tools.php" style="color:<?= $linkcolor ?>"><i class="fas fa-database"></i> <?= _DATABASETOOLS ?></a></li>

<li style="border-right:.5px solid <?= $menu_color ?>"><a href="backup.php" style="color:<?= $linkcolor ?>"><i class="fas fa-cog"></i> <?= _BACKUPWEBSITE ?></a></li>

<li style="border-right:.5px solid <?= $menu_color ?>"><a href="../../core/designer/index.php" style="color:<?= $linkcolor ?>"><i class="fas fa-user-cog"></i> <?= _DESIGNERDASHBOARD ?></a></li>

<li style="border-right:.5px solid <?= $menu_color ?>"><a href="../logout.php" style="color:<?= $linkcolor ?>"><i class="fas fa-sign-out-alt"></i> <?= _LOGOUT ?></a></li>

</ul>
</menu>
</div>

