<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */

include 'main.php';

$file = 'settings-config.php';

/**
 * 
 * Open the configuration file for reading.
 * 
 */

$handle = fopen($file, 'r') or exit('' . _UNABLETOREADCONFIG . '');
$contents = fread($handle, filesize($file));
fclose($handle);
function format_key($key) {
$key = str_replace(['_', 'url', 'ipn', 'db ', 'paypal'], [' ', 'URL', 'IPN', 'Database ', 'PayPal'], strtolower($key));
return ucwords($key); }

/**
 * 
 * Format HTML output function.
 * 
 */

function format_var_html($key, $value) {
$html = '';
$type = 'text';
$value = htmlspecialchars(trim($value, '\''), ENT_QUOTES);
$type = strpos($key, 'pass') !== false ? 'password' : $type;
$type = in_array(strtolower($value), ['true', 'false']) ? 'checkbox' : $type;
$checked = strtolower($value) == 'true' ? ' checked' : '';
$html .= '<label for="' . $key . '">' . format_key($key) . '</label>';
if ($type == 'checkbox') {
$html .= '<input type="hidden" name="' . $key . '" value="false">'; }
$html .= '<input type="' . $type . '" name="' . $key . '" id="' . $key . '" value="' . $value . '" placeholder="' . format_key($key) . '"' . $checked . '>';
return $html; }

/**
 * 
 * Get all the defined variable keys and values.
 * 
 */

preg_match_all('/define\(\'(.*?)\', ?(.*?)\)/', $contents, $matches);
if (!empty($_POST)) {

/**
 * 
 * Update the configuration file with the new keys and values.
 * 
 */

foreach ($_POST as $k => $v) {
$v = in_array(strtolower($v), ['true', 'false']) ? strtolower($v) : '\'' . $v . '\'';
$contents = preg_replace('/define\(\'' . $k . '\'\, ?(.*?)\)/s', 'define(\'' . $k . '\',' . $v . ')', $contents); }
file_put_contents('settings-config.php', $contents);
header('Location: pollsettings.php');
exit; } ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta name="description" content="">
<meta name="keywords" content="">
<meta name="author" content="Mike">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title>Poll Settings</title>
<?php require_once 'header.php';
require_once 'poll-menu.php'; ?>

<div class="column-title"><h1 class="coltitlecolor center"><?= _SETTINGS ?></h1></div>
<div class="mini-container">
<p class="center"><?= _IFCHECKEDON ?></p>

<form action="" method="post" style="border:0">

<?php for($i = 0; $i < count($matches[1]); $i++){ ?>
<p class="center"><?=format_var_html($matches[1][$i], $matches[2][$i])?></p>
<?php } ?>
<p class="center"><input type="submit" value="<?= _SAVE ?>"></p>
</form>
</div>
<script>
document.querySelectorAll("input[type='checkbox']").forEach(checkbox => {
checkbox.onclick = () => {
checkbox.value = checkbox.checked ? 'true' : 'false'; };
});
</script>

<?php require_once 'footer.php';
