<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */

if (!isset($_SERVER['HTTP_REFERER'])) {
echo "<script> window.location.replace('../../index.php') </script>";
exit;}

include 'functions.php';

/**
 * 
 * Connect to MySQL
 * $pdo = pdo_connect_mysql();
 * If the GET request "id" exists (poll id)...
 * 
 */

if (isset($_GET['id'])) {

/**
 * 
 * MySQL query that selects the poll records by the GET request "id".
 * 
 */

$stmt = $pdo->prepare('SELECT * FROM polls WHERE approved = 1 AND id = ?');
$stmt->execute([$_GET['id']]);

/**
 * 
 * Fetch the record.
 * 
 */

$poll = $stmt->fetch(PDO::FETCH_ASSOC);

/**
 * 
 * Check if the poll record exists with the id specified.
 * 
 */

if ($poll) {

/**
 * 
 * MySQL Query that will get all the answers from the "poll_answers" table.
 * 
 */

$stmt = $pdo->prepare('SELECT * FROM poll_answers WHERE poll_id = ? ORDER BY votes DESC');
$stmt->execute([ $_GET['id'] ]);

/**
 * 
 * Fetch all poll answers.
 * 
 */

$poll_answers = $stmt->fetchAll(PDO::FETCH_ASSOC);

/**
 * 
 * Total number of votes, will be used to calculate the percentage.
 * 
 */

$total_votes = 0;
foreach ($poll_answers as $poll_answer) {

/**
 * 
 * Every poll answers votes will be added to total votes.
 * 
 */

$total_votes += $poll_answer['votes'];}
} else {
exit('Poll with that ID does not exist.'); }
} else {
exit('No poll ID specified.'); } ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta name="description" content="">
<meta name="keywords" content="">
<meta name="author" content="Mike">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title><?= $poll['description'] ?></title>

<?php require_once 'header.php';
require_once 'poll-menu.php'; ?>

<div class="content poll-result mini-container">

<div class="column-title coltitlecolor"><h2 class="center"><?=$poll['title']?></h2></div>

<p class="center"><?=$poll['description']?></p>

<div class="mini-container" style="margin:0 auto">

<?php foreach ($poll_answers as $poll_answer) { ?>
<div class="poll-question center">
<p class="poll-txt gentextcolor"><?=$poll_answer['title']?> <span><?=$poll_answer['votes']?> <?= _VOTES ?></span></p>
<div class="result-bar-container">
<div class="result-bar" style="">
</div>
</div>
</div>
<?php } ?>
</div>
</div>

<?php require_once 'footer.php';
