<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */

require_once 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {	 
require_once 'lang/' . $row['lang'] . '.php'; }}?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?=_SETTINGS?></title>
<?php require_once 'header.php';
require_once 'functions.php';

$sql = "SELECT * FROM settings"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) {	
while($row = $result->fetch_assoc()) {	
$number_to_show = $row['number_to_show']; 
$style_pagination = $row['style_pagination'];  }} ?>

<div id="wrapper" class="noborder">

<div class="spacer column-title">
<h1 class="center coltitlecolor"><?=_MISCSETTINGS?></h1>
</div>

<div class="inner-wrapper radius spacer">

<form action="update.php" method="post" target="_blank" style="border:0">

<div class="inner-wrapper spacer radius">

<h2 class="center"><?=_CONTROLFEATURES?></h2>

<div class="mini-container">

<h3 class="column-title center coltitlecolor"><?= _PAGINATIONTHEMESETTINGS ?></h3>

<p class="left"><strong><?=_NUMBERMEMBERACCOUNTS?></strong>

<select name="number_to_show">
<option><?=$number_to_show?></option>
<option value="5">5</option>
<option value="10">10</option>
<option value="15">15</option>
<option value="20">20</option>
<option value="25">25</option>
<option value="30">30</option>
<option value="35">35</option>
<option value="40">40</option>
<option value="45">45</option>
<option value="50">50</option>
<option value="10">55</option>
<option value="60">60</option>
<option value="65">65</option>
<option value="100">100</option>
<option value="150">150</option>
<option value="200">200</option>
</select></p>

<p class="left"><strong><?=_SETPAGINATIONTOTAL?> </strong>
<select name="style_pagination">
<option><?=$style_pagination?></option>
<option value="50">50</option>
<option value="100">100</option>
<option value="150">150</option>
<option value="200">200</option>
<option value="250">250</option>
<option value="300">300</option>
<option value="350">350</option>
<option value="400">400</option>
<option value="450">450</option>
<option value="500">500</option>
<option value="100">550</option>
<option value="600">600</option>
<option value="650">650</option>
</select></p>
<p class="left half"><?=_PAGINATIONISAUTOMATIC?></p>	

<p>&nbsp;</p>
<p class="center"><input type="Submit" class="btn" value="<?=_SAVE?>" name="Submit"></p>
<p class="center"><a href="settings.php" class="btn" style="text-decoration:none"
title="<?= _REFRESH?>"><span class="linkcolor"><?= _REFRESH ?></span></a></p>
<br>
<br>
</div>
</div>
</form>
</div>
</div>
<br>
<br>
<br>

<?php require_once 'footer.php';