<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 * 
 */

require_once 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php';}}?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?=_DATABASETOOLS?></title>
<?php require_once 'header.php'; 

/**
 * 
 * Display the database tools page.
 * 
 */ ?>

<div class="content-block">
<br>
<div class="spacer column-title"><h1 class="center coltitlecolor"><?=_DATABASETOOLS?></h1></div>
<table><tr>
<td class="mini-container card">
<p><a href="db_backup.php"><img src="images/backupdb.png" class="zoom" style="width:110px" alt="" /><br><?=_BACKUPDATABASE?></a></p>
<button class="accordion button center"><?= _ABOUT ?></button>
<div class="panel card gentextcolor left"><?=_QUICKHASSLEFREE?></div>
</td>
<td class="mini-container card">
<p><a href="db_optimize.php"><img src="images/optimizedb.png" class="zoom" style="width:110px" alt="" /><br><?=_OPTIMIZEDATABASE?></a></p>
<button class="accordion button center"><?= _ABOUT ?></button>
<div class="panel card  gentextcolor left"><?=_USETHISTOOL?></div>
</td>
<td class="mini-container card">
<p><a href="db_restore.php"><img src="images/restoredb.png" class="zoom" style="width:110px" alt="" /><br><?=_RESTOREDATABASE?></a></p>
<button class="accordion button center"><?= _ABOUT ?></button>
<div class="panel card gentextcolor center"><?=_THISWILLRESTORE?></div>
</td>
<td class="mini-container card">
<p><a href="exportthemes.php"><img src="images/themes.png" class="zoom" style="width:110px" alt="" /><br><?=_EXPORTTHEMES?></a></p>
<button class="accordion button center"><?= _ABOUT ?></button>
<div class="panel card gentextcolor center"><?=_THISWILLEXPORT?></div>
</td>
<td class="card mini-container card">
<p><a href="import.php"><img src="images/themes.png" class="zoom" style="width:110px" alt="" /><br><?=_IMPORTTHEMES?></button></a></p>
<button class="accordion button center"><?= _ABOUT ?></button>
<div class="panel card gentextcolor center"><?=_THISWILLIMPORT?></div>
</td></tr></table>
<h2 class="center column-title coltitlecolor"><?=_AVAILABLEBACKUPS?></h2>
<h3 class="center"><?= _CLICKTHISICON ?> <a href="tools.php" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _REFRESH ?>"><i style="font-size:20px" class="fa fa-refresh"></i></a> <?= _TOREFRESHPAGE ?></h3>
<div class="table spacer">
<div class="radius spacer">
<?php  if (isset($_GET['delete'])) {
unlink($_GET['delete']); }
function listFolderFiles($dir) {
$ffs = scandir($dir);
unset($ffs[array_search('.', $ffs, true) ]);
unset($ffs[array_search('..', $ffs, true) ]);

/**
 * 
 * Prevent empty ordered elements.
 * 
 */

if (count($ffs) < 1) return; ?>

<table><thead><tr class="column-title coltitlecolor" colspan="3">
<th col="scope"><?=_BACKUPFILE?></th>
<th col="scope" colspan="2" class="center"><?=_ACTION?></th></tr></thead>

<?php foreach ($ffs as $ff) { ?>

<tr style="border-bottom:.5px solid #000" class="content_bg" id="themes">

<td data-label="<?=_BACKUPFILE?>" class="content_bg">
<img src="images/backup.png" style="width:48px" alt="" />
<p class="center"><?=$ff?>
<?php if (is_dir($dir . '/' . $ff)) listFolderFiles($dir . '/' . $ff); ?>
</p>
</td>

<td data-label="<?=_ACTION?>: " class="content_bg">
<p>
<a href="<?=$dir?>/<?=$ff?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _DOWNLOAD ?> <?=$ff?>" download>
<img src="images/download.png" style="width:48px" alt="" />
</a>
</p>
</td>

<td id="view_delete" data-label="<?=_ACTION?>: " class="content_bg">
<p>
<a href="?delete=<?=$dir?><?=$ff?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _DELETE ?> <?=$ff?>" onclick="return confirm('<?= _ABOUTTODELETE ?>\n <?=$dir?>/<?=$ff?>\n <?= _AREYOUSURE ?>')">
<img src="images/trash.png" style="width:48px" alt="" />
</a>
</p>
</td>
</tr>
<?php } ?>
</tr></table>
<?php }
listFolderFiles('SPECTRA-backup-files/'); ?>
</div>
</div>
</div>
</div>
<br>
<br>

<?php require_once 'footer.php';



