<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

$sql = "SELECT * FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$lang = $row['lang'];
$successful_bg = $row['successful_bg']; }}

require_once 'lang/' . $lang . '.php';

require_once 'themes/theme.php';

$filename = '../../media/themes/';
if (file_exists($filename)) { "$filename";
} else {
$filename = '../../media/themes/';} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta name="description" content="">
<meta name="keywords" content="">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title><?= _UPDATESUCCESSFUL ?></title>

<style>
.body-back { background: url('<?= $filename ?><?= $successful_bg ?>') no-repeat; background-attachment:fixed; background-size:cover;} #wrapper {margin: 160px auto;}.whisp {padding-top:8%; min-height: 260px;} #container {border-radius: 10px;-moz-border-radius: 10px;-webkit-border-radius: 10px;-khtml-border-radius: 10px;height: 130px;margin: 0 auto;position: relative;width: 356px;} #sub-container {background: <?= $content_bg ?>;border: 1px solid #333;border-color: rgba(0, 0, 0, 0.2);border-radius: 10px;-moz-border-radius: 10px;-webkit-border-radius: 10px;-khtml-border-radius: 10px;box-shadow: 0 0 10px #000 inset;height:160px;left: 5px;position: absolute;top: 5px;width: 345px;}#sub-header {background-color: #02435d;background-color: rgba(2, 67, 93, 0.75);filter: progid: DXImageTransform.Microsoft.gradient(startColorstr=#c002435d, endColorstr=#c002435d);border-bottom: 1px solid #002F3F;border-radius: 5px 5px 0 0;-moz-border-radius: 5px 5px 0 0;-webkit-border-radius: 5px 5px 0 0;-khtml-border-radius: 5px 5px 0 0;height: 65px;padding: 10px 0 0;text-align: center;color: #fff;text-shadow: 1px 1px 2px #000;font-size: 2vw;}
</style>

</head>
<body class="body-back">
<div class="container">
<div class="whisp">
<div id="content-container">
<div id="container">
<div id="sub-container">
<h3 style="text-align:center;color:<?= $gen_text_color ?>;"><?= _UPDATESUCCESSFUL ?></h3>
<p style="text-align:center">
<input type="button" value="<?= _CLOSETHISWINDOW ?>" onclick="self.close()">
</p>

<script>
function windowClose() {
window.open('', '_parent', '');
window.close(); }
</script>
</div>
</div>
</div>
</div>
</div>
</body>
</html>

