<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

 require_once '../../../core/builders/config.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once '../lang/' . $row['lang'] . '.php'; }} 

require_once 'version.php'; ?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title>Spectra Version Updater</title>
<link rel="stylesheet" href="../themes/style.css">
<link rel="stylesheet" href="../../../../core/themes/shorthand.css">
<link rel="stylesheet" href="../../../core/css/fonts.css">
<link rel="stylesheet" href="../css/admin.css">
<link rel="stylesheet" href="../css/installer.css">

<style>
p { 
font-size: 18px;
font-weight: 500;
line-height: 1.6;}
</style>

</head>
<body>

<div class="column-title center">
<h1 class="center coltitlecolor"><?= _UPDATEDBFILES ?></h1>
</div>

<?php $sql = "SELECT current_version, php_version FROM version";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$current_version = $row['current_version'];
$php_version = $row['php_version']; }} ?>

<div class="inner-wrapper" style="box-shadow:none">

<?php if ($current_version > $update_version) { ?>

<h3 class="center spacer"><?= _DBDISPLAYINGVERSION ?> <?= $current_version ?>.<br><?= _DBISCURRENT ?><br><?= _YOUORSOMEONEELSE ?></h3>

<?php $filename = 'temp/spectra.sql';
if (file_exists($filename)) { ?>
<div class="textBlock spacer">
<?php $files = glob("temp/*.*");
for ($i = 0; $i < count($files); $i++) {
$image = $files[$i];
$supported_file = array(
'sql'
);
$ext = strtolower(pathinfo($image, PATHINFO_EXTENSION));
if (in_array($ext, $supported_file)) { ?>
<div class="column center"><?= _FILESAREPRESENT ?><img src="sql.png" style="width:110px;height:110px;" alt="" />
<br><span style="color:<?= $gen_text_color ?>"><?= basename($image) ?></span>
</div>
<?php }
} ?>
<p class="center"><?= _FILECONTENT ?></p>
<div class="spacer textBlock" style="resize:both">
<?= file_get_contents("temp/spectra.sql") ?>
</div>

<div class="center spacer"><a href="cleanup.php"><button style="width:200px"><?= _DELETE ?></button></a></div>
</div>

<?php }} 

elseif ($current_version < $update_version) { ?>

<h4 class="center"><?= _WILLUPDATEDBFILES ?> <?= $prior_version ?> <?= _TOVERSION ?> <?= $update_version ?>.</h4>

<h4 class="center"><?= _UPLOADTHEFILES ?></h4>

<h4 class="center"><?= _SHOULDBACKUPDB ?></h4>

<br><br><br><br>

<div class="center"><a href="uploadsql.php"><button class="spacer" style="width:200px"><?= _CONTINUE ?></button></a></div>

<br>
</div> 
<?php } 
elseif ($current_version == $update_version) { ?>

<h3 class="center"><?= _DBISUPTODATE ?> <?= $update_version ?>.
<br><br>
<?= _RUNNINGPHPVERSION ?> <?php $version = phpversion();
print $version;
if ($php_version < $version || $php_version == $version) {
echo '[' .  _OKAY . ']';  
} elseif ($version > $php_version) { echo '' . _SPECTRAWILLNOTRUN . ' ' . $php_version. ''; } ?>
<br>
<br>
<?= _IFYOUDOWNLOADED ?> <?= $update_version ?> <?= _YOUNEEDTOUPLOAD ?>
</h3>
<div class="center">
<a href="https://www.papamikescreations.org/core/downloads/" target="_blank">
<button><?= _DOWNLOADCURRENTUPDATE ?></button>
</a>
<p class="center"><input type="button" value="Close this window" onclick="self.close()"></p>
</div>
<?php } ?>

<div style="padding-top: 150px"></div>

</body>
</html>