<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */


function sqlImport($file) {
$delimiter = ';';
$file = fopen($file, 'r');
$isFirstRow = true;
$isMultiLineComment = false;
$sql = '';

while (!feof($file)) {

$row = fgets($file);

/**
 * 
 * Remove BOM for utf-8 encoded file.
 * 
 */

if ($isFirstRow) {
$row = preg_replace('/^\x{EF}\x{BB}\x{BF}/', '', $row);
$isFirstRow = false; }

/**
 * 
 * 1. ignore empty string and comment row.
 * 
 */

if (trim($row) == '' || preg_match('/^\s*(#|--\s)/sUi', $row)) {
continue; }

/**
 * 
 * 2. clear comments.
 * 
 */

$row = trim(clearSQL($row, $isMultiLineComment));

/**
 * 
 * 3. parse delimiter row.
 * 
 */

if (preg_match('/^DELIMITER\s+[^ ]+/sUi', $row)) {
$delimiter = preg_replace('/^DELIMITER\s+([^ ]+)$/sUi', '$1', $row);
continue; }

/**
 * 
 * 4. Separate sql queries by delimiter.
 * 
 */

$offset = 0;
while (strpos($row, $delimiter, $offset) !== false) {
$delimiterOffset = strpos($row, $delimiter, $offset);
if (isQuoted($delimiterOffset, $row)) {
$offset = $delimiterOffset + strlen($delimiter);
} else {
$sql = trim($sql . ' ' . trim(substr($row, 0, $delimiterOffset)));
query($sql);

$row = substr($row, $delimiterOffset + strlen($delimiter));
$offset = 0;
$sql = ''; }}
$sql = trim($sql . ' ' . $row); }
if (strlen($sql) > 0) {
query($row); }

fclose($file); }

/**
* 
* Remove comments from sql
*
* @param string sql
* @param boolean is multicomment line
* @return string
*/

function clearSQL($sql, &$isMultiComment) {
if ($isMultiComment) {
if (preg_match('#\*/#sUi', $sql)) {
$sql = preg_replace('#^.*\*/\s*#sUi', '', $sql);
$isMultiComment = false;
} else {
$sql = ''; }
if (trim($sql) == '') {
return $sql; }}

$offset = 0;
while (preg_match('{--\s|#|/\*[^!]}sUi', $sql, $matched, PREG_OFFSET_CAPTURE, $offset)) {
list($comment, $foundOn) = $matched[0];
if (isQuoted($foundOn, $sql)) {
$offset = $foundOn + strlen($comment);
} else {
if (substr($comment, 0, 2) == '/*') {
$closedOn = strpos($sql, '*/', $foundOn);
if ($closedOn !== false) {
$sql = substr($sql, 0, $foundOn) . substr($sql, $closedOn + 2);
} else {
$sql = substr($sql, 0, $foundOn);
$isMultiComment = true; }
} else {
$sql = substr($sql, 0, $foundOn);
break; }}}
return $sql; }

/**
* Check if "offset" position is quoted
*
* @param int $offset
* @param string $text
* @return boolean
*/

function isQuoted($offset, $text)
{
if ($offset > strlen($text))
$offset = strlen($text);

$isQuoted = false;
for ($i = 0; $i < $offset; $i++) {
if ($text[$i] == "'")
$isQuoted = !$isQuoted;
if ($text[$i] == "\\" && $isQuoted)
$i++; }
return $isQuoted; }

function query($sql) {
global $mysqli;
//echo '#<strong>SQL CODE TO RUN:</strong><br>' . htmlspecialchars($sql) . ';<br><br>';
if (!$query = $mysqli->query($sql)) {
throw new Exception("Cannot execute request to the database {$sql}: " . $mysqli->error); }}

set_time_limit(0);

require_once '../../../core/builders/config.php';
$mysqli->set_charset("utf8");
header('Content-Type: text/html;charset=utf-8');
sqlImport('temp/spectra.sql');
require_once 'header.php'; ?>

<header>
<div class="column-title"><h1 class="center coltitlecolor"><?= _SETUPINSTALL ?></h1></div>
</header>

<br>
<br>
<h3 class="center"><?= _UPDATESUCCESSFUL ?></h3>
<br><br>
<div class="center"><a href="cleanup.php" style="text-decoration:none"><button style="width:200px"><?= _CONTINUE ?></button></a>
<br>
<br>
</div>
</div>
<?php require_once '../footer.php';