<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

$sql = "SELECT * FROM website";
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while($row = $result->fetch_assoc()) { 
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?=_UPLOADFILES?></title>
</head>
<body>
    
<?php if (isset($_POST['submit'])) {

/**
 * 
 * Configure upload directory and allowed file types.
 * 
 */

$upload_dir = '../../media/themes'.DIRECTORY_SEPARATOR;
$allowed_types = array('jpg', 'png', 'jpeg', 'gif', 'webp');

/**
 * 
 * Define maxsize for files i.e 2MB.
 * 
 */

$maxsize = 2 * 1024 * 1024;

/**
 * 
 * Checks if user sent an empty form.
 * 
 */

if (!empty(array_filter($_FILES['files']['name']))) {

/**
 * 
 * Loop through each file in files[] array.
 * 
 */

foreach ($_FILES['files']['tmp_name'] as $key => $value) {
$file_tmpname = $_FILES['files']['tmp_name'][$key];
$file_name = $_FILES['files']['name'][$key];
$file_size = $_FILES['files']['size'][$key];
$file_ext = pathinfo($file_name, PATHINFO_EXTENSION);

/**
 * 
 * Set upload file path.
 * 
 */

$filepath = $upload_dir.$file_name;

/**
 * 
 * Check file type is allowed or not.
 * 
 */

if (in_array(strtolower($file_ext), $allowed_types)) {

/**
 * 
 * Verify file size - 2MB max.
 * 
 */

if ($file_size > $maxsize)		
echo "" . _LARGERTHANALLOWLIMIT . "";

/**
 * 
 * If file with name already exist then append time in 
 * front of name of the file to avoid overwriting of file.
 * 
 */

if (file_exists($filepath)) {
$filepath = $upload_dir.time().$file_name;
if ( move_uploaded_file($file_tmpname, $filepath)) {
echo "{$file_name} " . _SUCCESSFULLYUPLOADED . "<br />"; }
else {					
echo "{$file_name} " . _ERRORUPLOADING . "<br />"; }}
else {
if ( move_uploaded_file($file_tmpname, $filepath)) {
echo "{$file_name} " . _SUCCESSFULLYUPLOADED . "<br />"; }
else {					
echo "{$file_name} " . _ERRORUPLOADING . "<br />"; }}}
else {

/**
 * 
 * If file extension not valid.
 * 
 */

echo "Error uploading {$file_name}.";
echo "({$file_ext} " . _TYPENOTALLOWED . ").<br / >"; }}}
else {

/**
 * 
 * If no files selected.
 * 
 */

echo "" . _NOFILESSELECTED . ""; }} ?>
<br>
<div style="padding-top:3%;text-align:center;margin:0 auto;"><input type="button" class="btn" value="<?=_CLOSEWINDOW?>" onclick="self.close()"></div>
<script>
function windowClose() { window.open('','_parent','');
window.close();}
</script>

</body>
</html>
