<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

if (!isset($_SERVER['HTTP_REFERER'])) {
echo "<script> window.location.replace('../../index.php') </script>";
exit;}

include 'main.php';
check_loggedin($conn);

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php';}}?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?=_USERACCOUNTS?></title>
<?php require_once 'header.php';

/**
 * 
 * Query to get all accounts from the database.
 * 
 */

$stmt = $conn->prepare('SELECT id, username, usertheme, usetheme FROM accounts');
$stmt->execute();
$stmt->store_result();
$stmt->bind_result($id, $username, $usertheme, $usetheme); ?>
<div class="column-title spacer"><h3 class="center coltitlecolor"><?= _NOTUSINGDEFAULTTHEME ?></h3></div>
<br>
<div class="left spacer"><a href="account.php" style="text-decoration:none;width:200px"><span class="button"><?=_CREATEACCOUNT?></span></a></div>
<table>
<thead>
<tr class="column-title coltitlecolor">
<th scope="col" style="font-size:12px">#</th>
<th scope="col" style="font-size:12px"><?= _USERNAME ?></th>
<th scope="col" style="font-size:12px"><?= _THEMENAME ?></th>
</tr>
</thead>

<?php $sql = "SELECT * FROM settings";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$number_to_show = $row['number_to_show']; 
$style_pagination = $row['style_pagination'];}}

$total_pages = $mysqli->query('SELECT * FROM accounts')->num_rows;
$page = isset($_GET['page']) && is_numeric($_GET['page']) ? $_GET['page'] : 1;
$num_results_on_page = "$number_to_show";

if ($stmt = $mysqli->prepare('SELECT id, username, usetheme, usertheme FROM accounts WHERE usetheme = "Yes" ORDER BY id LIMIT ?,?')) {
$calc_page = ($page - 1) * $num_results_on_page;
$stmt->bind_param('ii', $calc_page, $num_results_on_page);
$stmt->execute();
$result = $stmt->get_result();
$stmt->close();}?>

<?php while ($row = $result->fetch_assoc()) { ?>

<style> 
.outline { 
border: 1px solid black;
 margin: auto; 
 padding: 1px; 
 text-align: center; }

tr:nth-child(even) {
background: <?=$content_bg?>; 
color: <?=$gen_text_color?>;}
</style>

<tr class="gentextcolor outline">
<td data-label="<?= _ID ?>: " style="font-size:12px"><?=$row['id']?></td>
<td data-label="<?= _USERNAME ?>: " style="font-size:12px"><?=$row['username']?></td>
<td data-label="<?= _THEMENAME ?>: " style="font-size:12px"><?=$row['usertheme']?></td>
<?php }?>
</tr></table>
</div>
<br>

<?php require_once 'footer.php';?>
