<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

$sql = "SELECT themes, theme_name, lang FROM website,themes"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$themes = $row['themes']; 
$theme_name = $row['theme_name']; 
$lang = $row['lang']; }}
require_once 'lang/' . $lang . '.php';
check_loggedin($conn); ?>

<!DOCTYPE html>
<html lang="en">
<head>
<title><?= _ARTICLEBUILDER ?></title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<style>
.resp-editor {
width: 70%;
margin: 0 auto; }

@media (max-width: 1000px) {
.resp-editor {
width: 100%; }}

.quarter {
width: 25%; } 

.mini-wrapper {
width: 100%;
margin: 0 auto;
}

@media (max-width:1000px) {
.quarter, .mini-wrapper { width:100% }}


</style>

<?php require_once 'header.php'; ?>

<?php require_once 'savearticles.php';

if (isset($_GET['edit'])) { $id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM articles WHERE id=$id"); {
$n = mysqli_fetch_array($record);
$c_title = $n['c_title'];
$c_text = $n['c_text'];
$tags = $n['tags'];
$spotlight = $n['spotlight'];
$author = $n['author'];
$showauthor = $n['showauthor'];
$printon = $n['printon'];
$allowcomments = $n['allowcomments'];
$publish = $n['publish'];
$category = $n['category'];
$email = $n['email'];
$mbrsubmitted - $n['mbrsubmitted']; }} ?>

<form method="post" action="savearticles.php" target="_blank">
    
<h1 class="center spacer top column-title"><?= _MEMBERSUBMITTEDARTICLE ?></h1>

<p class="center"><?= _MEMBERSUBMITTEDNOTE ?></p>

<?php  
/**
 * 
 * Setup to retrieve the members
 * username, ip, and email to
 * send with the article.
 * 
 */

$results = mysqli_query($db, "SELECT * FROM articles"); ?>

<input type="hidden" name="id" value="<?= '$id' ?>">

<div class="spacer radius quarter noborder" style="background: <?= $wrapper ?>; margin:0 auto;">

<p class="center"><?= _USERINFOWILLBESENT ?></p>
<br>
<p><?= _USERNAME ?>: <input type="hidden" name="author" id="role" value="<?= $_SESSION['name'] ?>" required> <?= $_SESSION['name'] ?></p>

<?php $stmt = $conn->prepare('SELECT email FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result($email);
$stmt->fetch(); ?>

<p><?= _EMAIL ?>: <input type="hidden" name="email" value="<?= $email ?>" required> <?= $email ?></p>

<?php $stmt->close();

echo '<p>';
showIPAddress(); ?></p>

<input type="hidden" name="mbrsubmitted" value="Yes" required>
<input type="hidden" name="printon" value="No" required>
<input type="hidden" name="allowcomments" value="No" required>
<input type="hidden" name="publish" value="No" required>
<input type="hidden" name="spotlight" value="No" required>
</p>

</div>

<?php
/**
 * 
 * End the member identification
 * and allow for article building.
 * 
 */ ?>

<div class="resp-editor center">

<br>

<p class="center"><?= _TITLE ?>: (<?= _MAX55TEXT ?>)</p>

<p class="center"><input maxlength="55" size="55" style="font-size:18px; color:#000; background:#f1f1f1; width:300px;" type="text" name="c_title" value="<?= $c_title ?>"></p>

<p class="center"><?= _DISPLAYAUTHORSNAME ?>?&nbsp;
<select name="showauthor">
<option></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select>
</p>

<p class="center"><?= _ALLOWCOMMENTS ?>?&nbsp;
<select name="allowcomments">
<option></option>
<option value="Yes"><?= _YES ?></option>
<option value="No"><?= _NO ?></option>
</select></p>

<p class="center"><?= _ARTICLETAG ?>&nbsp;<br>
<input maxlength="25" size="25" style="background:#f1f1f1; color:#000; font-size:18px;" type="text" name="tags" value="<?= $tags ?>">
</p>

<p class="center"><?= _CHOOSECATEGORY ?>&nbsp;

<select name="category">
<option></option>
<?php $result = mysqli_query($conn, "SELECT * FROM pagecategory ORDER BY catname ASC");
while ($row = mysqli_fetch_array($result)) { ?>
<option><?= $row['catname'] ?></option> <?php } ?>
</select>
</p>

<br>

<h2 class="center spacer coltitlecolor column-title"><?= _ARTICLECONTENT ?></h2>

<?php
/**
 * 
 * Show the editor and set the 
 * max character limit to 3000,
 * also show character count.
 * 
 */ ?>

<textarea id="editor" type="text" name="c_text"></textarea>

<button style="cursor:pointer; width:250px;" class="button" type="submit" name="save">
<?= _SUBMIT ?>
</button>
&nbsp;&nbsp;
<button style="cursor:pointer; width:250px;" class="button">
<a href="" style="text-decoration:none"><span class="white"><?= _REFRESHPAGE ?></span></a>
</button>

</div>
<p>&nbsp;</p>
<p>&nbsp;</p>
</div>

</form>

<?php require_once 'footer.php';