<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'header.php'; 

$sql = "SELECT * FROM website, modules"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$use_contact = $row['use_contact']; 
$toEmail = $row['toEmail']; 
$contact_text = $row['contact_text']; 
$use_recaptcha = $row['use_recaptcha']; 
$contact_staff = $row['contact_staff']; 
$recaptcha = $row['recaptcha']; 
$use_contact = $row['use_contact']; }}

/**
 * 
 * Choose to use the contact form or not.
 * If No display Access Denied message.
 * 
 */

if ($use_contact == 'No') {
if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) {
exit('<br><br><h4 class="center">' . _ACCESSDENIEDMUSTBEMEMBER . '</h4><br><br>'); }}

/**
 * 
 * Build the post area.
 * Used when "submit" button has been clicked.
 * 
 */

if (isset($_POST['submit'])) {
$name = htmlspecialchars(stripslashes(trim($_POST['name'])));
$subject = htmlspecialchars(stripslashes(trim($_POST['subject'])));
$email = htmlspecialchars(stripslashes(trim($_POST['email'])));
$message = htmlspecialchars(stripslashes(trim($_POST['message'])));

if (!preg_match("/^[A-Za-z .'-]+$/", $name)) {
$name_error = '<p class="spacer radius" style="color:#000;background:green;color:#fff;width:200px;margin:0 auto;">' . _INVALIDNAME . '</p>'; }

if (!preg_match("/^[A-Za-z .'-]+$/", $subject)) {
$subject_error = '<p class="spacer radius" style="color:#000;background:green;color:#fff;width:200px;margin:0 auto;">' . _INVALIDSUBJECT . '</p>'; }

if (!preg_match("/^[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}$/", $email)) {
$email_error = '<p class="spacer radius" style="color:#000;background:green;color:#fff;width:200px;margin:0 auto;">' . _INVALIDEMAIL . '</p>'; }

if (strlen($message) === 0) {
$message_error = '<p class="spacer radius" style="color:#000;background:green;color:#fff;width:200px;margin:0 auto;">' . _MESSAGESHOULDNOTBEEMPTY . '</p>'; }}

if ($contact_staff == 'Yes' || $use_contact == 'Yes') { ?>

<div class="center spacer shadow" style="background:#f1f1f1; margin:0 auto;">
<div class="radius" style="background:<?= $content_bg ?>;color:<?= $gen_text_color ?>;box-shadow:1px 0 40px 0 rgba(50,50,50,.3);padding:10px;"><?= $contact_text ?></div>
<br>

<?php 
/**
 * 
 * Get the users email address.
 * 
 */

$stmt = $conn->prepare('SELECT email FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result($email);
$stmt->fetch();
$stmt->close(); ?>

<form action="<?= htmlspecialchars($_SERVER["PHP_SELF"]); ?>" id="demo-form" method="POST">

<div class="full center">
<div style="background:#fff" class="black boxshadow spacer radius">
<?= _SENTWITHEMAIL ?><br><?= _USERNAME ?>: <strong><?= $_SESSION['name'] ?></strong>
&nbsp;&nbsp;||&nbsp;&nbsp;<?= _EMAIL ?>: <strong><?= $email ?></strong></div>
<br>

<?php
/**
 * 
 * Add message sent 
 * or error occured.
 * 
 */

if (isset($_POST['submit']) && !isset($name_error) && !isset($subject_error)) {
$to = '' . $toEmail . '';
$body = " Name: $name\n E-mail: $email\n Message:\n $message";
if (mail($to, $subject, $body)) { ?>
<p class="border spacer radius" style="background:#ccc; color:green;"><?= _MESSAGESENT ?></p>
<?php } else { ?>
<p class="border spacer radius" style="background:#ccc; color:green;"><?= _ERROROCCURED ?></p>
<?php }} 

/**
 * 
 * Build the input area.
 * 
 */ ?>

<input type="hidden" name="name" value="<?= $_SESSION['name'] ?>">
<input type="hidden" name="email" value="email">

<p><?php if (isset($name_error)) echo $name_error; ?></p>
<label for="subject"><?= _SUBJECT ?>:</label><br>
<input style="background:#f1f1f1; border:.5px solid #000;" type="text" name="subject">
<p><?php if (isset($subject_error)) echo $subject_error; ?></p>
<label for="message"><p class="black"><?= _MESSAGE ?>:</p></label><br>

<style>
.responsive { 
width: 50%; 
height: 150px;
margin: 0 auto; } 
 
@media (max-width: 1000px){ 
.responsive { width:100% }}
</style>

<textarea name="message" class="responsive"></textarea>
 
<?php
/**
 * 
 * Add the google recaptcha.
 * 
 */ ?>

<center>

<p><?php if (isset($message_error)) echo $message_error; ?></p>

<?php if ($use_recaptcha == 'Yes') { ?>
<script src="https://www.google.com/recaptcha/api.js" async defer></script>
<div class="g-recaptcha" data-sitekey="<?= $recaptcha ?>"></div>
<br>
<input type="submit" name="submit" value="<?= _SUBMIT ?>">
</center>
<?php } 
else { ?>
<input type="submit" name="submit" value="<?= _SUBMIT ?>">
<?php } ?>

</center>

<?php
/** 
 * 
 * Add the admin direct editing feature.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?><br><br><p class="column-footer center spacer"><a href="../core/designer/contactform.php" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="Settings" onclick="basicPopup(this.href);return false"><i class="coltitlecolor fa fa-pencil-square-o"></i></a></p>
<?php }} ?>


</div>
</form>
<br><br>
</div>
<?php }
