<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

$sql = "SELECT lang FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$lang = $row['lang']; }}
require_once 'lang/' . $lang . '.php'; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<title><?= _USERCOMMENTS ?></title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="comments.css" rel="stylesheet" type="text/css">
<link href="../core/css/comments.min.css" rel="stylesheet" type="text/css">
<?php require_once 'header.php';

if (isset($_GET['id'])) { $id = $_GET['id'];
$id = mysqli_real_escape_string($conn, $id); }

$sql = "SELECT id, name, title, size, downloads, date, info, cat_name FROM files WHERE id > 0 AND id='$id'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>

<div style="width:75%; margin:0 auto;">
<div class="full column">
<br>
<div class="full spacer" style="background:<?= $content_bg ?>;margin:0 auto;">
<div class="column-title spacer">
<h3 class="coltitlecolor center"><?= $row['title'] ?><br><?= $row['name'] ?></h3>
</div>
<div class="full">
<p class="card center gentextcolor" style="font-size:18px"><?= _FILESIZE ?>: <?= $row['size'] ?> | <?= _DOWNLOADS ?>: <?= $row['downloads'] ?> | <?= _DATE ?>: <?= $row['date'] ?> | <?= _CATEGORY ?>: <?= $row['cat_name'] ?>
<br></p></div>

<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { 
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-title center spacer" style="margin:0 auto; width:100%;">
<a href="../core/designer/downloadsbuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false" title=""><i class="coltitlecolor fa fa-pencil-square-o"></i></a>
</div>

<?php }}
/**
 * 
 * If is logged in send a 
 * welcome message by username
 * for this session.
 * 
 */ ?>

<div class="card column spacer gentextcolor"><?= $row['info'] ?></div>
<?php }} ?>
<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { ?>
<p class="center gentextcolor" style="font-size:18px"><?= _WELCOME ?>, <?= $_SESSION['name']; 

/**
 * 
 * If is not logged in 
 * send a message.
 * 
 */

} else {
    echo '<p>' . _YOUMUSTLOGIN . '</p>'; } 

/**
 * 
 * Add the admin direct editing feature.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { 
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-title center spacer" style="margin:0 auto; width:100%;">
<a href="admin/comments.php" onclick="basicPopup(this.href);return false" title=""><i class="coltitlecolor fa fa-pencil-square-o"></i></a>
</div>
<?php }}



/**
 * 
 * Show the comment box
 * if is logged in.
 * 
 */ ?>

<div class="card spacer comments left radius"></div>
<script src="comments.js"></script>
<script>
new Comments({
page_id: <?= $id ?>
});
</script>
</div>
</div>
</div>
<br>
<br>
<?php require_once 'footer.php';