<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

include 'main.php';

/**
 * 
 * Get the variables to
 * support the styling and 
 * language.
 * 
 */ 

$sql = "SELECT * FROM style, registration, website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$inputfirstcolor = $row['inputfirstcolor']; 
$inputsecondcolor = $row['inputsecondcolor']; 
$inputtextcolor = $row['inputtextcolor'];
$website_url = $row['website_url'];
$emailaddress = $row['emailaddress'];
$lang = $row['lang'];
$logo = $row['logo']; }}

require_once 'lang/' . $lang . '.php'; ?>

<title><?= _FORGOTPASSWORD ?></title>

<?php 
/**
 * 
 * Setup to retrieve the email
 * or let the member reset the
 * password. Show a message if
 * an error is encountered.
 * 
 */

$msg = '';

if (isset($_POST['email'])) {
$stmt = $conn->prepare('SELECT * FROM accounts WHERE email = ?');
$stmt->bind_param('s', $_POST['email']);
$stmt->execute();
$stmt->store_result();
if ($stmt->num_rows > 0) {
$stmt->close();
$uniqid = uniqid();

$stmt = $conn->prepare('UPDATE accounts SET reset = ? WHERE email = ?');
$stmt->bind_param('ss', $uniqid, $_POST['email']);
$stmt->execute();
$stmt->close();

/**
 * 
 * If the email address is good
 * send an email out to let the
 * member reset their password.
 * 
 */

$subject = '' . _PASSWORDRESET .'';

$headers = 'From: ' . $emailaddress . "\r\n" . 'Reply-To: ' . $emailaddress . "\r\n" . 'Return-Path: ' . $emailaddress . "\r\n" . 'X-Mailer: PHP/' . phpversion() . "\r\n" . 'MIME-Version: 1.0' . "\r\n" . 'Content-Type: text/html; charset=UTF-8' . "\r\n";

$reset_link = '' . $website_url . '/sys/resetpassword.php?email=' . $_POST['email'] . '&code=' . $uniqid;

$message = '<p style="text-align:center; padding:5px; border:.5px solid #000000;">' . _PLEASECLICK . ' ' . $logo . ':<br><a href="' . $reset_link . '">' . $reset_link . '</a></p>';

mail($_POST['email'], $subject, $message, $headers);

require_once 'plainheader.php'; ?>

<div class="center spacer"><?= _SENTTOEMAIL ?></div>

<?php exit();

} else {

/**
 * 
 * Send a message if the email 
 * entered is incorrect 
 * or does not exist.
 * 
 */

require_once 'plainheader.php'; ?>
<br>
<br>
<h3 class="center"><?= _NOEMAIL ?></h3>
<br>
<div class="center">
<a href="forgotpassword.php" style="text-decoration:none" class="button">
<span style="color:<?= $styletextcolor ?>"><?= _TRYAGAIN ?></span>
</a>
</div>

<br>
<br>

<?php exit(); }} 

/**
 * 
 * Build the box.
 * 
 */ ?>

<style>
@media (max-width: 1000px) {
.resp-box {
width: 100%;
}}
</style>

<div class="resp-box">

<?php require_once 'plainheader.php'; ?>

<h3 class="center" style="color:<?= $styletextcolor ?>"><?= _FORGOT_PASSWORD ?></h3> 

<div class="spacer radius" style="text-align:center">

<form action="forgotpassword.php" method="post">

<a href="index.php" style="text-decoration:none" class="button"><span style="color:<?= $styletextcolor ?>"><?= _LOGIN ?></span></a>
&nbsp;&nbsp;
<a href="registration.php" style="text-decoration:none" class="button"><span style="color:<?= $styletextcolor ?>"><?= _REGISTER ?></span></a>

<span style="float:left; color:<?= $styletextcolor ?>; padding-left:15px;"><img src="icons/email.png" style="width:50px; border:0;" alt="" /></span>

<div class="center" style="margin:0 auto;">
<input class="input form-control" style="width:95%" type="email" name="email" placeholder="<?= _YOUREMAIL ?>" id="email" required>
</div>

<br>

<div class="msg"><?= $msg ?></div>

<input type="submit" value="<?= _SUBMIT ?>">

</form>

<br>
</div>

<br>
<br>
<br>

<?php if ($addcopyright == 'Yes') { ?>
<br>
<p class="center bottom" style="color:<?= $styletextcolor ?>"><small><?= $copyright ?></small></p>
<?php } ?>

<br>
<br>

</div>

</body>
</html>
