<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'functions.php'; ?>

<link rel="stylesheet" href="css/style.min.css">
<link rel="stylesheet" href="css/stylesheet.min.css">
<link rel="stylesheet" href="css/profile.css">
<link rel="stylesheet" href="../core/css/purecookie.min.css" />
<link rel="stylesheet" href="../core/css/hint.min.css" />
<link rel="stylesheet" href="../core/css/bootstrap.min.css" />
<link rel="stylesheet" href="../core/css/style.min.css">
<link rel="stylesheet" href="../core/css/pageeditor.min.css">
<link rel="stylesheet" href="../core/css/fontawesome/css/font-awesome.min.css">
<link rel="stylesheet" href="../core/css/fonts.min.css">

<?php 
/**
 * Add the option for letting
 * users choose their own theme
 * on the homepage and user account.
 * 
 */

$stmt = $conn->prepare('SELECT usertheme, usetheme FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result(
$usertheme, $usetheme );
$stmt->fetch();
$stmt->close();
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true && $usetheme == 'Yes') { 
if (isset($_GET['id'])) { $id = $_GET['id']; }
$sql = "SELECT id, usertheme FROM accounts"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
require_once '../core/themes/usertheme.php'; }}}
else { require_once '../core/themes/theme.php'; } ?>
<link rel="stylesheet" href="../core/themes/style.min.css">
<link rel="stylesheet" href="../core/themes/tables.min.css">
<link rel="stylesheet" href="../core/css/lightbox.min.css">
<style>
input {
background:#f1f1f1}
</style>
<script src="../core/js/lightbox.min.js"></script>
<script src="../core/js/fontawesome.min.js" crossorigin="anonymous"></script>
<script src="../core/js/purecookie.min.js"></script>
<script src="../core/js/jquery-3.2.1.min.js"></script>
<script src="https://www.google.com/recaptcha/api.js" async defer></script>
<script src="../core/designer/tinymce/tinymce.min.js"></script>
<script>
tinymce.init({
selector: '#editor',

plugins: 'advlink link emoticons preview wordcount textcolor',

menubar: 'file edit',

toolbar1: 'cut copy code | undo redo | alignleft aligncenter alignright alignjustify |',
toolbar2: 'link | emoticons | fontsize fontfamily | bold italic underline strikethrough',

promotion: false,

min_height: 600,
max_height: 600,

});
</script>
</head>

<?php 
/**
 * 
 * Get the variables that support
 * the pages design.
 * 
 */

global $theme_name; 
$sql = "SELECT * FROM website, themes WHERE theme_name='$theme_name'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$header_first_color = $row['header_first_color']; 
$header_second_color = $row['header_second_color']; 
$header_img = $row['header_img']; 
$bg_img = $row['bg_img']; 
$back_color = $row['back_color']; 
$lang = $row['lang']; }}
require_once 'lang/' . $lang . '.php'; ?>

<body class="loggedin" style="background:<?= $back_color ?> url('../media/themes/<?= $bg_img ?>');background-attachment:fixed;">

<div class="inner-wrapper">

<?php global $theme_name; 
$sql = "SELECT * FROM website, themes WHERE theme_name='$theme_name'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { ?>

<div id="wrapper">
<div class="row noborder">
    
<?php 
/**
 * 
 * Build the header, logo, and menu.
 * 
 */

if ($row['useheadercolor'] == 'Yes') { ?>
<div style="background-image:linear-gradient(<?= $row['header_first_color'] ?>,<?= $row['header_second_color'] ?>);width:<?= $row['website_width'] ?>; height:<?= $row['header_height'] ?>;margin:0 auto;">
<?php } else { ?>
<div style="background: url(../media/themes/<?= $row['header_img'] ?>);background-attachment:fixed;width:<?= $row['website_width'] ?>;margin:0 auto; height:<?= $row['header_height'] ?>">
<?php }}}
$img_source = '../media/themes';
require_once 'logo.php'; ?>
</div>
<?php require_once 'menu/index.php'; ?>
</div>