<?php
/**
 * Spectra is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2020-2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

include 'main.php';
check_loggedin($conn);

$sql = "SELECT * FROM website, themes, settings"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$themes = $row['themes']; 
$theme_name = $row['theme_name']; 
$allow_article = $row['allow_article'];
$allowthemeuse = $row['allowthemeuse'];
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<title><?= _ACCOUNT ?></title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<?php require_once 'header.php';

$sql = "SELECT * FROM spectranews"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$newstext = $row['newstext']; }} ?>

<div class="full radius spacer" style="margin:0 auto">
<h2 class="column-title center spacer coltitlecolor"><?= _MEMBERSHOMEPAGE ?></h2>
<div class="radius noborder spacer center" style="background:<?= $content_bg ?>;">

<?php 
/**
 * Set-up if using Gravatar.
 * 
 */ 

$sql = "SELECT * FROM avatar"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) {	 
while($row = $result->fetch_assoc()) {	
$avatar_radius = $row['avatar_radius']; 
$useavatar = $row['useavatar']; 
$avatar_size = $row['avatar_size']; }}

$stmt = $conn->prepare('SELECT email, avatarurl, use_avatar FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result($email, $avatarurl, $use_avatar);
$stmt->fetch();
$stmt->close();

if ($use_avatar == 'Gravatar') {
require "Gravatar.php";
global $email;
$g = new Gravatar("$email");
echo $g->toHtml(); }
elseif ($use_avatar == 'Avatar') { ?>
<img src="<?= $avatarurl ?>" style="width:<?= $avatar_size ?>; height:<?= $avatar_size ?>; border-radius:<?= $avatar_radius ?>; border:0;" alt="" />
<?php } 

/**
 * 
 * Build the members page.
 * 
 */ ?>


<h4 style="color:<?= $gen_text_color ?>" class="center"><?= _WELCOMEBACK ?>, <?= $_SESSION['name'] ?>!</h4>
<div class="row center">

<?php
/**
 * 
 * Build and display the icons
 * that are active.
 * 
 */

if ($allow_article == 'Yes') { ?>
<div class="column6"><a href="articlebuilder.php" title="<?=  _SUBMITARTICLE ?>"><img src="icons/submitarticle.png" style="width:80px; height:80px; border:0;" alt="<?=  _SUBMITARTICLE ?>" /><br><span class="gentextcolor"><?=  _SUBMITARTICLE ?></span></a></div>
<?php }

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$allowthemeuse = $row['allowthemeuse']; }}

if ($allowthemeuse == 'Yes') { ?>
<div class="column6"><a href="profile.php?action=edit#theme" title="<?= _CHANGETHEME ?>"><img src="icons/changetheme.png" style="width:80px; height:80px; border:0;" alt="<?= _CHANGETHEME ?>" /><br><span class="gentextcolor"><?= _CHANGETHEME ?></span></a></div>
<?php } ?>

<div class="column6"><a href="profile.php?action=edit#mbrsettings" title="<?= _EDITACCOUNT ?>"><img src="icons/editaccount.png" style="width:80px; height:80px; border:0;" alt="<?= _EDITACCOUNT ?>" /><br><span class="gentextcolor"><?= _EDITACCOUNT ?></span></a></div>

<div class="column6"><a href="profile.php?action=edit#sm" title="<?= _SOCIALMEDIA ?>"><img src="icons/sm.png" style="width:80px; height:80px; border:0; border-radius:14px;" alt="<?= _SOCIALMEDIA ?>" /><br><span class="gentextcolor"><?= _SOCIALMEDIA ?></span></a></div>

<div class="column6"><a href="contactstaff.php" title="<?= _CONTACTSTAFF ?>"><img src="icons/contactstaff.png" style="width:80px; height:80px; border:0;" alt="<?= _CONTACTSTAFF ?>" /><br><span class="gentextcolor"><?= _CONTACTSTAFF ?></span></a></div>

<div class="column6"><a href="profile.php?action=edit#avatar" title="<?= _CHANGEAVATAR ?>"><img src="icons/avatar.png" style="width:80px; height:80px; border:0;" alt="<?= _CHANGEAVATAR ?>" /><br><span class="gentextcolor"><?= _CHANGEAVATAR ?></span></a></div>

</div></div>

<?php
/**
 * 
 * Add the staff news if there is one.
 * 
 */ ?>

<br>
<h2 class="column-title spacer center coltitlecolor"><?= _NEWSFROMSTAFF ?></h2>
<div class="radius spacer" style="background:<?= $content_bg ?>; border:<?= $header_border ?>;">
<?= $newstext ?>
</div>

<?php 
/**
 * Add the admin direct editing feature.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-footer column spacer center" style="margin:0 auto; width:98%;">
<a href="../core/designer/spectranews.php" onclick="basicPopup(this.href);return false" title="Edit Page"><i class="fa fa-pencil-square-o"></i></a>
</div>
<?php }} ?>

</div>
<br>
<div class="center"><p><?php require_once '../core/layout/get_visitors.php'; ?></p></div>
<br>

<?php require_once 'footer.php';
