<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

include 'main.php';

if (isset($_COOKIE['rememberme']) && !empty($_COOKIE['rememberme'])) {

/**
 * 
 * If the remember me cookie matches one in the database
 * then we can update the session variables.
 * 
 */

$stmt = $conn->prepare('SELECT id, username, role FROM accounts WHERE rememberme = ?');
$stmt->bind_param('s', $_COOKIE['rememberme']);
$stmt->execute();
$stmt->store_result();
if ($stmt->num_rows > 0) {
$stmt->bind_result($id, $username, $role);
$stmt->fetch();
$stmt->close();
session_regenerate_id();
$_SESSION['loggedin'] = TRUE;
$_SESSION['name'] = $username;
$_SESSION['id'] = $id;
$_SESSION['role'] = $role;
echo "<script> window.location.replace('home.php') </script>";
exit; }}

$_SESSION['token'] = md5(uniqid(rand(), true));

/**
 * 
 * Get the variables that
 * style the page.
 * 
 */

$sql = "SELECT * FROM style"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$styleboxcolor = $row['styleboxcolor']; 
$stylebuttoncolor = $row['stylebuttoncolor']; 
$styletextcolor = $row['styletextcolor']; 
$styleboxradius = $row['styleboxradius']; 
$styleboxshadow = $row['styleboxshadow']; 
$stylesecondcolor = $row['stylesecondcolor']; 
$stylefirstcolor = $row['stylefirstcolor']; 
$placeimage = $row['placeimage']; 
$styleimage = $row['styleimage']; 
$styleboxopacity = $row['styleboxopacity']; 
$stylefixback = $row['stylefixback']; 
$addcopyright = $row['addcopyright']; 
$stylelogofont = $row['stylelogofont']; 
$stylelogosize = $row['stylelogosize']; 
$boxwidth = $row['boxwidth']; 
$stylebuttontextcolor = $row['stylebuttontextcolor']; 
$styletop = $row['styletop']; 
$topimage = $row['topimage']; 
$topmessage = $row['topmessage']; 
$topheight = $row['topheight']; 
$inputfirstcolor = $row['inputfirstcolor']; 
$inputsecondcolor = $row['inputsecondcolor']; 
$inputtextcolor = $row['inputtextcolor']; 
$styletopfirstcolor = $row['styletopfirstcolor']; 
$styletopsecondcolor = $row['styletopsecondcolor'];
$whichback = $row['whichback'];
$videoname = $row['videoname']; }}

/**
 * 
 * Get the variables that 
 * define the logo and language.
 * 
 */

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 	
while ($row = $result->fetch_assoc()) { 
$uselogoimage = $row['uselogoimage']; 
$copyright = $row['copyright']; 
$logo_image = $row['logo_image']; 
$logo = $row['logo']; 
$lang = $row['lang']; 
$logoradius = $row['logoradius']; }} 

require_once 'lang/' . $lang. '.php'; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<title><?= $logo ?> | <?= _SIGNIN ?></title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="css/stylesheet.min.css" rel="stylesheet" type="text/css">
<link href="css/style.min.css" rel="stylesheet" type="text/css">
<link rel="stylesheet" href="css/fonts.css" type="text/css">
<link rel="stylesheet" href="../core/css/font-awesome.min.css" type="text/css">
<script src="../core/js/fontawesome.js" crossorigin="anonymous"></script>
</head>

<?php 
/**
 * Choose background
 * color or image.
 * 
 */


if ($whichback == 'Image') { 

/**
 * 
 * Style the body either 
 * color or image or video. 
 * 
 */ ?>

<body style="background: url('../media/themes/<?= $styleimage ?>'); background-attachment:fixed;  background-size:cover; height:100%;">

<?php } elseif ($whichback == 'Color') { ?>

<body style="background: linear-gradient(<?= $stylefirstcolor ?>, <?= $stylesecondcolor ?>); height:100%;">
<?php }

elseif ($whichback == 'Video') { ?>
<body>
<style>
.video-back-container {
position: absolute; 
top: -20px; 
}
</style>
<p>
<div class="video-back-container">
<video autoplay="" controls="" loop="" muted="">
<source src="../media/videos/<?= $stylevideo ?>.mp4" type="video/mp4" />
</video>
</div>
</p>    
<?php } ?>

<form action="authenticate.php" method="post" class="noborder">

<style>
.resp-box {
width: <?= $boxwidth ?>% } 

.box {width: 100%} 

@media (max-width: 1000px) { 
.resp-box {width: 100%}}

.input {    
background: linear-gradient(to right, <?= $inputfirstcolor ?>, <?= $inputsecondcolor ?>); 
padding-left: 30px; 
color: <?= $inputtextcolor ?>;}
</style>

<?php if (isset($_SESSION["message"]) && !empty($_SESSION["message"])) {
$message = $_SESSION["message"];
echo "<div class='center gentextcolor spacer inner-wrapper quarter'>" . $message . "</div>";
unset($_SESSION['message']); }

/**
 * Place the box
 * in the center
 * of the page if selected.
 * 
 */

if ($placeimage == 'center') { ?>
<div class="resp-box" style="margin:0 auto; background:<?= $styleboxcolor ?>; height:100%; opacity:<?= $styleboxopacity ?>; box-shadow:<?= $styleboxshadow ?>;">
<?php } else { 

/** 
 * Place the box on
 * Left or Right side
 * if selected.
 * 
 */ ?>

<div class="resp-box" style="float:<?= $placeimage ?>; padding-left:0; background:<?= $styleboxcolor ?>; height:100%; opacity:<?= $styleboxopacity ?>; box-shadow:<?= $styleboxshadow ?>;">
<?php } 

/**
 * Add the home page icon.
 * 
 */ ?>

<div class="spacer">
<div style="padding: 0 0 8px 15px"><a href="../" class="hover"><i style="background:<?= $stylebuttoncolor ?>; padding-left:15px; width:50px; font-size:20px; border-radius:14px; color:<?= $stylebuttontextcolor ?>;" class="button fas fa-home"></i></a></div>

<?php 
/** 
 * Build box top
 * styling (optional).
 * 
 */

if ($styletop == 'Yes') { 
if ($styletopfirstcolor == '' && $styletopsecondcolor == '') {?>
<div class="resp-box" style="background: url('../media/themes/<?= $topimage ?>'); width:100%;  height: <?= $topheight ?>px; background-size: cover; overflow-y:auto;">
<?php } else { ?>                                
<div class="resp-box" style="background: linear-gradient(<?= $styletopfirstcolor ?>, <?= $styletopsecondcolor ?>); height: <?= $topheight ?>px; width:100%;  overflow-y:auto;"> 
<?php } ?>
<div class="spacer"><?= $topmessage ?></div>
</div>
<?php } else { 

/**
* Do not style the top.
* Add logo.
* 
*/ ?>

<h1 class="center" style="color:<?= $styletextcolor ?>; font-family:<?= $stylelogofont ?>; font-size:<?= $stylelogosize ?>;"><?= $logo ?></h1>
<?php }

/**
* End optional box top styling.
* 
*/ ?>

<div style="margin:0 auto; background:<?= $styleboxcolor ?>">
<p class="center">

<?php 
/** 
* Add the logo image
* if chosen.
* 
*/

if ($uselogoimage == 'Yes' or $uselogoimage == '') { ?><img class="noborder" style="border-radius:<?= $logoradius ?>; width:90px;" src="../media/themes/<?= $logo_image ?>" alt="" />
<?php } ?></p>

<?php 
/**
* Build the login
* boxes.
* 
*/ ?>

<p class="center" style="color:<?= $styletextcolor ?>"><i class="fa fa-sign-in"></i> <?= _SIGNIN ?>&nbsp;&nbsp;&nbsp; | &nbsp;&nbsp;&nbsp;<i class="fa fa-user-plus"></i> <a href="registration.php"><?= _REGISTER ?></a></p>
<div class="form-group">
<input type="text" name="username" class="input form-control" placeholder="<?= _USERNAME ?>" id="username" required>
</div>
<div class="form-group">
<input type="password" name="password" class="input form-control" placeholder="<?= _PASSWORD ?>" id="myInput" required>
<input type="checkbox" onclick="myFunction()"> <?= _SHOWPASSWORD ?>
</div>
<br>

<button type="submit" value="login" class="full noborder spacer radius" style="background:<?= $stylebuttoncolor ?>"><span style="color:<?= $stylebuttontextcolor ?>"><?= _SIGNIN ?></span></button>

<a href="forgotpassword.php" style="color:#fff; border-radius:8px; margin:0 auto; text-align:center;"><?= _FORGOTPASSWORD ?></a>
<input type="hidden" name="token" value="<?= $_SESSION['token'] ?>">
<p style="float:right"><input type="checkbox" name="rememberme"> <?= _REMEMBERME ?></p>

<div class="msg"></div>
<?php 
/**
* 
* If chosen add the copyright.
* 
*/

if ($addcopyright == 'Yes') { ?>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p class="center full" style="color:<?= $styletextcolor ?>"><small><?= $copyright ?></small></p>
<?php } ?>
</form>
<br>
</div>
</div>
</div>
</div>
</div>

<?php
/**
 * 
 * Add the scripts that
 * support the input.
 * 
 */ ?>

<script>
document.querySelector(".login form").onsubmit = function(event) {
event.preventDefault();
var form_data = new FormData(document.querySelector(".login form"));
var xhr = new XMLHttpRequest();
xhr.open("POST", document.querySelector(".login form").action, true);
xhr.onload = function() {
if (this.responseText.toLowerCase().indexOf("success") !== -1) {
window.location.href = "home.php";
} else {
document.querySelector(".msg").innerHTML = this.responseText; }}
xhr.send(form_data); };
</script>

<script src="js/jquery.min.js"></script>
<script src="js/popper.js"></script>
<script src="js/bootstrap.min.js"></script>
<script src="js/main.js"></script>
<script>
function myFunction() {
var x = document.getElementById("myInput");
if (x.type === "password") {
x.type = "text";
} else {
x.type = "password";
}}
</script>

</body>
</html>