<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'functions.php';

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title><?= _LOSTON ?> <?= $row['logo'] ?></title>
</head>
<body style="background:<?= $row['login_bg_color'] ?> url(../media/themes/<?= $row['login_bg'] ?>)">

<?php
/**
 * 
 * Show the lost page message.
 * 
 */ ?>

<div style="padding-top:6%"></div>

<div style="background:#336699; padding:3%; height:40%; width:70%; margin:0 auto; border-radius:15px; box-shadow: 12px 0 15px -4px rgba(0, 0, 0, 0.2), -12px 0 8px -4px rgba(0, 0, 0, 0.2);">
<h1 style="color:#fff;text-align:center;padding:30px;"><?= _LOST ?></h1>
<h3 style="color:#fff;text-align:center;"><?= _ONINACTIVEPAGE ?> <?= $row['logo']; }} ?>.
<br>
<br>
<?= _SHOULDGO ?> <a href="../index.php"><span style="color:#ccc"><?= _HERE ?></span></a>
</h3>
<br>
<br>
<p style="background:#223366; border-radius:8px; width:300px; margin:0 auto; padding:5px; text-align:center; color:#fff;"><?= showIPAddress() ?></p>
</div>

</body>
</html?