<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ ?>

<style> .toggle, [id^=drop] {display: none;}menu {background: -webkit-gradient(linear, left top, left bottom, from(<?= $menu_color ?>), to(<?= $menu_color_second ?>));width: 99%;padding: 15px;margin: 0 auto;}menu:after {content: "";display: table;clear: both;}menu ul {padding: 0;margin: 0;list-style: none;position: relative;}menu ul li {margin: 0px;float: left;}menu a:link {display: block;padding: 14px 16px;color: <?= $linkcolor ?>;font-size: 16px;text-decoration: none;}menu ul li ul li:hover {background-color: <?= $content_bg ?>;}menu a:hover {background-color: <?= $menu_color_second ?>;color: <?= $linkcolor ?>;}menu ul ul {display: none;position: absolute;top: 45px;}menu ul li:hover>ul {display: inherit;}menu ul ul li {width: 170px;display: list-item;position: relative;background-color: transparent;}menu ul ul ul li {position: relative;top: -60px;left: 170px;background-color: transparent;}@media all and (max-width:600px) {menu {margin: 0;}.toggle+a, .menu {display: none;}.toggle {display: block;background-color: transparent;padding: 14px 20px;color: #FFF;font-size: 14px;text-decoration: none;border: none;}.toggle:hover {background-color: transparent;}[id^=drop]:checked+ul {display: block;}menu ul li {display: block;width: 90%;}menu ul ul .toggle, menu ul ul a {padding: 0 10px;}menu ul ul ul a {padding: 0 40px;}menu a:hover, menu ul ul ul a {background-color: <?= $menu_color_second ?>;}menu ul li ul li .toggle, menu ul ul a, menu ul ul ul a {padding: 14px 20px;color: #FFF;font-size: 14px;}menu ul li ul li .toggle, menu ul ul a {background-color: transparent;}menu ul ul {float: none;position: static;color: #ffffff;}menu ul ul li:hover>ul, menu ul li:hover>ul {display: none;}menu ul ul li {display: block;width: 100%;}menu ul ul ul li {position: static;}}@media (max-width:600px) {.hide {display: none;}}@media all and (max-width:330px) {menu ul li {display: block;width: 94%;}}</style>

<menu>

<label for="drop" class="toggle" style="float:left; padding-left:20px; background:-webkit-gradient(linear,left top,left bottom,from(<?= $menu_color ?>),to(<?= $menu_color_second ?>))"><?= _MENU ?> <i style="font-size:10px" class="fa fa-chevron-down"></i></label>

<input type="checkbox" id="drop" />

<ul class="menu" style="border:0">

<?php $sql = "SELECT * FROM website, modules, downloadconfig"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$use_downloads = $row['use_downloads']; ?>

<li><a href="../index.php" class="home" title="<?= _BACKTO ?> <?= $row['logo'] ?> <?= _HOMEPAGE ?>"><i style="color:#fff" class="fas fa-home"></i>
<span class="hometext">&nbsp;<?= _HOME ?></span></a></li>

<li><a href="home.php"><span style="color:<?= $linkcolor ?>"><i class="fas fa-users"></i> <?= _ACCOUNT ?></span></a></li>

<li><a href="profile.php"><span style="color:<?= $linkcolor ?>"><i class="fas fa-user-circle"></i> <?= _PROFILE ?></span></a></li>

<?php if ($row['contact_staff'] == 'Yes') { ?>
<li><a href="contactstaff.php"><span style="color:<?= $linkcolor ?>"><i class="fas fa-address-book"></i> <?= _CONTACT ?></span></a></li>
<?php }

if ($use_downloads == 'Yes') { ?>
<li><a href="../core/downloads/downloads.php"><span style="color:<?= $linkcolor ?>"><i class="fas fa-address-book"></i> <?= _DOWNLOAD ?></span></a></li>
<?php }}}

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?> 
<li><a href="admin/index.php"><span style="color:<?= $linkcolor ?>"><i class="fas fa-user-cog"></i> <?= _ADMINDASHBOARD ?></span></a></li>
<?php };

if ($_SESSION['role'] == 'Admin') { ?> 
<li><a href="../core/designer/index.php"><span style="color:<?= $linkcolor ?>"><i class="fas fa-user-cog"></i> <?= _DESIGNERDASHBOARD ?></span></a></li>
<?php }} ?>

<li><a href="logout.php"><span style="color:<?= $linkcolor ?>"><i class="fas fa-sign-out-alt"></i> <?= _LOGOUT ?></span></a></li>
</ul>
</menu>
</div>
<br>