<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

/**
 * 
 * Get the variables for the
 * languages and logo image.
 * 
 */

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$lang = $row['lang']; 
$logo_image = $row['logo_image']; }}
require_once 'lang/' . $lang . '.php';  ?>

<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title></title>
<link rel="stylesheet" href="../core/css/style.min.css">
<link rel="stylesheet" href="css/style.min.css">
<link rel="stylesheet" href="css/fonts.css">
<link rel="stylesheet" href="css/stylesheet.min.css">
<link rel="stylesheet" href="../core/themes/style.min.css">
<link rel="stylesheet" href="../core/themes/shorthand.min.css">
<link rel="stylesheet" href="../core/themes/tables.min.css">
<script src="../core/js/fontawesome.js" crossorigin="anonymous"></script>
</head>

<?php 
/**
 * 
 * Get the variables to style 
 * the page.
 * 
 */

$sql = "SELECT * FROM style"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$styleboxcolor = $row['styleboxcolor']; 
$stylebuttoncolor = $row['stylebuttoncolor']; 
$styletextcolor = $row['styletextcolor']; 
$styleboxshadow = $row['styleboxshadow']; 
$stylesecondcolor = $row['stylesecondcolor']; 
$stylefirstcolor = $row['stylefirstcolor']; 
$placeimage = $row['placeimage']; 
$styleimage = $row['styleimage']; 
$styleboxopacity = $row['styleboxopacity']; 
$addcopyright = $row['addcopyright']; 
$stylelogofont = $row['stylelogofont']; 
$stylelogosize = $row['stylelogosize']; 
$boxwidth = $row['boxwidth']; 
$stylebuttontextcolor = $row['stylebuttontextcolor']; 
$styletop = $row['styletop']; 
$topimage = $row['topimage']; 
$topmessage = $row['topmessage']; 
$topheight = $row['topheight']; 
$inputfirstcolor = $row['inputfirstcolor']; 
$inputsecondcolor = $row['inputsecondcolor']; 
$inputtextcolor = $row['inputtextcolor']; 
$styletopfirstcolor = $row['styletopfirstcolor']; 
$styletopsecondcolor = $row['styletopsecondcolor'];
$whichback = $row['whichback'];
$videoname = $row['videoname']; }} ?>

<style>
.input {
background: linear-gradient(to right, <?= $inputfirstcolor ?>, <?= $inputsecondcolor ?>); 
padding:10px; 
color:<?= $inputtextcolor ?>;}

@media (max-width: 1000px) {
.resp-box {
width: 100%;
}}
</style>

<?php
/**
 * 
 * Style the body.
 * Background Image or Color.
 * 
 */

if ($stylefirstcolor == '' || $stylesecondcolor == '') { 

if ($whichback == 'Image') { ?>

<body class="resp-box" style="background: url('../media/themes/<?= $styleimage ?>');  background-size:cover; height:1000px;">
<?php }}

if ($whichback == 'Color') { ?>
<body style="background: linear-gradient(<?= $stylefirstcolor ?>, <?= $stylesecondcolor ?>); height:1000px;">
<?php }

if ($whichback == 'Video') { ?>
<body style="background:#000000">
<style>
.video-back-container {
position: absolute; 
top: -20px; 
}
</style>

<p>
<div class="video-back-container">
<video autoplay="" controls="" loop="" muted="">
<source src="../media/videos/<?= $videoname ?>.mp4" type="video/mp4" />
</video>
</div>
</p>    
<?php } ?>

<div class="resp-box">

<?php 
/**
 * 
 * Get the variables for the logo image
 * and copyright if selected to show.
 * 
 */

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 	
while ($row = $result->fetch_assoc()) { 
$uselogoimage = $row['uselogoimage']; 
$copyright = $row['copyright']; 
$logo = $row['logo']; }} ?>

<?php 
/**
 * 
 * Style the box.
 * Position the box: 
 * Left, Center, or Right.
 * Add the link to the index page.
 * 
 */

if ($stylefirstcolor == '' || $stylesecondcolor == '') { ?>
<div style="background: url('../media/themes/<?= $styleimage ?>'); background-size:cover; width:100%; height:900px;">
<?php } else { ?>
<div style="background: linear-gradient(<?= $stylefirstcolor ?>, <?= $stylesecondcolor ?>); width:100%; height:900px;">
<?php }

if ($placeimage == 'center') { ?>
<div style="margin:0 auto; padding-left:0; background:<?= $styleboxcolor ?>; display:block; width:<?= $boxwidth ?>%; height:97%; opacity:<?= $styleboxopacity ?>; box-shadow:<?= $styleboxshadow ?>;">

<?php } else { ?>

<div style="float:<?= $placeimage ?>; padding-left:0; background:<?= $styleboxcolor ?>; display:block; width:<?= $boxwidth ?>%; height:97%; opacity:<?= $styleboxopacity ?>;box-shadow:<?= $styleboxshadow ?>;">
<?php } ?>

<div style="padding:0 0 8px 15px"><a href="../"><i style="padding-left:15px; width:50px; font-size: 20px; border-radius:14px; color:<?= $styletextcolor ?>;" class="button fa fa-home"></i></a></div>
<div class="top">

<?php
/**
 * 
 * Build optional box top styling.
 * 
 */

if ($styletop == 'Yes') { 
if ($styletopfirstcolor == '' && $styletopsecondcolor == '') {?>
<div style="background:url('../media/themes/<?= $topimage ?>'); width: 100%; height: <?= $topheight ?>px; background-size:cover; overflow-y:auto;">
<?php } else { ?>                                
<div style="background: linear-gradient(<?= $styletopfirstcolor ?>, <?= $styletopsecondcolor ?>); width: 100%; height: <?= $topheight ?>px; overflow-y:auto;"> 
<?php } ?>

<div class="spacer"><?= $topmessage ?></div>
</div>
<?php } else { ?>
<h1 class="center" style="color:<?= $styletextcolor ?>; font-family:<?= $stylelogofont ?>; font-size:<?= $stylelogosize ?>;"><?= $logo ?></h1>
<?php }

/**
 * 
 * End optional box top styling.
 * 
 */ ?>

<div class="spacer" style="height:100%; margin:0 auto; background:<?= $styleboxcolor ?>;">
<div class="center">

<?php 
/**
 * 
 * Display the logo image if chosen.
 * 
 */

if ($uselogoimage == 'Yes') { ?>
<img class="noborder" src="../media/themes/<?= $logo_image ?>" style="border-radius:50%" alt="" />
<?php } ?>
</div>

<?php
/**
 * 
 * Pull in the feature to be used.
 * Such as Login, Registration, Forgot Password.
 * 
 */
