<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

 require_once 'main.php';
 require_once 'functions.php'; ?>

 <link rel="stylesheet" href="css/style.min.css">
 <link rel="stylesheet" href="css/stylesheet.min.css">
 <link rel="stylesheet" href="css/profile.css">
 <link rel="stylesheet" href="../core/css/purecookie.min.css" />
 <link rel="stylesheet" href="../core/css/hint.min.css" />
 <link rel="stylesheet" href="../core/css/bootstrap.min.css" />
 <link rel="stylesheet" href="../core/css/style.min.css">
 <link rel="stylesheet" href="../core/css/pageeditor.min.css">
 <link rel="stylesheet" href="../core/css/fontawesome/css/font-awesome.min.css">
 <link rel="stylesheet" href="../core/css/fonts.min.css">

<?php require_once'admin/themes/theme.php'; 

$sql = "SELECT * FROM website, modules"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$use_contact = $row['use_contact']; 
$toEmail = $row['toEmail']; 
$contact_text = $row['contact_text']; 
$use_recaptcha = $row['use_recaptcha']; 
$contact_staff = $row['contact_staff']; 
$recaptcha = $row['recaptcha']; }}

/**
 * 
 * If is not a member display
 * a message. Prevent direct access.
 * 
 */

if ($use_contact == 'No') {
if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) {
exit('<br><br><h4 class="center">' . _ACCESSDENIEDMUSTBEMEMBER . '</h4><br><br>'); }}

/**
 * 
 * If is a member post any message info sent.
 * 
 */

if (isset($_POST['submit'])) {
$name = htmlspecialchars(stripslashes(trim($_POST['name'])));

$subject = htmlspecialchars(stripslashes(trim($_POST['subject'])));

$email = htmlspecialchars(stripslashes(trim($_POST['email'])));

$message = htmlspecialchars(stripslashes(trim($_POST['message'])));

/**
 * 
 * Check for any errors and display them.
 * 
 */

if (!preg_match("/^[A-Za-z .'-]+$/", $name)) {
$name_error = '<p class="spacer radius" style="color:#000;background:green;color:#fff;width:200px;margin:0 auto;">' . _INVALIDNAME . '</p>'; }

if (!preg_match("/^[A-Za-z .'-]+$/", $subject)) {
$subject_error = '<p class="spacer radius" style="color:#000;background:green;color:#fff;width:200px;margin:0 auto;">' . _INVALIDSUBJECT . '</p>'; }

if (!preg_match("/^[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}$/", $email)) {
$email_error = '<p class="spacer radius" style="color:#000;background:green;color:#fff;width:200px;margin:0 auto;">' . _INVALIDEMAIL . '</p>'; }

if (strlen($message) === 0) {
$message_error = '<p class="spacer radius" style="color:#000;background:green;color:#fff;width:200px;margin:0 auto;">' . _MESSAGESHOULDNOTBEEMPTY . '</p>'; }}

/**
 * 
 * Is the contact form to be used?
 * If Yes then by who.
 * 
 */

if ($contact_staff == 'Yes' || $use_contact == 'Yes') { ?>
<div class="center spacer shadow" style="background:#f1f1f1; margin:0 auto;">

<div class="radius" style="background:<?= $content_bg ?>;color:<?= $gen_text_color ?>;box-shadow:1px 0 40px 0 rgba(50,50,50,.3);padding:10px;"><?= $contact_text ?>
</div>

<br>

<?php $stmt = $conn->prepare('SELECT email FROM accounts WHERE id = ?');
$stmt->bind_param('i', $_SESSION['id']);
$stmt->execute();
$stmt->bind_result($email);
$stmt->fetch();
$stmt->close(); ?>

<form action="<?= htmlspecialchars($_SERVER["PHP_SELF"]); ?>" id="demo-form" method="POST">

<div class="full center">

<?php if (isset($_POST['submit']) && !isset($name_error) && !isset($subject_error)) {
$to = '' . $toEmail . '';
$body = " Name: $name\n E-mail: $email\n Message:\n $message";
if (mail($to, $subject, $body)) { ?>
<p class="border spacer radius" style="background:#ccc; color:green;"><?= _MESSAGESENT ?></p>
<p class="center"><input type="button" value="<?= _CLOSEWINDOW ?>" onclick="self.close()"></p>
<?php } else { ?>
<p class="border spacer radius" style="background:#ccc; color:green;"><?= _ERROROCCURED ?></p>
<p class="center"><input type="button" value="<?= _CLOSEWINDOW ?>" onclick="self.close()"></p>
<?php }} 

/**
 * 
 * Build the input fields.
 * 
 */ ?>

<br>

<label for="name"><?= _YOURNAME ?>:
<input type="text" name="name" required>
</label>

<br>

<label for="email"><?= _YOUREMAIL ?>:
<input id="email" type="email" name="email" required>
</label>

<p><?php if (isset($name_error)) echo $name_error; ?></p>

<label for="subject"><?= _SUBJECT ?>:</label><br>
<input style="background:#f1f1f1; border:.5px solid #000;" type="text" name="subject">
<p><?php if (isset($subject_error)) echo $subject_error; ?></p>

<style>.respmsg { width:40% } @media (max-width:1000px) { .respmsg { width:100% }}</style>
<p style="text-align:center" class="black"><?= _MESSAGE ?>:</p>
<textarea style="height:150px" class="respmsg" name="message"></textarea>
<p><?php if (isset($message_error)) echo $message_error; ?></p>

<?php 
/**
 * 
 * Add the google recaptcha
 * if is active.
 * 
 */

if ($use_recaptcha == 'Yes') { ?>
<script src="https://www.google.com/recaptcha/api.js" async defer></script>
<div class="g-recaptcha" data-sitekey="<?= $recaptcha ?>"></div>
<?php } ?>
<br>
<p class="center">
<input type="submit" name="submit" value="<?= _SUBMIT ?>">

</div>
</form>
<br><br>
</div>
<?php }

