<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

include_once 'main.php';
require_once 'functions.php';

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$logo = $row['logo'];

require_once 'lang/' . $row['lang'] . '.php'; }}

$styling = '<div style="text-align:center;padding:4% 10px;background:#ccc;"><a href="registration.php"><span style="color:#000">' . _RETURNTOREG . '</a><h3>';
$close = '</h3></div>';
$link = '<br><a href="registration.php">Return</a>';

/**
 * 
 * Check if the data was submitted, 
 * isset() function will check if the data exists.
 * 
 */

if (!isset($_POST['username'], $_POST['password'], $_POST['email'])) {

/**
 * 
 * Could not get the data that should have been sent.
 * 
 */

require_once 'plainheader.php'; 
echo '' . $styling . '';
echo '<br><br>' . _PLEASE_COMPLETE . ' $link';
$close;
exit(); }

/**
 * 
 *  Make sure the submitted registration values are not empty.
 * 
 */

if (empty($_POST['username']) || empty($_POST['password']) || empty($_POST['email'])) {

/**
 * 
 * One or more values are empty.
 * 
 */

require_once 'plainheader.php';
echo '' . $styling . '';
echo '<br><br>' . _PLEASE_COMPLETE . ' $link';
$close;
exit(); }

/**
 * 
 * Check to see if the email is valid.
 * 
 */

if (!filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) {
require_once 'plainheader.php';
echo '' . $styling . '';
echo '<br><br>' . _EMAILNOTVALID . '<br><br>';
$close;
exit(); }

/**
 * 
 * check if email already exist.
 * 
 */

$select = mysqli_query($conn, "SELECT * FROM accounts WHERE email = '" . $_POST['email'] . "'");
if (mysqli_num_rows($select)) {
require_once 'plainheader.php';
echo '' . $styling . '';
echo '<br><br>' . _EMAILUSED . '<br><br>';
$close;
exit(); }

/**
 * 
 * Username must contain only characters and numbers.
 * 
 */

if (preg_match('/[A-Za-z0-9]+/', $_POST['username']) == 0) {
require_once 'plainheader.php';
echo '' . $styling . '';
echo '<br><br>' . _USERNAMENOTVALID . '<br><br>';
$close;
exit(); }

/**
 * 
 * Password must be between 5 and 20 characters long.
 * 
 */

if (strlen($_POST['password']) > 20 || strlen($_POST['password']) < 5) {
require_once 'plainheader.php';
echo '' . $styling . ''; ?>
<br><br><?=_PASSWORDMUSTBE?><br><br>
<?php $close;
exit(); }
if (trim($_POST['password']) == '' || trim($_POST['cpassword']) == '') {
require_once 'plainheader.php';
echo '' . $styling . '';
echo '<br><br>' . _ALLFIELDSREQ . '<br><br>';
$close;
exit(); } 
else if ($_POST['password'] != $_POST['cpassword']) {
require_once 'plainheader.php';
echo '' . $styling . '';
echo '<br><br>' . _PASSWORDNOMATCH . '<br><br>';
$close;
exit(); }

/**
 * 
 *  We need to check if the account with that username exists.
 * 
 */

if ($stmt = $conn->prepare('SELECT id, password FROM accounts WHERE username = ?')) {

/**
 * 
 * Bind parameters (s = string, i = int, b = blob, etc), 
 * hash the password using the PHP password_hash function.
 * 
 */

$stmt->bind_param('s', $_POST['username']);
$stmt->execute();
$stmt->store_result();

/**
 * 
 *  Store the result so we can check 
 * if the account exists in the database.
 * 
 */

if ($stmt->num_rows > 0) {

/**
 * 
 *  Username already exists.
 * 
 */

require_once 'plainheader.php'; ?>
<div class="card">
<br><br>
<h3 class="center gentextcolor"><?= _USEREXIST?></h3>
<br><br>
</div>
<?php } 
else {
$sql = "SELECT * FROM registration";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$website_url = $row['website_url'];
$emailaddress = $row['emailaddress']; }}

/**
 * 
 *  Username doesnt exists, insert new account.
 * 
 */

if ($stmt = $conn->prepare('INSERT INTO accounts (username, password, email, activation_code) VALUES (?, ?, ?, ?)')) {

/**
 * 
 * We do not want to expose passwords in our database, 
 * so hash the password and use password_verify when a user logs in.
 * 
 */

$password = password_hash($_POST['password'], PASSWORD_DEFAULT);
$uniqid = uniqid();
$stmt->bind_param('ssss', $_POST['username'], $password, $_POST['email'], $uniqid);
$stmt->execute();
$from    = '' . $emailaddress . '';
$subject = '' . _ACTIVATIONREQUIRED . '';
$headers = 'From: ' . $from . "\r\n" . 'Reply-To: ' . $from . "\r\n" . 'X-Mailer: PHP/' . phpversion() . "\r\n" . 'MIME-Version: 1.0' . "\r\n" . 'Content-Type: text/html; charset=UTF-8' . "\r\n";
$activate_link = '' . $website_url . '/sys/activate.php?email=' . $_POST['email'] . '&code=' . $uniqid;
$message = '<div style="border:1px solid #000;text-align:center;padding-top:6%;padding:30px;border-radius:14px;"><h1>' .  _WELCOMETO . '&nbsp;' . $logo . '</h1><br><h4>' . _CLICKFOLLOWINGLINK . '<br><a href="' . $activate_link . '" class="button">' . _ACTIVATE_ACCOUNT . '</h4></div>';
mail($_POST['email'], $subject, $message, $headers); 
require_once 'plainheader.php'; ?> 
<h4 class="dressor card" style="color:gentextcolor;text-align:center;padding-top:6%;padding:30px;">
<?= _CHECKEMAILTOACTIVATEACCOUNTSPAM ?><br><a href="../index.php"><?= _GOTOHOMEPAGE ?></a><br></h4>
<?php } else {

/**
 * 
 * Something is wrong with the sql statement, 
 * check to make sure accounts table exists with all 3 fields.
 * 
 */

require_once 'plainheader.php'; ?>
<h3 class="dressor" style="text-align:center;padding-top:6%;background:#ccc;padding:30px;border-radius:14px;">
<?= _COULDNOTPREPARESTATEMENT;
}}} else {

/**
 * 
 *  Something is wrong with the sql statement, 
 * check to make sure accounts table exists with all 3 fields.
 * 
 */ 

require_once 'plainheader.php'; ?>
<br>
<br>
<?= _COULDNOTPREPARESTATEMENT;
echo '<br><br>'; } ?>