<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once '../core/builders/config.php';
require_once 'functions.php';

$sql = "SELECT * FROM style"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$styleboxcolor = $row['styleboxcolor']; 
$stylebuttoncolor = $row['stylebuttoncolor']; 
$styletextcolor = $row['styletextcolor']; 
$styleboxradius = $row['styleboxradius']; 
$styleboxshadow = $row['styleboxshadow']; 
$stylesecondcolor = $row['stylesecondcolor']; 
$stylefirstcolor = $row['stylefirstcolor']; 
$placeimage = $row['placeimage']; 
$styleimage = $row['styleimage']; 
$styleboxopacity = $row['styleboxopacity']; 
$stylefixback = $row['stylefixback']; 
$addcopyright = $row['addcopyright']; 
$stylelogofont = $row['stylelogofont']; 
$stylelogosize = $row['stylelogosize']; 
$boxwidth = $row['boxwidth']; 
$stylebuttontextcolor = $row['stylebuttontextcolor']; 
$styletop = $row['styletop']; 
$topimage = $row['topimage']; 
$topmessage = $row['topmessage']; 
$topheight = $row['topheight']; 
$inputfirstcolor = $row['inputfirstcolor']; 
$inputsecondcolor = $row['inputsecondcolor']; 
$inputtextcolor = $row['inputtextcolor']; 
$styletopfirstcolor = $row['styletopfirstcolor']; 
$styletopsecondcolor = $row['styletopsecondcolor'];
$whichback = $row['whichback'];
$videoname = $row['videoname']; }} 

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 	
while ($row = $result->fetch_assoc()) { 
$uselogoimage = $row['uselogoimage']; 
$copyright = $row['copyright']; 
$logo_image = $row['logo_image']; 
$logo = $row['logo']; 
$lang = $row['lang']; 
$logoradius = $row['logoradius']; }}
require_once 'lang/' . $lang . '.php';

$sql = "SELECT * FROM registration"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$allow_registration = $row['allow_registration']; }}

/**
 * 
 * Is registration allowed?
 * 
 */

//if ($allow_registration == 'Yes') { ?>

<!DOCTYPE html>
<html lang="en">
<head>
<title><?= $logo ?> | <?= _REGISTRATION ?></title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="css/stylesheet.min.css" rel="stylesheet" type="text/css">
<link href="css/style.min.css" rel="stylesheet" type="text/css">
<link href="css/fonts.css" rel="stylesheet" type="text/css">
<link rel="stylesheet" href="../core/css/fontawesome/css/font-awesome.min.css">

<style>
.respbox, .cards {
width: <?= $boxwidth ?>% }

@media (max-width: 768px) { 
.respbox {width:100% }}

.input {
background: linear-gradient(to right, <?= $inputfirstcolor ?>, <?= $inputsecondcolor ?>); 
padding: 10px; 
color: <?= $inputtextcolor ?>;}
</style>

<script src="../core/js/fontawesome.js" crossorigin="anonymous"></script>
</head>

<?php if ($whichback == 'Image') { 
    
/**
 * 
 * Style the body either 
 * color or image or video. 
 * 
 */ ?>

<body style="background: url('../media/themes/<?= $styleimage ?>'); background-attachment:fixed;  background-size:cover; height:100%;">

<?php } elseif ($whichback == 'Color') { ?>

<body style="background: linear-gradient(<?= $stylefirstcolor ?>, <?= $stylesecondcolor ?>); height:100%;">
<?php }

elseif ($whichback == 'Video') { ?>
<body style="background:#000000">
<style>
.video-back-container {
position: absolute; 
top: -20px; 
}
</style>
<p>
<div class="video-back-container">
<video autoplay="" controls="" loop="" muted="">
<source src="../media/videos/<?= $videoname ?>.mp4" type="video/mp4" />
</video>
</div>
</p>    
<?php } 

if ($allow_registration == 'No') { ?>
<style>
.position {
	position: absolute; 
	top: 100px;	
	padding: 20px; 
}

</style>
<div class="position card radius" style="text-align:center; top-padding:6%;">
<h1>Registration Is Not Active<br><a href="../index.php" title="Homepage"><i style="font-size:32px" class="card fa fa-home"></i></a></h1>
</div>
<?php }

else {

if ($placeimage == 'center') { ?>
<div class="cards respbox" style="margin:0 auto; padding-left:0; background:<?= $styleboxcolor ?>; height:100%; opacity:<?= $styleboxopacity ?>; box-shadow:<?= $styleboxshadow ?>;">
<?php } else { ?>
<div class="cards respbox" style="float:<?= $placeimage ?>; padding-left:0; background:<?= $styleboxcolor ?>; height:100%; opacity:<?= $styleboxopacity ?>; box-shadow:<?= $styleboxshadow ?>;">
<?php } ?>

<div class="spacer">
<div style="padding: 0 0 8px 15px"><a href="../"><i style="padding-left:15px; width:50px; font-size: 20px; border-radius:14px; color:<?= $styletextcolor ?>;" class="button fa fa-home"></i></a></div>

<?php
/**
 * 
 *  Build optional box top styling.
 * 
 */  

if ($styletop == 'Yes') { 
if ($styletopfirstcolor == '' && $styletopsecondcolor == '') {?>
<div style="background: url('../media/themes/<?= $topimage ?>'); width: <?= $boxwidth ?>; height: <?= $topheight ?>px; background-size: cover; overflow-y:auto;">
<?php } else { ?>                                
<div style="background: linear-gradient(<?= $styletopfirstcolor ?>, <?= $styletopsecondcolor ?>); width: <?= $boxwidth ?>; height: <?= $topheight ?>px; background-size: cover; overflow-y:auto;"> 
<?php } ?>
<div class="spacer"><?= $topmessage ?></div>
</div>
<?php } else { ?>
<h1 class="center" style="color:<?= $styletextcolor ?>; font-family:<?= $stylelogofont ?>; font-size:<?= $stylelogosize ?>;"><?= $logo ?></h1>
<?php }

/**
 * 
 *  End optional box top styling.
 * 
 */ 

/**
 * 
 * Build the input fields.
 * 
 */ ?>

<div style="margin:0 auto; background:<?= $styleboxcolor ?>">
<p class="center"><?php if ($uselogoimage == 'Yes' or $uselogoimage == '') { ?><img class="noborder" src="../media/themes/<?= $logo_image ?>" style="border-radius:<?= $logoradius ?>; width:90px;" alt="" />
<?php } ?></p>
<p class="center" style="color:<?= $styletextcolor ?>"><i class="fa fa-user-plus"></i> <?= _REGISTER ?>&nbsp;&nbsp;&nbsp; |&nbsp;&nbsp;&nbsp; <i class="fa fa-sign-in"></i> <a href="index.php"><?= _SIGNIN ?></a></p>

<form action="register-with-activation.php" class="noborder" id="demo-form" method="POST" autocomplete="off">

<input type="text" name="username" class="input form-control" placeholder="<?= _USERNAME ?> ( <?= _USERNAMEMAX ?> )" maxlength="25" size="25" id="username" required>
<br>
<input type="password" name="password" style="color:#000;" class="input form-control radius" placeholder="<?= _PASSWORD ?>" id="myInput" required onkeyup='passConfirm();'>
<input type="checkbox" onclick="myFunction()"> <?= _SHOWPASSWORD ?>
<br>
<div class="center"><a href="generator/index.php" onclick="basicPopup(this.href);return false"><strong><?= _USEPASSGENERATOR ?></strong></a></div>
<input type="password" name="cpassword" class="input form-control" placeholder="<?= _CONFIRMPASSWORD ?>" id="myInputconfirm" required>
<input type="checkbox" onclick="Confirm()"> Show Password
<br>
<br>
<input type="email" name="email" class="input form-control" placeholder="<?= _EMAIL ?>" id="email" required>
<br>

<?php $sql = "SELECT * FROM modules"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$use_recaptcha = $row['use_recaptcha']; 
$recaptcha = $row['recaptcha']; }}

/**
 * 
 * Show the google recaptcha if setup.
 * 
 */

if ($use_recaptcha == 'Yes') { ?>
<script src="https://www.google.com/recaptcha/api.js" async defer></script>
<script>
function onSubmit(token) {
document.getElementById("demo-form").submit(); }
</script>
<br>
<div class="center">
<button class="g-recaptcha full noborder spacer radius" data-sitekey="<?= $recaptcha ?>" data-callback="onSubmit"><span style="color:<?= $stylebuttontextcolor ?>"><?= _REGISTER ?></span></button>
</div>
<?php } else { ?>

<button type="submit" value="login" class="full noborder spacer radius" style="background:<?= $stylebuttoncolor ?>">
<span style="color:<?= $stylebuttontextcolor ?>"><?= _REGISTER ?></span>
</button> 
<?php } ?>

</form>

<br>
<br>

<?php 
/**
 * 
 * Show the copyright if selected.
 * 
 */

if ($addcopyright == 'Yes') { ?>
<p class="center full" style="color:<?= $styletextcolor ?>"><small><?= $copyright ?></small></p>
<?php } ?>

<br>
<br>

<div class="msg"></div>

<br>
</div>
</div>
</div>
</div>
</div>

<script>
var form = document.querySelector('.register form');
form.onsubmit = function(event) {
event.preventDefault();
var form_data = new FormData(form);
var xhr = new XMLHttpRequest();
xhr.open('POST', form.action, true);
xhr.onload = function() {
document.querySelector('.msg').innerHTML = this.responseText;
};
xhr.send(form_data); };
</script>

<script src="js/jquery.min.js"></script>
<script src="js/popper.js"></script>
<script src="js/bootstrap.min.js"></script>
<script src="js/main.js"></script>

<script>
function basicPopup(url) {
popupWindow = window.open(url, 'popUpWindow', 'height=700,width=300,left=100,top=100,resizable=yes,scrollbars=yes,toolbar=no,menubar=no,location=no,directories=no, status=no'); }
</script>

<script>
function myFunction() {
var x = document.getElementById("myInput");
if (x.type === "password") {
x.type = "text"; } 
else {
x.type = "password"; }}
</script>
<script>
function Confirm() {
var x = document.getElementById("myInputconfirm");
if (x.type === "password") {
x.type = "text"; } 
else {
x.type = "password"; }}
</script>

<?php } ?>

</body>
</html>