<?php
/**
 * Spectra is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>
 * @link      https://www.papamikescreations.org
 */

include 'main.php';

$sql = "SELECT * FROM website, style"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$whichback = $row['whichback'];
$videoname = $row['videoname'];
$styleimage = $row['styleimage'];
$stylefirstcolor = $row['stylefirstcolor'];
$stylesecondcolor = $row['stylesecondcolor'];
require_once 'lang/' . $row['lang'] . '.php'; }}

/**
 * 
 * Output message.
 * 
 */

$msg = '';

/**
 * 
 *  Check if the email from the resend activation form was submitted, 
 * isset() will check if the email exists.
 * 
 */

if (isset($_POST['email'])) {

/**
 * 
 *  Prepare our SQL, preparing the SQL statement will prevent SQL injection.
 * 
 */

$stmt = $conn->prepare('SELECT activation_code FROM accounts WHERE email = ? AND activation_code != "" AND activation_code != "activated"');

/**
 * 
 *  In this case we can use the account ID
 *  to get the account info.
 * 
 */

$stmt->bind_param('s', $_POST['email']);
$stmt->execute();
$stmt->store_result();

/**
 * 
 *  Check if the account exists:
 * 
 */

if ($stmt->num_rows > 0) {

/**
 * 
 *  Account exists.
 * 
 */

$stmt->bind_result($activation_code);
$stmt->fetch();
$stmt->close();

/**
 * 
 *  Account exist, the $msg variable will be used to show the output message (on the HTML form).
 * 
 */

send_activation_email($_POST['email'], $activation_code);
$msg = '' . _SENTTOEMAIL . ''; } 
else {
$msg = ''. _NOEMAIL . ''; }} ?>

<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _RESENDACTIVATIONEMAIL ?></title>
<link href="css/style.min.css" rel="stylesheet" type="text/css">
<link rel="stylesheet" href="../core/css/fontawesome/css/font-awesome.min.css">
<?php require_once '../core/themes/theme.php'; ?>
<script src="../core/js/fontawesome.js" crossorigin="anonymous"></script>
</head>


<?php 
/**
 * Choose background
 * color or image.
 * 
 */


if ($whichback == 'Image') { 

/**
 * 
 * Style the body either 
 * color or image or video. 
 * 
 */ ?>

<body style="background: url('../media/themes/<?= $styleimage ?>'); background-attachment:fixed;  background-size:cover; height:100%;">

<?php } elseif ($whichback == 'Color') { ?>

<body style="background-image: linear-gradient(<?= $stylefirstcolor ?>, <?= $stylesecondcolor ?>); height:1080px;">
<?php }

elseif ($whichback == 'Video') { ?>
<body>
<style>
.video-back-container {
position: absolute; 
top: -20px;
left: 0; 
}
</style>
<p>
<div class="video-back-container">
<video autoplay="" controls="" loop="" muted="">
<source src="../media/videos/<?= $videoname ?>.mp4" type="video/mp4" />
</video>
</div>
</p>    
<?php } ?>

<div class="login" style="position:relative; background:#ebebeb; padding:20px;">

<p><a href="../index.php"><i class="black button spacer fa fa-home"></i></a></p>

<div style="background:#ebebeb"><h1 class="center" style="color:#000000"><?= _RESENDACTIVATIONEMAIL ?></h1></div>

<form action="resendactivation.php" method="post">

<label for="email">
<i class="fa fa-envelope"></i>
</label>
<input type="email" name="email" placeholder="<?= _YOUREMAIL ?>" id="email" required>
<div class="msg"><?= $msg ?></div>
<input type="submit" value="Submit">

</form>
</div>

</body>
</html>