<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

include 'main.php';

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) { 
$uselogoimage = $row['uselogoimage']; 
$copyright = $row['copyright']; 
$logo_image = $row['logo_image']; 
$logo = $row['logo'];
require_once 'lang/' . $row['lang'] . '.php'; }}

$sql = "SELECT * FROM style"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
$styleboxcolor = $row['styleboxcolor']; 
$stylebuttoncolor = $row['stylebuttoncolor']; 
$styletextcolor = $row['styletextcolor']; 
$styleboxradius = $row['styleboxradius']; 
$styleboxshadow = $row['styleboxshadow']; 
$stylesecondcolor = $row['stylesecondcolor']; 
$stylefirstcolor = $row['stylefirstcolor']; 
$placeimage = $row['placeimage']; 
$styleimage = $row['styleimage']; 
$styleboxopacity = $row['styleboxopacity']; 
$stylefixback = $row['stylefixback']; 
$addcopyright = $row['addcopyright']; 
$stylelogofont = $row['stylelogofont']; 
$stylelogosize = $row['stylelogosize']; 
$boxwidth = $row['boxwidth']; 
$stylebuttontextcolor = $row['stylebuttontextcolor']; 
$styletop = $row['styletop']; 
$topimage = $row['topimage']; 
$topmessage = $row['topmessage']; 
$topheight = $row['topheight']; 
$inputfirstcolor = $row['inputfirstcolor']; 
$inputsecondcolor = $row['inputsecondcolor']; 
$inputtextcolor = $row['inputtextcolor']; 
$styletopfirstcolor = $row['styletopfirstcolor']; 
$styletopsecondcolor = $row['styletopsecondcolor'];
$whichback = $row['whichback'];
$videoname = $row['videoname']; }}

/**
 * 
 * Output message.
 * 
 */

$msg = '';

/**
 * 
 * Now we check if the data from the login form was submitted, 
 * isset() will check if the data exists.
 * 
 */

if (isset($_GET['email'], $_GET['code']) && !empty($_GET['code'])) {

/**
 * 
 *  Prepare our SQL, preparing the SQL statement
 *  that will prevent SQL injection.
 * 
 */

$stmt = $conn->prepare('SELECT * FROM accounts WHERE email = ? AND reset = ?');
$stmt->bind_param('ss', $_GET['email'], $_GET['code']);
$stmt->execute();
$stmt->store_result();

/**
 * 
 *  Check if the account exists...
 * 
 */

if ($stmt->num_rows > 0) {
$stmt->close();
if (isset($_POST['npassword'], $_POST['cpassword'])) {
if (strlen($_POST['npassword']) > 20 || strlen($_POST['npassword']) < 5) {
$msg = 'Password must be between 5 and 20 characters long!'; } 
else if ($_POST['npassword'] != $_POST['cpassword']) {
$msg = 'Passwords must match!'; } 
else {
$stmt = $conn->prepare('UPDATE accounts SET password = ?, reset = "" WHERE email = ?');
$password = password_hash($_POST['npassword'], PASSWORD_DEFAULT);
$stmt->bind_param('ss', $password, $_GET['email']);
$stmt->execute();
$stmt->close();
$msg = '<p style="color:' . $styletextcolor . '">Password has been reset! You can now <a href="index.php"><span style="color:' . $styletextcolor . '">login</span></a>!</p>';
}}} 
else {
exit('Incorrect email and/or code!'); }} 
else {
exit('Please provide the email and code!'); } ?>

<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,minimum-scale=1">
<title><?= _RESETPASSWORD ?></title>
<link href="css/style.css" rel="stylesheet" type="text/css">
<link href="css/fonts.css" rel="stylesheet" type="text/css">
<?php $results = mysqli_query($db, "SELECT * FROM website"); while ($row = mysqli_fetch_array($results)) { ?>
<link rel="stylesheet" href="../core/css/font-awesome.min.css">
<script src="../core/js/fontawesome.js" crossorigin="anonymous"></script>

<style>
.respbox, .card { 
width:30%; 
height:900px;} 

@media (max-width: 768px) { 
.respbox, .card { 
width: 100% }} 

.input {
background: linear-gradient(to right, <?= $inputfirstcolor ?>, <?= $inputsecondcolor ?>); 
padding:10px; 
color:<?= $inputtextcolor ?>;}
</style>

</head>

<?php 
/**
 * 
 * Style the box using either
 * a color or image.
 * 
 */


 if ($stylefirstcolor == '' || $stylesecondcolor == '') { 

if ($whichback == 'Image') { ?>

<body class="resp-box" style="background: url('../media/themes/<?= $styleimage ?>');  background-size:cover; height:1000px;">
<?php }}

if ($whichback == 'Color') { ?>
<body style="background: linear-gradient(<?= $stylefirstcolor ?>, <?= $stylesecondcolor ?>); height:1000px;">
<?php }

if ($whichback == 'Video') { ?>
<body style="background:#000000">
<style>
.video-back-container {
position: absolute; 
top: -20px; 
}
</style>

<p>
<div class="video-back-container">
<video autoplay="" controls="" loop="" muted="">
<source src="../media/videos/<?= $videoname ?>.mp4" type="video/mp4" />
</video>
</div>
</p>    
<?php }


if ($placeimage == 'center') { ?>
<div class="card respbox" style="margin:0 auto; background:<?= $styleboxcolor ?>; opacity:<?= $styleboxopacity ?>;">
<?php } else { ?>
<div class="card respbox" style="float:<?= $placeimage ?>; background:<?= $styleboxcolor ?>; opacity:<?= $styleboxopacity ?>;">
<?php }

/**
 * 
 *  Build optional box top styling.
 * 
 */ ?>

<div class="left" style="padding:10px;"><a href="../" class="button"><i style="padding:5px;font-size:22px; color:<?= $styletextcolor ?>;" class="fa fa-home"></i></a><br><br>   

<?php 
/**
 * 
 * If using the top message
 * then style it.
 * 
 */

if ($styletop == 'Yes') { 
if ($styletopfirstcolor == '' && $styletopsecondcolor == '') { ?>
<div style="background: url('../media/themes/<?= $topimage ?>'); max-width: <?= $boxwidth ?>; height: <?= $topheight ?>px; background-size: cover; overflow-y:auto;">
<?php } 
else { ?>                                
<div style="background: linear-gradient(<?= $styletopfirstcolor ?>, <?= $styletopsecondcolor ?>); max-width: <?= $boxwidth ?>; height: <?= $topheight ?>px; overflow-y:auto;"> 

<?php } 
/**
 * 
 * Display the box to message
 * if there is one.
 * 
 */ ?>

<div class="spacer"><?= $topmessage ?></div>
</div>
<?php }

/**
 * 
 * If top message is not used
 * then show the logo only.
 * 
 */

else { ?>
<h1 class="center" style="color:<?= $styletextcolor ?>; font-family:<?= $stylelogofont ?>; font-size:<?= $stylelogosize ?>;"><?= $logo ?></h1>

<?php }
/**
 * 
 *  End optional box top styling.
 * 
 */ ?> 

<h3 class="center" style="color:<?= $styletextcolor ?>"><?= _RESETPASSWORD ?></h3>                            
<div style="margin:0 auto; background:<?= $styleboxcolor ?>">
<p class="center">

<?php 
/**
 * 
 * If selected, show the logo image.
 * 
 */

if ($uselogoimage == 'Yes' or $uselogoimage == '') { ?>
<img class="noborder" src="../media/themes/<?= $logo_image ?>" style="width:90px" alt="" />
<?php } ?>
</p>
<br>

<?php 
/**
 * 
 * Build the input fields.
 * 
 */ ?>

<form action="resetpassword.php?email=<?= $_GET['email'] ?>&code=<?= $_GET['code'] ?>" method="post">

<div class="form-group" style="text-align:center;">
<input class="spacer" style="width:95%" type="password" name="npassword" placeholder="New Password" id="npassword" required>
<br><br>
<input class="spacer" style="width:95%" type="password" name="cpassword" placeholder="Confirm Password" id="cpassword" required>
</div>
<div class="msg"><?= $msg ?></div>
<br>
<p style="text-align:center"><input type="submit" value="<?= _SUBMIT ?>"></p>
<br>
</form>

<?php 
/**
 * 
 * If selected show the copyright.
 * 
 */

if ($addcopyright == 'Yes') { ?>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p class="center full" style="color:<?= $styletextcolor ?>"><small><?= $copyright ?></small></p>
<?php }} ?>
<br>
<br>
<br>
</div>
</div>
</div>
<br>
<br>
<br>

