<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {
require_once 'lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<title><?= _USERCOMMENTS ?></title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="css/style.min.css" rel="stylesheet" type="text/css">
<link href="css/comments.min.css" rel="stylesheet" type="text/css">
<?php require_once 'header.php';

/**
 * 
 * Get the articles id
 * and display the article.
 * 
 */

if (isset($_GET['id'])) { $id = $_GET['id'];
$id = mysqli_real_escape_string($conn, $id); }

$sql = "SELECT id, c_title, c_text, usetitle FROM articles WHERE id > 0 AND id='$id'"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 
while ($row = $result->fetch_assoc()) {

/**
 * 
 * Display the article.
 * 
 */ ?>

<div style="width:75%; margin:0 auto;">
<div class="full column">
<br>
<div class="full spacer" style="background:<?= $content_bg ?>;margin:0 auto;">
<?php if ($row['usetitle'] == 'Yes') { ?>
<div class="column-title spacer">
<h1 class="coltitlecolor center"><?= $row['c_title'] ?></h1>
</div>
<?php } ?>
<div class="card column spacer gentextcolor"><?= $row['c_text'] ?></div>

<?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-title center spacer" style="margin:0 auto; width:100%;">
<a href="../core/designer/articlebuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false" title=""><i class="coltitlecolor fa fa-pencil-square-o"></i></a>
<?php }}}}

/**
 * 
 * Check if is logged in.
 * 
 */

if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) { ?>
<p class="center gentextcolor" style="font-size:18px"><?= _WELCOME ?>, <?= $_SESSION['name'] ?></p> 
<?php if ($_SESSION['role'] == 'Admin') { ?>
<div class="column-title center spacer" style="margin:0 auto; width:100%;">
<a href="admin/comments.php" onclick="basicPopup(this.href);return false" title=""><i class="coltitlecolor fa fa-pencil-square-o"></i></a>
</div>
<?php }} 
else {

/**
 * 
 * If is not logged in
 * display a message.
 * 
 */

echo '<p>' . _YOUMUSTLOGIN . '</p>'; } ?>
<div class="card spacer comments left radius"></div>

<?php
/**
 * Show the comments box
 * for the article.
 * 
 */ ?>

<script src="comments.js"></script>
<script>
new Comments({
page_id: <?= $id ?>
});
</script>

</div>
</div>
</div>
<br>
<br>

<?php require_once 'footer.php';