<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'main.php';
require_once 'header.php';
require_once 'saveblock.php';
closenav();

if (isset($_GET['edit'])) { $id = $_GET['edit'];
$update = true;
$record = mysqli_query($db, "SELECT * FROM blocks WHERE id=$id"); {
$n = mysqli_fetch_array($record);
$title = $n['title'];
$text = $n['text']; }} ?>

<style>
p {  
color: <?= $gen_text_color ?>; } 

.card7{ 
background: <?= $wrapper ?>;
padding: 20px; }

.action-card {
height: 50px;
display: flex;
flex-direction: column;
border: 1px solid rgba(255, 255, 255, 0.25);
border-radius: 20px;
background: <?= $content_bg ?>;
box-shadow: 0 0 10px 1px rgba(0, 0, 0, 0.25);
backdrop-filter: blur(15px); }

.content-card {
margin: 20px auto;
padding: 14px 24px;
border: 2px solid #FFF;
border-radius: 15px;
box-shadow: 0 0 5px 2px <?= $cnt_back_shadow ?>, inset 0 3px 18px rgba(100,100,100,0.25);
width: 97%;
height: 400px;
display: flex;
flex-direction: column;
border: 1px solid <?= $wrapper ?>;
background: linear-gradient(<?= $content_bg ?>, <?= $wrapper ?>);
backdrop-filter: blur(15px); }

.hilite {background:none}

#mytopBtn {
display: none;
position: fixed;
bottom: 20px;
right: 30px;
z-index: 99999;
font-size: 18px;
border: none;
outline: none;
background-color: red;
color: white;
cursor: pointer;
padding: 15px;
border-radius: 4px; }
  
#mytopBtn:hover {
background-color: #555; }
</style>

<button onclick="topFunction()" id="mytopBtn" title="Go to top"><?= _TOP ?></button>

<link rel="stylesheet" type="text/css" href="css/pageeditor.css">

<div class="inner-wrapper spacer">

<div class="column-title spacer"><h1 class="center coltitlecolor"><?= _BLOCKS ?></h1></div>

&nbsp;&nbsp;&nbsp;<a href="blockbuilder.php" style="text-decoration:none" class="left btn"><span class="white"> <?= _ADDNEW ?> </span></a>

<?php require_once 'jumpbox.php'; ?>
</div>

<?php
/**
 * 
 * Add row one top articles left sidebar.
 * 
 */ ?>

<div class="column-title spacer" id="topleft"><h1 class="center coltitlecolor" id="one"><?= _TOP ?> <?= _ARTICLES ?> <?= _LEFT ?> <?= _SIDEBAR ?></h1></div>
<table><tr><td>
<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Top Article Left' ORDER BY position, block_position + 0 ASC"); ?>
<input type="hidden" name="id" value="<?= $id; ?>">
<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Add top articles right sidebar.
 * 
 */ ?>

<div class="column-title spacer" id="topright"><h1 class="center coltitlecolor" id="one"><?= _TOP ?> <?= _ARTICLES ?> <?= _RIGHT ?> <?= _SIDEBAR ?></h1></div>
<table><tr><td>
<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Top Article Right' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">

<?php while ($row = mysqli_fetch_array($results)) { ?>

<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<div class="column-title center spacer" id="two"><h1 class="coltitlecolor"><?= _ROWONE ?></h1></div>

<?php
/**
 * 
 * Build row one top.
 * 
 */ ?>

<p class="center card" id="one"><?= _ROWONETOP ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row One Top' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"><?= $row['icon']; } ?></span>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row one middle.
 * 
 */ ?>

<p class="center card" id="onemiddle"><?= _ROWONEMIDDLE ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row One Middle' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"><?= $row['icon']; } ?></span>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row one bottom.
 * 
 */ ?>

<p class="center card" id="onebottom"><?= _ROWONEBOTTOM ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row One Bottom' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row one left sidebar blocks.
 * 
 */ ?>

<p class="center card" id="oneLsidebars"><?= _ROWONE ?> <?= _LEFTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row One Left' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row one right sidebar blocks.
 * 
 */ ?>

<p class="center card" id="oneRsidebars"><?= _ROWONE ?> <?= _RIGHTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row One Right' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row two top.
 * 
 */ ?>
 
 <br>
<div class="column-title center spacer" id="two"><h1 class="coltitlecolor"><?= _ROWTWO ?></h1></div>

<p class="center card"><?= _ROWTWOTOP ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Two Top' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row two middle.
 * 
 */ ?>

<p class="center card" id="twomiddle"><?= _ROWTWOMIDDLE ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Two Middle' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row two bottom.
 * 
 */ ?>

<p class="center card" id="twobottom"><?= _ROWTWOBOTTOM ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Two Bottom' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row two left sidebar blocks.
 * 
 */ ?>

<p class="center card" id="twoLsidebars"><?= _ROWTWO ?> <?= _LEFTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Two Left' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row two right sidebar blocks.
 * 
 */ ?>

<p class="center card" id="twoRsidebars"><?= _ROWTWO ?> <?= _RIGHTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Two Right' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row three top.
 * 
 */ ?>

 <div class="column-title center spacer" id="three"><h1 class="coltitlecolor"><?= _ROWTHREE ?></h1></div>
 
<p class="center card"><?= _ROWTHREETOP ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Three Top' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row three middle.
 * 
 */ ?>

<p class="center card" id="threemiddle"><?= _ROWTHREEMIDDLE ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Three Middle' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row three bottom.
 * 
 */ ?>

<p class="center card" id="threebottom"><?= _ROWTHREEBOTTOM ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Three Bottom' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row three left sidebar blocks.
 * 
 */ ?>

<p class="center card" id="threeLsidebars"><?= _ROWTHREE ?> <?= _LEFTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Three Left' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row three right sidebar blocks.
 * 
 */ ?>

<p class="center card" id="threeRsidebars"><?= _ROWTHREE ?> <?= _RIGHTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Three Right' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row four top.
 * 
 */ ?>
 
<div class="column-title" id="four"><h1 class="coltitlecolor center"><?= _ROWFOUR ?></h1></div>

<p class="center card"><?= _ROWFOURTOP ?></p>
<table><tr><td>
    
<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Four Top' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row four middle.
 * 
 */ ?>

<p class="center card" id="fourmiddle"><?= _ROWTWOMIDDLE ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Four Middle' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row four bottom.
 * 
 */ ?>

<p class="center card" id="fourbottom"><?= _ROWFOURBOTTOM ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Four Bottom' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row four left sidebar blocks.
 * 
 */ ?>

<p class="center card" id="fourLsidebars"><?= _ROWFOUR ?> <?= _LEFTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Four Left' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row four right sidebar blocks.
 * 
 */ ?>

<p class="center card" id="fourRsidebars"><?= _ROWFOUR ?> <?= _RIGHTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Four Right' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row five top.
 * 
 */ ?>

<div class="column-title" id="five"><h1 class="coltitlecolor center"><?= _ROWFIVE ?></h1></div>

<p class="center card"><?= _ROWFIVETOP ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Five Top' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">
<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<p class="center card" id="fivemiddle"><?= _ROWFIVEMIDDLE ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Five Middle' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<p class="center card" id="fivebottom"><?= _ROWFIVEBOTTOM ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Five Bottom' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row five left sidebar blocks.
 * 
 */ ?>

<p class="center card" id="fiveLsidebars"><?= _ROWFIVE ?> <?= _LEFTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Five Left' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row five right sidebar blocks.
 * 
 */ ?>

<p class="center card" id="fiveRsidebars"><?= _ROWFIVE ?> <?= _RIGHTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Five Right' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row six top.
 * 
 */ ?>

<div class="column-title" id="six"><h1 class="coltitlecolor center"><?= _ROWSIX ?></h1></div>

<p class="center card"><?= _ROWSIXTOP ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Six Top' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<p class="center card" id="sixmiddle"><?= _ROWSIXMIDDLE ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Six Middle' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<p class="center card" id="sixbottom"><?= _ROWSIXBOTTOM ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Six Bottom' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row six left sidebar blocks.
 * 
 */ ?>

<p class="center card" id="sixLsidebars"><?= _ROWSIX ?> <?= _LEFTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Six Left' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row six right sidebar blocks.
 * 
 */ ?>

<p class="center card" id="sixRsidebars"><?= _ROWSIX ?> <?= _RIGHTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Six Right' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row seven top.
 * 
 */ ?>

<div class="column-title" id="seven"><h1 class="coltitlecolor center"><?= _ROWSEVEN ?></h1></div>

<p class="center card"><?= _ROWSEVENTOP ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Seven Top' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row seven middle.
 * 
 */ ?>

<p class="center card" id="sevenmiddle"><?= _ROWSEVENMIDDLE ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Seven Middle' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row seven bottom.
 * 
 */ ?>

<p class="center card" id="sevenbottom"><?= _ROWSEVENBOTTOM ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Seven Bottom' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row seven left sidebar blocks.
 * 
 */ ?>

<p class="center card" id="sevenLsidebars"><?= _ROWSEVEN ?> <?= _LEFTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Seven Left' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row seven right sidebar blocks.
 * 
 */ ?>

<p class="center card" id="sevenRsidebars"><?= _ROWSEVEN ?> <?= _RIGHTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Seven Right' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row eight top.
 * 
 */ ?>

<div class="column-title" id="eight"><h1 class="coltitlecolor center"><?= _ROWEIGHT ?></h1></div>

<p class="center card"><?= _ROWEIGHTTOP ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Eight Top' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<p class="center card" id="eightmiddle"><?= _ROWEIGHTMIDDLE ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Eight Middle' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">
<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<p class="center card" id="eightbottom"><?= _ROWEIGHTBOTTOM ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Eight Bottom' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row eightr left sidebar blocks.
 * 
 */ ?>

<p class="center card" id="eightLsidebars"><?= _ROWEIGHT ?> <?= _LEFTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Eight Left' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row eight right sidebar blocks.
 * 
 */ ?>

<p class="center card" id="eightRsidebars"><?= _ROWEIGHT ?> <?= _RIGHTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Eight Right' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row nine top.
 * 
 */ ?>

<div class="column-title" id="nine"><h1 class="coltitlecolor center"><?= _ROWNINE ?></h1></div>

<p class="center card"><?= _ROWNINETOP ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Nine Top' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row nine middle.
 * 
 */ ?>

<p class="center card" id="ninemiddle"><?= _ROWNINEMIDDLE ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Nine Middle' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row nine bottom.
 * 
 */ ?>

<p class="center card" id="ninebottom"><?= _ROWNINEBOTTOM ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Nine Bottom' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row nine left sidebar blocks.
 * 
 */ ?>

<p class="center card" id="nineLsidebars"><?= _ROWNINE ?> <?= _LEFTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Nine Left' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row nine right sidebar blocks.
 * 
 */ ?>

<p class="center card" id="nineRsidebars"><?= _ROWNINE ?> <?= _RIGHTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Nine Right' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row ten top.
 * 
 */ ?>

<div class="column-title" id="ten"><h1 class="coltitlecolor center"><?= _ROWTEN ?></h1></div>

<p class="center card"><?= _ROWTENTOP ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Ten Top' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row ten middle.
 * 
 */ ?>

<p class="center card" id="tenmiddle"><?= _ROWTENMIDDLE ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Ten Middle' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row ten bottom.
 * 
 */ ?>

<p class="center card" id="tenbottom"><?= _ROWTENBOTTOM ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Ten Bottom' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row ten left sidebar blocks.
 * 
 */ ?>

<p class="center card" id="tenLsidebars"><?= _ROWTEN ?> <?= _LEFTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Ten Left' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row ten right sidebar blocks.
 * 
 */ ?>

<p class="center card" id="tenRsidebars"><?= _ROWTEN ?> <?= _RIGHTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Ten Right' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row eleven top.
 * 
 */ ?>

<div class="column-title" id="eleven"><h2 class="coltitlecolor center"><?= _ROWELEVEN ?></h2></div>

<p class="center card"><?= _ROWELEVENTOP ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Eleven Top' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row eleven middle.
 * 
 */ ?>

<p class="center card" id="elevenmiddle"><?= _ROWELEVENMIDDLE ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Eleven Middle' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row eleven bottom.
 * 
 */ ?>

<p class="center card" id="elevenbottom"><?= _ROWELEVENBOTTOM ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Eleven Bottom' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row eleven left sidebar blocks.
 * 
 */ ?>

<p class="center card" id="elevenLsidebars"><?= _ROWELEVEN ?> <?= _LEFTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Eleven Left' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row eleven right sidebar blocks.
 * 
 */ ?>

<p class="center card" id="elevenRsidebars"><?= _ROWELEVEN ?> <?= _RIGHTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Eleven Right' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row twelve top.
 * 
 */ ?>

<div class="column-title" id="twelve"><h2 class="coltitlecolor center"><?= _ROWTWELVE ?></h2></div>

<p class="center card"><?= _ROWTWELVETOP ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Twelve Top' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row twelve middle.
 * 
 */ ?>

<p class="center card" id="twelvemiddle"><?= _ROWTWELVEMIDDLE ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Twelve Middle' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Build row twelve bottom.
 * 
 */ ?>

<p class="center card" id="twelvebottom"><?= _ROWTWELVEBOTTOM ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Twelve Bottom' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row twelve left sidebar blocks.
 * 
 */ ?>

<p class="center card" id="twelveLsidebars"><?= _ROWTWELVE ?> <?= _LEFTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Twelve Left' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * Row twelve right sidebar blocks.
 * 
 */ ?>

<p class="center card" id="twelveRsidebars"><?= _ROWTWELVE ?> <?= _RIGHTSIDEBARBLOCKS ?></p>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Row Twelve Right' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * off-canvas left sidebar blocks.
 * 
 */ ?>

<div class="column-title" id="offcanvassidebars"><h2 class="coltitlecolor center"><?= _OFFCANVASLEFT ?></h2></div>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Off-canvas Left' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * off-canvas right sidebar blocks.
 * 
 */ ?>

<div class="column-title" id="oncanvassidebars"><h2 class="coltitlecolor center"><?= _OFFCANVASRIGHT ?></h2></div>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='Off-canvas Right' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * on-canvas left sidebar blocks.
 * 
 */ ?>

<div class="column-title"><h2 class="coltitlecolor center"><?= _ONCANVASLEFT ?></h2></div>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='On-canvas Left' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<?php
/**
 * 
 * on-canvas right sidebar blocks.
 * 
 */ ?>

<div class="column-title"><h2 class="coltitlecolor center"><?= _ONCANVASRIGHT ?></h2></div>
<table><tr><td>

<?php $results = mysqli_query($db, "SELECT * FROM blocks WHERE position='On-canvas Right' ORDER BY position, block_position + 0 ASC"); ?>

<input type="hidden" name="id" value="<?= $id; ?>">

<div class="full input-group">
<?php while ($row = mysqli_fetch_array($results)) { ?>
<div class="column6 card7 left spacer">
<div class="content-card">
<div class="column-title coltitlecolor spacer center"><?= $row['title']; ?></div>
<div style="height:300px; overflow-y:auto">
<p class="left"><?= _ICON ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Graphic') { ?><?= _NOICON; } 
else { ?><span class="column-title coltitlecolor spacer"><i style="color:<?= $row['icon_color'] ?>" class="<?= $row['icon'] ?>"></i></span><span style="font-size:12px"> <?= $row['icon']; ?></span> <?php } ?>
</p>

<p class="left"><?= _IMAGE ?>:
<?php if ($row['usewhich'] == 'None' || $row['usewhich'] == '') { ?><?= _NONE; } 
elseif ($row['usewhich'] == 'Icon') { ?><?= _NOIMAGE; } 
else { ?> <img src="../media/images/<?= $row['graphic_icon'] ?>" style="border:0;width:25px;height:25px" alt="" /><?= $row['graphic_icon']; } ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['position']; ?></p>
<p class="left"><?= _POSITION ?>: <?= $row['block_position'] ?></p>
<p class="left"><?= _SHOWTITLE ?>: <?= $row['showtitle'] ?></p>
<p class="left"><?= _ARCHIVED ?>: <?= $row['archiveblock'] ?></p>
<p class="left"><?= _ACTIVE ?>: <?= $row['showblock'] ?></p>
<p class="left"><?= _USINGSNIPLETS ?> <?= $row['usesniplets'] ?></p>
<p class="left"><?= _LOCATION ?>: <?= $row['locate'] ?></p>
</div>

<div class="action-card center">
<p><a href="preview-block.php?id=<?= $row['id'] ?>" style="text-decoration:none" target="_blank"><img src="images/preview.png" class="noborder" style="width:30px" alt="<?= _PREVIEW ?>" title="<?= _PREVIEW ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="blockbuilder.php?edit=<?= $row['id']; ?>" style="text-decoration:none"><img src="images/edit.ico" class="noborder" style="width:30px" alt="<?= _EDIT ?>" title="<?= _EDIT ?>" /></a>
&nbsp;&nbsp;&nbsp;
<a href="saveblock.php?del=<?= $row['id']; ?>" onclick="return confirm('<?= _AREYOUSURE ?>')" title="<?= _ACTIONPERMANENT ?>" style="text-decoration:none"><img src="images/trash.png" class="noborder" style="width:30px" alt="<?= _DELETE ?>" title="<?= _DELETE ?>" /></a>
</p></div>
</div>
</div>
<?php } ?>
<br><br>
</td></tr></table>

<script>
let mybutton = document.getElementById("mytopBtn");
window.onscroll = function() {scrollFunction()};
function scrollFunction() {
if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
mybutton.style.display = "block";
} else {
mybutton.style.display = "none"; }}
function topFunction() {
document.body.scrollTop = 0;
document.documentElement.scrollTop = 0; }
</script>

<?php require_once 'footer.php';