<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ 

require_once 'main.php';
require_once 'header.php';

/**
 * 
 * Get the variables to support
 * the homepage layout.
 * 
 */

require_once '../layout/variables.php';

/**
 * 
 * Close the Designers Toolbox 
 * and if the Side Menu is used.
 * 
 */

closenav(); 

/**
 * 
 * Get the variables to support
 * the Plugins location on the page.
 * 
 */

$sql = "SELECT * FROM plugins"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 	
while ($row = $result->fetch_assoc()) { 
$clock_sidebar = $row['clock_sidebar']; 
$tags_sidebar = $row['tags_sidebar']; 
$spotlight_sidebar = $row['spotlight_sidebar']; 
$quicklinks_sidebar = $row['quicklinks_sidebar'];  
$archivesidebar = $row['archivesidebar']; 
$calendar_sidebar = $row['calendar_sidebar']; 
$categories_sidebar = $row['categories_sidebar'];
$showstats = $row['showstats'];
$previewthemes = $row['previewthemes']; }} 

/**
 * 
 * Get the variables to support the
 * On-canvas and Off-canvas Sidebars.
 * 
 */

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 	
while ($row = $result->fetch_assoc()) {
$hp_sidebars = $row['hp_sidebars']; 
$hp_oncanvas_sidebars = $row['hp_oncanvas_sidebars'];  }} ?>

<style>

/**
* Add inline styling to avoid conflicts
* from other style sheets.
*
*/

.leftsidebar, .rightsidebar {
width: 15%;
border: <?= $useborders ?>; }

.centercontent {
width: 70%; }

@media (max-width: 1000px) {
.leftsidebar, .rightsidebar, .centercontent {
width: 100%;
float :left; }}

.wrapper {
border: <?= $useborders ?>; }

.sidebar-holder {
width: 100%;
border: <?= $useborders ?>;
padding: 5px;
color: <?= $gen_text_color ?>;
box-shadow: 1px 1px 4px #000000;
border-radius: 8px; }

@media (max-width: 1000px) {
.sidebar-holder {
width: 100%;
float: left; }}

.holder {
width: 200px;
height: 100px;
border: <?= $useborders ?>;
padding: 5px;
box-shadow: 1px 1px 4px #000000;
border-radius: 8px; }

@media (max-width: 1000px) {
.holder {
width: 100%;
margin: 0 auto;
font-size: 14px; }}

#mytopBtn {
display: none;
position: fixed;
bottom: 20px;
right: 30px;
z-index: 99999;
font-size: 18px;
border: none;
outline: none;
background-color: red;
color: white;
cursor: pointer;
padding: 15px;
border-radius: 4px; }

#mytopBtn:hover {
background-color: #555; }

.jumpbox-container {
background: <?= $menu_color ?>;
width: 20%;
padding: 5px;
margin: 0 auto;
border-radius:7px; }

@media (max-width: 1000px) {
.jumpbox-container {
width: 100%; }}

.button {
box-shadow: 2px 2px 4px <?= $wrapper ?>; }

.button:hover {
box-shadow: none; }

.content-height {
height: 400px;
overflow-y: auto;
border: <?= $useborders ?>; }
</style>

<?php
/**
 * 
 * Add the Back To Top button.
 * 
 */ ?>

<button onclick="topFunction()" id="mytopBtn" title="Go to top"><?= _TOP ?></button>

<div id="wrapper">

<div class="inner-wrapper spacer">

<div class="column-title spacer"><h1 class="center coltitlecolor"><?= _SITEMAP ?></h1></div>
<br>

<?php
/**
 * 
 * Add The Jumpbox.
 * 
 */ ?>

        <p class="center"><strong><?= _JUMPTOROWS ?></strong></p>
        <div class="jumpbox-container center">
        <table class="center" style="margin:0 auto"><tr style="background:#ebebeb">
        <td class="center">
        <div class="row">
        <div class="column6"><a href="#one" style="text-decoration:none" class="button"><span class="linkcolor"> 1 </span></a></div>
        <div class="column6"><a href="#two" style="text-decoration:none" class="button"><span class="linkcolor"> 2 </span></a></div>
        <div class="column6"><a href="#three" style="text-decoration:none" class="button"><span class="linkcolor"> 3 </span></a></div>
        <div class="column6"><a href="#four" style="text-decoration:none" class="button"><span class="linkcolor"> 4 </span></a></div>
        <div class="column6"><a href="#five" style="text-decoration:none" class="button"><span class="linkcolor"> 5 </span></a></div>
        <div class="column6"><a href="#six" style="text-decoration:none"class="button"><span class="linkcolor"> 6 </span></a></div>
        </div>
        </td></tr><tr style="background:#ebebeb"><td class="center">
        <div class="row">    
        <div class="column6"><a href="#seven" style="text-decoration:none" class="button"><span class="linkcolor"> 7 </span></a></div>
        <div class="column6"><a href="#eight" style="text-decoration:none" class="button"><span class="linkcolor"> 8 </span></a></div>
        <div class="column6"><a href="#nine" style="text-decoration:none" class="button"><span class="linkcolor"> 9 </span></a></div>
        <div class="column6"><a href="#ten" style="text-decoration:none" class="button"><span class="linkcolor"> 10 </span></a></div>
        <div class="column6"><a href="#eleven" style="text-decoration:none" class="button"><span class="linkcolor"> 11 </span></a></div>
        <div class="column6"><a href="#twelve" style="text-decoration:none" class="button"><span class="linkcolor"> 12 </span></a></div>
        </div>
        </td></tr></table>
        </div>
        <br>
<?php
/**
 * 
 * Build the Quick Stats accordion box.
 * 
 */ ?>

        <div class="accordion inner-wrapper center gentextcolor" style="padding:20px"><?= _QUICKSTATS ?> [<?= _OPEN ?>/<?= _CLOSE ?>]</div>
        <div class="panel inner-wrapper">
        <div class="mini-container" style="width:97%; margin:0 auto;">

        <table><tr><td class="top card">

<?php 
/**
 * 
 * Build the Active Articles Stats.
 * 
 */

        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM articles WHERE archive = 'No' and publish = 'Yes'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        <p class="center"><?= _ARTICLES ?> (<?= $var ?>) <?= _ACTIVE ?><br>
        &quot;<?= $config_article ?>&quot; </p>
        <div class="content-height">
        <?php $sql = "SELECT * FROM articles"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $c_title = $row['c_title']; }}
        $result = mysqli_query($conn, "SELECT * FROM articles WHERE archive = 'No' ORDER BY c_title ASC"); 
        while ($row = mysqli_fetch_array($result)) { ?>
        <div class="center card gentextcolor"><span style="font-size:12px"><?= _ID ?> (<?= $row['id'] ?>) <?= _POSITION ?> (<?= $row['position_order'] ?>)</span><br>
        <a href="articlebuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false">&bull; <?= $row['c_title'] ?></a><br><?= $row['date'] ?><br>
        <?php if ($row['publish'] == 'No') { echo '' . _INACTIVE . ''; } else { echo '' . _ACTIVE . ''; } ?>
        <div class="center"><a href="articlebuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['c_title'] ?>&quot;" onclick="basicPopup(this.href);return false"><i style="font-size:10px" style="font-size:10px" class="fa fa-pencil-square-o"></i></a>&nbsp;&nbsp;&nbsp;<a href="article-position.php" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>: &quot;<?= $row['c_title'] ?>&quot;"><i style="font-size:10px" style="font-size:10px" class="fa fa-arrows"></i></a></div>
        </div>
        <?php } ?>
        </div>

        </td><td class="card top">

        <?php 
/**
 * 
 * Build the Inactive Articles Stats.
 * 
 */

        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM articles WHERE archive = 'No' and publish = 'No'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        <?php $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM articles WHERE archive = 'No' and publish = 'No'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>        
        <p class="center"><?= _ARTICLES ?> (<?= $var ?>) <?= _INACTIVE ?>
        <br>
        &quot;<?= $config_article ?>&quot; </p>
        <div class="content-height">
        <?php $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM articles WHERE archive = 'No' and publish = 'No'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; }         
        if ($var == 0) { echo '<p class="center">' . _NOINACTIVEARTICLES . '</p>'; } ?>        
        <?php $sql = "SELECT * FROM articles"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) {         
        while ($row = $result->fetch_assoc()) {         
        $c_title = $row['c_title']; }}
        $result = mysqli_query($conn, "SELECT * FROM articles WHERE archive = 'No' and publish = 'No' ORDER BY c_title ASC"); 
        while ($row = mysqli_fetch_array($result)) { ?>
        <div class="center card gentextcolor"><span style="font-size:12px"><?= _ID ?> (<?= $row['id'] ?>) <?= _POSITION ?> (<?= $row['position_order'] ?>)</span><br>
        <a href="articlebuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false">&bull; <?= $row['c_title'] ?></a><br><?= $row['date'] ?><br>
        <?php if ($row['publish'] == 'No') { echo '' . _INACTIVE . ''; } else { echo '' . _ACTIVE . ''; } ?>
        <div class="center"><a href="articlebuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['c_title'] ?>&quot;" onclick="basicPopup(this.href);return false"><i style="font-size:10px" style="font-size:10px" class="fa fa-pencil-square-o"></i></a>&nbsp;&nbsp;&nbsp;<a href="article-position.php" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>: &quot;<?= $row['c_title'] ?>&quot;"><i style="font-size:10px" style="font-size:10px" class="fa fa-arrows"></i></a></div>
        </div>
        <?php } ?>
        </div>

        </td><td class="card top">

<?php 
/**
 * 
 * Build the Archived Articles Stats.
 * 
 */

        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM articles WHERE archive = 'Yes'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        <p class="center"><?= _ARTICLES ?> (<?= $var ?>) <?= _ARCHIVED ?> <?= _PLUGIN ?><br> &quot;<?= $archivesidebar ?>&quot;</p>
        <div class="content-height">
        <?php $sql = "SELECT * FROM articles"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $c_title = $row['c_title']; }}
        $result = mysqli_query($conn, "SELECT * FROM articles WHERE archive = 'Yes' ORDER BY c_title ASC"); 
        while ($row = mysqli_fetch_array($result)) { ?>
        <div class="center card gentextcolor"><span style="font-size:12px"><?= _ID ?> (<?= $row['id'] ?>) <?= _POSITION ?> (<?= $row['position_order'] ?>)</span><br>
        <a href="articlebuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false">&bull; <?= $row['c_title'] ?></a>
        <br>
        <?= $row['date'] ?><br>
        <div class="center"><a href="articlebuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['c_title'] ?>&quot;" onclick="basicPopup(this.href);return false"><i style="font-size:10px" style="font-size:10px" class="fa fa-pencil-square-o"></i></a>&nbsp;&nbsp;&nbsp;<a href="article-position.php" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>: &quot;<?= $row['c_title'] ?>&quot;"><i style="font-size:10px" style="font-size:10px" class="fa fa-arrows"></i></a></div>
        </div>
        <?php } ?>
        </div>

        </td><td class="top card">

<?php         
/**
 * 
 * Build the Spotlight Articles Stats.
 * 
 */
        
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM articles WHERE spotlight = 'Yes'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        <p class="center"><?= _ARTICLES ?> (<?= $var ?>) <?= _SPOTLIGHT ?> <?= _PLUGIN ?><br> &quot;<?= $spotlight_sidebar ?>&quot;</p>
        <div class="content-height">
        <?php $sql = "SELECT * FROM articles"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $c_title = $row['c_title']; }}
        $result = mysqli_query($conn, "SELECT * FROM articles WHERE spotlight = 'Yes' ORDER BY c_title ASC"); 
        while ($row = mysqli_fetch_array($result)) { ?>
        <div class="center card gentextcolor"><span style="font-size:12px"><?= _ID ?> (<?= $row['id'] ?>) <?= _POSITION ?> (<?= $row['position_order'] ?>)</span><br>
        <a href="articlebuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false">&bull; <?= $row['c_title'] ?></a>
        <br>
        <?= $row['date'] ?><br>
        <div class="center"><a href="articlebuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['c_title'] ?>&quot;" onclick="basicPopup(this.href);return false"><i style="font-size:10px" style="font-size:10px" class="fa fa-pencil-square-o"></i></a>&nbsp;&nbsp;&nbsp;<a href="article-position.php" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>: &quot;<?= $row['c_title'] ?>&quot;"><i style="font-size:10px" style="font-size:10px" class="fa fa-arrows"></i></a></div>
        </div>
        <?php } ?>
        </div>

        </td><td class="top card">

<?php
/**
 * 
 * Build the Sniplets stats.
 * 
 */
        /**
         * 
         * Count all sniplets.
         * 
         */

        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        <p class="center"><?= _SNIPLETS ?> (<?= $var ?>)<br>

        <?php 
        
        /**
         * 
         * Count active sniplets only.
         * 
         */

        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_use ='Yes'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        <?= _ACTIVE ?> (<?= $var ?>)

        <?php 
        
        /**
         * 
         * Count inactive sniplets.
         * 
         */

        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_use ='No'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;&nbsp;<?= _INACTIVE ?> (<?= $var ?>)<br>

        <?php 
        
        /**
         * 
         * Count archived sniplets.
         * 
         */

        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_archive ='Yes'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;&nbsp;<?= _ARCHIVED ?> (<?= $var ?>)</p>

        <?php

        /**
         * 
         * Build the array and display all sniplets.
         * Also show the status of each.
         * 
         */ ?>

        <div class="content-height">
        <?php $sql = "SELECT * FROM sniplet ORDER BY sniplet_position ASC"; $result = $conn->query($sql); 
        if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
        <div class="card gentextcolor"><span style="font-size:12px"><?= _ID ?> (<?= $row['id'] ?>) <?= _POSITION ?> (<?= $row['sniplet_position'] ?>)</span>
        <br>
        <a href="snipletbuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false"><?= $row['sniplet_title'] ?></a>
        <br>
        <?= $row['date'] ?>
        <br>
        (<?= $row['sniplet_group'] ?>)
        <p class="center"><?= _STATUS ?><br>
        <?php if ($row['sniplet_use'] == 'Yes') { echo '(' . _ACTIVE . ')'; } 
        if ($row['sniplet_use'] == 'No') { echo '(' . _INACTIVE . ')'; } 
        if ($row['sniplet_archive'] == 'Yes') { echo '(' . _ARCHIVE . ')'; } ?>
        <div class="center"><a href="snipletbuilder.php?edit=<?= $row['id'] ?>" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _EDIT ?>: &quot;<?= $row['sniplet_title'] ?>&quot;" onclick="basicPopup(this.href);return false"><i style="font-size:10px" class="fa fa-pencil-square-o"></i></a>&nbsp;&nbsp;&nbsp;<a href="snipletsreposition.php" onclick="basicPopup(this.href);return false" class="position-grid__cell hint--top hint--medium hint--rounded" aria-label="<?= _REPOSITION ?>: &quot;<?= $row['sniplet_title'] ?>&quot;"><i style="font-size:10px" class="fa fa-arrows"></i></a></div>
        </p>
        </div>
        <?php }} // End the array. 
        ?>
        </div>

        </td><td class="top card">

<?php 
/**
 * 
 * Build the Blocks Stats.
 * 
 */

        /**
         * 
         * Count all Blocks.
         * 
         */
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        <p class="center"><?= _BLOCKS ?> (<?= $var ?>)<br>

        <?php
        /**
         * 
         * Count only Active <Blocks>
         */

        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE showblock ='Yes'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        <?= _ACTIVE ?> (<?= $var ?>)
        
        <?php
        /**
         * 
         * Count only Inactive Blocks.
         * 
         */

        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE showblock ='No'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;&nbsp;<?= _INACTIVE ?> (<?= $var ?>)<br>

        <?php 
        /**
         * 
         * Count only Archived Blocks.
         * 
         */

        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE archiveblock ='Yes'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        <?= _ARCHIVE ?> (<?= $var ?>)</p>
        <?php
        /**
         * 
         * Build array and display all blocks
         * that are not in the Archive.
         * 
         */ ?>

        <div class="content-height">
        <?php $sql = "SELECT * FROM blocks ORDER BY block_position + 0 ASC";
        $result = $conn->query($sql);
        if ($result->num_rows > 0) {
        while ($row = $result->fetch_assoc()) { ?>
        <div class="card gentextcolor center"><span style="font-size:12px"><?= _ID ?> (<?= $row['id'] ?>) <?= _POSITION ?> (<?= $row['block_position'] ?>) <?php if ($row['archiveblock'] == 'Yes') { echo '' . _ARCHIVED . ''; } ?></span><br>
        <a href="blockbuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false"><?= $row['title'] ?></a>
        <br>
        <?= $row['date'] ?>
        <br>
        (<?= $row['position'] ?>)</div>
        <?php }} ?>        
        </div><br>

        </td><td class="left top card">
        
<?php
/**
 * 
 * Build the Plugins Stats.
 * 
 */ ?>

        <p class="center"><?= _PLUGINS ?> (10)</p>
        <p>&nbsp;</p>
        <div class="content-height">

        <?php 
        /**
         * 
         * Get the Plugin Titles.
         * For use below.
         * 
         */

        $sql = "SELECT statstitlename, archivetitle, calendar_title, categories_title, 
        clock_title, tagcloud_title, spotlight_title, quicklinks_title, 
        googlecode, previewthemes  FROM plugins"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { ?>

        <div class="gentextcolor">

<?php 
/**
 * 
 * Build Site Stats Plugin.
 * 
 */

        if ($statstitlename == 'None') { echo '<p class="card">' . $statstitlename . '<br>' . _INACTIVE .'</p>'; }
        else { ?>
        <p class="card"><?php if ($statstitlename == '') { ?>
        * <?= _SITESTATS ?>- <?= _NOTITLE ?><a href="plugins.php#stats" onclick="basicPopup(this.href);return false">
        <br>
        <?= _ADDTITLE ?></a> (<?= $showstats ?>)
        <?php }
        else { ?> <?= $statstitlename ?><br>(<?= $showstats ?>)</p>
        <?php }} 
        
/**
 * 
 * Build Archive Plugin.
 * 
 */

        if ($archivetitle == 'None') { echo '<p class="card"><br>' . _INACTIVE .'</p>'; }
        else { ?>
        <p class="card"><?php if ($archivetitle == '') { ?>
        * <?= _ARCHIVES ?> - <?= _NOTITLE ?><a href="plugins.php#archives" onclick="basicPopup(this.href);return false">
        <br>
        <?= _ADDTITLE ?></a> (<?= $archivesidebar ?>)
        <?php }
        else { ?><?= $archivetitle ?><br>(<?= $archivesidebar ?>)</p>
        <?php }}

/**
 * 
 * Build Calendar Plugin.
 * 
 */ 
        
        if ($calendar_sidebar == 'None') { echo '<p class="card">' . $calendar_title . '<br>' . _INACTIVE .'</p>'; }
        else { ?>
        <p class="card"><?php if ($calendar_title == '') { ?>
        * <?= _CALENDAR ?> - <?= _NOTITLE ?><a href="plugins.php#calendar" onclick="basicPopup(this.href);return false">
        <br>
        <?= _ADDTITLE ?></a> (<?= $calendar_sidebar ?>)
        <?php }
        else { ?><?= $calendar_title ?><br>(<?= $calendar_sidebar ?>)</p>
        <?php }}

/**
 * 
 * Build Categories Plugin.
 * 
 */

        if ($categories_sidebar == 'None') { echo '<p class="card">' . $categories_title . '<br>' . _INACTIVE .'</p>'; }
        else { ?>                        
        <p class="card"><?php if ($categories_title == '') { ?>
        * <?= _CATEGORY ?> - <?= _NOTITLE ?><a href="plugins.php#categories" onclick="basicPopup(this.href);return false">
        <br>
        <?= _ADDTITLE ?></a> (<?= $categories_sidebar ?>)
        <?php }
        else { ?><?= $categories_title ?><br>(<?= $categories_sidebar ?>)</p>
        <?php }}

/**
 * 
 * Build Clock Plugin.
 * 
 */

        if ($clock_sidebar == 'None') { echo '<p class="card">' . $clock_title . '<br>' . _INACTIVE .'</p>'; }
        else { ?>
        <p class="card"><?php if ($clock_title == '') { ?>
        * <?= _CLOCK ?> - <?= _NOTITLE ?><a href="plugins.php#time" onclick="basicPopup(this.href);return false">
        <br>
        <?= _ADDTITLE ?></a> (<?= $clock_sidebar ?>)
        <?php }      
        else { ?><?= $clock_title ?><br>(<?= $clock_sidebar ?>)</p>
        <?php }}

/**
 * 
 * Build Tag Cloud Plugin.
 * 
 */

        if ($tags_sidebar == 'None') { echo '<p class="card">' . $tagcloud_title . '<br>' . _INACTIVE .'</p>'; }
        else { ?>
        <p class="card"><?php if ($tagcloud_title == '') { ?>
        * <?= _TAGCLOUD ?> - <?= _NOTITLE ?><a href="plugins.php#tags" onclick="basicPopup(this.href);return false">
        <br>
        <?= _ADDTITLE ?></a> (<?= $tags_sidebar ?>)
        <?php } 
        else { ?><?= $tagcloud_title ?><br>(<?= $tags_sidebar ?>)</p>
        <?php }}

/**
 * 
 * Build Spotlight Plugin.
 * 
 */

        if ($spotlight_sidebar== 'None') { echo '<p class="card">' . $spotlight_title . '<br>' . _INACTIVE .'</p>'; }
        else { ?>
        <p class="card"><?php if ($spotlight_title == '') { ?>
        * <?= _SPOTLIGHT ?> - <?= _NOTITLE ?><a href="plugins.php#spotlight" onclick="basicPopup(this.href);return false">
        <br>
        <?= _ADDTITLE ?></a> (<?= $spotlight_sidebar ?>)
        <?php }
        else { ?><?= $spotlight_title ?><br>(<?= $spotlight_sidebar ?>)</p>
        <?php }}

/**
 * 
 * Build Quick Links Plugin.
 * 
 */

        if ($quicklinks_sidebar == 'None') { echo '<p class="card">' . $quicklinks_title . '<br>' . _INACTIVE .'</p>'; }
        else { ?>
        <p class="card"><?php if ($quicklinks_title == '') { ?>
        * <?= _QUICKLINKS ?> - <?= _NOTITLE ?><a href="plugins.php#ql" onclick="basicPopup(this.href);return false">
        <br> 
        <?= _ADDTITLE ?></a> (<?= $quicklinks_sidebar ?>)
        <?php }
        else { ?><?= $quicklinks_title ?><br>(<?= $quicklinks_sidebar ?>)</p>
        <?php }}

/**
 * 
 * Build Google Search Plugin.
 * 
 */

        if ($googlecode == '' || $usesearch == 'None') { ?>
        <p class="card"><?= _SEARCH ?> <br><?= _INACTIVE ?><a href="plugins.php#search" onclick="basicPopup(this.href);return false"> <?= _ACTIVATE ?></a></p>
        <?php }
        else { ?>
        <p class="card"><a href="plugins.php#search" onclick="basicPopup(this.href);return false"><?= _SEARCH ?></a><br><?= $googlecode ?></p>
        <?php }

/**
 * 
 * Build Preview Themes Plugin.
 * 
 */

        if ($previewthemes == 'None') { echo '<p class="card">' . _PREVIEWTHEMES . '<br>' . _INACTIVE .''; ?><a href="plugins.php#previewthemes" onclick="basicPopup(this.href);return false"> <?= _ACTIVATE ?></a></p>
        <?php }
        else { ?>
        <p class="card"><a href="plugins.php#previewthemes" onclick="basicPopup(this.href);return false"><?= _PREVIEWTHEMES ?></a><br>(<?= $previewthemes ?>)</p>
        <?php } ?>
        </div>
        <?php }} 
        
        /**
         * 
         * End Plugin Stats.
         * 
         */ ?>

        </td><td class="card top">
<?php
/**
 * 
 * Build the Video Stats.
 * 
 */

        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM videos"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        <p class="center"><?= _VIDEOS ?> (<?= $var ?>)<br>
        &quot;<a href="video_config.php" onclick="basicPopup(this.href);return false"><?= $setrow ?></a>&quot;<br>

        <?php $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM videos WHERE usevideo ='Yes'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        <?= _ACTIVE ?> (<?= $var ?>)

        <?php $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM videos WHERE usevideo ='No'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<?= _INACTIVE ?> (<?= $var ?>)<br>

        <?php $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM videos WHERE spotlight ='Yes'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        <?= _SPOTLIGHT ?> (<?= $var ?>)

        <?php $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM videos WHERE videoarchive ='Yes'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        <?= _ARCHIVE ?> (<?= $var ?>)</p>

        <div class="content-height">
        <?php $sql = "SELECT * FROM videos ORDER BY position + 0 ASC"; $result = $conn->query($sql); if ($result->num_rows > 0) { while ($row = $result->fetch_assoc()) { ?>
        <div class="center spacer card"><span style="font-size:12px"><?= _ID ?> (<?= $row['id'] ?>) <?= _POSITION ?> (<?= $row['position'] ?>)</span>
        <p><?= _CATEGORY ?>: <?= $row['category'] ?><br>
        <?= _TITLE ?>: <a href="<?= $row['videolink'] ?>" target="video-window" title="<?= $row['videotitle'] ?>"><?= $row['videotitle'] ?></a></p>
        <p class="center"><?= _STATUS ?><br>
        <?php if ($row['usevideo'] == 'Yes') { echo '(' . _ACTIVE . ')'; } 
        if ($row['usevideo'] == 'No') { echo '(' . _INACTIVE . ')'; } 
        if ($row['spotlight'] == 'Yes') { echo '(' . _SPOTLIGHT . ')'; }
        ?><br><?php
        if ($row['videoarchive'] == 'Yes') { echo '(' . _ARCHIVED . ': ' . $row['datearchived'] . ')'; } ?>
        </p>

        <?php if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
        if ($_SESSION['role'] == 'Admin') { ?>
        <div class="center"><a href="videobuilder.php?edit=<?= $row['id'] ?>" onclick="basicPopup(this.href);return false"><i style="font-size:10px" class="gentextcolor fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href="videos_position.php" onclick="basicPopup(this.href);return false"><i style="font-size:10px" class="gentextcolor fa fa-arrows"></i></a></div>
        </div>
        <?php }}}} ?>
        </div>
        
        </td></tr></table>
        </div>
        </div>
        
        <br>

<?php
/**
 * 
 * End the Quick Stats.
 * Build the Off-canvas Left menu.
 * 
 */ ?>

        <p class="column-title center coltitlecolor"><?= _OFFCANVAS ?> <?= _SIDEBARS ?></p>

        <table><tr><td>

        <p class="column-title coltitlecolor center"><?= _OFFCANVAS ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>

        <?php if ($hp_sidebars == 'Left' || $hp_sidebars == 'Both') { 

        if ($showstats == 'Off-canvas Left' || $archivesidebar == 'Off-canvas Left' || $calendar_sidebar == 'Off-canvas Left' ||  $categories_sidebar == 'Off-canvas Left' || $clock_sidebar == 'Off-canvas Left' || $tags_sidebar == 'Off-canvas Left' || $spotlight_sidebar == 'Off-canvas Left' || $quicklinks_sidebar == 'Off-canvas Left' || $usesearch == 'Off-canvas Left' || $previewthemes == 'Off-canvas Left') { 
        echo '<br><div class="center sidebar-holder column">' . _PLUGINS . '';
        if ($showstats == 'Off-canvas Left') {echo '<p class="left"&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Off-canvas Left') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Off-canvas Left') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Off-canvas Left') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Off-canvas Left') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'Off-canvas Left') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Off-canvas Left') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Off-canvas Left') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Off-canvas Left') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Off-canvas Left') {echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; }}  
        else { echo '<p class="center sidebar-holder">' . _NOPLUGINS . '</p>'; }

/**
 * 
 * Add the sniplets.
 * 
 */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Off-canvas Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Off-canvas Left') {
        echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINLAYER . '<br> (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Off-canvas Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; } 

/**
 * 
 * Add the blocks that are 
 * assigned to this sidebar.
 * 
 */ ?>

        <br>
        <?php $sql = "SELECT position, title FROM blocks WHERE position = 'Off-canvas Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        $title = $row['title'];
        if ($position == 'Off-canvas Left') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br> (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Off-canvas Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p>
        <hr />
        <p class="center"><?= _ACTIVE ?> <?= _BLOCK ?> <?= _TITLE ?></p>
        <p class="left">&bull; <?= $title ?></p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br> (' . _NO . ')</p></div>'; }
        } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="website.php#configsidebars" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; }

/**
 * 
 * End the Off Canvas Left Sidebar.
 * 
 */
?>

        </td><td>

<?php
/**
* 
* Build the Off-canvas Right Sidebar.
* 
*/ ?>

        <p class="column-title coltitlecolor center"><?= _OFFCANVAS ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>


        <?php if ($hp_sidebars == 'Right' || $hp_sidebars == 'Both') { 

        if ($showstats == 'Off-canvas Right' || $archivesidebar == 'Off-canvas Right' || $calendar_sidebar == 'Off-canvas Right' ||  $categories_sidebar == 'Off-canvas Right' || $clock_sidebar == 'Off-canvas Right' || $tags_sidebar == 'Off-canvas Right' || $spotlight_sidebar == 'Off-canvas Right' || $quicklinks_sidebar == 'Off-canvas Right' || $usesearch == 'Off-canvas Right' || $previewthemes == 'Off-canvas Right') { 
        echo '<br><div class="center sidebar-holder column">' . _PLUGINS . '';
        if ($showstats == 'Off-canvas Right') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Off-canvas Right') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Off-canvas Right') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Off-canvas Right') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Off-canvas Right') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'Off-canvas Right') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Off-canvas Right') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Off-canvas Right') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Off-canvas Right') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Off-canvas Right') {echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; }}  
        else { echo '<p class="center sidebar-holder">' . _NOPLUGINS . '</p>'; }

/**
 * 
 * Add the sniplets.
 * 
 */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Off-canvas Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Off-canvas Right') {
        echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINLAYER . '<br> (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Off-canvas Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; } 

/**
 * 
 * Add the blocks that are assigned to this sidebar.
 * 
 */ ?>

        <br>
        <?php $sql = "SELECT position, title FROM blocks WHERE position = 'Off-canvas Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        $title = $row['title'];
        if ($position == 'Off-canvas Right') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br> (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Off-canvas Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p>
        <hr />
        <p class="center"><?= _ACTIVE ?> <?= _BLOCK ?> <?= _TITLE ?></p>
        <p class="left">&bull; <?= $title ?></p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br> (' . _NO . ')</p></div>'; }
        } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="website.php#configsidebars" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; }

/**
 * 
 * End the Off Canvas Right Sidebar.
 * 
 */ ?>

        </td></tr></table>

        <p class="column-title coltitlecolor center"><?= _HOMEPAGEBUILD ?></p>

<?php
/**
 * 
 * Start building the Site Map page.
 * Includes Left Overall Sidebar, 
 * Center Content Rows to include:
 * Rows Left Sidebars, 
 * Center Rows (Top, Middle, Bottom),
 * Rows Right Sidebars,
 * And Right Overall Sidebar...
 * 
 */ ?>

        <table class="spacer"><tr><td class="leftsidebar top">

        <p class="center column-title coltitlecolor"><?= _LEFT ?> <?= _SIDEBAR ?> <?= _CONTENT ?></p>

<?php 
/**
 * 
 * Build the Left Overall Sidebar.
 * 
 */

        if ($hp_oncanvas_sidebars == 'Left' || $hp_oncanvas_sidebars == 'Both') {

        if ($showstats == 'On-canvas Left' || $archivesidebar == 'On-canvas Left' || $calendar_sidebar == 'On-canvas Left' ||  $categories_sidebar == 'On-canvas Left' || $clock_sidebar == 'On-canvas Left' || $tags_sidebar == 'On-canvas Left' || $spotlight_sidebar == 'On-canvas Left' || $quicklinks_sidebar == 'On-canvas Left' || $usesearch == 'On-canvas Left' || $previewthemes == 'On-canvas Left') { 
        echo '<br><div class="center sidebar-holder column">' . _PLUGINS . '';
        if ($showstats == 'On-canvas Left') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'On-canvas Left') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'On-canvas Left') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'On-canvas Left') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'On-canvas Left') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'On-canvas Left') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'On-canvas Left') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'On-canvas Left') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'On-canvas Left') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'On-canvas Left') {echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; }}  
        else { echo '<p class="center sidebar-holder">' . _NOPLUGINS . '</p>'; }

/**
 * 
 * Add the sniplets.
 * 
 */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'On-canvas Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'On-canvas Left') {
        echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINLAYER . '<br> (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'On-canvas Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; } 

/**
 * 
 * Add the blocks that are assigned to this sidebar.
 * 
 */ ?>

        <br>
        <?php $sql = "SELECT position, title FROM blocks WHERE position = 'On-canvas Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        $title = $row['title'];
        if ($position == 'On-canvas Left') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br> (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'On-canvas Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p>
        <hr />
        <p class="center"><?= _ACTIVE ?> <?= _BLOCK ?> <?= _TITLE ?></p>
        <p class="left">&bull; <?= $title ?></p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br> (' . _NO . ')</p></div>'; }
        } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="website.php#configsidebars" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; }

/**
 * 
 * Close the Overall Left Sidebar.
 * 
 */ ?>

        </td>

<?php
/**
 * 
 * Add the center rows content.
 * 
 */ ?>

        <td class="centercontent">

<?php
/**
 * 
 * Start building the Center Rows 1-12.
 * 
 */ ?>

        <table><tr><td class="leftsidebar top">

<?php 
/**
 * 
 * Build Row One Left Sidebar. -----------------------------------------------------------------
 * 
 */ ?>

    <p class="column-title coltitlecolor center"><?= _ROWONE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>

    <?php 
    /*** 
     * Start building the sidebars content.
     * Get the plugins that are assigned here.
     * 
     */

    $sql = "SELECT * FROM config_row_one"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { 
    while ($row = $result->fetch_assoc()) { 
    $rowonesidebars = $row['rowonesidebars'];
    $leftcontent = $row['leftcontent']; }}

    if ($rowonesidebars == 'Left' || $rowonesidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>';

    echo '<div class="center sidebar-holder column">' . _PLUGINS . '';
    if ($showstats == 'Row One Left') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
    if ($archivesidebar == 'Row One Left') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
    if ($calendar_sidebar == 'Row One Left') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
    if ($categories_sidebar == 'Row One Left') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
    if ($clock_sidebar == 'Row One Left') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
    if ($tags_sidebar == 'Row One Left') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
    if ($spotlight_sidebar == 'Row One Left') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
    if ($quicklinks_sidebar == 'Row One Left') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
    if ($usesearch == 'Row One Left') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
    if ($previewthemes == 'Row One Left') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } ?>
    </div>
    <br>

    <?php
    /**
     * 
     * Add the sniplets.
     * 
     */

    $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row One Left'"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { 
    while ($row = $result->fetch_assoc()) {
    $sniplet_group = $row['sniplet_group']; 
    if ($sniplet_group == 'Row One Left') {
    echo '<div class="center sidebar-holder top"><p>' . _SNIPLETSINSIDEBAR . ' (' . _YES . ')'; 
    $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row One Left'"); 
    while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
    &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
    <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

    /**
     * 
     * Add the blocks that are assigned to this sidebar.
     * 
     */ ?>

    <br>
    <?php $sql = "SELECT position FROM blocks WHERE position = 'Row One Left'"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { 
    while ($row = $result->fetch_assoc()) {
    $position = $row['position'];
    if ($position == 'Row One Left') {
    echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
    $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row One Left'"); 
    while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
    &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
    <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; } 

    /**
     * 
     * Get other content that is created
     * using the rows sidebar content builder.
     * 
     */ ?>

    <br>
    <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
    if ($leftcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
    else { echo '' . _ADDITIONALCONTENT . ''; } ?>
    </div>
    <?php } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="rowone.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; }

    /**
     * 
     * End the Row One Left Sidebar.
     * 
     */ ?>

    </td><td class="top wrapper">

<?php
/**
 * 
 * Row One Top Center. ------------------------------------------------------------------------
 * 
 */ 

        if ($userowone == '') { echo '<p class="center" id="one"><strong>' . _ISROWACTIVE . ' (' . _NO . ')</strong></p>'; } 
         else { ?>
        <p class="center" id="one"><strong><?= _ISROWACTIVE ?> (<?= $userowone ?>)</strong></p>
        <?php }

        $sql = "SELECT usetop FROM config_row_one"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
                
        if ($row['usetop'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWONETOP . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } else { ?>

        <p class="center coltitlecolor column-title"><?= _ROWONETOP ?> - <?= _ACTIVE ?> (<?= $row['usetop'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row One Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row One Top') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row One Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row One Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row One Top') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row One Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row One Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row One Top') {
        echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row One Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row One Top') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
 * 
 * Build Row One Middle. --------------------------------------------------------------------
 * 
 */ 

        $sql = "SELECT usemiddle FROM config_row_one"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 

        if ($row['usemiddle'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWONEMIDDLE . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWONEMIDDLE ?> - <?= _ACTIVE ?> (<?= $row['usemiddle'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row One Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row One Middle') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br> (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row One Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; }
        ?>
        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row One Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row One Middle') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row One Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row One Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row One Middle') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _NO . ')</p></div>'; } 
        ?>
        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row One Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row One Middle') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
 * 
 * Build Row One Bottom. --------------------------------------------------------------------
 * 
 */ ?>

        <?php $sql = "SELECT usebottom FROM config_row_one"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
                
        if ($row['usebottom'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWONEBOTTOM . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWONEBOTTOM ?> - <?= _ACTIVE ?> (<?= $row['usebottom'] ?>)</p>
        <?php }}}  ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row One Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row One Bottom') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row One Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; }
        ?>
        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row One Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row One Bottom') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row One Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } 
        ?>
        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row One Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row One Bottom') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } 
        ?>
        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row One Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row One Bottom') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

    </td><td class="rightsidebar top">

<?php
/**
 * 
 * Row One Right Sidebar. --------------------------------------------------------------------
 * 
 */ ?>

    <p class="center column-title coltitlecolor"><?= _ROWONE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>

    <?php $sql = "SELECT * FROM config_row_one"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { 
    while ($row = $result->fetch_assoc()) { 
    $rowonesidebars = $row['rowonesidebars'];
    $rightcontent = $row['rightcontent']; }}

    if ($rowonesidebars == 'Right' || $rowonesidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>';

    /**
     * 
     * Add the plugins.
     * 
     */ ?>

    <div class="center sidebar-holder column"><?= _PLUGINS ?>
    <?php if ($showstats == 'Row One Right') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
    if ($archivesidebar == 'Row One Right') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
    if ($calendar_sidebar == 'Row One Right') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
    if ($categories_sidebar == 'Row One Right') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
    if ($clock_sidebar == 'Row One Right') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
    if ($tags_sidebar == 'Row One Right') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
    if ($spotlight_sidebar == 'Row One Right') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
    if ($quicklinks_sidebar == 'Row One Right') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
    if ($usesearch == 'Row One Right') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
    if ($previewthemes == 'Row One Right') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } ?>
    </div>
    <br>

    <?php
    /**
     * 
     * Add the sniplets.
     * 
     */

    $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row One Right'"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { 
    while ($row = $result->fetch_assoc()) {
    $sniplet_group = $row['sniplet_group']; 
    if ($sniplet_group == 'Row One Right') {
    echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')'; 
    $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row One Right'"); 
    while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
    &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
    <?php }}} else { echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

    /**
     * 
     * Add the blocks that are assigned to this sidebar.
     * 
     */ ?>

    <br>
    <?php $sql = "SELECT position FROM blocks WHERE position = 'Row One Right'"; 
    $result = $conn->query($sql); 
    if ($result->num_rows > 0) { 
    while ($row = $result->fetch_assoc()) {
    $position = $row['position'];
    if ($position == 'Row One Right') {
    echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
    $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row One Right'"); 
    while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
    &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
    <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; }

    /**
     * 
     * Get other content that is created
     * using the rows sidebar content builder.
     * 
     */ ?>

    <br>
    <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
    if ($rightcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
    else { echo '' . _ADDITIONALCONTENT . ''; } ?>
    </div>

    <?php
    /**
     * 
     * If this sidebar is not active.
     * Show a message and add option
     * to activate it.
     * 
    */

    } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="rowone.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>';}

    /**
     * 
     * Close the Row One Right Sidebar.
     * 
     */ ?>

    </td></tr></table>
    <br>

<?php
/**
 * 
 * Build Row Two Top. -----------------------------------------------------------------
 * 
 */ ?>

        <table><tr><td class="leftsidebar top">
        <?php $sql = "SELECT * FROM config_row_two"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $rowtwosidebars = $row['rowtwosidebars']; }} 

/**
 * 
 * Row Two Left Sidebar. -----------------------------------------------------------------
 * 
 */ ?>

        <p class="center column-title coltitlecolor"><?= _ROWTWO ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>

        <?php if ($rowtwosidebars == 'Left' || $rowtwosidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>';

        echo '<div class="center sidebar-holder column">' . _PLUGINS . '';
        if ($showstats == 'Row Two Left') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Row Two Left') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Row Two Left') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Row Two Left') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Row Two Left') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'Row Two Left') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Row Two Left') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Row Two Left') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Row Two Left') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Row Two Left') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } 
        ?>
        </div>
        <br>

        <?php
        /**
         * 
         * Add the sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Two Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Two Left') {
        echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Two Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

        /**
         * 
         * Add the blocks that are assigned to this sidebar.
         * 
         */ ?>

        <br>
        <?php $sql = "SELECT position FROM blocks WHERE position = 'Row Two Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Two Left') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Two Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; }

        /**
         * 
         * Get other content that is created
         * using the rows sidebar content builder.
         * 
         */ ?>

        <br>
        <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
        if ($leftcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
        else { echo '' . _ADDITIONALCONTENT . ''; } ?>
        </div>

        <?php
        /**
        * 
        * If this sidebar is not active.
        * Show a message and add option
        * to activate it.
        * 
        */

        } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="rowtwo.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; }

        /**
         * 
         * Close the Row Two Left Sidebar.
         * 
         */ ?>

        </td><td class="top wrapper">

<?php
/**
 * 
 * Row Two Top Center ---------------------------------------------------------------
 * 
 */ 

        if ($userowtwo == '') { echo '<p class="center" id="two"><strong>' . _ISROWACTIVE . ' (' . _NO . ')</strong></p>'; } 
         else { ?>
        <p class="center" id="two"><strong><?= _ISROWACTIVE ?> (<?= $userowtwo ?>)</strong></p>
        <?php }

        $sql = "SELECT usetop FROM config_row_two"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 

        if ($row['usetop'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWTWOTOP . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } else { ?>

        <p class="center coltitlecolor column-title"><?= _ROWTWOTOP ?> - <?= _ACTIVE ?> (<?= $row['usetop'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Two Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Two Top') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Two Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Two Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Two Top') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Two Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Two Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Two Top') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Two Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Two Top') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
 * 
 * Build Row Two Middle. --------------------------------------------------------------------
 * 
 */ ?>

        <?php $sql = "SELECT usemiddle FROM config_row_two"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
                
        if ($row['usemiddle'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWTWOMIDDLE . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } else { ?>

        <p class="center coltitlecolor column-title"><?= _ROWTWOMIDDLE ?> - <?= _ACTIVE ?> (<?= $row['usemiddle'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Two Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Two Middle') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Two Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Two Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Two Middle') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Two Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Two Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Two Middle') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row One Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Two Middle') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
 * 
 * Build Row Two Bottom. --------------------------------------------------------------------
 * 
 */ ?>

        <?php $sql = "SELECT usebottom FROM config_row_two"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
                
        if ($row['usebottom'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWTWOBOTTOM . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } 
        else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWTWOBOTTOM ?> - <?= _ACTIVE ?> (<?= $row['usebottom'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Two Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Two Bottom') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Two Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Two Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Two Bottom') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Two Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Two Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Two Bottom') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Two Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Two Bottom') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

        </td><td class="rightsidebar top">

<?php
/**
 * 
 * Row Two Right Sidebar. --------------------------------------------------
 * 
 */ ?>

        <p class="center column-title coltitlecolor"><?= _ROWTWO ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>

        <?php $sql = "SELECT * FROM config_row_two"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $rowtwosidebars = $row['rowtwosidebars']; }}

        if ($rowtwosidebars == 'Right' || $rowtwosidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>';

        /**
        *  
        * Add the plugins.
        * 
        */ ?>

        <div class="center sidebar-holder column"><?= _PLUGINS ?>
        <?php if ($showstats == 'Row Two Right') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Row Two Right') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Row Two Right') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Row Two Right') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Row Two Right') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'Row Two Right') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Row Two Right') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Row Two Right') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Row Two Right') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Row Two Right') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } ?>
        </div>
        <br>

        <?php
        /**
        * 
        * Add the sniplets.
        * 
        */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Two Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Two Right') {
        echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Two Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

        /**
        * 
        * Add the blocks that are assigned to this sidebar.
        * 
        */ ?>

        <br>
        <?php $sql = "SELECT position FROM blocks WHERE position = 'Row Two Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Two Right') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Two Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; }

        /**
        * 
        * Get other content that is created
        * using the rows sidebar content builder.
        * 
        */ ?>

        <br>
        <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
        if ($rightcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
        else { echo '' . _ADDITIONALCONTENT . ''; } ?>
        </div>

        <?php
        /**
        * 
        * If this sidebar is not active.
        * Show a message and add option
        * to activate it.
        * 
        */

        } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="rowtwo.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; }

/**
* 
* Close the Row Two Right Sidebar.
* 
*/ ?>

        </td></tr></table>
        <br>

<?php 
/**
 * 
 * Build Row Three Right Sidebar. -----------------------------------------------------------------
 * 
 */ ?>

        <table><tr><td class="leftsidebar top">

        <p class="center column-title coltitlecolor"><?= _ROWTHREE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>

        <?php $sql = "SELECT * FROM config_row_three"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $rowthreesidebars = $row['rowthreesidebars']; }}

        if ($rowthreesidebars == 'Left' || $rowthreesidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>'; 

        echo '<div class="center sidebar-holder column">' . _PLUGINS . '';
        if ($showstats == 'Row Three Left') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Row Three Left') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Row Three Left') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Row Three Left') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Row Three Left') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'Row Three Left') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Row Three Left') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Row Three Left') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Row Three Left') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Row Three Left') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } 
        ?>
        </div>
        <br>

        <?php
        /**
         * 
         * Add the sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row One Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Three Left') {
        echo '<div class="center sidebar-holder top"><p>' . _SNIPLETSINSIDEBAR . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Three Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

        /**
         * 
         * Add the blocks that are assigned to this sidebar.
         * 
         */ ?>

        <br>
        <?php $sql = "SELECT position FROM blocks WHERE position = 'Row Three Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Three Left') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Three Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; } 

        /**
         * 
         * Get other content that is created
         * using the rows sidebar content builder.
         * 
         */ ?>

        <br>
        <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
        if ($leftcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
        else { echo '' . _ADDITIONALCONTENT . ''; } ?>
        </div>
        <?php } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="rowthree.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; }

        /**
         * 
         * End the Row Three Left Sidebar.
         * 
         */ ?>

        </td><td class="top wrapper">

<?php
/**
 * 
 * Row Three Top Center. --------------------------------------------------------------------
 * 
 */

        if ($userowthree == '') { echo '<p class="center" id="three"><strong>' . _ISROWACTIVE . ' (' . _NO . ')</strong></p>'; } 
         else { ?>
        <p class="center" id="three"><strong><?= _ISROWACTIVE ?> (<?= $userowthree ?>)</strong></p>
        <?php }

        $sql = "SELECT usetop FROM config_row_three"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        
        if ($row['usetop'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWTHREETOP . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWTHREETOP ?> - <?= _ACTIVE ?> (<?= $row['usetop'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php 
        /**
         * 
         * Add the Sniplets.
         * 
         */
        
        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Three Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Three Top') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Three Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Three Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Three Top') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Three Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Three Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Three Top') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; }  ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Three Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Three Top') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
 * 
 * Build Row Three Middle. --------------------------------------------------------------------
 * 
 */ ?>

        <?php $sql = "SELECT usemiddle FROM config_row_three"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
                
        if ($row['usemiddle'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWTHREEMIDDLE . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWTHREEMIDDLE ?> - <?= _ACTIVE ?> (<?= $row['usemiddle'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Three Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Three Middle') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Three Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Three Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Three Middle') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Three Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Three Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Three Middle') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Three Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Three Middle') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
 * 
 * Build Row Three Bottom. --------------------------------------------------------------------
 * 
 */ 

        $sql = "SELECT usebottom FROM config_row_three"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
                
        if ($row['usebottom'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWTHREEBOTTOM . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWTHREEBOTTOM ?> - <?= _ACTIVE ?> (<?= $row['usebottom'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Three Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Three Bottom') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Three Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Three Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Three Bottom') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Three Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Three Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Three Bottom') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Three Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Three Bottom') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

        </td><td class="rightsidebar top">

<?php
/**
 * 
 * Build Row Three Right Sidebar. ------------------------------------------------------------
 * 
 */ ?>

        <p class="center column-title coltitlecolor"><?= _ROWTHREE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>

        <?php $sql = "SELECT * FROM config_row_three"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $rowthreesidebars = $row['rowthreesidebars']; }}

        if ($rowthreesidebars == 'Right' || $rowthreesidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>'; 

        /**
        *  
        * Add the plugins.
        * 
        */ ?>

        <div class="center sidebar-holder column"><?= _PLUGINS ?>
        <?php if ($showstats == 'Row Three Right') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Row Three Right') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Row Three Right') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Row Three Right') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Row Three Right') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'Row Three Right') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Row Three Right') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Row Three Right') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Row Three Right') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Row Three Right') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } ?>
        </div>
        <br>

        <?php
        /**
        * 
        * Add the sniplets.
        * 
        */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Three Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Three Right') {
        echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Three Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

        /**
        * 
        * Add the blocks that are assigned to this sidebar.
        * 
        */ ?>

        <br>
        <?php $sql = "SELECT position FROM blocks WHERE position = 'Row Three Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Three Right') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Three Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; }

        /**
        * 
        * Get other content that is created
        * using the rows sidebar content builder.
        * 
        */ ?>

        <br>
        <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
        if ($rightcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
        else { echo '' . _ADDITIONALCONTENT . ''; } ?>
        </div>

        <?php
        /**
        * 
        * If this sidebar is not active.
        * Show a message and add option
        * to activate it.
        * 
        */

        } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="rowthree.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; }

        /**
        * 
        * Close the Row Two Right Sidebar.
        * 
        */ ?>

        </td></tr></table>
        <br>

        <table><tr><td class="leftsidebar top">

<?php 
/**
 * 
 * Build Row Four Left Sidebar. -----------------------------------------------------------------
 * 
 */ ?>

        <p class="center column-title coltitlecolor"><?= _ROWFOUR ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>

        <?php $sql = "SELECT * FROM config_row_four"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $rowfoursidebars = $row['rowfoursidebars']; }}

        if ($rowfoursidebars == 'Right' || $rowfoursidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>'; 

        /**
        *  
        * Add the plugins.
        * 
        */ ?>

        <div class="center sidebar-holder column"><?= _PLUGINS ?>
        <?php if ($showstats == 'Row Four Right') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Row Four Right') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Row Four Right') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Row Four Right') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Row Four Right') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'Row Four Right') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Row Four Right') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Row Four Right') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Row Four Right') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Row FourFour Right') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } ?>
        </div>
        <br>

        <?php
        /**
        * 
        * Add the sniplets.
        * 
        */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Four Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Four Right') {
        echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Four Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

        /**
        * 
        * Add the blocks that are assigned to this sidebar.
        * 
        */ ?>

        <br>
        <?php $sql = "SELECT position FROM blocks WHERE position = 'Row Four Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Four Right') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Four Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; }

        /**
        * 
        * Get other content that is created
        * using the rows sidebar content builder.
        * 
        */ ?>

        <br>
        <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
        if ($rightcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
        else { echo '' . _ADDITIONALCONTENT . ''; } ?>
        </div>

        <?php
        /**
        * 
        * If this sidebar is not active.
        * Show a message and add option
        * to activate it.
        * 
        */

        } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="rowfour.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; }

        /**
         * 
         * End the Row Four Left Sidebar.
         * 
         */ ?>

        </td><td class="top wrapper">

<?php
/**
 * 
 * Row Four Top Center. -------------------------------------------------------
 * 
 */ 

        if ($userowfour == '') { echo '<p class="center" id="four"><strong>' . _ISROWACTIVE . ' (' . _NO . ')</strong></p>'; } 
         else { ?>
        <p class="center" id="four"><strong><?= _ISROWACTIVE ?> (<?= $userowfour ?>)</strong></p>
        <?php }

        $sql = "SELECT usetop FROM config_row_four"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
                
        if ($row['usetop'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWFOURTOP . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWFOURTOP ?> - <?= _ACTIVE ?> (<?= $row['usetop'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Four Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Four Top') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Four Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Four Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Four Top') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Four Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Four Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Four Top') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Four Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Four Top') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
 * 
 * Build Row Four Middle.
 * 
 */ ?>

        <?php $sql = "SELECT usemiddle FROM config_row_four"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
                
        if ($row['usemiddle'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWFOURMIDDLE . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWFOURMIDDLE ?> - <?= _ACTIVE ?> (<?= $row['usemiddle'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Four Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Four Middle') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Four Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Four Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Four Middle') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Four Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Four Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Four Middle') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Four Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Four Middle') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
 * 
 * Build Row Four Bottom.
 * 
 */ ?>

        <?php $sql = "SELECT usebottom FROM config_row_four"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
                
        if ($row['usebottom'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWFOURBOTTOM . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } 
        else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWFOURBOTTOM ?> - <?= _ACTIVE ?> (<?= $row['usebottom'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Four Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Four Bottom') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Four Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Four Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Four Bottom') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Four Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Four Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Four Bottom') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Four Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Four Bottom') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

        </td><td class="rightsidebar top">

<?php
/**
 * 
 * Row Four Right Sidebar. ------------------------------------------------------------------
 * 
 */ ?>

        <p class="center column-title coltitlecolor"><?= _ROWFOUR ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>

        <?php $sql = "SELECT * FROM config_row_four"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $rowfoursidebars = $row['rowfoursidebars']; }}

        if ($rowfoursidebars == 'Right' || $rowfoursidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>'; 

        /**
        *  
        * Add the plugins.
        * 
        */ ?>

        <div class="center sidebar-holder column"><?= _PLUGINS ?>
        <?php if ($showstats == 'Row Four Right') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Row Four Right') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Row Four Right') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Row Four Right') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Row Four Right') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'Row Four Right') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Row Four Right') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Row Four Right') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Row Four Right') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Row Four Right') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } ?>
        </div>
        <br>

        <?php
        /**
        * 
        * Add the sniplets.
        * 
        */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Four Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Four Right') {
        echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Four Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

        /**
        * 
        * Add the blocks that are assigned to this sidebar.
        * 
        */ ?>

        <br>
        <?php $sql = "SELECT position FROM blocks WHERE position = 'Row Four Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Four Right') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Four Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; }

        /**
        * 
        * Get other content that is created
        * using the rows sidebar content builder.
        * 
        */ ?>

        <br>
        <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
        if ($rightcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
        else { echo '' . _ADDITIONALCONTENT . ''; } ?>
        </div>

        <?php
        /**
        * 
        * If this sidebar is not active.
        * Show a message and add option
        * to activate it.
        * 
        */

        } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="rowfour.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; } ?>

        <?php
        /**
         * 
         * End Row Four Right Sidebar.
         * 
         */ ?>

        </td></tr></table>
<br>

<?php 
/**
 * 
 * Build Row Five Left Sidebar. -----------------------------------------------------------------
 * 
 */ ?>

        <table><tr><td class="leftsidebar top">

        <p class="center column-title coltitlecolor"><?= _ROWFIVE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>

        <?php $sql = "SELECT * FROM config_row_five"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $rowfivesidebars = $row['rowfivesidebars']; }}

        if ($rowfivesidebars == 'Left' || $rowfivesidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>'; 

        echo '<div class="center sidebar-holder column">' . _PLUGINS . '';
        if ($showstats == 'Row Five Left') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Row Five Left') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Row Five Left') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Row Five Left') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Row Five Left') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'Row Five Left') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Row Five Left') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Row Five Left') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Row Five Left') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Row Five Left') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } 
        ?>
        </div>
        <br>

        <?php
        /**
         * 
         * Add the sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Five Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Five Left') {
        echo '<div class="center sidebar-holder top"><p>' . _SNIPLETSINSIDEBAR . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Five Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

        /**
         * 
         * Add the blocks that are assigned to this sidebar.
         * 
         */ ?>

        <br>
        <?php $sql = "SELECT position FROM blocks WHERE position = 'Row Five Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Five Left') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Five Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; } 

        /**
         * 
         * Get other content that is created
         * using the rows sidebar content builder.
         * 
         */ ?>

        <br>
        <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
        if ($leftcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
        else { echo '' . _ADDITIONALCONTENT . ''; } ?>
        </div>
        <?php } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="rowfive.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; }

        /**
         * 
         * End the Row Five Left Sidebar.
         * 
         */ ?>
        
        </td><td class="top wrapper">

<?php
/**
 * 
 * Row Five Top Center. -----------------------------------------------------------------
 * 
 */

        if ($userowfive == '') { echo '<p class="center" id="five"><strong>' . _ISROWACTIVE . ' (' . _NO . ')</strong></p>'; } 
         else { ?>
        <p class="center" id="five"><strong><?= _ISROWACTIVE ?> (<?= $userowfive ?>)</strong></p>
        <?php }

        $sql = "SELECT usetop FROM config_row_five"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
                
        if ($row['usetop'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWFIVETOP . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWFIVETOP ?> - <?= _ACTIVE ?> (<?= $row['usetop'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Five Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Five Top') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Five Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Five Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Five Top') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Five Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Five Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Five Top') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Five Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Five Top') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
 * 
 * Build Row Five Middle.
 * 
 */ ?>

        <?php $sql = "SELECT usemiddle FROM config_row_five"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 

        if ($row['usemiddle'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWFIVEMIDDLE . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWFIVEMIDDLE ?> - <?= _ACTIVE ?> (<?= $row['usemiddle'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */


        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Five Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Five Middle') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Five Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Five Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Five Middle') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Five Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Five Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Five Middle') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Five Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Five Middle') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
 * 
 * Build Row Five Bottom.
 * 
 */ ?>

        <?php $sql = "SELECT usebottom FROM config_row_five"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
                
        if ($row['usebottom'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWFIVEBOTTOM . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } 
        else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWFIVEBOTTOM ?> - <?= _ACTIVE ?> (<?= $row['usebottom'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Five Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Five Bottom') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Five Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Five Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Five Bottom') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Five Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Five Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Five Bottom') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Five Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Five Bottom') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div>

        </td><td class="rightsidebar top">

<?php
/**
* 
* Row Five Right Sidebar. -------------------------------------------------------------------
* 
*/ ?>

        <p class="center column-title coltitlecolor"><?= _ROWFIVE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>

        <?php $sql = "SELECT * FROM config_row_five"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $rowfivesidebars = $row['rowfivesidebars']; }}

        if ($rowfivesidebars == 'Right' || $rowfivesidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>';

        /**
        *  
        * Add the plugins.
        * 
        */ ?>

        <div class="center sidebar-holder column"><?= _PLUGINS ?>
        <?php if ($showstats == 'Row Five Right') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Row Five Right') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Row Five Right') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Row Five Right') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Row Five Right') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'Row Five Right') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Row Five Right') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Row Five Right') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Row Five Right') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Row Five Right') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } ?>
        </div>
        <br>

        <?php
        /**
        * 
        * Add the sniplets.
        * 
        */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Five Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Five Right') {
        echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Five Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

        /**
        * 
        * Add the blocks that are assigned to this sidebar.
        * 
        */ ?>

        <br>
        <?php $sql = "SELECT position FROM blocks WHERE position = 'Row Five Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Five Right') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Five Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; }

        /**
        * 
        * Get other content that is created
        * using the rows sidebar content builder.
        * 
        */ ?>

        <br>
        <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
        if ($rightcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
        else { echo '' . _ADDITIONALCONTENT . ''; } ?>
        </div>

        <?php
        /**
        * 
        * If this sidebar is not active.
        * Show a message and add option
        * to activate it.
        * 
        */

        } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="rowfive.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; }

        /**
        * 
        * Close the Row Five Right Sidebar.
        * 
        */ ?>

        </td></tr></table>
        <br>

<?php 
/**
 * 
 * Build Row Six Left Sidebar. -----------------------------------------------------------------
 * 
 */ ?>

        <table><tr><td class="leftsidebar top">

        <p class="center column-title coltitlecolor"><?= _ROWSIX ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>

        <?php $sql = "SELECT * FROM config_row_six"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $rowsixsidebars = $row['rowsixsidebars']; }}

        if ($rowsixsidebars == 'Left' || $rowsixsidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>';
        echo '<div class="center sidebar-holder column">' . _PLUGINS . '';
        if ($showstats == 'Row Six Left') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Row Six Left') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Row Six Left') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Row Six Left') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Row Six Left') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'Row Six Left') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Row Six Left') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Row Six Left') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Row Six Left') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Row Six Left') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } ?>
        </div>
        <br>

        <?php
        /**
         * 
         * Add the sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Six Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Six Left') {
        echo '<div class="center sidebar-holder top"><p>' . _SNIPLETSINSIDEBAR . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Six Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

        /**
         * 
         * Add the blocks that are assigned to this sidebar.
         * 
         */ ?>

        <br>
        <?php $sql = "SELECT position FROM blocks WHERE position = 'Row Six Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Six Left') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Six Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; } 

        /**
         * 
         * Get other content that is created
         * using the rows sidebar content builder.
         * 
         */ ?>

        <br>
        <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
        if ($leftcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
        else { echo '' . _ADDITIONALCONTENT . ''; } ?>
        </div>
        <?php } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="rowsix.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; }

        /**
         * 
         * End the Row Six Left Sidebar.
         * 
         */ ?>

        </td><td class="top wrapper">

<?php
/**
 * 
 * Row Six Top Center. -----------------------------------------------------
 * 
 */ 

        if ($userowsix == '') { echo '<p class="center" id="six"><strong>' . _ISROWACTIVE . ' (' . _NO . ')</strong></p>'; } 
         else { ?>
        <p class="center" id="six"><strong><?= _ISROWACTIVE ?> (<?= $userowsix ?>)</strong></p>
        <?php }

        $sql = "SELECT usetop FROM config_row_six"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 

        if ($row['usetop'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWSIXTOP . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } 
        else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWSIXTOP ?> - <?= _ACTIVE ?> (<?= $row['usetop'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Six Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Six Top') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Six Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Six Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Six Top') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Six Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Six Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Six Top') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Six Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Six Top') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
 * 
 * Build Row Six Middle.
 * 
 */ ?>

        <?php $sql = "SELECT usemiddle FROM config_row_six"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 

        if ($row['usemiddle'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWSIXMIDDLE . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWSIXMIDDLE ?> - <?= _ACTIVE ?> (<?= $row['usemiddle'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Six Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Six Middle') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Six Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Six Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Six Middle') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Six Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Six Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Six Middle') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Six Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Six Middle') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
 * 
 * Build Row Six Bottom.
 * 
 */ ?>

        <?php $sql = "SELECT usebottom FROM config_row_six"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
                
        if ($row['usebottom'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWSIXBOTTOM . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } 
        else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWSIXBOTTOM ?> - <?= _ACTIVE ?> (<?= $row['usebottom'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Six Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Six Bottom') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Six Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Six Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Six Bottom') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Six Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Six Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Six Bottom') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Six Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Six Bottom') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

        </td><td class="rightsidebar top">

<?php
/**
 * 
 * Row Six Right Sidebar. ------------------------------------------------------------------
 * 
 */ ?>

        <p class="center column-title coltitlecolor"><?= _ROWSIX ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>

        <?php $sql = "SELECT * FROM config_row_six"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $rowsixsidebars = $row['rowsixsidebars']; }}

        if ($rowsixsidebars == 'Right' || $rowsixsidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>'; 

        /**
        *  
        * Add the plugins.
        * 
        */ ?>

        <div class="center sidebar-holder column"><?= _PLUGINS ?>
        <?php if ($showstats == 'Row Six Right') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Row Six Right') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Row Six Right') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Row Six Right') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Row Six Right') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'Row Six Right') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Row Six Right') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Row Six Right') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Row Six Right') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Row Six Right') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } ?>
        </div>
        <br>

        <?php
        /**
        * 
        * Add the sniplets.
        * 
        */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Six Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Six Right') {
        echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Six Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

        /**
        * 
        * Add the blocks that are assigned to this sidebar.
        * 
        */ ?>

        <br>
        <?php $sql = "SELECT position FROM blocks WHERE position = 'Row Six Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Six Right') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Six Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; }

        /**
        * 
        * Get other content that is created
        * using the rows sidebar content builder.
        * 
        */ ?>

        <br>
        <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
        if ($rightcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
        else { echo '' . _ADDITIONALCONTENT . ''; } ?>
        </div>

        <?php
        /**
        * 
        * If this sidebar is not active.
        * Show a message and add option
        * to activate it.
        * 
        */

        } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="rowsix.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; } ?>

        <?php
        /**
         * 
         * End Row Six Right Sidebar.
         * 
         */ ?>

        </td></tr></table>
<br>

        <table><tr><td class="leftsidebar top">

<?php 
/**
 * 
 * Build Row Seven Left Sidebar. -----------------------------------------------------------------
 * 
 */ 
        if ($userowseven == '') { echo '<p class="center" id="seven"><strong>' . _ISROWACTIVE . ' (' . _NO . ')</strong></p>'; } 
         else { ?>
        <p class="center column-title coltitlecolor"><?= _ROWSEVEN ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>
        <?php }

        $sql = "SELECT * FROM config_row_seven"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $rowsevensidebars = $row['rowsevensidebars']; }}

        if ($rowsevensidebars == 'Left' || $rowsevensidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>';

        echo '<div class="center sidebar-holder column">' . _PLUGINS . '';
        if ($showstats == 'Row Seven Left') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Row Seven Left') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Row Seven Left') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Row Seven Left') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Row Seven Left') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'Row Seven Left') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Row Seven Left') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Row Seven Left') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Row Seven Left') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Row Seven Left') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } 
        ?>
        </div>
        <br>

        <?php
        /**
         * 
         * Add the sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Seven Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Seven Left') {
        echo '<div class="center sidebar-holder top"><p>' . _SNIPLETSINSIDEBAR . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Seven Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

        /**
         * 
         * Add the blocks that are assigned to this sidebar.
         * 
         */ ?>

        <br>
        <?php $sql = "SELECT position FROM blocks WHERE position = 'Row Seven Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Seven Left') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Seven Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; } 

        /**
         * 
         * Get other content that is created
         * using the rows sidebar content builder.
         * 
         */ ?>

        <br>
        <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
        if ($leftcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
        else { echo '' . _ADDITIONALCONTENT . ''; } ?>
        </div>
        <?php } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="rowseven.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; }

        /**
         * 
         * End the Row Seven Left Sidebar.
         * 
         */ ?>

        </td><td class="top wrapper">

<?php
/**
 * 
 * Row Seven Top Center. ------------------------------------------------------------------
 * 
 */

        if ($userowseven == '') { echo '<p class="center" id="seven"><strong>' . _ISROWACTIVE . ' (' . _NO . ')</strong></p>'; } 
         else { ?>
        <p class="center" id="seven"><strong><?= _ISROWACTIVE ?> (<?= $userowseven ?>)</strong></p>
        <?php }

        $sql = "SELECT usetop FROM config_row_seven"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
                
        if ($row['usetop'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWSEVENTOP . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } 
        else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWSEVENTOP ?> - <?= _ACTIVE ?> (<?= $row['usetop'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Seven Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Seven Top') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Seven Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Seven Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Seven Top') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Seven Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Seven Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Seven Top') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Seven Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Seven Top') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
 * 
 * Build Row Seven Middle.
 * 
 */ ?>

        <?php $sql = "SELECT usemiddle FROM config_row_seven"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
                
        if ($row['usemiddle'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWSEVENMIDDLE . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } 
        else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWSEVENMIDDLE ?> - <?= _ACTIVE ?> (<?= $row['usemiddle'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Seven Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Seven Middle') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Seven Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Seven Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Seven Middle') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Seven Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Seven Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Seven Middle') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Seven Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Seven Middle') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
 * 
 * Build Row Seven Bottom.
 * 
 */ ?>

        <?php $sql = "SELECT usebottom FROM config_row_seven"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
                
        if ($row['usebottom'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWSEVENBOTTOM . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } 
        else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWSEVENBOTTOM ?> - <?= _ACTIVE ?> (<?= $row['usebottom'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Seven Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Seven Bottom') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Seven Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Seven Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Seven Bottom') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Seven Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Seven Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Seven Bottom') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Seven Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Seven Bottom') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>
        </td><td class="rightsidebar top">

<?php
/**
 * 
 * Row Seven Right Sidebar. -------------------------------------------------------------------
 * 
 */ ?>

        <p class="center column-title coltitlecolor"><?= _ROWSEVEN ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>

        <?php $sql = "SELECT * FROM config_row_seven"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $rowsevensidebars = $row['rowsevensidebars']; }}

        if ($rowsevensidebars == 'Right' || $rowsevensidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>';

        /**
        *  
        * Add the plugins.
        * 
        */ ?>

        <div class="center sidebar-holder column"><?= _PLUGINS ?>
        <?php if ($showstats == 'Row Seven Right') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Row Seven Right') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Row Seven Right') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Row Seven Right') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Row Seven Right') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Row Seven Right') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Row Seven Right') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Row Seven Right') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Row Seven Right') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } ?>
        </div>
        <br>

        <?php
        /**
        * 
        * Add the sniplets.
        * 
        */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Seven Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Seven Right') {
        echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Seven Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

        /**
        * 
        * Add the blocks that are assigned to this sidebar.
        * 
        */ ?>

        <br>
        <?php $sql = "SELECT position FROM blocks WHERE position = 'Row Seven Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Seven Right') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Seven Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; }

        /**
        * 
        * Get other content that is created
        * using the rows sidebar content builder.
        * 
        */ ?>

        <br>
        <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
        if ($rightcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
        else { echo '' . _ADDITIONALCONTENT . ''; } ?>
        </div>

        <?php
        /**
        * 
        * If this sidebar is not active.
        * Show a message and add option
        * to activate it.
        * 
        */

        } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="rowseven.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; } ?>

        <?php
        /**
        * 
        * End The Row Seven Right Sidebar.
        * 
        */ ?>
        
        </td></tr></table>
        <br>

<?php 
/**
* 
* Build Row Eight Left Sidebar. -----------------------------------------------------------------
* 
*/ ?>

        <table><tr><td class="leftsidebar top">

        <p class="center column-title coltitlecolor"><?= _ROWEIGHT ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>

        <?php $sql = "SELECT * FROM config_row_eight"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $roweightsidebars = $row['roweightsidebars']; }}

        if ($roweightsidebars == 'Left' || $roweightsidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>';

        echo '<div class="center sidebar-holder column">' . _PLUGINS . '';
        if ($showstats == 'Row Eight Left') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Row Eight Left') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Row Eight Left') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Row Eight Left') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Row Eight Left') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'Row Eight Left') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Row Eight Left') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Row Eight Left') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Row Eight Left') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Row Eight Left') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } 
        ?>
        </div>
        <br>

        <?php
        /**
        * 
        * Add the sniplets.
        * 
        */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Eight Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Eight Left') {
        echo '<div class="center sidebar-holder top"><p>' . _SNIPLETSINSIDEBAR . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Roq Eight Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

        /**
        * 
        * Add the blocks that are assigned to this sidebar.
        * 
        */ ?>

        <br>
        <?php $sql = "SELECT position FROM blocks WHERE position = 'Row Eight Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Eight Left') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Eight Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; } 

        /**
        * 
        * Get other content that is created
        * using the rows sidebar content builder.
        * 
        */ ?>

        <br>
        <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
        if ($leftcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
        else { echo '' . _ADDITIONALCONTENT . ''; } ?>
        </div>
        <?php } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="roweight.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; }

        /**
        * 
        * End the Row Eight Left Sidebar.
        * 
        */ ?>

        </td><td class="top wrapper">

<?php
/**
* 
* Tow Eight Top Center. ------------------------------------------------------------------
* 
*/ 

        if ($useroweight == '') { echo '<p class="center" id="eight"><strong>' . _ISROWACTIVE . ' (' . _NO . ')</strong></p>'; } 
        else { ?>
        <p class="center" id="eight"><strong><?= _ISROWACTIVE ?> (<?= $useroweight ?>)</strong></p>
        <?php }

        $sql = "SELECT usetop FROM config_row_eight"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
                
        if ($row['usetop'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWEIGHTTOP . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } 
        else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWEIGHTTOP ?> - <?= _ACTIVE ?> (<?= $row['usetop'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Eight Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Eight Top') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Eight Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Eight Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Eight Top') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Eight Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Eight Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Eight Top') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">
        <?php

        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Eight Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Eight Top') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
* 
* Build Row Eight Middle.
* 
*/ ?>

        <?php $sql = "SELECT usemiddle FROM config_row_eight"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
                
        if ($row['usemiddle'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWEIGHTMIDDLE . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWEIGHTMIDDLE ?> - <?= _ACTIVE ?> (<?= $row['usemiddle'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Eight Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Eight Middle') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Eight Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Eight Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Eight Middle') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Eight Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Eight Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Eight Middle') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Eight Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Eight Middle') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
* 
* Build Row Eight Bottom.
* 
*/ ?>

        <?php $sql = "SELECT usebottom FROM config_row_eight"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
                
        if ($row['usebottom'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWEIGHTBOTTOM . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWEIGHTBOTTOM ?> - <?= _ACTIVE ?> (<?= $row['usebottom'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Eight Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Eight Bottom') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Eight Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Eight Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Eight Bottom') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Eight Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Eight Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Eight Bottom') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Eight Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Eight Bottom') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>
        </td><td class="rightsidebar top">

<?php
/**
* 
* Row Eight Right Sidebar. -------------------------------------------------------------------
* 
*/ ?>

        <p class="center column-title coltitlecolor"><?= _ROWEIGHT ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>

        <?php $sql = "SELECT * FROM config_row_eight"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $roweightsidebars = $row['roweightsidebars']; }}

        if ($roweightsidebars == 'Right' || $roweightsidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>'; 

        /**
        *  
        * Add the plugins.
        * 
        */ ?>

        <div class="center sidebar-holder column"><?= _PLUGINS ?>
        <?php if ($showstats == 'Row Eight Right') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Row Eight Right') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Row Eight Right') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Row Eight Right') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Row Eight Right') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'Row Eight Right') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Row Eight Right') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Row Eight Right') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Row Eight Right') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Row OneEight Right') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } ?>
        </div>
        <br>

        <?php
        /**
        * 
        * Add the sniplets.
        * 
        */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Eight Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Eight Right') {
        echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Eight Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

        /**
        * 
        * Add the blocks that are assigned to this sidebar.
        * 
        */ ?>

        <br>
        <?php $sql = "SELECT position FROM blocks WHERE position = 'Row Eight Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Eight Right') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Eight Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; }

        /**
        * 
        * Get other content that is created
        * using the rows sidebar content builder.
        * 
        */ ?>

        <br>
        <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
        if ($rightcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
        else { echo '' . _ADDITIONALCONTENT . ''; } ?>
        </div>

        <?php
        /**
        * 
        * If this sidebar is not active.
        * Show a message and add option
        * to activate it.
        * 
        */

        } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="roweight.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; } ?>

        <?php 
        /**
        * 
        * End Row Eight Right Sidebar.
        * 
        */ ?>

        </td></tr></table>
        <br>

        <table><tr><td class="leftsidebar top">

<?php 
/**
* 
* Build Row Nine Left Sidebar . -----------------------------------------------------------------
* 
*/

        /** 
        * Start building the sidebars content.
        * Get the plugins that are assigned here.
        * 
        */

        $sql = "SELECT * FROM config_row_nine"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $rowninesidebars = $row['rowninesidebars'];
        $leftcontent = $row['leftcontent']; }}

        if ($rowninesidebars == 'Left' || $rowninesidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>';

        echo '<div class="center sidebar-holder column">' . _PLUGINS . '';
        if ($showstats == 'Row Nine Left') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Row Nine Left') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Row Nine Left') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Row Nine Left') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Row Nine Left') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'Row Nine Left') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Row Nine Left') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Row Nine Left') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Row Nine Left') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Row Nine Left') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } 
        ?>
        </div>
        <br>

        <?php
        /**
        * 
        * Add the sniplets.
        * 
        */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Nine Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Nine Left') {
        echo '<div class="center sidebar-holder top"><p>' . _SNIPLETSINSIDEBAR . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Nine Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

        /**
        * 
        * Add the blocks that are assigned to this sidebar.
        * 
        */ ?>

        <br>
        <?php $sql = "SELECT position FROM blocks WHERE position = 'Row Nine Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Nine Left') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Nine Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; } 

        /**
        * 
        * Get other content that is created
        * using the rows sidebar content builder.
        * 
        */ ?>

        <br>
        <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
        if ($leftcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
        else { echo '' . _ADDITIONALCONTENT . ''; } ?>
        </div>
        <?php } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="rownine.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; }

        /**
        * 
        * End the Row Nine Left Sidebar.
        * 
        */ ?>

        </td><td class="top wrapper">

<?php
/**
* 
* Row Nine Top Center. ----------------------------------------------------------------
* 
*/ 

        if ($userownine == '') { echo '<p class="center" id="nine"><strong>' . _ISROWACTIVE . ' (' . _NO . ')</strong></p>'; } 
        else { ?>
        <p class="center" id="nine"><strong><?= _ISROWACTIVE ?> (<?= $userownine ?>)</strong></p>
        <?php }

        $sql = "SELECT usetop FROM config_row_nine"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
                
        if ($row['usetop'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWNINETOP . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } 
        else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWNINETOP ?> - <?= _ACTIVE ?> (<?= $row['usetop'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Nine Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Nine Top') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Nine Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Nine Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Nine Top') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Nine Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Nine Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Nine Top') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Nine Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Nine Top') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
* 
* Build Row Nine Middle.
* 
*/ ?>

        <?php $sql = "SELECT usemiddle FROM config_row_nine"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
                
        if ($row['usemiddle'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWNINEMIDDLE . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWNINEMIDDLE ?> - <?= _ACTIVE ?> (<?= $row['usemiddle'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Nine Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Nine Middle') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Nine Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Nine Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Nine Middle') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Nine Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Nine Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Nine Middle') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Nine Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Nine Middle') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
* 
* Build Row Nine Bottom.
* 
*/ ?>

        <?php $sql = "SELECT usebottom FROM config_row_nine"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
                
        if ($row['usebottom'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWNINEBOTTOM . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } 
        else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWNINEBOTTOM ?> - <?= _ACTIVE ?> (<?= $row['usebottom'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Nine Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Nine Bottom') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Nine Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Nine Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Nine Bottom') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Nine Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Nine Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Nine Bottom') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php

        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Nine Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Nine Bottom') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>
        </td><td class="rightsidebar top">

<?php
/**
* 
* Row Nine Right Sidebar. -------------------------------------------------------------------
* 
*/ ?>

        <p class="center column-title coltitlecolor"><?= _ROWNINE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>

        <?php $sql = "SELECT * FROM config_row_nine"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $rowninesidebars = $row['rowninesidebars']; }}

        if ($rowninesidebars == 'Right' || $rowninesidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>'; 

        /**
        *  
        * Add the plugins.
        * 
        */ ?>

        <div class="center sidebar-holder column"><?= _PLUGINS ?>
        <?php if ($showstats == 'Row Nine Right') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Row Nine Right') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Row Nine Right') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Row Nine Right') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Row Nine Right') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'Row Nine Right') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Row Nine Right') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Row Nine Right') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Row Nine Right') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Row Nine Right') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } ?>
        </div>
        <br>

        <?php
        /**
        * 
        * Add the sniplets.
        * 
        */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Nine Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Nine Right') {
        echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Nine Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

        /**
        * 
        * Add the blocks that are assigned to this sidebar.
        * 
        */ ?>

        <br>
        <?php $sql = "SELECT position FROM blocks WHERE position = 'Row Nine Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Nine Right') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Nine Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; }

        /**
        * 
        * Get other content that is created
        * using the rows sidebar content builder.
        * 
        */ ?>

        <br>
        <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
        if ($rightcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
        else { echo '' . _ADDITIONALCONTENT . ''; } ?>
        </div>

        <?php
        /**
        * 
        * If this sidebar is not active.
        * Show a message and add option
        * to activate it.
        * 
        */

        } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="rownine.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; } ?>

        <?php
        /**
        * 
        * End Row Nine Right Sidebar.
        * 
        */ ?>

        </td></tr></table>
        <br>

<?php 
/**
* 
* Build Row Ten Left Sidebar. -----------------------------------------------------------------
* 
*/ ?>

        <table><tr><td class="leftsidebar top">

        <p class="center column-title coltitlecolor"><?= _ROWTEN ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>

        <?php $sql = "SELECT * FROM config_row_ten"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $rowtensidebars = $row['rowtensidebars']; }}

        if ($rowtensidebars == 'Left' || $rowtensidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>'; }

        /**
        *  
        * Start building the sidebars content.
        * Get the plugins that are assigned here.
        * 
        */

        $sql = "SELECT * FROM config_row_ten"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $rowtensidebars = $row['rowtensidebars'];
        $leftcontent = $row['leftcontent']; }}

        if ($rowtensidebars == 'Left' || $rowtensidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>';

        echo '<div class="center sidebar-holder column">' . _PLUGINS . '';
        if ($showstats == 'Row Ten Left') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Row Ten Left') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Row Ten Left') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Row Ten Left') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Row Ten Left') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'Row Ten Left') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Row Ten Left') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Row Ten Left') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Row Ten Left') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Row Ten Left') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } 
        ?>
        </div>
        <br>

        <?php
        /**
        * 
        * Add the sniplets.
        * 
        */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Ten Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Ten Left') {
        echo '<div class="center sidebar-holder top"><p>' . _SNIPLETSINSIDEBAR . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Ten Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

        /**
        * 
        * Add the blocks that are assigned to this sidebar.
        * 
        */ ?>

        <br>
        <?php $sql = "SELECT position FROM blocks WHERE position = 'Row Ten Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Ten Left') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Ten Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; } 

        /**
        * 
        * Get other content that is created
        * using the rows sidebar content builder.
        * 
        */ ?>

        <br>
        <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
        if ($leftcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
        else { echo '' . _ADDITIONALCONTENT . ''; } ?>
        </div>
        <?php } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="rowten.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; }

        /**
        * 
        * End the Row Ten Left Sidebar.
        * 
        */ ?>

        </td><td class="top wrapper">

<?php
/**
* 
* Row Ten Top Center. -------------------------------------------------------
* 
*/ 

        if ($userowten == '') { echo '<p class="center" id="ten"><strong>' . _ISROWACTIVE . ' (' . _NO . ')</strong></p>'; } 
         else { ?>
        <p class="center" id="ten"><strong><?= _ISROWACTIVE ?> (<?= $userowten ?>)</strong></p>
        <?php }

        $sql = "SELECT usetop FROM config_row_ten"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
                
        if ($row['usetop'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWTENTOP . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } 
        else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWTENTOP ?> - <?= _ACTIVE ?> (<?= $row['usetop'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Ten Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Ten Top') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Ten Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Ten Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Ten Top') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Ten Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Ten Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Ten Top') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Ten Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Ten Top') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
* 
* Build Row Ten Middle.
* 
*/ ?>

        <?php $sql = "SELECT usemiddle FROM config_row_ten"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
                
        if ($row['usemiddle'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWTENMIDDLE . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWTENMIDDLE ?> - <?= _ACTIVE ?> (<?= $row['usemiddle'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Ten Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Ten Middle') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Ten Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Ten Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Ten Middle') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Ten Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Ten Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Ten Middle') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Ten Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Ten Middle') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
* 
* Build Row Ten Bottom.
* 
*/ ?>

        <?php $sql = "SELECT usebottom FROM config_row_ten"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
                
        if ($row['usebottom'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWTENBOTTOM . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } 
        else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWTENBOTTOM ?> - <?= _ACTIVE ?> (<?= $row['usebottom'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Ten Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Ten Bottom') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Ten Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Ten Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Ten Bottom') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Ten Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Ten Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Ten Bottom') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Ten Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Ten Bottom') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>
        </td><td class="rightsidebar top">

<?php
/**
* 
* Row Ten Right Sidebar. ------------------------------------------------------------------
* 
*/ ?>

        <p class="center column-title coltitlecolor"><?= _ROWTEN ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>

        <?php $sql = "SELECT * FROM config_row_ten"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $rowtensidebars = $row['rowtensidebars']; }}

        if ($rowtensidebars == 'Right' || $rowtensidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>'; 

        /**
        *  
        * Add the plugins.
        * 
        */ ?>

        <div class="center sidebar-holder column"><?= _PLUGINS ?>
        <?php if ($showstats == 'Row Ten Right') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Row Ten Right') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Row Ten Right') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Row Ten Right') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Row Ten Right') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'Row Ten Right') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Row Ten Right') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Row Ten Right') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Row Ten Right') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Row Ten Right') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } ?>
        </div>
        <br>

        <?php
        /**
        * 
        * Add the sniplets.
        * 
        */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Ten Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Ten Right') {
        echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Ten Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

        /**
        * 
        * Add the blocks that are assigned to this sidebar.
        * 
        */ ?>

        <br>
        <?php $sql = "SELECT position FROM blocks WHERE position = 'Row Ten Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Ten Right') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Ten Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; }

        /**
        * 
        * Get other content that is created
        * using the rows sidebar content builder.
        * 
        */ ?>

        <br>
        <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
        if ($rightcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
        else { echo '' . _ADDITIONALCONTENT . ''; } ?>
        </div>

        <?php
        /**
        * 
        * If this sidebar is not active.
        * Show a message and add option
        * to activate it.
        * 
        */

        } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="rowten.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; } ?>

        <?php
        /**
        * 
        * End Row Ten Right Sidebar.
        * 
        */ ?>

        </td></tr></table>
        <br>

<?php 
/**
* 
* Build Row Eleven Left Sidebar. -----------------------------------------------------------------
* 
*/ ?>

        <table><tr><td class="leftsidebar top">

        <p class="center column-title coltitlecolor"><?= _ROWELEVEN ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>

        <?php $sql = "SELECT * FROM config_row_eleven"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $rowelevensidebars = $row['rowelevensidebars']; }}

        if ($rowelevensidebars == 'Left' || $rowelevensidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>'; }

        /*** 
        * Start building the sidebars content.
        * Get the plugins that are assigned here.
        * 
        */

        $sql = "SELECT * FROM config_row_eleven"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $rowelevensidebars = $row['rowelevensidebars'];
        $leftcontent = $row['leftcontent']; }}

        if ($rowelevensidebars == 'Left' || $rowelevensidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>';

        echo '<div class="center sidebar-holder column">' . _PLUGINS . '';
        if ($showstats == 'Row Eleven Left') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Row Eleven Left') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Row Eleven Left') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Row Eleven Left') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Row Eleven Left') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'Row Eleven Left') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Row Eleven Left') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Row Eleven Left') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Row Eleven Left') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Row Eleven Left') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } 
        ?>
        </div>
        <br>

        <?php
        /**
        * 
        * Add the sniplets.
        * 
        */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Eleven Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Eleven Left') {
        echo '<div class="center sidebar-holder top"><p>' . _SNIPLETSINSIDEBAR . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Eleven Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

        /**
        * 
        * Add the blocks that are assigned to this sidebar.
        * 
        */ ?>

        <br>
        <?php $sql = "SELECT position FROM blocks WHERE position = 'Row Eleven Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Eleven Left') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Eleven Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; } 

        /**
        * 
        * Get other content that is created
        * using the rows sidebar content builder.
        * 
        */ ?>

        <br>
        <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
        if ($leftcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
        else { echo '' . _ADDITIONALCONTENT . ''; } ?>
        </div>
        <?php } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="roweleven.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; }

        /**
        * 
        * End the Row Eleven Left Sidebar.
        * 
        */ ?>

        </td><td class="top wrapper">

<?php
/**
* 
* Row Eleven Top Center. ------------------------------------------------------------------
* 
*/ 

        if ($useroweleven == '') { echo '<p class="center" id="eleven"><strong>' . _ISROWACTIVE . ' (' . _NO . ')</strong></p>'; } 
         else { ?>
         <p class="center" id="eleven"><strong><?= _ISROWACTIVE ?> (<?= $useroweleven ?>)</strong></p>
         <?php } 
        
        $sql = "SELECT usetop FROM config_row_eleven"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
                
        if ($row['usetop'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWELEVENTOP . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } 
        else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWELEVENTOP ?> - <?= _ACTIVE ?> (<?= $row['usetop'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Eleven Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Eleven Top') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Eleven Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Eleven Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Eleven Top') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Eleven Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Eleven Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Eleven Top') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Eleven Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Eleven Top') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
* 
* Build Row Eleven Middle.
* 
*/ ?>

        <?php $sql = "SELECT usemiddle FROM config_row_eleven"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
                
        if ($row['usemiddle'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWELEVENMIDDLE . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } 
        else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWELEVENMIDDLE ?> - <?= _ACTIVE ?> (<?= $row['usemiddle'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Eleven Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Eleven Middle') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Eleven Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Eleven Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Eleven Middle') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Eleven Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Eleven Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Eleven Middle') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Eleven Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Eleven Middle') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
* 
* Build Row Eleven Bottom.
* 
*/ ?>

        <?php $sql = "SELECT usebottom FROM config_row_eleven"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
                
        if ($row['usebottom'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWELEVENBOTTOM . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWELEVENBOTTOM ?> - <?= _ACTIVE ?> (<?= $row['usebottom'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Eleven Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Eleven Bottom') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Eleven Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'RowEleven Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Eleven Bottom') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Eleven Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Eleven Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Eleven Bottom') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Eleven Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Eleven Bottom') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

        </td><td class="rightsidebar top">

<?php
/**
* 
* Row Eleven Right Sidebar. -------------------------------------------------------------------
* 
*/ ?>

        <p class="center column-title coltitlecolor"><?= _ROWELEVEN ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>

        <?php $sql = "SELECT * FROM config_row_eleven"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $rowelevensidebars = $row['rowelevensidebars']; }}

        if ($rowelevensidebars == 'Right' || $rowelevensidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>'; 

        /**
        *  
        * Add the plugins.
        * 
        */ ?>

        <div class="center sidebar-holder column"><?= _PLUGINS ?>
        <?php if ($showstats == 'Row Eleven Right') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Row Eleven Right') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Row Eleven Right') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Row Eleven Right') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Row Eleven Right') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'Row Eleven Right') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Row Eleven Right') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Row Eleven Right') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Row Eleven Right') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Row Eleven Right') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } ?>
        </div>
        <br>

        <?php
        /**
        * 
        * Add the sniplets.
        * 
        */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Eleven Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Eleven Right') {
        echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Eleven Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

        /**
        * 
        * Add the blocks that are assigned to this sidebar.
        * 
        */ ?>

        <br>
        <?php $sql = "SELECT position FROM blocks WHERE position = 'Row Eleven Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Eleven Right') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Eleven Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; }

        /**
        * 
        * Get other content that is created
        * using the rows sidebar content builder.
        * 
        */ ?>

        <br>
        <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
        if ($rightcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
        else { echo '' . _ADDITIONALCONTENT . ''; } ?>
        </div>
        <?php

        /**
        * 
        * If this sidebar is not active.
        * Show a message and add option
        * to activate it.
        * 
        */

        } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="roweleven.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; } ?>

        <?php
        /**
        * 
        * End Row Eleven Right Sidebar.
        * 
        */ ?>
        
        </td></tr></table>
        <br>

<?php 
/**
* 
* Build Row Twelve Left Sidebar. -----------------------------------------------------------------
* 
*/ ?>

        <table><tr><td class="leftsidebar top">

        <p class="center column-title coltitlecolor"><?= _ROWTWELVE ?> <?= _LEFT ?> <?= _SIDEBAR ?></p>

        <?php $sql = "SELECT * FROM config_row_twelve"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $rowtwelvesidebars = $row['rowtwelvesidebars']; }}

        if ($rowtwelvesidebars == 'Left' || $rowtwelvesidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>'; }

        /** 
        * Start building the sidebars content.
        * Get the plugins that are assigned here.
        * 
        */

        $sql = "SELECT * FROM config_row_twelve"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $rowtwelvesidebars = $row['rowtwelvesidebars'];
        $leftcontent = $row['leftcontent']; }}

        if ($rowtwelvesidebars == 'Left' || $rowtwelvesidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>';

        echo '<div class="center sidebar-holder column">' . _PLUGINS . '';
        if ($showstats == 'Row Twelve Left') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Row Twelve Left') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Row Twelve Left') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Row Twelve Left') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Row Twelve Left') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'Row Twelve Left') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Row Twelve Left') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Row Twelve Left') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Row Twelve Left') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Row Twelve Left') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } 
        ?>
        </div>
        <br>

        <?php
        /**
        * 
        * Add the sniplets.
        * 
        */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Twelve Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Twelve Left') {
        echo '<div class="center sidebar-holder top"><p>' . _SNIPLETSINSIDEBAR . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Twelve Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

        /**
        * 
        * Add the blocks that are assigned to this sidebar.
        * 
        */ ?>

        <br>
        <?php $sql = "SELECT position FROM blocks WHERE position = 'Row Twelve Left'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Twelve Left') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Twelve Left'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; } 

        /**
        * 
        * Get other content that is created
        * using the rows sidebar content builder.
        * 
        */ ?>

        <br>
        <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
        if ($leftcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
        else { echo '' . _ADDITIONALCONTENT . ''; } ?>
        </div>
        <?php } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="rowtwelve.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; }

        /**
        * 
        * End the Row Twelve Left Sidebar.
        * 
        */ ?>

        </td><td class="top wrapper">

<?php
/**
* 
* Row Twelve Top Center. ------------------------------------------------------------------
* 
*/ 

         if ($userowtwelve == '') { echo '<p class="center" id="twelve"><strong>' . _ISROWACTIVE . ' (' . _NO . ')</strong></p>'; } 
         else { ?>

        <p class="center" id="twelve"><strong><?= _ISROWACTIVE ?> (<?= $userowtwelve ?>)</strong></p>
        <?php } 

        $sql = "SELECT usetop FROM config_row_twelve"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
                
        if ($row['usetop'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWTWELVETOP . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWTWELVETOP ?> - <?= _ACTIVE ?> (<?= $row['usetop'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Twelve Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Twelve Top') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Twelve Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Twelve Top'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Twelve Top') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Twelve Top'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Twelve Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Twelve Top') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Twelve Top'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Twelve Top') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
* 
* Build Row Twelve Middle.
* 
*/ ?>

        <?php $sql = "SELECT usemiddle FROM config_row_twelve"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
                
        if ($row['usemiddle'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWTWELVEMIDDLE . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWTWELVEMIDDLE ?> - <?= _ACTIVE ?> (<?= $row['usemiddle'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Twelve Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Twelve Middle') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Twelve Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Twelve Middle'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Twelve Middle') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Twelve Middle'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Twelve Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Twelve Middle') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Twelve Middle'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Twelve Middle') {
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

<?php 
/**
* 
* Build Row Twelve Bottom.
* 
*/ ?>

        <?php $sql = "SELECT usebottom FROM config_row_twelve"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
                
        if ($row['usebottom'] == '') { echo '<p class="center coltitlecolor column-title">' . _ROWTWELVEBOTTOM . ' - ' . _ACTIVE . ' ( ' . _NO . ' )</p>'; } else { ?>
        <p class="center coltitlecolor column-title"><?= _ROWTWELVEBOTTOM ?> - <?= _ACTIVE ?> (<?= $row['usebottom'] ?>)</p>
        <?php }}} ?>

        <div class="row">
        <div class="column4">

        <?php
        /**
         * 
         * Add the Sniplets.
         * 
         */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Twelve Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Twelve Bottom') {
        echo '<div class="center border"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')';  
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Twelve Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _SNIPLETSINLAYER . '<br>(' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Blocks.
         * 
         */

        $sql = "SELECT position FROM blocks WHERE position = 'Row Twelve Bottom'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Twelve Bottom') {
        echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _YES . ')';
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Twelve Bottom'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center border"><p>' . _BLOCKSINLAYER . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">

        <?php
        /**
         * 
         * Add the Articles.
         * 
         */

        $sql = "SELECT config_article FROM website WHERE config_article = 'Row Twelve Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $config_article = $row['config_article'];
        if ($config_article == 'Row Twelve Bottom') {
        echo '<div class="center border"><p>' . _ARTICLES_ . ' (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _ARTICLES_ . '<br> (' . _NO . ')</p></div>'; } ?>

        </div>
        <div class="column4">
                
        <?php
        /**
         * 
         * Add the Videos.
         * 
         */

        $sql = "SELECT setrow FROM website WHERE setrow = 'Row Twelve Bottom'";
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $setrow = $row['setrow'];
        if ($setrow == 'Row Twelve Bottom') {
        $setrow = $row['setrow'];
        echo '<div class="center border"><p>' . _VIDEOS_ . ': (' . _YES . ')</p></div>'; }}}
        else { echo '<div class="center border"><p>' . _VIDEOS_ . ':<br> (' . _NO . ')</p></div>'; } ?>
        </div></div>

        </td><td class="rightsidebar top">

<?php
/**
* 
* Row Twelve Right Sidebar. ------------------------------------------------------------------
* 
*/ ?>

        <p class="center column-title coltitlecolor"><?= _ROWTWELVE ?> <?= _RIGHT ?> <?= _SIDEBAR ?></p>

        <?php $sql = "SELECT * FROM config_row_twelve"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) { 
        $rowtwelvesidebars = $row['rowtwelvesidebars']; }}

        if ($rowtwelvesidebars == 'Right' || $rowtwelvesidebars == 'Both') { echo '<p class="center">' . _SIDEBAR . ' ' . _ACTIVE . '</p>'; 

        /**
        *  
        * Add the plugins.
        * 
        */ ?>

        <div class="center sidebar-holder column"><?= _PLUGINS ?>
        <?php if ($showstats == 'Row Twelve Right') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'Row Twelve Right') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'Row Twelve Right') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'Row Twelve Right') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'Row Twelve Right') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'Row Twelve Right') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'Row Twelve Right') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'Row Twelve Right') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'Row Twelve Right') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'Row Twelve Right') { echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; } ?>
        </div>
        <br>

        <?php
        /**
        * 
        * Add the sniplets.
        * 
        */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'Row Twelve Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'Row Twelve Right') {
        echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINLAYER . ' (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'Row Twelve Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINSIDEBAR . '(' . _NO . ')</p></div>'; } 

        /**
        * 
        * Add the blocks that are assigned to this sidebar.
        * 
        */ ?>

        <br>
        <?php $sql = "SELECT position FROM blocks WHERE position = 'Row Twelve Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        if ($position == 'Row Twelve Right') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'Row Twelve Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; }

        /**
        * 
        * Get other content that is created
        * using the rows sidebar content builder.
        * 
        */ ?>

        <br>
        <?php echo '<div class="center sidebar-holder top"><p>' . _ROWSSIDEBARCONTENT . '</p>';
        if ($rightcontent == '') {  echo '' . _NOOTHERCONTENT . ''; }
        else { echo '' . _ADDITIONALCONTENT . ''; } ?>
        </div>

        <?php
        /**
        * 
        * If this sidebar is not active.
        * Show a message and add option
        * to activate it.
        * 
        */

        } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="rowtwelve.php" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; } ?>


        </td></tr></table>

        <?php 
        /**
        * 
        * Close the Row Twelve Right Sidebar.
        * 
        */ ?>

        </td><td class="rightsidebar top">

<?php 
/**
* 
* Build the Right overall sidebar.
* 
*/ ?>

        <p class="center column-title coltitlecolor"><?= _RIGHT ?> <?= _SIDEBAR ?> <?= _CONTENT ?></p>

        <?php if ($hp_oncanvas_sidebars == 'Right' || $hp_oncanvas_sidebars == 'Both') {

        /**
        * 
        * Add the plugins.
        * 
        */

        if ($showstats == 'On-canvas Right' || $archivesidebar == 'On-canvas Right' || $calendar_sidebar == 'On-canvas Right' ||  $categories_sidebar == 'On-canvas Right' || $clock_sidebar == 'On-canvas Right' || $tags_sidebar == 'On-canvas Right' || $spotlight_sidebar == 'On-canvas Right' || $quicklinks_sidebar == 'On-canvas Right' || $usesearch == 'On-canvas Right' || $previewthemes == 'On-canvas Right') { 
        echo '<br><div class="center sidebar-holder column">Plugins';
        if ($showstats == 'On-canvas Right') {echo '<p class="left">&bull; ' . _SITESTATS . '</p>'; }
        if ($archivesidebar == 'On-canvas Right') {echo '<p class="left">&bull; ' . _ARCHIVES . '</p>'; }
        if ($calendar_sidebar == 'On-canvas Right') {echo '<p class="left">&bull; ' . _CALENDAR . '</p>'; }
        if ($categories_sidebar == 'On-canvas Right') {echo '<p class="left">&bull; ' . _PGCAT . '</p>'; }
        if ($clock_sidebar == 'On-canvas Right') {echo '<p class="left">&bull; ' . _DIGANACLOCK . '</p>'; }
        if ($tags_sidebar == 'On-canvas Right') {echo '<p class="left">&bull; ' . _TAGCLOUD . '</p>'; }
        if ($spotlight_sidebar == 'On-canvas Right') {echo '<p class="left">&bull; ' . _SPOTLIGHTARTICLES . '</p>'; }
        if ($quicklinks_sidebar == 'On-canvas Right') {echo '<p class="left">&bull; ' . _QL . '</p>'; }
        if ($usesearch == 'On-canvas Right') {echo '<p class="left">&bull; ' . _GOOGLESEARCHCONFIG . '</p>'; }
        if ($previewthemes == 'On-canvas Right') {echo '<p class="left">&bull; ' . _PREVIEWTHEMES . '</p></div>'; }}  
        else { echo '<p class="center">' . _NOPLUGINS . '</p>'; } ?>
        </div>
        <br>

        <?php
        /**
        * 
        * Add the sniplets.
        * 
        */

        $sql = "SELECT sniplet_group FROM sniplet WHERE sniplet_group = 'On-canvas Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $sniplet_group = $row['sniplet_group']; 
        if ($sniplet_group == 'On-canvas Right') {
        echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINLAYER . '<br> (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM sniplet WHERE sniplet_group = 'On-canvas Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALSNIPLETS ?> (<?= $var ?>)</p></div>
        <?php }}} else { echo '<div class="center sidebar-holder"><p>' . _SNIPLETSINSIDEBAR . '<br>(' . _NO . ')</p></div>'; } 

        /**
        * 
        * Add the blocks that are assigned to this sidebar.
        * 
        */ ?>

        <br>
        <?php $sql = "SELECT position, title FROM blocks WHERE position = 'On-canvas Right'"; 
        $result = $conn->query($sql); 
        if ($result->num_rows > 0) { 
        while ($row = $result->fetch_assoc()) {
        $position = $row['position'];
        $title = $row['title'];
        if ($position == 'On-canvas Right') {
        echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br> (' . _YES . ')'; 
        $result = mysqli_query($conn, "SELECT  COUNT(*) as count FROM blocks WHERE position = 'On-canvas Right'"); 
        while ($row = mysqli_fetch_array($result)) { $var = $row['count']; } ?>
        &nbsp;<br><?= _TOTALBLOCKS ?> (<?= $var ?>)</p>
        <hr />
        <p class="center"><?= _ACTIVE ?> <?= _BLOCK ?> <?= _TITLE ?></p>
        <p class="left">&bull; <?= $title ?></p></div>
        <?php }}} else { echo '<div class="center sidebar-holder top"><p>' . _BLOCKSINSIDEBAR . '<br> (' . _NO . ')</p></div>'; }
        } else { echo '<p class="center">' . _SIDEBAR . ' ' . _NOT_ACTIVE . '<br><a href="website.php#configsidebars" onclick="basicPopup(this.href);return false">' . _TURNSIDEBARON . '</a></p>'; } ?>

        </td></tr></table>

<?php
/**
 * 
 * End Of File.
 * 
 */ ?>

</div>
</div>

<?php
/**
 * 
 * Add the script to support
 * the Back To Top feature.
 * 
 */ ?>

<script>
let mybutton = document.getElementById("mytopBtn");
window.onscroll = function() {scrollFunction()};
function scrollFunction() {
if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
mybutton.style.display = "block";
} else {
mybutton.style.display = "none"; }}
function topFunction() {
document.body.scrollTop = 0;
document.documentElement.scrollTop = 0; }
</script>

<?php require_once 'footer.php';